-- MySQL dump 10.13  Distrib 5.1.73, for debian-linux-gnu (i486)
--
-- Host: mysql51-76.pro    Database: qatconsudoli
-- ------------------------------------------------------
-- Server version	5.5.55-0+deb7u1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `llx_accounting_bookkeeping`
--

DROP TABLE IF EXISTS `llx_accounting_bookkeeping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_accounting_bookkeeping` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `doc_date` date NOT NULL,
  `doc_type` varchar(30) NOT NULL,
  `doc_ref` varchar(30) NOT NULL,
  `fk_doc` int(11) NOT NULL,
  `fk_docdet` int(11) NOT NULL,
  `code_tiers` varchar(24) DEFAULT NULL,
  `numero_compte` varchar(32) DEFAULT NULL,
  `label_compte` varchar(128) NOT NULL,
  `debit` double NOT NULL,
  `credit` double NOT NULL,
  `montant` double NOT NULL,
  `sens` varchar(1) DEFAULT NULL,
  `fk_user_author` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `code_journal` varchar(10) DEFAULT NULL,
  `piece_num` int(11) NOT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_accounting_bookkeeping`
--

LOCK TABLES `llx_accounting_bookkeeping` WRITE;
/*!40000 ALTER TABLE `llx_accounting_bookkeeping` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_accounting_bookkeeping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_accounting_fiscalyear`
--

DROP TABLE IF EXISTS `llx_accounting_fiscalyear`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_accounting_fiscalyear` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(128) NOT NULL,
  `date_start` date DEFAULT NULL,
  `date_end` date DEFAULT NULL,
  `statut` tinyint(4) NOT NULL DEFAULT '0',
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_accounting_fiscalyear`
--

LOCK TABLES `llx_accounting_fiscalyear` WRITE;
/*!40000 ALTER TABLE `llx_accounting_fiscalyear` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_accounting_fiscalyear` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_accounting_system`
--

DROP TABLE IF EXISTS `llx_accounting_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_accounting_system` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `pcg_version` varchar(12) NOT NULL,
  `fk_pays` int(11) NOT NULL,
  `label` varchar(128) NOT NULL,
  `active` smallint(6) DEFAULT '0',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_accounting_system_pcg_version` (`pcg_version`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_accounting_system`
--

LOCK TABLES `llx_accounting_system` WRITE;
/*!40000 ALTER TABLE `llx_accounting_system` DISABLE KEYS */;
INSERT INTO `llx_accounting_system` (`rowid`, `pcg_version`, `fk_pays`, `label`, `active`) VALUES (1,'PCG99-ABREGE',1,'The simple accountancy french plan',1),(2,'PCG99-BASE',1,'The base accountancy french plan',1),(3,'PCMN-BASE',2,'The base accountancy belgium plan',1),(4,'PCG08-PYME',4,'The PYME accountancy spanish plan',1);
/*!40000 ALTER TABLE `llx_accounting_system` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_accountingaccount`
--

DROP TABLE IF EXISTS `llx_accountingaccount`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_accountingaccount` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_pcg_version` varchar(12) NOT NULL,
  `pcg_type` varchar(20) NOT NULL,
  `pcg_subtype` varchar(20) NOT NULL,
  `account_number` varchar(32) DEFAULT NULL,
  `account_parent` varchar(32) DEFAULT NULL,
  `label` varchar(255) NOT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  KEY `idx_accountingaccount_fk_pcg_version` (`fk_pcg_version`),
  CONSTRAINT `fk_accountingaccount_fk_pcg_version` FOREIGN KEY (`fk_pcg_version`) REFERENCES `llx_accounting_system` (`pcg_version`)
) ENGINE=InnoDB AUTO_INCREMENT=4785 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_accountingaccount`
--

LOCK TABLES `llx_accountingaccount` WRITE;
/*!40000 ALTER TABLE `llx_accountingaccount` DISABLE KEYS */;
INSERT INTO `llx_accountingaccount` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `pcg_subtype`, `account_number`, `account_parent`, `label`, `fk_user_author`, `fk_user_modif`, `active`) VALUES (1,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','CAPITAL','101','1401','Capital',NULL,NULL,1),(2,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','105','1401','Ecarts de réévaluation',NULL,NULL,1),(3,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','1061','1401','Réserve légale',NULL,NULL,1),(4,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','1063','1401','Réserves statutaires ou contractuelles',NULL,NULL,1),(5,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','1064','1401','Réserves réglementées',NULL,NULL,1),(6,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','1068','1401','Autres réserves',NULL,NULL,1),(7,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','108','1401','Compte de l\'exploitant',NULL,NULL,1),(8,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','12','1401','Résultat de l\'exercice',NULL,NULL,1),(9,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','145','1401','Amortissements dérogatoires',NULL,NULL,1),(10,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','146','1401','Provision spéciale de réévaluation',NULL,NULL,1),(11,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','147','1401','Plus-values réinvesties',NULL,NULL,1),(12,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','148','1401','Autres provisions réglementées',NULL,NULL,1),(13,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','15','1401','Provisions pour risques et charges',NULL,NULL,1),(14,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','16','1401','Emprunts et dettes assimilees',NULL,NULL,1),(15,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','20','1402','Immobilisations incorporelles',NULL,NULL,1),(16,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','201','15','Frais d\'établissement',NULL,NULL,1),(17,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','206','15','Droit au bail',NULL,NULL,1),(18,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','207','15','Fonds commercial',NULL,NULL,1),(19,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','208','15','Autres immobilisations incorporelles',NULL,NULL,1),(20,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','21','1402','Immobilisations corporelles',NULL,NULL,1),(21,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','23','1402','Immobilisations en cours',NULL,NULL,1),(22,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','27','1402','Autres immobilisations financieres',NULL,NULL,1),(23,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','280','1402','Amortissements des immobilisations incorporelles',NULL,NULL,1),(24,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','281','1402','Amortissements des immobilisations corporelles',NULL,NULL,1),(25,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','290','1402','Provisions pour dépréciation des immobilisations incorporelles',NULL,NULL,1),(26,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','291','1402','Provisions pour dépréciation des immobilisations corporelles',NULL,NULL,1),(27,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','297','1402','Provisions pour dépréciation des autres immobilisations financières',NULL,NULL,1),(28,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','31','1403','Matieres premières',NULL,NULL,1),(29,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','32','1403','Autres approvisionnements',NULL,NULL,1),(30,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','33','1403','En-cours de production de biens',NULL,NULL,1),(31,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','34','1403','En-cours de production de services',NULL,NULL,1),(32,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','35','1403','Stocks de produits',NULL,NULL,1),(33,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','37','1403','Stocks de marchandises',NULL,NULL,1),(34,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','391','1403','Provisions pour dépréciation des matières premières',NULL,NULL,1),(35,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','392','1403','Provisions pour dépréciation des autres approvisionnements',NULL,NULL,1),(36,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','393','1403','Provisions pour dépréciation des en-cours de production de biens',NULL,NULL,1),(37,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','394','1403','Provisions pour dépréciation des en-cours de production de services',NULL,NULL,1),(38,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','395','1403','Provisions pour dépréciation des stocks de produits',NULL,NULL,1),(39,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','397','1403','Provisions pour dépréciation des stocks de marchandises',NULL,NULL,1),(40,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','SUPPLIER','400','1404','Fournisseurs et Comptes rattachés',NULL,NULL,1),(41,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','409','1404','Fournisseurs débiteurs',NULL,NULL,1),(42,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','CUSTOMER','410','1404','Clients et Comptes rattachés',NULL,NULL,1),(43,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','419','1404','Clients créditeurs',NULL,NULL,1),(44,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','421','1404','Personnel',NULL,NULL,1),(45,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','428','1404','Personnel',NULL,NULL,1),(46,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','43','1404','Sécurité sociale et autres organismes sociaux',NULL,NULL,1),(47,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','444','1404','Etat - impôts sur bénéfice',NULL,NULL,1),(48,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','445','1404','Etat - Taxes sur chiffre affaires',NULL,NULL,1),(49,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','447','1404','Autres impôts, taxes et versements assimilés',NULL,NULL,1),(50,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','45','1404','Groupe et associes',NULL,NULL,1),(51,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','455','50','Associés',NULL,NULL,1),(52,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','46','1404','Débiteurs divers et créditeurs divers',NULL,NULL,1),(53,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','47','1404','Comptes transitoires ou d\'attente',NULL,NULL,1),(54,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','481','1404','Charges à répartir sur plusieurs exercices',NULL,NULL,1),(55,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','486','1404','Charges constatées d\'avance',NULL,NULL,1),(56,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','487','1404','Produits constatés d\'avance',NULL,NULL,1),(57,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','491','1404','Provisions pour dépréciation des comptes de clients',NULL,NULL,1),(58,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','496','1404','Provisions pour dépréciation des comptes de débiteurs divers',NULL,NULL,1),(59,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','FINAN','XXXXXX','50','1405','Valeurs mobilières de placement',NULL,NULL,1),(60,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','FINAN','BANK','51','1405','Banques, établissements financiers et assimilés',NULL,NULL,1),(61,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','FINAN','CASH','53','1405','Caisse',NULL,NULL,1),(62,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','FINAN','XXXXXX','54','1405','Régies d\'avance et accréditifs',NULL,NULL,1),(63,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','FINAN','XXXXXX','58','1405','Virements internes',NULL,NULL,1),(64,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','FINAN','XXXXXX','590','1405','Provisions pour dépréciation des valeurs mobilières de placement',NULL,NULL,1),(65,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','PRODUCT','60','1406','Achats',NULL,NULL,1),(66,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','603','65','Variations des stocks',NULL,NULL,1),(67,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','SERVICE','61','1406','Services extérieurs',NULL,NULL,1),(68,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','62','1406','Autres services extérieurs',NULL,NULL,1),(69,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','63','1406','Impôts, taxes et versements assimiles',NULL,NULL,1),(70,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','641','1406','Rémunérations du personnel',NULL,NULL,1),(71,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','644','1406','Rémunération du travail de l\'exploitant',NULL,NULL,1),(72,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','SOCIAL','645','1406','Charges de sécurité sociale et de prévoyance',NULL,NULL,1),(73,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','646','1406','Cotisations sociales personnelles de l\'exploitant',NULL,NULL,1),(74,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','65','1406','Autres charges de gestion courante',NULL,NULL,1),(75,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','66','1406','Charges financières',NULL,NULL,1),(76,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','67','1406','Charges exceptionnelles',NULL,NULL,1),(77,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','681','1406','Dotations aux amortissements et aux provisions',NULL,NULL,1),(78,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','686','1406','Dotations aux amortissements et aux provisions',NULL,NULL,1),(79,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','687','1406','Dotations aux amortissements et aux provisions',NULL,NULL,1),(80,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','691','1406','Participation des salariés aux résultats',NULL,NULL,1),(81,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','695','1406','Impôts sur les bénéfices',NULL,NULL,1),(82,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','697','1406','Imposition forfaitaire annuelle des sociétés',NULL,NULL,1),(83,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','699','1406','Produits',NULL,NULL,1),(84,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','PRODUCT','701','1407','Ventes de produits finis',NULL,NULL,1),(85,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','SERVICE','706','1407','Prestations de services',NULL,NULL,1),(86,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','PRODUCT','707','1407','Ventes de marchandises',NULL,NULL,1),(87,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','PRODUCT','708','1407','Produits des activités annexes',NULL,NULL,1),(88,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','709','1407','Rabais, remises et ristournes accordés par l\'entreprise',NULL,NULL,1),(89,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','713','1407','Variation des stocks',NULL,NULL,1),(90,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','72','1407','Production immobilisée',NULL,NULL,1),(91,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','73','1407','Produits nets partiels sur opérations à long terme',NULL,NULL,1),(92,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','74','1407','Subventions d\'exploitation',NULL,NULL,1),(93,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','75','1407','Autres produits de gestion courante',NULL,NULL,1),(94,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','753','93','Jetons de présence et rémunérations d\'administrateurs, gérants,...',NULL,NULL,1),(95,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','754','93','Ristournes perçues des coopératives',NULL,NULL,1),(96,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','755','93','Quotes-parts de résultat sur opérations faites en commun',NULL,NULL,1),(97,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','76','1407','Produits financiers',NULL,NULL,1),(98,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','77','1407','Produits exceptionnels',NULL,NULL,1),(99,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','781','1407','Reprises sur amortissements et provisions',NULL,NULL,1),(100,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','786','1407','Reprises sur provisions pour risques',NULL,NULL,1),(101,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','787','1407','Reprises sur provisions',NULL,NULL,1),(102,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','79','1407','Transferts de charges',NULL,NULL,1),(103,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','10','1501','Capital  et réserves',NULL,NULL,1),(104,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','CAPITAL','101','103','Capital',NULL,NULL,1),(105,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','104','103','Primes liées au capital social',NULL,NULL,1),(106,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','105','103','Ecarts de réévaluation',NULL,NULL,1),(107,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','106','103','Réserves',NULL,NULL,1),(108,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','107','103','Ecart d\'equivalence',NULL,NULL,1),(109,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','108','103','Compte de l\'exploitant',NULL,NULL,1),(110,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','109','103','Actionnaires : capital souscrit - non appelé',NULL,NULL,1),(111,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','11','1501','Report à nouveau (solde créditeur ou débiteur)',NULL,NULL,1),(112,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','110','111','Report à nouveau (solde créditeur)',NULL,NULL,1),(113,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','119','111','Report à nouveau (solde débiteur)',NULL,NULL,1),(114,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','12','1501','Résultat de l\'exercice (bénéfice ou perte)',NULL,NULL,1),(115,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','120','114','Résultat de l\'exercice (bénéfice)',NULL,NULL,1),(116,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','129','114','Résultat de l\'exercice (perte)',NULL,NULL,1),(117,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','13','1501','Subventions d\'investissement',NULL,NULL,1),(118,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','131','117','Subventions d\'équipement',NULL,NULL,1),(119,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','138','117','Autres subventions d\'investissement',NULL,NULL,1),(120,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','139','117','Subventions d\'investissement inscrites au compte de résultat',NULL,NULL,1),(121,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','14','1501','Provisions réglementées',NULL,NULL,1),(122,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','142','121','Provisions réglementées relatives aux immobilisations',NULL,NULL,1),(123,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','143','121','Provisions réglementées relatives aux stocks',NULL,NULL,1),(124,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','144','121','Provisions réglementées relatives aux autres éléments de l\'actif',NULL,NULL,1),(125,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','145','121','Amortissements dérogatoires',NULL,NULL,1),(126,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','146','121','Provision spéciale de réévaluation',NULL,NULL,1),(127,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','147','121','Plus-values réinvesties',NULL,NULL,1),(128,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','148','121','Autres provisions réglementées',NULL,NULL,1),(129,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','15','1501','Provisions pour risques et charges',NULL,NULL,1),(130,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','151','129','Provisions pour risques',NULL,NULL,1),(131,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','153','129','Provisions pour pensions et obligations similaires',NULL,NULL,1),(132,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','154','129','Provisions pour restructurations',NULL,NULL,1),(133,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','155','129','Provisions pour impôts',NULL,NULL,1),(134,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','156','129','Provisions pour renouvellement des immobilisations (entreprises concessionnaires)',NULL,NULL,1),(135,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','157','129','Provisions pour charges à répartir sur plusieurs exercices',NULL,NULL,1),(136,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','158','129','Autres provisions pour charges',NULL,NULL,1),(137,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','16','1501','Emprunts et dettes assimilees',NULL,NULL,1),(138,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','161','137','Emprunts obligataires convertibles',NULL,NULL,1),(139,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','163','137','Autres emprunts obligataires',NULL,NULL,1),(140,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','164','137','Emprunts auprès des établissements de crédit',NULL,NULL,1),(141,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','165','137','Dépôts et cautionnements reçus',NULL,NULL,1),(142,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','166','137','Participation des salariés aux résultats',NULL,NULL,1),(143,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','167','137','Emprunts et dettes assortis de conditions particulières',NULL,NULL,1),(144,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','168','137','Autres emprunts et dettes assimilées',NULL,NULL,1),(145,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','169','137','Primes de remboursement des obligations',NULL,NULL,1),(146,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','17','1501','Dettes rattachées à des participations',NULL,NULL,1),(147,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','171','146','Dettes rattachées à des participations (groupe)',NULL,NULL,1),(148,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','174','146','Dettes rattachées à des participations (hors groupe)',NULL,NULL,1),(149,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','178','146','Dettes rattachées à des sociétés en participation',NULL,NULL,1),(150,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','18','1501','Comptes de liaison des établissements et sociétés en participation',NULL,NULL,1),(151,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','181','150','Comptes de liaison des établissements',NULL,NULL,1),(152,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','186','150','Biens et prestations de services échangés entre établissements (charges)',NULL,NULL,1),(153,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','187','150','Biens et prestations de services échangés entre établissements (produits)',NULL,NULL,1),(154,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','188','150','Comptes de liaison des sociétés en participation',NULL,NULL,1),(155,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','20','1502','Immobilisations incorporelles',NULL,NULL,1),(156,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','201','155','Frais d\'établissement',NULL,NULL,1),(157,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','203','155','Frais de recherche et de développement',NULL,NULL,1),(158,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','205','155','Concessions et droits similaires, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires',NULL,NULL,1),(159,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','206','155','Droit au bail',NULL,NULL,1),(160,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','207','155','Fonds commercial',NULL,NULL,1),(161,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','208','155','Autres immobilisations incorporelles',NULL,NULL,1),(162,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','21','1502','Immobilisations corporelles',NULL,NULL,1),(163,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','211','162','Terrains',NULL,NULL,1),(164,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','212','162','Agencements et aménagements de terrains',NULL,NULL,1),(165,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','213','162','Constructions',NULL,NULL,1),(166,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','214','162','Constructions sur sol d\'autrui',NULL,NULL,1),(167,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','215','162','Installations techniques, matériels et outillage industriels',NULL,NULL,1),(168,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','218','162','Autres immobilisations corporelles',NULL,NULL,1),(169,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','22','1502','Immobilisations mises en concession',NULL,NULL,1),(170,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','23','1502','Immobilisations en cours',NULL,NULL,1),(171,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','231','170','Immobilisations corporelles en cours',NULL,NULL,1),(172,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','232','170','Immobilisations incorporelles en cours',NULL,NULL,1),(173,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','237','170','Avances et acomptes versés sur immobilisations incorporelles',NULL,NULL,1),(174,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','238','170','Avances et acomptes versés sur commandes d\'immobilisations corporelles',NULL,NULL,1),(175,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','25','1502','Parts dans des entreprises liées et créances sur des entreprises liées',NULL,NULL,1),(176,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','26','1502','Participations et créances rattachées à des participations',NULL,NULL,1),(177,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','261','176','Titres de participation',NULL,NULL,1),(178,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','266','176','Autres formes de participation',NULL,NULL,1),(179,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','267','176','Créances rattachées à des participations',NULL,NULL,1),(180,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','268','176','Créances rattachées à des sociétés en participation',NULL,NULL,1),(181,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','269','176','Versements restant à effectuer sur titres de participation non libérés',NULL,NULL,1),(182,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','27','1502','Autres immobilisations financieres',NULL,NULL,1),(183,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','271','183','Titres immobilisés autres que les titres immobilisés de l\'activité de portefeuille (droit de propriété)',NULL,NULL,1),(184,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','272','183','Titres immobilisés (droit de créance)',NULL,NULL,1),(185,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','273','183','Titres immobilisés de l\'activité de portefeuille',NULL,NULL,1),(186,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','274','183','Prêts',NULL,NULL,1),(187,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','275','183','Dépôts et cautionnements versés',NULL,NULL,1),(188,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','276','183','Autres créances immobilisées',NULL,NULL,1),(189,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','277','183','(Actions propres ou parts propres)',NULL,NULL,1),(190,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','279','183','Versements restant à effectuer sur titres immobilisés non libérés',NULL,NULL,1),(191,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','28','1502','Amortissements des immobilisations',NULL,NULL,1),(192,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','280','191','Amortissements des immobilisations incorporelles',NULL,NULL,1),(193,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','281','191','Amortissements des immobilisations corporelles',NULL,NULL,1),(194,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','282','191','Amortissements des immobilisations mises en concession',NULL,NULL,1),(195,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','29','1502','Dépréciations des immobilisations',NULL,NULL,1),(196,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','290','195','Dépréciations des immobilisations incorporelles',NULL,NULL,1),(197,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','291','195','Dépréciations des immobilisations corporelles',NULL,NULL,1),(198,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','292','195','Dépréciations des immobilisations mises en concession',NULL,NULL,1),(199,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','293','195','Dépréciations des immobilisations en cours',NULL,NULL,1),(200,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','296','195','Provisions pour dépréciation des participations et créances rattachées à des participations',NULL,NULL,1),(201,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','297','195','Provisions pour dépréciation des autres immobilisations financières',NULL,NULL,1),(202,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','31','1503','Matières premières (et fournitures)',NULL,NULL,1),(203,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','311','202','Matières (ou groupe) A',NULL,NULL,1),(204,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','312','202','Matières (ou groupe) B',NULL,NULL,1),(205,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','317','202','Fournitures A, B, C,',NULL,NULL,1),(206,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','32','1503','Autres approvisionnements',NULL,NULL,1),(207,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','321','206','Matières consommables',NULL,NULL,1),(208,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','322','206','Fournitures consommables',NULL,NULL,1),(209,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','326','206','Emballages',NULL,NULL,1),(210,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','33','1503','En-cours de production de biens',NULL,NULL,1),(211,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','331','210','Produits en cours',NULL,NULL,1),(212,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','335','210','Travaux en cours',NULL,NULL,1),(213,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','34','1503','En-cours de production de services',NULL,NULL,1),(214,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','341','213','Etudes en cours',NULL,NULL,1),(215,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','345','213','Prestations de services en cours',NULL,NULL,1),(216,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','35','1503','Stocks de produits',NULL,NULL,1),(217,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','351','216','Produits intermédiaires',NULL,NULL,1),(218,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','355','216','Produits finis',NULL,NULL,1),(219,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','358','216','Produits résiduels (ou matières de récupération)',NULL,NULL,1),(220,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','37','1503','Stocks de marchandises',NULL,NULL,1),(221,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','371','220','Marchandises (ou groupe) A',NULL,NULL,1),(222,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','372','220','Marchandises (ou groupe) B',NULL,NULL,1),(223,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','39','1503','Provisions pour dépréciation des stocks et en-cours',NULL,NULL,1),(224,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','391','223','Provisions pour dépréciation des matières premières',NULL,NULL,1),(225,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','392','223','Provisions pour dépréciation des autres approvisionnements',NULL,NULL,1),(226,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','393','223','Provisions pour dépréciation des en-cours de production de biens',NULL,NULL,1),(227,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','394','223','Provisions pour dépréciation des en-cours de production de services',NULL,NULL,1),(228,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','395','223','Provisions pour dépréciation des stocks de produits',NULL,NULL,1),(229,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','397','223','Provisions pour dépréciation des stocks de marchandises',NULL,NULL,1),(230,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','40','1504','Fournisseurs et Comptes rattachés',NULL,NULL,1),(231,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','400','230','Fournisseurs et Comptes rattachés',NULL,NULL,1),(232,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','SUPPLIER','401','230','Fournisseurs',NULL,NULL,1),(233,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','403','230','Fournisseurs - Effets à payer',NULL,NULL,1),(234,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','404','230','Fournisseurs d\'immobilisations',NULL,NULL,1),(235,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','405','230','Fournisseurs d\'immobilisations - Effets à payer',NULL,NULL,1),(236,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','408','230','Fournisseurs - Factures non parvenues',NULL,NULL,1),(237,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','409','230','Fournisseurs débiteurs',NULL,NULL,1),(238,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','41','1504','Clients et comptes rattachés',NULL,NULL,1),(239,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','410','238','Clients et Comptes rattachés',NULL,NULL,1),(240,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','CUSTOMER','411','238','Clients',NULL,NULL,1),(241,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','413','238','Clients - Effets à recevoir',NULL,NULL,1),(242,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','416','238','Clients douteux ou litigieux',NULL,NULL,1),(243,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','418','238','Clients - Produits non encore facturés',NULL,NULL,1),(244,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','419','238','Clients créditeurs',NULL,NULL,1),(245,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','42','1504','Personnel et comptes rattachés',NULL,NULL,1),(246,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','421','245','Personnel - Rémunérations dues',NULL,NULL,1),(247,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','422','245','Comités d\'entreprises, d\'établissement, ...',NULL,NULL,1),(248,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','424','245','Participation des salariés aux résultats',NULL,NULL,1),(249,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','425','245','Personnel - Avances et acomptes',NULL,NULL,1),(250,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','426','245','Personnel - Dépôts',NULL,NULL,1),(251,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','427','245','Personnel - Oppositions',NULL,NULL,1),(252,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','428','245','Personnel - Charges à payer et produits à recevoir',NULL,NULL,1),(253,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','43','1504','Sécurité sociale et autres organismes sociaux',NULL,NULL,1),(254,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','431','253','Sécurité sociale',NULL,NULL,1),(255,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','437','253','Autres organismes sociaux',NULL,NULL,1),(256,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','438','253','Organismes sociaux - Charges à payer et produits à recevoir',NULL,NULL,1),(257,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','44','1504','État et autres collectivités publiques',NULL,NULL,1),(258,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','441','257','État - Subventions à recevoir',NULL,NULL,1),(259,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','442','257','Etat - Impôts et taxes recouvrables sur des tiers',NULL,NULL,1),(260,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','443','257','Opérations particulières avec l\'Etat, les collectivités publiques, les organismes internationaux',NULL,NULL,1),(261,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','444','257','Etat - Impôts sur les bénéfices',NULL,NULL,1),(262,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','445','257','Etat - Taxes sur le chiffre d\'affaires',NULL,NULL,1),(263,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','446','257','Obligations cautionnées',NULL,NULL,1),(264,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','447','257','Autres impôts, taxes et versements assimilés',NULL,NULL,1),(265,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','448','257','Etat - Charges à payer et produits à recevoir',NULL,NULL,1),(266,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','449','257','Quotas d\'émission à restituer à l\'Etat',NULL,NULL,1),(267,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','45','1504','Groupe et associes',NULL,NULL,1),(268,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','451','267','Groupe',NULL,NULL,1),(269,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','455','267','Associés - Comptes courants',NULL,NULL,1),(270,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','456','267','Associés - Opérations sur le capital',NULL,NULL,1),(271,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','457','267','Associés - Dividendes à payer',NULL,NULL,1),(272,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','458','267','Associés - Opérations faites en commun et en G.I.E.',NULL,NULL,1),(273,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','46','1504','Débiteurs divers et créditeurs divers',NULL,NULL,1),(274,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','462','273','Créances sur cessions d\'immobilisations',NULL,NULL,1),(275,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','464','273','Dettes sur acquisitions de valeurs mobilières de placement',NULL,NULL,1),(276,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','465','273','Créances sur cessions de valeurs mobilières de placement',NULL,NULL,1),(277,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','467','273','Autres comptes débiteurs ou créditeurs',NULL,NULL,1),(278,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','468','273','Divers - Charges à payer et produits à recevoir',NULL,NULL,1),(279,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','47','1504','Comptes transitoires ou d\'attente',NULL,NULL,1),(280,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','471','279','Comptes d\'attente',NULL,NULL,1),(281,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','476','279','Différence de conversion - Actif',NULL,NULL,1),(282,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','477','279','Différences de conversion - Passif',NULL,NULL,1),(283,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','478','279','Autres comptes transitoires',NULL,NULL,1),(284,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','48','1504','Comptes de régularisation',NULL,NULL,1),(285,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','481','284','Charges à répartir sur plusieurs exercices',NULL,NULL,1),(286,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','486','284','Charges constatées d\'avance',NULL,NULL,1),(287,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','487','284','Produits constatés d\'avance',NULL,NULL,1),(288,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','488','284','Comptes de répartition périodique des charges et des produits',NULL,NULL,1),(289,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','489','284','Quotas d\'émission alloués par l\'Etat',NULL,NULL,1),(290,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','49','1504','Provisions pour dépréciation des comptes de tiers',NULL,NULL,1),(291,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','491','290','Provisions pour dépréciation des comptes de clients',NULL,NULL,1),(292,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','495','290','Provisions pour dépréciation des comptes du groupe et des associés',NULL,NULL,1),(293,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','496','290','Provisions pour dépréciation des comptes de débiteurs divers',NULL,NULL,1),(294,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','50','1505','Valeurs mobilières de placement',NULL,NULL,1),(295,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','501','294','Parts dans des entreprises liées',NULL,NULL,1),(296,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','502','294','Actions propres',NULL,NULL,1),(297,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','503','294','Actions',NULL,NULL,1),(298,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','504','294','Autres titres conférant un droit de propriété',NULL,NULL,1),(299,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','505','294','Obligations et bons émis par la société et rachetés par elle',NULL,NULL,1),(300,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','506','294','Obligations',NULL,NULL,1),(301,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','507','294','Bons du Trésor et bons de caisse à court terme',NULL,NULL,1),(302,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','508','294','Autres valeurs mobilières de placement et autres créances assimilées',NULL,NULL,1),(303,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','509','294','Versements restant à effectuer sur valeurs mobilières de placement non libérées',NULL,NULL,1),(304,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','51','1505','Banques, établissements financiers et assimilés',NULL,NULL,1),(305,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','511','304','Valeurs à l\'encaissement',NULL,NULL,1),(306,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','BANK','512','304','Banques',NULL,NULL,1),(307,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','514','304','Chèques postaux',NULL,NULL,1),(308,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','515','304','\"Caisses\" du Trésor et des établissements publics',NULL,NULL,1),(309,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','516','304','Sociétés de bourse',NULL,NULL,1),(310,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','517','304','Autres organismes financiers',NULL,NULL,1),(311,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','518','304','Intérêts courus',NULL,NULL,1),(312,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','519','304','Concours bancaires courants',NULL,NULL,1),(313,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','52','1505','Instruments de trésorerie',NULL,NULL,1),(314,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','CASH','53','1505','Caisse',NULL,NULL,1),(315,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','531','314','Caisse siège social',NULL,NULL,1),(316,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','532','314','Caisse succursale (ou usine) A',NULL,NULL,1),(317,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','533','314','Caisse succursale (ou usine) B',NULL,NULL,1),(318,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','54','1505','Régies d\'avance et accréditifs',NULL,NULL,1),(319,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','58','1505','Virements internes',NULL,NULL,1),(320,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','59','1505','Provisions pour dépréciation des comptes financiers',NULL,NULL,1),(321,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','590','320','Provisions pour dépréciation des valeurs mobilières de placement',NULL,NULL,1),(322,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','PRODUCT','60','1506','Achats',NULL,NULL,1),(323,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','601','322','Achats stockés - Matières premières (et fournitures)',NULL,NULL,1),(324,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','602','322','Achats stockés - Autres approvisionnements',NULL,NULL,1),(325,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','603','322','Variations des stocks (approvisionnements et marchandises)',NULL,NULL,1),(326,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','604','322','Achats stockés - Matières premières (et fournitures)',NULL,NULL,1),(327,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','605','322','Achats de matériel, équipements et travaux',NULL,NULL,1),(328,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','606','322','Achats non stockés de matière et fournitures',NULL,NULL,1),(329,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','607','322','Achats de marchandises',NULL,NULL,1),(330,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','608','322','(Compte réservé, le cas échéant, à la récapitulation des frais accessoires incorporés aux achats)',NULL,NULL,1),(331,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','609','322','Rabais, remises et ristournes obtenus sur achats',NULL,NULL,1),(332,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','SERVICE','61','1506','Services extérieurs',NULL,NULL,1),(333,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','611','332','Sous-traitance générale',NULL,NULL,1),(334,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','612','332','Redevances de crédit-bail',NULL,NULL,1),(335,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','613','332','Locations',NULL,NULL,1),(336,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','614','332','Charges locatives et de copropriété',NULL,NULL,1),(337,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','615','332','Entretien et réparations',NULL,NULL,1),(338,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','616','332','Primes d\'assurances',NULL,NULL,1),(339,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','617','332','Etudes et recherches',NULL,NULL,1),(340,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','618','332','Divers',NULL,NULL,1),(341,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','619','332','Rabais, remises et ristournes obtenus sur services extérieurs',NULL,NULL,1),(342,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','62','1506','Autres services extérieurs',NULL,NULL,1),(343,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','621','342','Personnel extérieur à l\'entreprise',NULL,NULL,1),(344,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','622','342','Rémunérations d\'intermédiaires et honoraires',NULL,NULL,1),(345,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','623','342','Publicité, publications, relations publiques',NULL,NULL,1),(346,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','624','342','Transports de biens et transports collectifs du personnel',NULL,NULL,1),(347,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','625','342','Déplacements, missions et réceptions',NULL,NULL,1),(348,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','626','342','Frais postaux et de télécommunications',NULL,NULL,1),(349,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','627','342','Services bancaires et assimilés',NULL,NULL,1),(350,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','628','342','Divers',NULL,NULL,1),(351,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','629','342','Rabais, remises et ristournes obtenus sur autres services extérieurs',NULL,NULL,1),(352,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','63','1506','Impôts, taxes et versements assimilés',NULL,NULL,1),(353,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','631','352','Impôts, taxes et versements assimilés sur rémunérations (administrations des impôts)',NULL,NULL,1),(354,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','633','352','Impôts, taxes et versements assimilés sur rémunérations (autres organismes)',NULL,NULL,1),(355,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','635','352','Autres impôts, taxes et versements assimilés (administrations des impôts)',NULL,NULL,1),(356,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','637','352','Autres impôts, taxes et versements assimilés (autres organismes)',NULL,NULL,1),(357,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','64','1506','Charges de personnel',NULL,NULL,1),(358,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','641','357','Rémunérations du personnel',NULL,NULL,1),(359,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','644','357','Rémunération du travail de l\'exploitant',NULL,NULL,1),(360,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','SOCIAL','645','357','Charges de sécurité sociale et de prévoyance',NULL,NULL,1),(361,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','646','357','Cotisations sociales personnelles de l\'exploitant',NULL,NULL,1),(362,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','647','357','Autres charges sociales',NULL,NULL,1),(363,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','648','357','Autres charges de personnel',NULL,NULL,1),(364,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','65','1506','Autres charges de gestion courante',NULL,NULL,1),(365,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','651','364','Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires',NULL,NULL,1),(366,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','653','364','Jetons de présence',NULL,NULL,1),(367,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','654','364','Pertes sur créances irrécouvrables',NULL,NULL,1),(368,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','655','364','Quote-part de résultat sur opérations faites en commun',NULL,NULL,1),(369,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','658','364','Charges diverses de gestion courante',NULL,NULL,1),(370,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','66','1506','Charges financières',NULL,NULL,1),(371,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','661','370','Charges d\'intérêts',NULL,NULL,1),(372,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','664','370','Pertes sur créances liées à des participations',NULL,NULL,1),(373,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','665','370','Escomptes accordés',NULL,NULL,1),(374,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','666','370','Pertes de change',NULL,NULL,1),(375,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','667','370','Charges nettes sur cessions de valeurs mobilières de placement',NULL,NULL,1),(376,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','668','370','Autres charges financières',NULL,NULL,1),(377,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','67','1506','Charges exceptionnelles',NULL,NULL,1),(378,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','671','377','Charges exceptionnelles sur opérations de gestion',NULL,NULL,1),(379,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','672','377','(Compte à la disposition des entités pour enregistrer, en cours d\'exercice, les charges sur exercices antérieurs)',NULL,NULL,1),(380,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','675','377','Valeurs comptables des éléments d\'actif cédés',NULL,NULL,1),(381,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','678','377','Autres charges exceptionnelles',NULL,NULL,1),(382,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','68','1506','Dotations aux amortissements et aux provisions',NULL,NULL,1),(383,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','681','382','Dotations aux amortissements et aux provisions - Charges d\'exploitation',NULL,NULL,1),(384,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','686','382','Dotations aux amortissements et aux provisions - Charges financières',NULL,NULL,1),(385,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','687','382','Dotations aux amortissements et aux provisions - Charges exceptionnelles',NULL,NULL,1),(386,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','69','1506','Participation des salariés - impôts sur les bénéfices et assimiles',NULL,NULL,1),(387,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','691','386','Participation des salariés aux résultats',NULL,NULL,1),(388,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','695','386','Impôts sur les bénéfices',NULL,NULL,1),(389,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','696','386','Suppléments d\'impôt sur les sociétés liés aux distributions',NULL,NULL,1),(390,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','697','386','Imposition forfaitaire annuelle des sociétés',NULL,NULL,1),(391,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','698','386','Intégration fiscale',NULL,NULL,1),(392,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','699','386','Produits - Reports en arrière des déficits',NULL,NULL,1),(393,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','70','1507','Ventes de produits fabriqués, prestations de services, marchandises',NULL,NULL,1),(394,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','PRODUCT','701','393','Ventes de produits finis',NULL,NULL,1),(395,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','702','393','Ventes de produits intermédiaires',NULL,NULL,1),(396,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','703','393','Ventes de produits résiduels',NULL,NULL,1),(397,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','704','393','Travaux',NULL,NULL,1),(398,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','705','393','Etudes',NULL,NULL,1),(399,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','SERVICE','706','393','Prestations de services',NULL,NULL,1),(400,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','PRODUCT','707','393','Ventes de marchandises',NULL,NULL,1),(401,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','PRODUCT','708','393','Produits des activités annexes',NULL,NULL,1),(402,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','709','393','Rabais, remises et ristournes accordés par l\'entreprise',NULL,NULL,1),(403,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','71','1507','Production stockée (ou déstockage)',NULL,NULL,1),(404,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','713','403','Variation des stocks (en-cours de production, produits)',NULL,NULL,1),(405,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','72','1507','Production immobilisée',NULL,NULL,1),(406,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','721','405','Immobilisations incorporelles',NULL,NULL,1),(407,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','722','405','Immobilisations corporelles',NULL,NULL,1),(408,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','74','1507','Subventions d\'exploitation',NULL,NULL,1),(409,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','75','1507','Autres produits de gestion courante',NULL,NULL,1),(410,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','751','409','Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires',NULL,NULL,1),(411,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','752','409','Revenus des immeubles non affectés à des activités professionnelles',NULL,NULL,1),(412,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','753','409','Jetons de présence et rémunérations d\'administrateurs, gérants,...',NULL,NULL,1),(413,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','754','409','Ristournes perçues des coopératives (provenant des excédents)',NULL,NULL,1),(414,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','755','409','Quotes-parts de résultat sur opérations faites en commun',NULL,NULL,1),(415,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','758','409','Produits divers de gestion courante',NULL,NULL,1),(416,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','76','1507','Produits financiers',NULL,NULL,1),(417,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','761','416','Produits de participations',NULL,NULL,1),(418,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','762','416','Produits des autres immobilisations financières',NULL,NULL,1),(419,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','763','416','Revenus des autres créances',NULL,NULL,1),(420,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','764','416','Revenus des valeurs mobilières de placement',NULL,NULL,1),(421,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','765','416','Escomptes obtenus',NULL,NULL,1),(422,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','766','416','Gains de change',NULL,NULL,1),(423,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','767','416','Produits nets sur cessions de valeurs mobilières de placement',NULL,NULL,1),(424,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','768','416','Autres produits financiers',NULL,NULL,1),(425,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','77','1507','Produits exceptionnels',NULL,NULL,1),(426,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','771','425','Produits exceptionnels sur opérations de gestion',NULL,NULL,1),(427,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','772','425','(Compte à la disposition des entités pour enregistrer, en cours d\'exercice, les produits sur exercices antérieurs)',NULL,NULL,1),(428,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','775','425','Produits des cessions d\'éléments d\'actif',NULL,NULL,1),(429,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','777','425','Quote-part des subventions d\'investissement virée au résultat de l\'exercice',NULL,NULL,1),(430,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','778','425','Autres produits exceptionnels',NULL,NULL,1),(431,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','78','1507','Reprises sur amortissements et provisions',NULL,NULL,1),(432,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','781','431','Reprises sur amortissements et provisions (à inscrire dans les produits d\'exploitation)',NULL,NULL,1),(433,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','786','431','Reprises sur provisions pour risques (à inscrire dans les produits financiers)',NULL,NULL,1),(434,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','787','431','Reprises sur provisions (à inscrire dans les produits exceptionnels)',NULL,NULL,1),(435,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','79','1507','Transferts de charges',NULL,NULL,1),(436,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','791','435','Transferts de charges d\'exploitation ',NULL,NULL,1),(437,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','796','435','Transferts de charges financières',NULL,NULL,1),(438,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','797','435','Transferts de charges exceptionnelles',NULL,NULL,1),(439,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','10','1351','Capital',NULL,NULL,1),(440,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','100','439','Capital souscrit ou capital personnel',NULL,NULL,1),(441,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1000','440','Capital non amorti',NULL,NULL,1),(442,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1001','440','Capital amorti',NULL,NULL,1),(443,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','101','439','Capital non appelé',NULL,NULL,1),(444,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','109','439','Compte de l\'exploitant',NULL,NULL,1),(445,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1090','444','Opérations courantes',NULL,NULL,1),(446,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1091','444','Impôts personnels',NULL,NULL,1),(447,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1092','444','Rémunérations et autres avantages',NULL,NULL,1),(448,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','11','1351','Primes d\'émission',NULL,NULL,1),(449,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','12','1351','Plus-values de réévaluation',NULL,NULL,1),(450,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','120','449','Plus-values de réévaluation sur immobilisations incorporelles',NULL,NULL,1),(451,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1200','450','Plus-values de réévaluation',NULL,NULL,1),(452,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1201','450','Reprises de réductions de valeur',NULL,NULL,1),(453,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','121','449','Plus-values de réévaluation sur immobilisations corporelles',NULL,NULL,1),(454,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1210','453','Plus-values de réévaluation',NULL,NULL,1),(455,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1211','453','Reprises de réductions de valeur',NULL,NULL,1),(456,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','122','449','Plus-values de réévaluation sur immobilisations financières',NULL,NULL,1),(457,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1220','456','Plus-values de réévaluation',NULL,NULL,1),(458,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1221','456','Reprises de réductions de valeur',NULL,NULL,1),(459,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','123','449','Plus-values de réévaluation sur stocks',NULL,NULL,1),(460,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','124','449','Reprises de réductions de valeur sur placements de trésorerie',NULL,NULL,1),(461,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','13','1351','Réserve',NULL,NULL,1),(462,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','130','461','Réserve légale',NULL,NULL,1),(463,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','131','461','Réserves indisponibles',NULL,NULL,1),(464,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1310','463','Réserve pour actions propres',NULL,NULL,1),(465,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1311','463','Autres réserves indisponibles',NULL,NULL,1),(466,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','132','461','Réserves immunisées',NULL,NULL,1),(467,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','133','461','Réserves disponibles',NULL,NULL,1),(468,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1330','467','Réserve pour régularisation de dividendes',NULL,NULL,1),(469,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1331','467','Réserve pour renouvellement des immobilisations',NULL,NULL,1),(470,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1332','467','Réserve pour installations en faveur du personnel 1333 Réserves libres',NULL,NULL,1),(471,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','14','1351','Bénéfice reporté (ou perte reportée)',NULL,NULL,1),(472,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','15','1351','Subsides en capital',NULL,NULL,1),(473,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','150','472','Montants obtenus',NULL,NULL,1),(474,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','151','472','Montants transférés aux résultats',NULL,NULL,1),(475,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','16','1351','Provisions pour risques et charges',NULL,NULL,1),(476,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','160','475','Provisions pour pensions et obligations similaires',NULL,NULL,1),(477,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','161','475','Provisions pour charges fiscales',NULL,NULL,1),(478,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','162','475','Provisions pour grosses réparations et gros entretiens',NULL,NULL,1),(479,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','163','475','à 169 Provisions pour autres risques et charges',NULL,NULL,1),(480,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','164','475','Provisions pour sûretés personnelles ou réelles constituées à l\'appui de dettes et d\'engagements de tiers',NULL,NULL,1),(481,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','165','475','Provisions pour engagements relatifs à l\'acquisition ou à la cession d\'immobilisations',NULL,NULL,1),(482,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','166','475','Provisions pour exécution de commandes passées ou reçues',NULL,NULL,1),(483,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','167','475','Provisions pour positions et marchés à terme en devises ou positions et marchés à terme en marchandises',NULL,NULL,1),(484,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','168','475','Provisions pour garanties techniques attachées aux ventes et prestations déjà effectuées par l\'entreprise',NULL,NULL,1),(485,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','169','475','Provisions pour autres risques et charges',NULL,NULL,1),(486,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1690','485','Pour litiges en cours',NULL,NULL,1),(487,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1691','485','Pour amendes, doubles droits et pénalités',NULL,NULL,1),(488,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1692','485','Pour propre assureur',NULL,NULL,1),(489,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1693','485','Pour risques inhérents aux opérations de crédits à moyen ou long terme',NULL,NULL,1),(490,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1695','485','Provision pour charge de liquidation',NULL,NULL,1),(491,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1696','485','Provision pour départ de personnel',NULL,NULL,1),(492,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1699','485','Pour risques divers',NULL,NULL,1),(493,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17','1351','Dettes à plus d\'un an',NULL,NULL,1),(494,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','170','493','Emprunts subordonnés',NULL,NULL,1),(495,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1700','494','Convertibles',NULL,NULL,1),(496,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1701','494','Non convertibles',NULL,NULL,1),(497,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','171','493','Emprunts obligataires non subordonnés',NULL,NULL,1),(498,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1710','498','Convertibles',NULL,NULL,1),(499,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1711','498','Non convertibles',NULL,NULL,1),(500,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','172','493','Dettes de location-financement et assimilés',NULL,NULL,1),(501,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1720','500','Dettes de location-financement de biens immobiliers',NULL,NULL,1),(502,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1721','500','Dettes de location-financement de biens mobiliers',NULL,NULL,1),(503,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1722','500','Dettes sur droits réels sur immeubles',NULL,NULL,1),(504,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','173','493','Etablissements de crédit',NULL,NULL,1),(505,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1730','504','Dettes en compte',NULL,NULL,1),(506,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17300','505','Banque A',NULL,NULL,1),(507,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17301','505','Banque B',NULL,NULL,1),(508,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17302','505','Banque C',NULL,NULL,1),(509,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17303','505','Banque D',NULL,NULL,1),(510,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1731','504','Promesses',NULL,NULL,1),(511,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17310','510','Banque A',NULL,NULL,1),(512,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17311','510','Banque B',NULL,NULL,1),(513,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17312','510','Banque C',NULL,NULL,1),(514,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17313','510','Banque D',NULL,NULL,1),(515,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1732','504','Crédits d\'acceptation',NULL,NULL,1),(516,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17320','515','Banque A',NULL,NULL,1),(517,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17321','515','Banque B',NULL,NULL,1),(518,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17322','515','Banque C',NULL,NULL,1),(519,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17323','515','Banque D',NULL,NULL,1),(520,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','174','493','Autres emprunts',NULL,NULL,1),(521,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175','493','Dettes commerciales',NULL,NULL,1),(522,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1750','521','Fournisseurs : dettes en compte',NULL,NULL,1),(523,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17500','522','Entreprises apparentées',NULL,NULL,1),(524,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175000','523','Entreprises liées',NULL,NULL,1),(525,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175001','523','Entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(526,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17501','522','Fournisseurs ordinaires',NULL,NULL,1),(527,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175010','526','Fournisseurs belges',NULL,NULL,1),(528,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175011','526','Fournisseurs C.E.E.',NULL,NULL,1),(529,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175012','526','Fournisseurs importation',NULL,NULL,1),(530,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1751','521','Effets à payer',NULL,NULL,1),(531,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17510','530','Entreprises apparentées',NULL,NULL,1),(532,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175100','531','Entreprises liées',NULL,NULL,1),(533,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175101','531','Entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(534,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','17511','530','Fournisseurs ordinaires',NULL,NULL,1),(535,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175110','534','Fournisseurs belges',NULL,NULL,1),(536,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175111','534','Fournisseurs C.E.E.',NULL,NULL,1),(537,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','175112','534','Fournisseurs importation',NULL,NULL,1),(538,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','176','493','Acomptes reçus sur commandes',NULL,NULL,1),(539,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','178','493','Cautionnements reçus en numéraires',NULL,NULL,1),(540,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','179','493','Dettes diverses',NULL,NULL,1),(541,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1790','540','Entreprises liées',NULL,NULL,1),(542,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1791','540','Autres entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(543,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1792','540','Administrateurs, gérants et associés',NULL,NULL,1),(544,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1794','540','Rentes viagères capitalisées',NULL,NULL,1),(545,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1798','540','Dettes envers les coparticipants des associations momentanées et en participation',NULL,NULL,1),(546,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1799','540','Autres dettes diverses',NULL,NULL,1),(547,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','18','1351','Comptes de liaison des établissements et succursales',NULL,NULL,1),(548,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','20','1352','Frais d\'établissement',NULL,NULL,1),(549,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','200','548','Frais de constitution et d\'augmentation de capital',NULL,NULL,1),(550,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2000','549','Frais de constitution et d\'augmentation de capital',NULL,NULL,1),(551,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2009','549','Amortissements sur frais de constitution et d\'augmentation de capital',NULL,NULL,1),(552,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','201','548','Frais d\'émission d\'emprunts et primes de remboursement',NULL,NULL,1),(553,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2010','552','Agios sur emprunts et frais d\'émission d\'emprunts',NULL,NULL,1),(554,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2019','552','Amortissements sur agios sur emprunts et frais d\'émission d\'emprunts',NULL,NULL,1),(555,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','202','548','Autres frais d\'établissement',NULL,NULL,1),(556,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2020','555','Autres frais d\'établissement',NULL,NULL,1),(557,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2029','555','Amortissements sur autres frais d\'établissement',NULL,NULL,1),(558,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','203','548','Intérêts intercalaires',NULL,NULL,1),(559,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2030','558','Intérêts intercalaires',NULL,NULL,1),(560,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2039','558','Amortissements sur intérêts intercalaires',NULL,NULL,1),(561,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','204','548','Frais de restructuration',NULL,NULL,1),(562,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2040','561','Coût des frais de restructuration',NULL,NULL,1),(563,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2049','561','Amortissements sur frais de restructuration',NULL,NULL,1),(564,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','21','1352','Immobilisations incorporelles',NULL,NULL,1),(565,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','210','564','Frais de recherche et de développement',NULL,NULL,1),(566,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2100','565','Frais de recherche et de mise au point',NULL,NULL,1),(567,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2108','565','Plus-values actées sur frais de recherche et de mise au point',NULL,NULL,1),(568,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2109','565','Amortissements sur frais de recherche et de mise au point',NULL,NULL,1),(569,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','211','564','Concessions, brevets, licences, savoir-faire, marque et droits similaires',NULL,NULL,1),(570,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2110','569','Concessions, brevets, licences, marques, etc',NULL,NULL,1),(571,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2118','569','Plus-values actées sur concessions, etc',NULL,NULL,1),(572,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2119','569','Amortissements sur concessions, etc',NULL,NULL,1),(573,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','212','564','Goodwill',NULL,NULL,1),(574,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2120','573','Coût d\'acquisition',NULL,NULL,1),(575,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2128','573','Plus-values actées',NULL,NULL,1),(576,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2129','573','Amortissements sur goodwill',NULL,NULL,1),(577,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','213','564','Acomptes versés',NULL,NULL,1),(578,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22','1352','Terrains et constructions',NULL,NULL,1),(579,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','220','578','Terrains',NULL,NULL,1),(580,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2200','579','Terrains',NULL,NULL,1),(581,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2201','579','Frais d\'acquisition sur terrains',NULL,NULL,1),(582,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2208','579','Plus-values actées sur terrains',NULL,NULL,1),(583,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2209','579','Amortissements et réductions de valeur',NULL,NULL,1),(584,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22090','583','Amortissements sur frais d\'acquisition',NULL,NULL,1),(585,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22091','583','Réductions de valeur sur terrains',NULL,NULL,1),(586,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','221','578','Constructions',NULL,NULL,1),(587,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2210','586','Bâtiments industriels',NULL,NULL,1),(588,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2211','586','Bâtiments administratifs et commerciaux',NULL,NULL,1),(589,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2212','586','Autres bâtiments d\'exploitation',NULL,NULL,1),(590,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2213','586','Voies de transport et ouvrages d\'art',NULL,NULL,1),(591,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2215','586','Constructions sur sol d\'autrui',NULL,NULL,1),(592,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2216','586','Frais d\'acquisition sur constructions',NULL,NULL,1),(593,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2218','586','Plus-values actées',NULL,NULL,1),(594,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22180','593','Sur bâtiments industriels',NULL,NULL,1),(595,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22181','593','Sur bâtiments administratifs et commerciaux',NULL,NULL,1),(596,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22182','593','Sur autres bâtiments d\'exploitation',NULL,NULL,1),(597,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22184','593','Sur voies de transport et ouvrages d\'art',NULL,NULL,1),(598,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2219','586','Amortissements sur constructions',NULL,NULL,1),(599,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22190','598','Sur bâtiments industriels',NULL,NULL,1),(600,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22191','598','Sur bâtiments administratifs et commerciaux',NULL,NULL,1),(601,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22192','598','Sur autres bâtiments d\'exploitation',NULL,NULL,1),(602,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22194','598','Sur voies de transport et ouvrages d\'art',NULL,NULL,1),(603,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22195','598','Sur constructions sur sol d\'autrui',NULL,NULL,1),(604,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22196','598','Sur frais d\'acquisition sur constructions',NULL,NULL,1),(605,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','222','578','Terrains bâtis',NULL,NULL,1),(606,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2220','605','Valeur d\'acquisition',NULL,NULL,1),(607,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22200','606','Bâtiments industriels',NULL,NULL,1),(608,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22201','606','Bâtiments administratifs et commerciaux',NULL,NULL,1),(609,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22202','606','Autres bâtiments d\'exploitation',NULL,NULL,1),(610,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22203','606','Voies de transport et ouvrages d\'art',NULL,NULL,1),(611,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22204','606','Frais d\'acquisition des terrains à bâtir',NULL,NULL,1),(612,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2228','605','Plus-values actées',NULL,NULL,1),(613,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22280','612','Sur bâtiments industriels',NULL,NULL,1),(614,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22281','612','Sur bâtiments administratifs et commerciaux',NULL,NULL,1),(615,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22282','612','Sur autres bâtiments d\'exploitation',NULL,NULL,1),(616,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22283','612','Sur voies de transport et ouvrages d\'art',NULL,NULL,1),(617,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2229','605','Amortissements sur terrains bâtis',NULL,NULL,1),(618,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22290','617','Sur bâtiments industriels',NULL,NULL,1),(619,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22291','617','Sur bâtiments administratifs et commerciaux',NULL,NULL,1),(620,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22292','617','Sur autres bâtiments d\'exploitation',NULL,NULL,1),(621,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22293','617','Sur voies de transport et ouvrages d\'art',NULL,NULL,1),(622,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','22294','617','Sur frais d\'acquisition des terrains bâtis',NULL,NULL,1),(623,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','223','578','Autres droits réels sur des immeubles',NULL,NULL,1),(624,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2230','623','Valeur d\'acquisition',NULL,NULL,1),(625,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2238','623','Plus-values actées',NULL,NULL,1),(626,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2239','623','Amortissements',NULL,NULL,1),(627,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','23','1352','Installations, machines et outillages',NULL,NULL,1),(628,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','230','627','Installations',NULL,NULL,1),(629,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2300','628','Installations bâtiments industriels',NULL,NULL,1),(630,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2301','628','Installations bâtiments administratifs et commerciaux',NULL,NULL,1),(631,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2302','628','Installations bâtiments d\'exploitation',NULL,NULL,1),(632,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2303','628','Installations voies de transport et ouvrages d\'art',NULL,NULL,1),(633,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2300','628','Installation d\'eau',NULL,NULL,1),(634,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2301','628','Installation d\'électricité',NULL,NULL,1),(635,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2302','628','Installation de vapeur',NULL,NULL,1),(636,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2303','628','Installation de gaz',NULL,NULL,1),(637,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2304','628','Installation de chauffage',NULL,NULL,1),(638,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2305','628','Installation de conditionnement d\'air',NULL,NULL,1),(639,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2306','628','Installation de chargement',NULL,NULL,1),(640,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','231','627','Machines',NULL,NULL,1),(641,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2310','640','Division A',NULL,NULL,1),(642,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2311','640','Division B',NULL,NULL,1),(643,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2312','640','Division C',NULL,NULL,1),(644,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','237','627','Outillage',NULL,NULL,1),(645,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2370','644','Division A',NULL,NULL,1),(646,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2371','644','Division B',NULL,NULL,1),(647,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2372','644','Division C',NULL,NULL,1),(648,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','238','627','Plus-values actées',NULL,NULL,1),(649,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2380','648','Sur installations',NULL,NULL,1),(650,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2381','648','Sur machines',NULL,NULL,1),(651,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2382','648','Sur outillage',NULL,NULL,1),(652,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','239','627','Amortissements',NULL,NULL,1),(653,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2390','652','Sur installations',NULL,NULL,1),(654,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2391','652','Sur machines',NULL,NULL,1),(655,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2392','652','Sur outillage',NULL,NULL,1),(656,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24','1352','Mobilier et matériel roulant',NULL,NULL,1),(657,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','240','656','Mobilier',NULL,NULL,1),(658,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2400','656','Mobilier',NULL,NULL,1),(659,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24000','658','Mobilier des bâtiments industriels',NULL,NULL,1),(660,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24001','658','Mobilier des bâtiments administratifs et commerciaux',NULL,NULL,1),(661,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24002','658','Mobilier des autres bâtiments d\'exploitation',NULL,NULL,1),(662,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24003','658','Mobilier oeuvres sociales',NULL,NULL,1),(663,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2401','657','Matériel de bureau et de service social',NULL,NULL,1),(664,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24010','663','Des bâtiments industriels',NULL,NULL,1),(665,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24011','663','Des bâtiments administratifs et commerciaux',NULL,NULL,1),(666,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24012','663','Des autres bâtiments d\'exploitation',NULL,NULL,1),(667,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24013','663','Des oeuvres sociales',NULL,NULL,1),(668,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2408','657','Plus-values actées',NULL,NULL,1),(669,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24080','668','Plus-values actées sur mobilier',NULL,NULL,1),(670,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24081','668','Plus-values actées sur matériel de bureau et service social',NULL,NULL,1),(671,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2409','657','Amortissements',NULL,NULL,1),(672,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24090','671','Amortissements sur mobilier',NULL,NULL,1),(673,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24091','671','Amortissements sur matériel de bureau et service social',NULL,NULL,1),(674,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','241','656','Matériel roulant',NULL,NULL,1),(675,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2410','674','Matériel automobile',NULL,NULL,1),(676,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24100','675','Voitures',NULL,NULL,1),(677,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24105','675','Camions',NULL,NULL,1),(678,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2411','674','Matériel ferroviaire',NULL,NULL,1),(679,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2412','674','Matériel fluvial',NULL,NULL,1),(680,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2413','674','Matériel naval',NULL,NULL,1),(681,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2414','674','Matériel aérien',NULL,NULL,1),(682,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2418','674','Plus-values sur matériel roulant',NULL,NULL,1),(683,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24180','682','Plus-values sur matériel automobile',NULL,NULL,1),(684,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24181','682','Idem sur matériel ferroviaire',NULL,NULL,1),(685,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24182','682','Idem sur matériel fluvial',NULL,NULL,1),(686,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24183','682','Idem sur matériel naval',NULL,NULL,1),(687,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24184','682','Idem sur matériel aérien',NULL,NULL,1),(688,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2419','674','Amortissements sur matériel roulant',NULL,NULL,1),(689,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24190','688','Amortissements sur matériel automobile',NULL,NULL,1),(690,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24191','688','Idem sur matériel ferroviaire',NULL,NULL,1),(691,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24192','688','Idem sur matériel fluvial',NULL,NULL,1),(692,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24193','688','Idem sur matériel naval',NULL,NULL,1),(693,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','24194','688','Idem sur matériel aérien',NULL,NULL,1),(694,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','25','1352','Immobilisation détenues en location-financement et droits similaires',NULL,NULL,1),(695,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','250','694','Terrains et constructions',NULL,NULL,1),(696,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2500','695','Terrains',NULL,NULL,1),(697,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2501','695','Constructions',NULL,NULL,1),(698,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2508','695','Plus-values sur emphytéose,  leasing et droits similaires : terrains et constructions',NULL,NULL,1),(699,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2509','695','Amortissements et réductions de valeur sur terrains et constructions en leasing',NULL,NULL,1),(700,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','251','694','Installations,  machines et outillage',NULL,NULL,1),(701,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2510','700','Installations',NULL,NULL,1),(702,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2511','700','Machines',NULL,NULL,1),(703,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2512','700','Outillage',NULL,NULL,1),(704,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2518','700','Plus-values actées sur installations machines et outillage pris en leasing',NULL,NULL,1),(705,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2519','700','Amortissements sur installations machines et outillage pris en leasing',NULL,NULL,1),(706,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','252','694','Mobilier et matériel roulant',NULL,NULL,1),(707,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2520','706','Mobilier',NULL,NULL,1),(708,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2521','706','Matériel roulant',NULL,NULL,1),(709,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2528','706','Plus-values actées sur mobilier et matériel roulant en leasing',NULL,NULL,1),(710,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2529','706','Amortissements sur mobilier et matériel roulant en leasing',NULL,NULL,1),(711,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','26','1352','Autres immobilisations corporelles',NULL,NULL,1),(712,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','260','711','Frais d\'aménagements de locaux pris en location',NULL,NULL,1),(713,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','261','711','Maison d\'habitation',NULL,NULL,1),(714,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','262','711','Réserve immobilière',NULL,NULL,1),(715,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','263','711','Matériel d\'emballage',NULL,NULL,1),(716,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','264','711','Emballages récupérables',NULL,NULL,1),(717,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','268','711','Plus-values actées sur autres immobilisations corporelles',NULL,NULL,1),(718,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','269','711','Amortissements sur autres immobilisations corporelles',NULL,NULL,1),(719,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2690','718','Amortissements sur frais d\'aménagement des locaux pris en location',NULL,NULL,1),(720,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2691','718','Amortissements sur maison d\'habitation',NULL,NULL,1),(721,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2692','718','Amortissements sur réserve immobilière',NULL,NULL,1),(722,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2693','718','Amortissements sur matériel d\'emballage',NULL,NULL,1),(723,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2694','718','Amortissements sur emballages récupérables',NULL,NULL,1),(724,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','27','1352','Immobilisations corporelles en cours et acomptes versés',NULL,NULL,1),(725,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','270','724','Immobilisations en cours',NULL,NULL,1),(726,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2700','725','Constructions',NULL,NULL,1),(727,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2701','725','Installations machines et outillage',NULL,NULL,1),(728,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2702','725','Mobilier et matériel roulant',NULL,NULL,1),(729,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2703','725','Autres immobilisations corporelles',NULL,NULL,1),(730,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','271','724','Avances et acomptes versés sur immobilisations en cours',NULL,NULL,1),(731,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','28','1352','Immobilisations financières',NULL,NULL,1),(732,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','280','731','Participations dans des entreprises liées',NULL,NULL,1),(733,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2800','732','Valeur d\'acquisition (peut être subdivisé par participation)',NULL,NULL,1),(734,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2801','732','Montants non appelés (idem)',NULL,NULL,1),(735,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2808','732','Plus-values actées (idem)',NULL,NULL,1),(736,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2809','732','Réductions de valeurs actées (idem)',NULL,NULL,1),(737,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','281','731','Créances sur des entreprises liées',NULL,NULL,1),(738,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2810','737','Créances en compte',NULL,NULL,1),(739,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2811','737','Effets à recevoir',NULL,NULL,1),(740,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2812','737','Titres à revenu fixes',NULL,NULL,1),(741,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2817','737','Créances douteuses',NULL,NULL,1),(742,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2819','737','Réductions de valeurs actées',NULL,NULL,1),(743,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','282','731','Participations dans des entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(744,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2820','743','Valeur d\'acquisition (peut être subdivisé par participation)',NULL,NULL,1),(745,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2821','743','Montants non appelés (idem)',NULL,NULL,1),(746,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2828','743','Plus-values actées (idem)',NULL,NULL,1),(747,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2829','743','Réductions de valeurs actées (idem)',NULL,NULL,1),(748,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','283','731','Créances sur des entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(749,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2830','748','Créances en compte',NULL,NULL,1),(750,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2831','748','Effets à recevoir',NULL,NULL,1),(751,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2832','748','Titres à revenu fixe',NULL,NULL,1),(752,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2837','748','Créances douteuses',NULL,NULL,1),(753,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2839','748','Réductions de valeurs actées',NULL,NULL,1),(754,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','284','731','Autres actions et parts',NULL,NULL,1),(755,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2840','754','Valeur d\'acquisition',NULL,NULL,1),(756,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2841','754','Montants non appelés',NULL,NULL,1),(757,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2848','754','Plus-values actées',NULL,NULL,1),(758,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2849','754','Réductions de valeur actées',NULL,NULL,1),(759,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','285','731','Autres créances',NULL,NULL,1),(760,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2850','759','Créances en compte',NULL,NULL,1),(761,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2851','759','Effets à recevoir',NULL,NULL,1),(762,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2852','759','Titres à revenu fixe',NULL,NULL,1),(763,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2857','759','Créances douteuses',NULL,NULL,1),(764,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2859','759','Réductions de valeur actées',NULL,NULL,1),(765,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','288','731','Cautionnements versés en numéraires',NULL,NULL,1),(766,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2880','765','Téléphone, téléfax, télex',NULL,NULL,1),(767,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2881','765','Gaz',NULL,NULL,1),(768,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2882','765','Eau',NULL,NULL,1),(769,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2883','765','Electricité',NULL,NULL,1),(770,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2887','765','Autres cautionnements versés en numéraires',NULL,NULL,1),(771,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29','1352','Créances à plus d\'un an',NULL,NULL,1),(772,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','290','771','Créances commerciales',NULL,NULL,1),(773,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2900','772','Clients',NULL,NULL,1),(774,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29000','773','Créances en compte sur entreprises liées',NULL,NULL,1),(775,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29001','773','Sur entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(776,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29002','773','Sur clients Belgique',NULL,NULL,1),(777,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29003','773','Sur clients C.E.E.',NULL,NULL,1),(778,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29004','773','Sur clients exportation hors C.E.E.',NULL,NULL,1),(779,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29005','773','Créances sur les coparticipants (associations momentanées)',NULL,NULL,1),(780,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2901','772','Effets à recevoir',NULL,NULL,1),(781,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29010','780','Sur entreprises liées',NULL,NULL,1),(782,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29011','780','Sur entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(783,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29012','780','Sur clients Belgique',NULL,NULL,1),(784,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29013','780','Sur clients C.E.E.',NULL,NULL,1),(785,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29014','780','Sur clients exportation hors C.E.E.',NULL,NULL,1),(786,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2905','772','Retenues sur garanties',NULL,NULL,1),(787,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2906','772','Acomptes versés',NULL,NULL,1),(788,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2907','772','Créances douteuses (à ventiler comme clients 2900)',NULL,NULL,1),(789,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2909','772','Réductions de valeur actées (à ventiler comme clients 2900)',NULL,NULL,1),(790,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','291','771','Autres créances',NULL,NULL,1),(791,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2910','790','Créances en compte',NULL,NULL,1),(792,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29100','791','Sur entreprises liées',NULL,NULL,1),(793,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29101','791','Sur entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(794,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29102','791','Sur autres débiteurs',NULL,NULL,1),(795,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2911','790','Effets à recevoir',NULL,NULL,1),(796,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29110','795','Sur entreprises liées',NULL,NULL,1),(797,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29111','795','Sur entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(798,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','29112','795','Sur autres débiteurs',NULL,NULL,1),(799,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2912','790','Créances résultant de la cession d\'immobilisations données en leasing',NULL,NULL,1),(800,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2917','790','Créances douteuses',NULL,NULL,1),(801,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2919','790','Réductions de valeur actées',NULL,NULL,1),(802,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','30','1353','Approvisionnements - matières premières',NULL,NULL,1),(803,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','300','802','Valeur d\'acquisition',NULL,NULL,1),(804,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','309','802','Réductions de valeur actées',NULL,NULL,1),(805,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','31','1353','Approvsionnements et fournitures',NULL,NULL,1),(806,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','310','805','Valeur d\'acquisition',NULL,NULL,1),(807,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3100','806','Matières d\'approvisionnement',NULL,NULL,1),(808,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3101','806','Energie, charbon, coke, mazout, essence, propane',NULL,NULL,1),(809,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3102','806','Produits d\'entretien',NULL,NULL,1),(810,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3103','806','Fournitures diverses et petit outillage',NULL,NULL,1),(811,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3104','806','Imprimés et fournitures de bureau',NULL,NULL,1),(812,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3105','806','Fournitures de services sociaux',NULL,NULL,1),(813,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3106','806','Emballages commerciaux',NULL,NULL,1),(814,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','31060','813','Emballages perdus',NULL,NULL,1),(815,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','31061','813','Emballages récupérables',NULL,NULL,1),(816,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','319','805','Réductions de valeur actées',NULL,NULL,1),(817,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','32','1353','En cours de fabrication',NULL,NULL,1),(818,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','320','817','Valeur d\'acquisition',NULL,NULL,1),(819,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3200','818','Produits semi-ouvrés',NULL,NULL,1),(820,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3201','818','Produits en cours de fabrication',NULL,NULL,1),(821,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3202','818','Travaux en cours',NULL,NULL,1),(822,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3205','818','Déchets',NULL,NULL,1),(823,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3206','818','Rebuts',NULL,NULL,1),(824,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3209','818','Travaux en association momentanée',NULL,NULL,1),(825,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','329','817','Réductions de valeur actées',NULL,NULL,1),(826,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','33','1353','Produits finis',NULL,NULL,1),(827,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','330','826','Valeur d\'acquisition',NULL,NULL,1),(828,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3300','827','Produits finis',NULL,NULL,1),(829,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','339','826','Réductions de valeur actées',NULL,NULL,1),(830,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','34','1353','Marchandises',NULL,NULL,1),(831,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','340','830','Valeur d\'acquisition',NULL,NULL,1),(832,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3400','831','Groupe A',NULL,NULL,1),(833,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3401','831','Groupe B',NULL,NULL,1),(834,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3402','831','Groupe C',NULL,NULL,1),(835,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','349','830','Réductions de valeur actées',NULL,NULL,1),(836,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','35','1353','Immeubles destinés à la vente',NULL,NULL,1),(837,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','350','836','Valeur d\'acquisition',NULL,NULL,1),(838,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3500','837','Immeuble A',NULL,NULL,1),(839,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3501','837','Immeuble B',NULL,NULL,1),(840,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3502','837','Immeuble C',NULL,NULL,1),(841,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','351','836','Immeubles construits en vue de leur revente',NULL,NULL,1),(842,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3510','841','Immeuble A',NULL,NULL,1),(843,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3511','841','Immeuble B',NULL,NULL,1),(844,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3512','841','Immeuble C',NULL,NULL,1),(845,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','359','836','Réductions de valeurs actées',NULL,NULL,1),(846,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','36','1353','Acomptes versés sur achats pour stocks',NULL,NULL,1),(847,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','360','846','Acomptes versés (à ventiler éventuellement par catégorie)',NULL,NULL,1),(848,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','369','846','Réductions de valeur actées',NULL,NULL,1),(849,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','37','1353','Commandes en cours d\'exécution',NULL,NULL,1),(850,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','370','849','Valeur d\'acquisition',NULL,NULL,1),(851,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','371','849','Bénéfice pris en compte',NULL,NULL,1),(852,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','379','849','Réductions de valeur actées',NULL,NULL,1),(853,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','40','1354','Créances commerciales',NULL,NULL,1),(854,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','400','853','Clients',NULL,NULL,1),(855,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4007','854','Rabais, remises et  ristournes à accorder et autres notes de crédit à établir',NULL,NULL,1),(856,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4008','854','Créances résultant de livraisons de biens (associations momentanées)',NULL,NULL,1),(857,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','401','853','Effets à recevoir',NULL,NULL,1),(858,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4010','857','Effets à recevoir',NULL,NULL,1),(859,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4013','857','Effets à l\'encaissement',NULL,NULL,1),(860,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4015','857','Effets à l\'escompte',NULL,NULL,1),(861,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','402','853','Clients, créances courantes, entreprises apparentées, administrateurs et gérants',NULL,NULL,1),(862,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4020','861','Entreprises liées',NULL,NULL,1),(863,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4021','861','Autres entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(864,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4022','861','Administrateurs et gérants d\'entreprise',NULL,NULL,1),(865,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','403','853','Effets à recevoir sur entreprises apparentées et administrateurs et gérants',NULL,NULL,1),(866,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4030','865','Entreprises liées',NULL,NULL,1),(867,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4031','865','Autres entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(868,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4032','865','Administrateurs et gérants de l\'entreprise',NULL,NULL,1),(869,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','404','853','Produits à recevoir (factures à établir)',NULL,NULL,1),(870,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','405','853','Clients : retenues sur garanties',NULL,NULL,1),(871,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','406','853','Acomptes versés',NULL,NULL,1),(872,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','407','853','Créances douteuses',NULL,NULL,1),(873,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','408','853','Compensation clients',NULL,NULL,1),(874,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','409','853','Réductions de valeur actées',NULL,NULL,1),(875,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','41','1354','Autres créances',NULL,NULL,1),(876,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','410','875','Capital appelé, non versé',NULL,NULL,1),(877,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4100','876','Appels de fonds',NULL,NULL,1),(878,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4101','876','Actionnaires défaillants',NULL,NULL,1),(879,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','411','875','T.V.A. à récupérer',NULL,NULL,1),(880,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4110','879','T.V.A. due',NULL,NULL,1),(881,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4111','879','T.V.A. déductible',NULL,NULL,1),(882,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4112','879','Compte courant administration T.V.A.',NULL,NULL,1),(883,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4118','879','Taxe d\'égalisation due',NULL,NULL,1),(884,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','412','875','Impôts et versements fiscaux à récupérer',NULL,NULL,1),(885,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4120','884','Impôts belges sur le résultat',NULL,NULL,1),(886,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4125','884','Autres impôts belges',NULL,NULL,1),(887,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4128','884','Impôts étrangers',NULL,NULL,1),(888,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','414','875','Produits à recevoir',NULL,NULL,1),(889,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','416','875','Créances diverses',NULL,NULL,1),(890,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4160','889','Associés (compte d\'apport en société)',NULL,NULL,1),(891,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4161','889','Avances et prêts au personnel',NULL,NULL,1),(892,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4162','889','Compte courant des associés en S.P.R.L.',NULL,NULL,1),(893,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4163','889','Compte courant des administrateurs et gérants',NULL,NULL,1),(894,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4164','889','Créances sur sociétés apparentées',NULL,NULL,1),(895,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4166','889','Emballages et matériel à rendre',NULL,NULL,1),(896,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4167','889','Etat et établissements publics',NULL,NULL,1),(897,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','41670','896','Subsides à recevoir',NULL,NULL,1),(898,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','41671','896','Autres créances',NULL,NULL,1),(899,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4168','889','Rabais, ristournes et remises à obtenir et autres avoirs non encore reçus',NULL,NULL,1),(900,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','417','875','Créances douteuses',NULL,NULL,1),(901,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','418','875','Cautionnements versés en numéraires',NULL,NULL,1),(902,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','419','875','Réductions de valeur actées',NULL,NULL,1),(903,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','42','1354','Dettes à plus d\'un an échéant dans l\'année',NULL,NULL,1),(904,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','420','903','Emprunts subordonnés',NULL,NULL,1),(905,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4200','904','Convertibles',NULL,NULL,1),(906,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4201','904','Non convertibles',NULL,NULL,1),(907,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','421','903','Emprunts obligataires non subordonnés',NULL,NULL,1),(908,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4210','907','Convertibles',NULL,NULL,1),(909,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4211','907','Non convertibles',NULL,NULL,1),(910,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','422','903','Dettes de location-financement et assimilées',NULL,NULL,1),(911,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4220','910','Financement de biens immobiliers',NULL,NULL,1),(912,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4221','910','Financement de biens mobiliers',NULL,NULL,1),(913,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','423','903','Etablissements de crédit',NULL,NULL,1),(914,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4230','913','Dettes en compte',NULL,NULL,1),(915,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4231','913','Promesses',NULL,NULL,1),(916,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4232','913','Crédits d\'acceptation',NULL,NULL,1),(917,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','424','903','Autres emprunts',NULL,NULL,1),(918,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','425','903','Dettes commerciales',NULL,NULL,1),(919,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4250','918','Fournisseurs',NULL,NULL,1),(920,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4251','918','Effets à payer',NULL,NULL,1),(921,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','426','903','Cautionnements reçus en numéraires',NULL,NULL,1),(922,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','429','903','Dettes diverses',NULL,NULL,1),(923,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4290','922','Entreprises liées',NULL,NULL,1),(924,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4291','922','Entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(925,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4292','922','Administrateurs, gérants, associés',NULL,NULL,1),(926,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4299','922','Autres dettes',NULL,NULL,1),(927,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','43','1354','Dettes financières',NULL,NULL,1),(928,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','430','927','Etablissements de crédit. Emprunts en compte à terme fixe',NULL,NULL,1),(929,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','431','927','Etablissements de crédit. Promesses',NULL,NULL,1),(930,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','432','927','Etablissements de crédit. Crédits d\'acceptation',NULL,NULL,1),(931,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','433','927','Etablissements de crédit. Dettes en compte courant',NULL,NULL,1),(932,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','439','927','Autres emprunts',NULL,NULL,1),(933,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44','1354','Dettes commerciales',NULL,NULL,1),(934,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','440','933','Fournisseurs',NULL,NULL,1),(935,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4400','934','Entreprises apparentées',NULL,NULL,1),(936,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44000','935','Entreprises liées',NULL,NULL,1),(937,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44001','935','Entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(938,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4401','934','Fournisseurs ordinaires',NULL,NULL,1),(939,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44010','938','Fournisseurs belges',NULL,NULL,1),(940,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44011','938','Fournisseurs CEE',NULL,NULL,1),(941,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44012','938','Fournisseurs importation',NULL,NULL,1),(942,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4402','934','Dettes envers les coparticipants (associations momentanées)',NULL,NULL,1),(943,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4403','934','Fournisseurs - retenues de garanties',NULL,NULL,1),(944,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','441','933','Effets à payer',NULL,NULL,1),(945,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4410','944','Entreprises apparentées',NULL,NULL,1),(946,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44100','945','Entreprises liées',NULL,NULL,1),(947,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44101','945','Entreprises avec lesquelles il existe un lien de participation',NULL,NULL,1),(948,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4411','944','Fournisseurs ordinaires',NULL,NULL,1),(949,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44110','948','Fournisseurs belges',NULL,NULL,1),(950,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44111','948','Fournisseurs CEE',NULL,NULL,1),(951,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','44112','948','Fournisseurs importation',NULL,NULL,1),(952,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','444','933','Factures à recevoir',NULL,NULL,1),(953,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','446','933','Acomptes reçus',NULL,NULL,1),(954,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','448','933','Compensations fournisseurs',NULL,NULL,1),(955,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45','1354','Dettes fiscales, salariales et sociales',NULL,NULL,1),(956,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','450','955','Dettes fiscales estimées',NULL,NULL,1),(957,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4501','956','Impôts sur le résultat',NULL,NULL,1),(958,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4505','956','Autres impôts en Belgique',NULL,NULL,1),(959,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4508','956','Impôts à l\'étranger',NULL,NULL,1),(960,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','451','955','T.V.A. à payer',NULL,NULL,1),(961,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4510','960','T.V.A. due',NULL,NULL,1),(962,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4511','960','T.V.A. déductible',NULL,NULL,1),(963,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4512','960','Compte courant administration T.V.A.',NULL,NULL,1),(964,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4518','960','Taxe d\'égalisation due',NULL,NULL,1),(965,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','452','955','Impôts et taxes à payer',NULL,NULL,1),(966,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4520','965','Autres impôts sur le résultat',NULL,NULL,1),(967,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4525','965','Autres impôts et taxes en Belgique',NULL,NULL,1),(968,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45250','967','Précompte immobilier',NULL,NULL,1),(969,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45251','967','Impôts communaux à payer',NULL,NULL,1),(970,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45252','967','Impôts provinciaux à payer',NULL,NULL,1),(971,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45253','967','Autres impôts et taxes à payer',NULL,NULL,1),(972,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4528','965','Impôts et taxes à l\'étranger',NULL,NULL,1),(973,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','453','955','Précomptes retenus',NULL,NULL,1),(974,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4530','973','Précompte professionnel retenu sur rémunérations',NULL,NULL,1),(975,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4531','973','Précompte professionnel retenu sur tantièmes',NULL,NULL,1),(976,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4532','973','Précompte mobilier retenu sur dividendes attribués',NULL,NULL,1),(977,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4533','973','Précompte mobilier retenu sur intérêts payés',NULL,NULL,1),(978,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4538','973','Autres précomptes retenus',NULL,NULL,1),(979,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','454','955','Office National de la Sécurité Sociale',NULL,NULL,1),(980,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4540','979','Arriérés',NULL,NULL,1),(981,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4541','979','1er trimestre',NULL,NULL,1),(982,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4542','979','2ème trimestre',NULL,NULL,1),(983,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4543','979','3ème trimestre',NULL,NULL,1),(984,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4544','979','4ème trimestre',NULL,NULL,1),(985,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','455','955','Rémunérations',NULL,NULL,1),(986,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4550','985','Administrateurs,  gérants et commissaires (non réviseurs)',NULL,NULL,1),(987,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4551','985','Direction',NULL,NULL,1),(988,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4552','985','Employés',NULL,NULL,1),(989,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4553','985','Ouvriers',NULL,NULL,1),(990,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','456','955','Pécules de vacances',NULL,NULL,1),(991,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4560','990','Direction',NULL,NULL,1),(992,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4561','990','Employés',NULL,NULL,1),(993,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4562','990','Ouvriers',NULL,NULL,1),(994,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','459','955','Autres dettes sociales',NULL,NULL,1),(995,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4590','994','Provision pour gratifications de fin d\'année',NULL,NULL,1),(996,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4591','994','Départs de personnel',NULL,NULL,1),(997,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4592','994','Oppositions sur rémunérations',NULL,NULL,1),(998,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4593','994','Assurances relatives au personnel',NULL,NULL,1),(999,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45930','998','Assurance loi',NULL,NULL,1),(1000,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45931','998','Assurance salaire garanti',NULL,NULL,1),(1001,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45932','998','Assurance groupe',NULL,NULL,1),(1002,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','45933','998','Assurances individuelles',NULL,NULL,1),(1003,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4594','994','Caisse d\'assurances sociales pour travailleurs indépendants',NULL,NULL,1),(1004,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4597','994','Dettes et provisions sociales diverses',NULL,NULL,1),(1005,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','46','1354','Acomptes reçus sur commande',NULL,NULL,1),(1006,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','47','1354','Dettes découlant de l\'affectation des résultats',NULL,NULL,1),(1007,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','470','1006','Dividendes et tantièmes d\'exercices antérieurs',NULL,NULL,1),(1008,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','471','1006','Dividendes de l\'exercice',NULL,NULL,1),(1009,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','472','1006','Tantièmes de l\'exercice',NULL,NULL,1),(1010,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','473','1006','Autres allocataires',NULL,NULL,1),(1011,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','48','4','Dettes diverses',NULL,NULL,1),(1012,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','480','1011','Obligations et coupons échus',NULL,NULL,1),(1013,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','481','1011','Actionnaires - capital à rembourser',NULL,NULL,1),(1014,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','482','1011','Participation du personnel à payer',NULL,NULL,1),(1015,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','483','1011','Acomptes reçus d\'autres tiers à moins d\'un an',NULL,NULL,1),(1016,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','486','1011','Emballages et matériel consignés',NULL,NULL,1),(1017,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','488','1011','Cautionnements reçus en numéraires',NULL,NULL,1),(1018,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','489','1011','Autres dettes diverses',NULL,NULL,1),(1019,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','49','1354','Comptes de régularisation et compte d\'attente',NULL,NULL,1),(1020,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','490','1019','Charges à reporter (à subdiviser par catégorie de charges)',NULL,NULL,1),(1021,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','491','1019','Produits acquis',NULL,NULL,1),(1022,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4910','1021','Produits d\'exploitation',NULL,NULL,1),(1023,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','49100','1022','Ristournes et rabais à obtenir',NULL,NULL,1),(1024,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','49101','1022','Commissions à obtenir',NULL,NULL,1),(1025,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','49102','1022','Autres produits d\'exploitation (redevances par exemple)',NULL,NULL,1),(1026,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4911','1021','Produits financiers',NULL,NULL,1),(1027,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','49110','1026','Intérêts courus et non échus sur prêts et débits',NULL,NULL,1),(1028,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','49111','1026','Autres produits financiers',NULL,NULL,1),(1029,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','492','1019','Charges à imputer (à subdiviser par catégorie de charges)',NULL,NULL,1),(1030,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','493','1019','Produits à reporter',NULL,NULL,1),(1031,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4930','1030','Produits d\'exploitation à reporter',NULL,NULL,1),(1032,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4931','1030','Produits financiers à reporter',NULL,NULL,1),(1033,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','499','1019','Comptes d\'attente',NULL,NULL,1),(1034,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4990','1033','Compte d\'attente',NULL,NULL,1),(1035,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4991','1033','Compte de répartition périodique des charges',NULL,NULL,1),(1036,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4999','1033','Transferts d\'exercice',NULL,NULL,1),(1037,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','50','1355','Actions propres',NULL,NULL,1),(1038,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','51','1355','Actions et parts',NULL,NULL,1),(1039,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','510','1038','Valeur d\'acquisition',NULL,NULL,1),(1040,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','511','1038','Montants non appelés',NULL,NULL,1),(1041,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','519','1038','Réductions de valeur actées',NULL,NULL,1),(1042,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','52','1355','Titres à revenus fixes',NULL,NULL,1),(1043,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','520','1042','Valeur d\'acquisition',NULL,NULL,1),(1044,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','529','1042','Réductions de valeur actées',NULL,NULL,1),(1045,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','53','1355','Dépots à terme',NULL,NULL,1),(1046,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','530','1045','De plus d\'un an',NULL,NULL,1),(1047,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','531','1045','De plus d\'un mois et à un an au plus',NULL,NULL,1),(1048,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','532','1045','d\'un mois au plus',NULL,NULL,1),(1049,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','539','1045','Réductions de valeur actées',NULL,NULL,1),(1050,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','54','1355','Valeurs échues à l\'encaissement',NULL,NULL,1),(1051,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','540','1050','Chèques à encaisser',NULL,NULL,1),(1052,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','541','1050','Coupons à encaisser',NULL,NULL,1),(1053,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','55','1355','Etablissements de crédit - Comptes ouverts auprès des divers établissements.',NULL,NULL,1),(1054,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','550','1053','Comptes courants',NULL,NULL,1),(1055,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','551','1053','Chèques émis',NULL,NULL,1),(1056,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','559','1053','Réductions de valeur actées',NULL,NULL,1),(1057,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','56','1355','Office des chèques postaux',NULL,NULL,1),(1058,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','560','1057','Compte courant',NULL,NULL,1),(1059,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','561','1057','Chèques émis',NULL,NULL,1),(1060,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','57','1355','Caisses',NULL,NULL,1),(1061,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','570','1060','à 577 Caisses - espèces ( 0 - centrale ; 7 - succursales et agences)',NULL,NULL,1),(1062,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','578','1060','Caisses - timbres ( 0 - fiscaux ; 1 - postaux)',NULL,NULL,1),(1063,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','58','1355','Virements internes',NULL,NULL,1),(1064,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','60','1356','Approvisionnements et marchandises',NULL,NULL,1),(1065,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','600','1064','Achats de matières premières',NULL,NULL,1),(1066,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','601','1064','Achats de fournitures',NULL,NULL,1),(1067,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','602','1064','Achats de services, travaux et études',NULL,NULL,1),(1068,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','603','1064','Sous-traitances générales',NULL,NULL,1),(1069,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','604','1064','Achats de marchandises',NULL,NULL,1),(1070,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','605','1064','Achats d\'immeubles destinés à la revente',NULL,NULL,1),(1071,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','608','1064','Remises , ristournes et rabais obtenus sur achats',NULL,NULL,1),(1072,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','609','1064','Variations de stocks',NULL,NULL,1),(1073,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6090','1072','De matières premières',NULL,NULL,1),(1074,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6091','1072','De fournitures',NULL,NULL,1),(1075,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6094','1072','De marchandises',NULL,NULL,1),(1076,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6095','1072','d\'immeubles destinés à la vente',NULL,NULL,1),(1077,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61','1356','Services et biens divers',NULL,NULL,1),(1078,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','610','1077','Loyers et charges locatives',NULL,NULL,1),(1079,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6100','1078','Loyers divers',NULL,NULL,1),(1080,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6101','1078','Charges locatives (assurances, frais de confort,etc)',NULL,NULL,1),(1081,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','611','1077','Entretien et réparation (fournitures et prestations)',NULL,NULL,1),(1082,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','612','1077','Fournitures faites à l\'entreprise',NULL,NULL,1),(1083,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6120','1082','Eau, gaz, électricité, vapeur',NULL,NULL,1),(1084,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61200','1083','Eau',NULL,NULL,1),(1085,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61201','1083','Gaz',NULL,NULL,1),(1086,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61202','1083','Electricité',NULL,NULL,1),(1087,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61203','1083','Vapeur',NULL,NULL,1),(1088,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6121','1082','Téléphone, télégrammes, télex, téléfax, frais postaux',NULL,NULL,1),(1089,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61210','1088','Téléphone',NULL,NULL,1),(1090,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61211','1088','Télégrammes',NULL,NULL,1),(1091,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61212','1088','Télex et téléfax',NULL,NULL,1),(1092,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61213','1088','Frais postaux',NULL,NULL,1),(1093,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6122','1082','Livres, bibliothèque',NULL,NULL,1),(1094,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6123','1082','Imprimés et fournitures de bureau (si non comptabilisé au 601)',NULL,NULL,1),(1095,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','613','1077','Rétributions de tiers',NULL,NULL,1),(1096,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6130','1095','Redevances et royalties',NULL,NULL,1),(1097,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61300','1096','Redevances pour brevets, licences, marques et accessoires',NULL,NULL,1),(1098,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61301','1096','Autres redevances (procédés de fabrication)',NULL,NULL,1),(1099,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6131','1095','Assurances non relatives au personnel',NULL,NULL,1),(1100,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61310','1099','Assurance incendie',NULL,NULL,1),(1101,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61311','1099','Assurance vol',NULL,NULL,1),(1102,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61312','1099','Assurance autos',NULL,NULL,1),(1103,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61313','1099','Assurance crédit',NULL,NULL,1),(1104,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61314','1099','Assurances frais généraux',NULL,NULL,1),(1105,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6132','1095','Divers',NULL,NULL,1),(1106,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61320','1105','Commissions aux tiers',NULL,NULL,1),(1107,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61321','1105','Honoraires d\'avocats, d\'experts, etc',NULL,NULL,1),(1108,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61322','1105','Cotisations aux groupements professionnels',NULL,NULL,1),(1109,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61323','1105','Dons, libéralités, etc',NULL,NULL,1),(1110,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61324','1105','Frais de contentieux',NULL,NULL,1),(1111,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61325','1105','Publications légales',NULL,NULL,1),(1112,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6133','1095','Transports et déplacements',NULL,NULL,1),(1113,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61330','1112','Transports de personnel',NULL,NULL,1),(1114,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','61331','1112','Voyages, déplacements et représentations',NULL,NULL,1),(1115,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6134','1095','Personnel intérimaire',NULL,NULL,1),(1116,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','614','1077','Annonces, publicité, propagande et documentation',NULL,NULL,1),(1117,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6140','1116','Annonces et insertions',NULL,NULL,1),(1118,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6141','1116','Catalogues et imprimés',NULL,NULL,1),(1119,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6142','1116','Echantillons',NULL,NULL,1),(1120,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6143','1116','Foires et expositions',NULL,NULL,1),(1121,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6144','1116','Primes',NULL,NULL,1),(1122,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6145','1116','Cadeaux à la clientèle',NULL,NULL,1),(1123,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6146','1116','Missions et réceptions',NULL,NULL,1),(1124,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6147','1116','Documentation',NULL,NULL,1),(1125,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','615','1077','Sous-traitants',NULL,NULL,1),(1126,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6150','1125','Sous-traitants pour activités propres',NULL,NULL,1),(1127,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6151','1125','Sous-traitants d\'associations momentanées (coparticipants)',NULL,NULL,1),(1128,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6152','1125','Quote-part bénéficiaire des coparticipants',NULL,NULL,1),(1129,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','617','1077','Personnel intérimaire et personnes mises à la disposition de l\'entreprise',NULL,NULL,1),(1130,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','618','1077','Rémunérations, primes pour assurances extralégales, pensions de retraite et de survie des administrateurs, gérants et associés actifs qui ne sont pas attribuées en vertu d\'un contrat de travail',NULL,NULL,1),(1131,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62','1356','Rémunérations, charges sociales et pensions',NULL,NULL,1),(1132,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','620','1131','Rémunérations et avantages sociaux directs',NULL,NULL,1),(1133,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6200','1132','Administrateurs ou gérants',NULL,NULL,1),(1134,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6201','1132','Personnel de direction',NULL,NULL,1),(1135,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6202','1132','Employés',NULL,NULL,1),(1136,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6203','1132','Ouvriers',NULL,NULL,1),(1137,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6204','1132','Autres membres du personnel',NULL,NULL,1),(1138,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','621','1131','Cotisations patronales d\'assurances sociales',NULL,NULL,1),(1139,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6210','1138','Sur salaires',NULL,NULL,1),(1140,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6211','1138','Sur appointements et commissions',NULL,NULL,1),(1141,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','622','1131','Primes patronales pour assurances extralégales',NULL,NULL,1),(1142,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','623','1131','Autres frais de personnel',NULL,NULL,1),(1143,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6230','1142','Assurances du personnel',NULL,NULL,1),(1144,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62300','1143','Assurances loi, responsabilité civile, chemin du travail',NULL,NULL,1),(1145,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62301','1143','Assurance salaire garanti',NULL,NULL,1),(1146,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62302','1143','Assurances individuelles',NULL,NULL,1),(1147,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6231','1142','Charges sociales diverses',NULL,NULL,1),(1148,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62310','1147','Jours fériés payés',NULL,NULL,1),(1149,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62311','1147','Salaire hebdomadaire garanti',NULL,NULL,1),(1150,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62312','1147','Allocations familiales complémentaires',NULL,NULL,1),(1151,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6232','1142','Charges sociales des administrateurs, gérants et commissaires',NULL,NULL,1),(1152,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62320','1151','Allocations familiales complémentaires pour non salariés',NULL,NULL,1),(1153,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62321','1151','Lois sociales pour indépendants',NULL,NULL,1),(1154,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','62322','1151','Divers',NULL,NULL,1),(1155,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','624','1131','Pensions de retraite et de survie',NULL,NULL,1),(1156,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6240','1155','Administrateurs et gérants',NULL,NULL,1),(1157,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6241','1155','Personnel',NULL,NULL,1),(1158,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','625','1131','Provision pour pécule de vacances',NULL,NULL,1),(1159,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6250','1158','Dotations',NULL,NULL,1),(1160,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6251','1158','Utilisations et reprises',NULL,NULL,1),(1161,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','63','1356','Amortissements, réductions de valeur et provisions pour risques et charges',NULL,NULL,1),(1162,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','630','1161','Dotations aux amortissements et aux réductions de valeur sur immobilisations',NULL,NULL,1),(1163,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6300','1162','Dotations aux amortissements sur frais d\'établissement',NULL,NULL,1),(1164,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6301','1162','Dotations aux amortissements sur immobilisations incorporelles',NULL,NULL,1),(1165,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6302','1162','Dotations aux amortissements sur immobilisations corporelles',NULL,NULL,1),(1166,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6308','1162','Dotations aux réductions de valeur sur immobilisations incorporelles',NULL,NULL,1),(1167,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6309','1162','Dotations aux réductions de valeur sur immobilisations corporelles',NULL,NULL,1),(1168,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','631','1161','Réductions de valeur sur stocks',NULL,NULL,1),(1169,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6310','1168','Dotations',NULL,NULL,1),(1170,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6311','1168','Reprises',NULL,NULL,1),(1171,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','632','1161','Réductions de valeur sur commandes en cours d\'exécution',NULL,NULL,1),(1172,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6320','1171','Dotations',NULL,NULL,1),(1173,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6321','1171','Reprises',NULL,NULL,1),(1174,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','633','1161','Réductions de valeur sur créances commerciales à plus d\'un an',NULL,NULL,1),(1175,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6330','1174','Dotations',NULL,NULL,1),(1176,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6331','1174','Reprises',NULL,NULL,1),(1177,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','634','1161','Réductions de valeur sur créances commerciales à un an au plus',NULL,NULL,1),(1178,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6340','1177','Dotations',NULL,NULL,1),(1179,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6341','1177','Reprises',NULL,NULL,1),(1180,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','635','1161','Provisions pour pensions et obligations similaires',NULL,NULL,1),(1181,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6350','1180','Dotations',NULL,NULL,1),(1182,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6351','1180','Utilisations et reprises',NULL,NULL,1),(1183,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','636','11613','Provisions pour grosses réparations et gros entretiens',NULL,NULL,1),(1184,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6360','1183','Dotations',NULL,NULL,1),(1185,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6361','1183','Utilisations et reprises',NULL,NULL,1),(1186,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','637','1161','Provisions pour autres risques et charges',NULL,NULL,1),(1187,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6370','1186','Dotations',NULL,NULL,1),(1188,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6371','1186','Utilisations et reprises',NULL,NULL,1),(1189,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','64','1356','Autres charges d\'exploitation',NULL,NULL,1),(1190,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','640','1189','Charges fiscales d\'exploitation',NULL,NULL,1),(1191,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6400','1190','Taxes et impôts directs',NULL,NULL,1),(1192,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','64000','1191','Taxes sur autos et camions',NULL,NULL,1),(1193,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6401','1190','Taxes et impôts indirects',NULL,NULL,1),(1194,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','64010','1193','Timbres fiscaux pris en charge par la firme',NULL,NULL,1),(1195,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','64011','1193','Droits d\'enregistrement',NULL,NULL,1),(1196,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','64012','1193','T.V.A. non déductible',NULL,NULL,1),(1197,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6402','1190','Impôts provinciaux et communaux',NULL,NULL,1),(1198,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','64020','1197','Taxe sur la force motrice',NULL,NULL,1),(1199,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','64021','1197','Taxe sur le personnel occupé',NULL,NULL,1),(1200,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6403','1190','Taxes diverses',NULL,NULL,1),(1201,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','641','1189','Moins-values sur réalisations courantes d\'immobilisations corporelles',NULL,NULL,1),(1202,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','642','1189','Moins-values sur réalisations de créances commerciales',NULL,NULL,1),(1203,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','643','1189','à 648 Charges d\'exploitations diverses',NULL,NULL,1),(1204,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','649','1189','Charges d\'exploitation portées à l\'actif au titre de restructuration',NULL,NULL,1),(1205,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','65','1356','Charges financières',NULL,NULL,1),(1206,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','650','1205','Charges des dettes',NULL,NULL,1),(1207,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6500','1206','Intérêts, commissions et frais afférents aux dettes',NULL,NULL,1),(1208,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6501','1206','Amortissements des agios et frais d\'émission d\'emprunts',NULL,NULL,1),(1209,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6502','1206','Autres charges de dettes',NULL,NULL,1),(1210,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6503','1206','Intérêts intercalaires portés à l\'actif',NULL,NULL,1),(1211,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','651','1205','Réductions de valeur sur actifs circulants',NULL,NULL,1),(1212,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6510','1211','Dotations',NULL,NULL,1),(1213,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6511','1211','Reprises',NULL,NULL,1),(1214,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','652','1205','Moins-values sur réalisation d\'actifs circulants',NULL,NULL,1),(1215,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','653','1205','Charges d\'escompte de créances',NULL,NULL,1),(1216,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','654','1205','Différences de change',NULL,NULL,1),(1217,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','655','1205','Ecarts de conversion des devises',NULL,NULL,1),(1218,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','656','1205','Frais de banques, de chèques postaux',NULL,NULL,1),(1219,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','657','1205','Commissions sur ouvertures de crédit, cautions et avals',NULL,NULL,1),(1220,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','658','1205','Frais de vente des titres',NULL,NULL,1),(1221,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','66','1356','Charges exceptionnelles',NULL,NULL,1),(1222,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','660','1221','Amortissements et réductions de valeur exceptionnels',NULL,NULL,1),(1223,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6600','1222','Sur frais d\'établissement',NULL,NULL,1),(1224,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6601','1222','Sur immobilisations incorporelles',NULL,NULL,1),(1225,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6602','1222','Sur immobilisations corporelles',NULL,NULL,1),(1226,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','661','1221','Réductions de valeur sur immobilisations financières',NULL,NULL,1),(1227,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','662','1221','Provisions pour risques et charges exceptionnels',NULL,NULL,1),(1228,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','663','1221','Moins-values sur réalisation d\'actifs immobilisés',NULL,NULL,1),(1229,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6630','1228','Sur immobilisations incorporelles',NULL,NULL,1),(1230,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6631','1228','Sur immobilisations corporelles',NULL,NULL,1),(1231,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6632','1228','Sur immobilisations détenues en location-financement et droits similaires',NULL,NULL,1),(1232,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6633','1228','Sur immobilisations financières',NULL,NULL,1),(1233,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6634','1228','Sur immeubles acquis ou construits en vue de la revente',NULL,NULL,1),(1234,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','664','1221','à 668 Autres charges exceptionnelles',NULL,NULL,1),(1235,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','664','1221','Pénalités et amendes diverses',NULL,NULL,1),(1236,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','665','1221','Différence de charge',NULL,NULL,1),(1237,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','669','1221','Charges exceptionnelles transférées à l\'actif en frais de restructuration',NULL,NULL,1),(1238,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','67','1356','Impôts sur le résultat',NULL,NULL,1),(1239,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','670','1238','Impôts belges sur le résultat de l\'exercice',NULL,NULL,1),(1240,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6700','1239','Impôts et précomptes dus ou versés',NULL,NULL,1),(1241,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6701','1239','Excédent de versements d\'impôts et précomptes porté à l\'actif',NULL,NULL,1),(1242,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6702','1239','Charges fiscales estimées',NULL,NULL,1),(1243,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','671','1238','Impôts belges sur le résultat d\'exercices antérieurs',NULL,NULL,1),(1244,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6710','1243','Suppléments d\'impôts dus ou versés',NULL,NULL,1),(1245,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6711','1243','Suppléments d\'impôts estimés',NULL,NULL,1),(1246,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6712','1243','Provisions fiscales constituées',NULL,NULL,1),(1247,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','672','1238','Impôts étrangers sur le résultat de l\'exercice',NULL,NULL,1),(1248,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','673','1238','Impôts étrangers sur le résultat d\'exercices antérieurs',NULL,NULL,1),(1249,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','68','1356','Transferts aux réserves immunisées',NULL,NULL,1),(1250,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','69','1356','Affectation des résultats',NULL,NULL,1),(1251,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','690','1250','Perte reportée de l\'exercice précédent',NULL,NULL,1),(1252,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','691','1250','Dotation à la réserve légale',NULL,NULL,1),(1253,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','692','1250','Dotation aux autres réserves',NULL,NULL,1),(1254,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','693','1250','Bénéfice à reporter',NULL,NULL,1),(1255,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','694','1250','Rémunération du capital',NULL,NULL,1),(1256,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','695','1250','Administrateurs ou gérants',NULL,NULL,1),(1257,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','696','1250','Autres allocataires',NULL,NULL,1),(1258,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','70','1357','Chiffre d\'affaires',NULL,NULL,1),(1260,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','700','1258','Ventes de marchandises',NULL,NULL,1),(1261,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7000','1260','Ventes en Belgique',NULL,NULL,1),(1262,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7001','1260','Ventes dans les pays membres de la C.E.E.',NULL,NULL,1),(1263,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7002','1260','Ventes à l\'exportation',NULL,NULL,1),(1264,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','701','1258','Ventes de produits finis',NULL,NULL,1),(1265,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7010','1264','Ventes en Belgique',NULL,NULL,1),(1266,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7011','1264','Ventes dans les pays membres de la C.E.E.',NULL,NULL,1),(1267,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7012','1264','Ventes à l\'exportation',NULL,NULL,1),(1268,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','702','1258','Ventes de déchets et rebuts',NULL,NULL,1),(1269,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7020','1268','Ventes en Belgique',NULL,NULL,1),(1270,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7021','1268','Ventes dans les pays membres de la C.E.E.',NULL,NULL,1),(1271,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7022','1268','Ventes à l\'exportation',NULL,NULL,1),(1272,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','703','1258','Ventes d\'emballages récupérables',NULL,NULL,1),(1273,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','704','1258','Facturations des travaux en cours (associations momentanées)',NULL,NULL,1),(1274,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','705','1258','Prestations de services',NULL,NULL,1),(1275,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7050','1274','Prestations de services en Belgique',NULL,NULL,1),(1276,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7051','1274','Prestations de services dans les pays membres de la C.E.E.',NULL,NULL,1),(1277,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7052','1274','Prestations de services en vue de l\'exportation',NULL,NULL,1),(1278,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','706','1258','Pénalités et dédits obtenus par l\'entreprise',NULL,NULL,1),(1279,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','708','1258','Remises, ristournes et rabais accordés',NULL,NULL,1),(1280,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7080','1279','Sur ventes de marchandises',NULL,NULL,1),(1281,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7081','1279','Sur ventes de produits finis',NULL,NULL,1),(1282,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7082','1279','Sur ventes de déchets et rebuts',NULL,NULL,1),(1283,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7083','1279','Sur prestations de services',NULL,NULL,1),(1284,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7084','1279','Mali sur travaux facturés aux associations momentanées',NULL,NULL,1),(1285,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','71','1357','Variation des stocks et des commandes en cours d\'exécution',NULL,NULL,1),(1286,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','712','1285','Des en cours de fabrication',NULL,NULL,1),(1287,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','713','1285','Des produits finis',NULL,NULL,1),(1288,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','715','1285','Des immeubles construits destinés à la vente',NULL,NULL,1),(1289,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','717','1285','Des commandes en cours d\'exécution',NULL,NULL,1),(1290,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7170','1289','Commandes en cours - Coût de revient',NULL,NULL,1),(1291,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','71700','1290','Coût des commandes en cours d\'exécution',NULL,NULL,1),(1292,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','71701','1290','Coût des travaux en cours des associations momentanées',NULL,NULL,1),(1293,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7171','1289','Bénéfices portés en compte sur commandes en cours',NULL,NULL,1),(1294,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','71710','1293','Sur commandes en cours d\'exécution',NULL,NULL,1),(1295,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','71711','1293','Sur travaux en cours des associations momentanées',NULL,NULL,1),(1296,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','72','1357','Production immobilisée',NULL,NULL,1),(1297,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','720','1296','En frais d\'établissement',NULL,NULL,1),(1298,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','721','1296','En immobilisations incorporelles',NULL,NULL,1),(1299,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','722','1296','En immobilisations corporelles',NULL,NULL,1),(1300,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','723','1296','En immobilisations en cours',NULL,NULL,1),(1301,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','74','1357','Autres produits d\'exploitation',NULL,NULL,1),(1302,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','740','1301','Subsides d\'exploitation et montants compensatoires',NULL,NULL,1),(1303,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','741','1301','Plus-values sur réalisations courantes d\'immobilisations corporelles',NULL,NULL,1),(1304,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','742','1301','Plus-values sur réalisations de créances commerciales',NULL,NULL,1),(1305,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','743','1301','à 749 Produits d\'exploitation divers',NULL,NULL,1),(1306,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','743','1301','Produits de services exploités dans l\'intérêt du personnel',NULL,NULL,1),(1307,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','744','1301','Commissions et courtages',NULL,NULL,1),(1308,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','745','1301','Redevances pour brevets et licences',NULL,NULL,1),(1309,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','746','1301','Prestations de services (transports, études, etc)',NULL,NULL,1),(1310,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','747','1301','Revenus des immeubles affectés aux activités non professionnelles',NULL,NULL,1),(1311,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','748','1301','Locations diverses à caractère professionnel',NULL,NULL,1),(1312,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','749','1301','Produits divers',NULL,NULL,1),(1313,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7490','1312','Bonis sur reprises d\'emballages consignés',NULL,NULL,1),(1314,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7491','1312','Bonis sur travaux en associations momentanées',NULL,NULL,1),(1315,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','75','1357','Produits financiers',NULL,NULL,1),(1316,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','750','1315','Produits des immobilisations financières',NULL,NULL,1),(1317,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7500','1316','Revenus des actions',NULL,NULL,1),(1318,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7501','1316','Revenus des obligations',NULL,NULL,1),(1319,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7502','1316','Revenus des créances à plus d\'un an',NULL,NULL,1),(1320,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','751','1315','Produits des actifs circulants',NULL,NULL,1),(1321,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','752','1315','Plus-values sur réalisations d\'actifs circulants',NULL,NULL,1),(1322,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','753','1315','Subsides en capital et en intérêts',NULL,NULL,1),(1323,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','754','1315','Différences de change',NULL,NULL,1),(1324,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','755','1315','Ecarts de conversion des devises',NULL,NULL,1),(1325,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','756','1315','à 759 Produits financiers divers',NULL,NULL,1),(1326,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','756','1315','Produits des autres créances',NULL,NULL,1),(1327,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','757','1315','Escomptes obtenus',NULL,NULL,1),(1328,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','76','1357','Produits exceptionnels',NULL,NULL,1),(1329,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','760','1328','Reprises d\'amortissements et de réductions de valeur',NULL,NULL,1),(1330,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7600','1329','Sur immobilisations incorporelles',NULL,NULL,1),(1331,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7601','1329','Sur immobilisations corporelles',NULL,NULL,1),(1332,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','761','1328','Reprises de réductions de valeur sur immobilisations financières',NULL,NULL,1),(1333,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','762','1328','Reprises de provisions pour risques et charges exceptionnelles',NULL,NULL,1),(1334,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','763','1328','Plus-values sur réalisation d\'actifs immobilisés',NULL,NULL,1),(1335,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7630','1334','Sur immobilisations incorporelles',NULL,NULL,1),(1336,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7631','1334','Sur immobilisations corporelles',NULL,NULL,1),(1337,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7632','1334','Sur immobilisations financières',NULL,NULL,1),(1338,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','764','1328','Autres produits exceptionnels',NULL,NULL,1),(1339,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','77','1357','Régularisations d\'impôts et reprises de provisions fiscales',NULL,NULL,1),(1340,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','771','1339','Impôts belges sur le résultat',NULL,NULL,1),(1341,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7710','1340','Régularisations d\'impôts dus ou versés',NULL,NULL,1),(1342,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7711','1340','Régularisations d\'impôts estimés',NULL,NULL,1),(1343,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7712','1340','Reprises de provisions fiscales',NULL,NULL,1),(1344,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','773','1339','Impôts étrangers sur le résultat',NULL,NULL,1),(1345,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','79','1357','Affectation aux résultats',NULL,NULL,1),(1346,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','790','1345','Bénéfice reporté de l\'exercice précédent',NULL,NULL,1),(1347,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','791','1345','Prélèvement sur le capital et les primes d\'émission',NULL,NULL,1),(1348,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','792','1345','Prélèvement sur les réserves',NULL,NULL,1),(1349,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','793','1345','Perte à reporter',NULL,NULL,1),(1350,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','794','1345','Intervention d\'associés (ou du propriétaire) dans la perte',NULL,NULL,1),(1351,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CAPIT','XXXXXX','1','','Fonds propres, provisions pour risques et charges et dettes à plus d\'un an',NULL,NULL,1),(1352,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','IMMO','XXXXXX','2','','Frais d\'établissement. Actifs immobilisés et créances à plus d\'un an',NULL,NULL,1),(1353,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','STOCK','XXXXXX','3','','Stock et commandes en cours d\'exécution',NULL,NULL,1),(1354,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','TIERS','XXXXXX','4','','Créances et dettes à un an au plus',NULL,NULL,1),(1355,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','FINAN','XXXXXX','5','','Placement de trésorerie et de valeurs disponibles',NULL,NULL,1),(1356,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','CHARGE','XXXXXX','6','','Charges',NULL,NULL,1),(1357,1,NULL,'0000-00-00 00:00:00','PCMN-BASE','PROD','XXXXXX','7','','Produits',NULL,NULL,1),(1401,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CAPIT','XXXXXX','1','','Fonds propres, provisions pour risques et charges et dettes à plus d\'un an',NULL,NULL,1),(1402,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','IMMO','XXXXXX','2','','Frais d\'établissement. Actifs immobilisés et créances à plus d\'un an',NULL,NULL,1),(1403,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','STOCK','XXXXXX','3','','Stock et commandes en cours d\'exécution',NULL,NULL,1),(1404,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','TIERS','XXXXXX','4','','Créances et dettes à un an au plus',NULL,NULL,1),(1405,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','FINAN','XXXXXX','5','','Placement de trésorerie et de valeurs disponibles',NULL,NULL,1),(1406,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','CHARGE','XXXXXX','6','','Charges',NULL,NULL,1),(1407,1,NULL,'0000-00-00 00:00:00','PCG99-ABREGE','PROD','XXXXXX','7','','Produits',NULL,NULL,1),(1501,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CAPIT','XXXXXX','1','','Fonds propres, provisions pour risques et charges et dettes à plus d\'un an',NULL,NULL,1),(1502,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','IMMO','XXXXXX','2','','Frais d\'établissement. Actifs immobilisés et créances à plus d\'un an',NULL,NULL,1),(1503,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','STOCK','XXXXXX','3','','Stock et commandes en cours d\'exécution',NULL,NULL,1),(1504,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','TIERS','XXXXXX','4','','Créances et dettes à un an au plus',NULL,NULL,1),(1505,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','FINAN','XXXXXX','5','','Placement de trésorerie et de valeurs disponibles',NULL,NULL,1),(1506,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','CHARGE','XXXXXX','6','','Charges',NULL,NULL,1),(1507,1,NULL,'0000-00-00 00:00:00','PCG99-BASE','PROD','XXXXXX','7','','Produits',NULL,NULL,1),(4001,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1','','Financiación básica',NULL,NULL,1),(4002,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2','','Activo no corriente',NULL,NULL,1),(4003,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','EXISTENCIAS','XXXXXX','3','','Existencias',NULL,NULL,1),(4004,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4','','Acreedores y deudores por operaciones comerciales',NULL,NULL,1),(4005,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5','','Cuentas financieras',NULL,NULL,1),(4006,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6','','Compras y gastos',NULL,NULL,1),(4007,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7','','Ventas e ingresos',NULL,NULL,1),(4008,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','10','4001','CAPITAL',NULL,NULL,1),(4009,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','100','4008','Capital social',NULL,NULL,1),(4010,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','101','4008','Fondo social',NULL,NULL,1),(4011,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','CAPITAL','102','4008','Capital',NULL,NULL,1),(4012,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','103','4008','Socios por desembolsos no exigidos',NULL,NULL,1),(4013,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1030','4012','Socios por desembolsos no exigidos capital social',NULL,NULL,1),(4014,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1034','4012','Socios por desembolsos no exigidos capital pendiente de inscripción',NULL,NULL,1),(4015,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','104','4008','Socios por aportaciones no dineradas pendientes',NULL,NULL,1),(4016,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1040','4015','Socios por aportaciones no dineradas pendientes capital social',NULL,NULL,1),(4017,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1044','4015','Socios por aportaciones no dineradas pendientes capital pendiente de inscripción',NULL,NULL,1),(4018,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','108','4008','Acciones o participaciones propias en situaciones especiales',NULL,NULL,1),(4019,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','109','4008','Acciones o participaciones propias para reducción de capital',NULL,NULL,1),(4020,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','11','4001','Reservas y otros instrumentos de patrimonio',NULL,NULL,1),(4021,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','110','4020','Prima de emisión o asunción',NULL,NULL,1),(4022,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','111','4020','Otros instrumentos de patrimonio neto',NULL,NULL,1),(4023,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1110','4022','Patrimonio neto por emisión de instrumentos financieros compuestos',NULL,NULL,1),(4024,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1111','4022','Resto de instrumentos de patrimoio neto',NULL,NULL,1),(4025,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','112','4020','Reserva legal',NULL,NULL,1),(4026,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','113','4020','Reservas voluntarias',NULL,NULL,1),(4027,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','114','4020','Reservas especiales',NULL,NULL,1),(4028,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1140','4027','Reservas para acciones o participaciones de la sociedad dominante',NULL,NULL,1),(4029,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1141','4027','Reservas estatutarias',NULL,NULL,1),(4030,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1142','4027','Reservas por capital amortizado',NULL,NULL,1),(4031,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1143','4027','Reservas por fondo de comercio',NULL,NULL,1),(4032,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1144','4028','Reservas por acciones propias aceptadas en garantía',NULL,NULL,1),(4033,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','115','4020','Reservas por pérdidas y ganancias actuariales y otros ajustes',NULL,NULL,1),(4034,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','118','4020','Aportaciones de socios o propietarios',NULL,NULL,1),(4035,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','119','4020','Diferencias por ajuste del capital a euros',NULL,NULL,1),(4036,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','12','4001','Resultados pendientes de aplicación',NULL,NULL,1),(4037,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','120','4036','Remanente',NULL,NULL,1),(4038,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','121','4036','Resultados negativos de ejercicios anteriores',NULL,NULL,1),(4039,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','129','4036','Resultado del ejercicio',NULL,NULL,1),(4040,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','13','4001','Subvenciones, donaciones y ajustes por cambio de valor',NULL,NULL,1),(4041,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','130','4040','Subvenciones oficiales de capital',NULL,NULL,1),(4042,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','131','4040','Donaciones y legados de capital',NULL,NULL,1),(4043,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','132','4040','Otras subvenciones, donaciones y legados',NULL,NULL,1),(4044,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','133','4040','Ajustes por valoración en activos financieros disponibles para la venta',NULL,NULL,1),(4045,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','134','4040','Operaciones de cobertura',NULL,NULL,1),(4046,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1340','4045','Cobertura de flujos de efectivo',NULL,NULL,1),(4047,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1341','4045','Cobertura de una inversión neta en un negocio extranjero',NULL,NULL,1),(4048,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','135','4040','Diferencias de conversión',NULL,NULL,1),(4049,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','136','4040','Ajustes por valoración en activos no corrientes y grupos enajenables de elementos mantenidos para la venta',NULL,NULL,1),(4050,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','137','4040','Ingresos fiscales a distribuir en varios ejercicios',NULL,NULL,1),(4051,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1370','4050','Ingresos fiscales por diferencias permanentes a distribuir en varios ejercicios',NULL,NULL,1),(4052,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1371','4050','Ingresos fiscales por deducciones y bonificaciones a distribuir en varios ejercicios',NULL,NULL,1),(4053,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','14','4001','Provisiones',NULL,NULL,1),(4054,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','141','4053','Provisión para impuestos',NULL,NULL,1),(4055,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','142','4053','Provisión para otras responsabilidades',NULL,NULL,1),(4056,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','143','4053','Provisión por desmantelamiento, retiro o rehabilitación del inmovilizado',NULL,NULL,1),(4057,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','145','4053','Provisión para actuaciones medioambientales',NULL,NULL,1),(4058,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','15','4001','Deudas a largo plazo con características especiales',NULL,NULL,1),(4059,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','150','4058','Acciones o participaciones a largo plazo consideradas como pasivos financieros',NULL,NULL,1),(4060,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','153','4058','Desembolsos no exigidos por acciones o participaciones consideradas como pasivos financieros',NULL,NULL,1),(4061,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1533','4060','Desembolsos no exigidos empresas del grupo',NULL,NULL,1),(4062,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1534','4060','Desembolsos no exigidos empresas asociadas',NULL,NULL,1),(4063,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1535','4060','Desembolsos no exigidos otras partes vinculadas',NULL,NULL,1),(4064,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1536','4060','Otros desembolsos no exigidos',NULL,NULL,1),(4065,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','154','4058','Aportaciones no dinerarias pendientes por acciones o participaciones consideradas como pasivos financieros',NULL,NULL,1),(4066,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1543','4065','Aportaciones no dinerarias pendientes empresas del grupo',NULL,NULL,1),(4067,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1544','4065','Aportaciones no dinerarias pendientes empresas asociadas',NULL,NULL,1),(4068,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1545','4065','Aportaciones no dinerarias pendientes otras partes vinculadas',NULL,NULL,1),(4069,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1546','4065','Otras aportaciones no dinerarias pendientes',NULL,NULL,1),(4070,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','16','4001','Deudas a largo plazo con partes vinculadas',NULL,NULL,1),(4071,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','160','4070','Deudas a largo plazo con entidades de crédito vinculadas',NULL,NULL,1),(4072,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1603','4071','Deudas a largo plazo con entidades de crédito empresas del grupo',NULL,NULL,1),(4073,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1604','4071','Deudas a largo plazo con entidades de crédito empresas asociadas',NULL,NULL,1),(4074,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1605','4071','Deudas a largo plazo con otras entidades de crédito vinculadas',NULL,NULL,1),(4075,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','161','4070','Proveedores de inmovilizado a largo plazo partes vinculadas',NULL,NULL,1),(4076,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1613','4075','Proveedores de inmovilizado a largo plazo empresas del grupo',NULL,NULL,1),(4077,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1614','4075','Proveedores de inmovilizado a largo plazo empresas asociadas',NULL,NULL,1),(4078,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1615','4075','Proveedores de inmovilizado a largo plazo otras partes vinculadas',NULL,NULL,1),(4079,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','162','4070','Acreedores por arrendamiento financiero a largo plazo partes vinculadas',NULL,NULL,1),(4080,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1623','4079','Acreedores por arrendamiento financiero a largo plazo empresas del grupo',NULL,NULL,1),(4081,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1624','4080','Acreedores por arrendamiento financiero a largo plazo empresas asociadas',NULL,NULL,1),(4082,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1625','4080','Acreedores por arrendamiento financiero a largo plazo otras partes vinculadas',NULL,NULL,1),(4083,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','163','4070','Otras deudas a largo plazo con partes vinculadas',NULL,NULL,1),(4084,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1633','4083','Otras deudas a largo plazo empresas del grupo',NULL,NULL,1),(4085,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1634','4083','Otras deudas a largo plazo empresas asociadas',NULL,NULL,1),(4086,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','1635','4083','Otras deudas a largo plazo otras partes vinculadas',NULL,NULL,1),(4087,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','17','4001','Deudas a largo plazo por préstamos recibidos empresitos y otros conceptos',NULL,NULL,1),(4088,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','170','4087','Deudas a largo plazo con entidades de crédito',NULL,NULL,1),(4089,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','171','4087','Deudas a largo plazo',NULL,NULL,1),(4090,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','172','4087','Deudas a largo plazo transformables en suvbenciones donaciones y legados',NULL,NULL,1),(4091,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','173','4087','Proveedores de inmovilizado a largo plazo',NULL,NULL,1),(4092,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','174','4087','Acreedores por arrendamiento financiero a largo plazo',NULL,NULL,1),(4093,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','175','4087','Efectos a pagar a largo plazo',NULL,NULL,1),(4094,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','176','4087','Pasivos por derivados financieros a largo plazo',NULL,NULL,1),(4095,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','177','4087','Obligaciones y bonos',NULL,NULL,1),(4096,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','179','4087','Deudas representadas en otros valores negociables',NULL,NULL,1),(4097,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','18','4001','Pasivos por fianzas garantias y otros conceptos a largo plazo',NULL,NULL,1),(4098,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','180','4097','Fianzas recibidas a largo plazo',NULL,NULL,1),(4099,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','181','4097','Anticipos recibidos por ventas o prestaciones de servicios a largo plazo',NULL,NULL,1),(4100,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','185','4097','Depositos recibidos a largo plazo',NULL,NULL,1),(4101,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','19','4001','Situaciones transitorias de financiación',NULL,NULL,1),(4102,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','190','4101','Acciones o participaciones emitidas',NULL,NULL,1),(4103,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','192','4101','Suscriptores de acciones',NULL,NULL,1),(4104,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','194','4101','Capital emitido pendiente de inscripción',NULL,NULL,1),(4105,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','195','4101','Acciones o participaciones emitidas consideradas como pasivos financieros',NULL,NULL,1),(4106,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','197','4101','Suscriptores de acciones consideradas como pasivos financieros',NULL,NULL,1),(4107,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','FINANCIACION','XXXXXX','199','4101','Acciones o participaciones emitidas consideradas como pasivos financieros pendientes de inscripción',NULL,NULL,1),(4108,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','20','4002','Inmovilizaciones intangibles',NULL,NULL,1),(4109,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','200','4108','Investigación',NULL,NULL,1),(4110,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','201','4108','Desarrollo',NULL,NULL,1),(4111,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','202','4108','Concesiones administrativas',NULL,NULL,1),(4112,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','203','4108','Propiedad industrial',NULL,NULL,1),(4113,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','205','4108','Derechos de transpaso',NULL,NULL,1),(4114,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','206','4108','Aplicaciones informáticas',NULL,NULL,1),(4115,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','209','4108','Anticipos para inmovilizaciones intangibles',NULL,NULL,1),(4116,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','21','4002','Inmovilizaciones materiales',NULL,NULL,1),(4117,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','210','4116','Terrenos y bienes naturales',NULL,NULL,1),(4118,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','211','4116','Construcciones',NULL,NULL,1),(4119,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','212','4116','Instalaciones técnicas',NULL,NULL,1),(4120,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','213','4116','Maquinaria',NULL,NULL,1),(4121,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','214','4116','Utillaje',NULL,NULL,1),(4122,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','215','4116','Otras instalaciones',NULL,NULL,1),(4123,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','216','4116','Mobiliario',NULL,NULL,1),(4124,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','217','4116','Equipos para procesos de información',NULL,NULL,1),(4125,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','218','4116','Elementos de transporte',NULL,NULL,1),(4126,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','219','4116','Otro inmovilizado material',NULL,NULL,1),(4127,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','22','4002','Inversiones inmobiliarias',NULL,NULL,1),(4128,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','220','4127','Inversiones en terreons y bienes naturales',NULL,NULL,1),(4129,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','221','4127','Inversiones en construcciones',NULL,NULL,1),(4130,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','23','4002','Inmovilizaciones materiales en curso',NULL,NULL,1),(4131,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','230','4130','Adaptación de terrenos y bienes naturales',NULL,NULL,1),(4132,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','231','4130','Construcciones en curso',NULL,NULL,1),(4133,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','232','4130','Instalaciones técnicas en montaje',NULL,NULL,1),(4134,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','233','4130','Maquinaria en montaje',NULL,NULL,1),(4135,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','237','4130','Equipos para procesos de información en montaje',NULL,NULL,1),(4136,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','239','4130','Anticipos para inmovilizaciones materiales',NULL,NULL,1),(4137,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','24','4002','Inversiones financieras a largo plazo en partes vinculadas',NULL,NULL,1),(4138,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','240','4137','Participaciones a largo plazo en partes vinculadas',NULL,NULL,1),(4139,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2403','4138','Participaciones a largo plazo en empresas del grupo',NULL,NULL,1),(4140,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2404','4138','Participaciones a largo plazo en empresas asociadas',NULL,NULL,1),(4141,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2405','4138','Participaciones a largo plazo en otras partes vinculadas',NULL,NULL,1),(4142,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','241','4137','Valores representativos de deuda a largo plazo de partes vinculadas',NULL,NULL,1),(4143,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2413','4142','Valores representativos de deuda a largo plazo de empresas del grupo',NULL,NULL,1),(4144,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2414','4142','Valores representativos de deuda a largo plazo de empresas asociadas',NULL,NULL,1),(4145,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2415','4142','Valores representativos de deuda a largo plazo de otras partes vinculadas',NULL,NULL,1),(4146,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','242','4137','Créditos a largo plazo a partes vinculadas',NULL,NULL,1),(4147,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2423','4146','Créditos a largo plazo a empresas del grupo',NULL,NULL,1),(4148,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2424','4146','Créditos a largo plazo a empresas asociadas',NULL,NULL,1),(4149,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2425','4146','Créditos a largo plazo a otras partes vinculadas',NULL,NULL,1),(4150,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','249','4137','Desembolsos pendientes sobre participaciones a largo plazo en partes vinculadas',NULL,NULL,1),(4151,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2493','4150','Desembolsos pendientes sobre participaciones a largo plazo en empresas del grupo',NULL,NULL,1),(4152,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2494','4150','Desembolsos pendientes sobre participaciones a largo plazo en empresas asociadas',NULL,NULL,1),(4153,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2495','4150','Desembolsos pendientes sobre participaciones a largo plazo en otras partes vinculadas',NULL,NULL,1),(4154,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','25','4002','Otras inversiones financieras a largo plazo',NULL,NULL,1),(4155,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','250','4154','Inversiones financieras a largo plazo en instrumentos de patrimonio',NULL,NULL,1),(4156,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','251','4154','Valores representativos de deuda a largo plazo',NULL,NULL,1),(4157,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','252','4154','Créditos a largo plazo',NULL,NULL,1),(4158,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','253','4154','Créditos a largo plazo por enajenación de inmovilizado',NULL,NULL,1),(4159,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','254','4154','Créditos a largo plazo al personal',NULL,NULL,1),(4160,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','255','4154','Activos por derivados financieros a largo plazo',NULL,NULL,1),(4161,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','258','4154','Imposiciones a largo plazo',NULL,NULL,1),(4162,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','259','4154','Desembolsos pendientes sobre participaciones en el patrimonio neto a largo plazo',NULL,NULL,1),(4163,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','26','4002','Fianzas y depósitos constituidos a largo plazo',NULL,NULL,1),(4164,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','260','4163','Fianzas constituidas a largo plazo',NULL,NULL,1),(4165,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','261','4163','Depósitos constituidos a largo plazo',NULL,NULL,1),(4166,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','28','4002','Amortización acumulada del inmovilizado',NULL,NULL,1),(4167,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','280','4166','Amortización acumulado del inmovilizado intangible',NULL,NULL,1),(4168,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2800','4167','Amortización acumulada de investigación',NULL,NULL,1),(4169,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2801','4167','Amortización acumulada de desarrollo',NULL,NULL,1),(4170,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2802','4167','Amortización acumulada de concesiones administrativas',NULL,NULL,1),(4171,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2803','4167','Amortización acumulada de propiedad industrial',NULL,NULL,1),(4172,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2805','4167','Amortización acumulada de derechos de transpaso',NULL,NULL,1),(4173,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2806','4167','Amortización acumulada de aplicaciones informáticas',NULL,NULL,1),(4174,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','281','4166','Amortización acumulado del inmovilizado material',NULL,NULL,1),(4175,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2811','4174','Amortización acumulada de construcciones',NULL,NULL,1),(4176,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2812','4174','Amortización acumulada de instalaciones técnicas',NULL,NULL,1),(4177,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2813','4174','Amortización acumulada de maquinaria',NULL,NULL,1),(4178,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2814','4174','Amortización acumulada de utillaje',NULL,NULL,1),(4179,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2815','4174','Amortización acumulada de otras instalaciones',NULL,NULL,1),(4180,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2816','4174','Amortización acumulada de mobiliario',NULL,NULL,1),(4181,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2817','4174','Amortización acumulada de equipos para proceso de información',NULL,NULL,1),(4182,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2818','4174','Amortización acumulada de elementos de transporte',NULL,NULL,1),(4183,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2819','4175','Amortización acumulada de otro inmovilizado material',NULL,NULL,1),(4184,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','282','4166','Amortización acumulada de las inversiones inmobiliarias',NULL,NULL,1),(4185,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','29','4002','Deterioro de valor de activos no corrientes',NULL,NULL,1),(4186,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','290','4185','Deterioro de valor del inmovilizado intangible',NULL,NULL,1),(4187,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2900','4186','Deterioro de valor de investigación',NULL,NULL,1),(4188,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2901','4186','Deterioro de valor de desarrollo',NULL,NULL,1),(4189,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2902','4186','Deterioro de valor de concesiones administrativas',NULL,NULL,1),(4190,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2903','4186','Deterioro de valor de propiedad industrial',NULL,NULL,1),(4191,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2905','4186','Deterioro de valor de derechos de transpaso',NULL,NULL,1),(4192,1,NULL,'2015-07-04 13:45:59','PCG08-PYME','ACTIVO','XXXXXX','2906','4186','Deterioro de valor de aplicaciones informáticas',NULL,NULL,1),(4193,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','291','4185','Deterioro de valor del inmovilizado material',NULL,NULL,1),(4194,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2910','4193','Deterioro de valor de terrenos y bienes naturales',NULL,NULL,1),(4195,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2911','4193','Deterioro de valor de construcciones',NULL,NULL,1),(4196,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2912','4193','Deterioro de valor de instalaciones técnicas',NULL,NULL,1),(4197,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2913','4193','Deterioro de valor de maquinaria',NULL,NULL,1),(4198,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2914','4193','Deterioro de valor de utillajes',NULL,NULL,1),(4199,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2915','4194','Deterioro de valor de otras instalaciones',NULL,NULL,1),(4200,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2916','4194','Deterioro de valor de mobiliario',NULL,NULL,1),(4201,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2917','4194','Deterioro de valor de equipos para proceso de información',NULL,NULL,1),(4202,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2918','4194','Deterioro de valor de elementos de transporte',NULL,NULL,1),(4203,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2919','4194','Deterioro de valor de otro inmovilizado material',NULL,NULL,1),(4204,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','292','4185','Deterioro de valor de las inversiones inmobiliarias',NULL,NULL,1),(4205,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2920','4204','Deterioro de valor de terrenos y bienes naturales',NULL,NULL,1),(4206,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2921','4204','Deterioro de valor de construcciones',NULL,NULL,1),(4207,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','293','4185','Deterioro de valor de participaciones a largo plazo en partes vinculadas',NULL,NULL,1),(4208,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2933','4207','Deterioro de valor de participaciones a largo plazo en empresas del grupo',NULL,NULL,1),(4209,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2934','4207','Deterioro de valor de sobre participaciones a largo plazo en empresas asociadas',NULL,NULL,1),(4210,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2935','4207','Deterioro de valor de sobre participaciones a largo plazo en otras partes vinculadas',NULL,NULL,1),(4211,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','294','4185','Deterioro de valor de valores representativos de deuda a largo plazo en partes vinculadas',NULL,NULL,1),(4212,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2943','4211','Deterioro de valor de valores representativos de deuda a largo plazo en empresas del grupo',NULL,NULL,1),(4213,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2944','4211','Deterioro de valor de valores representativos de deuda a largo plazo en empresas asociadas',NULL,NULL,1),(4214,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2945','4211','Deterioro de valor de valores representativos de deuda a largo plazo en otras partes vinculadas',NULL,NULL,1),(4215,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','295','4185','Deterioro de valor de créditos a largo plazo a partes vinculadas',NULL,NULL,1),(4216,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2953','4215','Deterioro de valor de créditos a largo plazo a empresas del grupo',NULL,NULL,1),(4217,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2954','4215','Deterioro de valor de créditos a largo plazo a empresas asociadas',NULL,NULL,1),(4218,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','2955','4215','Deterioro de valor de créditos a largo plazo a otras partes vinculadas',NULL,NULL,1),(4219,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','296','4185','Deterioro de valor de participaciones en el patrimonio netoa largo plazo',NULL,NULL,1),(4220,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','297','4185','Deterioro de valor de valores representativos de deuda a largo plazo',NULL,NULL,1),(4221,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACTIVO','XXXXXX','298','4185','Deterioro de valor de créditos a largo plazo',NULL,NULL,1),(4222,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','30','4003','Comerciales',NULL,NULL,1),(4223,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','300','4222','Mercaderías A',NULL,NULL,1),(4224,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','301','4222','Mercaderías B',NULL,NULL,1),(4225,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','31','4003','Materias primas',NULL,NULL,1),(4226,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','310','4225','Materias primas A',NULL,NULL,1),(4227,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','311','4225','Materias primas B',NULL,NULL,1),(4228,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','32','4003','Otros aprovisionamientos',NULL,NULL,1),(4229,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','320','4228','Elementos y conjuntos incorporables',NULL,NULL,1),(4230,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','321','4228','Combustibles',NULL,NULL,1),(4231,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','322','4228','Repuestos',NULL,NULL,1),(4232,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','325','4228','Materiales diversos',NULL,NULL,1),(4233,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','326','4228','Embalajes',NULL,NULL,1),(4234,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','327','4228','Envases',NULL,NULL,1),(4235,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','328','4229','Material de oficina',NULL,NULL,1),(4236,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','33','4003','Productos en curso',NULL,NULL,1),(4237,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','330','4236','Productos en curos A',NULL,NULL,1),(4238,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','331','4236','Productos en curso B',NULL,NULL,1),(4239,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','34','4003','Productos semiterminados',NULL,NULL,1),(4240,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','340','4239','Productos semiterminados A',NULL,NULL,1),(4241,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','341','4239','Productos semiterminados B',NULL,NULL,1),(4242,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','35','4003','Productos terminados',NULL,NULL,1),(4243,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','350','4242','Productos terminados A',NULL,NULL,1),(4244,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','351','4242','Productos terminados B',NULL,NULL,1),(4245,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','36','4003','Subproductos, residuos y materiales recuperados',NULL,NULL,1),(4246,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','360','4245','Subproductos A',NULL,NULL,1),(4247,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','361','4245','Subproductos B',NULL,NULL,1),(4248,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','365','4245','Residuos A',NULL,NULL,1),(4249,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','366','4245','Residuos B',NULL,NULL,1),(4250,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','368','4245','Materiales recuperados A',NULL,NULL,1),(4251,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','369','4245','Materiales recuperados B',NULL,NULL,1),(4252,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','39','4003','Deterioro de valor de las existencias',NULL,NULL,1),(4253,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','390','4252','Deterioro de valor de las mercaderías',NULL,NULL,1),(4254,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','391','4252','Deterioro de valor de las materias primas',NULL,NULL,1),(4255,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','392','4252','Deterioro de valor de otros aprovisionamientos',NULL,NULL,1),(4256,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','393','4252','Deterioro de valor de los productos en curso',NULL,NULL,1),(4257,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','394','4252','Deterioro de valor de los productos semiterminados',NULL,NULL,1),(4258,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','395','4252','Deterioro de valor de los productos terminados',NULL,NULL,1),(4259,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','EXISTENCIAS','XXXXXX','396','4252','Deterioro de valor de los subproductos, residuos y materiales recuperados',NULL,NULL,1),(4260,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','PROVEEDORES','40','4004','Proveedores',NULL,NULL,1),(4261,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','PROVEEDORES','400','4260','Proveedores',NULL,NULL,1),(4262,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4000','4261','Proveedores euros',NULL,NULL,1),(4263,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4004','4261','Proveedores moneda extranjera',NULL,NULL,1),(4264,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4009','4261','Proveedores facturas pendientes de recibir o formalizar',NULL,NULL,1),(4265,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','401','4260','Proveedores efectos comerciales a pagar',NULL,NULL,1),(4266,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','403','4260','Proveedores empresas del grupo',NULL,NULL,1),(4267,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4030','4266','Proveedores empresas del grupo euros',NULL,NULL,1),(4268,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4031','4266','Efectos comerciales a pagar empresas del grupo',NULL,NULL,1),(4269,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4034','4266','Proveedores empresas del grupo moneda extranjera',NULL,NULL,1),(4270,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4036','4266','Envases y embalajes a devolver a proveedores empresas del grupo',NULL,NULL,1),(4271,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4039','4266','Proveedores empresas del grupo facturas pendientes de recibir o de formalizar',NULL,NULL,1),(4272,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','404','4260','Proveedores empresas asociadas',NULL,NULL,1),(4273,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','405','4260','Proveedores otras partes vinculadas',NULL,NULL,1),(4274,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','406','4260','Envases y embalajes a devolver a proveedores',NULL,NULL,1),(4275,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','407','4260','Anticipos a proveedores',NULL,NULL,1),(4276,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','41','4004','Acreedores varios',NULL,NULL,1),(4277,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','410','4276','Acreedores por prestaciones de servicios',NULL,NULL,1),(4278,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4100','4277','Acreedores por prestaciones de servicios euros',NULL,NULL,1),(4279,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4104','4277','Acreedores por prestaciones de servicios moneda extranjera',NULL,NULL,1),(4280,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4109','4277','Acreedores por prestaciones de servicios facturas pendientes de recibir o formalizar',NULL,NULL,1),(4281,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','411','4276','Acreedores efectos comerciales a pagar',NULL,NULL,1),(4282,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','419','4276','Acreedores por operaciones en común',NULL,NULL,1),(4283,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','CLIENTES','43','4004','Clientes',NULL,NULL,1),(4284,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','CLIENTES','430','4283','Clientes',NULL,NULL,1),(4285,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4300','4284','Clientes euros',NULL,NULL,1),(4286,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4304','4284','Clientes moneda extranjera',NULL,NULL,1),(4287,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4309','4284','Clientes facturas pendientes de formalizar',NULL,NULL,1),(4288,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','431','4283','Clientes efectos comerciales a cobrar',NULL,NULL,1),(4289,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4310','4288','Efectos comerciales en cartera',NULL,NULL,1),(4290,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4311','4288','Efectos comerciales descontados',NULL,NULL,1),(4291,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4312','4288','Efectos comerciales en gestión de cobro',NULL,NULL,1),(4292,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4315','4288','Efectos comerciales impagados',NULL,NULL,1),(4293,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','432','4283','Clientes operaciones de factoring',NULL,NULL,1),(4294,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','433','4283','Clientes empresas del grupo',NULL,NULL,1),(4295,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4330','4294','Clientes empresas del grupo euros',NULL,NULL,1),(4296,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4331','4294','Efectos comerciales a cobrar empresas del grupo',NULL,NULL,1),(4297,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4332','4294','Clientes empresas del grupo operaciones de factoring',NULL,NULL,1),(4298,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4334','4294','Clientes empresas del grupo moneda extranjera',NULL,NULL,1),(4299,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4336','4294','Clientes empresas del grupo dudoso cobro',NULL,NULL,1),(4300,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4337','4294','Envases y embalajes a devolver a clientes empresas del grupo',NULL,NULL,1),(4301,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4339','4294','Clientes empresas del grupo facturas pendientes de formalizar',NULL,NULL,1),(4302,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','434','4283','Clientes empresas asociadas',NULL,NULL,1),(4303,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','435','4283','Clientes otras partes vinculadas',NULL,NULL,1),(4304,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','436','4283','Clientes de dudoso cobro',NULL,NULL,1),(4305,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','437','4283','Envases y embalajes a devolver por clientes',NULL,NULL,1),(4306,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','438','4283','Anticipos de clientes',NULL,NULL,1),(4307,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','44','4004','Deudores varios',NULL,NULL,1),(4308,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','440','4307','Deudores',NULL,NULL,1),(4309,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4400','4308','Deudores euros',NULL,NULL,1),(4310,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4404','4308','Deudores moneda extranjera',NULL,NULL,1),(4311,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4409','4308','Deudores facturas pendientes de formalizar',NULL,NULL,1),(4312,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','441','4307','Deudores efectos comerciales a cobrar',NULL,NULL,1),(4313,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4410','4312','Deudores efectos comerciales en cartera',NULL,NULL,1),(4314,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4411','4312','Deudores efectos comerciales descontados',NULL,NULL,1),(4315,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4412','4312','Deudores efectos comerciales en gestión de cobro',NULL,NULL,1),(4316,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4415','4312','Deudores efectos comerciales impagados',NULL,NULL,1),(4317,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','446','4307','Deudores de dusoso cobro',NULL,NULL,1),(4318,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','449','4307','Deudores por operaciones en común',NULL,NULL,1),(4319,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','46','4004','Personal',NULL,NULL,1),(4320,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','460','4319','Anticipos de renumeraciones',NULL,NULL,1),(4321,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','465','4319','Renumeraciones pendientes de pago',NULL,NULL,1),(4322,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','47','4004','Administraciones Públicas',NULL,NULL,1),(4323,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','470','4322','Hacienda Pública deudora por diversos conceptos',NULL,NULL,1),(4324,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4700','4323','Hacienda Pública deudora por IVA',NULL,NULL,1),(4325,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4708','4323','Hacienda Pública deudora por subvenciones concedidas',NULL,NULL,1),(4326,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4709','4323','Hacienda Pública deudora por devolución de impuestos',NULL,NULL,1),(4327,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','471','4322','Organismos de la Seguridad Social deudores',NULL,NULL,1),(4328,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','472','4322','Hacienda Pública IVA soportado',NULL,NULL,1),(4329,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','473','4322','Hacienda Pública retenciones y pagos a cuenta',NULL,NULL,1),(4330,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','474','4322','Activos por impuesto diferido',NULL,NULL,1),(4331,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4740','4330','Activos por diferencias temporarias deducibles',NULL,NULL,1),(4332,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4742','4330','Derechos por deducciones y bonificaciones pendientes de aplicar',NULL,NULL,1),(4333,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4745','4330','Crédito por pérdidasa compensar del ejercicio',NULL,NULL,1),(4334,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','475','4322','Hacienda Pública acreedora por conceptos fiscales',NULL,NULL,1),(4335,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4750','4334','Hacienda Pública acreedora por IVA',NULL,NULL,1),(4336,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4751','4334','Hacienda Pública acreedora por retenciones practicadas',NULL,NULL,1),(4337,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4752','4334','Hacienda Pública acreedora por impuesto sobre sociedades',NULL,NULL,1),(4338,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4758','4334','Hacienda Pública acreedora por subvenciones a integrar',NULL,NULL,1),(4339,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','476','4322','Organismos de la Seguridad Social acreedores',NULL,NULL,1),(4340,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','477','4322','Hacienda Pública IVA repercutido',NULL,NULL,1),(4341,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','479','4322','Pasivos por diferencias temporarias imponibles',NULL,NULL,1),(4342,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','48','4004','Ajustes por periodificación',NULL,NULL,1),(4343,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','480','4342','Gastos anticipados',NULL,NULL,1),(4344,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','485','4342','Ingresos anticipados',NULL,NULL,1),(4345,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','49','4004','Deterioro de valor de créditos comerciales y provisiones a corto plazo',NULL,NULL,1),(4346,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','490','4345','Deterioro de valor de créditos por operaciones comerciales',NULL,NULL,1),(4347,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','493','4345','Deterioro de valor de créditos por operaciones comerciales con partes vinculadas',NULL,NULL,1),(4348,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4933','4347','Deterioro de valor de créditos por operaciones comerciales con empresas del grupo',NULL,NULL,1),(4349,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4934','4347','Deterioro de valor de créditos por operaciones comerciales con empresas asociadas',NULL,NULL,1),(4350,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4935','4347','Deterioro de valor de créditos por operaciones comerciales con otras partes vinculadas',NULL,NULL,1),(4351,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','499','4345','Provisiones por operaciones comerciales',NULL,NULL,1),(4352,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4994','4351','Provisión para contratos anerosos',NULL,NULL,1),(4353,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','ACREEDORES_DEUDORES','XXXXXX','4999','4351','Provisión para otras operaciones comerciales',NULL,NULL,1),(4354,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','50','4005','Emprésitos deudas con características especiales y otras emisiones análogas a corto plazo',NULL,NULL,1),(4355,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','500','4354','Obligaciones y bonos a corto plazo',NULL,NULL,1),(4356,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','502','4354','Acciones o participaciones a corto plazo consideradas como pasivos financieros',NULL,NULL,1),(4357,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','505','4354','Deudas representadas en otros valores negociables a corto plazo',NULL,NULL,1),(4358,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','506','4354','Intereses a corto plazo de emprésitos y otras emisiones analógicas',NULL,NULL,1),(4359,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','507','4354','Dividendos de acciones o participaciones consideradas como pasivos financieros',NULL,NULL,1),(4360,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','509','4354','Valores negociables amortizados',NULL,NULL,1),(4361,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5090','4360','Obligaciones y bonos amortizados',NULL,NULL,1),(4362,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5095','4360','Otros valores negociables amortizados',NULL,NULL,1),(4363,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','51','4005','Deudas a corto plazo con partes vinculadas',NULL,NULL,1),(4364,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','510','4363','Deudas a corto plazo con entidades de crédito vinculadas',NULL,NULL,1),(4365,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5103','4364','Deudas a corto plazo con entidades de crédito empresas del grupo',NULL,NULL,1),(4366,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5104','4364','Deudas a corto plazo con entidades de crédito empresas asociadas',NULL,NULL,1),(4367,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5105','4364','Deudas a corto plazo con otras entidades de crédito vinculadas',NULL,NULL,1),(4368,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','511','4363','Proveedores de inmovilizado a corto plazo partes vinculadas',NULL,NULL,1),(4369,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5113','4368','Proveedores de inmovilizado a corto plazo empresas del grupo',NULL,NULL,1),(4370,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5114','4368','Proveedores de inmovilizado a corto plazo empresas asociadas',NULL,NULL,1),(4371,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5115','4368','Proveedores de inmovilizado a corto plazo otras partes vinculadas',NULL,NULL,1),(4372,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','512','4363','Acreedores por arrendamiento financiero a corto plazo partes vinculadas',NULL,NULL,1),(4373,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5123','4372','Acreedores por arrendamiento financiero a corto plazo empresas del grupo',NULL,NULL,1),(4374,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5124','4372','Acreedores por arrendamiento financiero a corto plazo empresas asociadas',NULL,NULL,1),(4375,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5125','4372','Acreedores por arrendamiento financiero a corto plazo otras partes vinculadas',NULL,NULL,1),(4376,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','513','4363','Otras deudas a corto plazo con partes vinculadas',NULL,NULL,1),(4377,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5133','4376','Otras deudas a corto plazo con empresas del grupo',NULL,NULL,1),(4378,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5134','4376','Otras deudas a corto plazo con empresas asociadas',NULL,NULL,1),(4379,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5135','4376','Otras deudas a corto plazo con partes vinculadas',NULL,NULL,1),(4380,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','514','4363','Intereses a corto plazo con partes vinculadas',NULL,NULL,1),(4381,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5143','4380','Intereses a corto plazo empresas del grupo',NULL,NULL,1),(4382,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5144','4380','Intereses a corto plazo empresas asociadas',NULL,NULL,1),(4383,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5145','4380','Intereses deudas a corto plazo partes vinculadas',NULL,NULL,1),(4384,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','52','4005','Deudas a corto plazo por préstamos recibidos y otros conceptos',NULL,NULL,1),(4385,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','520','4384','Deudas a corto plazo con entidades de crédito',NULL,NULL,1),(4386,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5200','4385','Préstamos a corto plazo de entidades de crédito',NULL,NULL,1),(4387,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5201','4385','Deudas a corto plazo por crédito dispuesto',NULL,NULL,1),(4388,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5208','4385','Deudas por efectos descontados',NULL,NULL,1),(4389,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5209','4385','Deudas por operaciones de factoring',NULL,NULL,1),(4390,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','521','4384','Deudas a corto plazo',NULL,NULL,1),(4391,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','522','4384','Deudas a corto plazo transformables en subvenciones donaciones y legados',NULL,NULL,1),(4392,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','523','4384','Proveedores de inmovilizado a corto plazo',NULL,NULL,1),(4393,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','526','4384','Dividendo activo a pagar',NULL,NULL,1),(4394,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','527','4384','Intereses a corto plazo de deudas con entidades de crédito',NULL,NULL,1),(4395,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','528','4384','Intereses a corto plazo de deudas',NULL,NULL,1),(4396,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','529','4384','Provisiones a corto plazo',NULL,NULL,1),(4397,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5291','4396','Provisión a corto plazo para impuestos',NULL,NULL,1),(4398,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5292','4396','Provisión a corto plazo para otras responsabilidades',NULL,NULL,1),(4399,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5293','4396','Provisión a corto plazo por desmantelamiento retiro o rehabilitación del inmovilizado',NULL,NULL,1),(4400,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5295','4396','Provisión a corto plazo para actuaciones medioambientales',NULL,NULL,1),(4401,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','53','4005','Inversiones financieras a corto plazo en partes vinculadas',NULL,NULL,1),(4402,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','530','4401','Participaciones a corto plazo en partes vinculadas',NULL,NULL,1),(4403,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5303','4402','Participaciones a corto plazo en empresas del grupo',NULL,NULL,1),(4404,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5304','4402','Participaciones a corto plazo en empresas asociadas',NULL,NULL,1),(4405,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5305','4402','Participaciones a corto plazo en otras partes vinculadas',NULL,NULL,1),(4406,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','531','4401','Valores representativos de deuda a corto plazo de partes vinculadas',NULL,NULL,1),(4407,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5313','4406','Valores representativos de deuda a corto plazo de empresas del grupo',NULL,NULL,1),(4408,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5314','4406','Valores representativos de deuda a corto plazo de empresas asociadas',NULL,NULL,1),(4409,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5315','4406','Valores representativos de deuda a corto plazo de otras partes vinculadas',NULL,NULL,1),(4410,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','532','4401','Créditos a corto plazo a partes vinculadas',NULL,NULL,1),(4411,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5323','4410','Créditos a corto plazo a empresas del grupo',NULL,NULL,1),(4412,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5324','4410','Créditos a corto plazo a empresas asociadas',NULL,NULL,1),(4413,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5325','4410','Créditos a corto plazo a otras partes vinculadas',NULL,NULL,1),(4414,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','533','4401','Intereses a corto plazo de valores representativos de deuda de partes vinculadas',NULL,NULL,1),(4415,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5333','4414','Intereses a corto plazo de valores representativos de deuda en empresas del grupo',NULL,NULL,1),(4416,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5334','4414','Intereses a corto plazo de valores representativos de deuda en empresas asociadas',NULL,NULL,1),(4417,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5335','4414','Intereses a corto plazo de valores representativos de deuda en otras partes vinculadas',NULL,NULL,1),(4418,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','534','4401','Intereses a corto plazo de créditos a partes vinculadas',NULL,NULL,1),(4419,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5343','4418','Intereses a corto plazo de créditos a empresas del grupo',NULL,NULL,1),(4420,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5344','4418','Intereses a corto plazo de créditos a empresas asociadas',NULL,NULL,1),(4421,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5345','4418','Intereses a corto plazo de créditos a otras partes vinculadas',NULL,NULL,1),(4422,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','535','4401','Dividendo a cobrar de inversiones financieras en partes vinculadas',NULL,NULL,1),(4423,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5353','4422','Dividendo a cobrar de empresas del grupo',NULL,NULL,1),(4424,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5354','4422','Dividendo a cobrar de empresas asociadas',NULL,NULL,1),(4425,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5355','4422','Dividendo a cobrar de otras partes vinculadas',NULL,NULL,1),(4426,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','539','4401','Desembolsos pendientes sobre participaciones a corto plazo en partes vinculadas',NULL,NULL,1),(4427,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5393','4426','Desembolsos pendientes sobre participaciones a corto plazo en empresas del grupo',NULL,NULL,1),(4428,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5394','4426','Desembolsos pendientes sobre participaciones a corto plazo en empresas asociadas',NULL,NULL,1),(4429,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5395','4426','Desembolsos pendientes sobre participaciones a corto plazo en otras partes vinculadas',NULL,NULL,1),(4430,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','54','4005','Otras inversiones financieras a corto plazo',NULL,NULL,1),(4431,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','540','4430','Inversiones financieras a corto plazo en instrumentos de patrimonio',NULL,NULL,1),(4432,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','541','4430','Valores representativos de deuda a corto plazo',NULL,NULL,1),(4433,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','542','4430','Créditos a corto plazo',NULL,NULL,1),(4434,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','543','4430','Créditos a corto plazo por enejenación de inmovilizado',NULL,NULL,1),(4435,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','544','4430','Créditos a corto plazo al personal',NULL,NULL,1),(4436,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','545','4430','Dividendo a cobrar',NULL,NULL,1),(4437,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','546','4430','Intereses a corto plazo de valores reprsentativos de deuda',NULL,NULL,1),(4438,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','547','4430','Intereses a corto plazo de créditos',NULL,NULL,1),(4439,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','548','4430','Imposiciones a corto plazo',NULL,NULL,1),(4440,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','549','4430','Desembolsos pendientes sobre participaciones en el patrimonio neto a corto plazo',NULL,NULL,1),(4441,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','55','4005','Otras cuentas no bancarias',NULL,NULL,1),(4442,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','550','4441','Titular de la explotación',NULL,NULL,1),(4443,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','551','4441','Cuenta corriente con socios y administradores',NULL,NULL,1),(4444,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','552','4441','Cuenta corriente otras personas y entidades vinculadas',NULL,NULL,1),(4445,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5523','4444','Cuenta corriente con empresas del grupo',NULL,NULL,1),(4446,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5524','4444','Cuenta corriente con empresas asociadas',NULL,NULL,1),(4447,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5525','4444','Cuenta corriente con otras partes vinculadas',NULL,NULL,1),(4448,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','554','4441','Cuenta corriente con uniones temporales de empresas y comunidades de bienes',NULL,NULL,1),(4449,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','555','4441','Partidas pendientes de aplicación',NULL,NULL,1),(4450,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','556','4441','Desembolsos exigidos sobre participaciones en el patrimonio neto',NULL,NULL,1),(4451,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5563','4450','Desembolsos exigidos sobre participaciones empresas del grupo',NULL,NULL,1),(4452,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5564','4450','Desembolsos exigidos sobre participaciones empresas asociadas',NULL,NULL,1),(4453,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5565','4450','Desembolsos exigidos sobre participaciones otras partes vinculadas',NULL,NULL,1),(4454,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5566','4450','Desembolsos exigidos sobre participaciones otras empresas',NULL,NULL,1),(4455,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','557','4441','Dividendo activo a cuenta',NULL,NULL,1),(4456,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','558','4441','Socios por desembolsos exigidos',NULL,NULL,1),(4457,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5580','4456','Socios por desembolsos exigidos sobre acciones o participaciones ordinarias',NULL,NULL,1),(4458,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5585','4456','Socios por desembolsos exigidos sobre acciones o participaciones consideradas como pasivos financieros',NULL,NULL,1),(4459,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','559','4441','Derivados financieros a corto plazo',NULL,NULL,1),(4460,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5590','4459','Activos por derivados financieros a corto plazo',NULL,NULL,1),(4461,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5595','4459','Pasivos por derivados financieros a corto plazo',NULL,NULL,1),(4462,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','56','4005','Finanzas y depósitos recibidos y constituidos a corto plazo y ajustes por periodificación',NULL,NULL,1),(4463,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','560','4462','Finanzas recibidas a corto plazo',NULL,NULL,1),(4464,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','561','4462','Depósitos recibidos a corto plazo',NULL,NULL,1),(4465,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','565','4462','Finanzas constituidas a corto plazo',NULL,NULL,1),(4466,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','566','4462','Depósitos constituidos a corto plazo',NULL,NULL,1),(4467,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','567','4462','Intereses pagados por anticipado',NULL,NULL,1),(4468,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','568','4462','Intereses cobrados a corto plazo',NULL,NULL,1),(4469,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','57','4005','Tesorería',NULL,NULL,1),(4470,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','CAJA','570','4469','Caja euros',NULL,NULL,1),(4471,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','571','4469','Caja moneda extranjera',NULL,NULL,1),(4472,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','BANCOS','572','4469','Bancos e instituciones de crédito cc vista euros',NULL,NULL,1),(4473,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','573','4469','Bancos e instituciones de crédito cc vista moneda extranjera',NULL,NULL,1),(4474,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','574','4469','Bancos e instituciones de crédito cuentas de ahorro euros',NULL,NULL,1),(4475,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','575','4469','Bancos e instituciones de crédito cuentas de ahorro moneda extranjera',NULL,NULL,1),(4476,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','576','4469','Inversiones a corto plazo de gran liquidez',NULL,NULL,1),(4477,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','59','4005','Deterioro del valor de las inversiones financieras a corto plazo',NULL,NULL,1),(4478,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','593','4477','Deterioro del valor de participaciones a corto plazo en partes vinculadas',NULL,NULL,1),(4479,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5933','4478','Deterioro del valor de participaciones a corto plazo en empresas del grupo',NULL,NULL,1),(4480,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5934','4478','Deterioro del valor de participaciones a corto plazo en empresas asociadas',NULL,NULL,1),(4481,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5935','4478','Deterioro del valor de participaciones a corto plazo en otras partes vinculadas',NULL,NULL,1),(4482,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','594','4477','Deterioro del valor de valores representativos de deuda a corto plazo en partes vinculadas',NULL,NULL,1),(4483,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5943','4482','Deterioro del valor de valores representativos de deuda a corto plazo en empresas del grupo',NULL,NULL,1),(4484,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5944','4482','Deterioro del valor de valores representativos de deuda a corto plazo en empresas asociadas',NULL,NULL,1),(4485,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5945','4482','Deterioro del valor de valores representativos de deuda a corto plazo en otras partes vinculadas',NULL,NULL,1),(4486,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','595','4477','Deterioro del valor de créditos a corto plazo en partes vinculadas',NULL,NULL,1),(4487,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5953','4486','Deterioro del valor de créditos a corto plazo en empresas del grupo',NULL,NULL,1),(4488,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5954','4486','Deterioro del valor de créditos a corto plazo en empresas asociadas',NULL,NULL,1),(4489,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','5955','4486','Deterioro del valor de créditos a corto plazo en otras partes vinculadas',NULL,NULL,1),(4490,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','596','4477','Deterioro del valor de participaciones a corto plazo',NULL,NULL,1),(4491,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','597','4477','Deterioro del valor de valores representativos de deuda a corto plazo',NULL,NULL,1),(4492,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','CUENTAS_FINANCIERAS','XXXXXX','598','4477','Deterioro de valor de créditos a corto plazo',NULL,NULL,1),(4493,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','60','4006','Compras',NULL,NULL,1),(4494,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','COMPRAS','600','4493','Compras de mercaderías',NULL,NULL,1),(4495,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','COMPRAS','601','4493','Compras de materias primas',NULL,NULL,1),(4496,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','602','4493','Compras de otros aprovisionamientos',NULL,NULL,1),(4497,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','606','4493','Descuentos sobre compras por pronto pago',NULL,NULL,1),(4498,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6060','4497','Descuentos sobre compras por pronto pago de mercaderías',NULL,NULL,1),(4499,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6061','4497','Descuentos sobre compras por pronto pago de materias primas',NULL,NULL,1),(4500,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6062','4497','Descuentos sobre compras por pronto pago de otros aprovisionamientos',NULL,NULL,1),(4501,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','COMPRAS','607','4493','Trabajos realizados por otras empresas',NULL,NULL,1),(4502,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','608','4493','Devoluciones de compras y operaciones similares',NULL,NULL,1),(4503,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6080','4502','Devoluciones de compras de mercaderías',NULL,NULL,1),(4504,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6081','4502','Devoluciones de compras de materias primas',NULL,NULL,1),(4505,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6082','4502','Devoluciones de compras de otros aprovisionamientos',NULL,NULL,1),(4506,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','609','4493','Rappels por compras',NULL,NULL,1),(4507,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6090','4506','Rappels por compras de mercaderías',NULL,NULL,1),(4508,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6091','4506','Rappels por compras de materias primas',NULL,NULL,1),(4509,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6092','4506','Rappels por compras de otros aprovisionamientos',NULL,NULL,1),(4510,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','61','4006','Variación de existencias',NULL,NULL,1),(4511,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','610','4510','Variación de existencias de mercaderías',NULL,NULL,1),(4512,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','611','4510','Variación de existencias de materias primas',NULL,NULL,1),(4513,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','612','4510','Variación de existencias de otros aprovisionamientos',NULL,NULL,1),(4514,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','62','4006','Servicios exteriores',NULL,NULL,1),(4515,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','620','4514','Gastos en investigación y desarrollo del ejercicio',NULL,NULL,1),(4516,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','621','4514','Arrendamientos y cánones',NULL,NULL,1),(4517,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','622','4514','Reparaciones y conservación',NULL,NULL,1),(4518,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','623','4514','Servicios profesionales independientes',NULL,NULL,1),(4519,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','624','4514','Transportes',NULL,NULL,1),(4520,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','625','4514','Primas de seguros',NULL,NULL,1),(4521,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','626','4514','Servicios bancarios y similares',NULL,NULL,1),(4522,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','627','4514','Publicidad, propaganda y relaciones públicas',NULL,NULL,1),(4523,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','628','4514','Suministros',NULL,NULL,1),(4524,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','629','4514','Otros servicios',NULL,NULL,1),(4525,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','63','4006','Tributos',NULL,NULL,1),(4526,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','630','4525','Impuesto sobre benecifios',NULL,NULL,1),(4527,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6300','4526','Impuesto corriente',NULL,NULL,1),(4528,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6301','4526','Impuesto diferido',NULL,NULL,1),(4529,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','631','4525','Otros tributos',NULL,NULL,1),(4530,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','633','4525','Ajustes negativos en la imposición sobre beneficios',NULL,NULL,1),(4531,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','634','4525','Ajustes negativos en la imposición indirecta',NULL,NULL,1),(4532,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6341','4531','Ajustes negativos en IVA de activo corriente',NULL,NULL,1),(4533,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6342','4531','Ajustes negativos en IVA de inversiones',NULL,NULL,1),(4534,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','636','4525','Devolución de impuestos',NULL,NULL,1),(4535,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','638','4525','Ajustes positivos en la imposición sobre beneficios',NULL,NULL,1),(4536,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','639','4525','Ajustes positivos en la imposición directa',NULL,NULL,1),(4537,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6391','4536','Ajustes positivos en IVA de activo corriente',NULL,NULL,1),(4538,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6392','4536','Ajustes positivos en IVA de inversiones',NULL,NULL,1),(4539,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','64','4006','Gastos de personal',NULL,NULL,1),(4540,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','640','4539','Sueldos y salarios',NULL,NULL,1),(4541,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','641','4539','Indemnizaciones',NULL,NULL,1),(4542,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','642','4539','Seguridad social a cargo de la empresa',NULL,NULL,1),(4543,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','649','4539','Otros gastos sociales',NULL,NULL,1),(4544,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','65','4006','Otros gastos de gestión',NULL,NULL,1),(4545,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','650','4544','Pérdidas de créditos comerciales incobrables',NULL,NULL,1),(4546,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','651','4544','Resultados de operaciones en común',NULL,NULL,1),(4547,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6510','4546','Beneficio transferido gestor',NULL,NULL,1),(4548,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6511','4546','Pérdida soportada participe o asociado no gestor',NULL,NULL,1),(4549,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','659','4544','Otras pérdidas en gestión corriente',NULL,NULL,1),(4550,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','66','4006','Gastos financieros',NULL,NULL,1),(4551,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','660','4550','Gastos financieros por actualización de provisiones',NULL,NULL,1),(4552,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','661','4550','Intereses de obligaciones y bonos',NULL,NULL,1),(4553,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6610','4452','Intereses de obligaciones y bonos a largo plazo empresas del grupo',NULL,NULL,1),(4554,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6611','4452','Intereses de obligaciones y bonos a largo plazo empresas asociadas',NULL,NULL,1),(4555,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6612','4452','Intereses de obligaciones y bonos a largo plazo otras partes vinculadas',NULL,NULL,1),(4556,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6613','4452','Intereses de obligaciones y bonos a largo plazo otras empresas',NULL,NULL,1),(4557,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6615','4452','Intereses de obligaciones y bonos a corto plazo empresas del grupo',NULL,NULL,1),(4558,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6616','4452','Intereses de obligaciones y bonos a corto plazo empresas asociadas',NULL,NULL,1),(4559,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6617','4452','Intereses de obligaciones y bonos a corto plazo otras partes vinculadas',NULL,NULL,1),(4560,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6618','4452','Intereses de obligaciones y bonos a corto plazo otras empresas',NULL,NULL,1),(4561,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','662','4550','Intereses de deudas',NULL,NULL,1),(4562,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6620','4561','Intereses de deudas empresas del grupo',NULL,NULL,1),(4563,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6621','4561','Intereses de deudas empresas asociadas',NULL,NULL,1),(4564,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6622','4561','Intereses de deudas otras partes vinculadas',NULL,NULL,1),(4565,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6623','4561','Intereses de deudas con entidades de crédito',NULL,NULL,1),(4566,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6624','4561','Intereses de deudas otras empresas',NULL,NULL,1),(4567,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','663','4550','Pérdidas por valorización de activos y pasivos financieros por su valor razonable',NULL,NULL,1),(4568,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','664','4550','Gastos por dividendos de acciones o participaciones consideradas como pasivos financieros',NULL,NULL,1),(4569,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6640','4568','Dividendos de pasivos empresas del grupo',NULL,NULL,1),(4570,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6641','4568','Dividendos de pasivos empresas asociadas',NULL,NULL,1),(4571,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6642','4568','Dividendos de pasivos otras partes vinculadas',NULL,NULL,1),(4572,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6643','4568','Dividendos de pasivos otras empresas',NULL,NULL,1),(4573,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','665','4550','Intereses por descuento de efectos y operaciones de factoring',NULL,NULL,1),(4574,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6650','4573','Intereses por descuento de efectos en entidades de crédito del grupo',NULL,NULL,1),(4575,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6651','4573','Intereses por descuento de efectos en entidades de crédito asociadas',NULL,NULL,1),(4576,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6652','4573','Intereses por descuento de efectos en entidades de crédito vinculadas',NULL,NULL,1),(4577,1,NULL,'2015-07-04 13:46:00','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6653','4573','Intereses por descuento de efectos en otras entidades de crédito',NULL,NULL,1),(4578,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6654','4573','Intereses por operaciones de factoring con entidades de crédito del grupo',NULL,NULL,1),(4579,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6655','4573','Intereses por operaciones de factoring con entidades de crédito asociadas',NULL,NULL,1),(4580,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6656','4573','Intereses por operaciones de factoring con otras entidades de crédito vinculadas',NULL,NULL,1),(4581,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6657','4573','Intereses por operaciones de factoring con otras entidades de crédito',NULL,NULL,1),(4582,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','666','4550','Pérdidas en participaciones y valores representativos de deuda',NULL,NULL,1),(4583,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6660','4582','Pérdidas en valores representativos de deuda a largo plazo empresas del grupo',NULL,NULL,1),(4584,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6661','4582','Pérdidas en valores representativos de deuda a largo plazo empresas asociadas',NULL,NULL,1),(4585,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6662','4582','Pérdidas en valores representativos de deuda a largo plazo otras partes vinculadas',NULL,NULL,1),(4586,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6663','4582','Pérdidas en participaciones y valores representativos de deuda a largo plazo otras empresas',NULL,NULL,1),(4587,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6665','4582','Pérdidas en participaciones y valores representativos de deuda a corto plazo empresas del grupo',NULL,NULL,1),(4588,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6666','4582','Pérdidas en participaciones y valores representativos de deuda a corto plazo empresas asociadas',NULL,NULL,1),(4589,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6667','4582','Pérdidas en valores representativos de deuda a corto plazo otras partes vinculadas',NULL,NULL,1),(4590,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6668','4582','Pérdidas en valores representativos de deuda a corto plazo otras empresas',NULL,NULL,1),(4591,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','667','4550','Pérdidas de créditos no comerciales',NULL,NULL,1),(4592,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6670','4591','Pérdidas de créditos a largo plazo empresas del grupo',NULL,NULL,1),(4593,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6671','4591','Pérdidas de créditos a largo plazo empresas asociadas',NULL,NULL,1),(4594,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6672','4591','Pérdidas de créditos a largo plazo otras partes vinculadas',NULL,NULL,1),(4595,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6673','4591','Pérdidas de créditos a largo plazo otras empresas',NULL,NULL,1),(4596,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6675','4591','Pérdidas de créditos a corto plazo empresas del grupo',NULL,NULL,1),(4597,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6676','4591','Pérdidas de créditos a corto plazo empresas asociadas',NULL,NULL,1),(4598,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6677','4591','Pérdidas de créditos a corto plazo otras partes vinculadas',NULL,NULL,1),(4599,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6678','4591','Pérdidas de créditos a corto plazo otras empresas',NULL,NULL,1),(4600,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','668','4550','Diferencias negativas de cambio',NULL,NULL,1),(4601,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','669','4550','Otros gastos financieros',NULL,NULL,1),(4602,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','67','4006','Pérdidas procedentes de activos no corrientes y gastos excepcionales',NULL,NULL,1),(4603,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','670','4602','Pérdidas procedentes del inmovilizado intangible',NULL,NULL,1),(4604,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','671','4602','Pérdidas procedentes del inmovilizado material',NULL,NULL,1),(4605,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','672','4602','Pérdidas procedentes de las inversiones inmobiliarias',NULL,NULL,1),(4607,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','673','4602','Pérdidas procedentes de participaciones a largo plazo en partes vinculadas',NULL,NULL,1),(4608,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6733','4607','Pérdidas procedentes de participaciones a largo plazo empresas del grupo',NULL,NULL,1),(4609,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6734','4607','Pérdidas procedentes de participaciones a largo plazo empresas asociadas',NULL,NULL,1),(4610,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6735','4607','Pérdidas procedentes de participaciones a largo plazo otras partes vinculadas',NULL,NULL,1),(4611,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','675','4602','Pérdidas por operaciones con obligaciones propias',NULL,NULL,1),(4612,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','678','4602','Gastos excepcionales',NULL,NULL,1),(4613,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','68','4006','Dotaciones para amortizaciones',NULL,NULL,1),(4614,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','680','4613','Amortización del inmovilizado intangible',NULL,NULL,1),(4615,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','681','4613','Amortización del inmovilizado material',NULL,NULL,1),(4616,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','682','4613','Amortización de las inversiones inmobiliarias',NULL,NULL,1),(4617,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','69','4006','Pérdidas por deterioro y otras dotaciones',NULL,NULL,1),(4618,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','690','4617','Pérdidas por deterioro del inmovilizado intangible',NULL,NULL,1),(4619,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','691','4617','Pérdidas por deterioro del inmovilizado material',NULL,NULL,1),(4620,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','692','4617','Pérdidas por deterioro de las inversiones inmobiliarias',NULL,NULL,1),(4621,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','693','4617','Pérdidas por deterioro de existencias',NULL,NULL,1),(4622,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6930','4621','Pérdidas por deterioro de productos terminados y en curso de fabricación',NULL,NULL,1),(4623,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6931','4621','Pérdidas por deterioro de mercaderías',NULL,NULL,1),(4624,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6932','4621','Pérdidas por deterioro de materias primas',NULL,NULL,1),(4625,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6933','4621','Pérdidas por deterioro de otros aprovisionamientos',NULL,NULL,1),(4626,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','694','4617','Pérdidas por deterioro de créditos por operaciones comerciales',NULL,NULL,1),(4627,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','695','4617','Dotación a la provisión por operaciones comerciales',NULL,NULL,1),(4628,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6954','4627','Dotación a la provisión por contratos onerosos',NULL,NULL,1),(4629,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6959','4628','Dotación a la provisión para otras operaciones comerciales',NULL,NULL,1),(4630,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','696','4617','Pérdidas por deterioro de participaciones y valores representativos de deuda a largo plazo',NULL,NULL,1),(4631,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6960','4630','Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas del grupo',NULL,NULL,1),(4632,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6961','4630','Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas asociadas',NULL,NULL,1),(4633,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6962','4630','Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras partes vinculadas',NULL,NULL,1),(4634,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6963','4630','Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras empresas',NULL,NULL,1),(4635,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6965','4630','Pérdidas por deterioro en valores representativos de deuda a largo plazo empresas del grupo',NULL,NULL,1),(4636,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6966','4630','Pérdidas por deterioro en valores representativos de deuda a largo plazo empresas asociadas',NULL,NULL,1),(4637,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6967','4630','Pérdidas por deterioro en valores representativos de deuda a largo plazo otras partes vinculadas',NULL,NULL,1),(4638,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6968','4630','Pérdidas por deterioro en valores representativos de deuda a largo plazo otras empresas',NULL,NULL,1),(4639,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','697','4617','Pérdidas por deterioro de créditos a largo plazo',NULL,NULL,1),(4640,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6970','4639','Pérdidas por deterioro de créditos a largo plazo empresas del grupo',NULL,NULL,1),(4641,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6971','4639','Pérdidas por deterioro de créditos a largo plazo empresas asociadas',NULL,NULL,1),(4642,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6972','4639','Pérdidas por deterioro de créditos a largo plazo otras partes vinculadas',NULL,NULL,1),(4643,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6973','4639','Pérdidas por deterioro de créditos a largo plazo otras empresas',NULL,NULL,1),(4644,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','698','4617','Pérdidas por deterioro de participaciones y valores representativos de deuda a corto plazo',NULL,NULL,1),(4645,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6980','4644','Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas del grupo',NULL,NULL,1),(4646,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6981','4644','Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas asociadas',NULL,NULL,1),(4647,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6985','4644','Pérdidas por deterioro en valores representativos de deuda a corto plazo empresas del grupo',NULL,NULL,1),(4648,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6986','4644','Pérdidas por deterioro en valores representativos de deuda a corto plazo empresas asociadas',NULL,NULL,1),(4649,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6988','4644','Pérdidas por deterioro en valores representativos de deuda a corto plazo de otras empresas',NULL,NULL,1),(4650,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','699','4617','Pérdidas por deterioro de crédito a corto plazo',NULL,NULL,1),(4651,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6990','4650','Pérdidas por deterioro de crédito a corto plazo empresas del grupo',NULL,NULL,1),(4652,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6991','4650','Pérdidas por deterioro de crédito a corto plazo empresas asociadas',NULL,NULL,1),(4653,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6992','4650','Pérdidas por deterioro de crédito a corto plazo otras partes vinculadas',NULL,NULL,1),(4654,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','COMPRAS_Y_GASTOS','XXXXXX','6993','4650','Pérdidas por deterioro de crédito a corto plazo otras empresas',NULL,NULL,1),(4655,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','70','4007','Ventas',NULL,NULL,1),(4656,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','VENTAS','700','4655','Ventas de mercaderías',NULL,NULL,1),(4657,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','VENTAS','701','4655','Ventas de productos terminados',NULL,NULL,1),(4658,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','702','4655','Ventas de productos semiterminados',NULL,NULL,1),(4659,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','703','4655','Ventas de subproductos y residuos',NULL,NULL,1),(4660,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','704','4655','Ventas de envases y embalajes',NULL,NULL,1),(4661,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','VENTAS','705','4655','Prestaciones de servicios',NULL,NULL,1),(4662,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','706','4655','Descuentos sobre ventas por pronto pago',NULL,NULL,1),(4663,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7060','4662','Descuentos sobre ventas por pronto pago de mercaderías',NULL,NULL,1),(4664,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7061','4662','Descuentos sobre ventas por pronto pago de productos terminados',NULL,NULL,1),(4665,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7062','4662','Descuentos sobre ventas por pronto pago de productos semiterminados',NULL,NULL,1),(4666,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7063','4662','Descuentos sobre ventas por pronto pago de subproductos y residuos',NULL,NULL,1),(4667,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','708','4655','Devoluciones de ventas y operacioes similares',NULL,NULL,1),(4668,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7080','4667','Devoluciones de ventas de mercaderías',NULL,NULL,1),(4669,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7081','4667','Devoluciones de ventas de productos terminados',NULL,NULL,1),(4670,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7082','4667','Devoluciones de ventas de productos semiterminados',NULL,NULL,1),(4671,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7083','4667','Devoluciones de ventas de subproductos y residuos',NULL,NULL,1),(4672,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7084','4667','Devoluciones de ventas de envases y embalajes',NULL,NULL,1),(4673,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','71','4007','Variación de existencias',NULL,NULL,1),(4674,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','710','4673','Variación de existencias de productos en curso',NULL,NULL,1),(4675,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','711','4673','Variación de existencias de productos semiterminados',NULL,NULL,1),(4676,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','712','4673','Variación de existencias de productos terminados',NULL,NULL,1),(4677,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','713','4673','Variación de existencias de subproductos, residuos y materiales recuperados',NULL,NULL,1),(4678,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','73','4007','Trabajos realizados para la empresa',NULL,NULL,1),(4679,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','730','4678','Trabajos realizados para el inmovilizado intangible',NULL,NULL,1),(4680,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','731','4678','Trabajos realizados para el inmovilizado tangible',NULL,NULL,1),(4681,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','732','4678','Trabajos realizados en inversiones inmobiliarias',NULL,NULL,1),(4682,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','733','4678','Trabajos realizados para el inmovilizado material en curso',NULL,NULL,1),(4683,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','74','4007','Subvenciones, donaciones y legados',NULL,NULL,1),(4684,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','740','4683','Subvenciones, donaciones y legados a la explotación',NULL,NULL,1),(4685,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','746','4683','Subvenciones, donaciones y legados de capital transferidos al resultado del ejercicio',NULL,NULL,1),(4686,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','747','4683','Otras subvenciones, donaciones y legados transferidos al resultado del ejercicio',NULL,NULL,1),(4687,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','75','4007','Otros ingresos de gestión',NULL,NULL,1),(4688,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','751','4687','Resultados de operaciones en común',NULL,NULL,1),(4689,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7510','4688','Pérdida transferida gestor',NULL,NULL,1),(4690,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7511','4688','Beneficio atribuido participe o asociado no gestor',NULL,NULL,1),(4691,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','752','4687','Ingreso por arrendamiento',NULL,NULL,1),(4692,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','753','4687','Ingresos de propiedad industrial cedida en explotación',NULL,NULL,1),(4693,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','754','4687','Ingresos por comisiones',NULL,NULL,1),(4694,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','755','4687','Ingresos por servicios al personal',NULL,NULL,1),(4695,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','759','4687','Ingresos por servicios diversos',NULL,NULL,1),(4696,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76','4007','Ingresos financieros',NULL,NULL,1),(4697,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','760','4696','Ingresos de participaciones en instrumentos de patrimonio',NULL,NULL,1),(4698,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7600','4697','Ingresos de participaciones en instrumentos de patrimonio empresas del grupo',NULL,NULL,1),(4699,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7601','4697','Ingresos de participaciones en instrumentos de patrimonio empresas asociadas',NULL,NULL,1),(4700,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7602','4697','Ingresos de participaciones en instrumentos de patrimonio otras partes asociadas',NULL,NULL,1),(4701,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7603','4697','Ingresos de participaciones en instrumentos de patrimonio otras empresas',NULL,NULL,1),(4702,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','761','4696','Ingresos de valores representativos de deuda',NULL,NULL,1),(4703,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7610','4702','Ingresos de valores representativos de deuda empresas del grupo',NULL,NULL,1),(4704,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7611','4702','Ingresos de valores representativos de deuda empresas asociadas',NULL,NULL,1),(4705,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7612','4702','Ingresos de valores representativos de deuda otras partes asociadas',NULL,NULL,1),(4706,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7613','4702','Ingresos de valores representativos de deuda otras empresas',NULL,NULL,1),(4707,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','762','4696','Ingresos de créditos',NULL,NULL,1),(4708,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7620','4707','Ingresos de créditos a largo plazo',NULL,NULL,1),(4709,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76200','4708','Ingresos de crédito a largo plazo empresas del grupo',NULL,NULL,1),(4710,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76201','4708','Ingresos de crédito a largo plazo empresas asociadas',NULL,NULL,1),(4711,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76202','4708','Ingresos de crédito a largo plazo otras partes asociadas',NULL,NULL,1),(4712,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76203','4708','Ingresos de crédito a largo plazo otras empresas',NULL,NULL,1),(4713,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7621','4707','Ingresos de créditos a corto plazo',NULL,NULL,1),(4714,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76210','4713','Ingresos de crédito a corto plazo empresas del grupo',NULL,NULL,1),(4715,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76211','4713','Ingresos de crédito a corto plazo empresas asociadas',NULL,NULL,1),(4716,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76212','4713','Ingresos de crédito a corto plazo otras partes asociadas',NULL,NULL,1),(4717,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','76213','4713','Ingresos de crédito a corto plazo otras empresas',NULL,NULL,1),(4718,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','763','4696','Beneficios por valorización de activos y pasivos financieros por su valor razonable',NULL,NULL,1),(4719,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','766','4696','Beneficios en participaciones y valores representativos de deuda',NULL,NULL,1),(4720,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7660','4719','Beneficios en participaciones y valores representativos de deuda a largo plazo empresas del grupo',NULL,NULL,1),(4721,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7661','4719','Beneficios en participaciones y valores representativos de deuda a largo plazo empresas asociadas',NULL,NULL,1),(4722,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7662','4719','Beneficios en participaciones y valores representativos de deuda a largo plazo otras partes asociadas',NULL,NULL,1),(4723,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7663','4719','Beneficios en participaciones y valores representativos de deuda a largo plazo otras empresas',NULL,NULL,1),(4724,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7665','4719','Beneficios en participaciones y valores representativos de deuda a corto plazo empresas del grupo',NULL,NULL,1),(4725,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7666','4719','Beneficios en participaciones y valores representativos de deuda a corto plazo empresas asociadas',NULL,NULL,1),(4726,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7667','4719','Beneficios en participaciones y valores representativos de deuda a corto plazo otras partes asociadas',NULL,NULL,1),(4727,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7668','4719','Beneficios en participaciones y valores representativos de deuda a corto plazo otras empresas',NULL,NULL,1),(4728,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','768','4696','Diferencias positivas de cambio',NULL,NULL,1),(4729,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','769','4696','Otros ingresos financieros',NULL,NULL,1),(4730,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','77','4007','Beneficios procedentes de activos no corrientes e ingresos excepcionales',NULL,NULL,1),(4731,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','770','4730','Beneficios procedentes del inmovilizado intangible',NULL,NULL,1),(4732,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','771','4730','Beneficios procedentes del inmovilizado material',NULL,NULL,1),(4733,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','772','4730','Beneficios procedentes de las inversiones inmobiliarias',NULL,NULL,1),(4734,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','773','4730','Beneficios procedentes de participaciones a largo plazo en partes vinculadas',NULL,NULL,1),(4735,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7733','4734','Beneficios procedentes de participaciones a largo plazo empresas del grupo',NULL,NULL,1),(4736,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7734','4734','Beneficios procedentes de participaciones a largo plazo empresas asociadas',NULL,NULL,1),(4737,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7735','4734','Beneficios procedentes de participaciones a largo plazo otras partes vinculadas',NULL,NULL,1),(4738,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','775','4730','Beneficios por operaciones con obligaciones propias',NULL,NULL,1),(4739,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','778','4730','Ingresos excepcionales',NULL,NULL,1),(4741,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','79','4007','Excesos y aplicaciones de provisiones y pérdidas por deterioro',NULL,NULL,1),(4742,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','790','4741','Revisión del deterioro del inmovilizado intangible',NULL,NULL,1),(4743,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','791','4741','Revisión del deterioro del inmovilizado material',NULL,NULL,1),(4744,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','792','4741','Revisión del deterioro de las inversiones inmobiliarias',NULL,NULL,1),(4745,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','793','4741','Revisión del deterioro de las existencias',NULL,NULL,1),(4746,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7930','4745','Revisión del deterioro de productos terminados y en curso de fabricación',NULL,NULL,1),(4747,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7931','4745','Revisión del deterioro de mercaderías',NULL,NULL,1),(4748,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7932','4745','Revisión del deterioro de materias primas',NULL,NULL,1),(4749,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7933','4745','Revisión del deterioro de otros aprovisionamientos',NULL,NULL,1),(4750,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','794','4741','Revisión del deterioro de créditos por operaciones comerciales',NULL,NULL,1),(4751,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','795','4741','Exceso de provisiones',NULL,NULL,1),(4752,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7951','4751','Exceso de provisión para impuestos',NULL,NULL,1),(4753,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7952','4751','Exceso de provisión para otras responsabilidades',NULL,NULL,1),(4755,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7954','4751','Exceso de provisión para operaciones comerciales',NULL,NULL,1),(4756,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','79544','4755','Exceso de provisión por contratos onerosos',NULL,NULL,1),(4757,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','79549','4755','Exceso de provisión para otras operaciones comerciales',NULL,NULL,1),(4758,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7955','4751','Exceso de provisión para actuaciones medioambienteales',NULL,NULL,1),(4759,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','796','4741','Revisión del deterioro de participaciones y valores representativos de deuda a largo plazo',NULL,NULL,1),(4760,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7960','4759','Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas del grupo',NULL,NULL,1),(4761,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7961','4759','Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas asociadas',NULL,NULL,1),(4762,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7962','4759','Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras partes vinculadas',NULL,NULL,1),(4763,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7963','4759','Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras empresas',NULL,NULL,1),(4764,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7965','4759','Revisión del deterioro de valores representativos a largo plazo empresas del grupo',NULL,NULL,1),(4765,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7966','4759','Revisión del deterioro de valores representativos a largo plazo empresas asociadas',NULL,NULL,1),(4766,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7967','4759','Revisión del deterioro de valores representativos a largo otras partes vinculadas',NULL,NULL,1),(4767,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7968','4759','Revisión del deterioro de valores representativos a largo plazo otras empresas',NULL,NULL,1),(4768,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','797','4741','Revisión del deterioro de créditos a largo plazo',NULL,NULL,1),(4769,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7970','4768','Revisión del deterioro de créditos a largo plazo empresas del grupo',NULL,NULL,1),(4770,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7971','4768','Revisión del deterioro de créditos a largo plazo empresas asociadas',NULL,NULL,1),(4771,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7972','4768','Revisión del deterioro de créditos a largo plazo otras partes vinculadas',NULL,NULL,1),(4772,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7973','4768','Revisión del deterioro de créditos a largo plazo otras empresas',NULL,NULL,1),(4773,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','798','4741','Revisión del deterioro de participaciones y valores representativos de deuda a corto plazo',NULL,NULL,1),(4774,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7980','4773','Revisión del deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas del grupo',NULL,NULL,1),(4775,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7981','4773','Revisión del deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas asociadas',NULL,NULL,1),(4776,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7985','4773','Revisión del deterioro de valores representativos de deuda a corto plazo empresas del grupo',NULL,NULL,1),(4777,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7986','4773','Revisión del deterioro de valores representativos de deuda a corto plazo empresas asociadas',NULL,NULL,1),(4778,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7987','4773','Revisión del deterioro de valores representativos de deuda a corto plazo otras partes vinculadas',NULL,NULL,1),(4779,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7988','4773','Revisión del deterioro de valores representativos de deuda a corto plazo otras empresas',NULL,NULL,1),(4780,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','799','4741','Revisión del deterioro de créditos a corto plazo',NULL,NULL,1),(4781,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7990','4780','Revisión del deterioro de créditos a corto plazo empresas del grupo',NULL,NULL,1),(4782,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7991','4780','Revisión del deterioro de créditos a corto plazo empresas asociadas',NULL,NULL,1),(4783,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7992','4780','Revisión del deterioro de créditos a corto plazo otras partes vinculadas',NULL,NULL,1),(4784,1,NULL,'2015-07-04 13:46:01','PCG08-PYME','VENTAS_E_INGRESOS','XXXXXX','7993','4780','Revisión del deterioro de créditos a corto plazo otras empresas',NULL,NULL,1);
/*!40000 ALTER TABLE `llx_accountingaccount` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_accountingdebcred`
--

DROP TABLE IF EXISTS `llx_accountingdebcred`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_accountingdebcred` (
  `fk_transaction` int(11) NOT NULL,
  `account_number` varchar(32) DEFAULT NULL,
  `amount` double NOT NULL,
  `direction` varchar(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_accountingdebcred`
--

LOCK TABLES `llx_accountingdebcred` WRITE;
/*!40000 ALTER TABLE `llx_accountingdebcred` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_accountingdebcred` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_accountingtransaction`
--

DROP TABLE IF EXISTS `llx_accountingtransaction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_accountingtransaction` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(128) NOT NULL,
  `datec` date NOT NULL,
  `fk_author` varchar(20) NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_source` int(11) NOT NULL,
  `sourcetype` varchar(16) NOT NULL,
  `url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_accountingtransaction`
--

LOCK TABLES `llx_accountingtransaction` WRITE;
/*!40000 ALTER TABLE `llx_accountingtransaction` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_accountingtransaction` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_actioncomm`
--

DROP TABLE IF EXISTS `llx_actioncomm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_actioncomm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ref_ext` varchar(128) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datep` datetime DEFAULT NULL,
  `datep2` datetime DEFAULT NULL,
  `fk_action` int(11) DEFAULT NULL,
  `code` varchar(32) DEFAULT NULL,
  `label` varchar(128) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_mod` int(11) DEFAULT NULL,
  `fk_project` int(11) DEFAULT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `fk_contact` int(11) DEFAULT NULL,
  `fk_parent` int(11) NOT NULL DEFAULT '0',
  `fk_user_action` int(11) DEFAULT NULL,
  `transparency` int(11) DEFAULT NULL,
  `fk_user_done` int(11) DEFAULT NULL,
  `priority` smallint(6) DEFAULT NULL,
  `fulldayevent` smallint(6) NOT NULL DEFAULT '0',
  `punctual` smallint(6) NOT NULL DEFAULT '1',
  `percent` smallint(6) NOT NULL DEFAULT '0',
  `location` varchar(128) DEFAULT NULL,
  `durationp` double DEFAULT NULL,
  `durationa` double DEFAULT NULL,
  `note` text,
  `fk_element` int(11) DEFAULT NULL,
  `elementtype` varchar(32) DEFAULT NULL,
  `email_msgid` varchar(256) DEFAULT NULL,
  `email_from` varchar(256) DEFAULT NULL,
  `email_sender` varchar(256) DEFAULT NULL,
  `email_to` varchar(256) DEFAULT NULL,
  `errors_to` varchar(256) DEFAULT NULL,
  `recurid` varchar(128) DEFAULT NULL,
  `recurrule` varchar(128) DEFAULT NULL,
  `recurdateend` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_actioncomm_fk_soc` (`fk_soc`),
  KEY `idx_actioncomm_fk_contact` (`fk_contact`),
  KEY `idx_actioncomm_code` (`code`),
  KEY `idx_actioncomm_fk_element` (`fk_element`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_actioncomm`
--

LOCK TABLES `llx_actioncomm` WRITE;
/*!40000 ALTER TABLE `llx_actioncomm` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_actioncomm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_actioncomm_extrafields`
--

DROP TABLE IF EXISTS `llx_actioncomm_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_actioncomm_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_actioncomm_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_actioncomm_extrafields`
--

LOCK TABLES `llx_actioncomm_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_actioncomm_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_actioncomm_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_actioncomm_resources`
--

DROP TABLE IF EXISTS `llx_actioncomm_resources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_actioncomm_resources` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_actioncomm` int(11) NOT NULL,
  `element_type` varchar(50) NOT NULL,
  `fk_element` int(11) NOT NULL,
  `answer_status` varchar(50) DEFAULT NULL,
  `mandatory` smallint(6) DEFAULT NULL,
  `transparency` smallint(6) DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_actioncomm_resources` (`fk_actioncomm`,`element_type`,`fk_element`),
  KEY `idx_actioncomm_resources_fk_element` (`fk_element`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_actioncomm_resources`
--

LOCK TABLES `llx_actioncomm_resources` WRITE;
/*!40000 ALTER TABLE `llx_actioncomm_resources` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_actioncomm_resources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_adherent`
--

DROP TABLE IF EXISTS `llx_adherent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_adherent` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(128) DEFAULT NULL,
  `civility` varchar(6) DEFAULT NULL,
  `lastname` varchar(50) DEFAULT NULL,
  `firstname` varchar(50) DEFAULT NULL,
  `login` varchar(50) DEFAULT NULL,
  `pass` varchar(50) DEFAULT NULL,
  `fk_adherent_type` int(11) NOT NULL,
  `morphy` varchar(3) NOT NULL,
  `societe` varchar(128) DEFAULT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `address` text,
  `zip` varchar(30) DEFAULT NULL,
  `town` varchar(50) DEFAULT NULL,
  `state_id` int(11) DEFAULT NULL,
  `country` int(11) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `skype` varchar(255) DEFAULT NULL,
  `phone` varchar(30) DEFAULT NULL,
  `phone_perso` varchar(30) DEFAULT NULL,
  `phone_mobile` varchar(30) DEFAULT NULL,
  `birth` date DEFAULT NULL,
  `photo` varchar(255) DEFAULT NULL,
  `statut` smallint(6) NOT NULL DEFAULT '0',
  `public` smallint(6) NOT NULL DEFAULT '0',
  `datefin` datetime DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `datevalid` datetime DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_mod` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `canvas` varchar(32) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_adherent_login` (`login`,`entity`),
  UNIQUE KEY `uk_adherent_fk_soc` (`fk_soc`),
  KEY `idx_adherent_fk_adherent_type` (`fk_adherent_type`),
  CONSTRAINT `adherent_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_adherent_adherent_type` FOREIGN KEY (`fk_adherent_type`) REFERENCES `llx_adherent_type` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_adherent`
--

LOCK TABLES `llx_adherent` WRITE;
/*!40000 ALTER TABLE `llx_adherent` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_adherent` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_adherent_extrafields`
--

DROP TABLE IF EXISTS `llx_adherent_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_adherent_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_adherent_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_adherent_extrafields`
--

LOCK TABLES `llx_adherent_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_adherent_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_adherent_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_adherent_type`
--

DROP TABLE IF EXISTS `llx_adherent_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_adherent_type` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `statut` smallint(6) NOT NULL DEFAULT '0',
  `libelle` varchar(50) NOT NULL,
  `cotisation` varchar(3) NOT NULL DEFAULT 'yes',
  `vote` varchar(3) NOT NULL DEFAULT 'yes',
  `note` text,
  `mail_valid` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_adherent_type_libelle` (`libelle`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_adherent_type`
--

LOCK TABLES `llx_adherent_type` WRITE;
/*!40000 ALTER TABLE `llx_adherent_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_adherent_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_adherent_type_extrafields`
--

DROP TABLE IF EXISTS `llx_adherent_type_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_adherent_type_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_adherent_type_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_adherent_type_extrafields`
--

LOCK TABLES `llx_adherent_type_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_adherent_type_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_adherent_type_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_askpricesupplier`
--

DROP TABLE IF EXISTS `llx_askpricesupplier`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_askpricesupplier` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_int` varchar(255) DEFAULT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_cloture` datetime DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_cloture` int(11) DEFAULT NULL,
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `price` double DEFAULT '0',
  `remise_percent` double DEFAULT '0',
  `remise_absolue` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total` double(24,8) DEFAULT '0.00000000',
  `fk_account` int(11) DEFAULT NULL,
  `fk_currency` varchar(3) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `date_livraison` date DEFAULT NULL,
  `fk_shipping_method` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_askpricesupplier`
--

LOCK TABLES `llx_askpricesupplier` WRITE;
/*!40000 ALTER TABLE `llx_askpricesupplier` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_askpricesupplier` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_askpricesupplier_extrafields`
--

DROP TABLE IF EXISTS `llx_askpricesupplier_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_askpricesupplier_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_askpricesupplier_extrafields`
--

LOCK TABLES `llx_askpricesupplier_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_askpricesupplier_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_askpricesupplier_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_askpricesupplierdet`
--

DROP TABLE IF EXISTS `llx_askpricesupplierdet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_askpricesupplierdet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_askpricesupplier` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `fk_remise_except` int(11) DEFAULT NULL,
  `tva_tx` double(6,3) DEFAULT '0.000',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `price` double DEFAULT NULL,
  `subprice` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `product_type` int(11) DEFAULT '0',
  `info_bits` int(11) DEFAULT '0',
  `buy_price_ht` double(24,8) DEFAULT '0.00000000',
  `fk_product_fournisseur_price` int(11) DEFAULT NULL,
  `special_code` int(11) DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `ref_fourn` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_askpricesupplierdet`
--

LOCK TABLES `llx_askpricesupplierdet` WRITE;
/*!40000 ALTER TABLE `llx_askpricesupplierdet` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_askpricesupplierdet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_askpricesupplierdet_extrafields`
--

DROP TABLE IF EXISTS `llx_askpricesupplierdet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_askpricesupplierdet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_askpricesupplierdet_extrafields`
--

LOCK TABLES `llx_askpricesupplierdet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_askpricesupplierdet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_askpricesupplierdet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bank`
--

DROP TABLE IF EXISTS `llx_bank`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bank` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datev` date DEFAULT NULL,
  `dateo` date DEFAULT NULL,
  `amount` double(24,8) NOT NULL DEFAULT '0.00000000',
  `label` varchar(255) DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_rappro` int(11) DEFAULT NULL,
  `fk_type` varchar(6) DEFAULT NULL,
  `num_releve` varchar(50) DEFAULT NULL,
  `num_chq` varchar(50) DEFAULT NULL,
  `rappro` tinyint(4) DEFAULT '0',
  `note` text,
  `fk_bordereau` int(11) DEFAULT '0',
  `banque` varchar(255) DEFAULT NULL,
  `emetteur` varchar(255) DEFAULT NULL,
  `author` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_bank_datev` (`datev`),
  KEY `idx_bank_dateo` (`dateo`),
  KEY `idx_bank_fk_account` (`fk_account`),
  KEY `idx_bank_rappro` (`rappro`),
  KEY `idx_bank_num_releve` (`num_releve`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bank`
--

LOCK TABLES `llx_bank` WRITE;
/*!40000 ALTER TABLE `llx_bank` DISABLE KEYS */;
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`) VALUES (1,'2014-10-04 18:53:29','2014-10-04 16:53:30','2014-10-04','2014-10-04',0.00000000,'(Solde initial)',1,NULL,NULL,'SOLD',NULL,NULL,0,NULL,0,NULL,NULL,NULL),(2,'2016-06-21 14:17:15','2016-06-21 12:17:15','2016-06-21','2016-06-21',18768.24000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(3,'2016-06-24 14:56:26','2016-06-24 12:56:26','2016-06-24','2016-06-24',79464.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(4,'2016-06-24 15:02:17','2016-06-24 13:02:17','2016-06-24','2016-06-24',47520.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(5,'2016-06-24 15:08:25','2016-06-24 13:08:25','2016-06-24','2016-06-24',-3600.00000000,'(CustomerInvoicePaymentBack)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NEXiiUM',NULL),(6,'2016-06-24 15:09:08','2016-06-24 13:09:08','2016-06-24','2016-06-24',14400.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(7,'2016-06-24 15:12:13','2016-06-24 13:12:13','2016-06-24','2016-06-24',12096.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(8,'2016-06-24 15:16:38','2016-06-24 13:16:38','2016-06-24','2016-06-24',3600.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(9,'2016-06-24 15:20:34','2016-06-24 13:20:34','2016-06-24','2016-06-24',9928.80000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(10,'2016-06-24 15:23:15','2016-06-24 13:23:15','2016-05-30','2016-05-30',1560.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(11,'2016-07-01 11:38:58','2016-07-01 09:38:58','2016-07-01','2016-07-01',2340.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'SPC CONSULTANTS',NULL),(12,'2016-07-29 14:22:21','2016-07-29 12:22:21','2016-07-25','2016-07-25',40132.32000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(13,'2016-09-02 14:21:01','2016-09-02 12:21:01','2016-08-05','2016-08-05',16135.56000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(14,'2016-09-02 14:24:35','2016-09-02 12:24:35','2016-08-17','2016-08-17',37152.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(15,'2016-09-16 14:40:31','2016-09-16 12:40:31','2016-09-12','2016-09-12',19580.40000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(16,'2016-09-16 14:41:33','2016-09-16 12:41:33','2016-09-16','2016-09-16',170.88000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(17,'2016-09-30 11:22:56','2016-09-30 09:22:56','2016-09-26','2016-09-26',12384.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(18,'2016-10-13 11:30:09','2016-10-13 09:30:09','2016-10-13','2016-10-13',14428.80000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(19,'2016-10-13 11:30:50','2016-10-13 09:30:50','2016-10-07','2016-10-07',5160.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(20,'2016-11-17 15:11:24','2016-11-17 14:11:24','2016-11-04','2016-11-04',12384.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(21,'2016-11-17 15:12:42','2016-11-17 14:12:42','2016-11-11','2016-11-11',26672.88000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(22,'2016-12-23 10:45:38','2016-12-23 09:45:38','2016-12-12','2016-12-12',12384.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(23,'2017-01-06 11:15:36','2017-01-06 10:15:36','2017-01-06','2017-01-06',12384.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(24,'2017-01-16 08:36:48','2017-01-16 07:36:48','2017-01-14','2017-01-14',39485.16000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(25,'2017-03-03 15:38:07','2017-03-03 14:38:07','2017-02-06','2017-02-06',6239.64000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(26,'2017-03-03 15:39:09','2017-03-03 14:39:09','2017-02-15','2017-02-15',24348.12000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(27,'2017-03-03 15:40:51','2017-03-03 14:40:51','2017-03-03','2017-03-03',58788.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(28,'2017-03-15 08:57:12','2017-03-15 07:57:12','2017-03-15','2017-03-15',34932.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(29,'2017-04-07 18:07:19','2017-04-07 16:07:19','2017-04-07','2017-04-07',30408.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(30,'2017-05-18 10:28:14','2017-05-18 08:28:14','2017-05-16','2017-05-16',22479.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(31,'2017-05-18 10:31:17','2017-05-18 08:31:17','2017-05-12','2017-05-12',7800.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(32,'2017-05-18 10:51:08','2017-05-18 08:51:08','2017-04-10','2017-04-10',20070.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(33,'2017-06-09 15:59:32','2017-06-09 13:59:32','2017-06-09','2017-06-09',7800.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(34,'2017-06-16 10:25:43','2017-06-16 08:25:43','2017-06-16','2017-06-16',11418.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(35,'2017-06-16 10:27:00','2017-06-16 08:27:00','2017-06-16','2017-06-16',35250.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(36,'2017-07-07 09:54:02','2017-07-07 07:54:02','2017-06-30','2017-06-30',3876.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ANDROS et Compagnie',NULL),(37,'2017-07-07 09:54:53','2017-07-07 07:54:53','2017-07-07','2017-07-07',6192.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(38,'2017-07-12 11:26:57','2017-07-12 09:26:57','2017-07-10','2017-07-10',35652.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(39,'2017-07-25 08:49:14','2017-07-25 06:49:14','2017-07-25','2017-07-25',11920.80000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(40,'2017-09-29 14:57:23','2017-09-29 12:57:23','2017-09-29','2017-09-29',41286.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(41,'2017-09-29 14:59:02','2017-09-29 12:59:02','2017-09-29','2017-09-29',17623.08000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(42,'2017-09-29 14:59:42','2017-09-29 12:59:42','2017-09-29','2017-09-29',1200.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CONCERTO RH',NULL),(43,'2017-09-29 15:05:55','2017-09-29 13:05:55','2017-09-29','2017-09-29',23439.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(44,'2017-09-29 15:06:49','2017-09-29 13:06:49','2017-09-29','2017-09-29',22962.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(45,'2017-09-29 15:08:16','2017-09-29 13:08:16','2017-09-29','2017-09-29',8571.60000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(46,'2017-09-29 15:10:08','2017-09-29 13:10:08','2017-09-29','2017-09-29',13462.80000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(47,'2017-09-29 15:11:23','2017-09-29 13:11:23','2017-09-29','2017-09-29',7998.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(48,'2017-11-14 08:30:00','2017-11-14 07:30:00','2017-11-14','2017-11-14',10494.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(49,'2017-11-14 09:18:49','2017-11-14 08:18:49','2017-11-14','2017-11-14',1440.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(50,'2017-11-21 18:17:57','2017-11-21 17:17:57','2017-11-15','2017-11-15',24985.21000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(51,'2017-11-21 18:19:52','2017-11-21 17:19:52','2017-11-17','2017-11-17',16707.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(52,'2017-11-21 18:20:32','2017-11-21 17:20:32','2017-11-17','2017-11-17',3354.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'ORCHESTRA - PREMAMAN',NULL),(53,'2017-11-22 09:28:54','2017-11-22 08:28:54','2017-10-16','2017-10-16',22644.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(54,'2017-11-22 09:29:44','2017-11-22 08:29:44','2017-10-16','2017-10-16',1786.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(55,'2017-11-22 09:30:40','2017-11-22 08:30:40','2017-10-17','2017-10-17',17814.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(56,'2018-01-17 18:27:50','2018-01-17 17:27:50','2018-01-17','2018-01-17',9308.40000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(57,'2018-01-17 18:30:06','2018-01-17 17:30:06','2018-01-16','2018-01-16',24366.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(58,'2018-01-17 18:42:34','2018-01-17 17:42:34','2017-12-19','2017-12-19',12990.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(59,'2018-01-17 18:43:57','2018-01-17 17:43:57','2017-12-19','2017-12-19',27048.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(60,'2018-01-18 16:48:18','2018-01-18 15:48:18','2017-12-14','2017-12-14',24513.06000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(61,'2018-01-31 18:10:21','2018-01-31 17:10:21','2018-01-19','2018-01-19',25355.16000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(62,'2018-02-13 09:14:12','2018-02-13 08:14:12','2018-02-12','2018-02-12',8272.80000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(63,'2018-02-13 09:15:41','2018-02-13 08:15:41','2018-02-12','2018-02-12',16656.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(64,'2018-02-13 09:16:40','2018-02-13 08:16:40','2018-02-13','2018-02-13',18840.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(65,'2018-03-16 11:49:27','2018-03-16 10:49:27','2018-03-14','2018-03-14',6720.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'CEGID',NULL),(66,'2018-03-16 11:51:27','2018-03-16 10:51:27','2018-03-14','2018-03-14',29028.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL),(67,'2018-03-16 11:57:22','2018-03-16 10:57:22','2018-03-15','2018-03-15',36075.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(68,'2018-04-09 15:36:42','2018-04-09 13:36:42','2018-04-09','2018-04-09',26337.00000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'NOVAXIOM GROUP',NULL),(69,'2018-04-09 15:38:08','2018-04-09 13:38:08','2018-04-09','2018-04-09',9650.09000000,'(CustomerInvoicePayment)',1,4,NULL,'VIR',NULL,NULL,0,NULL,0,NULL,'COURBON',NULL);
/*!40000 ALTER TABLE `llx_bank` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bank_account`
--

DROP TABLE IF EXISTS `llx_bank_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bank_account` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ref` varchar(12) NOT NULL,
  `label` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `bank` varchar(60) DEFAULT NULL,
  `code_banque` varchar(8) DEFAULT NULL,
  `code_guichet` varchar(6) DEFAULT NULL,
  `number` varchar(255) DEFAULT NULL,
  `cle_rib` varchar(5) DEFAULT NULL,
  `bic` varchar(11) DEFAULT NULL,
  `iban_prefix` varchar(34) DEFAULT NULL,
  `country_iban` varchar(2) DEFAULT NULL,
  `cle_iban` varchar(2) DEFAULT NULL,
  `domiciliation` varchar(255) DEFAULT NULL,
  `state_id` int(11) DEFAULT NULL,
  `fk_pays` int(11) NOT NULL,
  `proprio` varchar(60) DEFAULT NULL,
  `owner_address` varchar(255) DEFAULT NULL,
  `courant` smallint(6) NOT NULL DEFAULT '0',
  `clos` smallint(6) NOT NULL DEFAULT '0',
  `rappro` smallint(6) DEFAULT '1',
  `url` varchar(128) DEFAULT NULL,
  `account_number` varchar(32) DEFAULT NULL,
  `accountancy_journal` varchar(3) DEFAULT NULL,
  `currency_code` varchar(3) NOT NULL,
  `min_allowed` int(11) DEFAULT '0',
  `min_desired` int(11) DEFAULT '0',
  `comment` text,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_bank_account_label` (`label`,`entity`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bank_account`
--

LOCK TABLES `llx_bank_account` WRITE;
/*!40000 ALTER TABLE `llx_bank_account` DISABLE KEYS */;
INSERT INTO `llx_bank_account` (`rowid`, `datec`, `tms`, `ref`, `label`, `entity`, `bank`, `code_banque`, `code_guichet`, `number`, `cle_rib`, `bic`, `iban_prefix`, `country_iban`, `cle_iban`, `domiciliation`, `state_id`, `fk_pays`, `proprio`, `owner_address`, `courant`, `clos`, `rappro`, `url`, `account_number`, `accountancy_journal`, `currency_code`, `min_allowed`, `min_desired`, `comment`, `fk_user_author`, `fk_user_modif`) VALUES (1,'2014-10-04 18:53:29','2016-01-29 12:46:49','CIC','Compte courant',1,'CIC','1009','','','','CMCIFRPP','FR76 1009 6180 0400 0748 1840 136',NULL,NULL,'',NULL,1,'NEXiiUM','',1,0,1,NULL,'','','EUR',0,0,'',NULL,NULL);
/*!40000 ALTER TABLE `llx_bank_account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bank_account_extrafields`
--

DROP TABLE IF EXISTS `llx_bank_account_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bank_account_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_bank_account_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bank_account_extrafields`
--

LOCK TABLES `llx_bank_account_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_bank_account_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_bank_account_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bank_categ`
--

DROP TABLE IF EXISTS `llx_bank_categ`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bank_categ` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(255) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bank_categ`
--

LOCK TABLES `llx_bank_categ` WRITE;
/*!40000 ALTER TABLE `llx_bank_categ` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_bank_categ` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bank_class`
--

DROP TABLE IF EXISTS `llx_bank_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bank_class` (
  `lineid` int(11) NOT NULL,
  `fk_categ` int(11) NOT NULL,
  UNIQUE KEY `uk_bank_class_lineid` (`lineid`,`fk_categ`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bank_class`
--

LOCK TABLES `llx_bank_class` WRITE;
/*!40000 ALTER TABLE `llx_bank_class` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_bank_class` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bank_url`
--

DROP TABLE IF EXISTS `llx_bank_url`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bank_url` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_bank` int(11) DEFAULT NULL,
  `url_id` int(11) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `type` varchar(24) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_bank_url` (`fk_bank`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bank_url`
--

LOCK TABLES `llx_bank_url` WRITE;
/*!40000 ALTER TABLE `llx_bank_url` DISABLE KEYS */;
INSERT INTO `llx_bank_url` (`rowid`, `fk_bank`, `url_id`, `url`, `label`, `type`) VALUES (1,2,1,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(2,2,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(3,3,2,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(4,3,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(5,4,3,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(6,4,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(7,5,4,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(8,5,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(9,6,5,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(10,6,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(11,7,6,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(12,7,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(13,8,7,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(14,8,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(15,9,8,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(16,9,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(17,10,9,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(18,10,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(19,11,10,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(20,11,7,'/dolibarr/htdocs/comm/card.php?socid=','SPC CONSULTANTS','company'),(21,12,11,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(22,12,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(23,13,12,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(24,13,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(25,14,13,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(26,14,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(27,15,14,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(28,15,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(29,16,15,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(30,16,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(31,17,16,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(32,17,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(33,18,17,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(34,18,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(35,19,18,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(36,19,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(37,20,19,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(38,20,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(39,21,20,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(40,21,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(41,22,21,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(42,22,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(43,23,22,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(44,23,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(45,24,23,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(46,24,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(47,25,24,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(48,25,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(49,26,25,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(50,26,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(51,27,26,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(52,27,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(53,28,27,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(54,28,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(55,29,28,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(56,29,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(57,30,29,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(58,30,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(59,31,30,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(60,31,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(61,32,31,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(62,32,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(63,33,32,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(64,33,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(65,34,33,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(66,34,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(67,35,34,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(68,35,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(69,36,35,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(70,36,10,'/dolibarr/htdocs/comm/card.php?socid=','ANDROS et Compagnie','company'),(71,37,36,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(72,37,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(73,38,37,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(74,38,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(75,39,38,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(76,39,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(77,40,39,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(78,40,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(79,41,40,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(80,41,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(81,42,41,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(82,42,12,'/dolibarr/htdocs/comm/card.php?socid=','CONCERTO RH','company'),(83,43,42,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(84,43,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(85,44,43,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(86,44,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(87,45,44,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(88,45,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(89,46,45,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(90,46,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(91,47,46,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(92,47,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(93,48,47,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(94,48,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(95,49,48,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(96,49,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(97,50,49,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(98,50,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(99,51,50,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(100,51,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(101,52,51,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(102,52,2,'/dolibarr/htdocs/comm/card.php?socid=','ORCHESTRA - PREMAMAN','company'),(103,53,52,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(104,53,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(105,54,53,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(106,54,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(107,55,54,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(108,55,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(109,56,55,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(110,56,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(111,57,56,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(112,57,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(113,58,57,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(114,58,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(115,59,58,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(116,59,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(117,60,59,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(118,60,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(119,61,60,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(120,61,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(121,62,61,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(122,62,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(123,63,62,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(124,63,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(125,64,63,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(126,64,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(127,65,64,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(128,65,9,'/dolibarr/htdocs/comm/card.php?socid=','CEGID','company'),(129,66,65,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(130,66,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company'),(131,67,66,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(132,67,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(133,68,67,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(134,68,5,'/dolibarr/htdocs/comm/card.php?socid=','NOVAXIOM GROUP','company'),(135,69,68,'/dolibarr/htdocs/compta/paiement/card.php?id=','(paiement)','payment'),(136,69,8,'/dolibarr/htdocs/comm/card.php?socid=','COURBON','company');
/*!40000 ALTER TABLE `llx_bank_url` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bookmark`
--

DROP TABLE IF EXISTS `llx_bookmark`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bookmark` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) DEFAULT NULL,
  `fk_user` int(11) NOT NULL,
  `dateb` datetime DEFAULT NULL,
  `url` varchar(255) NOT NULL,
  `target` varchar(16) DEFAULT NULL,
  `title` varchar(64) DEFAULT NULL,
  `favicon` varchar(24) DEFAULT NULL,
  `position` int(11) DEFAULT '0',
  `entity` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_bookmark_url` (`fk_user`,`url`),
  UNIQUE KEY `uk_bookmark_title` (`fk_user`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bookmark`
--

LOCK TABLES `llx_bookmark` WRITE;
/*!40000 ALTER TABLE `llx_bookmark` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_bookmark` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_bordereau_cheque`
--

DROP TABLE IF EXISTS `llx_bordereau_cheque`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_bordereau_cheque` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `number` varchar(16) NOT NULL,
  `ref_ext` varchar(255) DEFAULT NULL,
  `datec` datetime NOT NULL,
  `date_bordereau` date DEFAULT NULL,
  `amount` double(24,8) NOT NULL,
  `nbcheque` smallint(6) NOT NULL,
  `fk_bank_account` int(11) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `statut` smallint(6) NOT NULL DEFAULT '0',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `note` text,
  `entity` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_bordereau_cheque` (`number`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_bordereau_cheque`
--

LOCK TABLES `llx_bordereau_cheque` WRITE;
/*!40000 ALTER TABLE `llx_bordereau_cheque` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_bordereau_cheque` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_boxes`
--

DROP TABLE IF EXISTS `llx_boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_boxes` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `box_id` int(11) NOT NULL,
  `position` smallint(6) NOT NULL,
  `box_order` varchar(3) NOT NULL,
  `fk_user` int(11) NOT NULL DEFAULT '0',
  `maxline` int(11) DEFAULT NULL,
  `params` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_boxes` (`entity`,`box_id`,`position`,`fk_user`),
  KEY `idx_boxes_boxid` (`box_id`),
  KEY `idx_boxes_fk_user` (`fk_user`),
  CONSTRAINT `fk_boxes_box_id` FOREIGN KEY (`box_id`) REFERENCES `llx_boxes_def` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_boxes`
--

LOCK TABLES `llx_boxes` WRITE;
/*!40000 ALTER TABLE `llx_boxes` DISABLE KEYS */;
INSERT INTO `llx_boxes` (`rowid`, `entity`, `box_id`, `position`, `box_order`, `fk_user`, `maxline`, `params`) VALUES (2,1,2,0,'A15',0,NULL,NULL),(4,1,4,0,'A17',0,NULL,NULL),(7,1,7,0,'B18',0,NULL,NULL),(8,1,8,0,'A19',0,NULL,NULL),(9,1,9,0,'B20',0,NULL,NULL),(11,1,11,0,'B22',0,NULL,NULL),(13,1,13,0,'A23',0,NULL,NULL),(14,1,14,0,'B24',0,NULL,NULL),(15,1,15,0,'B14',0,NULL,NULL),(16,1,16,0,'A13',0,NULL,NULL),(17,1,17,0,'B12',0,NULL,NULL),(18,1,18,0,'B02',0,NULL,NULL),(21,1,21,0,'A05',0,NULL,NULL),(23,1,23,0,'A07',0,NULL,NULL),(27,1,27,0,'B08',0,NULL,NULL),(28,1,28,0,'A09',0,NULL,NULL),(31,1,31,0,'A25',0,NULL,NULL),(32,1,21,0,'A01',4,NULL,NULL),(33,1,23,0,'A02',4,NULL,NULL),(34,1,28,0,'A03',4,NULL,NULL),(35,1,16,0,'A04',4,NULL,NULL),(36,1,2,0,'A05',4,NULL,NULL),(37,1,8,0,'A06',4,NULL,NULL),(38,1,13,0,'A07',4,NULL,NULL),(39,1,31,0,'A08',4,NULL,NULL),(40,1,18,0,'B01',4,NULL,NULL),(41,1,27,0,'B02',4,NULL,NULL),(42,1,17,0,'B03',4,NULL,NULL),(43,1,15,0,'B04',4,NULL,NULL),(44,1,7,0,'B05',4,NULL,NULL),(45,1,9,0,'B06',4,NULL,NULL),(46,1,11,0,'B07',4,NULL,NULL),(47,1,14,0,'B08',4,NULL,NULL);
/*!40000 ALTER TABLE `llx_boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_boxes_def`
--

DROP TABLE IF EXISTS `llx_boxes_def`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_boxes_def` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `file` varchar(200) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `note` varchar(130) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_boxes_def` (`file`,`entity`,`note`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_boxes_def`
--

LOCK TABLES `llx_boxes_def` WRITE;
/*!40000 ALTER TABLE `llx_boxes_def` DISABLE KEYS */;
INSERT INTO `llx_boxes_def` (`rowid`, `file`, `entity`, `tms`, `note`) VALUES (1,'box_clients.php',1,'2014-10-01 15:07:43',NULL),(2,'box_prospect.php',1,'2014-10-01 15:07:43',NULL),(3,'box_contacts.php',1,'2014-10-01 15:07:43',NULL),(4,'box_activity.php',1,'2014-10-01 15:07:43','(WarningUsingThisBoxSlowDown)'),(7,'box_commandes.php',1,'2014-10-01 15:07:51',NULL),(8,'box_graph_orders_permonth.php',1,'2014-10-01 15:07:51',NULL),(9,'box_contracts.php',1,'2014-10-01 15:07:58',NULL),(10,'box_services_expired.php',1,'2014-10-01 15:07:58',NULL),(11,'box_services_contracts.php',1,'2014-10-01 15:07:58',NULL),(13,'box_ficheinter.php',1,'2014-10-01 15:08:01',NULL),(14,'box_factures_imp.php',1,'2014-10-01 15:08:16',NULL),(15,'box_factures.php',1,'2014-10-01 15:08:16',NULL),(16,'box_graph_invoices_permonth.php',1,'2014-10-01 15:08:16',NULL),(17,'box_comptes.php',1,'2014-10-01 15:08:16',NULL),(18,'box_graph_invoices_supplier_permonth.php',1,'2014-10-01 15:09:06',NULL),(19,'box_graph_orders_supplier_permonth.php',1,'2014-10-01 15:09:06',NULL),(20,'box_fournisseurs.php',1,'2014-10-01 15:09:06',NULL),(21,'box_factures_fourn_imp.php',1,'2014-10-01 15:09:06',NULL),(22,'box_factures_fourn.php',1,'2014-10-01 15:09:06',NULL),(23,'box_supplier_orders.php',1,'2014-10-01 15:09:06',NULL),(27,'box_graph_propales_permonth.php',1,'2014-10-01 15:10:08',NULL),(28,'box_propales.php',1,'2014-10-01 15:10:08',NULL),(29,'box_produits.php',1,'2014-10-01 15:10:09',NULL),(30,'box_produits_alerte_stock.php',1,'2014-10-01 15:10:09',NULL),(31,'box_graph_product_distribution.php',1,'2014-10-01 15:10:09',NULL);
/*!40000 ALTER TABLE `llx_boxes_def` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_action_trigger`
--

DROP TABLE IF EXISTS `llx_c_action_trigger`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_action_trigger` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(32) NOT NULL,
  `label` varchar(128) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `elementtype` varchar(16) NOT NULL,
  `rang` int(11) DEFAULT '0',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_action_trigger_code` (`code`),
  KEY `idx_action_trigger_rang` (`rang`)
) ENGINE=InnoDB AUTO_INCREMENT=94 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_action_trigger`
--

LOCK TABLES `llx_c_action_trigger` WRITE;
/*!40000 ALTER TABLE `llx_c_action_trigger` DISABLE KEYS */;
INSERT INTO `llx_c_action_trigger` (`rowid`, `code`, `label`, `description`, `elementtype`, `rang`) VALUES (1,'FICHINTER_VALIDATE','Intervention validated','Executed when a intervention is validated','ficheinter',19),(2,'BILL_VALIDATE','Customer invoice validated','Executed when a customer invoice is approved','facture',6),(3,'ORDER_SUPPLIER_APPROVE','Supplier order request approved','Executed when a supplier order is approved','order_supplier',12),(4,'ORDER_SUPPLIER_REFUSE','Supplier order request refused','Executed when a supplier order is refused','order_supplier',13),(5,'ORDER_VALIDATE','Customer order validate','Executed when a customer order is validated','commande',4),(6,'PROPAL_VALIDATE','Customer proposal validated','Executed when a commercial proposal is validated','propal',2),(9,'COMPANY_SENTBYMAIL','Mails sent from third party card','Executed when you send email from third party card','societe',1),(10,'COMPANY_CREATE','Third party created','Executed when a third party is created','societe',1),(11,'CONTRACT_VALIDATE','Contract validated','Executed when a contract is validated','contrat',18),(12,'PROPAL_SENTBYMAIL','Commercial proposal sent by mail','Executed when a commercial proposal is sent by mail','propal',3),(13,'ORDER_SENTBYMAIL','Customer order sent by mail','Executed when a customer order is sent by mail ','commande',5),(14,'BILL_PAYED','Customer invoice payed','Executed when a customer invoice is payed','facture',7),(15,'BILL_CANCEL','Customer invoice canceled','Executed when a customer invoice is conceled','facture',8),(16,'BILL_SENTBYMAIL','Customer invoice sent by mail','Executed when a customer invoice is sent by mail','facture',9),(17,'ORDER_SUPPLIER_VALIDATE','Supplier order validated','Executed when a supplier order is validated','order_supplier',11),(18,'ORDER_SUPPLIER_SENTBYMAIL','Supplier order sent by mail','Executed when a supplier order is sent by mail','order_supplier',14),(19,'BILL_SUPPLIER_VALIDATE','Supplier invoice validated','Executed when a supplier invoice is validated','invoice_supplier',15),(20,'BILL_SUPPLIER_PAYED','Supplier invoice payed','Executed when a supplier invoice is payed','invoice_supplier',16),(21,'BILL_SUPPLIER_SENTBYMAIL','Supplier invoice sent by mail','Executed when a supplier invoice is sent by mail','invoice_supplier',17),(22,'SHIPPING_VALIDATE','Shipping validated','Executed when a shipping is validated','shipping',20),(23,'SHIPPING_SENTBYMAIL','Shipping sent by mail','Executed when a shipping is sent by mail','shipping',21),(24,'MEMBER_VALIDATE','Member validated','Executed when a member is validated','member',22),(25,'MEMBER_SUBSCRIPTION','Member subscribed','Executed when a member is subscribed','member',23),(26,'MEMBER_RESILIATE','Member resiliated','Executed when a member is resiliated','member',24),(27,'MEMBER_DELETE','Member deleted','Executed when a member is deleted','member',25),(28,'BILL_UNVALIDATE','Customer invoice unvalidated','Executed when a customer invoice status set back to draft','facture',10),(29,'FICHINTER_SENTBYMAIL','Intervention sent by mail','Executed when a intervention is sent by mail','ficheinter',29),(30,'PROJECT_CREATE','Project creation','Executed when a project is created','project',30),(31,'PROPAL_CLOSE_SIGNED','Customer proposal closed signed','Executed when a customer proposal is closed signed','propal',31),(32,'PROPAL_CLOSE_REFUSED','Customer proposal closed refused','Executed when a customer proposal is closed refused','propal',32),(33,'BILL_SUPPLIER_CANCELED','Supplier invoice cancelled','Executed when a supplier invoice is cancelled','invoice_supplier',33),(34,'MEMBER_MODIFY','Member modified','Executed when a member is modified','member',34),(35,'TASK_CREATE','Task created','Executed when a project task is created','project',35),(36,'TASK_MODIFY','Task modified','Executed when a project task is modified','project',36),(37,'TASK_DELETE','Task deleted','Executed when a project task is deleted','project',37),(38,'FICHINTER_CLASSIFY_BILLED','Intervention set billed','Executed when a intervention is set to billed (when option FICHINTER_CLASSIFY_BILLED is set)','ficheinter',19),(39,'FICHINTER_CLASSIFY_UNBILLED','Intervention set unbilled','Executed when a intervention is set to unbilled (when option FICHINTER_CLASSIFY_BILLED is set)','ficheinter',19),(41,'FICHINTER_REOPEN','Intervention opened','Executed when a intervention is re-opened','ficheinter',19),(42,'PROPAL_CLASSIFY_BILLED','Customer proposal set billed','Executed when a customer proposal is set to billed','propal',2),(43,'ORDER_CLOSE','Customer order classify delivered','Executed when a customer order is set delivered','commande',5),(44,'ORDER_CLASSIFY_BILLED','Customer order classify billed','Executed when a customer order is set to billed','commande',5),(45,'ORDER_CANCEL','Customer order canceled','Executed when a customer order is canceled','commande',5),(93,'BILL_SUPPLIER_UNVALIDATE','Supplier invoice unvalidated','Executed when a supplier invoice status is set back to draft','invoice_supplier',15);
/*!40000 ALTER TABLE `llx_c_action_trigger` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_actioncomm`
--

DROP TABLE IF EXISTS `llx_c_actioncomm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_actioncomm` (
  `id` int(11) NOT NULL,
  `code` varchar(12) NOT NULL,
  `type` varchar(10) NOT NULL DEFAULT 'system',
  `libelle` varchar(48) NOT NULL,
  `module` varchar(16) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `todo` tinyint(4) DEFAULT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `color` varchar(9) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_c_actioncomm` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_actioncomm`
--

LOCK TABLES `llx_c_actioncomm` WRITE;
/*!40000 ALTER TABLE `llx_c_actioncomm` DISABLE KEYS */;
INSERT INTO `llx_c_actioncomm` (`id`, `code`, `type`, `libelle`, `module`, `active`, `todo`, `position`, `color`) VALUES (1,'AC_TEL','system','Phone call',NULL,1,NULL,2,NULL),(2,'AC_FAX','system','Send Fax',NULL,1,NULL,3,NULL),(3,'AC_PROP','systemauto','Send commercial proposal by email','propal',0,NULL,10,NULL),(4,'AC_EMAIL','system','Send Email',NULL,1,NULL,4,NULL),(5,'AC_RDV','system','Rendez-vous',NULL,1,NULL,1,NULL),(8,'AC_COM','systemauto','Send customer order by email','order',0,NULL,8,NULL),(9,'AC_FAC','systemauto','Send customer invoice by email','invoice',0,NULL,6,NULL),(10,'AC_SHIP','systemauto','Send shipping by email','shipping',0,NULL,11,NULL),(11,'AC_INT','system','Intervention on site',NULL,1,NULL,4,NULL),(30,'AC_SUP_ORD','systemauto','Send supplier order by email','order_supplier',0,NULL,9,NULL),(31,'AC_SUP_INV','systemauto','Send supplier invoice by email','invoice_supplier',0,NULL,7,NULL),(40,'AC_OTH_AUTO','systemauto','Other (automatically inserted events)',NULL,1,NULL,20,NULL),(50,'AC_OTH','system','Other (manually inserted events)',NULL,1,NULL,5,NULL);
/*!40000 ALTER TABLE `llx_c_actioncomm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_availability`
--

DROP TABLE IF EXISTS `llx_c_availability`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_availability` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(30) NOT NULL,
  `label` varchar(60) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_availability` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_availability`
--

LOCK TABLES `llx_c_availability` WRITE;
/*!40000 ALTER TABLE `llx_c_availability` DISABLE KEYS */;
INSERT INTO `llx_c_availability` (`rowid`, `code`, `label`, `active`) VALUES (1,'AV_NOW','Immediate',1),(2,'AV_1W','1 week',1),(3,'AV_2W','2 weeks',1),(4,'AV_3W','3 weeks',1);
/*!40000 ALTER TABLE `llx_c_availability` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_barcode_type`
--

DROP TABLE IF EXISTS `llx_c_barcode_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_barcode_type` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(16) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `libelle` varchar(50) NOT NULL,
  `coder` varchar(16) NOT NULL,
  `example` varchar(16) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_barcode_type` (`code`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_barcode_type`
--

LOCK TABLES `llx_c_barcode_type` WRITE;
/*!40000 ALTER TABLE `llx_c_barcode_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_barcode_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_chargesociales`
--

DROP TABLE IF EXISTS `llx_c_chargesociales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_chargesociales` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(80) DEFAULT NULL,
  `deductible` smallint(6) NOT NULL DEFAULT '0',
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `code` varchar(12) NOT NULL,
  `accountancy_code` varchar(32) DEFAULT NULL,
  `fk_pays` int(11) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=231 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_chargesociales`
--

LOCK TABLES `llx_c_chargesociales` WRITE;
/*!40000 ALTER TABLE `llx_c_chargesociales` DISABLE KEYS */;
INSERT INTO `llx_c_chargesociales` (`id`, `libelle`, `deductible`, `active`, `code`, `accountancy_code`, `fk_pays`, `module`) VALUES (1,'Allocations familiales',1,1,'TAXFAM',NULL,1,NULL),(2,'CSG Deductible',1,1,'TAXCSGD',NULL,1,NULL),(3,'CSG/CRDS NON Deductible',0,1,'TAXCSGND',NULL,1,NULL),(10,'Taxe apprentissage',0,1,'TAXAPP',NULL,1,NULL),(11,'Taxe professionnelle',0,1,'TAXPRO',NULL,1,NULL),(12,'Cotisation fonciere des entreprises',0,1,'TAXCFE',NULL,1,NULL),(13,'Cotisation sur la valeur ajoutee des entreprises',0,1,'TAXCVAE',NULL,1,NULL),(20,'Impots locaux/fonciers',0,1,'TAXFON',NULL,1,NULL),(25,'Impots revenus',0,1,'TAXREV',NULL,1,NULL),(30,'Assurance Sante',0,1,'TAXSECU',NULL,1,NULL),(40,'Mutuelle',0,1,'TAXMUT',NULL,1,NULL),(50,'Assurance vieillesse',0,1,'TAXRET',NULL,1,NULL),(60,'Assurance Chomage',0,1,'TAXCHOM',NULL,1,NULL),(201,'ONSS',1,1,'TAXBEONSS',NULL,2,NULL),(210,'Precompte professionnel',1,1,'TAXBEPREPRO',NULL,2,NULL),(220,'Prime existence',1,1,'TAXBEPRIEXI',NULL,2,NULL),(230,'Precompte immobilier',1,1,'TAXBEPREIMMO',NULL,2,NULL);
/*!40000 ALTER TABLE `llx_c_chargesociales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_civility`
--

DROP TABLE IF EXISTS `llx_c_civility`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_civility` (
  `rowid` int(11) NOT NULL,
  `code` varchar(6) NOT NULL,
  `label` varchar(50) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_civility` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_civility`
--

LOCK TABLES `llx_c_civility` WRITE;
/*!40000 ALTER TABLE `llx_c_civility` DISABLE KEYS */;
INSERT INTO `llx_c_civility` (`rowid`, `code`, `label`, `active`, `module`) VALUES (1,'MME','Madame',1,NULL),(3,'MR','Monsieur',1,NULL),(5,'MLE','Mademoiselle',1,NULL),(7,'MTRE','Maître',1,NULL),(8,'DR','Docteur',1,NULL);
/*!40000 ALTER TABLE `llx_c_civility` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_country`
--

DROP TABLE IF EXISTS `llx_c_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_country` (
  `rowid` int(11) NOT NULL,
  `code` varchar(2) NOT NULL,
  `code_iso` varchar(3) DEFAULT NULL,
  `label` varchar(50) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `favorite` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_c_country_code` (`code`),
  UNIQUE KEY `idx_c_pays_libelle` (`label`),
  UNIQUE KEY `idx_c_country_code_iso` (`code_iso`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_country`
--

LOCK TABLES `llx_c_country` WRITE;
/*!40000 ALTER TABLE `llx_c_country` DISABLE KEYS */;
INSERT INTO `llx_c_country` (`rowid`, `code`, `code_iso`, `label`, `active`, `favorite`) VALUES (0,'',NULL,'-',1,1),(1,'FR',NULL,'France',1,0),(2,'BE',NULL,'Belgium',1,0),(3,'IT',NULL,'Italy',1,0),(4,'ES',NULL,'Spain',1,0),(5,'DE',NULL,'Germany',1,0),(6,'CH',NULL,'Switzerland',1,0),(7,'GB',NULL,'United Kingdom',1,0),(8,'IE',NULL,'Irland',1,0),(9,'CN',NULL,'China',1,0),(10,'TN',NULL,'Tunisia',1,0),(11,'US',NULL,'United States',1,0),(12,'MA',NULL,'Maroc',1,0),(13,'DZ',NULL,'Algeria',1,0),(14,'CA',NULL,'Canada',1,0),(15,'TG',NULL,'Togo',1,0),(16,'GA',NULL,'Gabon',1,0),(17,'NL',NULL,'Nerderland',1,0),(18,'HU',NULL,'Hongrie',1,0),(19,'RU',NULL,'Russia',1,0),(20,'SE',NULL,'Sweden',1,0),(21,'CI',NULL,'Côte d\'Ivoire',1,0),(22,'SN',NULL,'Senegal',1,0),(23,'AR',NULL,'Argentine',1,0),(24,'CM',NULL,'Cameroun',1,0),(25,'PT',NULL,'Portugal',1,0),(26,'SA',NULL,'Saudi Arabia',1,0),(27,'MC',NULL,'Monaco',1,0),(28,'AU',NULL,'Australia',1,0),(29,'SG',NULL,'Singapour',1,0),(30,'AF',NULL,'Afghanistan',1,0),(31,'AX',NULL,'Iles Aland',1,0),(32,'AL',NULL,'Albanie',1,0),(33,'AS',NULL,'Samoa américaines',1,0),(34,'AD',NULL,'Andorre',1,0),(35,'AO',NULL,'Angola',1,0),(36,'AI',NULL,'Anguilla',1,0),(37,'AQ',NULL,'Antarctique',1,0),(38,'AG',NULL,'Antigua-et-Barbuda',1,0),(39,'AM',NULL,'Arménie',1,0),(40,'AW',NULL,'Aruba',1,0),(41,'AT',NULL,'Autriche',1,0),(42,'AZ',NULL,'Azerbaïdjan',1,0),(43,'BS',NULL,'Bahamas',1,0),(44,'BH',NULL,'Bahreïn',1,0),(45,'BD',NULL,'Bangladesh',1,0),(46,'BB',NULL,'Barbade',1,0),(47,'BY',NULL,'Biélorussie',1,0),(48,'BZ',NULL,'Belize',1,0),(49,'BJ',NULL,'Bénin',1,0),(50,'BM',NULL,'Bermudes',1,0),(51,'BT',NULL,'Bhoutan',1,0),(52,'BO',NULL,'Bolivie',1,0),(53,'BA',NULL,'Bosnie-Herzégovine',1,0),(54,'BW',NULL,'Botswana',1,0),(55,'BV',NULL,'Ile Bouvet',1,0),(56,'BR',NULL,'Brazil',1,0),(57,'IO',NULL,'Territoire britannique de l\'Océan Indien',1,0),(58,'BN',NULL,'Brunei',1,0),(59,'BG',NULL,'Bulgarie',1,0),(60,'BF',NULL,'Burkina Faso',1,0),(61,'BI',NULL,'Burundi',1,0),(62,'KH',NULL,'Cambodge',1,0),(63,'CV',NULL,'Cap-Vert',1,0),(64,'KY',NULL,'Iles Cayman',1,0),(65,'CF',NULL,'République centrafricaine',1,0),(66,'TD',NULL,'Tchad',1,0),(67,'CL',NULL,'Chili',1,0),(68,'CX',NULL,'Ile Christmas',1,0),(69,'CC',NULL,'Iles des Cocos (Keeling)',1,0),(70,'CO',NULL,'Colombie',1,0),(71,'KM',NULL,'Comores',1,0),(72,'CG',NULL,'Congo',1,0),(73,'CD',NULL,'République démocratique du Congo',1,0),(74,'CK',NULL,'Iles Cook',1,0),(75,'CR',NULL,'Costa Rica',1,0),(76,'HR',NULL,'Croatie',1,0),(77,'CU',NULL,'Cuba',1,0),(78,'CY',NULL,'Chypre',1,0),(79,'CZ',NULL,'République Tchèque',1,0),(80,'DK',NULL,'Danemark',1,0),(81,'DJ',NULL,'Djibouti',1,0),(82,'DM',NULL,'Dominique',1,0),(83,'DO',NULL,'République Dominicaine',1,0),(84,'EC',NULL,'Equateur',1,0),(85,'EG',NULL,'Egypte',1,0),(86,'SV',NULL,'Salvador',1,0),(87,'GQ',NULL,'Guinée Equatoriale',1,0),(88,'ER',NULL,'Erythrée',1,0),(89,'EE',NULL,'Estonia',1,0),(90,'ET',NULL,'Ethiopie',1,0),(91,'FK',NULL,'Iles Falkland',1,0),(92,'FO',NULL,'Iles Féroé',1,0),(93,'FJ',NULL,'Iles Fidji',1,0),(94,'FI',NULL,'Finlande',1,0),(95,'GF',NULL,'Guyane française',1,0),(96,'PF',NULL,'Polynésie française',1,0),(97,'TF',NULL,'Terres australes françaises',1,0),(98,'GM',NULL,'Gambie',1,0),(99,'GE',NULL,'Georgia',1,0),(100,'GH',NULL,'Ghana',1,0),(101,'GI',NULL,'Gibraltar',1,0),(102,'GR',NULL,'Greece',1,0),(103,'GL',NULL,'Groenland',1,0),(104,'GD',NULL,'Grenade',1,0),(106,'GU',NULL,'Guam',1,0),(107,'GT',NULL,'Guatemala',1,0),(108,'GN',NULL,'Guinea',1,0),(109,'GW',NULL,'Guinea-Bissao',1,0),(111,'HT',NULL,'Haiti',1,0),(112,'HM',NULL,'Iles Heard et McDonald',1,0),(113,'VA',NULL,'Saint-Siège (Vatican)',1,0),(114,'HN',NULL,'Honduras',1,0),(115,'HK',NULL,'Hong Kong',1,0),(116,'IS',NULL,'Islande',1,0),(117,'IN',NULL,'India',1,0),(118,'ID',NULL,'Indonésie',1,0),(119,'IR',NULL,'Iran',1,0),(120,'IQ',NULL,'Iraq',1,0),(121,'IL',NULL,'Israel',1,0),(122,'JM',NULL,'Jamaïque',1,0),(123,'JP',NULL,'Japon',1,0),(124,'JO',NULL,'Jordanie',1,0),(125,'KZ',NULL,'Kazakhstan',1,0),(126,'KE',NULL,'Kenya',1,0),(127,'KI',NULL,'Kiribati',1,0),(128,'KP',NULL,'North Corea',1,0),(129,'KR',NULL,'South Corea',1,0),(130,'KW',NULL,'Koweït',1,0),(131,'KG',NULL,'Kirghizistan',1,0),(132,'LA',NULL,'Laos',1,0),(133,'LV',NULL,'Lettonie',1,0),(134,'LB',NULL,'Liban',1,0),(135,'LS',NULL,'Lesotho',1,0),(136,'LR',NULL,'Liberia',1,0),(137,'LY',NULL,'Libye',1,0),(138,'LI',NULL,'Liechtenstein',1,0),(139,'LT',NULL,'Lituanie',1,0),(140,'LU',NULL,'Luxembourg',1,0),(141,'MO',NULL,'Macao',1,0),(142,'MK',NULL,'ex-République yougoslave de Macédoine',1,0),(143,'MG',NULL,'Madagascar',1,0),(144,'MW',NULL,'Malawi',1,0),(145,'MY',NULL,'Malaisie',1,0),(146,'MV',NULL,'Maldives',1,0),(147,'ML',NULL,'Mali',1,0),(148,'MT',NULL,'Malte',1,0),(149,'MH',NULL,'Iles Marshall',1,0),(151,'MR',NULL,'Mauritanie',1,0),(152,'MU',NULL,'Maurice',1,0),(153,'YT',NULL,'Mayotte',1,0),(154,'MX',NULL,'Mexique',1,0),(155,'FM',NULL,'Micronésie',1,0),(156,'MD',NULL,'Moldavie',1,0),(157,'MN',NULL,'Mongolie',1,0),(158,'MS',NULL,'Monserrat',1,0),(159,'MZ',NULL,'Mozambique',1,0),(160,'MM',NULL,'Birmanie (Myanmar)',1,0),(161,'NA',NULL,'Namibie',1,0),(162,'NR',NULL,'Nauru',1,0),(163,'NP',NULL,'Népal',1,0),(164,'AN',NULL,'Antilles néerlandaises',1,0),(165,'NC',NULL,'Nouvelle-Calédonie',1,0),(166,'NZ',NULL,'Nouvelle-Zélande',1,0),(167,'NI',NULL,'Nicaragua',1,0),(168,'NE',NULL,'Niger',1,0),(169,'NG',NULL,'Nigeria',1,0),(170,'NU',NULL,'Nioué',1,0),(171,'NF',NULL,'Ile Norfolk',1,0),(172,'MP',NULL,'Mariannes du Nord',1,0),(173,'NO',NULL,'Norvège',1,0),(174,'OM',NULL,'Oman',1,0),(175,'PK',NULL,'Pakistan',1,0),(176,'PW',NULL,'Palaos',1,0),(177,'PS',NULL,'Territoire Palestinien Occupé',1,0),(178,'PA',NULL,'Panama',1,0),(179,'PG',NULL,'Papouasie-Nouvelle-Guinée',1,0),(180,'PY',NULL,'Paraguay',1,0),(181,'PE',NULL,'Peru',1,0),(182,'PH',NULL,'Philippines',1,0),(183,'PN',NULL,'Iles Pitcairn',1,0),(184,'PL',NULL,'Pologne',1,0),(185,'PR',NULL,'Porto Rico',1,0),(186,'QA',NULL,'Qatar',1,0),(188,'RO',NULL,'Roumanie',1,0),(189,'RW',NULL,'Rwanda',1,0),(190,'SH',NULL,'Sainte-Hélène',1,0),(191,'KN',NULL,'Saint-Christophe-et-Niévès',1,0),(192,'LC',NULL,'Sainte-Lucie',1,0),(193,'PM',NULL,'Saint-Pierre-et-Miquelon',1,0),(194,'VC',NULL,'Saint-Vincent-et-les-Grenadines',1,0),(195,'WS',NULL,'Samoa',1,0),(196,'SM',NULL,'Saint-Marin',1,0),(197,'ST',NULL,'Sao Tomé-et-Principe',1,0),(198,'RS',NULL,'Serbie',1,0),(199,'SC',NULL,'Seychelles',1,0),(200,'SL',NULL,'Sierra Leone',1,0),(201,'SK',NULL,'Slovaquie',1,0),(202,'SI',NULL,'Slovénie',1,0),(203,'SB',NULL,'Iles Salomon',1,0),(204,'SO',NULL,'Somalie',1,0),(205,'ZA',NULL,'Afrique du Sud',1,0),(206,'GS',NULL,'Iles Géorgie du Sud et Sandwich du Sud',1,0),(207,'LK',NULL,'Sri Lanka',1,0),(208,'SD',NULL,'Soudan',1,0),(209,'SR',NULL,'Suriname',1,0),(210,'SJ',NULL,'Iles Svalbard et Jan Mayen',1,0),(211,'SZ',NULL,'Swaziland',1,0),(212,'SY',NULL,'Syrie',1,0),(213,'TW',NULL,'Taïwan',1,0),(214,'TJ',NULL,'Tadjikistan',1,0),(215,'TZ',NULL,'Tanzanie',1,0),(216,'TH',NULL,'Thaïlande',1,0),(217,'TL',NULL,'Timor Oriental',1,0),(218,'TK',NULL,'Tokélaou',1,0),(219,'TO',NULL,'Tonga',1,0),(220,'TT',NULL,'Trinité-et-Tobago',1,0),(221,'TR',NULL,'Turquie',1,0),(222,'TM',NULL,'Turkménistan',1,0),(223,'TC',NULL,'Iles Turks-et-Caicos',1,0),(224,'TV',NULL,'Tuvalu',1,0),(225,'UG',NULL,'Ouganda',1,0),(226,'UA',NULL,'Ukraine',1,0),(227,'AE',NULL,'Émirats arabes unis',1,0),(228,'UM',NULL,'Iles mineures éloignées des États-Unis',1,0),(229,'UY',NULL,'Uruguay',1,0),(230,'UZ',NULL,'Ouzbékistan',1,0),(231,'VU',NULL,'Vanuatu',1,0),(232,'VE',NULL,'Vénézuela',1,0),(233,'VN',NULL,'Viêt Nam',1,0),(234,'VG',NULL,'Iles Vierges britanniques',1,0),(235,'VI',NULL,'Iles Vierges américaines',1,0),(236,'WF',NULL,'Wallis-et-Futuna',1,0),(237,'EH',NULL,'Sahara occidental',1,0),(238,'YE',NULL,'Yémen',1,0),(239,'ZM',NULL,'Zambie',1,0),(240,'ZW',NULL,'Zimbabwe',1,0),(241,'GG',NULL,'Guernesey',1,0),(242,'IM',NULL,'Ile de Man',1,0),(243,'JE',NULL,'Jersey',1,0),(244,'ME',NULL,'Monténégro',1,0),(245,'BL',NULL,'Saint-Barthélemy',1,0),(246,'MF',NULL,'Saint-Martin',1,0);
/*!40000 ALTER TABLE `llx_c_country` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_currencies`
--

DROP TABLE IF EXISTS `llx_c_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_currencies` (
  `code_iso` varchar(3) NOT NULL,
  `label` varchar(64) NOT NULL,
  `unicode` varchar(32) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`code_iso`),
  UNIQUE KEY `uk_c_currencies_code_iso` (`code_iso`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_currencies`
--

LOCK TABLES `llx_c_currencies` WRITE;
/*!40000 ALTER TABLE `llx_c_currencies` DISABLE KEYS */;
INSERT INTO `llx_c_currencies` (`code_iso`, `label`, `unicode`, `active`) VALUES ('AED','United Arab Emirates Dirham',NULL,1),('AFN','Afghanistan Afghani','[1547]',1),('ALL','Albania Lek','[76,101,107]',1),('ANG','Netherlands Antilles Guilder','[402]',1),('ARP','Pesos argentins',NULL,0),('ARS','Argentino Peso','[36]',1),('ATS','Shiliing autrichiens',NULL,0),('AUD','Australia Dollar','[36]',1),('AWG','Aruba Guilder','[402]',1),('AZN','Azerbaijan New Manat','[1084,1072,1085]',1),('BAM','Bosnia and Herzegovina Convertible Marka','[75,77]',1),('BBD','Barbados Dollar','[36]',1),('BEF','Francs belges',NULL,0),('BGN','Bulgaria Lev','[1083,1074]',1),('BMD','Bermuda Dollar','[36]',1),('BND','Brunei Darussalam Dollar','[36]',1),('BOB','Bolivia Boliviano','[36,98]',1),('BRL','Brazil Real','[82,36]',1),('BSD','Bahamas Dollar','[36]',1),('BWP','Botswana Pula','[80]',1),('BYR','Belarus Ruble','[112,46]',1),('BZD','Belize Dollar','[66,90,36]',1),('CAD','Canada Dollar','[36]',1),('CHF','Switzerland Franc','[67,72,70]',1),('CLP','Chile Peso','[36]',1),('CNY','China Yuan Renminbi','[165]',1),('COP','Colombia Peso','[36]',1),('CRC','Costa Rica Colon','[8353]',1),('CUP','Cuba Peso','[8369]',1),('CZK','Czech Republic Koruna','[75,269]',1),('DEM','Deutsch mark',NULL,0),('DKK','Denmark Krone','[107,114]',1),('DOP','Dominican Republic Peso','[82,68,36]',1),('DZD','Algeria Dinar',NULL,1),('EEK','Estonia Kroon','[107,114]',1),('EGP','Egypt Pound','[163]',1),('ESP','Pesete',NULL,0),('EUR','Euro Member Countries','[8364]',1),('FIM','Mark finlandais',NULL,0),('FJD','Fiji Dollar','[36]',1),('FKP','Falkland Islands (Malvinas) Pound','[163]',1),('FRF','Francs francais',NULL,0),('GBP','United Kingdom Pound','[163]',1),('GGP','Guernsey Pound','[163]',1),('GHC','Ghana Cedis','[162]',1),('GIP','Gibraltar Pound','[163]',1),('GRD','Drachme (grece)',NULL,0),('GTQ','Guatemala Quetzal','[81]',1),('GYD','Guyana Dollar','[36]',1),('HKD','Hong Kong Dollar','[36]',1),('HNL','Honduras Lempira','[76]',1),('HRK','Croatia Kuna','[107,110]',1),('HUF','Hungary Forint','[70,116]',1),('IDR','Indonesia Rupiah','[82,112]',1),('IEP','Livres irlandaises',NULL,0),('ILS','Israel Shekel','[8362]',1),('IMP','Isle of Man Pound','[163]',1),('INR','India Rupee',NULL,1),('IRR','Iran Rial','[65020]',1),('ISK','Iceland Krona','[107,114]',1),('ITL','Lires',NULL,0),('JEP','Jersey Pound','[163]',1),('JMD','Jamaica Dollar','[74,36]',1),('JPY','Japan Yen','[165]',1),('KES','Kenya Shilling',NULL,1),('KGS','Kyrgyzstan Som','[1083,1074]',1),('KHR','Cambodia Riel','[6107]',1),('KPW','Korea (North) Won','[8361]',1),('KRW','Korea (South) Won','[8361]',1),('KYD','Cayman Islands Dollar','[36]',1),('KZT','Kazakhstan Tenge','[1083,1074]',1),('LAK','Laos Kip','[8365]',1),('LBP','Lebanon Pound','[163]',1),('LKR','Sri Lanka Rupee','[8360]',1),('LRD','Liberia Dollar','[36]',1),('LTL','Lithuania Litas','[76,116]',1),('LUF','Francs luxembourgeois',NULL,0),('LVL','Latvia Lat','[76,115]',1),('MAD','Morocco Dirham',NULL,1),('MKD','Macedonia Denar','[1076,1077,1085]',1),('MNT','Mongolia Tughrik','[8366]',1),('MRO','Mauritania Ouguiya',NULL,1),('MUR','Mauritius Rupee','[8360]',1),('MXN','Mexico Peso','[36]',1),('MXP','Pesos Mexicans',NULL,0),('MYR','Malaysia Ringgit','[82,77]',1),('MZN','Mozambique Metical','[77,84]',1),('NAD','Namibia Dollar','[36]',1),('NGN','Nigeria Naira','[8358]',1),('NIO','Nicaragua Cordoba','[67,36]',1),('NLG','Florins',NULL,0),('NOK','Norway Krone','[107,114]',1),('NPR','Nepal Rupee','[8360]',1),('NZD','New Zealand Dollar','[36]',1),('OMR','Oman Rial','[65020]',1),('PAB','Panama Balboa','[66,47,46]',1),('PEN','Peru Nuevo Sol','[83,47,46]',1),('PHP','Philippines Peso','[8369]',1),('PKR','Pakistan Rupee','[8360]',1),('PLN','Poland Zloty','[122,322]',1),('PTE','Escudos',NULL,0),('PYG','Paraguay Guarani','[71,115]',1),('QAR','Qatar Riyal','[65020]',1),('RON','Romania New Leu','[108,101,105]',1),('RSD','Serbia Dinar','[1044,1080,1085,46]',1),('RUB','Russia Ruble','[1088,1091,1073]',1),('SAR','Saudi Arabia Riyal','[65020]',1),('SBD','Solomon Islands Dollar','[36]',1),('SCR','Seychelles Rupee','[8360]',1),('SEK','Sweden Krona','[107,114]',1),('SGD','Singapore Dollar','[36]',1),('SHP','Saint Helena Pound','[163]',1),('SKK','Couronnes slovaques',NULL,0),('SOS','Somalia Shilling','[83]',1),('SRD','Suriname Dollar','[36]',1),('SUR','Rouble',NULL,0),('SVC','El Salvador Colon','[36]',1),('SYP','Syria Pound','[163]',1),('THB','Thailand Baht','[3647]',1),('TND','Tunisia Dinar',NULL,1),('TRL','Turkey Lira','[84,76]',1),('TRY','Turkey Lira','[8356]',1),('TTD','Trinidad and Tobago Dollar','[84,84,36]',1),('TVD','Tuvalu Dollar','[36]',1),('TWD','Taiwan New Dollar','[78,84,36]',1),('UAH','Ukraine Hryvna','[8372]',1),('USD','United States Dollar','[36]',1),('UYU','Uruguay Peso','[36,85]',1),('UZS','Uzbekistan Som','[1083,1074]',1),('VEF','Venezuela Bolivar Fuerte','[66,115]',1),('VND','Viet Nam Dong','[8363]',1),('XAF','Communaute Financiere Africaine (BEAC) CFA Franc',NULL,1),('XCD','East Caribbean Dollar','[36]',1),('XEU','Ecus',NULL,0),('XOF','Communaute Financiere Africaine (BCEAO) Franc',NULL,1),('YER','Yemen Rial','[65020]',1),('ZAR','South Africa Rand','[82]',1),('ZWD','Zimbabwe Dollar','[90,36]',1);
/*!40000 ALTER TABLE `llx_c_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_departements`
--

DROP TABLE IF EXISTS `llx_c_departements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_departements` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code_departement` varchar(6) NOT NULL,
  `fk_region` int(11) DEFAULT NULL,
  `cheflieu` varchar(50) DEFAULT NULL,
  `tncc` int(11) DEFAULT NULL,
  `ncc` varchar(50) DEFAULT NULL,
  `nom` varchar(50) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_departements` (`code_departement`,`fk_region`),
  KEY `idx_departements_fk_region` (`fk_region`),
  CONSTRAINT `fk_departements_code_region` FOREIGN KEY (`fk_region`) REFERENCES `llx_c_regions` (`code_region`)
) ENGINE=InnoDB AUTO_INCREMENT=1010 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_departements`
--

LOCK TABLES `llx_c_departements` WRITE;
/*!40000 ALTER TABLE `llx_c_departements` DISABLE KEYS */;
INSERT INTO `llx_c_departements` (`rowid`, `code_departement`, `fk_region`, `cheflieu`, `tncc`, `ncc`, `nom`, `active`) VALUES (1,'0',0,'0',0,'-','-',1),(2,'01',82,'01053',5,'AIN','Ain',1),(3,'02',22,'02408',5,'AISNE','Aisne',1),(4,'03',83,'03190',5,'ALLIER','Allier',1),(5,'04',93,'04070',4,'ALPES-DE-HAUTE-PROVENCE','Alpes-de-Haute-Provence',1),(6,'05',93,'05061',4,'HAUTES-ALPES','Hautes-Alpes',1),(7,'06',93,'06088',4,'ALPES-MARITIMES','Alpes-Maritimes',1),(8,'07',82,'07186',5,'ARDECHE','Ardèche',1),(9,'08',21,'08105',4,'ARDENNES','Ardennes',1),(10,'09',73,'09122',5,'ARIEGE','Ariège',1),(11,'10',21,'10387',5,'AUBE','Aube',1),(12,'11',91,'11069',5,'AUDE','Aude',1),(13,'12',73,'12202',5,'AVEYRON','Aveyron',1),(14,'13',93,'13055',4,'BOUCHES-DU-RHONE','Bouches-du-Rhône',1),(15,'14',25,'14118',2,'CALVADOS','Calvados',1),(16,'15',83,'15014',2,'CANTAL','Cantal',1),(17,'16',54,'16015',3,'CHARENTE','Charente',1),(18,'17',54,'17300',3,'CHARENTE-MARITIME','Charente-Maritime',1),(19,'18',24,'18033',2,'CHER','Cher',1),(20,'19',74,'19272',3,'CORREZE','Corrèze',1),(21,'2A',94,'2A004',3,'CORSE-DU-SUD','Corse-du-Sud',1),(22,'2B',94,'2B033',3,'HAUTE-CORSE','Haute-Corse',1),(23,'21',26,'21231',3,'COTE-D OR','Côte-d Or',1),(24,'22',53,'22278',4,'COTES-D ARMOR','Côtes-d Armor',1),(25,'23',74,'23096',3,'CREUSE','Creuse',1),(26,'24',72,'24322',3,'DORDOGNE','Dordogne',1),(27,'25',43,'25056',2,'DOUBS','Doubs',1),(28,'26',82,'26362',3,'DROME','Drôme',1),(29,'27',23,'27229',5,'EURE','Eure',1),(30,'28',24,'28085',1,'EURE-ET-LOIR','Eure-et-Loir',1),(31,'29',53,'29232',2,'FINISTERE','Finistère',1),(32,'30',91,'30189',2,'GARD','Gard',1),(33,'31',73,'31555',3,'HAUTE-GARONNE','Haute-Garonne',1),(34,'32',73,'32013',2,'GERS','Gers',1),(35,'33',72,'33063',3,'GIRONDE','Gironde',1),(36,'34',91,'34172',5,'HERAULT','Hérault',1),(37,'35',53,'35238',1,'ILLE-ET-VILAINE','Ille-et-Vilaine',1),(38,'36',24,'36044',5,'INDRE','Indre',1),(39,'37',24,'37261',1,'INDRE-ET-LOIRE','Indre-et-Loire',1),(40,'38',82,'38185',5,'ISERE','Isère',1),(41,'39',43,'39300',2,'JURA','Jura',1),(42,'40',72,'40192',4,'LANDES','Landes',1),(43,'41',24,'41018',0,'LOIR-ET-CHER','Loir-et-Cher',1),(44,'42',82,'42218',3,'LOIRE','Loire',1),(45,'43',83,'43157',3,'HAUTE-LOIRE','Haute-Loire',1),(46,'44',52,'44109',3,'LOIRE-ATLANTIQUE','Loire-Atlantique',1),(47,'45',24,'45234',2,'LOIRET','Loiret',1),(48,'46',73,'46042',2,'LOT','Lot',1),(49,'47',72,'47001',0,'LOT-ET-GARONNE','Lot-et-Garonne',1),(50,'48',91,'48095',3,'LOZERE','Lozère',1),(51,'49',52,'49007',0,'MAINE-ET-LOIRE','Maine-et-Loire',1),(52,'50',25,'50502',3,'MANCHE','Manche',1),(53,'51',21,'51108',3,'MARNE','Marne',1),(54,'52',21,'52121',3,'HAUTE-MARNE','Haute-Marne',1),(55,'53',52,'53130',3,'MAYENNE','Mayenne',1),(56,'54',41,'54395',0,'MEURTHE-ET-MOSELLE','Meurthe-et-Moselle',1),(57,'55',41,'55029',3,'MEUSE','Meuse',1),(58,'56',53,'56260',2,'MORBIHAN','Morbihan',1),(59,'57',41,'57463',3,'MOSELLE','Moselle',1),(60,'58',26,'58194',3,'NIEVRE','Nièvre',1),(61,'59',31,'59350',2,'NORD','Nord',1),(62,'60',22,'60057',5,'OISE','Oise',1),(63,'61',25,'61001',5,'ORNE','Orne',1),(64,'62',31,'62041',2,'PAS-DE-CALAIS','Pas-de-Calais',1),(65,'63',83,'63113',2,'PUY-DE-DOME','Puy-de-Dôme',1),(66,'64',72,'64445',4,'PYRENEES-ATLANTIQUES','Pyrénées-Atlantiques',1),(67,'65',73,'65440',4,'HAUTES-PYRENEES','Hautes-Pyrénées',1),(68,'66',91,'66136',4,'PYRENEES-ORIENTALES','Pyrénées-Orientales',1),(69,'67',42,'67482',2,'BAS-RHIN','Bas-Rhin',1),(70,'68',42,'68066',2,'HAUT-RHIN','Haut-Rhin',1),(71,'69',82,'69123',2,'RHONE','Rhône',1),(72,'70',43,'70550',3,'HAUTE-SAONE','Haute-Saône',1),(73,'71',26,'71270',0,'SAONE-ET-LOIRE','Saône-et-Loire',1),(74,'72',52,'72181',3,'SARTHE','Sarthe',1),(75,'73',82,'73065',3,'SAVOIE','Savoie',1),(76,'74',82,'74010',3,'HAUTE-SAVOIE','Haute-Savoie',1),(77,'75',11,'75056',0,'PARIS','Paris',1),(78,'76',23,'76540',3,'SEINE-MARITIME','Seine-Maritime',1),(79,'77',11,'77288',0,'SEINE-ET-MARNE','Seine-et-Marne',1),(80,'78',11,'78646',4,'YVELINES','Yvelines',1),(81,'79',54,'79191',4,'DEUX-SEVRES','Deux-Sèvres',1),(82,'80',22,'80021',3,'SOMME','Somme',1),(83,'81',73,'81004',2,'TARN','Tarn',1),(84,'82',73,'82121',0,'TARN-ET-GARONNE','Tarn-et-Garonne',1),(85,'83',93,'83137',2,'VAR','Var',1),(86,'84',93,'84007',0,'VAUCLUSE','Vaucluse',1),(87,'85',52,'85191',3,'VENDEE','Vendée',1),(88,'86',54,'86194',3,'VIENNE','Vienne',1),(89,'87',74,'87085',3,'HAUTE-VIENNE','Haute-Vienne',1),(90,'88',41,'88160',4,'VOSGES','Vosges',1),(91,'89',26,'89024',5,'YONNE','Yonne',1),(92,'90',43,'90010',0,'TERRITOIRE DE BELFORT','Territoire de Belfort',1),(93,'91',11,'91228',5,'ESSONNE','Essonne',1),(94,'92',11,'92050',4,'HAUTS-DE-SEINE','Hauts-de-Seine',1),(95,'93',11,'93008',3,'SEINE-SAINT-DENIS','Seine-Saint-Denis',1),(96,'94',11,'94028',2,'VAL-DE-MARNE','Val-de-Marne',1),(97,'95',11,'95500',2,'VAL-D OISE','Val-d Oise',1),(98,'971',1,'97105',3,'GUADELOUPE','Guadeloupe',1),(99,'972',2,'97209',3,'MARTINIQUE','Martinique',1),(100,'973',3,'97302',3,'GUYANE','Guyane',1),(101,'974',4,'97411',3,'REUNION','Réunion',1),(103,'01',201,'',1,'ANVERS','Anvers',1),(104,'02',203,'',3,'BRUXELLES-CAPITALE','Bruxelles-Capitale',1),(105,'03',202,'',2,'BRABANT-WALLON','Brabant-Wallon',1),(106,'04',201,'',1,'BRABANT-FLAMAND','Brabant-Flamand',1),(107,'05',201,'',1,'FLANDRE-OCCIDENTALE','Flandre-Occidentale',1),(108,'06',201,'',1,'FLANDRE-ORIENTALE','Flandre-Orientale',1),(109,'07',202,'',2,'HAINAUT','Hainaut',1),(110,'08',201,'',2,'LIEGE','Liège',1),(111,'09',202,'',1,'LIMBOURG','Limbourg',1),(112,'10',202,'',2,'LUXEMBOURG','Luxembourg',1),(113,'11',201,'',2,'NAMUR','Namur',1),(114,'AG',315,NULL,NULL,NULL,'AGRIGENTO',1),(115,'AL',312,NULL,NULL,NULL,'ALESSANDRIA',1),(116,'AN',310,NULL,NULL,NULL,'ANCONA',1),(117,'AO',319,NULL,NULL,NULL,'AOSTA',1),(118,'AR',316,NULL,NULL,NULL,'AREZZO',1),(119,'AP',310,NULL,NULL,NULL,'ASCOLI PICENO',1),(120,'AT',312,NULL,NULL,NULL,'ASTI',1),(121,'AV',304,NULL,NULL,NULL,'AVELLINO',1),(122,'BA',313,NULL,NULL,NULL,'BARI',1),(123,'BT',313,NULL,NULL,NULL,'BARLETTA-ANDRIA-TRANI',1),(124,'BL',320,NULL,NULL,NULL,'BELLUNO',1),(125,'BN',304,NULL,NULL,NULL,'BENEVENTO',1),(126,'BG',309,NULL,NULL,NULL,'BERGAMO',1),(127,'BI',312,NULL,NULL,NULL,'BIELLA',1),(128,'BO',305,NULL,NULL,NULL,'BOLOGNA',1),(129,'BZ',317,NULL,NULL,NULL,'BOLZANO',1),(130,'BS',309,NULL,NULL,NULL,'BRESCIA',1),(131,'BR',313,NULL,NULL,NULL,'BRINDISI',1),(132,'CA',314,NULL,NULL,NULL,'CAGLIARI',1),(133,'CL',315,NULL,NULL,NULL,'CALTANISSETTA',1),(134,'CB',311,NULL,NULL,NULL,'CAMPOBASSO',1),(135,'CI',314,NULL,NULL,NULL,'CARBONIA-IGLESIAS',1),(136,'CE',304,NULL,NULL,NULL,'CASERTA',1),(137,'CT',315,NULL,NULL,NULL,'CATANIA',1),(138,'CZ',303,NULL,NULL,NULL,'CATANZARO',1),(139,'CH',301,NULL,NULL,NULL,'CHIETI',1),(140,'CO',309,NULL,NULL,NULL,'COMO',1),(141,'CS',303,NULL,NULL,NULL,'COSENZA',1),(142,'CR',309,NULL,NULL,NULL,'CREMONA',1),(143,'KR',303,NULL,NULL,NULL,'CROTONE',1),(144,'CN',312,NULL,NULL,NULL,'CUNEO',1),(145,'EN',315,NULL,NULL,NULL,'ENNA',1),(146,'FM',310,NULL,NULL,NULL,'FERMO',1),(147,'FE',305,NULL,NULL,NULL,'FERRARA',1),(148,'FI',316,NULL,NULL,NULL,'FIRENZE',1),(149,'FG',313,NULL,NULL,NULL,'FOGGIA',1),(150,'FC',305,NULL,NULL,NULL,'FORLI-CESENA',1),(151,'FR',307,NULL,NULL,NULL,'FROSINONE',1),(152,'GE',308,NULL,NULL,NULL,'GENOVA',1),(153,'GO',306,NULL,NULL,NULL,'GORIZIA',1),(154,'GR',316,NULL,NULL,NULL,'GROSSETO',1),(155,'IM',308,NULL,NULL,NULL,'IMPERIA',1),(156,'IS',311,NULL,NULL,NULL,'ISERNIA',1),(157,'SP',308,NULL,NULL,NULL,'LA SPEZIA',1),(158,'AQ',301,NULL,NULL,NULL,'L AQUILA',1),(159,'LT',307,NULL,NULL,NULL,'LATINA',1),(160,'LE',313,NULL,NULL,NULL,'LECCE',1),(161,'LC',309,NULL,NULL,NULL,'LECCO',1),(162,'LI',314,NULL,NULL,NULL,'LIVORNO',1),(163,'LO',309,NULL,NULL,NULL,'LODI',1),(164,'LU',316,NULL,NULL,NULL,'LUCCA',1),(165,'MC',310,NULL,NULL,NULL,'MACERATA',1),(166,'MN',309,NULL,NULL,NULL,'MANTOVA',1),(167,'MS',316,NULL,NULL,NULL,'MASSA-CARRARA',1),(168,'MT',302,NULL,NULL,NULL,'MATERA',1),(169,'VS',314,NULL,NULL,NULL,'MEDIO CAMPIDANO',1),(170,'ME',315,NULL,NULL,NULL,'MESSINA',1),(171,'MI',309,NULL,NULL,NULL,'MILANO',1),(172,'MB',309,NULL,NULL,NULL,'MONZA e BRIANZA',1),(173,'MO',305,NULL,NULL,NULL,'MODENA',1),(174,'NA',304,NULL,NULL,NULL,'NAPOLI',1),(175,'NO',312,NULL,NULL,NULL,'NOVARA',1),(176,'NU',314,NULL,NULL,NULL,'NUORO',1),(177,'OG',314,NULL,NULL,NULL,'OGLIASTRA',1),(178,'OT',314,NULL,NULL,NULL,'OLBIA-TEMPIO',1),(179,'OR',314,NULL,NULL,NULL,'ORISTANO',1),(180,'PD',320,NULL,NULL,NULL,'PADOVA',1),(181,'PA',315,NULL,NULL,NULL,'PALERMO',1),(182,'PR',305,NULL,NULL,NULL,'PARMA',1),(183,'PV',309,NULL,NULL,NULL,'PAVIA',1),(184,'PG',318,NULL,NULL,NULL,'PERUGIA',1),(185,'PU',310,NULL,NULL,NULL,'PESARO e URBINO',1),(186,'PE',301,NULL,NULL,NULL,'PESCARA',1),(187,'PC',305,NULL,NULL,NULL,'PIACENZA',1),(188,'PI',316,NULL,NULL,NULL,'PISA',1),(189,'PT',316,NULL,NULL,NULL,'PISTOIA',1),(190,'PN',306,NULL,NULL,NULL,'PORDENONE',1),(191,'PZ',302,NULL,NULL,NULL,'POTENZA',1),(192,'PO',316,NULL,NULL,NULL,'PRATO',1),(193,'RG',315,NULL,NULL,NULL,'RAGUSA',1),(194,'RA',305,NULL,NULL,NULL,'RAVENNA',1),(195,'RC',303,NULL,NULL,NULL,'REGGIO CALABRIA',1),(196,'RE',305,NULL,NULL,NULL,'REGGIO NELL EMILIA',1),(197,'RI',307,NULL,NULL,NULL,'RIETI',1),(198,'RN',305,NULL,NULL,NULL,'RIMINI',1),(199,'RM',307,NULL,NULL,NULL,'ROMA',1),(200,'RO',320,NULL,NULL,NULL,'ROVIGO',1),(201,'SA',304,NULL,NULL,NULL,'SALERNO',1),(202,'SS',314,NULL,NULL,NULL,'SASSARI',1),(203,'SV',308,NULL,NULL,NULL,'SAVONA',1),(204,'SI',316,NULL,NULL,NULL,'SIENA',1),(205,'SR',315,NULL,NULL,NULL,'SIRACUSA',1),(206,'SO',309,NULL,NULL,NULL,'SONDRIO',1),(207,'TA',313,NULL,NULL,NULL,'TARANTO',1),(208,'TE',301,NULL,NULL,NULL,'TERAMO',1),(209,'TR',318,NULL,NULL,NULL,'TERNI',1),(210,'TO',312,NULL,NULL,NULL,'TORINO',1),(211,'TP',315,NULL,NULL,NULL,'TRAPANI',1),(212,'TN',317,NULL,NULL,NULL,'TRENTO',1),(213,'TV',320,NULL,NULL,NULL,'TREVISO',1),(214,'TS',306,NULL,NULL,NULL,'TRIESTE',1),(215,'UD',306,NULL,NULL,NULL,'UDINE',1),(216,'VA',309,NULL,NULL,NULL,'VARESE',1),(217,'VE',320,NULL,NULL,NULL,'VENEZIA',1),(218,'VB',312,NULL,NULL,NULL,'VERBANO-CUSIO-OSSOLA',1),(219,'VC',312,NULL,NULL,NULL,'VERCELLI',1),(220,'VR',320,NULL,NULL,NULL,'VERONA',1),(221,'VV',303,NULL,NULL,NULL,'VIBO VALENTIA',1),(222,'VI',320,NULL,NULL,NULL,'VICENZA',1),(223,'VT',307,NULL,NULL,NULL,'VITERBO',1),(224,'NSW',2801,'',1,'','New South Wales',1),(225,'VIC',2801,'',1,'','Victoria',1),(226,'QLD',2801,'',1,'','Queensland',1),(227,'SA',2801,'',1,'','South Australia',1),(228,'ACT',2801,'',1,'','Australia Capital Territory',1),(229,'TAS',2801,'',1,'','Tasmania',1),(230,'WA',2801,'',1,'','Western Australia',1),(231,'NT',2801,'',1,'','Northern Territory',1),(232,'ON',1401,'',1,'','Ontario',1),(233,'QC',1401,'',1,'','Quebec',1),(234,'NS',1401,'',1,'','Nova Scotia',1),(235,'NB',1401,'',1,'','New Brunswick',1),(236,'MB',1401,'',1,'','Manitoba',1),(237,'BC',1401,'',1,'','British Columbia',1),(238,'PE',1401,'',1,'','Prince Edward Island',1),(239,'SK',1401,'',1,'','Saskatchewan',1),(240,'AB',1401,'',1,'','Alberta',1),(241,'NL',1401,'',1,'','Newfoundland and Labrador',1),(242,'VI',419,'',19,'ALAVA','Álava',1),(243,'AB',404,'',4,'ALBACETE','Albacete',1),(244,'A',411,'',11,'ALICANTE','Alicante',1),(245,'AL',401,'',1,'ALMERIA','Almería',1),(246,'AV',403,'',3,'AVILA','Avila',1),(247,'BA',412,'',12,'BADAJOZ','Badajoz',1),(248,'PM',414,'',14,'ISLAS BALEARES','Islas Baleares',1),(249,'B',406,'',6,'BARCELONA','Barcelona',1),(250,'BU',403,'',8,'BURGOS','Burgos',1),(251,'CC',412,'',12,'CACERES','Cáceres',1),(252,'CA',401,'',1,'CADIZ','Cádiz',1),(253,'CS',411,'',11,'CASTELLON','Castellón',1),(254,'CR',404,'',4,'CIUDAD REAL','Ciudad Real',1),(255,'CO',401,'',1,'CORDOBA','Córdoba',1),(256,'C',413,'',13,'LA CORUÑA','La Coruña',1),(257,'CU',404,'',4,'CUENCA','Cuenca',1),(258,'GI',406,'',6,'GERONA','Gerona',1),(259,'GR',401,'',1,'GRANADA','Granada',1),(260,'GU',404,'',4,'GUADALAJARA','Guadalajara',1),(261,'SS',419,'',19,'GUIPUZCOA','Guipúzcoa',1),(262,'H',401,'',1,'HUELVA','Huelva',1),(263,'HU',402,'',2,'HUESCA','Huesca',1),(264,'J',401,'',1,'JAEN','Jaén',1),(265,'LE',403,'',3,'LEON','León',1),(266,'L',406,'',6,'LERIDA','Lérida',1),(267,'LO',415,'',15,'LA RIOJA','La Rioja',1),(268,'LU',413,'',13,'LUGO','Lugo',1),(269,'M',416,'',16,'MADRID','Madrid',1),(270,'MA',401,'',1,'MALAGA','Málaga',1),(271,'MU',417,'',17,'MURCIA','Murcia',1),(272,'NA',408,'',8,'NAVARRA','Navarra',1),(273,'OR',413,'',13,'ORENSE','Orense',1),(274,'O',418,'',18,'ASTURIAS','Asturias',1),(275,'P',403,'',3,'PALENCIA','Palencia',1),(276,'GC',405,'',5,'LAS PALMAS','Las Palmas',1),(277,'PO',413,'',13,'PONTEVEDRA','Pontevedra',1),(278,'SA',403,'',3,'SALAMANCA','Salamanca',1),(279,'TF',405,'',5,'STA. CRUZ DE TENERIFE','Sta. Cruz de Tenerife',1),(280,'S',410,'',10,'CANTABRIA','Cantabria',1),(281,'SG',403,'',3,'SEGOVIA','Segovia',1),(282,'SE',401,'',1,'SEVILLA','Sevilla',1),(283,'SO',403,'',3,'SORIA','Soria',1),(284,'T',406,'',6,'TARRAGONA','Tarragona',1),(285,'TE',402,'',2,'TERUEL','Teruel',1),(286,'TO',404,'',5,'TOLEDO','Toledo',1),(287,'V',411,'',11,'VALENCIA','Valencia',1),(288,'VA',403,'',3,'VALLADOLID','Valladolid',1),(289,'BI',419,'',19,'VIZCAYA','Vizcaya',1),(290,'ZA',403,'',3,'ZAMORA','Zamora',1),(291,'Z',402,'',1,'ZARAGOZA','Zaragoza',1),(292,'CE',407,'',7,'CEUTA','Ceuta',1),(293,'ML',409,'',9,'MELILLA','Melilla',1),(295,'BW',501,NULL,NULL,'BADEN-WÜRTTEMBERG','Baden-Württemberg',1),(296,'BY',501,NULL,NULL,'BAYERN','Bayern',1),(297,'BE',501,NULL,NULL,'BERLIN','Berlin',1),(298,'BB',501,NULL,NULL,'BRANDENBURG','Brandenburg',1),(299,'HB',501,NULL,NULL,'BREMEN','Bremen',1),(300,'HH',501,NULL,NULL,'HAMBURG','Hamburg',1),(301,'HE',501,NULL,NULL,'HESSEN','Hessen',1),(302,'MV',501,NULL,NULL,'MECKLENBURG-VORPOMMERN','Mecklenburg-Vorpommern',1),(303,'NI',501,NULL,NULL,'NIEDERSACHSEN','Niedersachsen',1),(304,'NW',501,NULL,NULL,'NORDRHEIN-WESTFALEN','Nordrhein-Westfalen',1),(305,'RP',501,NULL,NULL,'RHEINLAND-PFALZ','Rheinland-Pfalz',1),(306,'SL',501,NULL,NULL,'SAARLAND','Saarland',1),(307,'SN',501,NULL,NULL,'SACHSEN','Sachsen',1),(308,'ST',501,NULL,NULL,'SACHSEN-ANHALT','Sachsen-Anhalt',1),(309,'SH',501,NULL,NULL,'SCHLESWIG-HOLSTEIN','Schleswig-Holstein',1),(310,'TH',501,NULL,NULL,'THÜRINGEN','Thüringen',1),(311,'66',10201,'',0,'','Αθήνα',1),(312,'67',10205,'',0,'','Δράμα',1),(313,'01',10205,'',0,'','Έβρος',1),(314,'02',10205,'',0,'','Θάσος',1),(315,'03',10205,'',0,'','Καβάλα',1),(316,'04',10205,'',0,'','Ξάνθη',1),(317,'05',10205,'',0,'','Ροδόπη',1),(318,'06',10203,'',0,'','Ημαθία',1),(319,'07',10203,'',0,'','Θεσσαλονίκη',1),(320,'08',10203,'',0,'','Κιλκίς',1),(321,'09',10203,'',0,'','Πέλλα',1),(322,'10',10203,'',0,'','Πιερία',1),(323,'11',10203,'',0,'','Σέρρες',1),(324,'12',10203,'',0,'','Χαλκιδική',1),(325,'13',10206,'',0,'','Άρτα',1),(326,'14',10206,'',0,'','Θεσπρωτία',1),(327,'15',10206,'',0,'','Ιωάννινα',1),(328,'16',10206,'',0,'','Πρέβεζα',1),(329,'17',10213,'',0,'','Γρεβενά',1),(330,'18',10213,'',0,'','Καστοριά',1),(331,'19',10213,'',0,'','Κοζάνη',1),(332,'20',10213,'',0,'','Φλώρινα',1),(333,'21',10212,'',0,'','Καρδίτσα',1),(334,'22',10212,'',0,'','Λάρισα',1),(335,'23',10212,'',0,'','Μαγνησία',1),(336,'24',10212,'',0,'','Τρίκαλα',1),(337,'25',10212,'',0,'','Σποράδες',1),(338,'26',10212,'',0,'','Βοιωτία',1),(339,'27',10202,'',0,'','Εύβοια',1),(340,'28',10202,'',0,'','Ευρυτανία',1),(341,'29',10202,'',0,'','Φθιώτιδα',1),(342,'30',10202,'',0,'','Φωκίδα',1),(343,'31',10209,'',0,'','Αργολίδα',1),(344,'32',10209,'',0,'','Αρκαδία',1),(345,'33',10209,'',0,'','Κορινθία',1),(346,'34',10209,'',0,'','Λακωνία',1),(347,'35',10209,'',0,'','Μεσσηνία',1),(348,'36',10211,'',0,'','Αιτωλοακαρνανία',1),(349,'37',10211,'',0,'','Αχαΐα',1),(350,'38',10211,'',0,'','Ηλεία',1),(351,'39',10207,'',0,'','Ζάκυνθος',1),(352,'40',10207,'',0,'','Κέρκυρα',1),(353,'41',10207,'',0,'','Κεφαλληνία',1),(354,'42',10207,'',0,'','Ιθάκη',1),(355,'43',10207,'',0,'','Λευκάδα',1),(356,'44',10208,'',0,'','Ικαρία',1),(357,'45',10208,'',0,'','Λέσβος',1),(358,'46',10208,'',0,'','Λήμνος',1),(359,'47',10208,'',0,'','Σάμος',1),(360,'48',10208,'',0,'','Χίος',1),(361,'49',10210,'',0,'','Άνδρος',1),(362,'50',10210,'',0,'','Θήρα',1),(363,'51',10210,'',0,'','Κάλυμνος',1),(364,'52',10210,'',0,'','Κάρπαθος',1),(365,'53',10210,'',0,'','Κέα-Κύθνος',1),(366,'54',10210,'',0,'','Κω',1),(367,'55',10210,'',0,'','Μήλος',1),(368,'56',10210,'',0,'','Μύκονος',1),(369,'57',10210,'',0,'','Νάξος',1),(370,'58',10210,'',0,'','Πάρος',1),(371,'59',10210,'',0,'','Ρόδος',1),(372,'60',10210,'',0,'','Σύρος',1),(373,'61',10210,'',0,'','Τήνος',1),(374,'62',10204,'',0,'','Ηράκλειο',1),(375,'63',10204,'',0,'','Λασίθι',1),(376,'64',10204,'',0,'','Ρέθυμνο',1),(377,'65',10204,'',0,'','Χανιά',1),(378,'AG',601,NULL,NULL,'ARGOVIE','Argovie',1),(379,'AI',601,NULL,NULL,'APPENZELL RHODES INTERIEURES','Appenzell Rhodes intérieures',1),(380,'AR',601,NULL,NULL,'APPENZELL RHODES EXTERIEURES','Appenzell Rhodes extérieures',1),(381,'BE',601,NULL,NULL,'BERNE','Berne',1),(382,'BL',601,NULL,NULL,'BALE CAMPAGNE','Bâle Campagne',1),(383,'BS',601,NULL,NULL,'BALE VILLE','Bâle Ville',1),(384,'FR',601,NULL,NULL,'FRIBOURG','Fribourg',1),(385,'GE',601,NULL,NULL,'GENEVE','Genève',1),(386,'GL',601,NULL,NULL,'GLARIS','Glaris',1),(387,'GR',601,NULL,NULL,'GRISONS','Grisons',1),(388,'JU',601,NULL,NULL,'JURA','Jura',1),(389,'LU',601,NULL,NULL,'LUCERNE','Lucerne',1),(390,'NE',601,NULL,NULL,'NEUCHATEL','Neuchâtel',1),(391,'NW',601,NULL,NULL,'NIDWALD','Nidwald',1),(392,'OW',601,NULL,NULL,'OBWALD','Obwald',1),(393,'SG',601,NULL,NULL,'SAINT-GALL','Saint-Gall',1),(394,'SH',601,NULL,NULL,'SCHAFFHOUSE','Schaffhouse',1),(395,'SO',601,NULL,NULL,'SOLEURE','Soleure',1),(396,'SZ',601,NULL,NULL,'SCHWYZ','Schwyz',1),(397,'TG',601,NULL,NULL,'THURGOVIE','Thurgovie',1),(398,'TI',601,NULL,NULL,'TESSIN','Tessin',1),(399,'UR',601,NULL,NULL,'URI','Uri',1),(400,'VD',601,NULL,NULL,'VAUD','Vaud',1),(401,'VS',601,NULL,NULL,'VALAIS','Valais',1),(402,'ZG',601,NULL,NULL,'ZUG','Zug',1),(403,'ZH',601,NULL,NULL,'ZURICH','Zürich',1),(404,'701',701,NULL,0,NULL,'Bedfordshire',1),(405,'702',701,NULL,0,NULL,'Berkshire',1),(406,'703',701,NULL,0,NULL,'Bristol, City of',1),(407,'704',701,NULL,0,NULL,'Buckinghamshire',1),(408,'705',701,NULL,0,NULL,'Cambridgeshire',1),(409,'706',701,NULL,0,NULL,'Cheshire',1),(410,'707',701,NULL,0,NULL,'Cleveland',1),(411,'708',701,NULL,0,NULL,'Cornwall',1),(412,'709',701,NULL,0,NULL,'Cumberland',1),(413,'710',701,NULL,0,NULL,'Cumbria',1),(414,'711',701,NULL,0,NULL,'Derbyshire',1),(415,'712',701,NULL,0,NULL,'Devon',1),(416,'713',701,NULL,0,NULL,'Dorset',1),(417,'714',701,NULL,0,NULL,'Co. Durham',1),(418,'715',701,NULL,0,NULL,'East Riding of Yorkshire',1),(419,'716',701,NULL,0,NULL,'East Sussex',1),(420,'717',701,NULL,0,NULL,'Essex',1),(421,'718',701,NULL,0,NULL,'Gloucestershire',1),(422,'719',701,NULL,0,NULL,'Greater Manchester',1),(423,'720',701,NULL,0,NULL,'Hampshire',1),(424,'721',701,NULL,0,NULL,'Hertfordshire',1),(425,'722',701,NULL,0,NULL,'Hereford and Worcester',1),(426,'723',701,NULL,0,NULL,'Herefordshire',1),(427,'724',701,NULL,0,NULL,'Huntingdonshire',1),(428,'725',701,NULL,0,NULL,'Isle of Man',1),(429,'726',701,NULL,0,NULL,'Isle of Wight',1),(430,'727',701,NULL,0,NULL,'Jersey',1),(431,'728',701,NULL,0,NULL,'Kent',1),(432,'729',701,NULL,0,NULL,'Lancashire',1),(433,'730',701,NULL,0,NULL,'Leicestershire',1),(434,'731',701,NULL,0,NULL,'Lincolnshire',1),(435,'732',701,NULL,0,NULL,'London - City of London',1),(436,'733',701,NULL,0,NULL,'Merseyside',1),(437,'734',701,NULL,0,NULL,'Middlesex',1),(438,'735',701,NULL,0,NULL,'Norfolk',1),(439,'736',701,NULL,0,NULL,'North Yorkshire',1),(440,'737',701,NULL,0,NULL,'North Riding of Yorkshire',1),(441,'738',701,NULL,0,NULL,'Northamptonshire',1),(442,'739',701,NULL,0,NULL,'Northumberland',1),(443,'740',701,NULL,0,NULL,'Nottinghamshire',1),(444,'741',701,NULL,0,NULL,'Oxfordshire',1),(445,'742',701,NULL,0,NULL,'Rutland',1),(446,'743',701,NULL,0,NULL,'Shropshire',1),(447,'744',701,NULL,0,NULL,'Somerset',1),(448,'745',701,NULL,0,NULL,'Staffordshire',1),(449,'746',701,NULL,0,NULL,'Suffolk',1),(450,'747',701,NULL,0,NULL,'Surrey',1),(451,'748',701,NULL,0,NULL,'Sussex',1),(452,'749',701,NULL,0,NULL,'Tyne and Wear',1),(453,'750',701,NULL,0,NULL,'Warwickshire',1),(454,'751',701,NULL,0,NULL,'West Midlands',1),(455,'752',701,NULL,0,NULL,'West Sussex',1),(456,'753',701,NULL,0,NULL,'West Yorkshire',1),(457,'754',701,NULL,0,NULL,'West Riding of Yorkshire',1),(458,'755',701,NULL,0,NULL,'Wiltshire',1),(459,'756',701,NULL,0,NULL,'Worcestershire',1),(460,'757',701,NULL,0,NULL,'Yorkshire',1),(461,'758',702,NULL,0,NULL,'Anglesey',1),(462,'759',702,NULL,0,NULL,'Breconshire',1),(463,'760',702,NULL,0,NULL,'Caernarvonshire',1),(464,'761',702,NULL,0,NULL,'Cardiganshire',1),(465,'762',702,NULL,0,NULL,'Carmarthenshire',1),(466,'763',702,NULL,0,NULL,'Ceredigion',1),(467,'764',702,NULL,0,NULL,'Denbighshire',1),(468,'765',702,NULL,0,NULL,'Flintshire',1),(469,'766',702,NULL,0,NULL,'Glamorgan',1),(470,'767',702,NULL,0,NULL,'Gwent',1),(471,'768',702,NULL,0,NULL,'Gwynedd',1),(472,'769',702,NULL,0,NULL,'Merionethshire',1),(473,'770',702,NULL,0,NULL,'Monmouthshire',1),(474,'771',702,NULL,0,NULL,'Mid Glamorgan',1),(475,'772',702,NULL,0,NULL,'Montgomeryshire',1),(476,'773',702,NULL,0,NULL,'Pembrokeshire',1),(477,'774',702,NULL,0,NULL,'Powys',1),(478,'775',702,NULL,0,NULL,'Radnorshire',1),(479,'776',702,NULL,0,NULL,'South Glamorgan',1),(480,'777',703,NULL,0,NULL,'Aberdeen, City of',1),(481,'778',703,NULL,0,NULL,'Angus',1),(482,'779',703,NULL,0,NULL,'Argyll',1),(483,'780',703,NULL,0,NULL,'Ayrshire',1),(484,'781',703,NULL,0,NULL,'Banffshire',1),(485,'782',703,NULL,0,NULL,'Berwickshire',1),(486,'783',703,NULL,0,NULL,'Bute',1),(487,'784',703,NULL,0,NULL,'Caithness',1),(488,'785',703,NULL,0,NULL,'Clackmannanshire',1),(489,'786',703,NULL,0,NULL,'Dumfriesshire',1),(490,'787',703,NULL,0,NULL,'Dumbartonshire',1),(491,'788',703,NULL,0,NULL,'Dundee, City of',1),(492,'789',703,NULL,0,NULL,'East Lothian',1),(493,'790',703,NULL,0,NULL,'Fife',1),(494,'791',703,NULL,0,NULL,'Inverness',1),(495,'792',703,NULL,0,NULL,'Kincardineshire',1),(496,'793',703,NULL,0,NULL,'Kinross-shire',1),(497,'794',703,NULL,0,NULL,'Kirkcudbrightshire',1),(498,'795',703,NULL,0,NULL,'Lanarkshire',1),(499,'796',703,NULL,0,NULL,'Midlothian',1),(500,'797',703,NULL,0,NULL,'Morayshire',1),(501,'798',703,NULL,0,NULL,'Nairnshire',1),(502,'799',703,NULL,0,NULL,'Orkney',1),(503,'800',703,NULL,0,NULL,'Peebleshire',1),(504,'801',703,NULL,0,NULL,'Perthshire',1),(505,'802',703,NULL,0,NULL,'Renfrewshire',1),(506,'803',703,NULL,0,NULL,'Ross & Cromarty',1),(507,'804',703,NULL,0,NULL,'Roxburghshire',1),(508,'805',703,NULL,0,NULL,'Selkirkshire',1),(509,'806',703,NULL,0,NULL,'Shetland',1),(510,'807',703,NULL,0,NULL,'Stirlingshire',1),(511,'808',703,NULL,0,NULL,'Sutherland',1),(512,'809',703,NULL,0,NULL,'West Lothian',1),(513,'810',703,NULL,0,NULL,'Wigtownshire',1),(514,'811',704,NULL,0,NULL,'Antrim',1),(515,'812',704,NULL,0,NULL,'Armagh',1),(516,'813',704,NULL,0,NULL,'Co. Down',1),(517,'814',704,NULL,0,NULL,'Co. Fermanagh',1),(518,'815',704,NULL,0,NULL,'Co. Londonderry',1),(519,'AL',1101,'',0,'ALABAMA','Alabama',1),(520,'AK',1101,'',0,'ALASKA','Alaska',1),(521,'AZ',1101,'',0,'ARIZONA','Arizona',1),(522,'AR',1101,'',0,'ARKANSAS','Arkansas',1),(523,'CA',1101,'',0,'CALIFORNIA','California',1),(524,'CO',1101,'',0,'COLORADO','Colorado',1),(525,'CT',1101,'',0,'CONNECTICUT','Connecticut',1),(526,'DE',1101,'',0,'DELAWARE','Delaware',1),(527,'FL',1101,'',0,'FLORIDA','Florida',1),(528,'GA',1101,'',0,'GEORGIA','Georgia',1),(529,'HI',1101,'',0,'HAWAII','Hawaii',1),(530,'ID',1101,'',0,'IDAHO','Idaho',1),(531,'IL',1101,'',0,'ILLINOIS','Illinois',1),(532,'IN',1101,'',0,'INDIANA','Indiana',1),(533,'IA',1101,'',0,'IOWA','Iowa',1),(534,'KS',1101,'',0,'KANSAS','Kansas',1),(535,'KY',1101,'',0,'KENTUCKY','Kentucky',1),(536,'LA',1101,'',0,'LOUISIANA','Louisiana',1),(537,'ME',1101,'',0,'MAINE','Maine',1),(538,'MD',1101,'',0,'MARYLAND','Maryland',1),(539,'MA',1101,'',0,'MASSACHUSSETTS','Massachusetts',1),(540,'MI',1101,'',0,'MICHIGAN','Michigan',1),(541,'MN',1101,'',0,'MINNESOTA','Minnesota',1),(542,'MS',1101,'',0,'MISSISSIPPI','Mississippi',1),(543,'MO',1101,'',0,'MISSOURI','Missouri',1),(544,'MT',1101,'',0,'MONTANA','Montana',1),(545,'NE',1101,'',0,'NEBRASKA','Nebraska',1),(546,'NV',1101,'',0,'NEVADA','Nevada',1),(547,'NH',1101,'',0,'NEW HAMPSHIRE','New Hampshire',1),(548,'NJ',1101,'',0,'NEW JERSEY','New Jersey',1),(549,'NM',1101,'',0,'NEW MEXICO','New Mexico',1),(550,'NY',1101,'',0,'NEW YORK','New York',1),(551,'NC',1101,'',0,'NORTH CAROLINA','North Carolina',1),(552,'ND',1101,'',0,'NORTH DAKOTA','North Dakota',1),(553,'OH',1101,'',0,'OHIO','Ohio',1),(554,'OK',1101,'',0,'OKLAHOMA','Oklahoma',1),(555,'OR',1101,'',0,'OREGON','Oregon',1),(556,'PA',1101,'',0,'PENNSYLVANIA','Pennsylvania',1),(557,'RI',1101,'',0,'RHODE ISLAND','Rhode Island',1),(558,'SC',1101,'',0,'SOUTH CAROLINA','South Carolina',1),(559,'SD',1101,'',0,'SOUTH DAKOTA','South Dakota',1),(560,'TN',1101,'',0,'TENNESSEE','Tennessee',1),(561,'TX',1101,'',0,'TEXAS','Texas',1),(562,'UT',1101,'',0,'UTAH','Utah',1),(563,'VT',1101,'',0,'VERMONT','Vermont',1),(564,'VA',1101,'',0,'VIRGINIA','Virginia',1),(565,'WA',1101,'',0,'WASHINGTON','Washington',1),(566,'WV',1101,'',0,'WEST VIRGINIA','West Virginia',1),(567,'WI',1101,'',0,'WISCONSIN','Wisconsin',1),(568,'WY',1101,'',0,'WYOMING','Wyoming',1),(569,'GR',1701,NULL,NULL,NULL,'Groningen',1),(570,'FR',1701,NULL,NULL,NULL,'Friesland',1),(571,'DR',1701,NULL,NULL,NULL,'Drenthe',1),(572,'OV',1701,NULL,NULL,NULL,'Overijssel',1),(573,'GD',1701,NULL,NULL,NULL,'Gelderland',1),(574,'FL',1701,NULL,NULL,NULL,'Flevoland',1),(575,'UT',1701,NULL,NULL,NULL,'Utrecht',1),(576,'NH',1701,NULL,NULL,NULL,'Noord-Holland',1),(577,'ZH',1701,NULL,NULL,NULL,'Zuid-Holland',1),(578,'ZL',1701,NULL,NULL,NULL,'Zeeland',1),(579,'NB',1701,NULL,NULL,NULL,'Noord-Brabant',1),(580,'LB',1701,NULL,NULL,NULL,'Limburg',1),(581,'SS',8601,'',0,'','San Salvador',1),(582,'SA',8603,'',0,'','Santa Ana',1),(583,'AH',8603,'',0,'','Ahuachapan',1),(584,'SO',8603,'',0,'','Sonsonate',1),(585,'US',8602,'',0,'','Usulutan',1),(586,'SM',8602,'',0,'','San Miguel',1),(587,'MO',8602,'',0,'','Morazan',1),(588,'LU',8602,'',0,'','La Union',1),(589,'LL',8601,'',0,'','La Libertad',1),(590,'CH',8601,'',0,'','Chalatenango',1),(591,'CA',8601,'',0,'','Cabañas',1),(592,'LP',8601,'',0,'','La Paz',1),(593,'SV',8601,'',0,'','San Vicente',1),(594,'CU',8601,'',0,'','Cuscatlan',1),(595,'2301',2301,'',0,'CATAMARCA','Catamarca',1),(596,'2302',2301,'',0,'JUJUY','Jujuy',1),(597,'2303',2301,'',0,'TUCAMAN','Tucamán',1),(598,'2304',2301,'',0,'SANTIAGO DEL ESTERO','Santiago del Estero',1),(599,'2305',2301,'',0,'SALTA','Salta',1),(600,'2306',2302,'',0,'CHACO','Chaco',1),(601,'2307',2302,'',0,'CORRIENTES','Corrientes',1),(602,'2308',2302,'',0,'ENTRE RIOS','Entre Ríos',1),(603,'2309',2302,'',0,'FORMOSA MISIONES','Formosa Misiones',1),(604,'2310',2302,'',0,'SANTA FE','Santa Fe',1),(605,'2311',2303,'',0,'LA RIOJA','La Rioja',1),(606,'2312',2303,'',0,'MENDOZA','Mendoza',1),(607,'2313',2303,'',0,'SAN JUAN','San Juan',1),(608,'2314',2303,'',0,'SAN LUIS','San Luis',1),(609,'2315',2304,'',0,'CORDOBA','Córdoba',1),(610,'2316',2304,'',0,'BUENOS AIRES','Buenos Aires',1),(611,'2317',2304,'',0,'CABA','Caba',1),(612,'2318',2305,'',0,'LA PAMPA','La Pampa',1),(613,'2319',2305,'',0,'NEUQUEN','Neuquén',1),(614,'2320',2305,'',0,'RIO NEGRO','Río Negro',1),(615,'2321',2305,'',0,'CHUBUT','Chubut',1),(616,'2322',2305,'',0,'SANTA CRUZ','Santa Cruz',1),(617,'2323',2305,'',0,'TIERRA DEL FUEGO','Tierra del Fuego',1),(618,'2324',2305,'',0,'ISLAS MALVINAS','Islas Malvinas',1),(619,'2325',2305,'',0,'ANTARTIDA','Antártida',1),(620,'AC',5601,'ACRE',0,'AC','Acre',1),(621,'AL',5601,'ALAGOAS',0,'AL','Alagoas',1),(622,'AP',5601,'AMAPA',0,'AP','Amapá',1),(623,'AM',5601,'AMAZONAS',0,'AM','Amazonas',1),(624,'BA',5601,'BAHIA',0,'BA','Bahia',1),(625,'CE',5601,'CEARA',0,'CE','Ceará',1),(626,'ES',5601,'ESPIRITO SANTO',0,'ES','Espirito Santo',1),(627,'GO',5601,'GOIAS',0,'GO','Goiás',1),(628,'MA',5601,'MARANHAO',0,'MA','Maranhão',1),(629,'MT',5601,'MATO GROSSO',0,'MT','Mato Grosso',1),(630,'MS',5601,'MATO GROSSO DO SUL',0,'MS','Mato Grosso do Sul',1),(631,'MG',5601,'MINAS GERAIS',0,'MG','Minas Gerais',1),(632,'PA',5601,'PARA',0,'PA','Pará',1),(633,'PB',5601,'PARAIBA',0,'PB','Paraiba',1),(634,'PR',5601,'PARANA',0,'PR','Paraná',1),(635,'PE',5601,'PERNAMBUCO',0,'PE','Pernambuco',1),(636,'PI',5601,'PIAUI',0,'PI','Piauí',1),(637,'RJ',5601,'RIO DE JANEIRO',0,'RJ','Rio de Janeiro',1),(638,'RN',5601,'RIO GRANDE DO NORTE',0,'RN','Rio Grande do Norte',1),(639,'RS',5601,'RIO GRANDE DO SUL',0,'RS','Rio Grande do Sul',1),(640,'RO',5601,'RONDONIA',0,'RO','Rondônia',1),(641,'RR',5601,'RORAIMA',0,'RR','Roraima',1),(642,'SC',5601,'SANTA CATARINA',0,'SC','Santa Catarina',1),(643,'SE',5601,'SERGIPE',0,'SE','Sergipe',1),(644,'SP',5601,'SAO PAULO',0,'SP','Sao Paulo',1),(645,'TO',5601,'TOCANTINS',0,'TO','Tocantins',1),(646,'DF',5601,'DISTRITO FEDERAL',0,'DF','Distrito Federal',1),(647,'151',6715,'',0,'151','Arica',1),(648,'152',6715,'',0,'152','Parinacota',1),(649,'011',6701,'',0,'011','Iquique',1),(650,'014',6701,'',0,'014','Tamarugal',1),(651,'021',6702,'',0,'021','Antofagasa',1),(652,'022',6702,'',0,'022','El Loa',1),(653,'023',6702,'',0,'023','Tocopilla',1),(654,'031',6703,'',0,'031','Copiapó',1),(655,'032',6703,'',0,'032','Chañaral',1),(656,'033',6703,'',0,'033','Huasco',1),(657,'041',6704,'',0,'041','Elqui',1),(658,'042',6704,'',0,'042','Choapa',1),(659,'043',6704,'',0,'043','Limarí',1),(660,'051',6705,'',0,'051','Valparaíso',1),(661,'052',6705,'',0,'052','Isla de Pascua',1),(662,'053',6705,'',0,'053','Los Andes',1),(663,'054',6705,'',0,'054','Petorca',1),(664,'055',6705,'',0,'055','Quillota',1),(665,'056',6705,'',0,'056','San Antonio',1),(666,'057',6705,'',0,'057','San Felipe de Aconcagua',1),(667,'058',6705,'',0,'058','Marga Marga',1),(668,'061',6706,'',0,'061','Cachapoal',1),(669,'062',6706,'',0,'062','Cardenal Caro',1),(670,'063',6706,'',0,'063','Colchagua',1),(671,'071',6707,'',0,'071','Talca',1),(672,'072',6707,'',0,'072','Cauquenes',1),(673,'073',6707,'',0,'073','Curicó',1),(674,'074',6707,'',0,'074','Linares',1),(675,'081',6708,'',0,'081','Concepción',1),(676,'082',6708,'',0,'082','Arauco',1),(677,'083',6708,'',0,'083','Biobío',1),(678,'084',6708,'',0,'084','Ñuble',1),(679,'091',6709,'',0,'091','Cautín',1),(680,'092',6709,'',0,'092','Malleco',1),(681,'141',6714,'',0,'141','Valdivia',1),(682,'142',6714,'',0,'142','Ranco',1),(683,'101',6710,'',0,'101','Llanquihue',1),(684,'102',6710,'',0,'102','Chiloé',1),(685,'103',6710,'',0,'103','Osorno',1),(686,'104',6710,'',0,'104','Palena',1),(687,'111',6711,'',0,'111','Coihaique',1),(688,'112',6711,'',0,'112','Aisén',1),(689,'113',6711,'',0,'113','Capitán Prat',1),(690,'114',6711,'',0,'114','General Carrera',1),(691,'121',6712,'',0,'121','Magallanes',1),(692,'122',6712,'',0,'122','Antártica Chilena',1),(693,'123',6712,'',0,'123','Tierra del Fuego',1),(694,'124',6712,'',0,'124','Última Esperanza',1),(695,'131',6713,'',0,'131','Santiago',1),(696,'132',6713,'',0,'132','Cordillera',1),(697,'133',6713,'',0,'133','Chacabuco',1),(698,'134',6713,'',0,'134','Maipo',1),(699,'135',6713,'',0,'135','Melipilla',1),(700,'136',6713,'',0,'136','Talagante',1),(701,'AN',11701,NULL,0,'AN','Andaman & Nicobar',1),(702,'AP',11701,NULL,0,'AP','Andhra Pradesh',1),(703,'AR',11701,NULL,0,'AR','Arunachal Pradesh',1),(704,'AS',11701,NULL,0,'AS','Assam',1),(705,'BR',11701,NULL,0,'BR','Bihar',1),(706,'CG',11701,NULL,0,'CG','Chattisgarh',1),(707,'CH',11701,NULL,0,'CH','Chandigarh',1),(708,'DD',11701,NULL,0,'DD','Daman & Diu',1),(709,'DL',11701,NULL,0,'DL','Delhi',1),(710,'DN',11701,NULL,0,'DN','Dadra and Nagar Haveli',1),(711,'GA',11701,NULL,0,'GA','Goa',1),(712,'GJ',11701,NULL,0,'GJ','Gujarat',1),(713,'HP',11701,NULL,0,'HP','Himachal Pradesh',1),(714,'HR',11701,NULL,0,'HR','Haryana',1),(715,'JH',11701,NULL,0,'JH','Jharkhand',1),(716,'JK',11701,NULL,0,'JK','Jammu & Kashmir',1),(717,'KA',11701,NULL,0,'KA','Karnataka',1),(718,'KL',11701,NULL,0,'KL','Kerala',1),(719,'LD',11701,NULL,0,'LD','Lakshadweep',1),(720,'MH',11701,NULL,0,'MH','Maharashtra',1),(721,'ML',11701,NULL,0,'ML','Meghalaya',1),(722,'MN',11701,NULL,0,'MN','Manipur',1),(723,'MP',11701,NULL,0,'MP','Madhya Pradesh',1),(724,'MZ',11701,NULL,0,'MZ','Mizoram',1),(725,'NL',11701,NULL,0,'NL','Nagaland',1),(726,'OR',11701,NULL,0,'OR','Orissa',1),(727,'PB',11701,NULL,0,'PB','Punjab',1),(728,'PY',11701,NULL,0,'PY','Puducherry',1),(729,'RJ',11701,NULL,0,'RJ','Rajasthan',1),(730,'SK',11701,NULL,0,'SK','Sikkim',1),(731,'TN',11701,NULL,0,'TN','Tamil Nadu',1),(732,'TR',11701,NULL,0,'TR','Tripura',1),(733,'UL',11701,NULL,0,'UL','Uttarakhand',1),(734,'UP',11701,NULL,0,'UP','Uttar Pradesh',1),(735,'WB',11701,NULL,0,'WB','West Bengal',1),(736,'DIF',15401,'',0,'DIF','Distrito Federal',1),(737,'AGS',15401,'',0,'AGS','Aguascalientes',1),(738,'BCN',15401,'',0,'BCN','Baja California Norte',1),(739,'BCS',15401,'',0,'BCS','Baja California Sur',1),(740,'CAM',15401,'',0,'CAM','Campeche',1),(741,'CHP',15401,'',0,'CHP','Chiapas',1),(742,'CHI',15401,'',0,'CHI','Chihuahua',1),(743,'COA',15401,'',0,'COA','Coahuila',1),(744,'COL',15401,'',0,'COL','Colima',1),(745,'DUR',15401,'',0,'DUR','Durango',1),(746,'GTO',15401,'',0,'GTO','Guanajuato',1),(747,'GRO',15401,'',0,'GRO','Guerrero',1),(748,'HGO',15401,'',0,'HGO','Hidalgo',1),(749,'JAL',15401,'',0,'JAL','Jalisco',1),(750,'MEX',15401,'',0,'MEX','México',1),(751,'MIC',15401,'',0,'MIC','Michoacán de Ocampo',1),(752,'MOR',15401,'',0,'MOR','Morelos',1),(753,'NAY',15401,'',0,'NAY','Nayarit',1),(754,'NLE',15401,'',0,'NLE','Nuevo León',1),(755,'OAX',15401,'',0,'OAX','Oaxaca',1),(756,'PUE',15401,'',0,'PUE','Puebla',1),(757,'QRO',15401,'',0,'QRO','Querétaro',1),(758,'ROO',15401,'',0,'ROO','Quintana Roo',1),(759,'SLP',15401,'',0,'SLP','San Luis Potosí',1),(760,'SIN',15401,'',0,'SIN','Sinaloa',1),(761,'SON',15401,'',0,'SON','Sonora',1),(762,'TAB',15401,'',0,'TAB','Tabasco',1),(763,'TAM',15401,'',0,'TAM','Tamaulipas',1),(764,'TLX',15401,'',0,'TLX','Tlaxcala',1),(765,'VER',15401,'',0,'VER','Veracruz',1),(766,'YUC',15401,'',0,'YUC','Yucatán',1),(767,'ZAC',15401,'',0,'ZAC','Zacatecas',1),(768,'ANT',7001,'',0,'ANT','Antioquia',1),(769,'BOL',7001,'',0,'BOL','Bolívar',1),(770,'BOY',7001,'',0,'BOY','Boyacá',1),(771,'CAL',7001,'',0,'CAL','Caldas',1),(772,'CAU',7001,'',0,'CAU','Cauca',1),(773,'CUN',7001,'',0,'CUN','Cundinamarca',1),(774,'HUI',7001,'',0,'HUI','Huila',1),(775,'LAG',7001,'',0,'LAG','La Guajira',1),(776,'MET',7001,'',0,'MET','Meta',1),(777,'NAR',7001,'',0,'NAR','Nariño',1),(778,'NDS',7001,'',0,'NDS','Norte de Santander',1),(779,'SAN',7001,'',0,'SAN','Santander',1),(780,'SUC',7001,'',0,'SUC','Sucre',1),(781,'TOL',7001,'',0,'TOL','Tolima',1),(782,'VAC',7001,'',0,'VAC','Valle del Cauca',1),(783,'RIS',7001,'',0,'RIS','Risalda',1),(784,'ATL',7001,'',0,'ATL','Atlántico',1),(785,'COR',7001,'',0,'COR','Córdoba',1),(786,'SAP',7001,'',0,'SAP','San Andrés, Providencia y Santa Catalina',1),(787,'ARA',7001,'',0,'ARA','Arauca',1),(788,'CAS',7001,'',0,'CAS','Casanare',1),(789,'AMA',7001,'',0,'AMA','Amazonas',1),(790,'CAQ',7001,'',0,'CAQ','Caquetá',1),(791,'CHO',7001,'',0,'CHO','Chocó',1),(792,'GUA',7001,'',0,'GUA','Guainía',1),(793,'GUV',7001,'',0,'GUV','Guaviare',1),(794,'PUT',7001,'',0,'PUT','Putumayo',1),(795,'QUI',7001,'',0,'QUI','Quindío',1),(796,'VAU',7001,'',0,'VAU','Vaupés',1),(797,'BOG',7001,'',0,'BOG','Bogotá',1),(798,'VID',7001,'',0,'VID','Vichada',1),(799,'CES',7001,'',0,'CES','Cesar',1),(800,'MAG',7001,'',0,'MAG','Magdalena',1),(801,'AT',11401,'',0,'AT','Atlántida',1),(802,'CH',11401,'',0,'CH','Choluteca',1),(803,'CL',11401,'',0,'CL','Colón',1),(804,'CM',11401,'',0,'CM','Comayagua',1),(805,'CO',11401,'',0,'CO','Copán',1),(806,'CR',11401,'',0,'CR','Cortés',1),(807,'EP',11401,'',0,'EP','El Paraíso',1),(808,'FM',11401,'',0,'FM','Francisco Morazán',1),(809,'GD',11401,'',0,'GD','Gracias a Dios',1),(810,'IN',11401,'',0,'IN','Intibucá',1),(811,'IB',11401,'',0,'IB','Islas de la Bahía',1),(812,'LP',11401,'',0,'LP','La Paz',1),(813,'LM',11401,'',0,'LM','Lempira',1),(814,'OC',11401,'',0,'OC','Ocotepeque',1),(815,'OL',11401,'',0,'OL','Olancho',1),(816,'SB',11401,'',0,'SB','Santa Bárbara',1),(817,'VL',11401,'',0,'VL','Valle',1),(818,'YO',11401,'',0,'YO','Yoro',1),(819,'DC',11401,'',0,'DC','Distrito Central',1),(820,'CC',4601,'Oistins',0,'CC','Christ Church',1),(821,'SA',4601,'Greenland',0,'SA','Saint Andrew',1),(822,'SG',4601,'Bulkeley',0,'SG','Saint George',1),(823,'JA',4601,'Holetown',0,'JA','Saint James',1),(824,'SJ',4601,'Four Roads',0,'SJ','Saint John',1),(825,'SB',4601,'Bathsheba',0,'SB','Saint Joseph',1),(826,'SL',4601,'Crab Hill',0,'SL','Saint Lucy',1),(827,'SM',4601,'Bridgetown',0,'SM','Saint Michael',1),(828,'SP',4601,'Speightstown',0,'SP','Saint Peter',1),(829,'SC',4601,'Crane',0,'SC','Saint Philip',1),(830,'ST',4601,'Hillaby',0,'ST','Saint Thomas',1),(831,'VE-L',23201,'',0,'VE-L','Mérida',1),(832,'VE-T',23201,'',0,'VE-T','Trujillo',1),(833,'VE-E',23201,'',0,'VE-E','Barinas',1),(834,'VE-M',23202,'',0,'VE-M','Miranda',1),(835,'VE-W',23202,'',0,'VE-W','Vargas',1),(836,'VE-A',23202,'',0,'VE-A','Distrito Capital',1),(837,'VE-D',23203,'',0,'VE-D','Aragua',1),(838,'VE-G',23203,'',0,'VE-G','Carabobo',1),(839,'VE-I',23204,'',0,'VE-I','Falcón',1),(840,'VE-K',23204,'',0,'VE-K','Lara',1),(841,'VE-U',23204,'',0,'VE-U','Yaracuy',1),(842,'VE-F',23205,'',0,'VE-F','Bolívar',1),(843,'VE-X',23205,'',0,'VE-X','Amazonas',1),(844,'VE-Y',23205,'',0,'VE-Y','Delta Amacuro',1),(845,'VE-O',23206,'',0,'VE-O','Nueva Esparta',1),(846,'VE-Z',23206,'',0,'VE-Z','Dependencias Federales',1),(847,'VE-C',23207,'',0,'VE-C','Apure',1),(848,'VE-J',23207,'',0,'VE-J','Guárico',1),(849,'VE-H',23207,'',0,'VE-H','Cojedes',1),(850,'VE-P',23207,'',0,'VE-P','Portuguesa',1),(851,'VE-B',23208,'',0,'VE-B','Anzoátegui',1),(852,'VE-N',23208,'',0,'VE-N','Monagas',1),(853,'VE-R',23208,'',0,'VE-R','Sucre',1),(854,'VE-V',23209,'',0,'VE-V','Zulia',1),(855,'VE-S',23209,'',0,'VE-S','Táchira',1),(856,'AL01',1301,'',0,'','Wilaya d\'Adrar',1),(857,'AL02',1301,'',0,'','Wilaya de Chlef',1),(858,'AL03',1301,'',0,'','Wilaya de Laghouat',1),(859,'AL04',1301,'',0,'','Wilaya d\'Oum El Bouaghi',1),(860,'AL05',1301,'',0,'','Wilaya de Batna',1),(861,'AL06',1301,'',0,'','Wilaya de Béjaïa',1),(862,'AL07',1301,'',0,'','Wilaya de Biskra',1),(863,'AL08',1301,'',0,'','Wilaya de Béchar',1),(864,'AL09',1301,'',0,'','Wilaya de Blida',1),(865,'AL11',1301,'',0,'','Wilaya de Bouira',1),(866,'AL12',1301,'',0,'','Wilaya de Tamanrasset',1),(867,'AL13',1301,'',0,'','Wilaya de Tébessa',1),(868,'AL14',1301,'',0,'','Wilaya de Tlemcen',1),(869,'AL15',1301,'',0,'','Wilaya de Tiaret',1),(870,'AL16',1301,'',0,'','Wilaya de Tizi Ouzou',1),(871,'AL17',1301,'',0,'','Wilaya d\'Alger',1),(872,'AL18',1301,'',0,'','Wilaya de Djelfa',1),(873,'AL19',1301,'',0,'','Wilaya de Jijel',1),(874,'AL20',1301,'',0,'','Wilaya de Sétif	',1),(875,'AL21',1301,'',0,'','Wilaya de Saïda',1),(876,'AL22',1301,'',0,'','Wilaya de Skikda',1),(877,'AL23',1301,'',0,'','Wilaya de Sidi Bel Abbès',1),(878,'AL24',1301,'',0,'','Wilaya d\'Annaba',1),(879,'AL25',1301,'',0,'','Wilaya de Guelma',1),(880,'AL26',1301,'',0,'','Wilaya de Constantine',1),(881,'AL27',1301,'',0,'','Wilaya de Médéa',1),(882,'AL28',1301,'',0,'','Wilaya de Mostaganem',1),(883,'AL29',1301,'',0,'','Wilaya de M\'Sila',1),(884,'AL30',1301,'',0,'','Wilaya de Mascara',1),(885,'AL31',1301,'',0,'','Wilaya d\'Ouargla',1),(886,'AL32',1301,'',0,'','Wilaya d\'Oran',1),(887,'AL33',1301,'',0,'','Wilaya d\'El Bayadh',1),(888,'AL34',1301,'',0,'','Wilaya d\'Illizi',1),(889,'AL35',1301,'',0,'','Wilaya de Bordj Bou Arreridj',1),(890,'AL36',1301,'',0,'','Wilaya de Boumerdès',1),(891,'AL37',1301,'',0,'','Wilaya d\'El Tarf',1),(892,'AL38',1301,'',0,'','Wilaya de Tindouf',1),(893,'AL39',1301,'',0,'','Wilaya de Tissemsilt',1),(894,'AL40',1301,'',0,'','Wilaya d\'El Oued',1),(895,'AL41',1301,'',0,'','Wilaya de Khenchela',1),(896,'AL42',1301,'',0,'','Wilaya de Souk Ahras',1),(897,'AL43',1301,'',0,'','Wilaya de Tipaza',1),(898,'AL44',1301,'',0,'','Wilaya de Mila',1),(899,'AL45',1301,'',0,'','Wilaya d\'Aïn Defla',1),(900,'AL46',1301,'',0,'','Wilaya de Naâma',1),(901,'AL47',1301,'',0,'','Wilaya d\'Aïn Témouchent',1),(902,'AL48',1301,'',0,'','Wilaya de Ghardaia',1),(903,'AL49',1301,'',0,'','Wilaya de Relizane',1),(904,'MA',1209,'',0,'','Province de Benslimane',1),(905,'MA1',1209,'',0,'','Province de Berrechid',1),(906,'MA2',1209,'',0,'','Province de Khouribga',1),(907,'MA3',1209,'',0,'','Province de Settat',1),(908,'MA4',1210,'',0,'','Province d\'El Jadida',1),(909,'MA5',1210,'',0,'','Province de Safi',1),(910,'MA6',1210,'',0,'','Province de Sidi Bennour',1),(911,'MA7',1210,'',0,'','Province de Youssoufia',1),(912,'MA6B',1205,'',0,'','Préfecture de Fès',1),(913,'MA7B',1205,'',0,'','Province de Boulemane',1),(914,'MA8',1205,'',0,'','Province de Moulay Yacoub',1),(915,'MA9',1205,'',0,'','Province de Sefrou',1),(916,'MA8A',1202,'',0,'','Province de Kénitra',1),(917,'MA9A',1202,'',0,'','Province de Sidi Kacem',1),(918,'MA10',1202,'',0,'','Province de Sidi Slimane',1),(919,'MA11',1208,'',0,'','Préfecture de Casablanca',1),(920,'MA12',1208,'',0,'','Préfecture de Mohammédia',1),(921,'MA13',1208,'',0,'','Province de Médiouna',1),(922,'MA14',1208,'',0,'','Province de Nouaceur',1),(923,'MA15',1214,'',0,'','Province d\'Assa-Zag',1),(924,'MA16',1214,'',0,'','Province d\'Es-Semara',1),(925,'MA17A',1214,'',0,'','Province de Guelmim',1),(926,'MA18',1214,'',0,'','Province de Tata',1),(927,'MA19',1214,'',0,'','Province de Tan-Tan',1),(928,'MA15',1215,'',0,'','Province de Boujdour',1),(929,'MA16',1215,'',0,'','Province de Lâayoune',1),(930,'MA17',1215,'',0,'','Province de Tarfaya',1),(931,'MA18',1211,'',0,'','Préfecture de Marrakech',1),(932,'MA19',1211,'',0,'','Province d\'Al Haouz',1),(933,'MA20',1211,'',0,'','Province de Chichaoua',1),(934,'MA21',1211,'',0,'','Province d\'El Kelâa des Sraghna',1),(935,'MA22',1211,'',0,'','Province d\'Essaouira',1),(936,'MA23',1211,'',0,'','Province de Rehamna',1),(937,'MA24',1206,'',0,'','Préfecture de Meknès',1),(938,'MA25',1206,'',0,'','Province d’El Hajeb',1),(939,'MA26',1206,'',0,'','Province d\'Errachidia',1),(940,'MA27',1206,'',0,'','Province d’Ifrane',1),(941,'MA28',1206,'',0,'','Province de Khénifra',1),(942,'MA29',1206,'',0,'','Province de Midelt',1),(943,'MA30',1204,'',0,'','Préfecture d\'Oujda-Angad',1),(944,'MA31',1204,'',0,'','Province de Berkane',1),(945,'MA32',1204,'',0,'','Province de Driouch',1),(946,'MA33',1204,'',0,'','Province de Figuig',1),(947,'MA34',1204,'',0,'','Province de Jerada',1),(948,'MA35',1204,'',0,'','Province de Nadorgg',1),(949,'MA36',1204,'',0,'','Province de Taourirt',1),(950,'MA37',1216,'',0,'','Province d\'Aousserd',1),(951,'MA38',1216,'',0,'','Province d\'Oued Ed-Dahab',1),(952,'MA39',1207,'',0,'','Préfecture de Rabat',1),(953,'MA40',1207,'',0,'','Préfecture de Skhirat-Témara',1),(954,'MA41',1207,'',0,'','Préfecture de Salé',1),(955,'MA42',1207,'',0,'','Province de Khémisset',1),(956,'MA43',1213,'',0,'','Préfecture d\'Agadir Ida-Outanane',1),(957,'MA44',1213,'',0,'','Préfecture d\'Inezgane-Aït Melloul',1),(958,'MA45',1213,'',0,'','Province de Chtouka-Aït Baha',1),(959,'MA46',1213,'',0,'','Province d\'Ouarzazate',1),(960,'MA47',1213,'',0,'','Province de Sidi Ifni',1),(961,'MA48',1213,'',0,'','Province de Taroudant',1),(962,'MA49',1213,'',0,'','Province de Tinghir',1),(963,'MA50',1213,'',0,'','Province de Tiznit',1),(964,'MA51',1213,'',0,'','Province de Zagora',1),(965,'MA52',1212,'',0,'','Province d\'Azilal',1),(966,'MA53',1212,'',0,'','Province de Beni Mellal',1),(967,'MA54',1212,'',0,'','Province de Fquih Ben Salah',1),(968,'MA55',1201,'',0,'','Préfecture de M\'diq-Fnideq',1),(969,'MA56',1201,'',0,'','Préfecture de Tanger-Asilah',1),(970,'MA57',1201,'',0,'','Province de Chefchaouen',1),(971,'MA58',1201,'',0,'','Province de Fahs-Anjra',1),(972,'MA59',1201,'',0,'','Province de Larache',1),(973,'MA60',1201,'',0,'','Province d\'Ouezzane',1),(974,'MA61',1201,'',0,'','Province de Tétouan',1),(975,'MA62',1203,'',0,'','Province de Guercif',1),(976,'MA63',1203,'',0,'','Province d\'Al Hoceïma',1),(977,'MA64',1203,'',0,'','Province de Taounate',1),(978,'MA65',1203,'',0,'','Province de Taza',1),(979,'MA6A',1205,'',0,'','Préfecture de Fès',1),(980,'MA7A',1205,'',0,'','Province de Boulemane',1),(981,'MA15A',1214,'',0,'','Province d\'Assa-Zag',1),(982,'MA16A',1214,'',0,'','Province d\'Es-Semara',1),(983,'MA18A',1211,'',0,'','Préfecture de Marrakech',1),(984,'MA19A',1214,'',0,'','Province de Tan-Tan',1),(985,'MA19B',1214,'',0,'','Province de Tan-Tan',1),(986,'TN01',1001,'',0,'','Ariana',1),(987,'TN02',1001,'',0,'','Béja',1),(988,'TN03',1001,'',0,'','Ben Arous',1),(989,'TN04',1001,'',0,'','Bizerte',1),(990,'TN05',1001,'',0,'','Gabès',1),(991,'TN06',1001,'',0,'','Gafsa',1),(992,'TN07',1001,'',0,'','Jendouba',1),(993,'TN08',1001,'',0,'','Kairouan',1),(994,'TN09',1001,'',0,'','Kasserine',1),(995,'TN10',1001,'',0,'','Kébili',1),(996,'TN11',1001,'',0,'','La Manouba',1),(997,'TN12',1001,'',0,'','Le Kef',1),(998,'TN13',1001,'',0,'','Mahdia',1),(999,'TN14',1001,'',0,'','Médenine',1),(1000,'TN15',1001,'',0,'','Monastir',1),(1001,'TN16',1001,'',0,'','Nabeul',1),(1002,'TN17',1001,'',0,'','Sfax',1),(1003,'TN18',1001,'',0,'','Sidi Bouzid',1),(1004,'TN19',1001,'',0,'','Siliana',1),(1005,'TN20',1001,'',0,'','Sousse',1),(1006,'TN21',1001,'',0,'','Tataouine',1),(1007,'TN22',1001,'',0,'','Tozeur',1),(1008,'TN23',1001,'',0,'','Tunis',1),(1009,'TN24',1001,'',0,'','Zaghouan',1);
/*!40000 ALTER TABLE `llx_c_departements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_ecotaxe`
--

DROP TABLE IF EXISTS `llx_c_ecotaxe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_ecotaxe` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(64) NOT NULL,
  `libelle` varchar(255) DEFAULT NULL,
  `price` double(24,8) DEFAULT NULL,
  `organization` varchar(255) DEFAULT NULL,
  `fk_pays` int(11) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_ecotaxe` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_ecotaxe`
--

LOCK TABLES `llx_c_ecotaxe` WRITE;
/*!40000 ALTER TABLE `llx_c_ecotaxe` DISABLE KEYS */;
INSERT INTO `llx_c_ecotaxe` (`rowid`, `code`, `libelle`, `price`, `organization`, `fk_pays`, `active`) VALUES (1,'ER-A-A','Materiels electriques < 0,2kg',0.01000000,'ERP',1,1),(2,'ER-A-B','Materiels electriques >= 0,2 kg et < 0,5 kg',0.03000000,'ERP',1,1),(3,'ER-A-C','Materiels electriques >= 0,5 kg et < 1 kg',0.04000000,'ERP',1,1),(4,'ER-A-D','Materiels electriques >= 1 kg et < 2 kg',0.13000000,'ERP',1,1),(5,'ER-A-E','Materiels electriques >= 2 kg et < 4kg',0.21000000,'ERP',1,1),(6,'ER-A-F','Materiels electriques >= 4 kg et < 8 kg',0.42000000,'ERP',1,1),(7,'ER-A-G','Materiels electriques >= 8 kg et < 15 kg',0.84000000,'ERP',1,1),(8,'ER-A-H','Materiels electriques >= 15 kg et < 20 kg',1.25000000,'ERP',1,1),(9,'ER-A-I','Materiels electriques >= 20 kg et < 30 kg',1.88000000,'ERP',1,1),(10,'ER-A-J','Materiels electriques >= 30 kg',3.34000000,'ERP',1,1),(11,'ER-M-1','TV, Moniteurs < 9kg',0.84000000,'ERP',1,1),(12,'ER-M-2','TV, Moniteurs >= 9kg et < 15kg',1.67000000,'ERP',1,1),(13,'ER-M-3','TV, Moniteurs >= 15kg et < 30kg',3.34000000,'ERP',1,1),(14,'ER-M-4','TV, Moniteurs >= 30 kg',6.69000000,'ERP',1,1),(15,'EC-A-A','Materiels electriques  0,2 kg max',0.00840000,'Ecologic',1,1),(16,'EC-A-B','Materiels electriques 0,21 kg min - 0,50 kg max',0.02500000,'Ecologic',1,1),(17,'EC-A-C','Materiels electriques  0,51 kg min - 1 kg max',0.04000000,'Ecologic',1,1),(18,'EC-A-D','Materiels electriques  1,01 kg min - 2,5 kg max',0.13000000,'Ecologic',1,1),(19,'EC-A-E','Materiels electriques  2,51 kg min - 4 kg max',0.21000000,'Ecologic',1,1),(20,'EC-A-F','Materiels electriques 4,01 kg min - 8 kg max',0.42000000,'Ecologic',1,1),(21,'EC-A-G','Materiels electriques  8,01 kg min - 12 kg max',0.63000000,'Ecologic',1,1),(22,'EC-A-H','Materiels electriques 12,01 kg min - 20 kg max',1.05000000,'Ecologic',1,1),(23,'EC-A-I','Materiels electriques  20,01 kg min',1.88000000,'Ecologic',1,1),(24,'EC-M-1','TV, Moniteurs 9 kg max',0.84000000,'Ecologic',1,1),(25,'EC-M-2','TV, Moniteurs 9,01 kg min - 18 kg max',1.67000000,'Ecologic',1,1),(26,'EC-M-3','TV, Moniteurs 18,01 kg min - 36 kg max',3.34000000,'Ecologic',1,1),(27,'EC-M-4','TV, Moniteurs 36,01 kg min',6.69000000,'Ecologic',1,1),(28,'ES-M-1','TV, Moniteurs <= 20 pouces',0.84000000,'Eco-systemes',1,1),(29,'ES-M-2','TV, Moniteurs > 20 pouces et <= 32 pouces',3.34000000,'Eco-systemes',1,1),(30,'ES-M-3','TV, Moniteurs > 32 pouces et autres grands ecrans',6.69000000,'Eco-systemes',1,1),(31,'ES-A-A','Ordinateur fixe, Audio home systems (HIFI), elements hifi separes',0.84000000,'Eco-systemes',1,1),(32,'ES-A-B','Ordinateur portable, CD-RCR, VCR, lecteurs et enregistreurs DVD, instruments de musique et caisses de resonance, haut parleurs...',0.25000000,'Eco-systemes',1,1),(33,'ES-A-C','Imprimante, photocopieur, telecopieur',0.42000000,'Eco-systemes',1,1),(34,'ES-A-D','Accessoires, clavier, souris, PDA, imprimante photo, appareil photo, gps, telephone, repondeur, telephone sans fil, modem, telecommande, casque, camescope, baladeur mp3, radio portable, radio K7 et CD portable, radio reveil',0.08400000,'Eco-systemes',1,1),(35,'ES-A-E','GSM',0.00840000,'Eco-systemes',1,1),(36,'ES-A-F','Jouets et equipements de loisirs et de sports < 0,5 kg',0.04200000,'Eco-systemes',1,1),(37,'ES-A-G','Jouets et equipements de loisirs et de sports > 0,5 kg',0.17000000,'Eco-systemes',1,1),(38,'ES-A-H','Jouets et equipements de loisirs et de sports > 10 kg',1.25000000,'Eco-systemes',1,1);
/*!40000 ALTER TABLE `llx_c_ecotaxe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_effectif`
--

DROP TABLE IF EXISTS `llx_c_effectif`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_effectif` (
  `id` int(11) NOT NULL,
  `code` varchar(12) NOT NULL,
  `libelle` varchar(30) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_c_effectif` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_effectif`
--

LOCK TABLES `llx_c_effectif` WRITE;
/*!40000 ALTER TABLE `llx_c_effectif` DISABLE KEYS */;
INSERT INTO `llx_c_effectif` (`id`, `code`, `libelle`, `active`, `module`) VALUES (0,'EF0','-',1,NULL),(1,'EF1-5','1 - 5',1,NULL),(2,'EF6-10','6 - 10',1,NULL),(3,'EF11-50','11 - 50',1,NULL),(4,'EF51-100','51 - 100',1,NULL),(5,'EF100-500','100 - 500',1,NULL),(6,'EF500-','> 500',1,NULL);
/*!40000 ALTER TABLE `llx_c_effectif` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_email_templates`
--

DROP TABLE IF EXISTS `llx_c_email_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_email_templates` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  `type_template` varchar(32) DEFAULT NULL,
  `lang` varchar(6) DEFAULT NULL,
  `private` smallint(6) NOT NULL DEFAULT '0',
  `fk_user` int(11) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `label` varchar(255) DEFAULT NULL,
  `position` smallint(6) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `topic` text,
  `content` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_email_templates` (`entity`,`label`,`lang`),
  KEY `idx_type` (`type_template`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_email_templates`
--

LOCK TABLES `llx_c_email_templates` WRITE;
/*!40000 ALTER TABLE `llx_c_email_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_email_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_field_list`
--

DROP TABLE IF EXISTS `llx_c_field_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_field_list` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `element` varchar(64) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `name` varchar(32) NOT NULL,
  `alias` varchar(32) NOT NULL,
  `title` varchar(32) NOT NULL,
  `align` varchar(6) DEFAULT 'left',
  `sort` tinyint(4) NOT NULL DEFAULT '1',
  `search` tinyint(4) NOT NULL DEFAULT '0',
  `enabled` varchar(255) DEFAULT '1',
  `rang` int(11) DEFAULT '0',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_field_list`
--

LOCK TABLES `llx_c_field_list` WRITE;
/*!40000 ALTER TABLE `llx_c_field_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_field_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_forme_juridique`
--

DROP TABLE IF EXISTS `llx_c_forme_juridique`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_forme_juridique` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` int(11) NOT NULL,
  `fk_pays` int(11) NOT NULL,
  `libelle` varchar(255) DEFAULT NULL,
  `isvatexempted` tinyint(4) NOT NULL DEFAULT '0',
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_forme_juridique` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=193 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_forme_juridique`
--

LOCK TABLES `llx_c_forme_juridique` WRITE;
/*!40000 ALTER TABLE `llx_c_forme_juridique` DISABLE KEYS */;
INSERT INTO `llx_c_forme_juridique` (`rowid`, `code`, `fk_pays`, `libelle`, `isvatexempted`, `active`, `module`) VALUES (1,0,0,'-',0,1,NULL),(2,2301,23,'Monotributista',0,1,NULL),(3,2302,23,'Sociedad Civil',0,1,NULL),(4,2303,23,'Sociedades Comerciales',0,1,NULL),(5,2304,23,'Sociedades de Hecho',0,1,NULL),(6,2305,23,'Sociedades Irregulares',0,1,NULL),(7,2306,23,'Sociedad Colectiva',0,1,NULL),(8,2307,23,'Sociedad en Comandita Simple',0,1,NULL),(9,2308,23,'Sociedad de Capital e Industria',0,1,NULL),(10,2309,23,'Sociedad Accidental o en participación',0,1,NULL),(11,2310,23,'Sociedad de Responsabilidad Limitada',0,1,NULL),(12,2311,23,'Sociedad Anónima',0,1,NULL),(13,2312,23,'Sociedad Anónima con Participación Estatal Mayoritaria',0,1,NULL),(14,2313,23,'Sociedad en Comandita por Acciones (arts. 315 a 324, LSC)',0,1,NULL),(15,11,1,'Artisan Commerçant (EI)',0,1,NULL),(16,12,1,'Commerçant (EI)',0,1,NULL),(17,13,1,'Artisan (EI)',0,1,NULL),(18,14,1,'Officier public ou ministériel',0,1,NULL),(19,15,1,'Profession libérale (EI)',0,1,NULL),(20,16,1,'Exploitant agricole',0,1,NULL),(21,17,1,'Agent commercial',0,1,NULL),(22,18,1,'Associé Gérant de société',0,1,NULL),(23,19,1,'Personne physique',0,1,NULL),(24,21,1,'Indivision',0,1,NULL),(25,22,1,'Société créée de fait',0,1,NULL),(26,23,1,'Société en participation',0,1,NULL),(27,27,1,'Paroisse hors zone concordataire',0,1,NULL),(28,29,1,'Groupement de droit privé non doté de la personnalité morale',0,1,NULL),(29,31,1,'Personne morale de droit étranger, immatriculée au RCS',0,1,NULL),(30,32,1,'Personne morale de droit étranger, non immatriculée au RCS',0,1,NULL),(31,35,1,'Régime auto-entrepreneur',0,1,NULL),(32,41,1,'Établissement public ou régie à caractère industriel ou commercial',0,1,NULL),(33,51,1,'Société coopérative commerciale particulière',0,1,NULL),(34,52,1,'Société en nom collectif',0,1,NULL),(35,53,1,'Société en commandite',0,1,NULL),(36,54,1,'Société à responsabilité limitée (SARL)',0,1,NULL),(37,55,1,'Société anonyme à conseil d administration',0,1,NULL),(38,56,1,'Société anonyme à directoire',0,1,NULL),(39,57,1,'Société par actions simplifiée (SAS)',0,1,NULL),(40,58,1,'Entreprise Unipersonnelle à Responsabilité Limitée (EURL)',0,1,NULL),(41,59,1,'Société par actions simplifiée unipersonnelle (SASU)',0,1,NULL),(42,61,1,'Caisse d\'épargne et de prévoyance',0,1,NULL),(43,62,1,'Groupement d\'intérêt économique (GIE)',0,1,NULL),(44,63,1,'Société coopérative agricole',0,1,NULL),(45,64,1,'Société non commerciale d assurances',0,1,NULL),(46,65,1,'Société civile',0,1,NULL),(47,69,1,'Personnes de droit privé inscrites au RCS',0,1,NULL),(48,71,1,'Administration de l état',0,1,NULL),(49,72,1,'Collectivité territoriale',0,1,NULL),(50,73,1,'Établissement public administratif',0,1,NULL),(51,74,1,'Personne morale de droit public administratif',0,1,NULL),(52,81,1,'Organisme gérant régime de protection social à adhésion obligatoire',0,1,NULL),(53,82,1,'Organisme mutualiste',0,1,NULL),(54,83,1,'Comité d entreprise',0,1,NULL),(55,84,1,'Organisme professionnel',0,1,NULL),(56,85,1,'Organisme de retraite à adhésion non obligatoire',0,1,NULL),(57,91,1,'Syndicat de propriétaires',0,1,NULL),(58,92,1,'Association loi 1901 ou assimilé',0,1,NULL),(59,93,1,'Fondation',0,1,NULL),(60,99,1,'Personne morale de droit privé',0,1,NULL),(61,200,2,'Indépendant',0,1,NULL),(62,201,2,'SPRL - Société à responsabilité limitée',0,1,NULL),(63,202,2,'SA   - Société Anonyme',0,1,NULL),(64,203,2,'SCRL - Société coopérative à responsabilité limitée',0,1,NULL),(65,204,2,'ASBL - Association sans but Lucratif',0,1,NULL),(66,205,2,'SCRI - Société coopérative à responsabilité illimitée',0,1,NULL),(67,206,2,'SCS  - Société en commandite simple',0,1,NULL),(68,207,2,'SCA  - Société en commandite par action',0,1,NULL),(69,208,2,'SNC  - Société en nom collectif',0,1,NULL),(70,209,2,'GIE  - Groupement d intérêt économique',0,1,NULL),(71,210,2,'GEIE - Groupement européen d intérêt économique',0,1,NULL),(72,220,2,'Eenmanszaak',0,1,NULL),(73,221,2,'BVBA - Besloten vennootschap met beperkte aansprakelijkheid',0,1,NULL),(74,222,2,'NV   - Naamloze Vennootschap',0,1,NULL),(75,223,2,'CVBA - Coöperatieve vennootschap met beperkte aansprakelijkheid',0,1,NULL),(76,224,2,'VZW  - Vereniging zonder winstoogmerk',0,1,NULL),(77,225,2,'CVOA - Coöperatieve vennootschap met onbeperkte aansprakelijkheid ',0,1,NULL),(78,226,2,'GCV  - Gewone commanditaire vennootschap',0,1,NULL),(79,227,2,'Comm.VA - Commanditaire vennootschap op aandelen',0,1,NULL),(80,228,2,'VOF  - Vennootschap onder firma',0,1,NULL),(81,229,2,'VS0  - Vennootschap met sociaal oogmerk',0,1,NULL),(82,500,5,'GmbH - Gesellschaft mit beschränkter Haftung',0,1,NULL),(83,501,5,'AG - Aktiengesellschaft ',0,1,NULL),(84,502,5,'GmbH&Co. KG - Gesellschaft mit beschränkter Haftung & Compagnie Kommanditgesellschaft',0,1,NULL),(85,503,5,'Gewerbe - Personengesellschaft',0,1,NULL),(86,504,5,'UG - Unternehmergesellschaft -haftungsbeschränkt-',0,1,NULL),(87,505,5,'GbR - Gesellschaft des bürgerlichen Rechts',0,1,NULL),(88,506,5,'KG - Kommanditgesellschaft',0,1,NULL),(89,507,5,'Ltd. - Limited Company',0,1,NULL),(90,508,5,'OHG - Offene Handelsgesellschaft',0,1,NULL),(91,10201,102,'Ατομική επιχείρηση',0,1,NULL),(92,10202,102,'Εταιρική  επιχείρηση',0,1,NULL),(93,10203,102,'Ομόρρυθμη Εταιρεία Ο.Ε',0,1,NULL),(94,10204,102,'Ετερόρρυθμη Εταιρεία Ε.Ε',0,1,NULL),(95,10205,102,'Εταιρεία Περιορισμένης Ευθύνης Ε.Π.Ε',0,1,NULL),(96,10206,102,'Ανώνυμη Εταιρεία Α.Ε',0,1,NULL),(97,10207,102,'Ανώνυμη ναυτιλιακή εταιρεία Α.Ν.Ε',0,1,NULL),(98,10208,102,'Συνεταιρισμός',0,1,NULL),(99,10209,102,'Συμπλοιοκτησία',0,1,NULL),(100,301,3,'Società semplice',0,1,NULL),(101,302,3,'Società in nome collettivo s.n.c.',0,1,NULL),(102,303,3,'Società in accomandita semplice s.a.s.',0,1,NULL),(103,304,3,'Società per azioni s.p.a.',0,1,NULL),(104,305,3,'Società a responsabilità limitata s.r.l.',0,1,NULL),(105,306,3,'Società in accomandita per azioni s.a.p.a.',0,1,NULL),(106,307,3,'Società cooperativa a r.l.',0,1,NULL),(107,308,3,'Società consortile',0,1,NULL),(108,309,3,'Società europea',0,1,NULL),(109,310,3,'Società cooperativa europea',0,1,NULL),(110,311,3,'Società unipersonale',0,1,NULL),(111,312,3,'Società di professionisti',0,1,NULL),(112,313,3,'Società di fatto',0,1,NULL),(113,315,3,'Società apparente',0,1,NULL),(114,316,3,'Impresa individuale ',0,1,NULL),(115,317,3,'Impresa coniugale',0,1,NULL),(116,318,3,'Impresa familiare',0,1,NULL),(117,319,3,'Consorzio cooperativo',0,1,NULL),(118,320,3,'Società cooperativa sociale',0,1,NULL),(119,321,3,'Società cooperativa di consumo',0,1,NULL),(120,322,3,'Società cooperativa agricola',0,1,NULL),(121,323,3,'A.T.I. Associazione temporanea di imprese',0,1,NULL),(122,324,3,'R.T.I. Raggruppamento temporaneo di imprese',0,1,NULL),(123,325,3,'Studio associato',0,1,NULL),(124,600,6,'Raison Individuelle',0,1,NULL),(125,601,6,'Société Simple',0,1,NULL),(126,602,6,'Société en nom collectif',0,1,NULL),(127,603,6,'Société en commandite',0,1,NULL),(128,604,6,'Société anonyme (SA)',0,1,NULL),(129,605,6,'Société en commandite par actions',0,1,NULL),(130,606,6,'Société à responsabilité limitée (SARL)',0,1,NULL),(131,607,6,'Société coopérative',0,1,NULL),(132,608,6,'Association',0,1,NULL),(133,609,6,'Fondation',0,1,NULL),(134,700,7,'Sole Trader',0,1,NULL),(135,701,7,'Partnership',0,1,NULL),(136,702,7,'Private Limited Company by shares (LTD)',0,1,NULL),(137,703,7,'Public Limited Company',0,1,NULL),(138,704,7,'Workers Cooperative',0,1,NULL),(139,705,7,'Limited Liability Partnership',0,1,NULL),(140,706,7,'Franchise',0,1,NULL),(141,1000,10,'Société à responsabilité limitée (SARL)',0,1,NULL),(142,1001,10,'Société en Nom Collectif (SNC)',0,1,NULL),(143,1002,10,'Société en Commandite Simple (SCS)',0,1,NULL),(144,1003,10,'société en participation',0,1,NULL),(145,1004,10,'Société Anonyme (SA)',0,1,NULL),(146,1005,10,'Société Unipersonnelle à Responsabilité Limitée (SUARL)',0,1,NULL),(147,1006,10,'Groupement d\'intérêt économique (GEI)',0,1,NULL),(148,1007,10,'Groupe de sociétés',0,1,NULL),(149,1701,17,'Eenmanszaak',0,1,NULL),(150,1702,17,'Maatschap',0,1,NULL),(151,1703,17,'Vennootschap onder firma',0,1,NULL),(152,1704,17,'Commanditaire vennootschap',0,1,NULL),(153,1705,17,'Besloten vennootschap (BV)',0,1,NULL),(154,1706,17,'Naamloze Vennootschap (NV)',0,1,NULL),(155,1707,17,'Vereniging',0,1,NULL),(156,1708,17,'Stichting',0,1,NULL),(157,1709,17,'Coöperatie met beperkte aansprakelijkheid (BA)',0,1,NULL),(158,1710,17,'Coöperatie met uitgesloten aansprakelijkheid (UA)',0,1,NULL),(159,1711,17,'Coöperatie met wettelijke aansprakelijkheid (WA)',0,1,NULL),(160,1712,17,'Onderlinge waarborgmaatschappij',0,1,NULL),(161,401,4,'Empresario Individual',0,1,NULL),(162,402,4,'Comunidad de Bienes',0,1,NULL),(163,403,4,'Sociedad Civil',0,1,NULL),(164,404,4,'Sociedad Colectiva',0,1,NULL),(165,405,4,'Sociedad Limitada',0,1,NULL),(166,406,4,'Sociedad Anónima',0,1,NULL),(167,407,4,'Sociedad Comanditaria por Acciones',0,1,NULL),(168,408,4,'Sociedad Comanditaria Simple',0,1,NULL),(169,409,4,'Sociedad Laboral',0,1,NULL),(170,410,4,'Sociedad Cooperativa',0,1,NULL),(171,411,4,'Sociedad de Garantía Recíproca',0,1,NULL),(172,412,4,'Entidad de Capital-Riesgo',0,1,NULL),(173,413,4,'Agrupación de Interés Económico',0,1,NULL),(174,414,4,'Sociedad de Inversión Mobiliaria',0,1,NULL),(175,415,4,'Agrupación sin Ánimo de Lucro',0,1,NULL),(176,15201,152,'Mauritius Private Company Limited By Shares',0,1,NULL),(177,15202,152,'Mauritius Company Limited By Guarantee',0,1,NULL),(178,15203,152,'Mauritius Public Company Limited By Shares',0,1,NULL),(179,15204,152,'Mauritius Foreign Company',0,1,NULL),(180,15205,152,'Mauritius GBC1 (Offshore Company)',0,1,NULL),(181,15206,152,'Mauritius GBC2 (International Company)',0,1,NULL),(182,15207,152,'Mauritius General Partnership',0,1,NULL),(183,15208,152,'Mauritius Limited Partnership',0,1,NULL),(184,15209,152,'Mauritius Sole Proprietorship',0,1,NULL),(185,15210,152,'Mauritius Trusts',0,1,NULL),(186,15401,154,'Sociedad en nombre colectivo',0,1,NULL),(187,15402,154,'Sociedad en comandita simple',0,1,NULL),(188,15403,154,'Sociedad de responsabilidad limitada',0,1,NULL),(189,15404,154,'Sociedad anónima',0,1,NULL),(190,15405,154,'Sociedad en comandita por acciones',0,1,NULL),(191,15406,154,'Sociedad cooperativa',0,1,NULL),(192,60,1,'Entreprise Individuelle à Responsabilité Limitée (EIRL)',0,1,NULL);
/*!40000 ALTER TABLE `llx_c_forme_juridique` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_holiday_types`
--

DROP TABLE IF EXISTS `llx_c_holiday_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_holiday_types` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(16) NOT NULL,
  `label` varchar(255) NOT NULL,
  `affect` int(11) NOT NULL,
  `delay` int(11) NOT NULL,
  `newByMonth` double(8,5) NOT NULL DEFAULT '0.00000',
  `fk_country` int(11) DEFAULT NULL,
  `active` int(11) DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_holiday_types` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_holiday_types`
--

LOCK TABLES `llx_c_holiday_types` WRITE;
/*!40000 ALTER TABLE `llx_c_holiday_types` DISABLE KEYS */;
INSERT INTO `llx_c_holiday_types` (`rowid`, `code`, `label`, `affect`, `delay`, `newByMonth`, `fk_country`, `active`) VALUES (1,'LEAVE_PAID','Paid vacation',1,7,0.00000,NULL,1),(2,'LEAVE_SICK','Sick leave',0,0,0.00000,NULL,1),(3,'LEAVE_OTHER','Other leave',0,0,0.00000,NULL,1),(4,'LEAVE_RTT','RTT',1,7,0.83000,1,1);
/*!40000 ALTER TABLE `llx_c_holiday_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_incoterms`
--

DROP TABLE IF EXISTS `llx_c_incoterms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_incoterms` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(3) NOT NULL,
  `libelle` varchar(255) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_incoterms` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_incoterms`
--

LOCK TABLES `llx_c_incoterms` WRITE;
/*!40000 ALTER TABLE `llx_c_incoterms` DISABLE KEYS */;
INSERT INTO `llx_c_incoterms` (`rowid`, `code`, `libelle`, `active`) VALUES (1,'EXW','Ex Works, au départ non chargé, non dédouané sortie d\'usine (uniquement adapté aux flux domestiques, nationaux)',1),(2,'FCA','Free Carrier, marchandises dédouanées et chargées dans le pays de départ, chez le vendeur ou chez le commissionnaire de transport de l\'acheteur',1),(3,'FAS','Free Alongside Ship, sur le quai du port de départ',1),(4,'FOB','Free On Board, chargé sur le bateau, les frais de chargement dans celui-ci étant fonction du liner term indiqué par la compagnie maritime (à la charge du vendeur)',1),(5,'CFR','Cost and Freight, chargé dans le bateau, livraison au port de départ, frais payés jusqu\'au port d\'arrivée, sans assurance pour le transport, non déchargé du navire à destination (les frais de déchargement sont inclus ou non au port d\'arrivée)',1),(6,'CIF','Cost, Insurance and Freight, chargé sur le bateau, frais jusqu\'au port d\'arrivée, avec l\'assurance marchandise transportée souscrite par le vendeur pour le compte de l\'acheteur',1),(7,'CPT','Carriage Paid To, livraison au premier transporteur, frais jusqu\'au déchargement du mode de transport, sans assurance pour le transport',1),(8,'CIP','Carriage and Insurance Paid to, idem CPT, avec assurance marchandise transportée souscrite par le vendeur pour le compte de l\'acheteur',1),(9,'DAT','Delivered At Terminal, marchandises (déchargées) livrées sur quai, dans un terminal maritime, fluvial, aérien, routier ou ferroviaire désigné (dédouanement import, et post-acheminement payés par l\'acheteur)',1),(10,'DAP','Delivered At Place, marchandises (non déchargées) mises à disposition de l\'acheteur dans le pays d\'importation au lieu précisé dans le contrat (déchargement, dédouanement import payé par l\'acheteur)',1),(11,'DDP','Delivered Duty Paid, marchandises (non déchargées) livrées à destination finale, dédouanement import et taxes à la charge du vendeur ; l\'acheteur prend en charge uniquement le déchargement (si exclusion des taxes type TVA, le préciser clairement)',1);
/*!40000 ALTER TABLE `llx_c_incoterms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_input_method`
--

DROP TABLE IF EXISTS `llx_c_input_method`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_input_method` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(30) DEFAULT NULL,
  `libelle` varchar(60) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_input_method` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_input_method`
--

LOCK TABLES `llx_c_input_method` WRITE;
/*!40000 ALTER TABLE `llx_c_input_method` DISABLE KEYS */;
INSERT INTO `llx_c_input_method` (`rowid`, `code`, `libelle`, `active`, `module`) VALUES (1,'OrderByMail','Courrier',1,NULL),(2,'OrderByFax','Fax',1,NULL),(3,'OrderByEMail','EMail',1,NULL),(4,'OrderByPhone','Téléphone',1,NULL),(5,'OrderByWWW','En ligne',1,NULL);
/*!40000 ALTER TABLE `llx_c_input_method` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_input_reason`
--

DROP TABLE IF EXISTS `llx_c_input_reason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_input_reason` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(30) DEFAULT NULL,
  `label` varchar(60) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_input_reason` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_input_reason`
--

LOCK TABLES `llx_c_input_reason` WRITE;
/*!40000 ALTER TABLE `llx_c_input_reason` DISABLE KEYS */;
INSERT INTO `llx_c_input_reason` (`rowid`, `code`, `label`, `active`, `module`) VALUES (1,'SRC_INTE','Web site',1,NULL),(2,'SRC_CAMP_MAIL','Mailing campaign',1,NULL),(3,'SRC_CAMP_PHO','Phone campaign',1,NULL),(4,'SRC_CAMP_FAX','Fax campaign',1,NULL),(5,'SRC_COMM','Commercial contact',1,NULL),(6,'SRC_SHOP','Shop contact',1,NULL),(7,'SRC_CAMP_EMAIL','EMailing campaign',1,NULL),(8,'SRC_WOM','Word of mouth',1,NULL),(9,'SRC_PARTNER','Partner',1,NULL),(10,'SRC_EMPLOYEE','Employee',1,NULL),(11,'SRC_SPONSORING','Sponsorship',1,NULL);
/*!40000 ALTER TABLE `llx_c_input_reason` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_lead_status`
--

DROP TABLE IF EXISTS `llx_c_lead_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_lead_status` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(10) DEFAULT NULL,
  `label` varchar(50) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  `percent` double(5,2) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_lead_status`
--

LOCK TABLES `llx_c_lead_status` WRITE;
/*!40000 ALTER TABLE `llx_c_lead_status` DISABLE KEYS */;
INSERT INTO `llx_c_lead_status` (`rowid`, `code`, `label`, `position`, `percent`, `active`) VALUES (1,'PROSP','Prospection',10,0.00,1),(2,'QUAL','Qualification',20,20.00,1),(3,'PROPO','Proposal',30,40.00,1),(4,'NEGO','Negotiation',40,60.00,1),(5,'PENDING','Pending',50,50.00,0),(6,'WIN','Won',60,100.00,1),(7,'LOST','Lost',70,0.00,1);
/*!40000 ALTER TABLE `llx_c_lead_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_paiement`
--

DROP TABLE IF EXISTS `llx_c_paiement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_paiement` (
  `id` int(11) NOT NULL,
  `code` varchar(6) NOT NULL,
  `libelle` varchar(62) DEFAULT NULL,
  `type` smallint(6) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `accountancy_code` varchar(32) DEFAULT NULL,
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_c_paiement` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_paiement`
--

LOCK TABLES `llx_c_paiement` WRITE;
/*!40000 ALTER TABLE `llx_c_paiement` DISABLE KEYS */;
INSERT INTO `llx_c_paiement` (`id`, `code`, `libelle`, `type`, `active`, `accountancy_code`, `module`) VALUES (0,'','-',3,1,NULL,NULL),(1,'TIP','TIP',2,1,NULL,NULL),(2,'VIR','Virement',2,1,NULL,NULL),(3,'PRE','Prélèvement',2,1,NULL,NULL),(4,'LIQ','Espèces',2,1,NULL,NULL),(6,'CB','Carte Bancaire',2,1,NULL,NULL),(7,'CHQ','Chèque',2,1,NULL,NULL),(50,'VAD','Paiement en ligne',2,0,NULL,NULL),(51,'TRA','Traite',2,0,NULL,NULL),(52,'LCR','LCR',2,0,NULL,NULL),(53,'FAC','Factor',2,0,NULL,NULL),(54,'PRO','Proforma',2,0,NULL,NULL);
/*!40000 ALTER TABLE `llx_c_paiement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_paper_format`
--

DROP TABLE IF EXISTS `llx_c_paper_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_paper_format` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(16) NOT NULL,
  `label` varchar(50) NOT NULL,
  `width` float(6,2) DEFAULT '0.00',
  `height` float(6,2) DEFAULT '0.00',
  `unit` varchar(5) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=226 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_paper_format`
--

LOCK TABLES `llx_c_paper_format` WRITE;
/*!40000 ALTER TABLE `llx_c_paper_format` DISABLE KEYS */;
INSERT INTO `llx_c_paper_format` (`rowid`, `code`, `label`, `width`, `height`, `unit`, `active`, `module`) VALUES (1,'EU4A0','Format 4A0',1682.00,2378.00,'mm',1,NULL),(2,'EU2A0','Format 2A0',1189.00,1682.00,'mm',1,NULL),(3,'EUA0','Format A0',840.00,1189.00,'mm',1,NULL),(4,'EUA1','Format A1',594.00,840.00,'mm',1,NULL),(5,'EUA2','Format A2',420.00,594.00,'mm',1,NULL),(6,'EUA3','Format A3',297.00,420.00,'mm',1,NULL),(7,'EUA4','Format A4',210.00,297.00,'mm',1,NULL),(8,'EUA5','Format A5',148.00,210.00,'mm',1,NULL),(9,'EUA6','Format A6',105.00,148.00,'mm',1,NULL),(100,'USLetter','Format Letter (A)',216.00,279.00,'mm',1,NULL),(105,'USLegal','Format Legal',216.00,356.00,'mm',1,NULL),(110,'USExecutive','Format Executive',190.00,254.00,'mm',1,NULL),(115,'USLedger','Format Ledger/Tabloid (B)',279.00,432.00,'mm',1,NULL),(200,'CAP1','Format Canadian P1',560.00,860.00,'mm',1,NULL),(205,'CAP2','Format Canadian P2',430.00,560.00,'mm',1,NULL),(210,'CAP3','Format Canadian P3',280.00,430.00,'mm',1,NULL),(215,'CAP4','Format Canadian P4',215.00,280.00,'mm',1,NULL),(220,'CAP5','Format Canadian P5',140.00,215.00,'mm',1,NULL),(225,'CAP6','Format Canadian P6',107.00,140.00,'mm',1,NULL);
/*!40000 ALTER TABLE `llx_c_paper_format` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_payment_term`
--

DROP TABLE IF EXISTS `llx_c_payment_term`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_payment_term` (
  `rowid` int(11) NOT NULL,
  `code` varchar(16) DEFAULT NULL,
  `sortorder` smallint(6) DEFAULT NULL,
  `active` tinyint(4) DEFAULT '1',
  `libelle` varchar(255) DEFAULT NULL,
  `libelle_facture` text,
  `fdm` tinyint(4) DEFAULT NULL,
  `nbjour` smallint(6) DEFAULT NULL,
  `decalage` smallint(6) DEFAULT NULL,
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_payment_term`
--

LOCK TABLES `llx_c_payment_term` WRITE;
/*!40000 ALTER TABLE `llx_c_payment_term` DISABLE KEYS */;
INSERT INTO `llx_c_payment_term` (`rowid`, `code`, `sortorder`, `active`, `libelle`, `libelle_facture`, `fdm`, `nbjour`, `decalage`, `module`) VALUES (1,'RECEP',1,1,'A réception de facture','Réception de facture',0,0,NULL,NULL),(2,'30D',2,1,'30 jours','Réglement à 30 jours',0,30,NULL,NULL),(3,'30DENDMONTH',3,1,'30 jours fin de mois','Réglement à 30 jours fin de mois',1,30,NULL,NULL),(4,'60D',5,1,'60 jours','Réglement à 60 jours',0,60,NULL,NULL),(5,'60DENDMONTH',6,1,'60 jours fin de mois','Réglement à 60 jours fin de mois',1,60,NULL,NULL),(6,'PT_ORDER',9,1,'A réception de commande','A réception de commande',0,0,NULL,NULL),(7,'PT_DELIVERY',7,1,'Livraison','Règlement à la livraison',0,0,NULL,NULL),(8,'PT_5050',8,1,'50 et 50','Règlement 50% à la commande, 50% à la livraison',0,0,NULL,NULL),(9,'30DENDMONTH10',4,1,'30 jours fin de mois le 10','Règlement à 30 jours fin de mois le 10',1,30,10,NULL);
/*!40000 ALTER TABLE `llx_c_payment_term` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_price_expression`
--

DROP TABLE IF EXISTS `llx_c_price_expression`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_price_expression` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(20) NOT NULL,
  `expression` varchar(80) NOT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_price_expression`
--

LOCK TABLES `llx_c_price_expression` WRITE;
/*!40000 ALTER TABLE `llx_c_price_expression` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_price_expression` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_price_global_variable`
--

DROP TABLE IF EXISTS `llx_c_price_global_variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_price_global_variable` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(20) NOT NULL,
  `description` text,
  `value` double(24,8) DEFAULT '0.00000000',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_price_global_variable`
--

LOCK TABLES `llx_c_price_global_variable` WRITE;
/*!40000 ALTER TABLE `llx_c_price_global_variable` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_price_global_variable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_price_global_variable_updater`
--

DROP TABLE IF EXISTS `llx_c_price_global_variable_updater`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_price_global_variable_updater` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `type` int(11) NOT NULL,
  `description` text,
  `parameters` text,
  `fk_variable` int(11) NOT NULL,
  `update_interval` int(11) DEFAULT '0',
  `next_update` int(11) DEFAULT '0',
  `last_status` text,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_price_global_variable_updater`
--

LOCK TABLES `llx_c_price_global_variable_updater` WRITE;
/*!40000 ALTER TABLE `llx_c_price_global_variable_updater` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_price_global_variable_updater` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_propalst`
--

DROP TABLE IF EXISTS `llx_c_propalst`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_propalst` (
  `id` smallint(6) NOT NULL,
  `code` varchar(12) NOT NULL,
  `label` varchar(30) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_c_propalst` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_propalst`
--

LOCK TABLES `llx_c_propalst` WRITE;
/*!40000 ALTER TABLE `llx_c_propalst` DISABLE KEYS */;
INSERT INTO `llx_c_propalst` (`id`, `code`, `label`, `active`) VALUES (0,'PR_DRAFT','Brouillon',1),(1,'PR_OPEN','Ouverte',1),(2,'PR_SIGNED','Signée',1),(3,'PR_NOTSIGNED','Non Signée',1),(4,'PR_FAC','Facturée',1);
/*!40000 ALTER TABLE `llx_c_propalst` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_prospectlevel`
--

DROP TABLE IF EXISTS `llx_c_prospectlevel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_prospectlevel` (
  `code` varchar(12) NOT NULL,
  `label` varchar(30) DEFAULT NULL,
  `sortorder` smallint(6) DEFAULT NULL,
  `active` smallint(6) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_prospectlevel`
--

LOCK TABLES `llx_c_prospectlevel` WRITE;
/*!40000 ALTER TABLE `llx_c_prospectlevel` DISABLE KEYS */;
INSERT INTO `llx_c_prospectlevel` (`code`, `label`, `sortorder`, `active`, `module`) VALUES ('PL_HIGH','High',4,1,NULL),('PL_LOW','Low',2,1,NULL),('PL_MEDIUM','Medium',3,1,NULL),('PL_NONE','None',1,1,NULL);
/*!40000 ALTER TABLE `llx_c_prospectlevel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_regions`
--

DROP TABLE IF EXISTS `llx_c_regions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_regions` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code_region` int(11) NOT NULL,
  `fk_pays` int(11) NOT NULL,
  `cheflieu` varchar(50) DEFAULT NULL,
  `tncc` int(11) DEFAULT NULL,
  `nom` varchar(50) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `code_region` (`code_region`),
  UNIQUE KEY `uk_code_region` (`code_region`),
  KEY `idx_c_regions_fk_pays` (`fk_pays`),
  CONSTRAINT `fk_c_regions_fk_pays` FOREIGN KEY (`fk_pays`) REFERENCES `llx_c_country` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=23210 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_regions`
--

LOCK TABLES `llx_c_regions` WRITE;
/*!40000 ALTER TABLE `llx_c_regions` DISABLE KEYS */;
INSERT INTO `llx_c_regions` (`rowid`, `code_region`, `fk_pays`, `cheflieu`, `tncc`, `nom`, `active`) VALUES (1,0,0,'0',0,'-',1),(101,1,1,'97105',3,'Guadeloupe',1),(102,2,1,'97209',3,'Martinique',1),(103,3,1,'97302',3,'Guyane',1),(104,4,1,'97411',3,'Réunion',1),(105,11,1,'75056',1,'Île-de-France',1),(106,21,1,'51108',0,'Champagne-Ardenne',1),(107,22,1,'80021',0,'Picardie',1),(108,23,1,'76540',0,'Haute-Normandie',1),(109,24,1,'45234',2,'Centre',1),(110,25,1,'14118',0,'Basse-Normandie',1),(111,26,1,'21231',0,'Bourgogne',1),(112,31,1,'59350',2,'Nord-Pas-de-Calais',1),(113,41,1,'57463',0,'Lorraine',1),(114,42,1,'67482',1,'Alsace',1),(115,43,1,'25056',0,'Franche-Comté',1),(116,52,1,'44109',4,'Pays de la Loire',1),(117,53,1,'35238',0,'Bretagne',1),(118,54,1,'86194',2,'Poitou-Charentes',1),(119,72,1,'33063',1,'Aquitaine',1),(120,73,1,'31555',0,'Midi-Pyrénées',1),(121,74,1,'87085',2,'Limousin',1),(122,82,1,'69123',2,'Rhône-Alpes',1),(123,83,1,'63113',1,'Auvergne',1),(124,91,1,'34172',2,'Languedoc-Roussillon',1),(125,93,1,'13055',0,'Provence-Alpes-Côte d\'Azur',1),(126,94,1,'2A004',0,'Corse',1),(201,201,2,'',1,'Flandre',1),(202,202,2,'',2,'Wallonie',1),(203,203,2,'',3,'Bruxelles-Capitale',1),(301,301,3,NULL,1,'Abruzzo',1),(302,302,3,NULL,1,'Basilicata',1),(303,303,3,NULL,1,'Calabria',1),(304,304,3,NULL,1,'Campania',1),(305,305,3,NULL,1,'Emilia-Romagna',1),(306,306,3,NULL,1,'Friuli-Venezia Giulia',1),(307,307,3,NULL,1,'Lazio',1),(308,308,3,NULL,1,'Liguria',1),(309,309,3,NULL,1,'Lombardia',1),(310,310,3,NULL,1,'Marche',1),(311,311,3,NULL,1,'Molise',1),(312,312,3,NULL,1,'Piemonte',1),(313,313,3,NULL,1,'Puglia',1),(314,314,3,NULL,1,'Sardegna',1),(315,315,3,NULL,1,'Sicilia',1),(316,316,3,NULL,1,'Toscana',1),(317,317,3,NULL,1,'Trentino-Alto Adige',1),(318,318,3,NULL,1,'Umbria',1),(319,319,3,NULL,1,'Valle d Aosta',1),(320,320,3,NULL,1,'Veneto',1),(401,401,4,'',0,'Andalucia',1),(402,402,4,'',0,'Aragón',1),(403,403,4,'',0,'Castilla y León',1),(404,404,4,'',0,'Castilla la Mancha',1),(405,405,4,'',0,'Canarias',1),(406,406,4,'',0,'Cataluña',1),(407,407,4,'',0,'Comunidad de Ceuta',1),(408,408,4,'',0,'Comunidad Foral de Navarra',1),(409,409,4,'',0,'Comunidad de Melilla',1),(410,410,4,'',0,'Cantabria',1),(411,411,4,'',0,'Comunidad Valenciana',1),(412,412,4,'',0,'Extemadura',1),(413,413,4,'',0,'Galicia',1),(414,414,4,'',0,'Islas Baleares',1),(415,415,4,'',0,'La Rioja',1),(416,416,4,'',0,'Comunidad de Madrid',1),(417,417,4,'',0,'Región de Murcia',1),(418,418,4,'',0,'Principado de Asturias',1),(419,419,4,'',0,'Pais Vasco',1),(501,501,5,'',0,'Deutschland',1),(601,601,6,'',1,'Cantons',1),(701,701,7,'',0,'England',1),(702,702,7,'',0,'Wales',1),(703,703,7,'',0,'Scotland',1),(704,704,7,'',0,'Northern Ireland',1),(1001,1001,10,'',0,'Ariana',1),(1002,1002,10,'',0,'Béja',1),(1003,1003,10,'',0,'Ben Arous',1),(1004,1004,10,'',0,'Bizerte',1),(1005,1005,10,'',0,'Gabès',1),(1006,1006,10,'',0,'Gafsa',1),(1007,1007,10,'',0,'Jendouba',1),(1008,1008,10,'',0,'Kairouan',1),(1009,1009,10,'',0,'Kasserine',1),(1010,1010,10,'',0,'Kébili',1),(1011,1011,10,'',0,'La Manouba',1),(1012,1012,10,'',0,'Le Kef',1),(1013,1013,10,'',0,'Mahdia',1),(1014,1014,10,'',0,'Médenine',1),(1015,1015,10,'',0,'Monastir',1),(1016,1016,10,'',0,'Nabeul',1),(1017,1017,10,'',0,'Sfax',1),(1018,1018,10,'',0,'Sidi Bouzid',1),(1019,1019,10,'',0,'Siliana',1),(1020,1020,10,'',0,'Sousse',1),(1021,1021,10,'',0,'Tataouine',1),(1022,1022,10,'',0,'Tozeur',1),(1023,1023,10,'',0,'Tunis',1),(1024,1024,10,'',0,'Zaghouan',1),(1101,1101,11,'',0,'United-States',1),(1201,1201,12,'',0,'Tanger-Tétouan',1),(1202,1202,12,'',0,'Gharb-Chrarda-Beni Hssen',1),(1203,1203,12,'',0,'Taza-Al Hoceima-Taounate',1),(1204,1204,12,'',0,'L\'Oriental',1),(1205,1205,12,'',0,'Fès-Boulemane',1),(1206,1206,12,'',0,'Meknès-Tafialet',1),(1207,1207,12,'',0,'Rabat-Salé-Zemour-Zaër',1),(1208,1208,12,'',0,'Grand Cassablanca',1),(1209,1209,12,'',0,'Chaouia-Ouardigha',1),(1210,1210,12,'',0,'Doukahla-Adba',1),(1211,1211,12,'',0,'Marrakech-Tensift-Al Haouz',1),(1212,1212,12,'',0,'Tadla-Azilal',1),(1213,1213,12,'',0,'Sous-Massa-Drâa',1),(1214,1214,12,'',0,'Guelmim-Es Smara',1),(1215,1215,12,'',0,'Laâyoune-Boujdour-Sakia el Hamra',1),(1216,1216,12,'',0,'Oued Ed-Dahab Lagouira',1),(1301,1301,13,'',0,'Algerie',1),(1401,1401,14,'',0,'Canada',1),(1701,1701,17,'',0,'Provincies van Nederland ',1),(2301,2301,23,'',0,'Norte',1),(2302,2302,23,'',0,'Litoral',1),(2303,2303,23,'',0,'Cuyana',1),(2304,2304,23,'',0,'Central',1),(2305,2305,23,'',0,'Patagonia',1),(2801,2801,28,'',0,'Australia',1),(4601,4601,46,'',0,'Barbados',1),(5601,5601,56,'',0,'Brasil',1),(6701,6701,67,NULL,NULL,'Tarapacá',1),(6702,6702,67,NULL,NULL,'Antofagasta',1),(6703,6703,67,NULL,NULL,'Atacama',1),(6704,6704,67,NULL,NULL,'Coquimbo',1),(6705,6705,67,NULL,NULL,'Valparaíso',1),(6706,6706,67,NULL,NULL,'General Bernardo O Higgins',1),(6707,6707,67,NULL,NULL,'Maule',1),(6708,6708,67,NULL,NULL,'Biobío',1),(6709,6709,67,NULL,NULL,'Raucanía',1),(6710,6710,67,NULL,NULL,'Los Lagos',1),(6711,6711,67,NULL,NULL,'Aysén General Carlos Ibáñez del Campo',1),(6712,6712,67,NULL,NULL,'Magallanes y Antártica Chilena',1),(6713,6713,67,NULL,NULL,'Metropolitana de Santiago',1),(6714,6714,67,NULL,NULL,'Los Ríos',1),(6715,6715,67,NULL,NULL,'Arica y Parinacota',1),(7001,7001,70,'',0,'Colombie',1),(8601,8601,86,NULL,NULL,'Central',1),(8602,8602,86,NULL,NULL,'Oriental',1),(8603,8603,86,NULL,NULL,'Occidental',1),(10201,10201,102,NULL,NULL,'Αττική',1),(10202,10202,102,NULL,NULL,'Στερεά Ελλάδα',1),(10203,10203,102,NULL,NULL,'Κεντρική Μακεδονία',1),(10204,10204,102,NULL,NULL,'Κρήτη',1),(10205,10205,102,NULL,NULL,'Ανατολική Μακεδονία και Θράκη',1),(10206,10206,102,NULL,NULL,'Ήπειρος',1),(10207,10207,102,NULL,NULL,'Ιόνια νησιά',1),(10208,10208,102,NULL,NULL,'Βόρειο Αιγαίο',1),(10209,10209,102,NULL,NULL,'Πελοπόννησος',1),(10210,10210,102,NULL,NULL,'Νότιο Αιγαίο',1),(10211,10211,102,NULL,NULL,'Δυτική Ελλάδα',1),(10212,10212,102,NULL,NULL,'Θεσσαλία',1),(10213,10213,102,NULL,NULL,'Δυτική Μακεδονία',1),(11401,11401,114,'',0,'Honduras',1),(11701,11701,117,'',0,'India',1),(15201,15201,152,'',0,'Rivière Noire',1),(15202,15202,152,'',0,'Flacq',1),(15203,15203,152,'',0,'Grand Port',1),(15204,15204,152,'',0,'Moka',1),(15205,15205,152,'',0,'Pamplemousses',1),(15206,15206,152,'',0,'Plaines Wilhems',1),(15207,15207,152,'',0,'Port-Louis',1),(15208,15208,152,'',0,'Rivière du Rempart',1),(15209,15209,152,'',0,'Savanne',1),(15210,15210,152,'',0,'Rodrigues',1),(15211,15211,152,'',0,'Les îles Agaléga',1),(15212,15212,152,'',0,'Les écueils des Cargados Carajos',1),(15401,15401,154,'',0,'Mexique',1),(23201,23201,232,'',0,'Los Andes',1),(23202,23202,232,'',0,'Capital',1),(23203,23203,232,'',0,'Central',1),(23204,23204,232,'',0,'Cento Occidental',1),(23205,23205,232,'',0,'Guayana',1),(23206,23206,232,'',0,'Insular',1),(23207,23207,232,'',0,'Los Llanos',1),(23208,23208,232,'',0,'Nor-Oriental',1),(23209,23209,232,'',0,'Zuliana',1);
/*!40000 ALTER TABLE `llx_c_regions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_revenuestamp`
--

DROP TABLE IF EXISTS `llx_c_revenuestamp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_revenuestamp` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_pays` int(11) NOT NULL,
  `taux` double NOT NULL,
  `note` varchar(128) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `accountancy_code_sell` varchar(32) DEFAULT NULL,
  `accountancy_code_buy` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=102 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_revenuestamp`
--

LOCK TABLES `llx_c_revenuestamp` WRITE;
/*!40000 ALTER TABLE `llx_c_revenuestamp` DISABLE KEYS */;
INSERT INTO `llx_c_revenuestamp` (`rowid`, `fk_pays`, `taux`, `note`, `active`, `accountancy_code_sell`, `accountancy_code_buy`) VALUES (101,10,0.4,'Revenue stamp tunisia',1,NULL,NULL);
/*!40000 ALTER TABLE `llx_c_revenuestamp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_shipment_mode`
--

DROP TABLE IF EXISTS `llx_c_shipment_mode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_shipment_mode` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `code` varchar(30) NOT NULL,
  `libelle` varchar(50) NOT NULL,
  `description` text,
  `tracking` varchar(255) NOT NULL,
  `active` tinyint(4) DEFAULT '0',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_shipment_mode`
--

LOCK TABLES `llx_c_shipment_mode` WRITE;
/*!40000 ALTER TABLE `llx_c_shipment_mode` DISABLE KEYS */;
INSERT INTO `llx_c_shipment_mode` (`rowid`, `tms`, `code`, `libelle`, `description`, `tracking`, `active`, `module`) VALUES (1,'2014-09-30 19:46:31','CATCH','Catch','Catch by client','',1,NULL),(2,'2014-09-30 19:46:31','TRANS','Transporter','Generic transporter','',1,NULL),(3,'2014-09-30 19:46:31','COLSUI','Colissimo Suivi','Colissimo Suivi','',0,NULL),(4,'2014-09-30 19:46:31','LETTREMAX','Lettre Max','Courrier Suivi et Lettre Max','',0,NULL),(5,'2014-09-30 19:46:31','UPS','UPS','United Parcel Service','http://wwwapps.ups.com/etracking/tracking.cgi?InquiryNumber2=&InquiryNumber3=&tracknums_displayed=3&loc=fr_FR&TypeOfInquiryNumber=T&HTMLVersion=4.0&InquiryNumber22=&InquiryNumber32=&track=Track&Suivi.x=64&Suivi.y=7&Suivi=Valider&InquiryNumber1={TRACKID}',0,NULL),(6,'2014-09-30 19:46:31','KIALA','KIALA','Relais Kiala','http://www.kiala.fr/tnt/delivery/{TRACKID}',0,NULL),(7,'2014-09-30 19:46:31','GLS','GLS','General Logistics Systems','http://www.gls-group.eu/276-I-PORTAL-WEB/content/GLS/FR01/FR/5004.htm?txtAction=71000&txtRefNo={TRACKID}',0,NULL),(8,'2014-09-30 19:46:31','CHRONO','Chronopost','Chronopost','http://www.chronopost.fr/expedier/inputLTNumbersNoJahia.do?listeNumeros={TRACKID}',0,NULL);
/*!40000 ALTER TABLE `llx_c_shipment_mode` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_stcomm`
--

DROP TABLE IF EXISTS `llx_c_stcomm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_stcomm` (
  `id` int(11) NOT NULL,
  `code` varchar(12) NOT NULL,
  `libelle` varchar(30) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `picto` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_c_stcomm` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_stcomm`
--

LOCK TABLES `llx_c_stcomm` WRITE;
/*!40000 ALTER TABLE `llx_c_stcomm` DISABLE KEYS */;
INSERT INTO `llx_c_stcomm` (`id`, `code`, `libelle`, `active`, `picto`) VALUES (-1,'ST_NO','Ne pas contacter',1,NULL),(0,'ST_NEVER','Jamais contacté',1,NULL),(1,'ST_TODO','A contacter',1,NULL),(2,'ST_PEND','Contact en cours',1,NULL),(3,'ST_DONE','Contactée',1,NULL);
/*!40000 ALTER TABLE `llx_c_stcomm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_tva`
--

DROP TABLE IF EXISTS `llx_c_tva`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_tva` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_pays` int(11) NOT NULL,
  `taux` double NOT NULL,
  `localtax1` varchar(20) DEFAULT NULL,
  `localtax1_type` varchar(10) NOT NULL DEFAULT '0',
  `localtax2` varchar(20) DEFAULT NULL,
  `localtax2_type` varchar(10) NOT NULL DEFAULT '0',
  `recuperableonly` int(11) NOT NULL DEFAULT '0',
  `note` varchar(128) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `accountancy_code_sell` varchar(32) DEFAULT NULL,
  `accountancy_code_buy` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_tva_id` (`fk_pays`,`taux`,`recuperableonly`)
) ENGINE=InnoDB AUTO_INCREMENT=2469 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_tva`
--

LOCK TABLES `llx_c_tva` WRITE;
/*!40000 ALTER TABLE `llx_c_tva` DISABLE KEYS */;
INSERT INTO `llx_c_tva` (`rowid`, `fk_pays`, `taux`, `localtax1`, `localtax1_type`, `localtax2`, `localtax2_type`, `recuperableonly`, `note`, `active`, `accountancy_code_sell`, `accountancy_code_buy`) VALUES (11,1,20,'0','0','0','0',0,'VAT standard rate (France hors DOM-TOM)',1,NULL,NULL),(12,1,8.5,'0','0','0','0',0,'VAT standard rate (DOM sauf Guyane et Saint-Martin)',0,NULL,NULL),(13,1,8.5,'0','0','0','0',1,'VAT standard rate (DOM sauf Guyane et Saint-Martin), non perçu par le vendeur mais récupérable par acheteur',0,NULL,NULL),(14,1,5.5,'0','0','0','0',0,'VAT reduced rate (France hors DOM-TOM)',1,NULL,NULL),(15,1,0,'0','0','0','0',0,'VAT Rate 0 ou non applicable',1,NULL,NULL),(16,1,2.1,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(17,1,10,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(21,2,21,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(22,2,6,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(23,2,0,'0','0','0','0',0,'VAT Rate 0 ou non applicable',1,NULL,NULL),(24,2,12,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(31,3,21,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(32,3,10,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(33,3,4,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(34,3,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(41,4,21,'5.2','3','-21','1',0,'VAT standard rate',1,NULL,NULL),(42,4,10,'1.4','3','-21','1',0,'VAT reduced rate',1,NULL,NULL),(43,4,4,'0.5','3','-21','1',0,'VAT super-reduced rate',1,NULL,NULL),(44,4,0,'0','3','-21','1',0,'VAT Rate 0',1,NULL,NULL),(51,5,19,'0','0','0','0',0,'allgemeine Ust.',1,NULL,NULL),(52,5,7,'0','0','0','0',0,'ermäßigte USt.',1,NULL,NULL),(53,5,0,'0','0','0','0',0,'keine USt.',1,NULL,NULL),(54,5,5.5,'0','0','0','0',0,'USt. Forst',0,NULL,NULL),(55,5,10.7,'0','0','0','0',0,'USt. Landwirtschaft',0,NULL,NULL),(61,6,8,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(62,6,3.8,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(63,6,2.5,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(64,6,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(71,7,20,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(72,7,17.5,'0','0','0','0',0,'VAT standard rate before 2011',1,NULL,NULL),(73,7,5,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(74,7,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(91,9,17,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(92,9,13,'0','0','0','0',0,'VAT reduced rate 0',1,NULL,NULL),(93,9,3,'0','0','0','0',0,'VAT super reduced rate 0',1,NULL,NULL),(94,9,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(101,10,6,'1','4','0','0',0,'VAT 6%',1,NULL,NULL),(102,10,12,'1','4','0','0',0,'VAT 12%',1,NULL,NULL),(103,10,18,'1','4','0','0',0,'VAT 18%',1,NULL,NULL),(104,10,7.5,'1','4','0','0',0,'VAT 6% Majoré à 25% (7.5%)',1,NULL,NULL),(105,10,15,'1','4','0','0',0,'VAT 12% Majoré à 25% (15%)',1,NULL,NULL),(106,10,22.5,'1','4','0','0',0,'VAT 18% Majoré à 25% (22.5%)',1,NULL,NULL),(107,10,0,'1','4','0','0',0,'VAT Rate 0',1,NULL,NULL),(111,11,0,'0','0','0','0',0,'No Sales Tax',1,NULL,NULL),(112,11,4,'0','0','0','0',0,'Sales Tax 4%',1,NULL,NULL),(113,11,6,'0','0','0','0',0,'Sales Tax 6%',1,NULL,NULL),(121,12,20,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(122,12,14,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(123,12,10,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(124,12,7,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(125,12,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(141,14,7,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(142,14,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(143,14,5,'9.975','1','0','0',0,'TPS and TVQ rate',1,NULL,NULL),(171,17,19,'0','0','0','0',0,'Algemeen BTW tarief',1,NULL,NULL),(172,17,6,'0','0','0','0',0,'Verlaagd BTW tarief',1,NULL,NULL),(173,17,0,'0','0','0','0',0,'0 BTW tarief',1,NULL,NULL),(174,17,21,'0','0','0','0',0,'Algemeen BTW tarief (vanaf 1 oktober 2012)',0,NULL,NULL),(201,20,25,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(202,20,12,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(203,20,6,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(204,20,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(211,21,0,'0','0','0','0',0,'IVA Rate 0',1,NULL,NULL),(212,21,18,'7.5','2','0','0',0,'IVA standard rate',1,NULL,NULL),(231,23,21,'0','0','0','0',0,'IVA standard rate',1,NULL,NULL),(232,23,10.5,'0','0','0','0',0,'IVA reduced rate',1,NULL,NULL),(233,23,0,'0','0','0','0',0,'IVA Rate 0',1,NULL,NULL),(241,24,19.25,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(242,24,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(251,25,23,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(252,25,13,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(253,25,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(254,25,6,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(261,26,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(271,27,19.6,'0','0','0','0',0,'VAT standard rate (France hors DOM-TOM)',1,NULL,NULL),(272,27,8.5,'0','0','0','0',0,'VAT standard rate (DOM sauf Guyane et Saint-Martin)',0,NULL,NULL),(273,27,8.5,'0','0','0','0',1,'VAT standard rate (DOM sauf Guyane et Saint-Martin), non perçu par le vendeur mais récupérable par acheteur',0,NULL,NULL),(274,27,5.5,'0','0','0','0',0,'VAT reduced rate (France hors DOM-TOM)',0,NULL,NULL),(275,27,0,'0','0','0','0',0,'VAT Rate 0 ou non applicable',1,NULL,NULL),(276,27,2.1,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(277,27,7,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(281,28,10,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(282,28,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(411,41,20,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(412,41,10,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(413,41,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(461,46,0,'0','0','0','0',0,'No VAT',1,NULL,NULL),(462,46,15,'0','0','0','0',0,'VAT 15%',1,NULL,NULL),(463,46,7.5,'0','0','0','0',0,'VAT 7.5%',1,NULL,NULL),(561,56,0,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(591,59,20,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(592,59,7,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(593,59,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(671,67,19,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(672,67,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(801,80,25,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(802,80,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(861,86,13,'0','0','0','0',0,'IVA 13',1,NULL,NULL),(862,86,0,'0','0','0','0',0,'SIN IVA',1,NULL,NULL),(1141,114,0,'0','0','0','0',0,'No ISV',1,NULL,NULL),(1142,114,12,'0','0','0','0',0,'ISV 12%',1,NULL,NULL),(1161,116,25.5,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1162,116,7,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1163,116,0,'0','0','0','0',0,'VAT rate 0',1,NULL,NULL),(1171,117,12.5,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1172,117,4,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1173,117,1,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(1174,117,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1231,123,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1232,123,5,'0','0','0','0',0,'VAT Rate 5',1,NULL,NULL),(1401,140,15,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1402,140,12,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1403,140,6,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1404,140,3,'0','0','0','0',0,'VAT super-reduced rate',1,NULL,NULL),(1405,140,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1511,151,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1512,151,14,'0','0','0','0',0,'VAT Rate 14',1,NULL,NULL),(1521,152,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1522,152,15,'0','0','0','0',0,'VAT Rate 15',1,NULL,NULL),(1541,154,0,'0','0','0','0',0,'No VAT',1,NULL,NULL),(1542,154,16,'0','0','0','0',0,'VAT 16%',1,NULL,NULL),(1543,154,10,'0','0','0','0',0,'VAT Frontero',1,NULL,NULL),(1662,166,15,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1663,166,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1692,169,5,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1693,169,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1731,173,25,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1732,173,14,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1733,173,8,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1734,173,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1841,181,18,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1842,184,7,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1843,181,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1844,184,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1881,188,24,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(1882,188,9,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1883,188,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(1884,188,5,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(1931,193,0,'0','0','0','0',0,'No VAT in SPM',1,NULL,NULL),(2011,201,19,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(2012,201,10,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(2013,201,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(2021,202,22,'0','0','0','0',0,'VAT standard rate',1,NULL,NULL),(2022,202,9.5,'0','0','0','0',0,'VAT reduced rate',1,NULL,NULL),(2023,202,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(2051,205,0,'0','0','0','0',0,'No VAT',1,NULL,NULL),(2052,205,14,'0','0','0','0',0,'VAT 14%',1,NULL,NULL),(2131,213,5,NULL,'0',NULL,'0',0,'VAT 5%',1,NULL,NULL),(2261,226,20,'0','0','0','0',0,'VAT standart rate',1,NULL,NULL),(2262,226,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(2321,232,0,'0','0','0','0',0,'No VAT',1,NULL,NULL),(2322,232,12,'0','0','0','0',0,'VAT 12%',1,NULL,NULL),(2323,232,8,'0','0','0','0',0,'VAT 8%',1,NULL,NULL),(2461,246,0,'0','0','0','0',0,'VAT Rate 0',1,NULL,NULL),(2462,102,23,'0','0','0','0',0,'Κανονικός Φ.Π.Α.',1,NULL,NULL),(2463,102,0,'0','0','0','0',0,'Μηδενικό Φ.Π.Α.',1,NULL,NULL),(2464,102,13,'0','0','0','0',0,'Μειωμένος Φ.Π.Α.',1,NULL,NULL),(2465,102,6.5,'0','0','0','0',0,'Υπερμειωμένος Φ.Π.Α.',1,NULL,NULL),(2466,102,16,'0','0','0','0',0,'Νήσων κανονικός Φ.Π.Α.',1,NULL,NULL),(2467,102,9,'0','0','0','0',0,'Νήσων μειωμένος Φ.Π.Α.',1,NULL,NULL),(2468,102,5,'0','0','0','0',0,'Νήσων υπερμειωμένος Φ.Π.Α.',1,NULL,NULL);
/*!40000 ALTER TABLE `llx_c_tva` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_type_contact`
--

DROP TABLE IF EXISTS `llx_c_type_contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_type_contact` (
  `rowid` int(11) NOT NULL,
  `element` varchar(30) NOT NULL,
  `source` varchar(8) NOT NULL DEFAULT 'external',
  `code` varchar(32) NOT NULL,
  `libelle` varchar(64) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_type_contact_id` (`element`,`source`,`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_type_contact`
--

LOCK TABLES `llx_c_type_contact` WRITE;
/*!40000 ALTER TABLE `llx_c_type_contact` DISABLE KEYS */;
INSERT INTO `llx_c_type_contact` (`rowid`, `element`, `source`, `code`, `libelle`, `active`, `module`) VALUES (10,'contrat','internal','SALESREPSIGN','Commercial signataire du contrat',1,NULL),(11,'contrat','internal','SALESREPFOLL','Commercial suivi du contrat',1,NULL),(20,'contrat','external','BILLING','Contact client facturation contrat',1,NULL),(21,'contrat','external','CUSTOMER','Contact client suivi contrat',1,NULL),(22,'contrat','external','SALESREPSIGN','Contact client signataire contrat',1,NULL),(31,'propal','internal','SALESREPFOLL','Commercial à l\'origine de la propale',1,NULL),(40,'propal','external','BILLING','Contact client facturation propale',1,NULL),(41,'propal','external','CUSTOMER','Contact client suivi propale',1,NULL),(50,'facture','internal','SALESREPFOLL','Responsable suivi du paiement',1,NULL),(60,'facture','external','BILLING','Contact client facturation',1,NULL),(61,'facture','external','SHIPPING','Contact client livraison',1,NULL),(62,'facture','external','SERVICE','Contact client prestation',1,NULL),(70,'invoice_supplier','internal','SALESREPFOLL','Responsable suivi du paiement',1,NULL),(71,'invoice_supplier','external','BILLING','Contact fournisseur facturation',1,NULL),(72,'invoice_supplier','external','SHIPPING','Contact fournisseur livraison',1,NULL),(73,'invoice_supplier','external','SERVICE','Contact fournisseur prestation',1,NULL),(80,'agenda','internal','ACTOR','Responsable',1,NULL),(81,'agenda','internal','GUEST','Guest',1,NULL),(85,'agenda','external','ACTOR','Responsable',1,NULL),(86,'agenda','external','GUEST','Guest',1,NULL),(91,'commande','internal','SALESREPFOLL','Responsable suivi de la commande',1,NULL),(100,'commande','external','BILLING','Contact client facturation commande',1,NULL),(101,'commande','external','CUSTOMER','Contact client suivi commande',1,NULL),(102,'commande','external','SHIPPING','Contact client livraison commande',1,NULL),(120,'fichinter','internal','INTERREPFOLL','Responsable suivi de l\'intervention',1,NULL),(121,'fichinter','internal','INTERVENING','Intervenant',1,NULL),(130,'fichinter','external','BILLING','Contact client facturation intervention',1,NULL),(131,'fichinter','external','CUSTOMER','Contact client suivi de l\'intervention',1,NULL),(140,'order_supplier','internal','SALESREPFOLL','Responsable suivi de la commande',1,NULL),(141,'order_supplier','internal','SHIPPING','Responsable réception de la commande',1,NULL),(142,'order_supplier','external','BILLING','Contact fournisseur facturation commande',1,NULL),(143,'order_supplier','external','CUSTOMER','Contact fournisseur suivi commande',1,NULL),(145,'order_supplier','external','SHIPPING','Contact fournisseur livraison commande',1,NULL),(160,'project','internal','PROJECTLEADER','Chef de Projet',1,NULL),(161,'project','internal','PROJECTCONTRIBUTOR','Intervenant',1,NULL),(170,'project','external','PROJECTLEADER','Chef de Projet',1,NULL),(171,'project','external','PROJECTCONTRIBUTOR','Intervenant',1,NULL),(180,'project_task','internal','TASKEXECUTIVE','Responsable',1,NULL),(181,'project_task','internal','TASKCONTRIBUTOR','Intervenant',1,NULL),(190,'project_task','external','TASKEXECUTIVE','Responsable',1,NULL),(191,'project_task','external','TASKCONTRIBUTOR','Intervenant',1,NULL);
/*!40000 ALTER TABLE `llx_c_type_contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_type_fees`
--

DROP TABLE IF EXISTS `llx_c_type_fees`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_type_fees` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(12) NOT NULL,
  `label` varchar(30) DEFAULT NULL,
  `accountancy_code` varchar(32) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_c_type_fees` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_type_fees`
--

LOCK TABLES `llx_c_type_fees` WRITE;
/*!40000 ALTER TABLE `llx_c_type_fees` DISABLE KEYS */;
INSERT INTO `llx_c_type_fees` (`id`, `code`, `label`, `accountancy_code`, `active`, `module`) VALUES (1,'TF_OTHER','Other',NULL,1,NULL),(2,'TF_TRIP','Trip',NULL,1,NULL),(3,'TF_LUNCH','Lunch',NULL,1,NULL);
/*!40000 ALTER TABLE `llx_c_type_fees` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_type_resource`
--

DROP TABLE IF EXISTS `llx_c_type_resource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_type_resource` (
  `rowid` int(11) NOT NULL,
  `code` varchar(32) NOT NULL,
  `libelle` varchar(64) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_type_resource`
--

LOCK TABLES `llx_c_type_resource` WRITE;
/*!40000 ALTER TABLE `llx_c_type_resource` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_type_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_typent`
--

DROP TABLE IF EXISTS `llx_c_typent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_typent` (
  `id` int(11) NOT NULL,
  `code` varchar(12) NOT NULL,
  `libelle` varchar(30) DEFAULT NULL,
  `fk_country` int(11) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `module` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_c_typent` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_typent`
--

LOCK TABLES `llx_c_typent` WRITE;
/*!40000 ALTER TABLE `llx_c_typent` DISABLE KEYS */;
INSERT INTO `llx_c_typent` (`id`, `code`, `libelle`, `fk_country`, `active`, `module`) VALUES (0,'TE_UNKNOWN','-',NULL,1,NULL),(1,'TE_STARTUP','Start-up',NULL,0,NULL),(2,'TE_GROUP','Grand groupe',NULL,1,NULL),(3,'TE_MEDIUM','PME/PMI',NULL,1,NULL),(4,'TE_SMALL','TPE',NULL,1,NULL),(5,'TE_ADMIN','Administration',NULL,1,NULL),(6,'TE_WHOLE','Grossiste',NULL,0,NULL),(7,'TE_RETAIL','Revendeur',NULL,0,NULL),(8,'TE_PRIVATE','Particulier',NULL,1,NULL),(100,'TE_OTHER','Autres',NULL,1,NULL);
/*!40000 ALTER TABLE `llx_c_typent` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_ultimatepdf_line`
--

DROP TABLE IF EXISTS `llx_c_ultimatepdf_line`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_ultimatepdf_line` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `code` varchar(30) NOT NULL,
  `label` varchar(128) NOT NULL,
  `description` varchar(255) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_ultimatepdf_line` (`code`,`entity`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_ultimatepdf_line`
--

LOCK TABLES `llx_c_ultimatepdf_line` WRITE;
/*!40000 ALTER TABLE `llx_c_ultimatepdf_line` DISABLE KEYS */;
INSERT INTO `llx_c_ultimatepdf_line` (`rowid`, `entity`, `code`, `label`, `description`, `active`) VALUES (1,1,'TEXTE1','Garantie 2 ans pièces et main d\'œuvre, retour en atelier (Hors filtre et pièce d\'usure)','texte de garantie',1);
/*!40000 ALTER TABLE `llx_c_ultimatepdf_line` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_units`
--

DROP TABLE IF EXISTS `llx_c_units`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_units` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(3) DEFAULT NULL,
  `label` varchar(50) DEFAULT NULL,
  `short_label` varchar(5) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_c_units_code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_units`
--

LOCK TABLES `llx_c_units` WRITE;
/*!40000 ALTER TABLE `llx_c_units` DISABLE KEYS */;
INSERT INTO `llx_c_units` (`rowid`, `code`, `label`, `short_label`, `active`) VALUES (1,'P','piece','p',1),(2,'SET','set','se',1),(3,'S','second','s',1),(4,'H','hour','h',1),(5,'D','day','d',1),(6,'KG','kilogram','kg',1),(7,'G','gram','g',1),(8,'M','meter','m',1),(9,'LM','linear meter','lm',1),(10,'M2','square meter','m2',1),(11,'M3','cubic meter','m3',1),(12,'L','liter','l',1);
/*!40000 ALTER TABLE `llx_c_units` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_c_ziptown`
--

DROP TABLE IF EXISTS `llx_c_ziptown`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_c_ziptown` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(5) DEFAULT NULL,
  `fk_county` int(11) DEFAULT NULL,
  `fk_pays` int(11) NOT NULL DEFAULT '0',
  `zip` varchar(10) NOT NULL,
  `town` varchar(255) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_ziptown_fk_pays` (`zip`,`town`,`fk_pays`),
  KEY `idx_c_ziptown_fk_county` (`fk_county`),
  KEY `idx_c_ziptown_fk_pays` (`fk_pays`),
  KEY `idx_c_ziptown_zip` (`zip`),
  CONSTRAINT `fk_c_ziptown_fk_county` FOREIGN KEY (`fk_county`) REFERENCES `llx_c_departements` (`rowid`),
  CONSTRAINT `fk_c_ziptown_fk_pays` FOREIGN KEY (`fk_pays`) REFERENCES `llx_c_country` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_c_ziptown`
--

LOCK TABLES `llx_c_ziptown` WRITE;
/*!40000 ALTER TABLE `llx_c_ziptown` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_c_ziptown` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categorie`
--

DROP TABLE IF EXISTS `llx_categorie`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categorie` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_parent` int(11) NOT NULL DEFAULT '0',
  `label` varchar(255) NOT NULL,
  `type` tinyint(4) NOT NULL DEFAULT '1',
  `description` text,
  `fk_soc` int(11) DEFAULT NULL,
  `visible` tinyint(4) NOT NULL DEFAULT '1',
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_categorie_ref` (`entity`,`fk_parent`,`label`,`type`),
  KEY `idx_categorie_type` (`type`),
  KEY `idx_categorie_label` (`label`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categorie`
--

LOCK TABLES `llx_categorie` WRITE;
/*!40000 ALTER TABLE `llx_categorie` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categorie` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categorie_contact`
--

DROP TABLE IF EXISTS `llx_categorie_contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categorie_contact` (
  `fk_categorie` int(11) NOT NULL,
  `fk_socpeople` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`fk_categorie`,`fk_socpeople`),
  KEY `idx_categorie_contact_fk_categorie` (`fk_categorie`),
  KEY `idx_categorie_contact_fk_socpeople` (`fk_socpeople`),
  CONSTRAINT `fk_categorie_contact_categorie_rowid` FOREIGN KEY (`fk_categorie`) REFERENCES `llx_categorie` (`rowid`),
  CONSTRAINT `fk_categorie_contact_fk_socpeople` FOREIGN KEY (`fk_socpeople`) REFERENCES `llx_socpeople` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categorie_contact`
--

LOCK TABLES `llx_categorie_contact` WRITE;
/*!40000 ALTER TABLE `llx_categorie_contact` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categorie_contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categorie_fournisseur`
--

DROP TABLE IF EXISTS `llx_categorie_fournisseur`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categorie_fournisseur` (
  `fk_categorie` int(11) NOT NULL,
  `fk_soc` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`fk_categorie`,`fk_soc`),
  KEY `idx_categorie_fournisseur_fk_categorie` (`fk_categorie`),
  KEY `idx_categorie_fournisseur_fk_societe` (`fk_soc`),
  CONSTRAINT `fk_categorie_fournisseur_categorie_rowid` FOREIGN KEY (`fk_categorie`) REFERENCES `llx_categorie` (`rowid`),
  CONSTRAINT `fk_categorie_fournisseur_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categorie_fournisseur`
--

LOCK TABLES `llx_categorie_fournisseur` WRITE;
/*!40000 ALTER TABLE `llx_categorie_fournisseur` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categorie_fournisseur` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categorie_lang`
--

DROP TABLE IF EXISTS `llx_categorie_lang`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categorie_lang` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_category` int(11) NOT NULL DEFAULT '0',
  `lang` varchar(5) NOT NULL DEFAULT '0',
  `label` varchar(255) NOT NULL,
  `description` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_category_lang` (`fk_category`,`lang`),
  CONSTRAINT `fk_category_lang_fk_category` FOREIGN KEY (`fk_category`) REFERENCES `llx_categorie` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categorie_lang`
--

LOCK TABLES `llx_categorie_lang` WRITE;
/*!40000 ALTER TABLE `llx_categorie_lang` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categorie_lang` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categorie_member`
--

DROP TABLE IF EXISTS `llx_categorie_member`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categorie_member` (
  `fk_categorie` int(11) NOT NULL,
  `fk_member` int(11) NOT NULL,
  PRIMARY KEY (`fk_categorie`,`fk_member`),
  KEY `idx_categorie_member_fk_categorie` (`fk_categorie`),
  KEY `idx_categorie_member_fk_member` (`fk_member`),
  CONSTRAINT `fk_categorie_member_categorie_rowid` FOREIGN KEY (`fk_categorie`) REFERENCES `llx_categorie` (`rowid`),
  CONSTRAINT `fk_categorie_member_member_rowid` FOREIGN KEY (`fk_member`) REFERENCES `llx_adherent` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categorie_member`
--

LOCK TABLES `llx_categorie_member` WRITE;
/*!40000 ALTER TABLE `llx_categorie_member` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categorie_member` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categorie_product`
--

DROP TABLE IF EXISTS `llx_categorie_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categorie_product` (
  `fk_categorie` int(11) NOT NULL,
  `fk_product` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`fk_categorie`,`fk_product`),
  KEY `idx_categorie_product_fk_categorie` (`fk_categorie`),
  KEY `idx_categorie_product_fk_product` (`fk_product`),
  CONSTRAINT `fk_categorie_product_categorie_rowid` FOREIGN KEY (`fk_categorie`) REFERENCES `llx_categorie` (`rowid`),
  CONSTRAINT `fk_categorie_product_product_rowid` FOREIGN KEY (`fk_product`) REFERENCES `llx_product` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categorie_product`
--

LOCK TABLES `llx_categorie_product` WRITE;
/*!40000 ALTER TABLE `llx_categorie_product` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categorie_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categorie_societe`
--

DROP TABLE IF EXISTS `llx_categorie_societe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categorie_societe` (
  `fk_categorie` int(11) NOT NULL,
  `fk_soc` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`fk_categorie`,`fk_soc`),
  KEY `idx_categorie_societe_fk_categorie` (`fk_categorie`),
  KEY `idx_categorie_societe_fk_societe` (`fk_soc`),
  CONSTRAINT `fk_categorie_societe_categorie_rowid` FOREIGN KEY (`fk_categorie`) REFERENCES `llx_categorie` (`rowid`),
  CONSTRAINT `fk_categorie_societe_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categorie_societe`
--

LOCK TABLES `llx_categorie_societe` WRITE;
/*!40000 ALTER TABLE `llx_categorie_societe` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categorie_societe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_categories_extrafields`
--

DROP TABLE IF EXISTS `llx_categories_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_categories_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_categories_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_categories_extrafields`
--

LOCK TABLES `llx_categories_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_categories_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_categories_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_chargesociales`
--

DROP TABLE IF EXISTS `llx_chargesociales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_chargesociales` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `date_ech` datetime NOT NULL,
  `libelle` varchar(80) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_creation` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `fk_type` int(11) NOT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `paye` smallint(6) NOT NULL DEFAULT '0',
  `periode` date DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_chargesociales`
--

LOCK TABLES `llx_chargesociales` WRITE;
/*!40000 ALTER TABLE `llx_chargesociales` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_chargesociales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande`
--

DROP TABLE IF EXISTS `llx_commande`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_int` varchar(255) DEFAULT NULL,
  `ref_client` varchar(255) DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_creation` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_cloture` datetime DEFAULT NULL,
  `date_commande` date DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_cloture` int(11) DEFAULT NULL,
  `source` smallint(6) DEFAULT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `amount_ht` double DEFAULT '0',
  `remise_percent` double DEFAULT '0',
  `remise_absolue` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `facture` tinyint(4) DEFAULT '0',
  `fk_account` int(11) DEFAULT NULL,
  `fk_currency` varchar(3) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `date_livraison` date DEFAULT NULL,
  `fk_shipping_method` int(11) DEFAULT NULL,
  `fk_availability` int(11) DEFAULT NULL,
  `fk_input_reason` int(11) DEFAULT NULL,
  `fk_delivery_address` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_commande_ref` (`ref`,`entity`),
  KEY `idx_commande_fk_soc` (`fk_soc`),
  KEY `idx_commande_fk_user_author` (`fk_user_author`),
  KEY `idx_commande_fk_user_valid` (`fk_user_valid`),
  KEY `idx_commande_fk_user_cloture` (`fk_user_cloture`),
  KEY `idx_commande_fk_projet` (`fk_projet`),
  KEY `idx_commande_fk_account` (`fk_account`),
  KEY `idx_commande_fk_currency` (`fk_currency`),
  CONSTRAINT `fk_commande_fk_projet` FOREIGN KEY (`fk_projet`) REFERENCES `llx_projet` (`rowid`),
  CONSTRAINT `fk_commande_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_commande_fk_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_commande_fk_user_cloture` FOREIGN KEY (`fk_user_cloture`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_commande_fk_user_valid` FOREIGN KEY (`fk_user_valid`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande`
--

LOCK TABLES `llx_commande` WRITE;
/*!40000 ALTER TABLE `llx_commande` DISABLE KEYS */;
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `import_key`, `extraparams`, `fk_incoterms`, `location_incoterms`) VALUES (1,'CC1511-0001',1,NULL,NULL,'Convention de recrutement 2015-11',5,NULL,'2016-01-18 19:17:00','2016-01-15 14:14:19','2016-01-18 20:17:00',NULL,'2015-11-18',4,NULL,1,NULL,NULL,1,0,0,NULL,0,600.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,'','','einstein',0,NULL,NULL,2,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(2,'CC1510-0001',1,NULL,NULL,'PA1509-001',5,NULL,'2016-06-24 13:02:17','2016-01-15 14:25:54','2016-01-29 14:15:30',NULL,'2015-10-01',4,NULL,4,NULL,NULL,1,0,0,NULL,0,6720.00000000,0.00000000,0.00000000,33600.00000000,40320.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,0,NULL,NULL,NULL,NULL,0,''),(3,'CC1601-0003',1,NULL,NULL,'PA16001-001',5,NULL,'2016-06-24 13:02:17','2016-01-15 14:45:19','2016-01-29 14:20:41',NULL,'2016-01-04',4,NULL,4,NULL,NULL,1,0,0,NULL,0,0.00000000,0.00000000,0.00000000,16800.00000000,16800.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(4,'CC1601-0002',1,NULL,NULL,'PA16001-002 ISO 9001',5,NULL,'2016-06-24 13:02:17','2016-01-15 14:46:32','2016-01-29 14:07:21',NULL,'2016-01-05',4,NULL,4,NULL,NULL,1,0,0,NULL,0,3360.00000000,0.00000000,0.00000000,16800.00000000,20160.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(5,'CC1601-0001',1,NULL,NULL,'DI 1511169516',2,NULL,'2016-06-24 12:56:26','2016-01-29 13:29:15','2016-01-29 15:46:38',NULL,'2016-01-29',4,NULL,4,NULL,NULL,1,0,0,NULL,0,3440.00000000,0.00000000,0.00000000,17200.00000000,20640.00000000,'','','einstein',1,NULL,NULL,2,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(6,'(PROV6)',1,NULL,NULL,'na',1,NULL,'2016-02-19 11:01:04','2016-02-19 12:01:04',NULL,NULL,'2016-02-19',1,NULL,NULL,NULL,NULL,0,0,0,NULL,0,812.00000000,0.00000000,0.00000000,4060.00000000,4872.00000000,'','','',0,NULL,NULL,1,2,NULL,NULL,4,8,NULL,NULL,NULL,0,''),(7,'CC1603-0001',1,NULL,NULL,NULL,5,NULL,'2016-03-04 17:51:57','2016-03-04 18:46:27','2016-03-04 18:51:57',NULL,'2016-03-14',4,NULL,4,NULL,NULL,1,0,0,NULL,0,3584.00000000,0.00000000,0.00000000,17920.00000000,21504.00000000,'','','einstein',0,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(8,'CC1603-0003',1,NULL,NULL,'CDC prestation recrutements ',5,NULL,'2016-06-24 13:20:34','2016-03-29 21:12:09','2016-04-10 18:23:52',NULL,'2016-03-29',4,NULL,4,NULL,NULL,1,0,0,NULL,0,3276.00000000,0.00000000,0.00000000,16380.00000000,19656.00000000,'','Aide &agrave; l&#39;organisation du recrutement','',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(9,'CC1603-0002',1,NULL,NULL,'Chargée de recrutement',5,NULL,'2016-03-29 19:14:45','2016-03-29 21:14:30','2016-03-29 21:14:45',NULL,'2016-03-29',4,NULL,4,NULL,NULL,1,0,0,NULL,0,1120.00000000,0.00000000,0.00000000,5600.00000000,6720.00000000,'','Aide &agrave; l&#39;organisation du recrutement','einstein',0,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(10,'CC1604-0001',1,NULL,NULL,'Admin Stéphanie',5,NULL,'2016-06-24 13:23:15','2016-05-12 16:05:01','2016-05-12 16:06:28',NULL,'2016-04-30',4,NULL,4,NULL,NULL,1,0,0,NULL,0,260.00000000,0.00000000,0.00000000,1300.00000000,1560.00000000,'','','einstein',1,NULL,NULL,9,2,'2016-04-30',NULL,NULL,NULL,NULL,NULL,NULL,0,''),(11,'(PROV11)',1,NULL,NULL,'Consultant gestion',5,NULL,'2016-05-27 14:35:06','2016-05-27 16:35:06',NULL,NULL,'2016-05-27',4,NULL,NULL,NULL,NULL,0,0,0,NULL,0,3416.00000000,0.00000000,0.00000000,17080.00000000,20496.00000000,'','','',0,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(12,'CC1605-0001',1,NULL,NULL,'Consultant gestion',5,NULL,'2016-05-27 14:36:37','2016-05-27 16:36:20','2016-05-27 16:36:37',NULL,'2016-05-27',4,NULL,4,NULL,NULL,1,0,0,NULL,0,3416.00000000,0.00000000,0.00000000,17080.00000000,20496.00000000,'','','einstein',0,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(13,'CC1604-0002',1,NULL,NULL,'CDC presta sécurité',5,NULL,'2016-06-21 12:17:15','2016-05-27 16:49:20','2016-05-27 16:50:54',NULL,'2016-04-01',4,NULL,4,NULL,NULL,1,0,0,NULL,0,9482.00000000,0.00000000,0.00000000,47410.00000000,56892.00000000,'','','einstein',1,NULL,NULL,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(14,'CC1604-0003',1,NULL,NULL,'CDC équipe admin mp_C_v2',5,NULL,'2016-07-29 12:22:21','2016-05-27 16:57:01','2016-05-27 16:58:23',NULL,'2016-04-01',4,NULL,4,NULL,NULL,1,0,0,NULL,0,1092.00000000,0.00000000,0.00000000,5460.00000000,6552.00000000,'','','einstein',1,NULL,NULL,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(15,'CC1604-0004',1,NULL,NULL,'CDC équipe admin C_V2',5,NULL,'2016-07-29 12:22:21','2016-05-27 17:02:16','2016-05-27 17:05:29',NULL,'2016-04-01',4,NULL,4,NULL,NULL,1,0,0,NULL,0,4704.00000000,0.00000000,0.00000000,23520.00000000,28224.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(16,'CC1604-0005',1,NULL,NULL,'CDC prestation d\'étude domaine admin : chef de mission',5,NULL,'2016-07-29 12:22:21','2016-05-27 17:09:16','2016-05-27 17:15:13',NULL,'2016-04-01',4,NULL,4,NULL,NULL,1,0,0,NULL,0,9480.00000000,0.00000000,0.00000000,47400.00000000,56880.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(17,'CC1605-0002',1,NULL,NULL,'Contrat de mission 201-602-01',7,NULL,'2016-07-01 09:38:58','2016-05-30 10:18:52','2016-05-30 10:21:13',NULL,'2016-05-09',4,NULL,4,NULL,NULL,1,0,0,NULL,0,1300.00000000,0.00000000,0.00000000,6500.00000000,7800.00000000,'','','einstein',1,NULL,NULL,2,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(18,'CC1607-0001',1,NULL,NULL,'BPA-1607-001',5,NULL,'2016-07-12 07:27:02','2016-07-12 09:25:38','2016-07-12 09:27:02',NULL,'2016-07-12',4,NULL,4,NULL,NULL,1,0,0,NULL,0,2030.00000000,0.00000000,0.00000000,10150.00000000,12180.00000000,'','','einstein',0,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(20,'CC1611-0001',1,NULL,NULL,'BPA-1611-01',5,NULL,'2016-11-18 14:38:35','2016-11-18 15:38:02','2016-11-18 15:38:34',NULL,'2016-11-18',4,NULL,4,NULL,NULL,1,0,0,NULL,0,52.00000000,0.00000000,0.00000000,260.00000000,312.00000000,'','','einstein',0,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(21,'CC1611-0002',1,NULL,NULL,'PA1611-002',8,NULL,'2017-03-03 14:38:07','2016-11-18 15:39:04','2016-11-18 15:40:45',NULL,'2016-11-18',4,NULL,4,NULL,NULL,1,0,0,NULL,0,15000.00000000,0.00000000,0.00000000,75000.00000000,90000.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(22,'CC1601-0004',1,NULL,NULL,'DI161206 2259',2,NULL,'2017-03-03 14:40:51','2016-12-07 15:03:40','2016-12-07 15:05:22',NULL,'2016-01-29',4,NULL,4,NULL,NULL,1,0,0,NULL,0,2800.00000000,0.00000000,0.00000000,14000.00000000,16800.00000000,'','','einstein',1,NULL,NULL,2,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(23,'CC1701-0001',1,NULL,NULL,'PA1701-001',5,NULL,'2017-05-18 08:51:08','2017-01-26 13:45:22','2017-01-26 13:47:26',NULL,'2017-01-31',4,NULL,4,NULL,NULL,1,0,0,NULL,0,1276.00000000,0.00000000,0.00000000,6380.00000000,7656.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(24,'CC1701-0002',1,NULL,NULL,'PA1701-002',5,NULL,'2017-03-15 07:57:12','2017-01-26 13:48:59','2017-01-26 13:52:23',NULL,'2017-01-31',4,NULL,4,NULL,NULL,1,0,0,NULL,0,2020.00000000,0.00000000,0.00000000,10100.00000000,12120.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(25,'CC1704-0001',1,NULL,NULL,'PA1703-003',8,NULL,'2017-06-16 08:25:43','2017-04-26 15:44:23','2017-04-26 15:48:04',NULL,'2017-04-18',4,NULL,4,NULL,NULL,1,0,0,NULL,0,17432.00000000,0.00000000,0.00000000,87160.00000000,104592.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(26,'CC1704-0002',1,NULL,NULL,'Galien',8,NULL,'2017-06-16 08:25:43','2017-04-26 15:49:19','2017-05-02 16:09:28',NULL,'2017-04-18',4,NULL,4,NULL,NULL,1,0,0,NULL,0,5728.00000000,0.00000000,0.00000000,28640.00000000,34368.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(27,'CC1704-0003',1,NULL,NULL,'Quinoa',9,NULL,'2017-07-25 06:49:14','2017-04-26 15:55:55','2017-04-26 15:57:16',NULL,'2017-04-26',4,NULL,4,NULL,NULL,1,0,0,NULL,0,2560.20000000,0.00000000,0.00000000,12801.00000000,15361.20000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(28,'CC1704-0004',1,NULL,NULL,'Holweg',9,NULL,'2017-07-25 06:49:14','2017-04-26 15:57:28','2017-06-02 10:31:29',NULL,'2017-04-26',4,NULL,4,NULL,NULL,1,0,0,NULL,0,4000.20000000,0.00000000,0.00000000,20001.00000000,24001.20000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(29,'CC1704-0005',1,NULL,NULL,'Dalloyau',9,NULL,'2017-07-25 06:49:14','2017-04-26 15:58:33','2017-04-26 15:59:09',NULL,'2017-04-26',4,NULL,4,NULL,NULL,1,0,0,NULL,0,1920.20000000,0.00000000,0.00000000,9601.00000000,11521.20000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(30,'CC1704-0006',1,NULL,NULL,'PA1704-001',10,NULL,'2017-07-07 07:54:02','2017-04-26 16:18:25','2017-04-26 16:20:18',NULL,'2017-04-26',4,NULL,4,NULL,NULL,1,0,0,NULL,0,646.00000000,0.00000000,0.00000000,3230.00000000,3876.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(31,'CC1705-0001',1,NULL,NULL,'Profils',12,NULL,'2017-09-29 12:59:42','2017-06-02 11:27:42','2017-06-02 11:29:27',NULL,'2017-05-31',4,NULL,4,NULL,NULL,1,0,0,NULL,0,260.00000000,0.00000000,0.00000000,1300.00000000,1560.00000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(32,'CC1706-0001',1,NULL,NULL,'528041 IHFB',9,NULL,'2017-09-29 13:08:16','2017-06-23 11:40:52','2017-06-23 11:43:43',NULL,'2017-06-23',4,NULL,4,NULL,NULL,1,0,0,NULL,0,1600.20000000,0.00000000,0.00000000,8001.00000000,9601.20000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,''),(33,'CC1706-0002',1,NULL,NULL,'DURALEX',9,NULL,'2017-09-29 13:08:16','2017-06-23 11:43:54','2017-06-23 11:48:45',NULL,'2017-06-23',4,NULL,4,NULL,NULL,1,0,0,NULL,0,1920.20000000,0.00000000,0.00000000,9601.00000000,11521.20000000,'','','einstein',1,NULL,NULL,9,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,'');
/*!40000 ALTER TABLE `llx_commande` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande_extrafields`
--

DROP TABLE IF EXISTS `llx_commande_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `newline` text,
  PRIMARY KEY (`rowid`),
  KEY `idx_commande_extrafields` (`fk_object`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande_extrafields`
--

LOCK TABLES `llx_commande_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_commande_extrafields` DISABLE KEYS */;
INSERT INTO `llx_commande_extrafields` (`rowid`, `tms`, `fk_object`, `import_key`, `newline`) VALUES (1,'2016-01-15 13:14:19',1,NULL,'0'),(2,'2016-01-15 13:25:54',2,NULL,'0'),(3,'2016-01-15 13:45:19',3,NULL,'0'),(4,'2016-01-15 13:46:32',4,NULL,'0'),(5,'2016-01-29 12:29:15',5,NULL,'0'),(6,'2016-02-19 11:01:04',6,NULL,'0'),(7,'2016-03-04 17:46:27',7,NULL,'0'),(8,'2016-03-29 19:12:09',8,NULL,'0'),(9,'2016-03-29 19:14:30',9,NULL,'0'),(10,'2016-05-12 14:05:02',10,NULL,'0'),(11,'2016-05-27 14:35:06',11,NULL,'0'),(12,'2016-05-27 14:36:20',12,NULL,'0'),(13,'2016-05-27 14:49:20',13,NULL,'0'),(14,'2016-05-27 14:57:01',14,NULL,'0'),(15,'2016-05-27 15:02:16',15,NULL,'0'),(16,'2016-05-27 15:09:16',16,NULL,'0'),(17,'2016-05-30 08:18:52',17,NULL,'0'),(18,'2016-07-12 07:25:38',18,NULL,'0'),(20,'2016-11-18 14:38:02',20,NULL,'0'),(21,'2016-11-18 14:39:04',21,NULL,'0'),(22,'2016-12-07 14:03:40',22,NULL,'0'),(23,'2017-01-26 12:45:22',23,NULL,'0'),(24,'2017-01-26 12:48:59',24,NULL,'0'),(25,'2017-04-26 13:44:23',25,NULL,'0'),(26,'2017-04-26 13:49:19',26,NULL,'0'),(27,'2017-04-26 13:55:55',27,NULL,'0'),(28,'2017-04-26 13:57:28',28,NULL,'0'),(29,'2017-04-26 13:58:33',29,NULL,'0'),(30,'2017-04-26 14:18:25',30,NULL,'0'),(31,'2017-06-02 09:27:42',31,NULL,'0'),(32,'2017-06-23 09:40:52',32,NULL,'0'),(33,'2017-06-23 09:43:54',33,NULL,'0');
/*!40000 ALTER TABLE `llx_commande_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande_fournisseur`
--

DROP TABLE IF EXISTS `llx_commande_fournisseur`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande_fournisseur` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(255) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_supplier` varchar(255) DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT '0',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_creation` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_approve` datetime DEFAULT NULL,
  `date_approve2` datetime DEFAULT NULL,
  `date_commande` date DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_approve` int(11) DEFAULT NULL,
  `fk_user_approve2` int(11) DEFAULT NULL,
  `source` smallint(6) NOT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `amount_ht` double DEFAULT '0',
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `date_livraison` datetime DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `fk_input_method` int(11) DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_commande_fournisseur_ref` (`ref`,`fk_soc`,`entity`),
  KEY `idx_commande_fournisseur_fk_soc` (`fk_soc`),
  CONSTRAINT `fk_commande_fournisseur_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande_fournisseur`
--

LOCK TABLES `llx_commande_fournisseur` WRITE;
/*!40000 ALTER TABLE `llx_commande_fournisseur` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_commande_fournisseur` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande_fournisseur_dispatch`
--

DROP TABLE IF EXISTS `llx_commande_fournisseur_dispatch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande_fournisseur_dispatch` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_commande` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `fk_commandefourndet` int(11) NOT NULL DEFAULT '0',
  `qty` float DEFAULT NULL,
  `fk_entrepot` int(11) DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `batch` varchar(30) DEFAULT NULL,
  `eatby` date DEFAULT NULL,
  `sellby` date DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_commande_fournisseur_dispatch_fk_commande` (`fk_commande`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande_fournisseur_dispatch`
--

LOCK TABLES `llx_commande_fournisseur_dispatch` WRITE;
/*!40000 ALTER TABLE `llx_commande_fournisseur_dispatch` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_commande_fournisseur_dispatch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande_fournisseur_extrafields`
--

DROP TABLE IF EXISTS `llx_commande_fournisseur_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande_fournisseur_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_commande_fournisseur_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande_fournisseur_extrafields`
--

LOCK TABLES `llx_commande_fournisseur_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_commande_fournisseur_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_commande_fournisseur_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande_fournisseur_log`
--

DROP TABLE IF EXISTS `llx_commande_fournisseur_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande_fournisseur_log` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datelog` datetime NOT NULL,
  `fk_commande` int(11) NOT NULL,
  `fk_statut` smallint(6) NOT NULL,
  `fk_user` int(11) NOT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande_fournisseur_log`
--

LOCK TABLES `llx_commande_fournisseur_log` WRITE;
/*!40000 ALTER TABLE `llx_commande_fournisseur_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_commande_fournisseur_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande_fournisseurdet`
--

DROP TABLE IF EXISTS `llx_commande_fournisseurdet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande_fournisseurdet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_commande` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `ref` varchar(50) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `tva_tx` double(6,3) DEFAULT '0.000',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `subprice` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `product_type` int(11) DEFAULT '0',
  `date_start` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `special_code` int(11) DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `fk_commande_fournisseurdet_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_commande_fournisseurdet_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande_fournisseurdet`
--

LOCK TABLES `llx_commande_fournisseurdet` WRITE;
/*!40000 ALTER TABLE `llx_commande_fournisseurdet` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_commande_fournisseurdet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commande_fournisseurdet_extrafields`
--

DROP TABLE IF EXISTS `llx_commande_fournisseurdet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commande_fournisseurdet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_commande_fournisseurdet_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commande_fournisseurdet_extrafields`
--

LOCK TABLES `llx_commande_fournisseurdet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_commande_fournisseurdet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_commande_fournisseurdet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commandedet`
--

DROP TABLE IF EXISTS `llx_commandedet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commandedet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_commande` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `tva_tx` double(6,3) DEFAULT NULL,
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `fk_remise_except` int(11) DEFAULT NULL,
  `price` double DEFAULT NULL,
  `subprice` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `product_type` int(11) DEFAULT '0',
  `date_start` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `buy_price_ht` double(24,8) DEFAULT '0.00000000',
  `fk_product_fournisseur_price` int(11) DEFAULT NULL,
  `special_code` int(10) unsigned DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_commandedet_fk_commande` (`fk_commande`),
  KEY `idx_commandedet_fk_product` (`fk_product`),
  KEY `fk_commandedet_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_commandedet_fk_commande` FOREIGN KEY (`fk_commande`) REFERENCES `llx_commande` (`rowid`),
  CONSTRAINT `fk_commandedet_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commandedet`
--

LOCK TABLES `llx_commandedet` WRITE;
/*!40000 ALTER TABLE `llx_commandedet` DISABLE KEYS */;
INSERT INTO `llx_commandedet` (`rowid`, `fk_commande`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `price`, `subprice`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `special_code`, `rang`, `import_key`, `fk_unit`) VALUES (1,1,NULL,NULL,NULL,'Recrutements',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000,3000.00000000,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(2,2,NULL,4,NULL,'Prestations administratives',20.000,0.000,'0',0.000,'0',120,0,0,NULL,280,280.00000000,33600.00000000,6720.00000000,0.00000000,0.00000000,40320.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(3,3,NULL,4,NULL,'Prestation d&rsquo;&eacute;tudes dans le domaine administratif',0.000,0.000,'0',0.000,'0',60,0,0,NULL,280,280.00000000,16800.00000000,0.00000000,0.00000000,0.00000000,16800.00000000,1,NULL,NULL,0,280.00000000,NULL,0,1,NULL,NULL),(6,4,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes dans la r&eacute;alisation &agrave; la certification ISO 9001',20.000,0.000,'0',0.000,'0',60,0,0,NULL,280,280.00000000,16800.00000000,3360.00000000,0.00000000,0.00000000,20160.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(7,5,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',20,0,0,NULL,860,860.00000000,17200.00000000,3440.00000000,0.00000000,0.00000000,20640.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(8,6,NULL,1,NULL,'Assistance à la conduite de projet\r\nAssistance au cadrage du besoin et à l\'installation de la solution ERP retenue',20.000,0.000,'0',0.000,'0',7,0,0,NULL,580,580.00000000,4060.00000000,812.00000000,0.00000000,0.00000000,4872.00000000,1,NULL,NULL,0,400.00000000,NULL,0,1,NULL,NULL),(9,7,NULL,NULL,NULL,'Prestations de recrutement Mars 2016',20.000,0.000,'0',0.000,'0',13,0,0,NULL,280,280.00000000,3640.00000000,728.00000000,0.00000000,0.00000000,4368.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(10,7,NULL,NULL,NULL,'Prestations de recrutements Avril 2016',20.000,0.000,'0',0.000,'0',21,0,0,NULL,280,280.00000000,5880.00000000,1176.00000000,0.00000000,0.00000000,7056.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(11,7,NULL,NULL,NULL,'Prestations de recrutements Mai 2016',20.000,0.000,'0',0.000,'0',20,0,0,NULL,280,280.00000000,5600.00000000,1120.00000000,0.00000000,0.00000000,6720.00000000,1,NULL,NULL,0,0.00000000,NULL,0,3,NULL,NULL),(12,7,NULL,NULL,NULL,'Prestations de recrutements Juin 2016',20.000,0.000,'0',0.000,'0',10,0,0,NULL,280,280.00000000,2800.00000000,560.00000000,0.00000000,0.00000000,3360.00000000,1,NULL,NULL,0,0.00000000,NULL,0,4,NULL,NULL),(13,8,NULL,NULL,NULL,'Prestation recrutement mars 2016 &agrave; juin 2016',20.000,0.000,'0',0.000,'0',1,0,0,NULL,16380,16380.00000000,16380.00000000,3276.00000000,0.00000000,0.00000000,19656.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(14,9,NULL,NULL,NULL,'Aide au recrutement',20.000,0.000,'0',0.000,'0',20,0,0,NULL,280,280.00000000,5600.00000000,1120.00000000,0.00000000,0.00000000,6720.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(15,10,NULL,NULL,NULL,'Prestation administrative - Avril 2016 (10 jours dont 5 pris en charge par NEXiiUM)',20.000,0.000,'0',0.000,'0',5,0,0,NULL,260,260.00000000,1300.00000000,260.00000000,0.00000000,0.00000000,1560.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(16,11,NULL,NULL,NULL,'Etude, mise en place des outils et des tableaux de bords de gestion',20.000,0.000,'0',0.000,'0',61,0,0,NULL,280,280.00000000,17080.00000000,3416.00000000,0.00000000,0.00000000,20496.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(17,12,NULL,NULL,NULL,'Etude, mise en place des outils et des tableaux de bords de gestion',20.000,0.000,'0',0.000,'0',61,0,0,NULL,280,280.00000000,17080.00000000,3416.00000000,0.00000000,0.00000000,20496.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(18,13,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI',20.000,0.000,'0',0.000,'0',1,0,0,NULL,47410,47410.00000000,47410.00000000,9482.00000000,0.00000000,0.00000000,56892.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(19,14,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5460,5460.00000000,5460.00000000,1092.00000000,0.00000000,0.00000000,6552.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(20,15,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif',20.000,0.000,'0',0.000,'0',1,0,0,NULL,23520,23520.00000000,23520.00000000,4704.00000000,0.00000000,0.00000000,28224.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(21,16,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif : Chef de Mission',20.000,0.000,'0',0.000,'0',1,0,0,NULL,47400,47400.00000000,47400.00000000,9480.00000000,0.00000000,0.00000000,56880.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(22,17,NULL,NULL,NULL,'Prestation de recrutement - consultant Syst&egrave;me d&#39;Information Laboratoires et Qualit&eacute;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,6500,6500.00000000,6500.00000000,1300.00000000,0.00000000,0.00000000,7800.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(23,18,NULL,NULL,NULL,'Prestations s&eacute;curit&eacute;',20.000,0.000,'0',0.000,'0',35,0,0,NULL,290,290.00000000,10150.00000000,2030.00000000,0.00000000,0.00000000,12180.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(26,20,NULL,NULL,NULL,'GUIOT',20.000,0.000,'0',0.000,'0',1,0,0,NULL,260,260.00000000,260.00000000,52.00000000,0.00000000,0.00000000,312.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(27,21,NULL,NULL,NULL,'Prise en main environnement',20.000,0.000,'0',0.000,'0',20,0,0,NULL,400,400.00000000,8000.00000000,1600.00000000,0.00000000,0.00000000,9600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(28,21,NULL,NULL,NULL,'Prestation d&rsquo;assistance et support sur la solution LSM et de l&rsquo;environnement technique li&eacute;',20.000,0.000,'0',0.000,'0',134,0,0,NULL,500,500.00000000,67000.00000000,13400.00000000,0.00000000,0.00000000,80400.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(29,22,NULL,NULL,NULL,'Support M3 - DAF',20.000,0.000,'0',0.000,'0',20,0,0,NULL,700,700.00000000,14000.00000000,2800.00000000,0.00000000,0.00000000,16800.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(30,23,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;)',20.000,0.000,'0',0.000,'0',22,0,0,NULL,290,290.00000000,6380.00000000,1276.00000000,0.00000000,0.00000000,7656.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(31,24,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC',20.000,0.000,'0',0.000,'0',20,0,0,NULL,265,265.00000000,5300.00000000,1060.00000000,0.00000000,0.00000000,6360.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(32,24,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT',20.000,0.000,'0',0.000,'0',20,0,0,NULL,240,240.00000000,4800.00000000,960.00000000,0.00000000,0.00000000,5760.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(33,25,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute;',20.000,0.000,'0',0.000,'0',220,0,0,NULL,380,380.00000000,83600.00000000,16720.00000000,0.00000000,0.00000000,100320.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(34,25,NULL,NULL,NULL,'Frais de d&eacute;placement DARDILY : 45&euro; HT/ jour sur site + frais de d&eacute;placement factur&eacute;s en sus sur la base de frais r&eacute;els sur justificatifs',20.000,0.000,'0',0.000,'0',60,0,0,NULL,45,45.00000000,2700.00000000,540.00000000,0.00000000,0.00000000,3240.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(35,25,NULL,NULL,NULL,'Montant des astreintes en compl&eacute;ment&nbsp;: forfait de 860&euro; HT par semaine d&rsquo;astreinte<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,860,860.00000000,860.00000000,172.00000000,0.00000000,0.00000000,1032.00000000,1,NULL,NULL,0,0.00000000,NULL,0,3,NULL,NULL),(36,26,NULL,NULL,NULL,'Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS',20.000,0.000,'0',0.000,'0',35,0,0,NULL,800,800.00000000,28000.00000000,5600.00000000,0.00000000,0.00000000,33600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(37,26,NULL,NULL,NULL,'Forfait journalier de frais&nbsp;: forfait vie&nbsp; 130 &euro; /j d&eacute;placement',20.000,0.000,'0',0.000,'0',1,0,0,NULL,130,130.00000000,130.00000000,26.00000000,0.00000000,0.00000000,156.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(38,26,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; AUXERRE et NEVERS et 280 &euro; pour SENS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230,230.00000000,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,1,NULL,NULL,0,0.00000000,NULL,0,3,NULL,NULL),(39,26,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; SENS',20.000,0.000,'0',0.000,'0',1,0,0,NULL,280,280.00000000,280.00000000,56.00000000,0.00000000,0.00000000,336.00000000,1,NULL,NULL,0,0.00000000,NULL,0,4,NULL,NULL),(40,27,NULL,NULL,NULL,'Direction de projet',20.000,0.000,'0',0.000,'0',16,0,0,NULL,800,800.00000000,12800.00000000,2560.00000000,0.00000000,0.00000000,15360.00000000,0,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(41,27,NULL,NULL,NULL,'Frais',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1,1.00000000,1.00000000,0.20000000,0.00000000,0.00000000,1.20000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(42,28,NULL,NULL,NULL,'Direction de projet',20.000,0.000,'0',0.000,'0',25,0,0,NULL,800,800.00000000,20000.00000000,4000.00000000,0.00000000,0.00000000,24000.00000000,0,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(43,28,NULL,NULL,NULL,'Frais',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1,1.00000000,1.00000000,0.20000000,0.00000000,0.00000000,1.20000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(44,29,NULL,NULL,NULL,'Direction de projet',20.000,0.000,'0',0.000,'0',12,0,0,NULL,800,800.00000000,9600.00000000,1920.00000000,0.00000000,0.00000000,11520.00000000,0,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(45,29,NULL,NULL,NULL,'Frais',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1,1.00000000,1.00000000,0.20000000,0.00000000,0.00000000,1.20000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(46,30,NULL,NULL,NULL,'Prestation d&rsquo;accompagnement strat&eacute;gique DSI/DG',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,1100,1100.00000000,2750.00000000,550.00000000,0.00000000,0.00000000,3300.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(47,30,NULL,NULL,NULL,'Forfait journalier de d&eacute;placement',20.000,0.000,'0',0.000,'0',1,0,0,NULL,480,480.00000000,480.00000000,96.00000000,0.00000000,0.00000000,576.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(48,31,NULL,NULL,NULL,'Pr&eacute;sentation candidat qualifi&eacute;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1000,1000.00000000,1000.00000000,200.00000000,0.00000000,0.00000000,1200.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(49,31,NULL,NULL,NULL,'Pr&eacute;sentation candidat bref',20.000,0.000,'0',0.000,'0',1,0,0,NULL,300,300.00000000,300.00000000,60.00000000,0.00000000,0.00000000,360.00000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(50,32,NULL,NULL,NULL,'Direction de projet',20.000,0.000,'0',0.000,'0',10,0,0,NULL,800,800.00000000,8000.00000000,1600.00000000,0.00000000,0.00000000,9600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(51,32,NULL,NULL,NULL,'Forfait de d&eacute;placement - Levallois Perret',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1,1.00000000,1.00000000,0.20000000,0.00000000,0.00000000,1.20000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL),(52,33,NULL,NULL,NULL,'Direction de projet',20.000,0.000,'0',0.000,'0',12,0,0,NULL,800,800.00000000,9600.00000000,1920.00000000,0.00000000,0.00000000,11520.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL,NULL),(53,33,NULL,NULL,NULL,'Forfait de d&eacute;placement - La Chapelle St Mesmin',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1,1.00000000,1.00000000,0.20000000,0.00000000,0.00000000,1.20000000,1,NULL,NULL,0,0.00000000,NULL,0,2,NULL,NULL);
/*!40000 ALTER TABLE `llx_commandedet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_commandedet_extrafields`
--

DROP TABLE IF EXISTS `llx_commandedet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_commandedet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_commandedet_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_commandedet_extrafields`
--

LOCK TABLES `llx_commandedet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_commandedet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_commandedet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_const`
--

DROP TABLE IF EXISTS `llx_const`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_const` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `value` text NOT NULL,
  `type` varchar(6) DEFAULT NULL,
  `visible` tinyint(4) NOT NULL DEFAULT '1',
  `note` text,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_const` (`name`,`entity`)
) ENGINE=InnoDB AUTO_INCREMENT=557 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_const`
--

LOCK TABLES `llx_const` WRITE;
/*!40000 ALTER TABLE `llx_const` DISABLE KEYS */;
INSERT INTO `llx_const` (`rowid`, `name`, `entity`, `value`, `type`, `visible`, `note`, `tms`) VALUES (2,'MAIN_FEATURES_LEVEL',0,'0','chaine',1,'Level of features to show (0=stable only, 1=stable+experimental, 2=stable+experimental+development','2014-09-30 19:46:31'),(3,'MAILING_LIMIT_SENDBYWEB',0,'25','chaine',1,'Number of targets to defined packet size when sending mass email','2014-09-30 19:46:31'),(6,'SYSLOG_LEVEL',0,'7','chaine',0,'Level of debug info to show','2014-09-30 19:46:31'),(9,'MAIN_UPLOAD_DOC',0,'2048','chaine',0,'Max size for file upload (0 means no upload allowed)','2014-09-30 19:46:31'),(12,'MAIN_SIZE_LISTE_LIMIT',0,'25','chaine',0,'Longueur maximum des listes','2014-09-30 19:46:31'),(13,'MAIN_SHOW_WORKBOARD',0,'1','yesno',0,'Affichage tableau de bord de travail Dolibarr','2014-09-30 19:46:31'),(18,'MAIN_DELAY_ACTIONS_TODO',1,'7','chaine',0,'Tolérance de retard avant alerte (en jours) sur actions planifiées non réalisées','2014-09-30 19:46:31'),(19,'MAIN_DELAY_ORDERS_TO_PROCESS',1,'2','chaine',0,'Tolérance de retard avant alerte (en jours) sur commandes clients non traitées','2014-09-30 19:46:31'),(20,'MAIN_DELAY_SUPPLIER_ORDERS_TO_PROCESS',1,'7','chaine',0,'Tolérance de retard avant alerte (en jours) sur commandes fournisseurs non traitées','2014-09-30 19:46:31'),(21,'MAIN_DELAY_PROPALS_TO_CLOSE',1,'31','chaine',0,'Tolérance de retard avant alerte (en jours) sur propales à cloturer','2014-09-30 19:46:31'),(22,'MAIN_DELAY_PROPALS_TO_BILL',1,'7','chaine',0,'Tolérance de retard avant alerte (en jours) sur propales non facturées','2014-09-30 19:46:31'),(23,'MAIN_DELAY_CUSTOMER_BILLS_UNPAYED',1,'31','chaine',0,'Tolérance de retard avant alerte (en jours) sur factures client impayées','2014-09-30 19:46:31'),(24,'MAIN_DELAY_SUPPLIER_BILLS_TO_PAY',1,'2','chaine',0,'Tolérance de retard avant alerte (en jours) sur factures fournisseur impayées','2014-09-30 19:46:31'),(25,'MAIN_DELAY_NOT_ACTIVATED_SERVICES',1,'0','chaine',0,'Tolérance de retard avant alerte (en jours) sur services à activer','2014-09-30 19:46:31'),(26,'MAIN_DELAY_RUNNING_SERVICES',1,'0','chaine',0,'Tolérance de retard avant alerte (en jours) sur services expirés','2014-09-30 19:46:31'),(27,'MAIN_DELAY_MEMBERS',1,'31','chaine',0,'Tolérance de retard avant alerte (en jours) sur cotisations adhérent en retard','2014-09-30 19:46:31'),(28,'MAIN_DELAY_TRANSACTIONS_TO_CONCILIATE',1,'62','chaine',0,'Tolérance de retard avant alerte (en jours) sur rapprochements bancaires à faire','2014-09-30 19:46:31'),(29,'MAIN_FIX_FOR_BUGGED_MTA',1,'1','chaine',1,'Set constant to fix email ending from PHP with some linux ike system','2014-09-30 19:46:31'),(30,'MAILING_EMAIL_FROM',1,'dolibarr@domain.com','chaine',0,'EMail emmetteur pour les envois d emailings','2014-09-30 19:46:31'),(32,'MAIN_VERSION_LAST_INSTALL',0,'3.6.0','chaine',0,'Dolibarr version when install','2014-09-30 19:47:10'),(93,'COMPANY_ADDON_PDF_ODT_PATH',1,'DOL_DATA_ROOT/doctemplates/thirdparties','chaine',0,NULL,'2014-10-01 15:07:41'),(94,'SOCIETE_ADD_REF_IN_LIST',1,'','yesno',0,'Display customer ref into select list','2014-10-01 15:07:41'),(96,'PROPALE_ADDON_PDF',1,'azur','chaine',0,'Nom du gestionnaire de generation des propales en PDF','2014-10-01 15:07:47'),(98,'PROPALE_VALIDITY_DURATION',1,'15','chaine',0,'Duration of validity of business proposals','2014-10-01 15:07:47'),(99,'PROPALE_ADDON_PDF_ODT_PATH',1,'DOL_DATA_ROOT/doctemplates/proposals','chaine',0,NULL,'2014-10-01 15:07:47'),(102,'COMMANDE_ADDON_PDF',1,'einstein','chaine',0,'Name of PDF model of order','2014-10-01 15:07:51'),(104,'COMMANDE_ADDON_PDF_ODT_PATH',1,'DOL_DATA_ROOT/doctemplates/orders','chaine',0,NULL,'2014-10-01 15:07:51'),(106,'MAIN_MODULE_CONTRAT',1,'1',NULL,0,NULL,'2014-10-01 15:07:58'),(107,'CONTRACT_ADDON',1,'mod_contract_serpis','chaine',0,'Nom du gestionnaire de numerotation des contrats','2014-10-01 15:07:58'),(110,'MAIN_MODULE_FICHEINTER',1,'1',NULL,0,NULL,'2014-10-01 15:08:01'),(111,'FICHEINTER_ADDON_PDF',1,'soleil','chaine',0,NULL,'2014-10-01 15:08:01'),(115,'ECM_AUTO_TREE_ENABLED',1,'1','chaine',0,'Auto tree is enabled by default','2014-10-01 15:08:09'),(116,'MAIN_MODULE_COMPTABILITE',1,'1',NULL,0,NULL,'2014-10-01 15:08:16'),(118,'FACTURE_ADDON_PDF',1,'crabe','chaine',0,'Name of PDF model of invoice','2014-10-01 15:08:16'),(122,'MAIN_MODULE_BANQUE',1,'1',NULL,0,NULL,'2014-10-01 15:08:16'),(123,'MAIN_MODULE_TAX',1,'1',NULL,0,NULL,'2014-10-01 15:08:34'),(124,'MAIN_MODULE_SALARIES',1,'1',NULL,0,NULL,'2014-10-01 15:08:52'),(127,'COMMANDE_SUPPLIER_ADDON_PDF',1,'muscadet','chaine',0,'Nom du gestionnaire de generation des bons de commande en PDF','2014-10-01 15:09:06'),(129,'INVOICE_SUPPLIER_ADDON_PDF',1,'canelle','chaine',0,'Nom du gestionnaire de generation des factures fournisseur en PDF','2014-10-01 15:09:06'),(134,'MAIN_MODULE_PROJET',1,'1',NULL,0,NULL,'2014-10-01 15:09:35'),(136,'PROJECT_ADDON',1,'mod_project_simple','chaine',0,'Name of Numbering Rule project manager class','2014-10-01 15:09:35'),(137,'PROJECT_ADDON_PDF_ODT_PATH',1,'DOL_DATA_ROOT/doctemplates/projects','chaine',0,NULL,'2014-10-01 15:09:35'),(138,'PROJECT_TASK_ADDON_PDF',1,'','chaine',0,'Name of PDF/ODT tasks manager class','2014-10-01 15:09:35'),(139,'PROJECT_TASK_ADDON',1,'mod_task_simple','chaine',0,'Name of Numbering Rule task manager class','2014-10-01 15:09:35'),(140,'PROJECT_TASK_ADDON_PDF_ODT_PATH',1,'DOL_DATA_ROOT/doctemplates/tasks','chaine',0,NULL,'2014-10-01 15:09:35'),(141,'MAIN_MODULE_EXPORT',1,'1',NULL,0,NULL,'2014-10-01 15:09:41'),(142,'MAIN_MODULE_IMPORT',1,'1',NULL,0,NULL,'2014-10-01 15:09:46'),(144,'MAIN_MODULE_MARGIN',1,'1',NULL,0,NULL,'2014-10-01 15:10:07'),(145,'MAIN_MODULE_MARGIN_TABS_0',1,'product:+margin:Margins:margins:$user->rights->margins->liretous:/margin/tabs/productMargins.php?id=__ID__','chaine',0,NULL,'2014-10-01 15:10:07'),(146,'MAIN_MODULE_MARGIN_TABS_1',1,'thirdparty:+margin:Margins:margins:empty($user->societe_id) && $user->rights->margins->liretous:/margin/tabs/thirdpartyMargins.php?socid=__ID__','chaine',0,NULL,'2014-10-01 15:10:07'),(147,'MAIN_MODULE_PROPALE',1,'1',NULL,0,NULL,'2014-10-01 15:10:08'),(149,'MAIN_MODULE_PRODUCT',1,'1',NULL,0,NULL,'2014-10-01 15:10:09'),(150,'MAIN_MODULE_CATEGORIE',1,'1',NULL,0,NULL,'2014-10-01 15:10:13'),(152,'MAIN_MODULE_WORKFLOW',1,'1',NULL,0,NULL,'2014-10-01 15:10:17'),(153,'SOCIETE_CODECLIENT_ADDON',1,'mod_codeclient_elephant','chaine',0,'','2014-10-01 16:20:53'),(154,'COMPANY_ELEPHANT_MASK_CUSTOMER',1,'CL{yy}{mm}-{0000@99}','chaine',0,'','2014-10-01 16:21:30'),(155,'COMPANY_ELEPHANT_MASK_SUPPLIER',1,'CF{yy}{mm}-{0000@99}','chaine',0,'','2014-10-01 16:21:30'),(156,'COMPANY_AQUARIUM_MASK_SUPPLIER',1,'401','chaine',0,'','2014-10-01 16:22:52'),(157,'COMPANY_AQUARIUM_MASK_CUSTOMER',1,'411','chaine',0,'','2014-10-01 16:22:52'),(158,'SOCIETE_CODECOMPTA_ADDON',1,'mod_codecompta_aquarium','chaine',0,'','2014-10-01 16:23:06'),(159,'SOCIETE_IDPROF1_UNIQUE',1,'1','chaine',0,'','2014-10-01 16:24:09'),(160,'SOCIETE_IDPROF2_UNIQUE',1,'1','chaine',0,'','2014-10-01 16:27:33'),(161,'SOCIETE_IDPROF3_UNIQUE',1,'1','chaine',0,'','2014-10-01 16:27:38'),(162,'SOCIETE_IDPROF4_UNIQUE',1,'1','chaine',0,'','2014-10-01 16:27:43'),(163,'SOCIETE_IDPROF2_INVOICE_MANDATORY',1,'1','chaine',0,'','2014-10-01 16:27:57'),(164,'SOCIETE_IDPROF1_INVOICE_MANDATORY',1,'1','chaine',0,'','2014-10-01 16:28:09'),(165,'PROPALE_ADDON',1,'mod_propale_saphir','chaine',0,'','2014-10-01 16:29:28'),(166,'PROPALE_SAPHIR_MASK',1,'DV{yy}{mm}-{0000@99}','chaine',0,'','2014-10-01 16:29:47'),(167,'PROPALE_DRAFT_WATERMARK',1,'Document provisoire','chaine',0,'','2014-10-01 16:30:21'),(168,'COMMANDE_ADDON',1,'mod_commande_saphir','chaine',0,'','2014-10-01 16:30:48'),(169,'COMMANDE_SAPHIR_MASK',1,'CC{yy}{mm}-{0000@99}','chaine',0,'','2014-10-01 16:31:04'),(170,'COMMANDE_DRAFT_WATERMARK',1,'Document provisoire','chaine',0,'','2014-10-01 16:31:46'),(171,'FICHINTER_ARTIC_MASK',1,'FI{yy}{mm}-{0000@99}','chaine',0,'','2014-10-01 16:33:21'),(172,'FICHEINTER_ADDON',1,'arctic','chaine',0,'','2014-10-01 16:33:25'),(173,'FICHINTER_PRINT_PRODUCTS',1,'1','bool',0,'','2014-10-01 16:33:44'),(179,'COMMANDE_FOURNISSEUR_ORCHIDEE_MASK',1,'CF{yy}{mm}-{0000@99}','chaine',0,'','2014-10-01 16:39:26'),(180,'COMMANDE_SUPPLIER_ADDON_NUMBER',1,'mod_commande_fournisseur_orchidee','chaine',0,'','2014-10-01 16:39:31'),(181,'SUPPLIER_INVOICE_TULIP_MASK',1,'FF{yy}{mm}-{0000@0}','chaine',0,'','2014-10-01 16:40:31'),(182,'INVOICE_SUPPLIER_ADDON_NUMBER',1,'mod_facture_fournisseur_tulip','chaine',0,'','2014-10-01 16:40:35'),(187,'FACTURE_ADDON',1,'mod_facture_mercure','chaine',0,'','2014-10-01 16:43:17'),(188,'FACTURE_DRAFT_WATERMARK',1,'Document provisoire','chaine',0,'','2014-10-01 18:38:26'),(189,'PRODUCT_ELEPHANT_MASK_PRODUCT',1,'PR{yy}{mm}-{000}','chaine',0,'','2014-10-01 18:41:01'),(190,'PRODUCT_ELEPHANT_MASK_SERVICE',1,'SE{yy}{mm}-{000}','chaine',0,'','2014-10-01 18:41:01'),(191,'PRODUCT_CODEPRODUCT_ADDON',1,'mod_codeproduct_elephant','chaine',0,'','2014-10-01 18:41:07'),(192,'PRODUCT_PRICE_UNIQ',1,'0','chaine',0,'','2014-10-01 18:41:32'),(193,'PRODUIT_MULTIPRICES',1,'1','chaine',0,'','2014-10-01 18:41:32'),(194,'PRODUIT_CUSTOMER_PRICES',1,'0','chaine',0,'','2014-10-01 18:41:32'),(197,'PROJECT_ADDON_PDF',1,'generic_project_odt','chaine',0,'','2014-10-01 18:42:18'),(198,'SYSLOG_FACILITY',0,'LOG_USER','chaine',0,'','2014-10-01 18:43:08'),(199,'SYSLOG_FILE',0,'DOL_DATA_ROOT/dolibarr.log','chaine',0,'','2014-10-01 18:43:08'),(200,'SYSLOG_HANDLERS',0,'[\"mod_syslog_syslog\",\"mod_syslog_file\"]','chaine',0,'','2014-10-01 18:43:08'),(201,'MARGIN_TYPE',1,'2','chaine',0,'','2014-10-01 18:46:20'),(202,'DISPLAY_MARGIN_RATES',1,'1','chaine',0,'','2014-10-01 18:46:25'),(203,'DISPLAY_MARK_RATES',1,'1','chaine',0,'','2014-10-01 18:46:27'),(204,'CATEGORIE_RECURSIV_ADD',1,'1','chaine',0,'','2014-10-01 18:47:14'),(207,'WORKFLOW_PROPAL_AUTOCREATE_ORDER',1,'1','chaine',0,'','2014-10-01 18:47:44'),(209,'WORKFLOW_ORDER_CLASSIFY_BILLED_PROPAL',1,'1','chaine',0,'','2014-10-01 18:48:11'),(210,'WORKFLOW_INVOICE_CLASSIFY_BILLED_ORDER',1,'1','chaine',0,'','2014-10-01 18:48:38'),(254,'MAIN_MAIL_SMTP_PORT',1,'465','chaine',0,'','2015-11-18 20:09:06'),(255,'MAIN_MAIL_SMTP_SERVER',1,'smtp.qat-consulting.com','chaine',0,'','2015-11-18 20:09:06'),(258,'MAIN_MAIL_EMAIL_TLS',1,'0','chaine',0,'','2015-11-18 20:09:06'),(260,'MAIN_MODULE_AUTOATTACHFILE',1,'1',NULL,0,NULL,'2014-10-02 15:37:19'),(261,'MAIN_MODULE_AUTOATTACHFILE_HOOKS',1,'[\"formmail\"]','chaine',0,NULL,'2014-10-02 15:37:19'),(262,'MAIN_MODULE_ULTIMATEPDF',1,'1',NULL,0,NULL,'2014-10-02 15:46:10'),(263,'MAIN_MODULE_ULTIMATEPDF_MODELS',1,'1','chaine',0,NULL,'2014-10-02 15:46:10'),(264,'MAIN_MODULE_ULTIMATEPDF_CSS',1,'/ultimatepdf/css/ultimatepdf.css.php','chaine',0,NULL,'2014-10-02 15:46:10'),(265,'MAIN_MODULE_ULTIMATEPDF_HOOKS',1,'[\"propalcard\",\"ordercard\",\"invoicecard\",\"toprightmenu\",\"pdfgeneration\"]','chaine',0,NULL,'2014-10-02 15:46:10'),(266,'MAIN_GENERATE_DOCUMENTS_HIDE_DETAILS',1,'','chaine',1,'Hide product details within documents','2014-10-02 15:46:10'),(267,'MAIN_GENERATE_DOCUMENTS_HIDE_DESC',1,'','chaine',1,'Hide product description within documents','2014-10-02 15:46:10'),(268,'MAIN_GENERATE_DOCUMENTS_HIDE_REF',1,'','chaine',1,'Hide reference within documents','2014-10-02 15:46:10'),(270,'ULTIMATE_SHOW_HIDE_PUHT',1,'','chaine',1,'Hide puht within documents','2014-10-02 15:46:10'),(271,'ULTIMATE_SHOW_HIDE_QTY',1,'','chaine',1,'Hide qty within documents','2014-10-02 15:46:10'),(272,'ULTIMATE_SHOW_HIDE_THT',1,'','chaine',1,'Hide tht within documents','2014-10-02 15:46:10'),(273,'MAIN_DISPLAY_FOLD_MARK',1,'','chaine',1,'Show by default fold mark within documents','2014-10-02 15:46:10'),(274,'ULTIMATE_GENERATE_PROPOSALS_WITH_PICTURE',1,'','chaine',1,'Show by default photos within proposals documents','2014-10-02 15:46:10'),(275,'ULTIMATE_GENERATE_ORDERS_WITH_PICTURE',1,'','chaine',1,'Show by default photos within orders documents','2014-10-02 15:46:10'),(276,'ULTIMATE_GENERATE_INVOICES_WITH_PICTURE',1,'','chaine',1,'Show by default photos within invoices documents','2014-10-02 15:46:10'),(277,'MAIN_PDF_DONOTREPEAT_HEAD',1,'','chaine',1,'Do not repeat head within documents','2014-10-02 15:46:10'),(279,'MAIN_PDF_DASH_BETWEEN_LINES',1,'','chaine',1,'Add dash between lines within documents','2014-10-02 15:46:10'),(287,'ULTIMATE_PDF_INVOICE_ADDALSOTARGETDETAILS',1,'1','chaine',0,'','2014-10-02 15:46:36'),(288,'ULTIMATE_TVAINTRA_NOT_IN_INVOICE_ADDRESS',1,'1','chaine',0,'','2014-10-02 15:46:40'),(289,'MAIN_DISPLAY_INVOICES_FOLD_MARK',1,'1','chaine',0,'','2014-10-02 15:46:44'),(290,'ULTIMATEPDF_GENERATE_INVOICES_WITH_MERGED_PDF',1,'1','chaine',0,'','2014-10-02 15:47:04'),(291,'MAIN_PDF_ADDALSOTARGETDETAILS',1,'1','chaine',0,'','2014-10-02 15:47:14'),(292,'MAIN_TVAINTRA_NOT_IN_ADDRESS',1,'1','chaine',0,'','2014-10-02 15:47:17'),(293,'MAIN_DISABLE_ALL_MAILS',1,'0','chaine',0,'','2014-10-02 16:28:00'),(294,'MAIN_MAIL_SENDMODE',1,'mail','chaine',0,'','2015-11-18 20:09:06'),(295,'MAIN_MAIL_SMTPS_ID',1,'qatconsu','chaine',0,'','2015-11-18 20:09:06'),(296,'MAIN_MAIL_SMTPS_PW',1,'lf452429','chaine',0,'','2015-11-18 20:09:06'),(297,'MAIN_MAIL_EMAIL_FROM',1,'flavabre@qat-consulting.com','chaine',0,'','2014-10-02 16:28:02'),(298,'MAIN_MAIL_ERRORS_TO',1,'flavabre@qat-consulting.com','chaine',0,'','2014-10-02 16:28:02'),(299,'PRODUIT_MULTIPRICES_LIMIT',1,'2','chaine',0,'','2014-10-04 16:07:06'),(300,'MAIN_MODULE_WEBSERVICES',1,'1',NULL,0,NULL,'2014-10-31 08:49:45'),(301,'WEBSERVICES_KEY',1,'72f89d275e561e8e09815c95746fee8f','chaine',0,'','2014-10-31 08:53:54'),(302,'PRODUCT_USE_OLD_PATH_FOR_PHOTO',1,'1','chaine',1,'Use old path for products images','2015-07-04 13:46:05'),(328,'ULTIMATE_DESIGN',1,'1','chaine',0,'','2015-07-04 14:26:39'),(329,'ULTIMATE_DASH_DOTTED',1,'8, 2','chaine',0,'','2015-07-04 14:26:39'),(330,'ULTIMATE_BGCOLOR_COLOR',1,'aad4ff','chaine',0,'','2015-07-04 14:26:39'),(331,'ULTIMATE_BORDERCOLOR_COLOR',1,'003f7f','chaine',0,'','2015-07-04 14:26:39'),(332,'ULTIMATE_TEXTCOLOR_COLOR',1,'191919','chaine',0,'','2015-07-04 14:26:39'),(333,'ULTIMATE_DOCUMENTS_WITH_REF',1,'no','chaine',0,'','2015-07-04 14:26:39'),(334,'ULTIMATE_GENERATE_DOCUMENTS_WITHOUT_VAT',1,'no','chaine',0,'','2015-07-04 14:26:39'),(357,'ALLSCREENS_COL2',1,'#8224e3','chaine',0,'','2015-08-18 13:13:55'),(365,'ALLSCREENS_COL1',1,'#0ca1f7','chaine',0,'','2015-08-18 13:15:42'),(385,'MAIN_LANG_DEFAULT',1,'auto','chaine',0,'','2015-08-18 16:27:42'),(386,'MAIN_MULTILANGS',1,'1','chaine',0,'','2015-08-18 16:27:42'),(387,'MAIN_SIZE_LISTE_LIMIT',1,'25','chaine',0,'','2015-08-18 16:27:42'),(388,'MAIN_DISABLE_JAVASCRIPT',1,'0','chaine',0,'','2015-08-18 16:27:42'),(389,'MAIN_BUTTON_HIDE_UNAUTHORIZED',1,'0','chaine',0,'','2015-08-18 16:27:42'),(390,'MAIN_START_WEEK',1,'1','chaine',0,'','2015-08-18 16:27:42'),(391,'MAIN_DEFAULT_WORKING_DAYS',1,'1-5','chaine',0,'','2015-08-18 16:27:42'),(392,'MAIN_DEFAULT_WORKING_HOURS',1,'9-18','chaine',0,'','2015-08-18 16:27:42'),(393,'MAIN_SHOW_LOGO',1,'1','chaine',0,'','2015-08-18 16:27:42'),(394,'MAIN_FIRSTNAME_NAME_POSITION',1,'0','chaine',0,'','2015-08-18 16:27:42'),(396,'MAIN_SEARCHFORM_CONTACT',1,'0','chaine',0,'','2015-08-18 16:27:42'),(397,'MAIN_SEARCHFORM_SOCIETE',1,'0','chaine',0,'','2015-08-18 16:27:42'),(398,'MAIN_SEARCHFORM_PRODUITSERVICE',1,'0','chaine',0,'','2015-08-18 16:27:42'),(399,'MAIN_SEARCHFORM_PRODUITSERVICE_SUPPLIER',1,'0','chaine',0,'','2015-08-18 16:27:42'),(400,'MAIN_SEARCHFORM_ADHERENT',1,'0','chaine',0,'','2015-08-18 16:27:42'),(401,'MAIN_HELPCENTER_DISABLELINK',0,'0','chaine',0,'','2015-08-18 16:27:42'),(402,'MAIN_HELP_DISABLELINK',0,'0','chaine',0,'','2015-08-18 16:27:42'),(404,'DOL_VERSION',1,'3.7.1','chaine',0,'Dolibarr version','2015-08-18 16:44:27'),(406,'MAIN_MENU_STANDARD',1,'allscreens_menu.php','chaine',0,'','2015-08-18 16:44:27'),(407,'MAIN_MENUFRONT_STANDARD',1,'allscreens_menu.php','chaine',0,'','2015-08-18 16:44:27'),(408,'MAIN_MENU_SMARTPHONE',1,'allscreens_menu.php','chaine',0,'','2015-08-18 16:44:27'),(409,'MAIN_MENUFRONT_SMARTPHONE',1,'allscreens_menu.php','chaine',0,'','2015-08-18 16:44:27'),(432,'MAIN_THEME',1,'eldy','chaine',0,'','2015-12-04 10:57:00'),(433,'MAIN_MODULE_RESOURCE',1,'1',NULL,0,NULL,'2015-12-04 10:57:22'),(434,'MAIN_MODULE_FCKEDITOR',1,'1',NULL,0,NULL,'2015-12-04 10:57:45'),(435,'FCKEDITOR_ENABLE_SOCIETE',1,'1','yesno',0,'WYSIWIG for description and note (except products/services)','2015-12-04 10:57:45'),(436,'FCKEDITOR_ENABLE_PRODUCTDESC',1,'1','yesno',0,'WYSIWIG for products/services description and note','2015-12-04 10:57:45'),(437,'FCKEDITOR_ENABLE_MAILING',1,'1','yesno',0,'WYSIWIG for mass emailings','2015-12-04 10:57:45'),(438,'FCKEDITOR_ENABLE_DETAILS',1,'1','yesno',0,'WYSIWIG for products details lines for all entities','2015-12-04 10:57:45'),(439,'FCKEDITOR_ENABLE_USERSIGN',1,'1','yesno',0,'WYSIWIG for user signature','2015-12-04 10:57:45'),(440,'FCKEDITOR_ENABLE_MAIL',1,'1','yesno',0,'WYSIWIG for products details lines for all entities','2015-12-04 10:57:45'),(468,'MAIN_INFO_SOCIETE_LOGO',1,'Logo-complet-noir-detoure.png','chaine',0,'','2016-01-15 18:28:27'),(469,'MAIN_INFO_SOCIETE_LOGO_SMALL',1,'Logo-complet-noir-detoure_small.png','chaine',0,'','2016-01-15 18:28:27'),(470,'MAIN_INFO_SOCIETE_LOGO_MINI',1,'Logo-complet-noir-detoure_mini.png','chaine',0,'','2016-01-15 18:28:27'),(495,'MAIN_INFO_SOCIETE_COUNTRY',1,'1:FR:France','chaine',0,'','2016-01-18 20:01:41'),(496,'MAIN_INFO_SOCIETE_NOM',1,'NEXiiUM','chaine',0,'','2016-01-18 20:01:41'),(497,'MAIN_INFO_SOCIETE_ADDRESS',1,'8A rue Lançon','chaine',0,'','2016-01-18 20:01:41'),(498,'MAIN_INFO_SOCIETE_TOWN',1,'Villeurbanne','chaine',0,'','2016-01-18 20:01:41'),(499,'MAIN_INFO_SOCIETE_ZIP',1,'69100','chaine',0,'','2016-01-18 20:01:41'),(500,'MAIN_INFO_SOCIETE_STATE',1,'71','chaine',0,'','2016-01-18 20:01:41'),(501,'MAIN_MONNAIE',1,'EUR','chaine',0,'','2016-01-18 20:01:41'),(502,'MAIN_INFO_SOCIETE_TEL',1,'09 86 36 98 27','chaine',0,'','2016-01-18 20:01:41'),(503,'MAIN_INFO_SOCIETE_MAIL',1,'contact@nexiium.com','chaine',0,'','2016-01-18 20:01:41'),(504,'MAIN_INFO_SOCIETE_WEB',1,'www.nexiium.com','chaine',0,'','2016-01-18 20:01:41'),(505,'MAIN_INFO_CAPITAL',1,'10000','chaine',0,'','2016-01-18 20:01:41'),(506,'MAIN_INFO_SOCIETE_FORME_JURIDIQUE',1,'57','chaine',0,'','2016-01-18 20:01:41'),(507,'MAIN_INFO_SIREN',1,'B 527 655 989','chaine',0,'','2016-01-18 20:01:41'),(508,'MAIN_INFO_SIRET',1,'527 655 989 00012','chaine',0,'','2016-01-18 20:01:41'),(509,'MAIN_INFO_APE',1,'640Z','chaine',0,'','2016-01-18 20:01:41'),(510,'MAIN_INFO_TVAINTRA',1,'FR50 527655989','chaine',0,'','2016-01-18 20:01:41'),(511,'SOCIETE_FISCAL_MONTH_START',1,'7','chaine',0,'','2016-01-18 20:01:41'),(512,'FACTURE_TVAOPTION',1,'1','chaine',0,'','2016-01-18 20:01:41'),(513,'FACTURE_RIB_NUMBER',1,'1','chaine',0,'','2016-01-18 20:06:02'),(514,'FACTURE_CHQ_NUMBER',1,'-1','chaine',0,'','2016-01-18 20:06:02'),(516,'FACTURE_ADDON_PDF_ODT_PATH',1,'DOL_DATA_ROOT/doctemplates/invoices','chaine',0,'','2016-01-18 20:24:17'),(517,'FACTURE_FREE_TEXT',1,'Pénalités égales à 1,5 fois le Taux de Base Bancaire si paiement postérieur à la date convenue (loi n°\r\n92-1442 du 31/12/92). Conformément aux articles L441-6 c. com et D. 441-5 c. , tout retard de\r\npaiement entraîne de plein droit, outre les pénalités de retard, une obligation pour le débiteur de payer\r\nune indemnité forfaitaire de 40€ pour frais de recouvrement.\r\n','chaine',0,'','2016-01-18 20:24:53'),(527,'MAIN_MODULE_COMMANDE',1,'1',NULL,0,NULL,'2016-02-07 20:06:22'),(528,'MAIN_MODULE_DEPLACEMENT',1,'1',NULL,0,NULL,'2016-02-07 20:06:22'),(529,'MAIN_MODULE_ECM',1,'1',NULL,0,NULL,'2016-02-07 20:06:22'),(530,'MAIN_MODULE_FACTURE',1,'1',NULL,0,NULL,'2016-02-07 20:06:22'),(531,'MAIN_MODULE_FOURNISSEUR',1,'1',NULL,0,NULL,'2016-02-07 20:06:22'),(532,'MAIN_MODULE_SOCIETE',1,'1',NULL,0,NULL,'2016-02-07 20:06:23'),(533,'MAIN_MODULE_SERVICE',1,'1',NULL,0,NULL,'2016-02-07 20:06:23'),(534,'MAIN_MODULE_USER',0,'1',NULL,0,NULL,'2016-02-07 20:06:23'),(535,'MAIN_VERSION_LAST_UPGRADE',0,'3.8.3','chaine',0,'Dolibarr version for last upgrade','2016-02-07 20:06:34'),(541,'FACTURE_MERCURE_MASK_INVOICE',1,'FC{yy}{mm}-{0000@0}','chaine',0,'','2016-02-19 11:19:29'),(542,'FACTURE_MERCURE_MASK_REPLACEMENT',1,'FR{yy}{mm}-{0000@0}','chaine',0,'','2016-02-19 11:19:29'),(543,'FACTURE_MERCURE_MASK_CREDIT',1,'AV{yy}{mm}-{0000@0}','chaine',0,'','2016-02-19 11:19:29'),(544,'FACTURE_MERCURE_MASK_DEPOSIT',1,'FA{yy}{mm}-{0000@0}','chaine',0,'','2016-02-19 11:19:29'),(545,'MAIN_MODULE_HOLIDAY',1,'1',NULL,0,NULL,'2016-02-19 11:28:33'),(546,'MAIN_MODULE_HOLIDAY_TABS_0',1,'user:+paidholidays:CPTitreMenu:holiday:$user->rights->holiday->read:/holiday/list.php?mainmenu=holiday&id=__ID__','chaine',0,NULL,'2016-02-19 11:28:33'),(547,'ACCOUNTING_MODE',1,'CREANCES-DETTES','chaine',0,'','2016-02-19 11:33:18'),(548,'ACCOUNTING_PRODUCT_BUY_ACCOUNT',1,'604','chaine',0,'','2016-02-19 11:33:18'),(549,'ACCOUNTING_PRODUCT_SOLD_ACCOUNT',1,'704','chaine',0,'','2016-02-19 11:33:18'),(550,'ACCOUNTING_ACCOUNT_CUSTOMER',1,'411','chaine',0,'','2016-02-19 11:33:18'),(551,'ACCOUNTING_ACCOUNT_SUPPLIER',1,'401','chaine',0,'','2016-02-19 11:33:18'),(556,'SYSTEMTOOLS_MYSQLDUMP',1,'/usr/bin/mysqldump','chaine',0,'','2018-04-17 20:26:19');
/*!40000 ALTER TABLE `llx_const` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_contrat`
--

DROP TABLE IF EXISTS `llx_contrat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_contrat` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(30) DEFAULT NULL,
  `ref_supplier` varchar(30) DEFAULT NULL,
  `ref_ext` varchar(30) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `date_contrat` datetime DEFAULT NULL,
  `statut` smallint(6) DEFAULT '0',
  `mise_en_service` datetime DEFAULT NULL,
  `fin_validite` datetime DEFAULT NULL,
  `date_cloture` datetime DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `fk_commercial_signature` int(11) DEFAULT NULL,
  `fk_commercial_suivi` int(11) DEFAULT NULL,
  `fk_user_author` int(11) NOT NULL DEFAULT '0',
  `fk_user_mise_en_service` int(11) DEFAULT NULL,
  `fk_user_cloture` int(11) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_contrat_ref` (`ref`,`entity`),
  KEY `idx_contrat_fk_soc` (`fk_soc`),
  KEY `idx_contrat_fk_user_author` (`fk_user_author`),
  CONSTRAINT `fk_contrat_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_contrat_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_contrat`
--

LOCK TABLES `llx_contrat` WRITE;
/*!40000 ALTER TABLE `llx_contrat` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_contrat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_contrat_extrafields`
--

DROP TABLE IF EXISTS `llx_contrat_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_contrat_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_contrat_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_contrat_extrafields`
--

LOCK TABLES `llx_contrat_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_contrat_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_contrat_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_contratdet`
--

DROP TABLE IF EXISTS `llx_contratdet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_contratdet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_contrat` int(11) NOT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `statut` smallint(6) DEFAULT '0',
  `label` text,
  `description` text,
  `fk_remise_except` int(11) DEFAULT NULL,
  `date_commande` datetime DEFAULT NULL,
  `date_ouverture_prevue` datetime DEFAULT NULL,
  `date_ouverture` datetime DEFAULT NULL,
  `date_fin_validite` datetime DEFAULT NULL,
  `date_cloture` datetime DEFAULT NULL,
  `tva_tx` double(6,3) DEFAULT '0.000',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double NOT NULL,
  `remise_percent` double DEFAULT '0',
  `subprice` double(24,8) DEFAULT '0.00000000',
  `price_ht` double DEFAULT NULL,
  `remise` double DEFAULT '0',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `product_type` int(11) DEFAULT '1',
  `info_bits` int(11) DEFAULT '0',
  `buy_price_ht` double(24,8) DEFAULT NULL,
  `fk_product_fournisseur_price` int(11) DEFAULT NULL,
  `fk_user_author` int(11) NOT NULL DEFAULT '0',
  `fk_user_ouverture` int(11) DEFAULT NULL,
  `fk_user_cloture` int(11) DEFAULT NULL,
  `commentaire` text,
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_contratdet_fk_contrat` (`fk_contrat`),
  KEY `idx_contratdet_fk_product` (`fk_product`),
  KEY `idx_contratdet_date_ouverture_prevue` (`date_ouverture_prevue`),
  KEY `idx_contratdet_date_ouverture` (`date_ouverture`),
  KEY `idx_contratdet_date_fin_validite` (`date_fin_validite`),
  KEY `fk_contratdet_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_contratdet_fk_contrat` FOREIGN KEY (`fk_contrat`) REFERENCES `llx_contrat` (`rowid`),
  CONSTRAINT `fk_contratdet_fk_product` FOREIGN KEY (`fk_product`) REFERENCES `llx_product` (`rowid`),
  CONSTRAINT `fk_contratdet_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_contratdet`
--

LOCK TABLES `llx_contratdet` WRITE;
/*!40000 ALTER TABLE `llx_contratdet` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_contratdet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_contratdet_extrafields`
--

DROP TABLE IF EXISTS `llx_contratdet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_contratdet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_contratdet_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_contratdet_extrafields`
--

LOCK TABLES `llx_contratdet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_contratdet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_contratdet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_contratdet_log`
--

DROP TABLE IF EXISTS `llx_contratdet_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_contratdet_log` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_contratdet` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `statut` smallint(6) NOT NULL,
  `fk_user_author` int(11) NOT NULL,
  `commentaire` text,
  PRIMARY KEY (`rowid`),
  KEY `idx_contratdet_log_fk_contratdet` (`fk_contratdet`),
  KEY `idx_contratdet_log_date` (`date`),
  CONSTRAINT `fk_contratdet_log_fk_contratdet` FOREIGN KEY (`fk_contratdet`) REFERENCES `llx_contratdet` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_contratdet_log`
--

LOCK TABLES `llx_contratdet_log` WRITE;
/*!40000 ALTER TABLE `llx_contratdet_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_contratdet_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_cotisation`
--

DROP TABLE IF EXISTS `llx_cotisation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_cotisation` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `fk_adherent` int(11) DEFAULT NULL,
  `dateadh` datetime DEFAULT NULL,
  `datef` date DEFAULT NULL,
  `cotisation` double DEFAULT NULL,
  `fk_bank` int(11) DEFAULT NULL,
  `note` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_cotisation` (`fk_adherent`,`dateadh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_cotisation`
--

LOCK TABLES `llx_cotisation` WRITE;
/*!40000 ALTER TABLE `llx_cotisation` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_cotisation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_cronjob`
--

DROP TABLE IF EXISTS `llx_cronjob`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_cronjob` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `jobtype` varchar(10) NOT NULL,
  `label` text NOT NULL,
  `command` varchar(255) DEFAULT NULL,
  `classesname` varchar(255) DEFAULT NULL,
  `objectname` varchar(255) DEFAULT NULL,
  `methodename` varchar(255) DEFAULT NULL,
  `params` text,
  `md5params` varchar(32) DEFAULT NULL,
  `module_name` varchar(255) DEFAULT NULL,
  `priority` int(11) DEFAULT '0',
  `datelastrun` datetime DEFAULT NULL,
  `datenextrun` datetime DEFAULT NULL,
  `datestart` datetime DEFAULT NULL,
  `dateend` datetime DEFAULT NULL,
  `datelastresult` datetime DEFAULT NULL,
  `lastresult` text,
  `lastoutput` text,
  `unitfrequency` int(11) NOT NULL DEFAULT '0',
  `frequency` int(11) NOT NULL DEFAULT '0',
  `nbrun` int(11) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_mod` int(11) DEFAULT NULL,
  `note` text,
  `libname` varchar(255) DEFAULT NULL,
  `entity` int(11) DEFAULT '0',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_cronjob`
--

LOCK TABLES `llx_cronjob` WRITE;
/*!40000 ALTER TABLE `llx_cronjob` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_cronjob` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_deplacement`
--

DROP TABLE IF EXISTS `llx_deplacement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_deplacement` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(30) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `dated` datetime DEFAULT NULL,
  `fk_user` int(11) NOT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `type` varchar(12) NOT NULL,
  `fk_statut` int(11) NOT NULL DEFAULT '1',
  `km` double DEFAULT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT '0',
  `note_private` text,
  `note_public` text,
  `extraparams` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_deplacement`
--

LOCK TABLES `llx_deplacement` WRITE;
/*!40000 ALTER TABLE `llx_deplacement` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_deplacement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_document_generator`
--

DROP TABLE IF EXISTS `llx_document_generator`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_document_generator` (
  `rowid` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `classfile` varchar(255) NOT NULL,
  `class` varchar(255) NOT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_document_generator`
--

LOCK TABLES `llx_document_generator` WRITE;
/*!40000 ALTER TABLE `llx_document_generator` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_document_generator` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_document_model`
--

DROP TABLE IF EXISTS `llx_document_model`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_document_model` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `type` varchar(20) NOT NULL,
  `libelle` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_document_model` (`nom`,`type`,`entity`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_document_model`
--

LOCK TABLES `llx_document_model` WRITE;
/*!40000 ALTER TABLE `llx_document_model` DISABLE KEYS */;
INSERT INTO `llx_document_model` (`rowid`, `nom`, `entity`, `type`, `libelle`, `description`) VALUES (3,'soleil',1,'ficheinter',NULL,NULL),(7,'azur',1,'propal',NULL,NULL),(8,'generic_odt',1,'company','ODT templates','COMPANY_ADDON_PDF_ODT_PATH'),(9,'generic_proposal_odt',1,'propal','ODT templates','PROPALE_ADDON_PDF_ODT_PATH'),(10,'generic_order_odt',1,'order','ODT templates','COMMANDE_ADDON_PDF_ODT_PATH'),(11,'strato',1,'contrat',NULL,NULL),(12,'generic_invoice_odt',1,'invoice','ODT/ODS templates','FACTURE_ADDON_PDF_ODT_PATH'),(14,'baleine',1,'project','baleine',NULL),(15,'generic_task_odt',1,'project_task','ODT templates','PROJECT_TASK_ADDON_PDF_ODT_PATH'),(16,'generic_project_odt',1,'project','ODT templates','PROJECT_ADDON_PDF_ODT_PATH'),(25,'einstein',1,'order',NULL,NULL),(26,'crabe',1,'invoice',NULL,NULL),(27,'muscadet',1,'order_supplier',NULL,NULL);
/*!40000 ALTER TABLE `llx_document_model` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_don`
--

DROP TABLE IF EXISTS `llx_don`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_don` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(30) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `datec` datetime DEFAULT NULL,
  `datedon` datetime DEFAULT NULL,
  `amount` double DEFAULT '0',
  `fk_payment` int(11) DEFAULT NULL,
  `paid` smallint(6) NOT NULL DEFAULT '0',
  `firstname` varchar(50) DEFAULT NULL,
  `lastname` varchar(50) DEFAULT NULL,
  `societe` varchar(50) DEFAULT NULL,
  `address` text,
  `zip` varchar(30) DEFAULT NULL,
  `town` varchar(50) DEFAULT NULL,
  `country` varchar(50) DEFAULT NULL,
  `fk_country` int(11) NOT NULL DEFAULT '0',
  `email` varchar(255) DEFAULT NULL,
  `phone` varchar(24) DEFAULT NULL,
  `phone_mobile` varchar(24) DEFAULT NULL,
  `public` smallint(6) NOT NULL DEFAULT '1',
  `fk_projet` int(11) DEFAULT NULL,
  `fk_user_author` int(11) NOT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_don`
--

LOCK TABLES `llx_don` WRITE;
/*!40000 ALTER TABLE `llx_don` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_don` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_don_extrafields`
--

DROP TABLE IF EXISTS `llx_don_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_don_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_don_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_don_extrafields`
--

LOCK TABLES `llx_don_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_don_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_don_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_ecm_directories`
--

DROP TABLE IF EXISTS `llx_ecm_directories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_ecm_directories` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(64) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_parent` int(11) DEFAULT NULL,
  `description` varchar(255) NOT NULL,
  `cachenbofdoc` int(11) NOT NULL DEFAULT '0',
  `fullpath` varchar(255) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `date_c` datetime DEFAULT NULL,
  `date_m` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_user_c` int(11) DEFAULT NULL,
  `fk_user_m` int(11) DEFAULT NULL,
  `acl` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_ecm_directories` (`label`,`fk_parent`,`entity`),
  KEY `idx_ecm_directories_fk_user_c` (`fk_user_c`),
  KEY `idx_ecm_directories_fk_user_m` (`fk_user_m`),
  CONSTRAINT `fk_ecm_directories_fk_user_c` FOREIGN KEY (`fk_user_c`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_ecm_directories_fk_user_m` FOREIGN KEY (`fk_user_m`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_ecm_directories`
--

LOCK TABLES `llx_ecm_directories` WRITE;
/*!40000 ALTER TABLE `llx_ecm_directories` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_ecm_directories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_element_contact`
--

DROP TABLE IF EXISTS `llx_element_contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_element_contact` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `datecreate` datetime DEFAULT NULL,
  `statut` smallint(6) DEFAULT '5',
  `element_id` int(11) NOT NULL,
  `fk_c_type_contact` int(11) NOT NULL,
  `fk_socpeople` int(11) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_element_contact_idx1` (`element_id`,`fk_c_type_contact`,`fk_socpeople`),
  KEY `fk_element_contact_fk_c_type_contact` (`fk_c_type_contact`),
  KEY `idx_element_contact_fk_socpeople` (`fk_socpeople`),
  CONSTRAINT `fk_element_contact_fk_c_type_contact` FOREIGN KEY (`fk_c_type_contact`) REFERENCES `llx_c_type_contact` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_element_contact`
--

LOCK TABLES `llx_element_contact` WRITE;
/*!40000 ALTER TABLE `llx_element_contact` DISABLE KEYS */;
INSERT INTO `llx_element_contact` (`rowid`, `datecreate`, `statut`, `element_id`, `fk_c_type_contact`, `fk_socpeople`) VALUES (1,'2015-09-25 09:46:12',4,1,160,4);
/*!40000 ALTER TABLE `llx_element_contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_element_element`
--

DROP TABLE IF EXISTS `llx_element_element`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_element_element` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_source` int(11) NOT NULL,
  `sourcetype` varchar(32) NOT NULL,
  `fk_target` int(11) NOT NULL,
  `targettype` varchar(32) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_element_element_idx1` (`fk_source`,`sourcetype`,`fk_target`,`targettype`),
  KEY `idx_element_element_fk_target` (`fk_target`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_element_element`
--

LOCK TABLES `llx_element_element` WRITE;
/*!40000 ALTER TABLE `llx_element_element` DISABLE KEYS */;
INSERT INTO `llx_element_element` (`rowid`, `fk_source`, `sourcetype`, `fk_target`, `targettype`) VALUES (9,1,'propal',6,'commande'),(6,2,'commande',6,'facture'),(10,2,'propal',8,'commande'),(11,2,'propal',9,'commande'),(7,3,'commande',7,'facture'),(5,4,'commande',5,'facture'),(14,4,'propal',11,'commande'),(15,4,'propal',12,'commande'),(8,5,'commande',8,'facture'),(12,8,'commande',21,'facture'),(13,10,'commande',26,'facture'),(16,13,'commande',29,'facture'),(17,14,'commande',30,'facture'),(18,15,'commande',31,'facture'),(20,16,'commande',33,'facture'),(21,17,'commande',34,'facture'),(22,21,'commande',56,'facture'),(23,22,'commande',58,'facture'),(24,23,'commande',68,'facture'),(25,24,'commande',69,'facture'),(28,25,'commande',88,'facture'),(29,25,'commande',89,'facture'),(26,26,'commande',86,'facture'),(27,26,'commande',87,'facture'),(32,27,'commande',99,'facture'),(31,28,'commande',97,'facture'),(33,29,'commande',101,'facture'),(30,30,'commande',90,'facture'),(34,31,'commande',104,'facture'),(35,32,'commande',111,'facture'),(36,33,'commande',112,'facture');
/*!40000 ALTER TABLE `llx_element_element` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_element_lock`
--

DROP TABLE IF EXISTS `llx_element_lock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_element_lock` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_element` int(11) NOT NULL,
  `elementtype` varchar(32) NOT NULL,
  `datel` datetime DEFAULT NULL,
  `datem` datetime DEFAULT NULL,
  `sessionid` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_element_lock`
--

LOCK TABLES `llx_element_lock` WRITE;
/*!40000 ALTER TABLE `llx_element_lock` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_element_lock` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_element_resources`
--

DROP TABLE IF EXISTS `llx_element_resources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_element_resources` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `resource_id` int(11) DEFAULT NULL,
  `resource_type` varchar(64) DEFAULT NULL,
  `element_id` int(11) DEFAULT NULL,
  `element_type` varchar(64) DEFAULT NULL,
  `busy` int(11) DEFAULT NULL,
  `mandatory` int(11) DEFAULT NULL,
  `fk_user_create` int(11) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_element_resources_idx1` (`resource_id`,`resource_type`,`element_id`,`element_type`),
  KEY `idx_element_element_element_id` (`element_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_element_resources`
--

LOCK TABLES `llx_element_resources` WRITE;
/*!40000 ALTER TABLE `llx_element_resources` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_element_resources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_element_tag`
--

DROP TABLE IF EXISTS `llx_element_tag`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_element_tag` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `lang` varchar(5) NOT NULL,
  `tag` varchar(255) NOT NULL,
  `fk_element` int(11) NOT NULL,
  `element` varchar(64) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_element_tag` (`entity`,`lang`,`tag`,`fk_element`,`element`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_element_tag`
--

LOCK TABLES `llx_element_tag` WRITE;
/*!40000 ALTER TABLE `llx_element_tag` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_element_tag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_entrepot`
--

DROP TABLE IF EXISTS `llx_entrepot`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_entrepot` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `label` varchar(255) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `description` text,
  `lieu` varchar(64) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `zip` varchar(10) DEFAULT NULL,
  `town` varchar(50) DEFAULT NULL,
  `fk_departement` int(11) DEFAULT NULL,
  `fk_pays` int(11) DEFAULT '0',
  `statut` tinyint(4) DEFAULT '1',
  `valo_pmp` float(12,4) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_entrepot_label` (`label`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_entrepot`
--

LOCK TABLES `llx_entrepot` WRITE;
/*!40000 ALTER TABLE `llx_entrepot` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_entrepot` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_event_element`
--

DROP TABLE IF EXISTS `llx_event_element`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_event_element` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_source` int(11) NOT NULL,
  `fk_target` int(11) NOT NULL,
  `targettype` varchar(32) NOT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_event_element`
--

LOCK TABLES `llx_event_element` WRITE;
/*!40000 ALTER TABLE `llx_event_element` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_event_element` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_events`
--

DROP TABLE IF EXISTS `llx_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_events` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `type` varchar(32) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `dateevent` datetime DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  `description` varchar(250) NOT NULL,
  `ip` varchar(32) NOT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  `fk_object` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_events_dateevent` (`dateevent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_events`
--

LOCK TABLES `llx_events` WRITE;
/*!40000 ALTER TABLE `llx_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_expedition`
--

DROP TABLE IF EXISTS `llx_expedition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_expedition` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_soc` int(11) NOT NULL,
  `ref_ext` varchar(30) DEFAULT NULL,
  `ref_int` varchar(30) DEFAULT NULL,
  `ref_customer` varchar(30) DEFAULT NULL,
  `date_creation` datetime DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `date_expedition` datetime DEFAULT NULL,
  `date_delivery` datetime DEFAULT NULL,
  `fk_address` int(11) DEFAULT NULL,
  `fk_shipping_method` int(11) DEFAULT NULL,
  `tracking_number` varchar(50) DEFAULT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `height` float DEFAULT NULL,
  `width` float DEFAULT NULL,
  `size_units` int(11) DEFAULT NULL,
  `size` float DEFAULT NULL,
  `weight_units` int(11) DEFAULT NULL,
  `weight` float DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_expedition_uk_ref` (`ref`,`entity`),
  KEY `idx_expedition_fk_soc` (`fk_soc`),
  KEY `idx_expedition_fk_user_author` (`fk_user_author`),
  KEY `idx_expedition_fk_user_valid` (`fk_user_valid`),
  KEY `idx_expedition_fk_shipping_method` (`fk_shipping_method`),
  CONSTRAINT `fk_expedition_fk_shipping_method` FOREIGN KEY (`fk_shipping_method`) REFERENCES `llx_c_shipment_mode` (`rowid`),
  CONSTRAINT `fk_expedition_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_expedition_fk_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_expedition_fk_user_valid` FOREIGN KEY (`fk_user_valid`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_expedition`
--

LOCK TABLES `llx_expedition` WRITE;
/*!40000 ALTER TABLE `llx_expedition` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_expedition` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_expeditiondet`
--

DROP TABLE IF EXISTS `llx_expeditiondet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_expeditiondet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_expedition` int(11) NOT NULL,
  `fk_origin_line` int(11) DEFAULT NULL,
  `fk_entrepot` int(11) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `rang` int(11) DEFAULT '0',
  PRIMARY KEY (`rowid`),
  KEY `idx_expeditiondet_fk_expedition` (`fk_expedition`),
  CONSTRAINT `fk_expeditiondet_fk_expedition` FOREIGN KEY (`fk_expedition`) REFERENCES `llx_expedition` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_expeditiondet`
--

LOCK TABLES `llx_expeditiondet` WRITE;
/*!40000 ALTER TABLE `llx_expeditiondet` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_expeditiondet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_expeditiondet_batch`
--

DROP TABLE IF EXISTS `llx_expeditiondet_batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_expeditiondet_batch` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_expeditiondet` int(11) NOT NULL,
  `eatby` date DEFAULT NULL,
  `sellby` date DEFAULT NULL,
  `batch` varchar(30) DEFAULT NULL,
  `qty` double NOT NULL DEFAULT '0',
  `fk_origin_stock` int(11) NOT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_fk_expeditiondet` (`fk_expeditiondet`),
  CONSTRAINT `fk_expeditiondet_batch_fk_expeditiondet` FOREIGN KEY (`fk_expeditiondet`) REFERENCES `llx_expeditiondet` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_expeditiondet_batch`
--

LOCK TABLES `llx_expeditiondet_batch` WRITE;
/*!40000 ALTER TABLE `llx_expeditiondet_batch` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_expeditiondet_batch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_expensereport`
--

DROP TABLE IF EXISTS `llx_expensereport`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_expensereport` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(50) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_number_int` int(11) DEFAULT NULL,
  `ref_ext` int(11) DEFAULT NULL,
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `date_debut` date NOT NULL,
  `date_fin` date NOT NULL,
  `date_create` datetime NOT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_approve` datetime DEFAULT NULL,
  `date_refuse` datetime DEFAULT NULL,
  `date_cancel` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_user_author` int(11) NOT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_validator` int(11) DEFAULT NULL,
  `fk_user_approve` int(11) DEFAULT NULL,
  `fk_user_refuse` int(11) DEFAULT NULL,
  `fk_user_cancel` int(11) DEFAULT NULL,
  `fk_statut` int(11) NOT NULL,
  `fk_c_paiement` int(11) DEFAULT NULL,
  `paid` smallint(6) NOT NULL DEFAULT '0',
  `note_public` text,
  `note_private` text,
  `detail_refuse` varchar(255) DEFAULT NULL,
  `detail_cancel` varchar(255) DEFAULT NULL,
  `integration_compta` int(11) DEFAULT NULL,
  `fk_bank_account` int(11) DEFAULT NULL,
  `model_pdf` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_expensereport`
--

LOCK TABLES `llx_expensereport` WRITE;
/*!40000 ALTER TABLE `llx_expensereport` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_expensereport` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_expensereport_det`
--

DROP TABLE IF EXISTS `llx_expensereport_det`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_expensereport_det` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_expensereport` int(11) NOT NULL,
  `fk_c_type_fees` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `comments` text NOT NULL,
  `product_type` int(11) DEFAULT '-1',
  `qty` double NOT NULL,
  `value_unit` double NOT NULL,
  `remise_percent` double DEFAULT NULL,
  `tva_tx` double(6,3) DEFAULT NULL,
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `total_ht` double(24,8) NOT NULL DEFAULT '0.00000000',
  `total_tva` double(24,8) NOT NULL DEFAULT '0.00000000',
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) NOT NULL DEFAULT '0.00000000',
  `date` date NOT NULL,
  `info_bits` int(11) DEFAULT '0',
  `special_code` int(11) DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_expensereport_det`
--

LOCK TABLES `llx_expensereport_det` WRITE;
/*!40000 ALTER TABLE `llx_expensereport_det` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_expensereport_det` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_export_compta`
--

DROP TABLE IF EXISTS `llx_export_compta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_export_compta` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(12) NOT NULL,
  `date_export` datetime NOT NULL,
  `fk_user` int(11) NOT NULL,
  `note` text,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_export_compta`
--

LOCK TABLES `llx_export_compta` WRITE;
/*!40000 ALTER TABLE `llx_export_compta` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_export_compta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_export_model`
--

DROP TABLE IF EXISTS `llx_export_model`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_export_model` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_user` int(11) NOT NULL DEFAULT '0',
  `label` varchar(50) NOT NULL,
  `type` varchar(20) NOT NULL,
  `field` text NOT NULL,
  `filter` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_export_model` (`label`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_export_model`
--

LOCK TABLES `llx_export_model` WRITE;
/*!40000 ALTER TABLE `llx_export_model` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_export_model` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_extrafields`
--

DROP TABLE IF EXISTS `llx_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `elementtype` varchar(64) NOT NULL DEFAULT 'member',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `label` varchar(255) NOT NULL,
  `type` varchar(8) DEFAULT NULL,
  `size` varchar(8) DEFAULT NULL,
  `fieldunique` int(11) DEFAULT '0',
  `fieldrequired` int(11) DEFAULT '0',
  `perms` varchar(255) DEFAULT NULL,
  `list` int(11) DEFAULT '0',
  `pos` int(11) DEFAULT '0',
  `alwayseditable` int(11) DEFAULT '0',
  `param` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_extrafields_name` (`name`,`entity`,`elementtype`)
) ENGINE=InnoDB AUTO_INCREMENT=3001004 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_extrafields`
--

LOCK TABLES `llx_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_extrafields` DISABLE KEYS */;
INSERT INTO `llx_extrafields` (`rowid`, `name`, `entity`, `elementtype`, `tms`, `label`, `type`, `size`, `fieldunique`, `fieldrequired`, `perms`, `list`, `pos`, `alwayseditable`, `param`) VALUES (3001001,'newline',1,'propal','2014-03-31 10:30:27','New line','sellist','',0,0,NULL,0,0,0,'a:1:{s:7:\"options\";a:1:{s:29:\"c_ultimatepdf_line:label:code\";N;}}'),(3001002,'newline',1,'commande','2014-03-31 10:30:27','New line','sellist','',0,0,NULL,0,0,0,'a:1:{s:7:\"options\";a:1:{s:29:\"c_ultimatepdf_line:label:code\";N;}}'),(3001003,'newline',1,'facture','2014-03-31 10:30:27','New line','sellist','',0,0,NULL,0,0,0,'a:1:{s:7:\"options\";a:1:{s:29:\"c_ultimatepdf_line:label:code\";N;}}');
/*!40000 ALTER TABLE `llx_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facture`
--

DROP TABLE IF EXISTS `llx_facture`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facture` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `facnumber` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_int` varchar(255) DEFAULT NULL,
  `ref_client` varchar(255) DEFAULT NULL,
  `type` smallint(6) NOT NULL DEFAULT '0',
  `increment` varchar(10) DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `datef` date DEFAULT NULL,
  `date_valid` date DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `paye` smallint(6) NOT NULL DEFAULT '0',
  `amount` double(24,8) NOT NULL DEFAULT '0.00000000',
  `remise_percent` double DEFAULT '0',
  `remise_absolue` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `close_code` varchar(16) DEFAULT NULL,
  `close_note` varchar(128) DEFAULT NULL,
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `revenuestamp` double(24,8) DEFAULT '0.00000000',
  `total` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_facture_source` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_currency` varchar(3) DEFAULT NULL,
  `fk_cond_reglement` int(11) NOT NULL DEFAULT '1',
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `date_lim_reglement` date DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `situation_cycle_ref` smallint(6) DEFAULT NULL,
  `situation_counter` smallint(6) DEFAULT NULL,
  `situation_final` smallint(6) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_facture_uk_facnumber` (`facnumber`,`entity`),
  KEY `idx_facture_fk_soc` (`fk_soc`),
  KEY `idx_facture_fk_user_author` (`fk_user_author`),
  KEY `idx_facture_fk_user_valid` (`fk_user_valid`),
  KEY `idx_facture_fk_facture_source` (`fk_facture_source`),
  KEY `idx_facture_fk_projet` (`fk_projet`),
  KEY `idx_facture_fk_account` (`fk_account`),
  KEY `idx_facture_fk_currency` (`fk_currency`),
  CONSTRAINT `fk_facture_fk_facture_source` FOREIGN KEY (`fk_facture_source`) REFERENCES `llx_facture` (`rowid`),
  CONSTRAINT `fk_facture_fk_projet` FOREIGN KEY (`fk_projet`) REFERENCES `llx_projet` (`rowid`),
  CONSTRAINT `fk_facture_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_facture_fk_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_facture_fk_user_valid` FOREIGN KEY (`fk_user_valid`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=244 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facture`
--

LOCK TABLES `llx_facture` WRITE;
/*!40000 ALTER TABLE `llx_facture` DISABLE KEYS */;
INSERT INTO `llx_facture` (`rowid`, `facnumber`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `type`, `increment`, `fk_soc`, `datec`, `datef`, `date_valid`, `tms`, `paye`, `amount`, `remise_percent`, `remise_absolue`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `revenuestamp`, `total`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `model_pdf`, `import_key`, `extraparams`, `situation_cycle_ref`, `situation_counter`, `situation_final`, `fk_incoterms`, `location_incoterms`) VALUES (1,'FC1601-0001',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2016-01-18 20:31:08','2016-01-15','2016-01-18','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,1,NULL,1,NULL,NULL,1,NULL,2,2,'2016-02-14','Facture &eacute;mise sous Excel ref 1601001','Recrutement Mr ONGNOKOLENE, entr&eacute;e NOVAXIOM le 05 janvier 2016.','crabe',NULL,NULL,NULL,NULL,1,0,''),(5,'FC1601-0002',1,NULL,NULL,'PA16001-002 ISO 9001',0,NULL,5,'2016-01-29 14:13:01','2016-01-29','2016-01-29','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,1344.00000000,0.00000000,0.00000000,0.00000000,6720.00000000,8064.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(6,'FC1601-0003',1,NULL,NULL,'PA1509-001',0,NULL,5,'2016-01-29 14:16:10','2016-01-29','2016-01-29','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,1008.00000000,0.00000000,0.00000000,0.00000000,5040.00000000,6048.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(7,'FC1601-0004',1,NULL,NULL,'PA16001-001',0,NULL,5,'2016-01-29 14:20:56','2016-01-29','2016-01-29','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,1344.00000000,0.00000000,0.00000000,0.00000000,6720.00000000,8064.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(8,'FC1601-0005',1,NULL,NULL,'DI 1511169516',0,NULL,2,'2016-01-29 15:47:20','2016-01-29','2016-01-29','2016-06-24 12:56:26',1,0.00000000,NULL,NULL,0,NULL,NULL,3440.00000000,0.00000000,0.00000000,0.00000000,17200.00000000,20640.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-02-29',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(9,'FC1602-0006',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2016-02-17 08:01:22','2016-02-17','2016-02-19','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,1,NULL,NULL,1,NULL,2,2,'2016-03-18','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(11,'FC1602-0007',1,NULL,NULL,'Prestation d\'études HSE et qualité',0,NULL,5,'2016-02-29 11:04:21','2016-02-29','2016-02-29','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,1008.00000000,0.00000000,0.00000000,0.00000000,5040.00000000,6048.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(12,'FC1602-0008',1,NULL,NULL,'PA1509-001',0,NULL,5,'2016-02-29 11:09:58','2016-02-29','2016-02-29','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,1008.00000000,0.00000000,0.00000000,0.00000000,5040.00000000,6048.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(13,'FC1602-0009',1,NULL,NULL,'PA16001-001',0,NULL,5,'2016-02-29 11:13:35','2016-02-29','2016-02-29','2016-06-24 13:02:17',1,0.00000000,NULL,NULL,0,NULL,NULL,1008.00000000,0.00000000,0.00000000,0.00000000,5040.00000000,6048.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(14,'FC1602-0010',1,NULL,NULL,'DI 1511169516',0,NULL,2,'2016-02-29 11:16:34','2016-02-29','2016-02-29','2016-06-24 12:56:26',1,0.00000000,NULL,NULL,0,NULL,NULL,3612.00000000,0.00000000,0.00000000,0.00000000,18060.00000000,21672.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-03-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(15,'FC1603-0011',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2016-03-14 16:11:10','2016-03-14','2016-03-14','2016-06-24 13:09:08',1,0.00000000,NULL,NULL,0,NULL,NULL,2400.00000000,0.00000000,0.00000000,0.00000000,12000.00000000,14400.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-04-13','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(16,'FC1603-0012',1,NULL,NULL,'PA16001-001',0,NULL,5,'2016-03-31 08:28:01','2016-03-31','2016-03-31','2016-06-24 13:12:13',1,0.00000000,NULL,NULL,0,NULL,NULL,1008.00000000,0.00000000,0.00000000,0.00000000,5040.00000000,6048.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(17,'FC1603-0013',1,NULL,NULL,'PA1509-001',0,NULL,5,'2016-03-31 08:38:27','2016-03-31','2016-03-31','2016-06-24 13:20:34',1,0.00000000,NULL,NULL,0,NULL,NULL,672.00000000,0.00000000,0.00000000,0.00000000,3360.00000000,4032.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(18,'FC1603-0014',1,NULL,NULL,'Prestations d\'études HSE et qualité',0,NULL,5,'2016-03-31 08:43:47','2016-03-31','2016-03-31','2016-06-24 13:12:13',1,0.00000000,NULL,NULL,0,NULL,NULL,1008.00000000,0.00000000,0.00000000,0.00000000,5040.00000000,6048.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(19,'FC1603-0015',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2016-03-31 08:47:58','2016-03-31','2016-03-31','2016-06-24 13:16:38',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-04-30','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(20,'FC1603-0016',1,NULL,NULL,'DI 160217 0287',0,NULL,2,'2016-03-31 19:24:09','2016-03-31','2016-03-31','2016-06-24 12:56:26',1,0.00000000,NULL,NULL,0,NULL,NULL,3096.00000000,0.00000000,0.00000000,0.00000000,15480.00000000,18576.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-04-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(21,'FC1604-0017',1,NULL,NULL,'CDC prestation recrutements',0,NULL,5,'2016-04-10 18:24:37','2016-04-11','2016-04-10','2016-06-24 13:20:34',1,0.00000000,NULL,NULL,0,NULL,NULL,982.80000000,0.00000000,0.00000000,0.00000000,4914.00000000,5896.80000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-06-10',NULL,'Aide &agrave; l&#39;organisation du recrutement','crabe',NULL,NULL,NULL,NULL,1,0,''),(22,'AV1604-0001',1,NULL,NULL,'Convention de recrutement 2015-11',2,NULL,5,'2016-04-20 15:45:48','2016-04-20','2016-04-20','2016-06-24 13:08:25',1,0.00000000,NULL,NULL,0,NULL,NULL,-600.00000000,0.00000000,0.00000000,0.00000000,-3000.00000000,-3600.00000000,2,4,NULL,4,15,NULL,1,NULL,0,2,'2016-04-20',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(23,'FC1604-0018',1,NULL,NULL,'DI 160217 0287',0,NULL,2,'2016-04-29 14:13:56','2016-04-29','2016-04-29','2016-06-24 12:56:26',1,0.00000000,NULL,NULL,0,NULL,NULL,3096.00000000,0.00000000,0.00000000,0.00000000,15480.00000000,18576.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-05-29',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(24,'FC1604-0019',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2016-04-29 14:21:05','2016-04-29','2016-04-29','2016-07-29 12:22:21',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-05-29','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(25,'FC1604-0020',1,NULL,NULL,'CDC prestation recrutements',0,NULL,5,'2016-04-29 14:31:48','2016-04-29','2016-04-29','2016-07-29 12:22:21',1,0.00000000,NULL,NULL,0,NULL,NULL,982.80000000,0.00000000,0.00000000,0.00000000,4914.00000000,5896.80000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-06-10',NULL,'Aide &agrave; l&#39;organisation du recrutement','crabe',NULL,NULL,NULL,NULL,1,0,''),(26,'FC1604-0021',1,NULL,NULL,'Admin Stéphanie',0,NULL,5,'2016-05-12 16:07:12','2016-04-30','2016-05-12','2016-06-24 13:23:15',1,0.00000000,NULL,NULL,0,NULL,NULL,260.00000000,0.00000000,0.00000000,0.00000000,1300.00000000,1560.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2016-06-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(27,'FC1605-0022',1,NULL,NULL,'DI 160217 0287',0,NULL,2,'2016-05-27 16:30:49','2016-05-31','2016-05-27','2016-09-02 12:24:35',1,0.00000000,NULL,NULL,0,NULL,NULL,2924.00000000,0.00000000,0.00000000,0.00000000,14620.00000000,17544.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-06-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(28,'FC1605-0023',1,NULL,NULL,'CDC prestation recrutements',0,NULL,5,'2016-05-27 16:44:07','2016-05-31','2016-05-27','2016-06-21 12:17:15',1,0.00000000,NULL,NULL,0,NULL,NULL,982.80000000,0.00000000,0.00000000,0.00000000,4914.00000000,5896.80000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-07-10',NULL,'Aide &agrave; l&#39;organisation du recrutement','crabe',NULL,NULL,NULL,NULL,1,0,''),(29,'FC1605-0024',1,NULL,NULL,'CDC presta sécurité',0,NULL,5,'2016-05-27 16:51:39','2016-05-31','2016-05-27','2016-06-21 12:17:15',1,0.00000000,NULL,NULL,0,NULL,NULL,2113.80000000,0.00000000,0.00000000,0.00000000,10569.00000000,12682.80000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(30,'FC1605-0025',1,NULL,NULL,'CDC équipe admin mp_C_v2',0,NULL,5,'2016-05-27 16:58:48','2016-05-31','2016-05-27','2016-07-29 12:22:21',1,0.00000000,NULL,NULL,0,NULL,NULL,1092.00000000,0.00000000,0.00000000,0.00000000,5460.00000000,6552.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(31,'FC1605-0026',1,NULL,NULL,'CDC équipe admin C_V2',0,NULL,5,'2016-05-27 17:05:47','2016-05-31','2016-05-27','2016-07-29 12:22:21',1,0.00000000,NULL,NULL,0,NULL,NULL,1881.60000000,0.00000000,0.00000000,0.00000000,9408.00000000,11289.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(33,'FC1605-0027',1,NULL,NULL,'CDC prestation d\'étude domaine admin : chef de mission',0,NULL,5,'2016-05-27 17:16:59','2016-05-31','2016-05-27','2016-07-29 12:22:21',1,0.00000000,NULL,NULL,0,NULL,NULL,1852.20000000,0.00000000,0.00000000,0.00000000,9261.00000000,11113.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(34,'FC1605-0028',1,NULL,NULL,'Contrat de mission 201-602-01',0,NULL,7,'2016-05-30 10:21:37','2016-05-31','2016-05-30','2016-07-01 09:38:58',1,0.00000000,NULL,NULL,0,NULL,NULL,390.00000000,0.00000000,0.00000000,0.00000000,1950.00000000,2340.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-06-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(35,'FC1605-0029',1,NULL,NULL,'CDC presta sécurité',0,NULL,5,'2016-05-30 10:27:34','2016-05-31','2016-05-30','2016-06-21 12:17:15',1,0.00000000,NULL,NULL,0,NULL,NULL,31.44000000,0.00000000,0.00000000,0.00000000,157.20000000,188.64000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(36,'FC1606-0030',1,NULL,NULL,'PA1604-007',0,NULL,5,'2016-06-30 10:53:02','2016-06-30','2016-06-30','2016-07-29 12:22:21',1,0.00000000,NULL,NULL,0,NULL,NULL,275.60000000,0.00000000,0.00000000,0.00000000,1378.00000000,1653.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-08-10',NULL,'Aide &agrave; l&#39;organisation du recrutement','crabe',NULL,NULL,NULL,NULL,1,0,''),(37,'FC1606-0031',1,NULL,NULL,'BPA 1604-003',0,NULL,5,'2016-06-30 10:58:00','2016-06-30','2016-06-30','2016-07-29 12:22:21',1,0.00000000,NULL,NULL,0,NULL,NULL,4.52000000,0.00000000,0.00000000,0.00000000,22.60000000,27.12000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(38,'FC1606-0032',1,NULL,NULL,'DI1605190862',0,NULL,2,'2016-07-01 14:48:54','2016-06-30','2016-07-01','2016-09-02 12:24:35',1,0.00000000,NULL,NULL,0,NULL,NULL,3268.00000000,0.00000000,0.00000000,0.00000000,16340.00000000,19608.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-07-31',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(39,'FC1607-0001',1,NULL,NULL,'DI1605190862',0,NULL,2,'2016-07-25 17:31:15','2016-07-29','2016-07-25','2016-09-30 09:22:56',1,0.00000000,NULL,NULL,0,NULL,NULL,2064.00000000,0.00000000,0.00000000,0.00000000,10320.00000000,12384.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-08-28',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(40,'FC1607-0002',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2016-07-28 17:32:55','2016-07-29','2016-07-28','2016-07-28 15:34:39',0,0.00000000,NULL,NULL,0,NULL,NULL,0.00000000,0.00000000,0.00000000,0.00000000,0.00000000,0.00000000,1,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-08-28','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(41,'FC1607-0003',1,NULL,NULL,'PA 1604-005',0,NULL,5,'2016-07-29 14:09:10','2016-07-29','2016-07-29','2016-09-16 12:40:31',1,0.00000000,NULL,NULL,0,NULL,NULL,1852.20000000,0.00000000,0.00000000,0.00000000,9261.00000000,11113.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(42,'FC1607-0004',1,NULL,NULL,'PA1604-004',0,NULL,5,'2016-07-29 14:13:02','2016-07-29','2016-07-29','2016-09-16 12:40:31',1,0.00000000,NULL,NULL,0,NULL,NULL,1411.20000000,0.00000000,0.00000000,0.00000000,7056.00000000,8467.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(43,'FC1607-0005',1,NULL,NULL,'PA1604-003',0,NULL,5,'2016-07-29 14:23:09','2016-07-29','2016-07-29','2016-09-02 12:21:01',1,0.00000000,NULL,NULL,0,NULL,NULL,2689.26000000,0.00000000,0.00000000,0.00000000,13446.30000000,16135.56000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(44,'FC1608-0006',1,NULL,NULL,'PA1604-004',0,NULL,5,'2016-09-01 18:26:59','2016-08-31','2016-09-02','2016-10-13 09:30:09',1,0.00000000,NULL,NULL,0,NULL,NULL,1411.20000000,0.00000000,0.00000000,0.00000000,7056.00000000,8467.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(45,'FC1608-0007',1,NULL,NULL,'PA 1604-005',0,NULL,5,'2016-09-01 18:31:15','2016-08-31','2016-09-02','2016-10-13 09:30:09',1,0.00000000,NULL,NULL,0,NULL,NULL,993.60000000,0.00000000,0.00000000,0.00000000,4968.00000000,5961.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(46,'FC1608-0008',1,NULL,NULL,'PA1604-003',0,NULL,5,'2016-09-01 18:34:47','2016-08-31','2016-09-02','2016-09-16 12:41:33',1,0.00000000,NULL,NULL,0,NULL,NULL,28.48000000,0.00000000,0.00000000,0.00000000,142.40000000,170.88000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(47,'FC1608-0009',1,NULL,NULL,'DI1605190862',0,NULL,2,'2016-09-02 14:08:33','2016-08-31','2016-09-02','2016-10-13 09:30:50',1,0.00000000,NULL,NULL,0,NULL,NULL,860.00000000,0.00000000,0.00000000,0.00000000,4300.00000000,5160.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-09-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(48,'FC1609-0010',1,NULL,NULL,'DI1607201256',0,NULL,2,'2016-09-30 11:25:02','2016-09-30','2016-09-30','2016-11-17 14:11:24',1,0.00000000,NULL,NULL,0,NULL,NULL,2064.00000000,0.00000000,0.00000000,0.00000000,10320.00000000,12384.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-10-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(49,'FC1609-0011',1,NULL,NULL,'PA 1609-001',0,NULL,5,'2016-09-30 11:34:55','2016-09-30','2016-09-30','2016-11-17 14:12:42',1,0.00000000,NULL,NULL,0,NULL,NULL,1753.80000000,0.00000000,0.00000000,0.00000000,8769.00000000,10522.80000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(50,'FC1609-0012',1,NULL,NULL,'PA1604-003',0,NULL,5,'2016-09-30 11:38:03','2016-09-30','2016-09-30','2016-11-17 14:12:42',1,0.00000000,NULL,NULL,0,NULL,NULL,2689.26000000,0.00000000,0.00000000,0.00000000,13446.30000000,16135.56000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(51,'FC1609-0013',1,NULL,NULL,'PA1604-003',0,NULL,5,'2016-09-30 11:40:52','2016-09-30','2016-09-30','2016-11-17 14:12:42',1,0.00000000,NULL,NULL,0,NULL,NULL,2.42000000,0.00000000,0.00000000,0.00000000,12.10000000,14.52000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2016-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(52,'FC1610-0014',1,NULL,NULL,'DI1607201256',0,NULL,2,'2016-11-02 14:52:45','2016-10-31','2016-11-02','2016-12-23 09:45:38',1,0.00000000,NULL,NULL,0,NULL,NULL,2064.00000000,0.00000000,0.00000000,0.00000000,10320.00000000,12384.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-11-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(53,'FC1611-0015',1,NULL,NULL,'BPA 1609-001',0,NULL,5,'2016-12-02 10:58:27','2016-11-30','2016-12-02','2017-01-16 07:36:48',1,0.00000000,NULL,NULL,0,NULL,NULL,3507.60000000,0.00000000,0.00000000,0.00000000,17538.00000000,21045.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(54,'FC1611-0016',1,NULL,NULL,'BPA 1604-003',0,NULL,5,'2016-12-02 11:02:31','2016-11-30','2016-12-02','2017-01-16 07:36:48',1,0.00000000,NULL,NULL,0,NULL,NULL,2689.26000000,0.00000000,0.00000000,0.00000000,13446.30000000,16135.56000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(55,'FC1611-0017',1,NULL,NULL,'BPA 1609-001',0,NULL,5,'2016-12-02 11:04:46','2016-11-30','2016-12-02','2017-01-16 07:36:48',1,0.00000000,NULL,NULL,0,NULL,NULL,384.00000000,0.00000000,0.00000000,0.00000000,1920.00000000,2304.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(56,'FC1611-0018',1,NULL,NULL,'PA1611-002',0,NULL,8,'2016-12-02 11:11:37','2016-11-30','2016-12-02','2017-03-03 14:38:07',1,0.00000000,NULL,NULL,0,NULL,NULL,480.00000000,0.00000000,0.00000000,0.00000000,2400.00000000,2880.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(57,'FC1611-0019',1,NULL,NULL,'DI1607201256',0,NULL,2,'2016-12-02 11:25:41','2016-11-30','2016-12-02','2017-01-06 10:15:36',1,0.00000000,NULL,NULL,0,NULL,NULL,2064.00000000,0.00000000,0.00000000,0.00000000,10320.00000000,12384.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-12-31',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(58,'FC1611-0020',1,NULL,NULL,'DI161206 2259',0,NULL,2,'2016-12-07 15:05:47','2016-11-30','2016-12-07','2017-03-03 14:40:51',1,0.00000000,NULL,NULL,0,NULL,NULL,420.00000000,0.00000000,0.00000000,0.00000000,2100.00000000,2520.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2016-12-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(59,'FC1612-0021',1,NULL,NULL,'PA1611-002',0,NULL,8,'2016-12-23 10:49:09','2016-12-31','2016-12-23','2017-03-03 14:38:07',1,0.00000000,NULL,NULL,0,NULL,NULL,440.00000000,0.00000000,0.00000000,0.00000000,2200.00000000,2640.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(60,'FC1612-0022',1,NULL,NULL,'PA1611-002',0,NULL,8,'2016-12-23 10:56:38','2016-12-31','2016-12-23','2017-03-03 14:38:07',1,0.00000000,NULL,NULL,0,NULL,NULL,119.94000000,0.00000000,0.00000000,0.00000000,599.70000000,719.64000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(61,'FC1612-0023',1,NULL,NULL,'DI1611092069',0,NULL,2,'2016-12-23 11:03:27','2016-12-31','2016-12-23','2017-03-03 14:40:51',1,0.00000000,NULL,NULL,0,NULL,NULL,1720.00000000,0.00000000,0.00000000,0.00000000,8600.00000000,10320.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-01-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(62,'FC1612-0024',1,NULL,NULL,'DI161206 2259',0,NULL,2,'2016-12-23 11:05:06','2016-12-31','2016-12-23','2017-03-03 14:40:51',1,0.00000000,NULL,NULL,0,NULL,NULL,2380.00000000,0.00000000,0.00000000,0.00000000,11900.00000000,14280.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-01-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(63,'FC1612-0025',1,NULL,NULL,'BPA 1609-001',0,NULL,5,'2016-12-23 11:26:55','2016-12-31','2016-12-23','2017-03-03 14:39:09',1,0.00000000,NULL,NULL,0,NULL,NULL,3263.60000000,0.00000000,0.00000000,0.00000000,16318.00000000,19581.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(64,'FC1612-0026',1,NULL,NULL,'BPA 1609-001',0,NULL,5,'2016-12-23 11:29:17','2016-12-31','2016-12-23','2017-03-03 14:39:09',1,0.00000000,NULL,NULL,0,NULL,NULL,768.00000000,0.00000000,0.00000000,0.00000000,3840.00000000,4608.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(65,'FC1612-0027',1,NULL,NULL,'BPA 1604-003',0,NULL,5,'2016-12-23 11:42:10','2016-12-31','2016-12-23','2017-03-03 14:39:09',1,0.00000000,NULL,NULL,0,NULL,NULL,26.42000000,0.00000000,0.00000000,0.00000000,132.10000000,158.52000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(66,'FC1701-0028',1,NULL,NULL,'DI161206 2259',0,NULL,2,'2017-01-26 13:32:19','2017-01-31','2017-01-26','2017-03-03 14:40:51',1,0.00000000,NULL,NULL,0,NULL,NULL,2870.00000000,0.00000000,0.00000000,0.00000000,14350.00000000,17220.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-02-28',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(67,'FC1701-0029',1,NULL,NULL,'DI1611092069',0,NULL,2,'2017-01-26 13:37:43','2017-01-31','2017-01-26','2017-03-03 14:40:51',1,0.00000000,NULL,NULL,0,NULL,NULL,2408.00000000,0.00000000,0.00000000,0.00000000,12040.00000000,14448.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-02-28',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(68,'FC1701-0030',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-01-31 11:23:02','2017-01-31','2017-01-31','2017-05-18 08:51:08',1,0.00000000,NULL,NULL,0,NULL,NULL,1247.00000000,0.00000000,0.00000000,0.00000000,6235.00000000,7482.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(69,'FC1701-0031',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-01-31 11:26:43','2017-01-31','2017-01-31','2017-03-15 07:57:12',1,0.00000000,NULL,NULL,0,NULL,NULL,2222.00000000,0.00000000,0.00000000,0.00000000,11110.00000000,13332.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(71,'FC1701-0032',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-01-31 11:32:08','2017-01-31','2017-01-31','2017-03-15 07:57:12',1,0.00000000,NULL,NULL,0,NULL,NULL,3600.00000000,0.00000000,0.00000000,0.00000000,18000.00000000,21600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-02-28','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(72,'FC1702-0033',1,NULL,NULL,'DI1611092069',0,NULL,2,'2017-02-28 08:18:14','2017-02-28','2017-02-28','2017-04-07 16:07:19',1,0.00000000,NULL,NULL,0,NULL,NULL,2408.00000000,0.00000000,0.00000000,0.00000000,12040.00000000,14448.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-03-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(73,'FC1702-0034',1,NULL,NULL,'DI161206 2259',0,NULL,2,'2017-02-28 08:20:16','2017-02-28','2017-02-28','2017-04-07 16:07:19',1,0.00000000,NULL,NULL,0,NULL,NULL,2660.00000000,0.00000000,0.00000000,0.00000000,13300.00000000,15960.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-03-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(74,'FC1702-0035',1,NULL,NULL,'PA1701-001-B',0,NULL,5,'2017-03-01 15:25:56','2017-02-28','2017-03-01','2017-05-18 08:51:08',1,0.00000000,NULL,NULL,0,NULL,NULL,116.00000000,0.00000000,0.00000000,0.00000000,580.00000000,696.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(75,'FC1702-0036',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-03-01 15:29:48','2017-02-28','2017-03-01','2017-05-18 08:51:08',1,0.00000000,NULL,NULL,0,NULL,NULL,174.00000000,0.00000000,0.00000000,0.00000000,870.00000000,1044.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(76,'FC1702-0037',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-03-01 15:37:57','2017-02-28','2017-03-01','2017-05-18 08:51:08',1,0.00000000,NULL,NULL,0,NULL,NULL,1808.00000000,0.00000000,0.00000000,0.00000000,9040.00000000,10848.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(77,'FC1703-0038',1,NULL,NULL,'DI1702222833',0,NULL,2,'2017-03-31 14:13:24','2017-03-31','2017-03-31','2017-05-18 08:31:17',1,0.00000000,NULL,NULL,0,NULL,NULL,1300.00000000,0.00000000,0.00000000,0.00000000,6500.00000000,7800.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-04-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(78,'FC1703-0039',1,NULL,NULL,'	Convention de recrutement 2015-11',0,NULL,5,'2017-03-31 14:17:04','2017-03-31','2017-03-31','2017-06-16 08:26:59',1,0.00000000,NULL,NULL,0,NULL,NULL,1200.00000000,0.00000000,0.00000000,0.00000000,6000.00000000,7200.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-04-30','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(79,'FC1703-0040',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-03-31 14:23:20','2017-03-31','2017-03-31','2017-05-18 08:28:14',1,0.00000000,NULL,NULL,0,NULL,NULL,2296.50000000,0.00000000,0.00000000,0.00000000,11482.50000000,13779.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(80,'FC1703-0041',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-03-31 14:31:37','2017-03-31','2017-03-31','2017-05-18 08:28:14',1,0.00000000,NULL,NULL,0,NULL,NULL,870.00000000,0.00000000,0.00000000,0.00000000,4350.00000000,5220.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(81,'FC1703-0042',1,NULL,NULL,'PA1701-001-B',0,NULL,5,'2017-03-31 14:35:45','2017-03-31','2017-03-31','2017-05-18 08:28:14',1,0.00000000,NULL,NULL,0,NULL,NULL,580.00000000,0.00000000,0.00000000,0.00000000,2900.00000000,3480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(82,'FC1704-0043',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-04-28 15:15:29','2017-04-28','2017-04-28','2017-06-16 08:27:00',1,0.00000000,NULL,NULL,0,NULL,NULL,1802.00000000,0.00000000,0.00000000,0.00000000,9010.00000000,10812.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-06-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(83,'FC1704-0044',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-04-28 15:19:41','2017-04-28','2017-04-28','2017-06-16 08:27:00',1,0.00000000,NULL,NULL,0,NULL,NULL,1073.00000000,0.00000000,0.00000000,0.00000000,5365.00000000,6438.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-06-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(84,'FC1704-0045',1,NULL,NULL,'DI1702222833',0,NULL,2,'2017-04-28 15:23:12','2017-04-28','2017-04-28','2017-06-09 13:59:32',1,0.00000000,NULL,NULL,0,NULL,NULL,1300.00000000,0.00000000,0.00000000,0.00000000,6500.00000000,7800.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-05-28',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(85,'FC1704-0046',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-04-28 15:24:58','2017-04-28','2017-04-28','2017-06-16 08:27:00',1,0.00000000,NULL,NULL,0,NULL,NULL,1800.00000000,0.00000000,0.00000000,0.00000000,9000.00000000,10800.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-05-28','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(86,'FC1704-0047',1,NULL,NULL,'PA1703-002',0,NULL,8,'2017-05-02 15:34:39','2017-04-28','2017-05-02','2017-06-16 08:25:43',1,0.00000000,NULL,NULL,0,NULL,NULL,1040.00000000,0.00000000,0.00000000,0.00000000,5200.00000000,6240.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-06-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(87,'FC1704-0048',1,NULL,NULL,'PA1703-002',0,NULL,8,'2017-05-02 15:40:27','2017-04-28','2017-05-02','2017-06-16 08:25:43',1,0.00000000,NULL,NULL,0,NULL,NULL,98.00000000,0.00000000,0.00000000,0.00000000,490.00000000,588.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-06-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(88,'FC1704-0049',1,NULL,NULL,'PA1703-003',0,NULL,8,'2017-05-04 17:16:42','2017-04-28','2017-05-04','2017-06-16 08:25:43',1,0.00000000,NULL,NULL,0,NULL,NULL,684.00000000,0.00000000,0.00000000,0.00000000,3420.00000000,4104.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-06-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(89,'FC1704-0050',1,NULL,NULL,'PA1703-003',0,NULL,8,'2017-05-04 17:19:17','2017-04-28','2017-05-04','2017-06-16 08:25:43',1,0.00000000,NULL,NULL,0,NULL,NULL,81.00000000,0.00000000,0.00000000,0.00000000,405.00000000,486.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-06-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(90,'FC1705-0051',1,NULL,NULL,'PA1704-001',0,NULL,10,'2017-05-18 15:25:34','2017-05-05','2017-06-13','2017-07-07 07:54:02',1,0.00000000,NULL,NULL,0,NULL,NULL,646.00000000,0.00000000,0.00000000,0.00000000,3230.00000000,3876.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(91,'FC1705-0052',1,NULL,NULL,'DI 170420 3137',0,NULL,2,'2017-06-01 08:04:55','2017-05-31','2017-06-01','2017-07-07 07:54:53',1,0.00000000,NULL,NULL,0,NULL,NULL,1032.00000000,0.00000000,0.00000000,0.00000000,5160.00000000,6192.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-06-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(92,'FC1705-0053',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-06-02 09:49:45','2017-05-31','2017-06-02','2017-07-12 09:26:57',1,0.00000000,NULL,NULL,0,NULL,NULL,3000.00000000,0.00000000,0.00000000,0.00000000,15000.00000000,18000.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-06-30','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(93,'FC1705-0054',1,NULL,NULL,'PA1703-002',0,NULL,8,'2017-06-02 09:56:13','2017-05-31','2017-06-02','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,1680.00000000,0.00000000,0.00000000,0.00000000,8400.00000000,10080.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(94,'FC1705-0055',1,NULL,NULL,'PA1703-002',0,NULL,8,'2017-06-02 10:02:55','2017-05-31','2017-06-02','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,184.00000000,0.00000000,0.00000000,0.00000000,920.00000000,1104.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(95,'FC1705-0056',1,NULL,NULL,'PA1703-003',0,NULL,8,'2017-06-02 10:15:02','2017-05-31','2017-06-02','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,1444.00000000,0.00000000,0.00000000,0.00000000,7220.00000000,8664.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(96,'FC1705-0057',1,NULL,NULL,'PA1703-003',0,NULL,8,'2017-06-02 10:17:36','2017-05-31','2017-06-02','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,171.00000000,0.00000000,0.00000000,0.00000000,855.00000000,1026.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(97,'FC1705-0058',1,NULL,NULL,'527683 Holweg',0,NULL,9,'2017-06-02 10:31:56','2017-05-31','2017-06-02','2017-07-25 06:49:13',1,0.00000000,NULL,NULL,0,NULL,NULL,755.20000000,0.00000000,0.00000000,0.00000000,3776.00000000,4531.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(98,'FC1705-0059',1,NULL,NULL,'527708 Holweg',0,NULL,9,'2017-06-02 10:40:34','2017-05-31','2017-06-02','2017-07-25 06:49:14',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(99,'FC1705-0060',1,NULL,NULL,'527690 Quinoa',0,NULL,9,'2017-06-02 10:46:38','2017-05-31','2017-06-02','2017-07-25 06:49:14',1,0.00000000,NULL,NULL,0,NULL,NULL,690.80000000,0.00000000,0.00000000,0.00000000,3454.00000000,4144.80000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(100,'FC1705-0061',1,NULL,NULL,'527714 Quinoa',0,NULL,9,'2017-06-02 10:50:10','2017-05-31','2017-06-02','2017-07-25 06:49:14',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(101,'FC1705-0062',1,NULL,NULL,'527693 Dalloyau',0,NULL,9,'2017-06-02 10:53:14','2017-05-31','2017-06-02','2017-07-25 06:49:14',1,0.00000000,NULL,NULL,0,NULL,NULL,380.80000000,0.00000000,0.00000000,0.00000000,1904.00000000,2284.80000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(102,'FC1705-0063',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-06-02 11:14:55','2017-05-31','2017-06-02','2017-07-12 09:26:57',1,0.00000000,NULL,NULL,0,NULL,NULL,2014.00000000,0.00000000,0.00000000,0.00000000,10070.00000000,12084.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(103,'FC1705-0064',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-06-02 11:17:42','2017-05-31','2017-06-02','2017-07-12 09:26:57',1,0.00000000,NULL,NULL,0,NULL,NULL,928.00000000,0.00000000,0.00000000,0.00000000,4640.00000000,5568.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(104,'FC1705-0065',1,NULL,NULL,'Profils',0,NULL,12,'2017-06-02 11:29:58','2017-05-31','2017-06-02','2017-09-29 12:59:42',1,0.00000000,NULL,NULL,0,NULL,NULL,200.00000000,0.00000000,0.00000000,0.00000000,1000.00000000,1200.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-07-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(105,'FC1706-0066',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-06-30 14:20:49','2017-06-30','2017-06-30','2017-09-29 13:05:55',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-07-30','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(106,'FC1706-0067',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-06-30 14:23:57','2017-06-30','2017-07-03','2017-09-29 13:05:55',1,0.00000000,NULL,NULL,0,NULL,NULL,1160.00000000,0.00000000,0.00000000,0.00000000,5800.00000000,6960.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(107,'FC1706-0068',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-06-30 14:27:12','2017-06-30','2017-07-03','2017-09-29 13:05:55',1,0.00000000,NULL,NULL,0,NULL,NULL,2146.50000000,0.00000000,0.00000000,0.00000000,10732.50000000,12879.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(108,'FC1706-0069',1,NULL,NULL,'527960 Quinoa',0,NULL,9,'2017-06-30 15:09:09','2017-06-30','2017-06-30','2017-09-29 13:08:16',1,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(109,'FC1706-0070',1,NULL,NULL,'527948 Holweg',0,NULL,9,'2017-06-30 15:13:20','2017-06-30','2017-06-30','2017-09-29 13:08:16',1,0.00000000,NULL,NULL,0,NULL,NULL,400.00000000,0.00000000,0.00000000,0.00000000,2000.00000000,2400.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(110,'FC1706-0071',1,NULL,NULL,'527964 Dalloyau',0,NULL,9,'2017-06-30 15:16:17','2017-06-30','2017-07-03','2017-09-29 13:08:16',1,0.00000000,NULL,NULL,0,NULL,NULL,160.00000000,0.00000000,0.00000000,0.00000000,800.00000000,960.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(111,'FC1706-0072',1,NULL,NULL,'528041 IHFB',0,NULL,9,'2017-06-30 15:19:33','2017-06-30','2017-06-30','2017-09-29 13:08:16',1,0.00000000,NULL,NULL,0,NULL,NULL,308.60000000,0.00000000,0.00000000,0.00000000,1543.00000000,1851.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(112,'FC1706-0073',1,NULL,NULL,'528085 DURALEX',0,NULL,9,'2017-06-30 15:23:58','2017-06-30','2017-06-30','2017-09-29 13:08:16',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(113,'FC1706-0074',1,NULL,NULL,'PA1703-002',0,NULL,8,'2017-06-30 15:27:54','2017-06-30','2017-06-30','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,1440.00000000,0.00000000,0.00000000,0.00000000,7200.00000000,8640.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(115,'FC1706-0075',1,NULL,NULL,'PA1703-002 Galien',0,NULL,8,'2017-06-30 15:35:46','2017-06-30','2017-06-30','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,92.00000000,0.00000000,0.00000000,0.00000000,460.00000000,552.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(116,'FC1706-0076',1,NULL,NULL,'DI 170420 3137',0,NULL,2,'2017-06-30 15:53:34','2017-06-30','2017-06-30','2017-09-29 13:11:23',1,0.00000000,NULL,NULL,0,NULL,NULL,1333.00000000,0.00000000,0.00000000,0.00000000,6665.00000000,7998.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-07-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(117,'FC1706-0077',1,NULL,NULL,'PA1703-003',0,NULL,8,'2017-06-30 15:55:21','2017-06-30','2017-06-30','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,1672.00000000,0.00000000,0.00000000,0.00000000,8360.00000000,10032.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(118,'FC1706-0078',1,NULL,NULL,'PA1703-003',0,NULL,8,'2017-06-30 15:57:25','2017-06-30','2017-06-30','2017-09-29 12:57:23',1,0.00000000,NULL,NULL,0,NULL,NULL,198.00000000,0.00000000,0.00000000,0.00000000,990.00000000,1188.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(119,'FC1706-0079',1,NULL,NULL,'528161 Dalloyau',0,NULL,9,'2017-07-03 09:18:15','2017-06-30','2017-07-03','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-08-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(120,'FC1707-0001',1,NULL,NULL,'527948 Holweg',0,NULL,9,'2017-07-28 08:46:32','2017-07-31','2017-07-28','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,519.40000000,0.00000000,0.00000000,0.00000000,2597.00000000,3116.40000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(121,'FC1707-0002',1,NULL,NULL,'527960 Quinoa',0,NULL,9,'2017-07-28 08:58:18','2017-07-31','2017-07-28','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,566.40000000,0.00000000,0.00000000,0.00000000,2832.00000000,3398.40000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(122,'FC1707-0003',1,NULL,NULL,'527964 Dalloyau',0,NULL,9,'2017-07-28 09:04:34','2017-07-31','2017-07-28','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(123,'FC1707-0004',1,NULL,NULL,'528322 Dalloyau',0,NULL,9,'2017-07-28 09:08:08','2017-07-31','2017-07-28','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(124,'FC1707-0005',1,NULL,NULL,'528155 IHFB',0,NULL,9,'2017-07-28 09:10:35','2017-07-31','2017-07-28','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(125,'FC1707-0006',1,NULL,NULL,'528085 DURALEX',0,NULL,9,'2017-07-28 09:14:17','2017-07-31','2017-07-28','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,438.00000000,0.00000000,0.00000000,0.00000000,2190.00000000,2628.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(126,'FC1707-0007',1,NULL,NULL,'DI 170420 3137',0,NULL,2,'2017-07-28 09:17:10','2017-07-31','2017-07-28','2017-11-21 17:20:32',1,0.00000000,NULL,NULL,0,NULL,NULL,559.00000000,0.00000000,0.00000000,0.00000000,2795.00000000,3354.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-08-30',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(127,'FC1707-0008',1,NULL,NULL,'PA1703-002 Galien',0,NULL,8,'2017-07-28 09:20:17','2017-07-31','2017-07-28','2017-09-29 12:59:02',1,0.00000000,NULL,NULL,0,NULL,NULL,1280.00000000,0.00000000,0.00000000,0.00000000,6400.00000000,7680.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(128,'FC1707-0009',1,NULL,NULL,'PA1703-002 Galien',0,NULL,8,'2017-07-28 09:25:16','2017-07-31','2017-07-28','2017-09-29 12:59:02',1,0.00000000,NULL,NULL,0,NULL,NULL,46.00000000,0.00000000,0.00000000,0.00000000,230.00000000,276.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(129,'FC1707-0010',1,NULL,NULL,'PA1703-003 SVN',0,NULL,8,'2017-07-28 09:28:53','2017-07-31','2017-07-28','2017-09-29 12:59:02',1,0.00000000,NULL,NULL,0,NULL,NULL,1444.00000000,0.00000000,0.00000000,0.00000000,7220.00000000,8664.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(130,'FC1707-0011',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-07-28 09:57:52','2017-07-31','2017-07-28','2017-09-29 13:06:49',1,0.00000000,NULL,NULL,0,NULL,NULL,2067.00000000,0.00000000,0.00000000,0.00000000,10335.00000000,12402.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(131,'FC1707-0012',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-07-28 10:02:06','2017-07-31','2017-07-28','2017-09-29 13:06:49',1,0.00000000,NULL,NULL,0,NULL,NULL,1160.00000000,0.00000000,0.00000000,0.00000000,5800.00000000,6960.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(132,'FC1707-0013',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-07-28 10:04:05','2017-07-31','2017-07-28','2017-09-29 13:06:49',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-08-30','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(133,'FC1707-0014',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-07-28 10:10:07','2017-07-31','2017-07-28','2017-11-22 08:28:54',1,0.00000000,NULL,NULL,0,NULL,NULL,900.00000000,0.00000000,0.00000000,0.00000000,4500.00000000,5400.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(134,'FC1707-0015',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-07-28 10:15:29','2017-07-31','2017-07-31','2017-09-29 12:59:02',1,0.00000000,NULL,NULL,0,NULL,NULL,167.18000000,0.00000000,0.00000000,0.00000000,835.90000000,1003.08000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(135,'FC1707-0016',1,NULL,NULL,'528320 DURALEX',0,NULL,9,'2017-07-28 15:58:09','2017-07-31','2017-07-28','2017-09-29 13:10:08',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-09-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(136,'FC1708-0017',1,NULL,NULL,'528325 IHFB',0,NULL,9,'2017-09-01 14:39:39','2017-08-31','2017-09-01','2017-11-14 08:18:49',1,0.00000000,NULL,NULL,0,NULL,NULL,160.00000000,0.00000000,0.00000000,0.00000000,800.00000000,960.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(137,'FC1708-0018',1,NULL,NULL,'528327 Quinoa',0,NULL,9,'2017-09-01 14:46:01','2017-08-31','2017-09-01','2017-11-14 08:18:49',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(138,'FC1708-0019',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-09-01 14:53:53','2017-08-31','2017-09-01','2017-11-22 08:28:54',1,0.00000000,NULL,NULL,0,NULL,NULL,480.00000000,0.00000000,0.00000000,0.00000000,2400.00000000,2880.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(139,'FC1708-0020',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-09-01 14:59:17','2017-08-31','2017-09-01','2017-11-22 08:28:54',1,0.00000000,NULL,NULL,0,NULL,NULL,82.00000000,0.00000000,0.00000000,0.00000000,410.00000000,492.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(141,'FC1708-0021',1,NULL,NULL,'PA1703-003 SVN',0,NULL,8,'2017-09-01 15:05:33','2017-08-31','2017-09-01','2017-11-22 08:28:54',1,0.00000000,NULL,NULL,0,NULL,NULL,912.00000000,0.00000000,0.00000000,0.00000000,4560.00000000,5472.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(142,'FC1708-0022',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-09-01 15:13:26','2017-08-31','2017-09-01','2017-11-22 08:28:54',1,0.00000000,NULL,NULL,0,NULL,NULL,1400.00000000,0.00000000,0.00000000,0.00000000,7000.00000000,8400.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(143,'FC1708-0023',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-09-01 15:20:19','2017-08-31','2017-09-01','2017-11-22 08:29:44',1,0.00000000,NULL,NULL,0,NULL,NULL,297.67000000,0.00000000,0.00000000,0.00000000,1488.33000000,1786.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(144,'FC1708-0024',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-09-01 15:27:55','2017-08-31','2017-09-01','2017-11-22 08:30:40',1,0.00000000,NULL,NULL,0,NULL,NULL,1044.00000000,0.00000000,0.00000000,0.00000000,5220.00000000,6264.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(145,'FC1708-0025',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-09-01 15:30:42','2017-08-31','2017-09-01','2017-11-22 08:30:40',1,0.00000000,NULL,NULL,0,NULL,NULL,1325.00000000,0.00000000,0.00000000,0.00000000,6625.00000000,7950.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-10-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(146,'FC1708-0026',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-09-01 18:23:19','2017-08-31','2017-09-01','2017-11-22 08:30:40',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-09-30','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(147,'FC1709-0027',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-09-29 12:35:59','2017-09-29','2017-09-29','2017-11-21 17:17:56',1,0.00000000,NULL,NULL,0,NULL,NULL,1040.00000000,0.00000000,0.00000000,0.00000000,5200.00000000,6240.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(148,'FC1709-0028',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-09-29 12:39:51','2017-09-29','2017-09-29','2017-11-21 17:17:57',1,0.00000000,NULL,NULL,0,NULL,NULL,46.00000000,0.00000000,0.00000000,0.00000000,230.00000000,276.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(149,'FC1709-0029',1,NULL,NULL,'528508 DURALEX',0,NULL,9,'2017-09-29 12:42:21','2017-09-29','2017-09-29','2017-11-14 07:29:59',1,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(150,'FC1709-0030',1,NULL,NULL,'528432 IHFB',0,NULL,9,'2017-09-29 12:44:41','2017-09-29','2017-09-29','2017-11-14 07:29:59',1,0.00000000,NULL,NULL,0,NULL,NULL,372.00000000,0.00000000,0.00000000,0.00000000,1860.00000000,2232.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(151,'FC1709-0031',1,NULL,NULL,'528465 Quinoa',0,NULL,9,'2017-09-29 12:49:05','2017-09-29','2017-09-29','2017-11-14 07:29:59',1,0.00000000,NULL,NULL,0,NULL,NULL,413.60000000,0.00000000,0.00000000,0.00000000,2068.00000000,2481.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(152,'FC1709-0032',1,NULL,NULL,'528490 Dalloyau',0,NULL,9,'2017-09-29 12:52:15','2017-09-29','2017-09-29','2017-11-14 07:29:59',1,0.00000000,NULL,NULL,0,NULL,NULL,403.40000000,0.00000000,0.00000000,0.00000000,2017.00000000,2420.40000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(153,'FC1709-0033',1,NULL,NULL,'528456 Holweg',0,NULL,9,'2017-09-29 12:56:16','2017-09-29','2017-10-02','2017-11-14 07:29:59',1,0.00000000,NULL,NULL,0,NULL,NULL,160.00000000,0.00000000,0.00000000,0.00000000,800.00000000,960.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(154,'FC1709-0034',1,NULL,NULL,'PA1703-003 SVN',0,NULL,8,'2017-09-29 12:58:33','2017-09-29','2017-09-29','2017-11-21 17:17:57',1,0.00000000,NULL,NULL,0,NULL,NULL,1596.00000000,0.00000000,0.00000000,0.00000000,7980.00000000,9576.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(155,'FC1709-0035',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-09-29 14:50:51','2017-09-29','2017-09-29','2017-11-21 17:17:57',1,0.00000000,NULL,NULL,0,NULL,NULL,1200.00000000,0.00000000,0.00000000,0.00000000,6000.00000000,7200.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(156,'FC1709-0036',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-09-29 15:12:28','2017-09-29','2017-09-29','2017-11-21 17:19:52',1,0.00000000,NULL,NULL,0,NULL,NULL,638.00000000,0.00000000,0.00000000,0.00000000,3190.00000000,3828.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(157,'FC1709-0037',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-09-29 15:14:36','2017-09-29','2017-09-29','2017-11-21 17:19:52',1,0.00000000,NULL,NULL,0,NULL,NULL,2146.50000000,0.00000000,0.00000000,0.00000000,10732.50000000,12879.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(158,'FC1709-0038',1,NULL,NULL,'529152 Holweg',0,NULL,9,'2017-10-02 11:03:36','2017-09-29','2017-10-02','2017-11-14 07:30:00',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(159,'FC1709-0039',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-10-02 11:06:20','2017-09-29','2017-10-02','2017-11-21 17:17:57',1,0.00000000,NULL,NULL,0,NULL,NULL,282.20000000,0.00000000,0.00000000,0.00000000,1411.01000000,1693.21000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-11-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(160,'FC1710-0040',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-10-31 10:54:15','2017-10-31','2017-10-31','2018-01-17 17:43:57',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-11-30','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(161,'FC1710-0041',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-10-31 11:11:07','2017-10-31','2017-10-31','2018-01-17 17:43:57',1,0.00000000,NULL,NULL,0,NULL,NULL,1597.00000000,0.00000000,0.00000000,0.00000000,7985.00000000,9582.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(162,'FC1710-0042',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-10-31 11:14:29','2017-10-31','2017-10-31','2018-01-17 17:43:57',1,0.00000000,NULL,NULL,0,NULL,NULL,2311.00000000,0.00000000,0.00000000,0.00000000,11555.00000000,13866.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(163,'FC1710-0043',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-10-31 11:37:14','2017-10-31','2017-10-31','2018-01-18 15:48:18',1,0.00000000,NULL,NULL,0,NULL,NULL,800.00000000,0.00000000,0.00000000,0.00000000,4000.00000000,4800.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(164,'FC1710-0044',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-10-31 11:39:32','2017-10-31','2017-11-02','2018-01-18 15:48:18',1,0.00000000,NULL,NULL,0,NULL,NULL,46.00000000,0.00000000,0.00000000,0.00000000,230.00000000,276.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(165,'FC1710-0045',1,NULL,NULL,'529079 Holweg',0,NULL,9,'2017-10-31 11:42:12','2017-10-31','2017-10-31','2018-01-17 17:42:34',1,0.00000000,NULL,NULL,0,NULL,NULL,598.20000000,0.00000000,0.00000000,0.00000000,2991.00000000,3589.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(166,'FC1710-0046',1,NULL,NULL,'529586 Holweg',0,NULL,9,'2017-10-31 11:45:41','2017-10-31','2017-10-31','2018-01-17 17:42:34',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(167,'FC1710-0047',1,NULL,NULL,'529081 Dalloyau',0,NULL,9,'2017-10-31 11:48:32','2017-10-31','2017-10-31','2018-01-17 17:42:34',1,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(169,'FC1710-0048',1,NULL,NULL,'529082 DURALEX',0,NULL,9,'2017-10-31 11:51:17','2017-10-31','2017-10-31','2018-01-17 17:42:34',1,0.00000000,NULL,NULL,0,NULL,NULL,439.60000000,0.00000000,0.00000000,0.00000000,2198.00000000,2637.60000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(170,'FC1710-0049',1,NULL,NULL,'529072 IHFB',0,NULL,9,'2017-10-31 11:55:01','2017-10-31','2017-10-31','2018-01-17 17:42:34',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(171,'FC1710-0050',1,NULL,NULL,'529080 Quinoa',0,NULL,9,'2017-10-31 11:57:04','2017-10-31','2017-10-31','2018-01-17 17:42:34',1,0.00000000,NULL,NULL,0,NULL,NULL,487.20000000,0.00000000,0.00000000,0.00000000,2436.00000000,2923.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(172,'FC1710-0051',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-10-31 12:01:41','2017-10-31','2017-10-31','2018-01-18 15:48:18',1,0.00000000,NULL,NULL,0,NULL,NULL,1200.00000000,0.00000000,0.00000000,0.00000000,6000.00000000,7200.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(173,'FC1710-0052',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-10-31 12:05:05','2017-10-31','2017-10-31','2018-01-18 15:48:18',1,0.00000000,NULL,NULL,0,NULL,NULL,367.51000000,0.00000000,0.00000000,0.00000000,1837.55000000,2205.06000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(174,'FC1710-0053',1,NULL,NULL,'PA1703-003 SVN',0,NULL,8,'2017-10-31 12:10:20','2017-10-31','2017-10-31','2018-01-18 15:48:18',1,0.00000000,NULL,NULL,0,NULL,NULL,1672.00000000,0.00000000,0.00000000,0.00000000,8360.00000000,10032.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2017-12-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(175,'FC1711-0054',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-12-01 10:19:05','2017-11-30','2017-12-01','2018-01-17 17:30:06',1,0.00000000,NULL,NULL,0,NULL,NULL,2138.00000000,0.00000000,0.00000000,0.00000000,10690.00000000,12828.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(176,'FC1711-0055',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-12-01 10:23:58','2017-11-30','2017-12-01','2018-01-17 17:30:06',1,0.00000000,NULL,NULL,0,NULL,NULL,1323.00000000,0.00000000,0.00000000,0.00000000,6615.00000000,7938.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(177,'FC1711-0056',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-12-01 10:27:13','2017-11-30','2017-12-01','2018-01-17 17:30:06',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2017-12-31','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(178,'FC1711-0057',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-12-01 11:28:58','2017-11-30','2017-12-01','2018-01-31 17:10:21',1,0.00000000,NULL,NULL,0,NULL,NULL,1200.00000000,0.00000000,0.00000000,0.00000000,6000.00000000,7200.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(179,'FC1711-0058',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-12-01 11:32:17','2017-11-30','2017-12-01','2018-01-31 17:10:21',1,0.00000000,NULL,NULL,0,NULL,NULL,92.00000000,0.00000000,0.00000000,0.00000000,460.00000000,552.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(180,'FC1711-0059',1,NULL,NULL,'529666 Quinoa',0,NULL,9,'2017-12-01 11:35:35','2017-11-30','2017-12-01','2018-01-17 17:27:50',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(181,'FC1711-0060',1,NULL,NULL,'529675 DURALEX',0,NULL,9,'2017-12-01 11:42:51','2017-11-30','2017-12-01','2018-01-17 17:27:50',1,0.00000000,NULL,NULL,0,NULL,NULL,524.20000000,0.00000000,0.00000000,0.00000000,2621.00000000,3145.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(182,'FC1711-0061',1,NULL,NULL,'529672 Dalloyau',0,NULL,9,'2017-12-01 11:46:53','2017-11-30','2017-12-01','2018-01-17 17:27:50',1,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(183,'FC1711-0062',1,NULL,NULL,'529661 Holweg',0,NULL,9,'2017-12-01 11:50:28','2017-11-30','2017-12-01','2018-01-17 17:27:50',1,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(184,'FC1711-0063',1,NULL,NULL,'529658 IHFB',0,NULL,9,'2017-12-01 11:57:55','2017-11-30','2017-12-01','2018-01-17 17:27:50',1,0.00000000,NULL,NULL,0,NULL,NULL,307.20000000,0.00000000,0.00000000,0.00000000,1536.00000000,1843.20000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(185,'FC1711-0064',1,NULL,NULL,'PA1703-003 SVN',0,NULL,8,'2017-12-01 12:00:50','2017-11-30','2017-12-01','2018-01-31 17:10:21',1,0.00000000,NULL,NULL,0,NULL,NULL,1596.00000000,0.00000000,0.00000000,0.00000000,7980.00000000,9576.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(186,'FC1711-0065',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-12-01 12:03:05','2017-11-30','2017-12-01','2018-01-31 17:10:21',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(187,'FC1711-0066',1,NULL,NULL,'PA1611-002 LSM',0,NULL,8,'2017-12-01 12:06:12','2017-11-30','2017-12-01','2018-01-31 17:10:21',1,0.00000000,NULL,NULL,0,NULL,NULL,149.86000000,0.00000000,0.00000000,0.00000000,749.30000000,899.16000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(188,'FC1711-0067',1,NULL,NULL,'PA1711-001 DOC',0,NULL,8,'2017-12-01 12:12:35','2017-11-30','2017-12-01','2018-01-31 17:10:21',1,0.00000000,NULL,NULL,0,NULL,NULL,480.00000000,0.00000000,0.00000000,0.00000000,2400.00000000,2880.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(189,'FC1711-0068',1,NULL,NULL,'PA1711-001 DOC',0,NULL,8,'2017-12-01 12:14:59','2017-11-30','2017-12-01','2018-01-31 17:10:21',1,0.00000000,NULL,NULL,0,NULL,NULL,108.00000000,0.00000000,0.00000000,0.00000000,540.00000000,648.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-01-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(190,'FC1712-0069',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-12-22 11:07:01','2017-12-22','2017-12-22','2018-02-13 08:15:40',1,0.00000000,NULL,NULL,0,NULL,NULL,960.00000000,0.00000000,0.00000000,0.00000000,4800.00000000,5760.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(191,'FC1712-0070',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2017-12-22 11:13:24','2017-12-22','2017-12-22','2018-02-13 08:15:40',1,0.00000000,NULL,NULL,0,NULL,NULL,56.00000000,0.00000000,0.00000000,0.00000000,280.00000000,336.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(192,'FC1712-0071',1,NULL,NULL,'PA1711-001 DOC',0,NULL,8,'2017-12-22 11:18:43','2017-12-22','2017-12-22','2018-02-13 08:15:41',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(193,'FC1712-0072',1,NULL,NULL,'530130 IHFB',0,NULL,9,'2017-12-22 11:27:45','2017-12-22','2017-12-22','2018-02-13 08:14:12',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(194,'FC1712-0073',1,NULL,NULL,'530461 IHFB',0,NULL,9,'2017-12-22 11:29:47','2017-12-22','2017-12-22','2018-02-13 08:14:12',1,0.00000000,NULL,NULL,0,NULL,NULL,140.40000000,0.00000000,0.00000000,0.00000000,702.00000000,842.40000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(195,'FC1712-0074',1,NULL,NULL,'530136 Holweg',0,NULL,9,'2017-12-22 11:33:59','2017-12-22','2017-12-22','2018-02-13 08:14:12',1,0.00000000,NULL,NULL,0,NULL,NULL,598.40000000,0.00000000,0.00000000,0.00000000,2992.00000000,3590.40000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(196,'FC1712-0075',1,NULL,NULL,'530137 Dalloyau',0,NULL,9,'2017-12-22 11:37:05','2017-12-22','2017-12-22','2018-02-13 08:14:12',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(197,'FC1712-0076',1,NULL,NULL,'530138 DURALEX',0,NULL,9,'2017-12-22 11:39:31','2017-12-22','2017-12-22','2018-02-13 08:14:12',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(198,'FC1712-0077',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2017-12-22 11:42:51','2017-12-22','2017-12-22','2018-02-13 08:16:40',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2018-01-21','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(199,'FC1712-0078',1,NULL,NULL,'PA1701-001',0,NULL,5,'2017-12-22 11:45:00','2017-12-22','2017-12-22','2018-02-13 08:16:40',1,0.00000000,NULL,NULL,0,NULL,NULL,945.00000000,0.00000000,0.00000000,0.00000000,4725.00000000,5670.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(200,'FC1712-0079',1,NULL,NULL,'PA1712-001',0,NULL,5,'2017-12-22 11:47:04','2017-12-22','2017-12-22','2018-03-16 10:57:21',1,0.00000000,NULL,NULL,0,NULL,NULL,630.00000000,0.00000000,0.00000000,0.00000000,3150.00000000,3780.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(201,'FC1712-0080',1,NULL,NULL,'PA1701-002',0,NULL,5,'2017-12-22 11:50:11','2017-12-22','2017-12-22','2018-02-13 08:16:40',1,0.00000000,NULL,NULL,0,NULL,NULL,1595.00000000,0.00000000,0.00000000,0.00000000,7975.00000000,9570.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(202,'FC1712-0081',1,NULL,NULL,'PA1703-003 SVN',0,NULL,8,'2017-12-22 11:53:06','2017-12-29','2017-12-22','2018-02-13 08:15:41',1,0.00000000,NULL,NULL,0,NULL,NULL,1520.00000000,0.00000000,0.00000000,0.00000000,7600.00000000,9120.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(203,'FC1712-0082',1,NULL,NULL,'530676 IHFB',0,NULL,9,'2018-01-03 09:40:22','2017-12-29','2018-01-03','2018-02-13 08:14:12',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-02-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(204,'FC1801-0083',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2018-01-31 16:31:56','2018-01-31','2018-01-31','2018-03-16 10:51:27',1,0.00000000,NULL,NULL,0,NULL,NULL,1600.00000000,0.00000000,0.00000000,0.00000000,8000.00000000,9600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(205,'FC1801-0084',1,NULL,NULL,'PA1707-001 Galien',0,NULL,8,'2018-01-31 16:38:10','2018-01-31','2018-01-31','2018-03-16 10:51:27',1,0.00000000,NULL,NULL,0,NULL,NULL,46.00000000,0.00000000,0.00000000,0.00000000,230.00000000,276.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(206,'FC1801-0085',1,NULL,NULL,'530719 Holweg',0,NULL,9,'2018-01-31 16:46:48','2018-01-31','2018-01-31','2018-03-16 10:49:27',1,0.00000000,NULL,NULL,0,NULL,NULL,480.00000000,0.00000000,0.00000000,0.00000000,2400.00000000,2880.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(208,'FC1801-0086',1,NULL,NULL,'530726 Dalloyau',0,NULL,9,'2018-01-31 16:50:09','2018-01-31','2018-01-31','2018-03-16 10:49:27',1,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(209,'FC1801-0087',1,NULL,NULL,'531173 DURALEX',0,NULL,9,'2018-01-31 16:53:33','2018-01-31','2018-01-31','2018-03-16 10:49:27',1,0.00000000,NULL,NULL,0,NULL,NULL,240.00000000,0.00000000,0.00000000,0.00000000,1200.00000000,1440.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(210,'FC1801-0088',1,NULL,NULL,'530733 IHFB',0,NULL,9,'2018-01-31 16:56:32','2018-01-31','2018-01-31','2018-03-16 10:49:27',1,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(211,'FC1801-0089',1,NULL,NULL,'PA1703-003 SVN',0,NULL,8,'2018-01-31 16:58:58','2018-01-31','2018-01-31','2018-03-16 10:51:27',1,0.00000000,NULL,NULL,0,NULL,NULL,1672.00000000,0.00000000,0.00000000,0.00000000,8360.00000000,10032.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(212,'FC1801-0090',1,NULL,NULL,'5375-10391 EST',0,NULL,8,'2018-01-31 17:01:19','2018-01-31','2018-01-31','2018-03-16 10:51:27',1,0.00000000,NULL,NULL,0,NULL,NULL,1520.00000000,0.00000000,0.00000000,0.00000000,7600.00000000,9120.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(213,'FC1801-0091',1,NULL,NULL,'5375-10391 EST',0,NULL,8,'2018-01-31 17:10:44','2018-01-31','2018-01-31','2018-04-09 13:38:08',1,0.00000000,NULL,NULL,0,NULL,NULL,88.35000000,0.00000000,0.00000000,0.00000000,441.74000000,530.09000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(214,'FC1801-0092',1,NULL,NULL,'	Convention de recrutement 2015-11',0,NULL,5,'2018-01-31 17:14:48','2018-01-31','2018-01-31','2018-03-16 10:57:22',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2018-03-02','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(215,'FC1801-0093',1,NULL,NULL,'PA1701-001',0,NULL,5,'2018-01-31 17:18:46','2018-01-31','2018-01-31','2018-03-16 10:57:22',1,0.00000000,NULL,NULL,0,NULL,NULL,1323.00000000,0.00000000,0.00000000,0.00000000,6615.00000000,7938.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(216,'FC1801-0094',1,NULL,NULL,'PA1712-001',0,NULL,5,'2018-01-31 17:21:09','2018-01-31','2018-01-31','2018-03-16 10:57:22',1,0.00000000,NULL,NULL,0,NULL,NULL,1323.00000000,0.00000000,0.00000000,0.00000000,6615.00000000,7938.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(217,'FC1801-0095',1,NULL,NULL,'PA1701-002',0,NULL,5,'2018-01-31 17:23:22','2018-01-31','2018-01-31','2018-03-16 10:57:22',1,0.00000000,NULL,NULL,0,NULL,NULL,2136.50000000,0.00000000,0.00000000,0.00000000,10682.50000000,12819.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-03-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(218,'FC1802-0096',1,NULL,NULL,'PA1801-002 Galien',0,NULL,8,'2018-03-01 11:13:10','2018-02-28','2018-03-01','2018-03-01 10:15:55',0,0.00000000,NULL,NULL,0,NULL,NULL,1520.00000000,0.00000000,0.00000000,0.00000000,7600.00000000,9120.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(219,'FC1802-0097',1,NULL,NULL,'PA1801-002 Galien',0,NULL,8,'2018-03-01 11:16:49','2018-02-28','2018-03-01','2018-03-01 10:17:46',0,0.00000000,NULL,NULL,0,NULL,NULL,56.00000000,0.00000000,0.00000000,0.00000000,280.00000000,336.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(220,'FC1802-0098',1,NULL,NULL,'531262 Holweg',0,NULL,9,'2018-03-01 11:18:32','2018-02-28','2018-03-01','2018-03-01 10:19:34',0,0.00000000,NULL,NULL,0,NULL,NULL,80.00000000,0.00000000,0.00000000,0.00000000,400.00000000,480.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(221,'FC1802-0099',1,NULL,NULL,'531298 Holweg',0,NULL,9,'2018-03-01 11:20:12','2018-02-28','2018-03-01','2018-03-01 10:21:34',0,0.00000000,NULL,NULL,0,NULL,NULL,400.00000000,0.00000000,0.00000000,0.00000000,2000.00000000,2400.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(222,'FC1802-0100',1,NULL,NULL,'531298 Holweg',0,NULL,9,'2018-03-01 11:22:38','2018-02-28','2018-03-01','2018-03-01 10:24:12',0,0.00000000,NULL,NULL,0,NULL,NULL,120.40000000,0.00000000,0.00000000,0.00000000,602.00000000,722.40000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(223,'FC1802-0101',1,NULL,NULL,'531266 Dalloyau',0,NULL,9,'2018-03-01 11:25:14','2018-02-28','2018-03-01','2018-03-01 10:26:31',0,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(224,'FC1802-0102',1,NULL,NULL,'531306 DURALEX',0,NULL,9,'2018-03-01 11:27:20','2018-02-28','2018-03-01','2018-03-01 10:28:43',0,0.00000000,NULL,NULL,0,NULL,NULL,320.00000000,0.00000000,0.00000000,0.00000000,1600.00000000,1920.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(225,'FC1802-0103',1,NULL,NULL,'531256 IHFB',0,NULL,9,'2018-03-01 11:29:32','2018-02-28','2018-03-01','2018-03-01 10:30:42',0,0.00000000,NULL,NULL,0,NULL,NULL,160.00000000,0.00000000,0.00000000,0.00000000,800.00000000,960.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(226,'FC1802-0104',1,NULL,NULL,'531256 IHFB',0,NULL,9,'2018-03-01 11:31:20','2018-02-28','2018-03-01','2018-03-01 10:32:23',0,0.00000000,NULL,NULL,0,NULL,NULL,63.40000000,0.00000000,0.00000000,0.00000000,317.00000000,380.40000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(227,'FC1802-0105',1,NULL,NULL,'PA1801-001 SVN',0,NULL,8,'2018-03-01 11:33:26','2018-02-28','2018-03-01','2018-04-09 13:38:08',1,0.00000000,NULL,NULL,0,NULL,NULL,1520.00000000,0.00000000,0.00000000,0.00000000,7600.00000000,9120.00000000,2,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(228,'FC1802-0106',1,NULL,NULL,'910763602 EST',0,NULL,8,'2018-03-01 11:35:40','2018-02-28','2018-03-01','2018-03-01 10:50:45',0,0.00000000,NULL,NULL,0,NULL,NULL,1600.00000000,0.00000000,0.00000000,0.00000000,8000.00000000,9600.00000000,1,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(229,'FC1802-0107',1,NULL,NULL,'PA1712-001',0,NULL,5,'2018-03-01 11:54:33','2018-02-28','2018-03-01','2018-04-09 13:36:42',1,0.00000000,NULL,NULL,0,NULL,NULL,1228.50000000,0.00000000,0.00000000,0.00000000,6142.50000000,7371.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(230,'FC1802-0108',1,NULL,NULL,'PA1701-002',0,NULL,5,'2018-03-01 11:56:55','2018-02-28','2018-03-01','2018-04-09 13:36:42',1,0.00000000,NULL,NULL,0,NULL,NULL,2120.00000000,0.00000000,0.00000000,0.00000000,10600.00000000,12720.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(231,'FC1802-0109',1,NULL,NULL,'PA1701-001',0,NULL,5,'2018-03-01 12:00:42','2018-02-28','2018-03-01','2018-04-09 13:36:42',1,0.00000000,NULL,NULL,0,NULL,NULL,441.00000000,0.00000000,0.00000000,0.00000000,2205.00000000,2646.00000000,2,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(232,'FC1802-0110',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2018-03-01 12:03:04','2018-02-28','2018-03-01','2018-04-09 13:36:42',1,0.00000000,NULL,NULL,0,NULL,NULL,600.00000000,0.00000000,0.00000000,0.00000000,3000.00000000,3600.00000000,2,4,NULL,4,NULL,NULL,1,NULL,2,2,'2018-03-31','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(233,'FC1802-0111',1,NULL,NULL,'910763602 EST',0,NULL,8,'2018-03-01 17:26:12','2018-02-28','2018-03-01','2018-03-01 16:27:50',0,0.00000000,NULL,NULL,0,NULL,NULL,76.19000000,0.00000000,0.00000000,0.00000000,380.96000000,457.15000000,1,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-04-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(234,'FC1803-0112',1,NULL,NULL,'910777072-1 Galien',0,NULL,8,'2018-03-30 14:47:35','2018-03-30','2018-03-30','2018-03-30 12:50:44',0,0.00000000,NULL,NULL,0,NULL,NULL,2080.00000000,0.00000000,0.00000000,0.00000000,10400.00000000,12480.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(235,'FC1803-0113',1,NULL,NULL,'910777072-1 Galien',0,NULL,8,'2018-03-30 14:52:24','2018-03-30','2018-03-30','2018-03-30 12:53:43',0,0.00000000,NULL,NULL,0,NULL,NULL,56.00000000,0.00000000,0.00000000,0.00000000,280.00000000,336.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(236,'FC1803-0114',1,NULL,NULL,'910777776 Bailly Creat',0,NULL,8,'2018-03-30 14:55:04','2018-03-30','2018-03-30','2018-03-30 12:57:14',0,0.00000000,NULL,NULL,0,NULL,NULL,640.00000000,0.00000000,0.00000000,0.00000000,3200.00000000,3840.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(237,'FC1803-0115',1,NULL,NULL,'531885 DURALEX',0,NULL,9,'2018-03-30 14:58:08','2018-03-30','2018-03-30','2018-03-30 12:59:08',0,0.00000000,NULL,NULL,0,NULL,NULL,160.00000000,0.00000000,0.00000000,0.00000000,800.00000000,960.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(238,'FC1803-0116',1,NULL,NULL,'531952 Holweg',0,NULL,9,'2018-03-30 15:00:39','2018-03-30','2018-03-30','2018-03-30 13:02:23',0,0.00000000,NULL,NULL,0,NULL,NULL,526.00000000,0.00000000,0.00000000,0.00000000,2630.00000000,3156.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(239,'FC1803-0117',1,NULL,NULL,'910777013 SVN',0,NULL,8,'2018-03-30 15:03:20','2018-03-30','2018-03-30','2018-03-30 13:04:47',0,0.00000000,NULL,NULL,0,NULL,NULL,1634.00000000,0.00000000,0.00000000,0.00000000,8170.00000000,9804.00000000,1,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(240,'FC1803-0118',1,NULL,NULL,'910774190 EST',0,NULL,8,'2018-03-30 15:05:44','2018-03-30','2018-03-30','2018-03-30 13:06:37',0,0.00000000,NULL,NULL,0,NULL,NULL,1760.00000000,0.00000000,0.00000000,0.00000000,8800.00000000,10560.00000000,1,4,NULL,4,NULL,NULL,NULL,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(241,'FC1803-0119',1,NULL,NULL,'PA1712-001',0,NULL,5,'2018-03-30 15:10:43','2018-03-30','2018-03-30','2018-03-30 13:12:10',0,0.00000000,NULL,NULL,0,NULL,NULL,1354.50000000,0.00000000,0.00000000,0.00000000,6772.50000000,8127.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(242,'FC1803-0120',1,NULL,NULL,'PA1701-002',0,NULL,5,'2018-03-30 15:13:54','2018-03-30','2018-03-30','2018-03-30 13:16:11',0,0.00000000,NULL,NULL,0,NULL,NULL,2305.50000000,0.00000000,0.00000000,0.00000000,11527.50000000,13833.00000000,1,4,NULL,4,NULL,NULL,1,NULL,9,2,'2018-05-10',NULL,NULL,'crabe',NULL,NULL,NULL,NULL,1,0,''),(243,'FC1803-0121',1,NULL,NULL,'Convention de recrutement 2015-11',0,NULL,5,'2018-03-30 15:17:25','2018-03-30','2018-03-30','2018-03-30 13:20:10',0,0.00000000,NULL,NULL,0,NULL,NULL,1800.00000000,0.00000000,0.00000000,0.00000000,9000.00000000,10800.00000000,1,4,NULL,4,NULL,NULL,1,NULL,2,2,'2018-04-29','Facture émise sous Excel ref 1601001<br />\r\nRecrutement Mr ONGNOKOLENE, entrée NOVAXIOM le 05 janvier 2016.',NULL,'crabe',NULL,NULL,NULL,NULL,1,0,'');
/*!40000 ALTER TABLE `llx_facture` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facture_extrafields`
--

DROP TABLE IF EXISTS `llx_facture_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facture_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `newline` text,
  PRIMARY KEY (`rowid`),
  KEY `idx_facture_extrafields` (`fk_object`)
) ENGINE=InnoDB AUTO_INCREMENT=244 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facture_extrafields`
--

LOCK TABLES `llx_facture_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_facture_extrafields` DISABLE KEYS */;
INSERT INTO `llx_facture_extrafields` (`rowid`, `tms`, `fk_object`, `import_key`, `newline`) VALUES (1,'2016-01-18 19:31:08',1,NULL,'0'),(5,'2016-01-29 13:13:01',5,NULL,'0'),(6,'2016-01-29 13:16:10',6,NULL,'0'),(7,'2016-01-29 13:20:56',7,NULL,'0'),(8,'2016-01-29 14:47:20',8,NULL,'0'),(9,'2016-02-17 07:01:22',9,NULL,'0'),(11,'2016-02-29 10:04:21',11,NULL,'0'),(12,'2016-02-29 10:09:58',12,NULL,'0'),(13,'2016-02-29 10:13:36',13,NULL,'0'),(14,'2016-02-29 10:16:34',14,NULL,'0'),(15,'2016-03-14 15:11:11',15,NULL,'0'),(16,'2016-03-31 06:28:01',16,NULL,'0'),(17,'2016-03-31 06:38:27',17,NULL,'0'),(18,'2016-03-31 06:43:47',18,NULL,'0'),(19,'2016-03-31 06:47:58',19,NULL,'0'),(20,'2016-03-31 17:24:09',20,NULL,'0'),(21,'2016-04-10 16:24:37',21,NULL,'0'),(22,'2016-04-20 13:45:48',22,NULL,'0'),(23,'2016-04-29 12:13:56',23,NULL,'0'),(24,'2016-04-29 12:21:05',24,NULL,'0'),(25,'2016-04-29 12:31:48',25,NULL,'0'),(26,'2016-05-12 14:07:12',26,NULL,'0'),(27,'2016-05-27 14:30:49',27,NULL,'0'),(28,'2016-05-27 14:44:07',28,NULL,'0'),(29,'2016-05-27 14:51:39',29,NULL,'0'),(30,'2016-05-27 14:58:48',30,NULL,'0'),(31,'2016-05-27 15:05:47',31,NULL,'0'),(33,'2016-05-27 15:16:59',33,NULL,'0'),(34,'2016-05-30 08:21:37',34,NULL,'0'),(35,'2016-05-30 08:27:34',35,NULL,'0'),(36,'2016-06-30 08:53:02',36,NULL,'0'),(37,'2016-06-30 08:58:00',37,NULL,'0'),(38,'2016-07-01 12:48:54',38,NULL,'0'),(39,'2016-07-25 15:31:15',39,NULL,'0'),(40,'2016-07-28 15:32:55',40,NULL,'0'),(41,'2016-07-29 12:09:10',41,NULL,'0'),(42,'2016-07-29 12:13:02',42,NULL,'0'),(43,'2016-07-29 12:23:09',43,NULL,'0'),(44,'2016-09-01 16:26:59',44,NULL,'0'),(45,'2016-09-01 16:31:15',45,NULL,'0'),(46,'2016-09-01 16:34:47',46,NULL,'0'),(47,'2016-09-02 12:08:34',47,NULL,'0'),(48,'2016-09-30 09:25:02',48,NULL,'0'),(49,'2016-09-30 09:34:55',49,NULL,'0'),(50,'2016-09-30 09:38:03',50,NULL,'0'),(51,'2016-09-30 09:40:52',51,NULL,'0'),(52,'2016-11-02 13:52:45',52,NULL,'0'),(53,'2016-12-02 09:58:27',53,NULL,'0'),(54,'2016-12-02 10:02:31',54,NULL,'0'),(55,'2016-12-02 10:04:47',55,NULL,'0'),(56,'2016-12-02 10:11:37',56,NULL,'0'),(57,'2016-12-02 10:25:41',57,NULL,'0'),(58,'2016-12-07 14:05:47',58,NULL,'0'),(59,'2016-12-23 09:49:09',59,NULL,'0'),(60,'2016-12-23 09:56:38',60,NULL,'0'),(61,'2016-12-23 10:03:27',61,NULL,'0'),(62,'2016-12-23 10:05:06',62,NULL,'0'),(63,'2016-12-23 10:26:55',63,NULL,'0'),(64,'2016-12-23 10:29:17',64,NULL,'0'),(65,'2016-12-23 10:42:10',65,NULL,'0'),(66,'2017-01-26 12:32:19',66,NULL,'0'),(67,'2017-01-26 12:37:43',67,NULL,'0'),(68,'2017-01-31 10:23:02',68,NULL,'0'),(69,'2017-01-31 10:26:43',69,NULL,'0'),(71,'2017-01-31 10:32:08',71,NULL,'0'),(72,'2017-02-28 07:18:14',72,NULL,'0'),(73,'2017-02-28 07:20:16',73,NULL,'0'),(74,'2017-03-01 14:25:56',74,NULL,'0'),(75,'2017-03-01 14:29:48',75,NULL,'0'),(76,'2017-03-01 14:37:57',76,NULL,'0'),(77,'2017-03-31 12:13:24',77,NULL,'0'),(78,'2017-03-31 12:17:04',78,NULL,'0'),(79,'2017-03-31 12:23:20',79,NULL,'0'),(80,'2017-03-31 12:31:37',80,NULL,'0'),(81,'2017-03-31 12:35:45',81,NULL,'0'),(82,'2017-04-28 13:15:29',82,NULL,'0'),(83,'2017-04-28 13:19:42',83,NULL,'0'),(84,'2017-04-28 13:23:13',84,NULL,'0'),(85,'2017-04-28 13:24:58',85,NULL,'0'),(86,'2017-05-02 13:34:39',86,NULL,'0'),(87,'2017-05-02 13:40:27',87,NULL,'0'),(88,'2017-05-04 15:16:42',88,NULL,'0'),(89,'2017-05-04 15:19:17',89,NULL,'0'),(90,'2017-05-18 13:25:34',90,NULL,'0'),(91,'2017-06-01 06:04:55',91,NULL,'0'),(92,'2017-06-02 07:49:46',92,NULL,'0'),(93,'2017-06-02 07:56:13',93,NULL,'0'),(94,'2017-06-02 08:02:55',94,NULL,'0'),(95,'2017-06-02 08:15:02',95,NULL,'0'),(96,'2017-06-02 08:17:37',96,NULL,'0'),(97,'2017-06-02 08:31:56',97,NULL,'0'),(98,'2017-06-02 08:40:34',98,NULL,'0'),(99,'2017-06-02 08:46:38',99,NULL,'0'),(100,'2017-06-02 08:50:10',100,NULL,'0'),(101,'2017-06-02 08:53:14',101,NULL,'0'),(102,'2017-06-02 09:14:55',102,NULL,'0'),(103,'2017-06-02 09:17:42',103,NULL,'0'),(104,'2017-06-02 09:29:58',104,NULL,'0'),(105,'2017-06-30 12:20:49',105,NULL,'0'),(106,'2017-06-30 12:23:57',106,NULL,'0'),(107,'2017-06-30 12:27:12',107,NULL,'0'),(108,'2017-06-30 13:09:09',108,NULL,'0'),(109,'2017-06-30 13:13:20',109,NULL,'0'),(110,'2017-06-30 13:16:17',110,NULL,'0'),(111,'2017-06-30 13:19:33',111,NULL,'0'),(112,'2017-06-30 13:23:58',112,NULL,'0'),(113,'2017-06-30 13:27:54',113,NULL,'0'),(115,'2017-06-30 13:35:46',115,NULL,'0'),(116,'2017-06-30 13:53:34',116,NULL,'0'),(117,'2017-06-30 13:55:21',117,NULL,'0'),(118,'2017-06-30 13:57:25',118,NULL,'0'),(119,'2017-07-03 07:18:15',119,NULL,'0'),(120,'2017-07-28 06:46:32',120,NULL,'0'),(121,'2017-07-28 06:58:18',121,NULL,'0'),(122,'2017-07-28 07:04:34',122,NULL,'0'),(123,'2017-07-28 07:08:08',123,NULL,'0'),(124,'2017-07-28 07:10:35',124,NULL,'0'),(125,'2017-07-28 07:14:17',125,NULL,'0'),(126,'2017-07-28 07:17:11',126,NULL,'0'),(127,'2017-07-28 07:20:17',127,NULL,'0'),(128,'2017-07-28 07:25:16',128,NULL,'0'),(129,'2017-07-28 07:28:53',129,NULL,'0'),(130,'2017-07-28 07:57:53',130,NULL,'0'),(131,'2017-07-28 08:02:06',131,NULL,'0'),(132,'2017-07-28 08:04:05',132,NULL,'0'),(133,'2017-07-28 08:10:07',133,NULL,'0'),(134,'2017-07-28 08:15:29',134,NULL,'0'),(135,'2017-07-28 13:58:09',135,NULL,'0'),(136,'2017-09-01 12:39:40',136,NULL,'0'),(137,'2017-09-01 12:46:01',137,NULL,'0'),(138,'2017-09-01 12:53:53',138,NULL,'0'),(139,'2017-09-01 12:59:17',139,NULL,'0'),(141,'2017-09-01 13:05:33',141,NULL,'0'),(142,'2017-09-01 13:13:27',142,NULL,'0'),(143,'2017-09-01 13:20:19',143,NULL,'0'),(144,'2017-09-01 13:27:55',144,NULL,'0'),(145,'2017-09-01 13:30:42',145,NULL,'0'),(146,'2017-09-01 16:23:19',146,NULL,'0'),(147,'2017-09-29 10:35:59',147,NULL,'0'),(148,'2017-09-29 10:39:51',148,NULL,'0'),(149,'2017-09-29 10:42:21',149,NULL,'0'),(150,'2017-09-29 10:44:41',150,NULL,'0'),(151,'2017-09-29 10:49:05',151,NULL,'0'),(152,'2017-09-29 10:52:15',152,NULL,'0'),(153,'2017-09-29 10:56:16',153,NULL,'0'),(154,'2017-09-29 10:58:33',154,NULL,'0'),(155,'2017-09-29 12:50:51',155,NULL,'0'),(156,'2017-09-29 13:12:28',156,NULL,'0'),(157,'2017-09-29 13:14:36',157,NULL,'0'),(158,'2017-10-02 09:03:36',158,NULL,'0'),(159,'2017-10-02 09:06:20',159,NULL,'0'),(160,'2017-10-31 09:54:15',160,NULL,'0'),(161,'2017-10-31 10:11:07',161,NULL,'0'),(162,'2017-10-31 10:14:29',162,NULL,'0'),(163,'2017-10-31 10:37:14',163,NULL,'0'),(164,'2017-10-31 10:39:32',164,NULL,'0'),(165,'2017-10-31 10:42:12',165,NULL,'0'),(166,'2017-10-31 10:45:42',166,NULL,'0'),(167,'2017-10-31 10:48:32',167,NULL,'0'),(169,'2017-10-31 10:51:17',169,NULL,'0'),(170,'2017-10-31 10:55:01',170,NULL,'0'),(171,'2017-10-31 10:57:04',171,NULL,'0'),(172,'2017-10-31 11:01:41',172,NULL,'0'),(173,'2017-10-31 11:05:05',173,NULL,'0'),(174,'2017-10-31 11:10:20',174,NULL,'0'),(175,'2017-12-01 09:19:05',175,NULL,'0'),(176,'2017-12-01 09:23:58',176,NULL,'0'),(177,'2017-12-01 09:27:13',177,NULL,'0'),(178,'2017-12-01 10:28:58',178,NULL,'0'),(179,'2017-12-01 10:32:17',179,NULL,'0'),(180,'2017-12-01 10:35:35',180,NULL,'0'),(181,'2017-12-01 10:42:51',181,NULL,'0'),(182,'2017-12-01 10:46:54',182,NULL,'0'),(183,'2017-12-01 10:50:28',183,NULL,'0'),(184,'2017-12-01 10:57:56',184,NULL,'0'),(185,'2017-12-01 11:00:50',185,NULL,'0'),(186,'2017-12-01 11:03:05',186,NULL,'0'),(187,'2017-12-01 11:06:13',187,NULL,'0'),(188,'2017-12-01 11:12:35',188,NULL,'0'),(189,'2017-12-01 11:15:00',189,NULL,'0'),(190,'2017-12-22 10:07:01',190,NULL,'0'),(191,'2017-12-22 10:13:24',191,NULL,'0'),(192,'2017-12-22 10:18:43',192,NULL,'0'),(193,'2017-12-22 10:27:45',193,NULL,'0'),(194,'2017-12-22 10:29:47',194,NULL,'0'),(195,'2017-12-22 10:33:59',195,NULL,'0'),(196,'2017-12-22 10:37:05',196,NULL,'0'),(197,'2017-12-22 10:39:31',197,NULL,'0'),(198,'2017-12-22 10:42:51',198,NULL,'0'),(199,'2017-12-22 10:45:00',199,NULL,'0'),(200,'2017-12-22 10:47:04',200,NULL,'0'),(201,'2017-12-22 10:50:11',201,NULL,'0'),(202,'2017-12-22 10:53:06',202,NULL,'0'),(203,'2018-01-03 08:40:22',203,NULL,'0'),(204,'2018-01-31 15:31:56',204,NULL,'0'),(205,'2018-01-31 15:38:10',205,NULL,'0'),(206,'2018-01-31 15:46:48',206,NULL,'0'),(208,'2018-01-31 15:50:09',208,NULL,'0'),(209,'2018-01-31 15:53:33',209,NULL,'0'),(210,'2018-01-31 15:56:32',210,NULL,'0'),(211,'2018-01-31 15:58:58',211,NULL,'0'),(212,'2018-01-31 16:01:19',212,NULL,'0'),(213,'2018-01-31 16:10:44',213,NULL,'0'),(214,'2018-01-31 16:14:48',214,NULL,'0'),(215,'2018-01-31 16:18:46',215,NULL,'0'),(216,'2018-01-31 16:21:09',216,NULL,'0'),(217,'2018-01-31 16:23:22',217,NULL,'0'),(218,'2018-03-01 10:13:10',218,NULL,'0'),(219,'2018-03-01 10:16:49',219,NULL,'0'),(220,'2018-03-01 10:18:32',220,NULL,'0'),(221,'2018-03-01 10:20:12',221,NULL,'0'),(222,'2018-03-01 10:22:38',222,NULL,'0'),(223,'2018-03-01 10:25:14',223,NULL,'0'),(224,'2018-03-01 10:27:20',224,NULL,'0'),(225,'2018-03-01 10:29:32',225,NULL,'0'),(226,'2018-03-01 10:31:20',226,NULL,'0'),(227,'2018-03-01 10:33:26',227,NULL,'0'),(228,'2018-03-01 10:35:40',228,NULL,'0'),(229,'2018-03-01 10:54:33',229,NULL,'0'),(230,'2018-03-01 10:56:55',230,NULL,'0'),(231,'2018-03-01 11:00:42',231,NULL,'0'),(232,'2018-03-01 11:03:04',232,NULL,'0'),(233,'2018-03-01 16:26:13',233,NULL,'0'),(234,'2018-03-30 12:47:35',234,NULL,'0'),(235,'2018-03-30 12:52:24',235,NULL,'0'),(236,'2018-03-30 12:55:04',236,NULL,'0'),(237,'2018-03-30 12:58:08',237,NULL,'0'),(238,'2018-03-30 13:00:40',238,NULL,'0'),(239,'2018-03-30 13:03:20',239,NULL,'0'),(240,'2018-03-30 13:05:44',240,NULL,'0'),(241,'2018-03-30 13:10:43',241,NULL,'0'),(242,'2018-03-30 13:13:54',242,NULL,'0'),(243,'2018-03-30 13:17:25',243,NULL,'0');
/*!40000 ALTER TABLE `llx_facture_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facture_fourn`
--

DROP TABLE IF EXISTS `llx_facture_fourn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facture_fourn` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(255) NOT NULL,
  `ref_supplier` varchar(255) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `type` smallint(6) NOT NULL DEFAULT '0',
  `fk_soc` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `datef` date DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `libelle` varchar(255) DEFAULT NULL,
  `paye` smallint(6) NOT NULL DEFAULT '0',
  `amount` double(24,8) NOT NULL DEFAULT '0.00000000',
  `remise` double(24,8) DEFAULT '0.00000000',
  `close_code` varchar(16) DEFAULT NULL,
  `close_note` varchar(128) DEFAULT NULL,
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_facture_source` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `date_lim_reglement` date DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_facture_fourn_ref` (`ref`,`entity`),
  UNIQUE KEY `uk_facture_fourn_ref_supplier` (`ref_supplier`,`fk_soc`,`entity`),
  KEY `idx_facture_fourn_date_lim_reglement` (`date_lim_reglement`),
  KEY `idx_facture_fourn_fk_soc` (`fk_soc`),
  KEY `idx_facture_fourn_fk_user_author` (`fk_user_author`),
  KEY `idx_facture_fourn_fk_user_valid` (`fk_user_valid`),
  KEY `idx_facture_fourn_fk_projet` (`fk_projet`),
  CONSTRAINT `fk_facture_fourn_fk_projet` FOREIGN KEY (`fk_projet`) REFERENCES `llx_projet` (`rowid`),
  CONSTRAINT `fk_facture_fourn_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_facture_fourn_fk_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_facture_fourn_fk_user_valid` FOREIGN KEY (`fk_user_valid`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facture_fourn`
--

LOCK TABLES `llx_facture_fourn` WRITE;
/*!40000 ALTER TABLE `llx_facture_fourn` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_facture_fourn` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facture_fourn_det`
--

DROP TABLE IF EXISTS `llx_facture_fourn_det`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facture_fourn_det` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_facture_fourn` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `ref` varchar(50) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `pu_ht` double(24,8) DEFAULT NULL,
  `pu_ttc` double(24,8) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `tva_tx` double(6,3) DEFAULT NULL,
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `total_ht` double(24,8) DEFAULT NULL,
  `tva` double(24,8) DEFAULT NULL,
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT NULL,
  `product_type` int(11) DEFAULT '0',
  `date_start` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `fk_code_ventilation` int(11) NOT NULL DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `special_code` int(11) DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_facture_fourn_det_fk_facture` (`fk_facture_fourn`),
  KEY `fk_facture_fourn_det_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_facture_fourn_det_fk_facture` FOREIGN KEY (`fk_facture_fourn`) REFERENCES `llx_facture_fourn` (`rowid`),
  CONSTRAINT `fk_facture_fourn_det_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facture_fourn_det`
--

LOCK TABLES `llx_facture_fourn_det` WRITE;
/*!40000 ALTER TABLE `llx_facture_fourn_det` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_facture_fourn_det` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facture_fourn_det_extrafields`
--

DROP TABLE IF EXISTS `llx_facture_fourn_det_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facture_fourn_det_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_facture_fourn_det_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facture_fourn_det_extrafields`
--

LOCK TABLES `llx_facture_fourn_det_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_facture_fourn_det_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_facture_fourn_det_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facture_fourn_extrafields`
--

DROP TABLE IF EXISTS `llx_facture_fourn_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facture_fourn_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_facture_fourn_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facture_fourn_extrafields`
--

LOCK TABLES `llx_facture_fourn_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_facture_fourn_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_facture_fourn_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facture_rec`
--

DROP TABLE IF EXISTS `llx_facture_rec`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facture_rec` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `titre` varchar(50) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_soc` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `amount` double(24,8) NOT NULL DEFAULT '0.00000000',
  `remise` double DEFAULT '0',
  `remise_percent` double DEFAULT '0',
  `remise_absolue` double DEFAULT '0',
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT '0',
  `fk_mode_reglement` int(11) DEFAULT '0',
  `date_lim_reglement` date DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `usenewprice` int(11) DEFAULT '0',
  `frequency` int(11) DEFAULT NULL,
  `unit_frequency` varchar(2) DEFAULT 'd',
  `date_when` datetime DEFAULT NULL,
  `date_last_gen` datetime DEFAULT NULL,
  `nb_gen_done` int(11) DEFAULT NULL,
  `nb_gen_max` int(11) DEFAULT NULL,
  `revenuestamp` double(24,8) DEFAULT '0.00000000',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_facture_rec_uk_titre` (`titre`,`entity`),
  KEY `idx_facture_rec_fk_soc` (`fk_soc`),
  KEY `idx_facture_rec_fk_user_author` (`fk_user_author`),
  KEY `idx_facture_rec_fk_projet` (`fk_projet`),
  CONSTRAINT `fk_facture_rec_fk_projet` FOREIGN KEY (`fk_projet`) REFERENCES `llx_projet` (`rowid`),
  CONSTRAINT `fk_facture_rec_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_facture_rec_fk_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facture_rec`
--

LOCK TABLES `llx_facture_rec` WRITE;
/*!40000 ALTER TABLE `llx_facture_rec` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_facture_rec` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facturedet`
--

DROP TABLE IF EXISTS `llx_facturedet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facturedet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_facture` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `tva_tx` double(6,3) DEFAULT NULL,
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `fk_remise_except` int(11) DEFAULT NULL,
  `subprice` double(24,8) DEFAULT NULL,
  `price` double(24,8) DEFAULT NULL,
  `total_ht` double(24,8) DEFAULT NULL,
  `total_tva` double(24,8) DEFAULT NULL,
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT NULL,
  `product_type` int(11) DEFAULT '0',
  `date_start` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `buy_price_ht` double(24,8) DEFAULT '0.00000000',
  `fk_product_fournisseur_price` int(11) DEFAULT NULL,
  `fk_code_ventilation` int(11) NOT NULL DEFAULT '0',
  `special_code` int(10) unsigned DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `situation_percent` double DEFAULT NULL,
  `fk_prev_id` int(11) DEFAULT NULL,
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_fk_remise_except` (`fk_remise_except`,`fk_facture`),
  KEY `idx_facturedet_fk_facture` (`fk_facture`),
  KEY `idx_facturedet_fk_product` (`fk_product`),
  KEY `fk_facturedet_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_facturedet_fk_facture` FOREIGN KEY (`fk_facture`) REFERENCES `llx_facture` (`rowid`),
  CONSTRAINT `fk_facturedet_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=368 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facturedet`
--

LOCK TABLES `llx_facturedet` WRITE;
/*!40000 ALTER TABLE `llx_facturedet` DISABLE KEYS */;
INSERT INTO `llx_facturedet` (`rowid`, `fk_facture`, `fk_parent_line`, `fk_product`, `label`, `description`, `tva_tx`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `fk_remise_except`, `subprice`, `price`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `situation_percent`, `fk_prev_id`, `fk_unit`) VALUES (1,1,NULL,NULL,NULL,'Recrutements',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(6,5,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes dans la r&eacute;alisation &agrave; la certification ISO 9001<br />\r\nJanvier 2016 - 40%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,6720.00000000,NULL,6720.00000000,1344.00000000,0.00000000,0.00000000,8064.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(8,6,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes dans le domaine administratif<br />\r\nJanvier 2016 - 15%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5040.00000000,NULL,5040.00000000,1008.00000000,0.00000000,0.00000000,6048.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(9,7,NULL,4,NULL,'Prestation d&rsquo;&eacute;tudes dans le domaine administratif<br />\r\nJanvier 2016 - 40%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,6720.00000000,NULL,6720.00000000,1344.00000000,0.00000000,0.00000000,8064.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(10,8,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',20,0,0,NULL,860.00000000,NULL,17200.00000000,3440.00000000,0.00000000,0.00000000,20640.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(12,9,NULL,NULL,NULL,'Entr&eacute;e Monsieur CALAY le 03/02&nbsp;<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(15,9,NULL,NULL,NULL,'Entr&eacute;e Monsieur WARINGUEZ le 16/02 en remplacement de Monsieur ONGNOKOLENE (sortie f&eacute;vrier)',20.000,0.000,'0',0.000,'0',1,100,0,NULL,3000.00000000,NULL,0.00000000,0.00000000,0.00000000,0.00000000,0.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(16,11,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes HSE et qualit&eacute;<br />\r\nF&eacute;vrier 2016 - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5040.00000000,NULL,5040.00000000,1008.00000000,0.00000000,0.00000000,6048.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(17,12,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes dans le domaine administratif<br />\r\nF&eacute;vrier 2016 - 15%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5040.00000000,NULL,5040.00000000,1008.00000000,0.00000000,0.00000000,6048.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(18,13,NULL,4,NULL,'Prestation d&rsquo;&eacute;tudes dans le domaine administratif<br />\r\nF&eacute;vrier 2016 - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5040.00000000,NULL,5040.00000000,1008.00000000,0.00000000,0.00000000,6048.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(19,14,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',21,0,0,NULL,860.00000000,NULL,18060.00000000,3612.00000000,0.00000000,0.00000000,21672.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(20,15,NULL,NULL,NULL,'Entr&eacute;e Monsieur GOURLIER le 01/03&nbsp;<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(21,15,NULL,NULL,NULL,'Entr&eacute;e Monsieur GAUTIER le 23/02 en remplacement de Monsieur WARINGUEZ (sortie f&eacute;vrier)',20.000,0.000,'0',0.000,'0',1,100,0,NULL,3000.00000000,NULL,0.00000000,0.00000000,0.00000000,0.00000000,0.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(22,15,NULL,NULL,NULL,'Entr&eacute;e Monsieur SERGENT le 01/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,4,NULL,100,NULL,NULL),(23,15,NULL,NULL,NULL,'Entr&eacute;e Monsieur MANDA le 01/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,5,NULL,100,NULL,NULL),(24,15,NULL,NULL,NULL,'Entr&eacute;e Monsieur FOURNET le 01/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,6,NULL,100,NULL,NULL),(26,16,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes dans le domaine administratif<br />\r\nMars 2016 - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5040.00000000,NULL,5040.00000000,1008.00000000,0.00000000,0.00000000,6048.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(27,17,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes dans le domaine administratif<br />\r\nMars 2016 - 10%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3360.00000000,NULL,3360.00000000,672.00000000,0.00000000,0.00000000,4032.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(28,18,NULL,NULL,NULL,'Prestation d&rsquo;&eacute;tudes HSE et qualit&eacute;<br />\r\nMars 2016 - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5040.00000000,NULL,5040.00000000,1008.00000000,0.00000000,0.00000000,6048.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(29,19,NULL,NULL,NULL,'Entr&eacute;e Monsieur BRIAND le 22/03<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(34,20,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',18,0,0,NULL,860.00000000,NULL,15480.00000000,3096.00000000,0.00000000,0.00000000,18576.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(35,21,NULL,NULL,NULL,'Prestation recrutement mars 2016 - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,4914.00000000,NULL,4914.00000000,982.80000000,0.00000000,0.00000000,5896.80000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(36,22,NULL,NULL,NULL,'Sortie Mr GAUTIER le 01/04<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,-3000.00000000,NULL,-3000.00000000,-600.00000000,0.00000000,0.00000000,-3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(37,22,NULL,NULL,NULL,'Entr&eacute;e et sortie MR TARON',20.000,0.000,'0',0.000,'0',1,100,0,NULL,-3000.00000000,NULL,0.00000000,0.00000000,0.00000000,0.00000000,0.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(41,23,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',18,0,0,NULL,860.00000000,NULL,15480.00000000,3096.00000000,0.00000000,0.00000000,18576.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(42,24,NULL,NULL,NULL,'Entr&eacute;e Monsieur GRASSO le 26/04<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(43,25,NULL,NULL,NULL,'Prestation recrutement avril 2016 - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,4914.00000000,NULL,4914.00000000,982.80000000,0.00000000,0.00000000,5896.80000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(44,26,NULL,NULL,NULL,'Prestation administrative - Avril 2016 (10 jours dont 5 pris en charge par NEXiiUM)',20.000,0.000,'0',0.000,'0',5,0,0,NULL,260.00000000,NULL,1300.00000000,260.00000000,0.00000000,0.00000000,1560.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(45,27,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',17,0,0,NULL,860.00000000,NULL,14620.00000000,2924.00000000,0.00000000,0.00000000,17544.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(46,28,NULL,NULL,NULL,'Prestation recrutement mai 2016 - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,4914.00000000,NULL,4914.00000000,982.80000000,0.00000000,0.00000000,5896.80000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(47,29,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,10569.00000000,NULL,10569.00000000,2113.80000000,0.00000000,0.00000000,12682.80000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(48,30,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif - 100%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,5460.00000000,NULL,5460.00000000,1092.00000000,0.00000000,0.00000000,6552.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(49,31,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif - 40%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,9408.00000000,NULL,9408.00000000,1881.60000000,0.00000000,0.00000000,11289.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(51,33,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif : Chef de Mission - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,9261.00000000,NULL,9261.00000000,1852.20000000,0.00000000,0.00000000,11113.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(52,34,NULL,NULL,NULL,'Prestation de recrutement - consultant Syst&egrave;me d&#39;Information Laboratoires et Qualit&eacute;<br />\r\n30% &agrave; la commande',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1950.00000000,NULL,1950.00000000,390.00000000,0.00000000,0.00000000,2340.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(53,35,NULL,NULL,NULL,'Frais de d&eacute;placement 10/05/2016',20.000,0.000,'0',0.000,'0',1,0,0,NULL,157.20000000,NULL,157.20000000,31.44000000,0.00000000,0.00000000,188.64000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(54,36,NULL,NULL,NULL,'Prestation recrutement juin 2016 (r&eacute;gularis&eacute;) - 10%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1378.00000000,NULL,1378.00000000,275.60000000,0.00000000,0.00000000,1653.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(55,37,NULL,NULL,NULL,'Frais de d&eacute;placement 22/06/2016',20.000,0.000,'0',0.000,'0',1,0,0,NULL,22.60000000,NULL,22.60000000,4.52000000,0.00000000,0.00000000,27.12000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(56,38,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',19,0,0,NULL,860.00000000,NULL,16340.00000000,3268.00000000,0.00000000,0.00000000,19608.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(57,39,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',12,0,0,NULL,860.00000000,NULL,10320.00000000,2064.00000000,0.00000000,0.00000000,12384.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(58,40,NULL,NULL,NULL,'Sortie Mr GRASSO, entr&eacute;e Mr FRANCOIS le 12/05<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',0,0,0,NULL,3000.00000000,NULL,0.00000000,0.00000000,0.00000000,0.00000000,0.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(59,41,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif : Chef de Mission - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,9261.00000000,NULL,9261.00000000,1852.20000000,0.00000000,0.00000000,11113.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(60,42,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,7056.00000000,NULL,7056.00000000,1411.20000000,0.00000000,0.00000000,8467.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(61,43,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,13446.30000000,NULL,13446.30000000,2689.26000000,0.00000000,0.00000000,16135.56000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(62,44,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,7056.00000000,NULL,7056.00000000,1411.20000000,0.00000000,0.00000000,8467.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(63,45,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif : Chef de Mission - Solde',20.000,0.000,'0',0.000,'0',1,0,0,NULL,4968.00000000,NULL,4968.00000000,993.60000000,0.00000000,0.00000000,5961.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(64,46,NULL,NULL,NULL,'Frais de d&eacute;placement 09/08/2016',20.000,0.000,'0',0.000,'0',1,0,0,NULL,101.90000000,NULL,101.90000000,20.38000000,0.00000000,0.00000000,122.28000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(65,46,NULL,NULL,NULL,'Frais de d&eacute;placement 30/08/2016',20.000,0.000,'0',0.000,'0',1,0,0,NULL,40.50000000,NULL,40.50000000,8.10000000,0.00000000,0.00000000,48.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(66,47,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',5,0,0,NULL,860.00000000,NULL,4300.00000000,860.00000000,0.00000000,0.00000000,5160.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(67,48,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',12,0,0,NULL,860.00000000,NULL,10320.00000000,2064.00000000,0.00000000,0.00000000,12384.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(68,49,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif septembre, 20%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,8769.00000000,NULL,8769.00000000,1753.80000000,0.00000000,0.00000000,10522.80000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(69,50,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,13446.30000000,NULL,13446.30000000,2689.26000000,0.00000000,0.00000000,16135.56000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(70,51,NULL,NULL,NULL,'Frais de d&eacute;placement du 16/09',20.000,0.000,'0',0.000,'0',1,0,0,NULL,12.10000000,NULL,12.10000000,2.42000000,0.00000000,0.00000000,14.52000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(71,52,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',12,0,0,NULL,860.00000000,NULL,10320.00000000,2064.00000000,0.00000000,0.00000000,12384.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(72,53,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif novembre, 40%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,17538.00000000,NULL,17538.00000000,3507.60000000,0.00000000,0.00000000,21045.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(73,54,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI - 30%',20.000,0.000,'0',0.000,'0',1,0,0,NULL,13446.30000000,NULL,13446.30000000,2689.26000000,0.00000000,0.00000000,16135.56000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(74,55,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif novembre AGT',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1920.00000000,NULL,1920.00000000,384.00000000,0.00000000,0.00000000,2304.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(75,56,NULL,NULL,NULL,'Prise en main du contexte projet et formation LSM - St Etienne - PCS novembre 2016',20.000,0.000,'0',0.000,'0',6,0,0,NULL,400.00000000,NULL,2400.00000000,480.00000000,0.00000000,0.00000000,2880.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(77,57,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',12,0,0,NULL,860.00000000,NULL,10320.00000000,2064.00000000,0.00000000,0.00000000,12384.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(78,58,NULL,NULL,NULL,'Support M3 - DAF - Novembre 2016',20.000,0.000,'0',0.000,'0',3,0,0,NULL,700.00000000,NULL,2100.00000000,420.00000000,0.00000000,0.00000000,2520.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(79,59,NULL,NULL,NULL,'Prise en main du contexte projet et formation LSM - St Etienne - PCS decembre 2016<br />\r\n01,02 &agrave; St Etienne, 05 au 08 chez BASF',20.000,0.000,'0',0.000,'0',5.5,0,0,NULL,400.00000000,NULL,2200.00000000,440.00000000,0.00000000,0.00000000,2640.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(80,60,NULL,NULL,NULL,'Forfait journalier Allemagne - du 5 au 08/12/16',20.000,0.000,'0',0.000,'0',4,0,0,NULL,120.00000000,NULL,480.00000000,96.00000000,0.00000000,0.00000000,576.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(81,60,NULL,NULL,NULL,'Essence, p&eacute;age trajet Allemagne',20.000,0.000,'0',0.000,'0',1,0,0,NULL,119.70000000,NULL,119.70000000,23.94000000,0.00000000,0.00000000,143.64000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(82,61,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',10,0,0,NULL,860.00000000,NULL,8600.00000000,1720.00000000,0.00000000,0.00000000,10320.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(83,62,NULL,NULL,NULL,'Support M3 - DAF - Decembre 2016',20.000,0.000,'0',0.000,'0',17,0,0,NULL,700.00000000,NULL,11900.00000000,2380.00000000,0.00000000,0.00000000,14280.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(84,63,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif decembre r&eacute;gule',20.000,0.000,'0',0.000,'0',1,0,0,NULL,16318.00000000,NULL,16318.00000000,3263.60000000,0.00000000,0.00000000,19581.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(85,64,NULL,NULL,NULL,'Prestation d&#39;&eacute;tude dans le domaine administratif dec AGT',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3840.00000000,NULL,3840.00000000,768.00000000,0.00000000,0.00000000,4608.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(86,65,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI - d&eacute;cembre r&eacute;gule',20.000,0.000,'0',0.000,'0',1,0,0,NULL,132.10000000,NULL,132.10000000,26.42000000,0.00000000,0.00000000,158.52000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(87,66,NULL,NULL,NULL,'Support M3 - DAF - Janvier 2017',20.000,0.000,'0',0.000,'0',20.5,0,0,NULL,700.00000000,NULL,14350.00000000,2870.00000000,0.00000000,0.00000000,17220.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(88,67,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',14,0,0,NULL,860.00000000,NULL,12040.00000000,2408.00000000,0.00000000,0.00000000,14448.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(89,68,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). Janvier 2017',20.000,0.000,'0',0.000,'0',21.5,0,0,NULL,290.00000000,NULL,6235.00000000,1247.00000000,0.00000000,0.00000000,7482.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(90,69,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC janvier 2017',20.000,0.000,'0',0.000,'0',22,0,0,NULL,265.00000000,NULL,5830.00000000,1166.00000000,0.00000000,0.00000000,6996.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(91,69,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT janvier 2017',20.000,0.000,'0',0.000,'0',22,0,0,NULL,240.00000000,NULL,5280.00000000,1056.00000000,0.00000000,0.00000000,6336.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(93,71,NULL,NULL,NULL,'Entr&eacute;e Monsieur BOULINGUEZ le 15/11<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(94,71,NULL,NULL,NULL,'Entr&eacute;e Monsieur BARTOLINI le 01/12',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(95,71,NULL,NULL,NULL,'Entr&eacute;e Monsieur BIRGLIN le 01/12',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,4,NULL,100,NULL,NULL),(96,71,NULL,NULL,NULL,'Entr&eacute;e Monsieur CASSAGNE le 05/12',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,5,NULL,100,NULL,NULL),(97,71,NULL,NULL,NULL,'Entr&eacute;e Monsieur RUSINEK le 13/12',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,6,NULL,100,NULL,NULL),(98,71,NULL,NULL,NULL,'Entr&eacute;e Monsieur BONAMY le 20/12',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,7,NULL,100,NULL,NULL),(99,72,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',14,0,0,NULL,860.00000000,NULL,12040.00000000,2408.00000000,0.00000000,0.00000000,14448.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(100,73,NULL,NULL,NULL,'Support M3 - DAF - F&eacute;vrier 2017',20.000,0.000,'0',0.000,'0',19,0,0,NULL,700.00000000,NULL,13300.00000000,2660.00000000,0.00000000,0.00000000,15960.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(101,74,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). F&eacute;vrier 2017',20.000,0.000,'0',0.000,'0',2,0,0,NULL,290.00000000,NULL,580.00000000,116.00000000,0.00000000,0.00000000,696.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(102,75,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). F&eacute;vrier 2017',20.000,0.000,'0',0.000,'0',3,0,0,NULL,290.00000000,NULL,870.00000000,174.00000000,0.00000000,0.00000000,1044.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(103,76,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC f&eacute;vrier 2017',20.000,0.000,'0',0.000,'0',16,0,0,NULL,265.00000000,NULL,4240.00000000,848.00000000,0.00000000,0.00000000,5088.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(104,76,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT f&eacute;vrier 2017',20.000,0.000,'0',0.000,'0',20,0,0,NULL,240.00000000,NULL,4800.00000000,960.00000000,0.00000000,0.00000000,5760.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(105,77,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',10,0,0,NULL,650.00000000,NULL,6500.00000000,1300.00000000,0.00000000,0.00000000,7800.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(106,78,NULL,NULL,NULL,'Entr&eacute;e Monsieur MAO le 14/02<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(107,78,NULL,NULL,NULL,'Entr&eacute;e Monsieur NONNEZ le 21/02',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(112,79,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC mars 2017',20.000,0.000,'0',0.000,'0',22.5,0,0,NULL,265.00000000,NULL,5962.50000000,1192.50000000,0.00000000,0.00000000,7155.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(113,79,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT mars 2017',20.000,0.000,'0',0.000,'0',23,0,0,NULL,240.00000000,NULL,5520.00000000,1104.00000000,0.00000000,0.00000000,6624.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(114,80,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). Mars 2017',20.000,0.000,'0',0.000,'0',15,0,0,NULL,290.00000000,NULL,4350.00000000,870.00000000,0.00000000,0.00000000,5220.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(115,81,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). Mars 2017',20.000,0.000,'0',0.000,'0',10,0,0,NULL,290.00000000,NULL,2900.00000000,580.00000000,0.00000000,0.00000000,3480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(116,82,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC avril 2017',20.000,0.000,'0',0.000,'0',18,0,0,NULL,265.00000000,NULL,4770.00000000,954.00000000,0.00000000,0.00000000,5724.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(117,82,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT avril 2017',20.000,0.000,'0',0.000,'0',16,0,0,NULL,265.00000000,NULL,4240.00000000,848.00000000,0.00000000,0.00000000,5088.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(118,83,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). Avril 2017',20.000,0.000,'0',0.000,'0',18.5,0,0,NULL,290.00000000,NULL,5365.00000000,1073.00000000,0.00000000,0.00000000,6438.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(119,84,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',10,0,0,NULL,650.00000000,NULL,6500.00000000,1300.00000000,0.00000000,0.00000000,7800.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(120,85,NULL,NULL,NULL,'Entr&eacute;e Monsieur GALMARD le 14/02<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(121,85,NULL,NULL,NULL,'Entr&eacute;e Monsieur SAROCCHI le 07/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(122,85,NULL,NULL,NULL,'Entr&eacute;e Monsieur VEROOSE le 21/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,4,NULL,100,NULL,NULL),(123,86,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nAvril : 10,11,14,18, 25 = 5j<br />\r\nAvril demi-journ&eacute;e : 21, 26, 29 = 1.5j',20.000,0.000,'0',0.000,'0',6.5,0,0,NULL,800.00000000,NULL,5200.00000000,1040.00000000,0.00000000,0.00000000,6240.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(128,87,NULL,NULL,NULL,'Forfait journalier de frais&nbsp;: forfait vie&nbsp; 130 &euro; /j d&eacute;placement les 10 et 11 avril 2017',20.000,0.000,'0',0.000,'0',2,0,0,NULL,130.00000000,NULL,260.00000000,52.00000000,0.00000000,0.00000000,312.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(129,87,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; NEVERS le 11 avril 2017<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230.00000000,NULL,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(131,88,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN avril 2017',20.000,0.000,'0',0.000,'0',9,0,0,NULL,380.00000000,NULL,3420.00000000,684.00000000,0.00000000,0.00000000,4104.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(135,89,NULL,NULL,NULL,'Frais de d&eacute;placement DARDILY : 45&euro; HT/ jour sur site<br />\r\n<br />\r\nPrestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute;&nbsp; - SVN avril 2017 (depuis le 18/04)',20.000,0.000,'0',0.000,'0',9,0,0,NULL,45.00000000,NULL,405.00000000,81.00000000,0.00000000,0.00000000,486.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(136,90,NULL,NULL,NULL,'Prestation d&rsquo;accompagnement strat&eacute;gique DSI/DG - Laurent BORRET',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,1100.00000000,NULL,2750.00000000,550.00000000,0.00000000,0.00000000,3300.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(137,90,NULL,NULL,NULL,'Forfait journalier de d&eacute;placement le 05/05/2017<br />\r\n<br />\r\nA l&#39;attention de Mr Jerome RIO',20.000,0.000,'0',0.000,'0',1,0,0,NULL,480.00000000,NULL,480.00000000,96.00000000,0.00000000,0.00000000,576.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(138,91,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',6,0,0,NULL,860.00000000,NULL,5160.00000000,1032.00000000,0.00000000,0.00000000,6192.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(139,92,NULL,NULL,NULL,'Entr&eacute;e Monsieur BOTELLA le 14/03<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(140,92,NULL,NULL,NULL,'Entr&eacute;e Monsieur DE VATHAIRE le 14/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(141,92,NULL,NULL,NULL,'Entr&eacute;e Madame MASSERON le 21/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,4,NULL,100,NULL,NULL),(142,92,NULL,NULL,NULL,'Entr&eacute;e Monsieur LABOURI le 10/04',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,5,NULL,100,NULL,NULL),(143,92,NULL,NULL,NULL,'Entr&eacute;e Monsieur PEZE le 19/04',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,6,NULL,100,NULL,NULL),(144,93,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nMai : 2, 3, 9, 11, 12, 15, 16, 22, 29, 30 = 10 j<br />\r\nMai demi-journ&eacute;e : 26&nbsp; = 0,5 j',20.000,0.000,'0',0.000,'0',10.5,0,0,NULL,800.00000000,NULL,8400.00000000,1680.00000000,0.00000000,0.00000000,10080.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(146,94,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; NEVERS les 2, 9, 16, 30 mai 2017<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',4,0,0,NULL,230.00000000,NULL,920.00000000,184.00000000,0.00000000,0.00000000,1104.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(147,95,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN mai 2017',20.000,0.000,'0',0.000,'0',19,0,0,NULL,380.00000000,NULL,7220.00000000,1444.00000000,0.00000000,0.00000000,8664.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(148,96,NULL,NULL,NULL,'Frais de d&eacute;placement DARDILY : 45&euro; HT/ jour sur site<br />\r\n<br />\r\nPrestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute;&nbsp; - SVN mai 2017',20.000,0.000,'0',0.000,'0',19,0,0,NULL,45.00000000,NULL,855.00000000,171.00000000,0.00000000,0.00000000,1026.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(149,97,NULL,NULL,NULL,'Direction de projet 20, 21 avril ; 18, 19 mai 2017',20.000,0.000,'0',0.000,'0',4,0,0,NULL,800.00000000,NULL,3200.00000000,640.00000000,0.00000000,0.00000000,3840.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(150,97,NULL,NULL,NULL,'Forfait d&eacute;placement Molsheim : 19 mai 2017',20.000,0.000,'0',0.000,'0',1,0,0,NULL,576.00000000,NULL,576.00000000,115.20000000,0.00000000,0.00000000,691.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(151,98,NULL,NULL,NULL,'Direction de projet 10 mai 2017',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(153,99,NULL,NULL,NULL,'Direction de projet 24, 25 avril ; 22, 23 mai 2017',20.000,0.000,'0',0.000,'0',4,0,0,NULL,800.00000000,NULL,3200.00000000,640.00000000,0.00000000,0.00000000,3840.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(154,99,NULL,NULL,NULL,'Forfait d&eacute;placement Vaux Le Penil: 23 mai 2017',20.000,0.000,'0',0.000,'0',1,0,0,NULL,254.00000000,NULL,254.00000000,50.80000000,0.00000000,0.00000000,304.80000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(155,100,NULL,NULL,NULL,'Direction de projet 10 mai 2017',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(157,101,NULL,NULL,NULL,'Direction de projet 26 avril, 17 mai 2017',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(158,101,NULL,NULL,NULL,'Forfait d&eacute;placement Colombes 17 mai',20.000,0.000,'0',0.000,'0',1,0,0,NULL,304.00000000,NULL,304.00000000,60.80000000,0.00000000,0.00000000,364.80000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(159,102,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC mai 2017',20.000,0.000,'0',0.000,'0',19,0,0,NULL,265.00000000,NULL,5035.00000000,1007.00000000,0.00000000,0.00000000,6042.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(160,102,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT mai 2017',20.000,0.000,'0',0.000,'0',19,0,0,NULL,265.00000000,NULL,5035.00000000,1007.00000000,0.00000000,0.00000000,6042.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(161,103,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). mai 2017',20.000,0.000,'0',0.000,'0',16,0,0,NULL,290.00000000,NULL,4640.00000000,928.00000000,0.00000000,0.00000000,5568.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(162,104,NULL,NULL,NULL,'Candidat Monsieur LENOURICHEL',20.000,0.000,'0',0.000,'0',1,0,0,NULL,1000.00000000,NULL,1000.00000000,200.00000000,0.00000000,0.00000000,1200.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(164,105,NULL,NULL,NULL,'Entr&eacute;e Monsieur DARD le 28/02/2017<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(169,106,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). juin 2017',20.000,0.000,'0',0.000,'0',20,0,0,NULL,290.00000000,NULL,5800.00000000,1160.00000000,0.00000000,0.00000000,6960.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(170,107,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC juin 2017',20.000,0.000,'0',0.000,'0',21,0,0,NULL,265.00000000,NULL,5565.00000000,1113.00000000,0.00000000,0.00000000,6678.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(171,107,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT juin 2017',20.000,0.000,'0',0.000,'0',19.5,0,0,NULL,265.00000000,NULL,5167.50000000,1033.50000000,0.00000000,0.00000000,6201.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(172,108,NULL,NULL,NULL,'Direction de projet Laurent BORRET juin 2017 : les 2 (0.5j), 7 (0.5j), 12 (0.5j), 16 (0.5j)',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(174,109,NULL,NULL,NULL,'Direction de projet Laurent BORRET le 06/06 (1j), 12, 23, 30/06 (0.5j chacun)',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,800.00000000,NULL,2000.00000000,400.00000000,0.00000000,0.00000000,2400.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(176,110,NULL,NULL,NULL,'Direction de projet Laurent BORRET 09 juin (1j)',20.000,0.000,'0',0.000,'0',1,0,0,NULL,800.00000000,NULL,800.00000000,160.00000000,0.00000000,0.00000000,960.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(178,111,NULL,NULL,NULL,'Direction de projet Laurent BORRET les 15 (0.5j), 21 juin (1j)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(179,111,NULL,NULL,NULL,'Forfait de d&eacute;placement - Levallois Perret le 21 juin 2017',20.000,0.000,'0',0.000,'0',1,0,0,NULL,343.00000000,NULL,343.00000000,68.60000000,0.00000000,0.00000000,411.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(180,112,NULL,NULL,NULL,'Direction de projet Laurent BORRET juin 2017 : 23 (0.5j), 26 (1j)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(182,113,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nJuin : 6, 7, 13, 15, 19, 20, 27 = 7 j<br />\r\nJuin demi-journ&eacute;e : 12, 22, 28, 29&nbsp; = 2 j',20.000,0.000,'0',0.000,'0',9,0,0,NULL,800.00000000,NULL,7200.00000000,1440.00000000,0.00000000,0.00000000,8640.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(184,115,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; Auxerre les 6 et 15 juin 2017<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',2,0,0,NULL,230.00000000,NULL,460.00000000,92.00000000,0.00000000,0.00000000,552.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(185,116,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3',20.000,0.000,'0',0.000,'0',7.75,0,0,NULL,860.00000000,NULL,6665.00000000,1333.00000000,0.00000000,0.00000000,7998.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(186,117,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN juin 2017',20.000,0.000,'0',0.000,'0',22,0,0,NULL,380.00000000,NULL,8360.00000000,1672.00000000,0.00000000,0.00000000,10032.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(187,118,NULL,NULL,NULL,'Frais de d&eacute;placement DARDILY : 45&euro; HT/ jour sur site<br />\r\n<br />\r\nPrestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute;&nbsp; - SVN juin 2017',20.000,0.000,'0',0.000,'0',22,0,0,NULL,45.00000000,NULL,990.00000000,198.00000000,0.00000000,0.00000000,1188.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(188,119,NULL,NULL,NULL,'Direction de projet Laurent BORRET 28 juin',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(189,120,NULL,NULL,NULL,'Direction de projet Laurent BORRET les 4,11,18/07 (0.5 jour chacun) = 1.5 ; le 27/07 = 1j',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,800.00000000,NULL,2000.00000000,400.00000000,0.00000000,0.00000000,2400.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(190,120,NULL,NULL,NULL,'Forfait de d&eacute;placement le 27/07',20.000,0.000,'0',0.000,'0',1,0,0,NULL,597.00000000,NULL,597.00000000,119.40000000,0.00000000,0.00000000,716.40000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(191,121,NULL,NULL,NULL,'Direction de projet Laurent BORRET juillet 2017 : le 3 (1j), 10 (0.5j), 13 (1j), 18 (0.5j)',20.000,0.000,'0',0.000,'0',3,0,0,NULL,800.00000000,NULL,2400.00000000,480.00000000,0.00000000,0.00000000,2880.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(192,121,NULL,NULL,NULL,'Forfait de d&eacute;placement Vaux le Penil le 18/07',20.000,0.000,'0',0.000,'0',1,0,0,NULL,432.00000000,NULL,432.00000000,86.40000000,0.00000000,0.00000000,518.40000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(193,122,NULL,NULL,NULL,'Direction de projet Laurent BORRET juillet : 7 (1j), 20 (0.5j)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(194,123,NULL,NULL,NULL,'Direction de projet Laurent BORRET juillet : 0.5j le 28/07',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(195,124,NULL,NULL,NULL,'Direction de projet Laurent BORRET juillet : les 10, 19, 28 (0.5j chacun)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(197,125,NULL,NULL,NULL,'Direction de projet Laurent BORRET juillet 2017 : 6 (1j), 12 (0.5j), 20 (0.5j)',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(198,125,NULL,NULL,NULL,'Forfait de d&eacute;placement le 06/07',20.000,0.000,'0',0.000,'0',1,0,0,NULL,590.00000000,NULL,590.00000000,118.00000000,0.00000000,0.00000000,708.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(199,126,NULL,NULL,NULL,'Direction de projet IT et AMOA projet ORKIDEE-M3 - juillet 2017',20.000,0.000,'0',0.000,'0',3.25,0,0,NULL,860.00000000,NULL,2795.00000000,559.00000000,0.00000000,0.00000000,3354.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(200,127,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nJuillet : 12, 13, 19, 21, 24, 26 = 6j<br />\r\nJuillet demi-journ&eacute;e : 3, 5, 7, 10&nbsp; = 2 j',20.000,0.000,'0',0.000,'0',8,0,0,NULL,800.00000000,NULL,6400.00000000,1280.00000000,0.00000000,0.00000000,7680.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(202,128,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; NEVERS le 19/07/2017<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230.00000000,NULL,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(203,129,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN juillet 2017',20.000,0.000,'0',0.000,'0',19,0,0,NULL,380.00000000,NULL,7220.00000000,1444.00000000,0.00000000,0.00000000,8664.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(204,130,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC juillet 2017',20.000,0.000,'0',0.000,'0',19,0,0,NULL,265.00000000,NULL,5035.00000000,1007.00000000,0.00000000,0.00000000,6042.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(205,130,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT juillet 2017',20.000,0.000,'0',0.000,'0',20,0,0,NULL,265.00000000,NULL,5300.00000000,1060.00000000,0.00000000,0.00000000,6360.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(206,131,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). juillet 2017',20.000,0.000,'0',0.000,'0',20,0,0,NULL,290.00000000,NULL,5800.00000000,1160.00000000,0.00000000,0.00000000,6960.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(207,132,NULL,NULL,NULL,'Entr&eacute;e Monsieur FLUCKIGER le 25/04/2017<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(208,133,NULL,NULL,NULL,'Projet LSM -&nbsp; PCS juillet 2017<br />\r\n11, 12, 13, 25, 26, 27 chez BASF ; 18, 19, 20 &agrave; St Etienne',20.000,0.000,'0',0.000,'0',9,0,0,NULL,500.00000000,NULL,4500.00000000,900.00000000,0.00000000,0.00000000,5400.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(209,134,NULL,NULL,NULL,'Forfait journalier Allemagne - du 11 au 13/07 et du 25 au 27/07',20.000,0.000,'0',0.000,'0',6,0,0,NULL,120.00000000,NULL,720.00000000,144.00000000,0.00000000,0.00000000,864.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(210,134,NULL,NULL,NULL,'Essence, p&eacute;age trajet Allemagne',20.000,0.000,'0',0.000,'0',1,0,0,NULL,115.90000000,NULL,115.90000000,23.18000000,0.00000000,0.00000000,139.08000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(211,135,NULL,NULL,NULL,'Direction de projet Laurent BORRET juillet 2017 : le 21/07 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(212,136,NULL,NULL,NULL,'Direction de projet Laurent BORRET ao&ucirc;t : le 25',20.000,0.000,'0',0.000,'0',1,0,0,NULL,800.00000000,NULL,800.00000000,160.00000000,0.00000000,0.00000000,960.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(213,137,NULL,NULL,NULL,'Direction de projet Laurent BORRET ao&ucirc;t 2017 : le 31 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(215,138,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nAo&ucirc;t: 24, 29, 31 = 3j<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',3,0,0,NULL,800.00000000,NULL,2400.00000000,480.00000000,0.00000000,0.00000000,2880.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(216,139,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; SENS le 29/07/2017 d&eacute;placement transport<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,280.00000000,NULL,280.00000000,56.00000000,0.00000000,0.00000000,336.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(217,139,NULL,NULL,NULL,'Forfait journalier de frais : forfait vie',20.000,0.000,'0',0.000,'0',1,0,0,NULL,130.00000000,NULL,130.00000000,26.00000000,0.00000000,0.00000000,156.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,4,NULL,100,NULL,NULL),(219,141,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN ao&ucirc;t 2017',20.000,0.000,'0',0.000,'0',12,0,0,NULL,380.00000000,NULL,4560.00000000,912.00000000,0.00000000,0.00000000,5472.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(220,142,NULL,NULL,NULL,'Projet LSM -&nbsp; PCS ao&ucirc;t 2017<br />\r\n1, 2, 3, 8, 9, 10, 22, 23, 24, 29, 30, 31 chez BASF ; 16, 17 &agrave; St Etienne',20.000,0.000,'0',0.000,'0',14,0,0,NULL,500.00000000,NULL,7000.00000000,1400.00000000,0.00000000,0.00000000,8400.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(221,143,NULL,NULL,NULL,'Forfait journalier Allemagne - du 1 au 3/08, 8 au 10/08, 22 au 24/08, 29 au 30/08',20.000,0.000,'0',0.000,'0',9,0,0,NULL,120.00000000,NULL,1080.00000000,216.00000000,0.00000000,0.00000000,1296.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(222,143,NULL,NULL,NULL,'Essence, p&eacute;age trajet Allemagne',20.000,0.000,'0',0.000,'0',1,0,0,NULL,408.33000000,NULL,408.33000000,81.67000000,0.00000000,0.00000000,490.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(223,144,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). ao&ucirc;t 2017',20.000,0.000,'0',0.000,'0',18,0,0,NULL,290.00000000,NULL,5220.00000000,1044.00000000,0.00000000,0.00000000,6264.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(224,145,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC ao&ucirc;t 2017',20.000,0.000,'0',0.000,'0',12,0,0,NULL,265.00000000,NULL,3180.00000000,636.00000000,0.00000000,0.00000000,3816.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(225,145,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT ao&ucirc;t 2017',20.000,0.000,'0',0.000,'0',13,0,0,NULL,265.00000000,NULL,3445.00000000,689.00000000,0.00000000,0.00000000,4134.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(226,146,NULL,NULL,NULL,'Entr&eacute;e Monsieur POUGET le 16/06/2017<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(227,147,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nSeptembre : 6, 13, 15 (0.5j), 18, 20, 21 (0.5j), 26 (0.5j), 27&nbsp; = 6.5j<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',6.5,0,0,NULL,800.00000000,NULL,5200.00000000,1040.00000000,0.00000000,0.00000000,6240.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(228,148,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; NEVERS le 13/09/2017 d&eacute;placement transport<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230.00000000,NULL,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(230,149,NULL,NULL,NULL,'Direction de projet Laurent BORRET septembre 2017 : le 06 (0.5j), 12 (0.5j), 22',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(231,150,NULL,NULL,NULL,'Direction de projet Laurent BORRET septembre 2017: le 08 (0.5j), 20, 29 (0.5j)',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(232,150,NULL,NULL,NULL,'Forfait de d&eacute;placement',20.000,0.000,'0',0.000,'0',1,0,0,NULL,260.00000000,NULL,260.00000000,52.00000000,0.00000000,0.00000000,312.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(233,151,NULL,NULL,NULL,'Direction de projet Laurent BORRET septembre 2017 : 11 (0.5j), 18 (0.5j), 19',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(234,151,NULL,NULL,NULL,'Forfait de d&eacute;placement',20.000,0.000,'0',0.000,'0',1,0,0,NULL,468.00000000,NULL,468.00000000,93.60000000,0.00000000,0.00000000,561.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(235,152,NULL,NULL,NULL,'Direction de projet Laurent BORRET septembre 2017 : 4 (0.5j), 11 (0.5j), 25<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(236,152,NULL,NULL,NULL,'Forfait de d&eacute;placement',20.000,0.000,'0',0.000,'0',1,0,0,NULL,417.00000000,NULL,417.00000000,83.40000000,0.00000000,0.00000000,500.40000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(237,153,NULL,NULL,NULL,'Direction de projet Laurent BORRET septembre 2017 : 4 (0.5j), 18 (0.5j)',20.000,0.000,'0',0.000,'0',1,0,0,NULL,800.00000000,NULL,800.00000000,160.00000000,0.00000000,0.00000000,960.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(239,154,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN septembre 2017',20.000,0.000,'0',0.000,'0',21,0,0,NULL,380.00000000,NULL,7980.00000000,1596.00000000,0.00000000,0.00000000,9576.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(240,155,NULL,NULL,NULL,'Projet LSM -&nbsp; PCS septembre 2017<br />\r\n4,6,7,12,13,14,26,27,28 chez BASF ; 19,20,21 &agrave; St Etienne',20.000,0.000,'0',0.000,'0',12,0,0,NULL,500.00000000,NULL,6000.00000000,1200.00000000,0.00000000,0.00000000,7200.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(241,156,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). septembre 2017',20.000,0.000,'0',0.000,'0',11,0,0,NULL,290.00000000,NULL,3190.00000000,638.00000000,0.00000000,0.00000000,3828.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(242,157,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC septembre 2017',20.000,0.000,'0',0.000,'0',20,0,0,NULL,265.00000000,NULL,5300.00000000,1060.00000000,0.00000000,0.00000000,6360.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(243,157,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT septembre 2017',20.000,0.000,'0',0.000,'0',20.5,0,0,NULL,265.00000000,NULL,5432.50000000,1086.50000000,0.00000000,0.00000000,6519.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(244,158,NULL,NULL,NULL,'Direction de projet Laurent BORRET septembre 2017 : 28 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(246,159,NULL,NULL,NULL,'Forfait journalier Allemagne - du 5 au 07/09, 12 au 14/09, 26 au 28/09',20.000,0.000,'0',0.000,'0',9,0,0,NULL,120.00000000,NULL,1080.00000000,216.00000000,0.00000000,0.00000000,1296.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(247,159,NULL,NULL,NULL,'Essence, p&eacute;age trajet Allemagne',20.000,0.000,'0',0.000,'0',1,0,0,NULL,331.01000000,NULL,331.01000000,66.20000000,0.00000000,0.00000000,397.21000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(248,160,NULL,NULL,NULL,'Entr&eacute;e Mr BECOURT le 19/09/2017<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(249,161,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). octobre 2017',20.000,0.000,'0',0.000,'0',14.5,0,0,NULL,290.00000000,NULL,4205.00000000,841.00000000,0.00000000,0.00000000,5046.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(250,161,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). octobre 2017',20.000,0.000,'0',0.000,'0',12,0,0,NULL,315.00000000,NULL,3780.00000000,756.00000000,0.00000000,0.00000000,4536.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(251,162,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - CCC octobre 2017',20.000,0.000,'0',0.000,'0',15,0,0,NULL,265.00000000,NULL,3975.00000000,795.00000000,0.00000000,0.00000000,4770.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(252,162,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT octobre 2017',20.000,0.000,'0',0.000,'0',22,0,0,NULL,265.00000000,NULL,5830.00000000,1166.00000000,0.00000000,0.00000000,6996.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(253,162,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - JHN octobre 2017',20.000,0.000,'0',0.000,'0',7,0,0,NULL,250.00000000,NULL,1750.00000000,350.00000000,0.00000000,0.00000000,2100.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(254,163,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nOctobre: 3 (0.5j), 4, 11 (0.5j), 12, 19, 26&nbsp; = 5j<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',5,0,0,NULL,800.00000000,NULL,4000.00000000,800.00000000,0.00000000,0.00000000,4800.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(255,164,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; NEVERS le 04/10/2017 d&eacute;placement transport<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230.00000000,NULL,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(256,165,NULL,NULL,NULL,'Direction de projet Laurent BORRET octobre 2017 : 02 (0.5j), 06 (0.5j), 09 (0.5j), 16 (0.5j), 17',20.000,0.000,'0',0.000,'0',3,0,0,NULL,800.00000000,NULL,2400.00000000,480.00000000,0.00000000,0.00000000,2880.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(257,165,NULL,NULL,NULL,'Forfait d&eacute;placement le 17/10',20.000,0.000,'0',0.000,'0',1,0,0,NULL,591.00000000,NULL,591.00000000,118.20000000,0.00000000,0.00000000,709.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(258,166,NULL,NULL,NULL,'Direction de projet Laurent BORRET octobre 2017 : 24 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(260,167,NULL,NULL,NULL,'Direction de projet Laurent BORRET octobre 2017 : 9 (0.5j), 23 (0.5j), 30<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(264,169,NULL,NULL,NULL,'Direction de projet Laurent BORRET octobre 2017 : le 06 (0.5j), 10 (0.5j), 13 (0.5j), 19(0.5j)',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(265,169,NULL,NULL,NULL,'Forfait de d&eacute;placement le 10/10',20.000,0.000,'0',0.000,'0',1,0,0,NULL,598.00000000,NULL,598.00000000,119.60000000,0.00000000,0.00000000,717.60000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(266,170,NULL,NULL,NULL,'Direction de projet Laurent BORRET octobre 2017: le 13 (0.5j), 19 (0.5j), 27 (0.5j)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(268,171,NULL,NULL,NULL,'Direction de projet Laurent BORRET octobre 2017 : 02 (0.5j), 16 (0.5j), 23 (0.5j), 25',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,800.00000000,NULL,2000.00000000,400.00000000,0.00000000,0.00000000,2400.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(269,171,NULL,NULL,NULL,'Forfait de d&eacute;placement le 25/10',20.000,0.000,'0',0.000,'0',1,0,0,NULL,436.00000000,NULL,436.00000000,87.20000000,0.00000000,0.00000000,523.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(270,172,NULL,NULL,NULL,'Projet LSM -&nbsp; PCS octobre 2017<br />\r\n3,4,5,10,11,12,17,18,19,24,25,26 chez BASF',20.000,0.000,'0',0.000,'0',12,0,0,NULL,500.00000000,NULL,6000.00000000,1200.00000000,0.00000000,0.00000000,7200.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(271,173,NULL,NULL,NULL,'Forfait journalier Allemagne - du 3 au 05/10, 10 au 12/10, 17 au 19/10, 24 au 26/10',20.000,0.000,'0',0.000,'0',12,0,0,NULL,120.00000000,NULL,1440.00000000,288.00000000,0.00000000,0.00000000,1728.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(272,173,NULL,NULL,NULL,'Essence, p&eacute;age trajet Allemagne',20.000,0.000,'0',0.000,'0',1,0,0,NULL,397.55000000,NULL,397.55000000,79.51000000,0.00000000,0.00000000,477.06000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(273,174,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN octobre 2017',20.000,0.000,'0',0.000,'0',22,0,0,NULL,380.00000000,NULL,8360.00000000,1672.00000000,0.00000000,0.00000000,10032.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(275,175,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT novembre 2017',20.000,0.000,'0',0.000,'0',21,0,0,NULL,265.00000000,NULL,5565.00000000,1113.00000000,0.00000000,0.00000000,6678.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(276,175,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - JHN novembre 2017',20.000,0.000,'0',0.000,'0',20.5,0,0,NULL,250.00000000,NULL,5125.00000000,1025.00000000,0.00000000,0.00000000,6150.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(278,176,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). novembre 2017',20.000,0.000,'0',0.000,'0',21,0,0,NULL,315.00000000,NULL,6615.00000000,1323.00000000,0.00000000,0.00000000,7938.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(279,177,NULL,NULL,NULL,'Entr&eacute;e Mr WILLAIME le 19/09/2017<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(280,178,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nnovembre: 3 (0.5j), 6, 8, 13, 14 (0.5j), 23 (0.5j), 24, 28, 30 = 7j<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',7.5,0,0,NULL,800.00000000,NULL,6000.00000000,1200.00000000,0.00000000,0.00000000,7200.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(281,179,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; NEVERS le 13/11/2017 d&eacute;placement transport<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230.00000000,NULL,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(282,179,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; AUXERRE le 24/11/2017 d&eacute;placement transport',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230.00000000,NULL,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,4,NULL,100,NULL,NULL),(283,180,NULL,NULL,NULL,'Direction de projet Laurent BORRET novembre 2017 : 07 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(285,181,NULL,NULL,NULL,'Direction de projet Laurent BORRET novembre 2017 : le 06 (0.5j), 10 (0.5j), 16, 20 (0.5j)',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,800.00000000,NULL,2000.00000000,400.00000000,0.00000000,0.00000000,2400.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(286,181,NULL,NULL,NULL,'Forfait de d&eacute;placement le 16/11',20.000,0.000,'0',0.000,'0',1,0,0,NULL,621.00000000,NULL,621.00000000,124.20000000,0.00000000,0.00000000,745.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(287,182,NULL,NULL,NULL,'Direction de projet Laurent BORRET novembre 2017 : 07 (0.5j), 14 (0.5j), 21 (0.5j), 27 (0.5j)<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(288,183,NULL,NULL,NULL,'Direction de projet Laurent BORRET novembre 2017 : 03 (0.5j), 15 (0.5j), 20 (0.5j), 27 (0.5j)',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(290,184,NULL,NULL,NULL,'Direction de projet Laurent BORRET novembre 2017: le 2, 17 (0.5j)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(291,184,NULL,NULL,NULL,'Forfait frais de d&eacute;placement le 02/11',20.000,0.000,'0',0.000,'0',1,0,0,NULL,336.00000000,NULL,336.00000000,67.20000000,0.00000000,0.00000000,403.20000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(292,185,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN novembre 2017',20.000,0.000,'0',0.000,'0',21,0,0,NULL,380.00000000,NULL,7980.00000000,1596.00000000,0.00000000,0.00000000,9576.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(293,186,NULL,NULL,NULL,'Projet LSM -&nbsp; PCS novembre 2017<br />\r\n7, 8, 9 chez BASF, 14, 15, 16 St Etienne',20.000,0.000,'0',0.000,'0',6,0,0,NULL,500.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(294,187,NULL,NULL,NULL,'Forfait journalier Allemagne - du 7 au 09/11<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',3,0,0,NULL,120.00000000,NULL,360.00000000,72.00000000,0.00000000,0.00000000,432.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(295,187,NULL,NULL,NULL,'Essence, p&eacute;age trajet Allemagne',20.000,0.000,'0',0.000,'0',1,0,0,NULL,119.30000000,NULL,119.30000000,23.86000000,0.00000000,0.00000000,143.16000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(296,187,NULL,NULL,NULL,'Forfait journalier St Etienne - du 14 au 16/11',20.000,0.000,'0',0.000,'0',3,0,0,NULL,90.00000000,NULL,270.00000000,54.00000000,0.00000000,0.00000000,324.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(297,188,NULL,NULL,NULL,'Projet documentation-&nbsp; PCS novembre 2017<br />\r\ndu 21 au 23, du 28 au 30',20.000,0.000,'0',0.000,'0',6,0,0,NULL,400.00000000,NULL,2400.00000000,480.00000000,0.00000000,0.00000000,2880.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(298,189,NULL,NULL,NULL,'Projet documentation-&nbsp; PCS novembre 2017<br />\r\nForfait St Etienne du 21 au 23, du 28 au 30',20.000,0.000,'0',0.000,'0',6,0,0,NULL,90.00000000,NULL,540.00000000,108.00000000,0.00000000,0.00000000,648.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(299,190,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nd&eacute;cembre: 5, 6, 7, 12, 14 (0.5j), 18 (0.5j), 20 = 6j<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',6,0,0,NULL,800.00000000,NULL,4800.00000000,960.00000000,0.00000000,0.00000000,5760.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(300,191,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; Levallois Perret le 12/12/2017 d&eacute;placement transport (application du forfait SENS)<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,280.00000000,NULL,280.00000000,56.00000000,0.00000000,0.00000000,336.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(302,192,NULL,NULL,NULL,'Projet documentation-&nbsp; PCS decembre 2017<br />\r\ndu 5 au 07',20.000,0.000,'0',0.000,'0',3,0,0,NULL,400.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(303,193,NULL,NULL,NULL,'Direction de projet Laurent BORRET d&eacute;cembre 2017: le 08 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(305,194,NULL,NULL,NULL,'Direction de projet Laurent BORRET d&eacute;cembre 2017: le 13 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(306,194,NULL,NULL,NULL,'Forfait de d&eacute;placement Levallois Perret le 13/12',20.000,0.000,'0',0.000,'0',1,0,0,NULL,302.00000000,NULL,302.00000000,60.40000000,0.00000000,0.00000000,362.40000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(307,195,NULL,NULL,NULL,'Direction de projet Laurent BORRET d&eacute;cembre 2017 : 04 (0.5j), 11 (0.5j), 15, 19',20.000,0.000,'0',0.000,'0',3,0,0,NULL,800.00000000,NULL,2400.00000000,480.00000000,0.00000000,0.00000000,2880.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(308,195,NULL,NULL,NULL,'Forfait d&eacute;placement Molsheim le 19/12',20.000,0.000,'0',0.000,'0',1,0,0,NULL,592.00000000,NULL,592.00000000,118.40000000,0.00000000,0.00000000,710.40000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(309,196,NULL,NULL,NULL,'Direction de projet Laurent BORRET d&eacute;cembre 2017 : 04 (0.5j), 11 (0.5j), 21 (0.5j)<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(310,197,NULL,NULL,NULL,'Direction de projet Laurent BORRET d&eacute;cembre 2017 : le 08 (0.5j), 14 (0.5j), 21 (0.5j)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(312,198,NULL,NULL,NULL,'Entr&eacute;e Mr PRUNIAUX le 23/10/2017<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(313,199,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). d&eacute;cembre 2017',20.000,0.000,'0',0.000,'0',15,0,0,NULL,315.00000000,NULL,4725.00000000,945.00000000,0.00000000,0.00000000,5670.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(314,200,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le contr&ocirc;le de gestion. D&eacute;cembre 2017',20.000,0.000,'0',0.000,'0',10,0,0,NULL,315.00000000,NULL,3150.00000000,630.00000000,0.00000000,0.00000000,3780.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(315,201,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT d&eacute;cembre 2017',20.000,0.000,'0',0.000,'0',15,0,0,NULL,265.00000000,NULL,3975.00000000,795.00000000,0.00000000,0.00000000,4770.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(316,201,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - JHN d&eacute;cembre 2017',20.000,0.000,'0',0.000,'0',16,0,0,NULL,250.00000000,NULL,4000.00000000,800.00000000,0.00000000,0.00000000,4800.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(317,202,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN d&eacute;cembre 2017',20.000,0.000,'0',0.000,'0',20,0,0,NULL,380.00000000,NULL,7600.00000000,1520.00000000,0.00000000,0.00000000,9120.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(318,203,NULL,NULL,NULL,'Direction de projet Laurent BORRET d&eacute;cembre 2017: le 13 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(320,204,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nJanvier : 5, 8, 10 (0.5j), 11, 15, 17, 22, 24, 25, 30, 31 (0.5j) = 10j<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',10,0,0,NULL,800.00000000,NULL,8000.00000000,1600.00000000,0.00000000,0.00000000,9600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(321,205,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; Nevers le 30/01/18<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,230.00000000,NULL,230.00000000,46.00000000,0.00000000,0.00000000,276.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(322,206,NULL,NULL,NULL,'Direction de projet Laurent BORRET janvier 2018 : 04 (0.5j), 09 (0.5j), 16 (0.5j), 23 (0.5j), 30.',20.000,0.000,'0',0.000,'0',3,0,0,NULL,800.00000000,NULL,2400.00000000,480.00000000,0.00000000,0.00000000,2880.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(325,208,NULL,NULL,NULL,'Direction de projet Laurent BORRET janvier 2018 : 04 (0.5j), 12 (0.5j), 19 (0.5j), 26(0.5j)<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(326,209,NULL,NULL,NULL,'Direction de projet Laurent BORRET janvier 2018 : le 22, 26 (0.5j)',20.000,0.000,'0',0.000,'0',1.5,0,0,NULL,800.00000000,NULL,1200.00000000,240.00000000,0.00000000,0.00000000,1440.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(327,210,NULL,NULL,NULL,'Direction de projet Laurent BORRET janvier 2018: le 12(0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(328,211,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN janvier 2018',20.000,0.000,'0',0.000,'0',22,0,0,NULL,380.00000000,NULL,8360.00000000,1672.00000000,0.00000000,0.00000000,10032.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(329,212,NULL,NULL,NULL,'Prestation de d&eacute;ploiement de la solution LSM - EST janvier 2018',20.000,0.000,'0',0.000,'0',20,0,0,NULL,360.00000000,NULL,7200.00000000,1440.00000000,0.00000000,0.00000000,8640.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(330,212,NULL,NULL,NULL,'Prestation de d&eacute;ploiement de la solution LSM - EST janvier 2018',20.000,0.000,'0',0.000,'0',1,0,0,NULL,400.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(331,213,NULL,NULL,NULL,'Frais de d&eacute;placement pour prestation de d&eacute;ploiement de la solution LSM - EST janvier 2018',20.000,0.000,'0',0.000,'0',1,0,0,NULL,441.74000000,NULL,441.74000000,88.35000000,0.00000000,0.00000000,530.09000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(333,214,NULL,NULL,NULL,'Entr&eacute;e Mr THOMASSIN le 05/12<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(334,215,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). janvier 2018',20.000,0.000,'0',0.000,'0',21,0,0,NULL,315.00000000,NULL,6615.00000000,1323.00000000,0.00000000,0.00000000,7938.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(335,216,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le contr&ocirc;le de gestion. Janvier 2018',20.000,0.000,'0',0.000,'0',21,0,0,NULL,315.00000000,NULL,6615.00000000,1323.00000000,0.00000000,0.00000000,7938.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(336,217,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT janvier 2018',20.000,0.000,'0',0.000,'0',20.5,0,0,NULL,265.00000000,NULL,5432.50000000,1086.50000000,0.00000000,0.00000000,6519.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(337,217,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - JHN janvier 2018',20.000,0.000,'0',0.000,'0',21,0,0,NULL,250.00000000,NULL,5250.00000000,1050.00000000,0.00000000,0.00000000,6300.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(338,218,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nF&eacute;vrier: 1, 2 (0.5j), 5, 7 (0.5j), 9 (0.5j), 12 (0.5j), 13, 20, 21 (0.5j), 26, 27, 28= 9.5j<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',9.5,0,0,NULL,800.00000000,NULL,7600.00000000,1520.00000000,0.00000000,0.00000000,9120.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(339,219,NULL,NULL,NULL,'D&eacute;placement transport&nbsp;:&nbsp; Auxerre le 27/02/18<br />\r\n<br />\r\nLaurent BORRET - Projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,280.00000000,NULL,280.00000000,56.00000000,0.00000000,0.00000000,336.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(340,220,NULL,NULL,NULL,'Direction de projet Laurent BORRET f&eacute;vrier 2018 : 05 (0.5j)',20.000,0.000,'0',0.000,'0',0.5,0,0,NULL,800.00000000,NULL,400.00000000,80.00000000,0.00000000,0.00000000,480.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(341,221,NULL,NULL,NULL,'Direction de projet Laurent BORRET f&eacute;vrier 2018 : 05 (0.5j), 12 (0.5j), 19 (0.5j), 22 = 2.5j',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,800.00000000,NULL,2000.00000000,400.00000000,0.00000000,0.00000000,2400.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(342,222,NULL,NULL,NULL,'Direction de projet Laurent BORRET f&eacute;vrier 2018.<br />\r\nForfait d&eacute;placement Molsheim le 22/02',20.000,0.000,'0',0.000,'0',1,0,0,NULL,602.00000000,NULL,602.00000000,120.40000000,0.00000000,0.00000000,722.40000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(343,223,NULL,NULL,NULL,'Direction de projet Laurent BORRET f&eacute;vrier 2018 : 02 (0.5j), 09(0.5j), 14(0.5j), 23(0.5j)<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(344,224,NULL,NULL,NULL,'Direction de projet Laurent BORRET f&eacute;vrier 2018 : le 02(0.5j), 09 (0.5j), 14 (0.5j), 23 (0.5j)',20.000,0.000,'0',0.000,'0',2,0,0,NULL,800.00000000,NULL,1600.00000000,320.00000000,0.00000000,0.00000000,1920.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(345,225,NULL,NULL,NULL,'Direction de projet Laurent BORRET f&eacute;vrier 2018: le 15',20.000,0.000,'0',0.000,'0',1,0,0,NULL,800.00000000,NULL,800.00000000,160.00000000,0.00000000,0.00000000,960.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(346,226,NULL,NULL,NULL,'Direction de projet Laurent BORRET f&eacute;vrier 2018.<br />\r\nForfait d&eacute;placement &agrave; Levallois Perret le 15/02',20.000,0.000,'0',0.000,'0',1,0,0,NULL,317.00000000,NULL,317.00000000,63.40000000,0.00000000,0.00000000,380.40000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(347,227,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN f&eacute;vrier 2018',20.000,0.000,'0',0.000,'0',20,0,0,NULL,380.00000000,NULL,7600.00000000,1520.00000000,0.00000000,0.00000000,9120.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(349,228,NULL,NULL,NULL,'Prestation de d&eacute;ploiement de la solution LSM - EST f&eacute;vrier 2018',20.000,0.000,'0',0.000,'0',20,0,0,NULL,400.00000000,NULL,8000.00000000,1600.00000000,0.00000000,0.00000000,9600.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(350,229,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le contr&ocirc;le de gestion. F&eacute;vrier 2018',20.000,0.000,'0',0.000,'0',19.5,0,0,NULL,315.00000000,NULL,6142.50000000,1228.50000000,0.00000000,0.00000000,7371.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(351,230,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT f&eacute;vrier 2018',20.000,0.000,'0',0.000,'0',20,0,0,NULL,265.00000000,NULL,5300.00000000,1060.00000000,0.00000000,0.00000000,6360.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(352,230,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - JHN f&eacute;vrier 2018',20.000,0.000,'0',0.000,'0',20,0,0,NULL,265.00000000,NULL,5300.00000000,1060.00000000,0.00000000,0.00000000,6360.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(353,231,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le suivi et l&#39;aide &agrave; la mise en place du MASE et du CEFRI (s&eacute;curit&eacute;). f&eacute;vrier 2018',20.000,0.000,'0',0.000,'0',7,0,0,NULL,315.00000000,NULL,2205.00000000,441.00000000,0.00000000,0.00000000,2646.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(354,232,NULL,NULL,NULL,'Entr&eacute;e Mr PELATAN le 16/01<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,3000.00000000,NULL,3000.00000000,600.00000000,0.00000000,0.00000000,3600.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(355,233,NULL,NULL,NULL,'Frais de d&eacute;placement pour d&eacute;ploiement de la solution LSM - EST f&eacute;vrier 2018',20.000,0.000,'0',0.000,'0',1,0,0,NULL,380.96000000,NULL,380.96000000,76.19000000,0.00000000,0.00000000,457.15000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(356,234,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nMars:&nbsp; 2, 5 (0.5j), 8, 9, 13, 14, 16, 19, 20 (0.5j), 21, 22, 26, 27, 28 (0.5j), 30 (0.5j)<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',13,0,0,NULL,800.00000000,NULL,10400.00000000,2080.00000000,0.00000000,0.00000000,12480.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(357,235,NULL,NULL,NULL,'Laurent BORRET - Direction mission projet s&eacute;rialisation GALIEN-LPS / MACORS<br />\r\nD&eacute;placement transport : Auxerre le 08/03<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',1,0,0,NULL,280.00000000,NULL,280.00000000,56.00000000,0.00000000,0.00000000,336.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(358,236,NULL,NULL,NULL,'Laurent BORRET - Direction de projet s&eacute;rialisation BAILLY CREAT<br />\r\nMars : 7, 15, 20 (0.5j), 23, 27(0.5j)<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',4,0,0,NULL,800.00000000,NULL,3200.00000000,640.00000000,0.00000000,0.00000000,3840.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(359,237,NULL,NULL,NULL,'Direction de projet Laurent BORRET mars 2018 : le 12 (0.5j), 26 (0.5j)',20.000,0.000,'0',0.000,'0',1,0,0,NULL,800.00000000,NULL,800.00000000,160.00000000,0.00000000,0.00000000,960.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(360,238,NULL,NULL,NULL,'Direction de projet Laurent BORRET mars 2018 : 05 (0.5j), 12 (0.5j), 22 (0.5j), 29',20.000,0.000,'0',0.000,'0',2.5,0,0,NULL,800.00000000,NULL,2000.00000000,400.00000000,0.00000000,0.00000000,2400.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(361,238,NULL,NULL,NULL,'Forfait frais de d&eacute;placement MOLSHEIM le 29/03',20.000,0.000,'0',0.000,'0',1,0,0,NULL,630.00000000,NULL,630.00000000,126.00000000,0.00000000,0.00000000,756.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(362,239,NULL,NULL,NULL,'Prestation d&rsquo;administration, d&rsquo;assistance et support sur la solution MES et de l&rsquo;environnement technique li&eacute; - SVN mars 2018',20.000,0.000,'0',0.000,'0',21.5,0,0,NULL,380.00000000,NULL,8170.00000000,1634.00000000,0.00000000,0.00000000,9804.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,1,NULL,100,NULL,NULL),(363,240,NULL,NULL,NULL,'Prestation de d&eacute;ploiement de la solution LSM - EST mars 2018',20.000,0.000,'0',0.000,'0',22,0,0,NULL,400.00000000,NULL,8800.00000000,1760.00000000,0.00000000,0.00000000,10560.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(364,241,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes pour le contr&ocirc;le de gestion - mars 2018',20.000,0.000,'0',0.000,'0',21.5,0,0,NULL,315.00000000,NULL,6772.50000000,1354.50000000,0.00000000,0.00000000,8127.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(365,242,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - AGT mars 2018',20.000,0.000,'0',0.000,'0',22,0,0,NULL,265.00000000,NULL,5830.00000000,1166.00000000,0.00000000,0.00000000,6996.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL),(366,242,NULL,NULL,NULL,'Prestation d&#39;&eacute;tudes dans le domaine administratif - JHN mars 2018',20.000,0.000,'0',0.000,'0',21.5,0,0,NULL,265.00000000,NULL,5697.50000000,1139.50000000,0.00000000,0.00000000,6837.00000000,1,NULL,NULL,0,0.00000000,NULL,0,0,3,NULL,100,NULL,NULL),(367,243,NULL,NULL,NULL,'Entr&eacute;e Mme PIZZETTA le 23/01<br />\r\nEntr&eacute;e Mr OBERLE le 23/01<br />\r\nEntr&eacute;e Mr CHEVALLON le 06/02<br />\r\n&nbsp;',20.000,0.000,'0',0.000,'0',3,0,0,NULL,3000.00000000,NULL,9000.00000000,1800.00000000,0.00000000,0.00000000,10800.00000000,0,NULL,NULL,0,0.00000000,NULL,0,0,2,NULL,100,NULL,NULL);
/*!40000 ALTER TABLE `llx_facturedet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facturedet_extrafields`
--

DROP TABLE IF EXISTS `llx_facturedet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facturedet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_facturedet_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facturedet_extrafields`
--

LOCK TABLES `llx_facturedet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_facturedet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_facturedet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_facturedet_rec`
--

DROP TABLE IF EXISTS `llx_facturedet_rec`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_facturedet_rec` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_facture` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `product_type` int(11) DEFAULT '0',
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `tva_tx` double(6,3) DEFAULT NULL,
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `subprice` double(24,8) DEFAULT NULL,
  `price` double(24,8) DEFAULT NULL,
  `total_ht` double(24,8) DEFAULT NULL,
  `total_tva` double(24,8) DEFAULT NULL,
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `special_code` int(10) unsigned DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `fk_contract_line` int(11) DEFAULT NULL,
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `fk_facturedet_rec_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_facturedet_rec_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_facturedet_rec`
--

LOCK TABLES `llx_facturedet_rec` WRITE;
/*!40000 ALTER TABLE `llx_facturedet_rec` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_facturedet_rec` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_fichinter`
--

DROP TABLE IF EXISTS `llx_fichinter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_fichinter` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT '0',
  `fk_contrat` int(11) DEFAULT '0',
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `datei` date DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `duree` double DEFAULT NULL,
  `description` text,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `ref_ext` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_fichinter_ref` (`ref`,`entity`),
  KEY `idx_fichinter_fk_soc` (`fk_soc`),
  CONSTRAINT `fk_fichinter_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_fichinter`
--

LOCK TABLES `llx_fichinter` WRITE;
/*!40000 ALTER TABLE `llx_fichinter` DISABLE KEYS */;
INSERT INTO `llx_fichinter` (`rowid`, `fk_soc`, `fk_projet`, `fk_contrat`, `ref`, `entity`, `tms`, `datec`, `date_valid`, `datei`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_statut`, `duree`, `description`, `note_private`, `note_public`, `model_pdf`, `extraparams`, `ref_ext`) VALUES (2,5,0,0,'(PROV2)',1,'2016-06-20 19:18:55','2016-06-20 21:18:55',NULL,NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL,'soleil',NULL,NULL),(3,5,0,0,'(PROV3)',1,'2016-06-20 19:22:32','2016-06-20 21:21:53',NULL,NULL,1,NULL,NULL,0,14400,NULL,NULL,NULL,'soleil',NULL,NULL);
/*!40000 ALTER TABLE `llx_fichinter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_fichinter_extrafields`
--

DROP TABLE IF EXISTS `llx_fichinter_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_fichinter_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_ficheinter_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_fichinter_extrafields`
--

LOCK TABLES `llx_fichinter_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_fichinter_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_fichinter_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_fichinterdet`
--

DROP TABLE IF EXISTS `llx_fichinterdet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_fichinterdet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_fichinter` int(11) DEFAULT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `description` text,
  `duree` int(11) DEFAULT NULL,
  `rang` int(11) DEFAULT '0',
  PRIMARY KEY (`rowid`),
  KEY `idx_fichinterdet_fk_fichinter` (`fk_fichinter`),
  CONSTRAINT `fk_fichinterdet_fk_fichinter` FOREIGN KEY (`fk_fichinter`) REFERENCES `llx_fichinter` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_fichinterdet`
--

LOCK TABLES `llx_fichinterdet` WRITE;
/*!40000 ALTER TABLE `llx_fichinterdet` DISABLE KEYS */;
INSERT INTO `llx_fichinterdet` (`rowid`, `fk_fichinter`, `fk_parent_line`, `date`, `description`, `duree`, `rang`) VALUES (1,3,NULL,'2016-06-20 08:00:00','fdssdlknfjlkdsjflksdj',14400,0);
/*!40000 ALTER TABLE `llx_fichinterdet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_fichinterdet_extrafields`
--

DROP TABLE IF EXISTS `llx_fichinterdet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_fichinterdet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_ficheinterdet_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_fichinterdet_extrafields`
--

LOCK TABLES `llx_fichinterdet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_fichinterdet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_fichinterdet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_holiday`
--

DROP TABLE IF EXISTS `llx_holiday`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_holiday` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_user` int(11) NOT NULL,
  `fk_user_create` int(11) DEFAULT NULL,
  `date_create` datetime NOT NULL,
  `description` varchar(255) NOT NULL,
  `date_debut` date NOT NULL,
  `date_fin` date NOT NULL,
  `halfday` int(11) DEFAULT '0',
  `statut` int(11) NOT NULL DEFAULT '1',
  `fk_validator` int(11) NOT NULL,
  `date_valid` datetime DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `date_refuse` datetime DEFAULT NULL,
  `fk_user_refuse` int(11) DEFAULT NULL,
  `date_cancel` datetime DEFAULT NULL,
  `fk_user_cancel` int(11) DEFAULT NULL,
  `detail_refuse` varchar(250) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `fk_type` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  KEY `idx_holiday_fk_user` (`fk_user`),
  KEY `idx_holiday_fk_user_create` (`fk_user_create`),
  KEY `idx_holiday_date_create` (`date_create`),
  KEY `idx_holiday_date_debut` (`date_debut`),
  KEY `idx_holiday_date_fin` (`date_fin`),
  KEY `idx_holiday_fk_validator` (`fk_validator`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_holiday`
--

LOCK TABLES `llx_holiday` WRITE;
/*!40000 ALTER TABLE `llx_holiday` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_holiday` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_holiday_config`
--

DROP TABLE IF EXISTS `llx_holiday_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_holiday_config` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_holiday_config`
--

LOCK TABLES `llx_holiday_config` WRITE;
/*!40000 ALTER TABLE `llx_holiday_config` DISABLE KEYS */;
INSERT INTO `llx_holiday_config` (`rowid`, `name`, `value`) VALUES (1,'userGroup',NULL),(2,'lastUpdate',NULL),(3,'nbUser',NULL),(4,'delayForRequest','31'),(5,'AlertValidatorDelay','0'),(6,'AlertValidatorSolde','0'),(7,'nbHolidayDeducted','1'),(8,'nbHolidayEveryMonth','2.08334');
/*!40000 ALTER TABLE `llx_holiday_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_holiday_events`
--

DROP TABLE IF EXISTS `llx_holiday_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_holiday_events` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_holiday_name` (`name`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_holiday_events`
--

LOCK TABLES `llx_holiday_events` WRITE;
/*!40000 ALTER TABLE `llx_holiday_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_holiday_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_holiday_logs`
--

DROP TABLE IF EXISTS `llx_holiday_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_holiday_logs` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `date_action` datetime NOT NULL,
  `fk_user_action` int(11) NOT NULL,
  `fk_user_update` int(11) NOT NULL,
  `type_action` varchar(255) NOT NULL,
  `prev_solde` varchar(255) NOT NULL,
  `new_solde` varchar(255) NOT NULL,
  `fk_type` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_holiday_logs`
--

LOCK TABLES `llx_holiday_logs` WRITE;
/*!40000 ALTER TABLE `llx_holiday_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_holiday_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_holiday_users`
--

DROP TABLE IF EXISTS `llx_holiday_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_holiday_users` (
  `fk_user` int(11) NOT NULL,
  `nb_holiday` double NOT NULL DEFAULT '0',
  `fk_type` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`fk_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_holiday_users`
--

LOCK TABLES `llx_holiday_users` WRITE;
/*!40000 ALTER TABLE `llx_holiday_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_holiday_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_import_model`
--

DROP TABLE IF EXISTS `llx_import_model`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_import_model` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_user` int(11) NOT NULL DEFAULT '0',
  `label` varchar(50) NOT NULL,
  `type` varchar(20) NOT NULL,
  `field` text NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_import_model` (`label`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_import_model`
--

LOCK TABLES `llx_import_model` WRITE;
/*!40000 ALTER TABLE `llx_import_model` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_import_model` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_invoice_merged_pdf`
--

DROP TABLE IF EXISTS `llx_invoice_merged_pdf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_invoice_merged_pdf` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_facture` int(11) NOT NULL,
  `file_name` varchar(200) NOT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_mod` int(11) NOT NULL,
  `datec` datetime NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_invoice_merged_pdf`
--

LOCK TABLES `llx_invoice_merged_pdf` WRITE;
/*!40000 ALTER TABLE `llx_invoice_merged_pdf` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_invoice_merged_pdf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_links`
--

DROP TABLE IF EXISTS `llx_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_links` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datea` datetime NOT NULL,
  `url` varchar(255) NOT NULL,
  `label` varchar(255) NOT NULL,
  `objecttype` varchar(255) NOT NULL,
  `objectid` int(11) NOT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_links`
--

LOCK TABLES `llx_links` WRITE;
/*!40000 ALTER TABLE `llx_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_livraison`
--

DROP TABLE IF EXISTS `llx_livraison`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_livraison` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_soc` int(11) NOT NULL,
  `ref_ext` varchar(30) DEFAULT NULL,
  `ref_int` varchar(30) DEFAULT NULL,
  `ref_customer` varchar(30) DEFAULT NULL,
  `date_creation` datetime DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `date_delivery` datetime DEFAULT NULL,
  `fk_address` int(11) DEFAULT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_livraison_uk_ref` (`ref`,`entity`),
  KEY `idx_livraison_fk_soc` (`fk_soc`),
  KEY `idx_livraison_fk_user_author` (`fk_user_author`),
  KEY `idx_livraison_fk_user_valid` (`fk_user_valid`),
  CONSTRAINT `fk_livraison_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_livraison_fk_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_livraison_fk_user_valid` FOREIGN KEY (`fk_user_valid`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_livraison`
--

LOCK TABLES `llx_livraison` WRITE;
/*!40000 ALTER TABLE `llx_livraison` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_livraison` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_livraisondet`
--

DROP TABLE IF EXISTS `llx_livraisondet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_livraisondet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_livraison` int(11) DEFAULT NULL,
  `fk_origin_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `description` text,
  `qty` double DEFAULT NULL,
  `subprice` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `rang` int(11) DEFAULT '0',
  PRIMARY KEY (`rowid`),
  KEY `idx_livraisondet_fk_expedition` (`fk_livraison`),
  CONSTRAINT `fk_livraisondet_fk_livraison` FOREIGN KEY (`fk_livraison`) REFERENCES `llx_livraison` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_livraisondet`
--

LOCK TABLES `llx_livraisondet` WRITE;
/*!40000 ALTER TABLE `llx_livraisondet` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_livraisondet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_loan`
--

DROP TABLE IF EXISTS `llx_loan`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_loan` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `label` varchar(80) NOT NULL,
  `fk_bank` int(11) DEFAULT NULL,
  `capital` double NOT NULL DEFAULT '0',
  `datestart` date DEFAULT NULL,
  `dateend` date DEFAULT NULL,
  `nbterm` double DEFAULT NULL,
  `rate` double NOT NULL,
  `note_private` text,
  `note_public` text,
  `capital_position` double DEFAULT '0',
  `date_position` date DEFAULT NULL,
  `paid` smallint(6) NOT NULL DEFAULT '0',
  `accountancy_account_capital` varchar(32) DEFAULT NULL,
  `accountancy_account_insurance` varchar(32) DEFAULT NULL,
  `accountancy_account_interest` varchar(32) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_loan`
--

LOCK TABLES `llx_loan` WRITE;
/*!40000 ALTER TABLE `llx_loan` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_loan` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_localtax`
--

DROP TABLE IF EXISTS `llx_localtax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_localtax` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `localtaxtype` tinyint(4) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datep` date DEFAULT NULL,
  `datev` date DEFAULT NULL,
  `amount` double DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `note` text,
  `fk_bank` int(11) DEFAULT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_localtax`
--

LOCK TABLES `llx_localtax` WRITE;
/*!40000 ALTER TABLE `llx_localtax` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_localtax` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_mailing`
--

DROP TABLE IF EXISTS `llx_mailing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_mailing` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `statut` smallint(6) DEFAULT '0',
  `titre` varchar(60) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `sujet` varchar(60) DEFAULT NULL,
  `body` mediumtext,
  `bgcolor` varchar(8) DEFAULT NULL,
  `bgimage` varchar(255) DEFAULT NULL,
  `cible` varchar(60) DEFAULT NULL,
  `nbemail` int(11) DEFAULT NULL,
  `email_from` varchar(160) DEFAULT NULL,
  `email_replyto` varchar(160) DEFAULT NULL,
  `email_errorsto` varchar(160) DEFAULT NULL,
  `tag` varchar(128) DEFAULT NULL,
  `date_creat` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_appro` datetime DEFAULT NULL,
  `date_envoi` datetime DEFAULT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_appro` int(11) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `joined_file1` varchar(255) DEFAULT NULL,
  `joined_file2` varchar(255) DEFAULT NULL,
  `joined_file3` varchar(255) DEFAULT NULL,
  `joined_file4` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_mailing`
--

LOCK TABLES `llx_mailing` WRITE;
/*!40000 ALTER TABLE `llx_mailing` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_mailing` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_mailing_cibles`
--

DROP TABLE IF EXISTS `llx_mailing_cibles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_mailing_cibles` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_mailing` int(11) NOT NULL,
  `fk_contact` int(11) NOT NULL,
  `lastname` varchar(160) DEFAULT NULL,
  `firstname` varchar(160) DEFAULT NULL,
  `email` varchar(160) NOT NULL,
  `other` varchar(255) DEFAULT NULL,
  `tag` varchar(128) DEFAULT NULL,
  `statut` smallint(6) NOT NULL DEFAULT '0',
  `source_url` varchar(160) DEFAULT NULL,
  `source_id` int(11) DEFAULT NULL,
  `source_type` varchar(16) DEFAULT NULL,
  `date_envoi` datetime DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_mailing_cibles` (`fk_mailing`,`email`),
  KEY `idx_mailing_cibles_email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_mailing_cibles`
--

LOCK TABLES `llx_mailing_cibles` WRITE;
/*!40000 ALTER TABLE `llx_mailing_cibles` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_mailing_cibles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_menu`
--

DROP TABLE IF EXISTS `llx_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_menu` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `menu_handler` varchar(16) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `module` varchar(64) DEFAULT NULL,
  `type` varchar(4) NOT NULL,
  `mainmenu` varchar(100) NOT NULL,
  `leftmenu` varchar(100) DEFAULT NULL,
  `fk_menu` int(11) NOT NULL,
  `fk_mainmenu` varchar(24) DEFAULT NULL,
  `fk_leftmenu` varchar(24) DEFAULT NULL,
  `position` int(11) NOT NULL,
  `url` varchar(255) NOT NULL,
  `target` varchar(100) DEFAULT NULL,
  `titre` varchar(255) NOT NULL,
  `langs` varchar(100) DEFAULT NULL,
  `level` smallint(6) DEFAULT NULL,
  `perms` varchar(255) DEFAULT NULL,
  `enabled` varchar(255) DEFAULT '1',
  `usertype` int(11) NOT NULL DEFAULT '0',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `idx_menu_uk_menu` (`menu_handler`,`fk_menu`,`position`,`url`,`entity`),
  KEY `idx_menu_menuhandler_type` (`menu_handler`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=15627 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_menu`
--

LOCK TABLES `llx_menu` WRITE;
/*!40000 ALTER TABLE `llx_menu` DISABLE KEYS */;
INSERT INTO `llx_menu` (`rowid`, `menu_handler`, `entity`, `module`, `type`, `mainmenu`, `leftmenu`, `fk_menu`, `fk_mainmenu`, `fk_leftmenu`, `position`, `url`, `target`, `titre`, `langs`, `level`, `perms`, `enabled`, `usertype`, `tms`) VALUES (5,'all',1,'margins','left','accountancy','margins',-1,'accountancy',NULL,100,'/margin/index.php','','Margins','margins',NULL,'1','$user->rights->margins->liretous',2,'2014-10-01 15:10:08'),(5215,'all',1,'resource','left','tools','resource',-1,'tools',NULL,100,'/resource/list.php','','MenuResourceIndex','resource',NULL,'$user->rights->resource->read','1',0,'2015-12-04 10:57:22'),(5216,'all',1,'resource','left','tools',NULL,-1,'tools','resource',101,'/resource/add.php','','MenuResourceAdd','resource',NULL,'$user->rights->resource->read','1',0,'2015-12-04 10:57:22'),(10422,'all',1,'ecm','top','ecm',NULL,0,NULL,NULL,100,'/ecm/index.php','','MenuECM','ecm',NULL,'$user->rights->ecm->read || $user->rights->ecm->upload || $user->rights->ecm->setup','$conf->ecm->enabled',2,'2016-02-07 20:06:22'),(10423,'all',1,'ecm','left','ecm','ecm',-1,'ecm',NULL,101,'/ecm/index.php?mainmenu=ecm&leftmenu=ecm','','ECMArea','ecm',NULL,'$user->rights->ecm->read || $user->rights->ecm->upload','$user->rights->ecm->read || $user->rights->ecm->upload',2,'2016-02-07 20:06:22'),(10424,'all',1,'ecm','left','ecm','ecm_manual',-1,'ecm','ecm',102,'/ecm/index.php?action=file_manager&mainmenu=ecm&leftmenu=ecm','','ECMSectionsManual','ecm',NULL,'$user->rights->ecm->read || $user->rights->ecm->upload','$user->rights->ecm->read || $user->rights->ecm->upload',2,'2016-02-07 20:06:22'),(10425,'all',1,'ecm','left','ecm',NULL,-1,'ecm','ecm',103,'/ecm/index_auto.php?action=file_manager&mainmenu=ecm&leftmenu=ecm','','ECMSectionsAuto','ecm',NULL,'$user->rights->ecm->read || $user->rights->ecm->upload','$user->rights->ecm->read || $user->rights->ecm->upload',2,'2016-02-07 20:06:22'),(10426,'auguria',1,'','top','home','',0,NULL,NULL,10,'/index.php?mainmenu=home&amp;leftmenu=','','Home','',-1,'','1',2,'2016-02-07 20:06:23'),(10427,'auguria',1,'societe|fournisseur','top','companies','',0,NULL,NULL,20,'/societe/index.php?mainmenu=companies&amp;leftmenu=','','ThirdParties','companies',-1,'$user->rights->societe->lire || $user->rights->societe->contact->lire','( ! empty($conf->societe->enabled) && (empty($conf->global->SOCIETE_DISABLE_PROSPECTS) || empty($conf->global->SOCIETE_DISABLE_CUSTOMERS))) || ! empty($conf->fournisseur->enabled)',2,'2016-02-07 20:06:23'),(10428,'auguria',1,'product|service','top','products','',0,NULL,NULL,30,'/product/index.php?mainmenu=products&amp;leftmenu=','','Products/Services','products',-1,'$user->rights->produit->lire||$user->rights->service->lire','$conf->product->enabled || $conf->service->enabled',0,'2016-02-07 20:06:23'),(10430,'auguria',1,'propal|commande|fournisseur|contrat|ficheinter','top','commercial','',0,NULL,NULL,40,'/comm/index.php?mainmenu=commercial&amp;leftmenu=','','Commercial','commercial',-1,'$user->rights->societe->lire || $user->rights->societe->contact->lire','$conf->propal->enabled || $conf->commande->enabled || $conf->fournisseur->enabled || $conf->contrat->enabled || $conf->ficheinter->enabled',2,'2016-02-07 20:06:23'),(10431,'auguria',1,'comptabilite|accounting|facture|deplacement|don|tax|salaries|loa','top','accountancy','',0,NULL,NULL,50,'/compta/index.php?mainmenu=accountancy&amp;leftmenu=','','MenuFinancial','compta',-1,'$user->rights->compta->resultat->lire || $user->rights->accounting->plancompte->lire || $user->rights->facture->lire|| $user->rights->deplacement->lire || $user->rights->don->lire || $user->rights->tax->charges->lire || $user->rights->salaries->read || $u','$conf->comptabilite->enabled || $conf->accounting->enabled || $conf->facture->enabled || $conf->deplacement->enabled || $conf->don->enabled  || $conf->tax->enabled || $conf->salaries->enabled || $conf->loan->enabled',2,'2016-02-07 20:06:23'),(10432,'auguria',1,'projet','top','project','',0,NULL,NULL,70,'/projet/index.php?mainmenu=project&amp;leftmenu=','','Projects','projects',-1,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(10433,'auguria',1,'mailing|export|import|opensurvey','top','tools','',0,NULL,NULL,90,'/core/tools.php?mainmenu=tools&amp;leftmenu=','','Tools','other',-1,'$user->rights->mailing->lire || $user->rights->export->lire || $user->rights->import->run || $user->rights->opensurvey->read','$conf->mailing->enabled || $conf->export->enabled || $conf->import->enabled || $conf->opensurvey->enabled',2,'2016-02-07 20:06:23'),(10438,'auguria',1,'adherent','top','members','',0,NULL,NULL,110,'/adherents/index.php?mainmenu=members&amp;leftmenu=','','Members','members',-1,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(10439,'auguria',1,'banque|prelevement','top','bank','',0,NULL,NULL,60,'/compta/bank/index.php?mainmenu=bank&amp;leftmenu=bank','','MenuBankCash','banks',-1,'$user->rights->banque->lire || $user->rights->prelevement->bons->lire','$conf->banque->enabled || $conf->prelevement->enabled',0,'2016-02-07 20:06:23'),(10440,'auguria',1,'hrm','top','hrm','',0,NULL,NULL,80,'/compta/hrm.php?mainmenu=hrm&amp;leftmenu=','','HRM','holiday',-1,'$user->rights->holiday->write || $user->rights->deplacement->lire || $user->rights->expensereport->lire','$conf->holiday->enabled || $conf->deplacement->enabled || $conf->expensereport->enabled',0,'2016-02-07 20:06:23'),(10525,'auguria',1,'','left','home','setup',10426,NULL,NULL,0,'/admin/index.php?leftmenu=setup','','Setup','admin',0,'','$user->admin',2,'2016-02-07 20:06:23'),(10526,'auguria',1,'','left','home','',10525,NULL,NULL,1,'/admin/company.php?leftmenu=setup','','MenuCompanySetup','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10527,'auguria',1,'','left','home','',10525,NULL,NULL,4,'/admin/ihm.php?leftmenu=setup','','GUISetup','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10528,'auguria',1,'','left','home','',10525,NULL,NULL,2,'/admin/modules.php?leftmenu=setup','','Modules','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10529,'auguria',1,'','left','home','',10525,NULL,NULL,6,'/admin/boxes.php?leftmenu=setup','','Boxes','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10530,'auguria',1,'','left','home','',10525,NULL,NULL,3,'/admin/menus.php?leftmenu=setup','','Menus','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10531,'auguria',1,'','left','home','',10525,NULL,NULL,7,'/admin/delais.php?leftmenu=setup','','Alerts','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10532,'auguria',1,'','left','home','',10525,NULL,NULL,10,'/admin/pdf.php?leftmenu=setup','','PDF','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10533,'auguria',1,'','left','home','',10525,NULL,NULL,8,'/admin/security_other.php?leftmenu=setup','','Security','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10534,'auguria',1,'','left','home','',10525,NULL,NULL,11,'/admin/mails.php?leftmenu=setup','','Emails','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10535,'auguria',1,'','left','home','',10525,NULL,NULL,9,'/admin/limits.php?leftmenu=setup','','MenuLimits','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10536,'auguria',1,'','left','home','',10525,NULL,NULL,13,'/admin/dict.php?leftmenu=setup','','Dictionary','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10537,'auguria',1,'','left','home','',10525,NULL,NULL,14,'/admin/const.php?leftmenu=setup','','OtherSetup','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10538,'auguria',1,'','left','home','',10525,NULL,NULL,12,'/admin/sms.php?leftmenu=setup','','SMS','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10539,'auguria',1,'','left','home','',10525,NULL,NULL,4,'/admin/translation.php?leftmenu=setup','','Translation','admin',1,'','$leftmenu==\"setup\"',2,'2016-02-07 20:06:23'),(10626,'auguria',1,'','left','home','',10725,NULL,NULL,0,'/admin/system/dolibarr.php?leftmenu=admintools','','InfoDolibarr','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10627,'auguria',1,'','left','home','',10626,NULL,NULL,2,'/admin/system/modules.php?leftmenu=admintools','','Modules','admin',2,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10628,'auguria',1,'','left','home','',10626,NULL,NULL,3,'/admin/triggers.php?leftmenu=admintools','','Triggers','admin',2,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10630,'auguria',1,'','left','home','',10725,NULL,NULL,1,'/admin/system/browser.php?leftmenu=admintools','','InfoBrowser','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10631,'auguria',1,'','left','home','',10725,NULL,NULL,2,'/admin/system/os.php?leftmenu=admintools','','InfoOS','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10632,'auguria',1,'','left','home','',10725,NULL,NULL,3,'/admin/system/web.php?leftmenu=admintools','','InfoWebServer','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10633,'auguria',1,'','left','home','',10725,NULL,NULL,4,'/admin/system/phpinfo.php?leftmenu=admintools','','InfoPHP','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10635,'auguria',1,'','left','home','',10725,NULL,NULL,5,'/admin/system/database.php?leftmenu=admintools','','InfoDatabase','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10725,'auguria',1,'','left','home','admintools',10426,NULL,NULL,2,'/admin/tools/index.php?leftmenu=admintools','','SystemTools','admin',0,'','$user->admin',2,'2016-02-07 20:06:23'),(10726,'auguria',1,'','left','home','',10725,NULL,NULL,6,'/admin/tools/dolibarr_export.php?leftmenu=admintools','','Backup','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10727,'auguria',1,'','left','home','',10725,NULL,NULL,7,'/admin/tools/dolibarr_import.php?leftmenu=admintools','','Restore','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10730,'auguria',1,'','left','home','',10725,NULL,NULL,8,'/admin/tools/update.php?leftmenu=admintools','','MenuUpgrade','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10731,'auguria',1,'','left','home','',10725,NULL,NULL,9,'/admin/tools/eaccelerator.php?leftmenu=admintools','','EAccelerator','admin',1,'','$leftmenu==\"admintools\" && function_exists(\"eaccelerator_info\")',2,'2016-02-07 20:06:23'),(10732,'auguria',1,'','left','home','',10725,NULL,NULL,10,'/admin/tools/listevents.php?leftmenu=admintools','','Audit','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10733,'auguria',1,'','left','home','',10725,NULL,NULL,11,'/admin/tools/listsessions.php?leftmenu=admintools','','Sessions','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10734,'auguria',1,'','left','home','',10725,NULL,NULL,12,'/admin/tools/purge.php?leftmenu=admintools','','Purge','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10735,'auguria',1,'','left','home','',10725,NULL,NULL,13,'/support/index.php?leftmenu=admintools','_blank','HelpCenter','help',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10736,'auguria',1,'','left','home','',10725,NULL,NULL,14,'/admin/system/about.php?leftmenu=admintools','','About','admin',1,'','$leftmenu==\"admintools\"',2,'2016-02-07 20:06:23'),(10825,'auguria',1,'','left','home','users',10426,NULL,NULL,4,'/user/home.php?leftmenu=users','','MenuUsersAndGroups','users',0,'','1',2,'2016-02-07 20:06:23'),(10826,'auguria',1,'','left','home','',10825,NULL,NULL,0,'/user/index.php?leftmenu=users','','Users','users',1,'$user->rights->user->user->lire || $user->admin','$leftmenu==\"users\"',2,'2016-02-07 20:06:23'),(10827,'auguria',1,'','left','home','',10826,NULL,NULL,0,'/user/card.php?leftmenu=users&amp;action=create','','NewUser','users',2,'$user->rights->user->user->creer || $user->admin','$leftmenu==\"users\"',2,'2016-02-07 20:06:23'),(10828,'auguria',1,'','left','home','',10825,NULL,NULL,1,'/user/group/index.php?leftmenu=users','','Groups','users',1,'($conf->global->MAIN_USE_ADVANCED_PERMS?$user->rights->user->group_advance->read:$user->rights->user->user->lire) || $user->admin','$leftmenu==\"users\"',2,'2016-02-07 20:06:23'),(10829,'auguria',1,'','left','home','',10828,NULL,NULL,0,'/user/group/card.php?leftmenu=users&amp;action=create','','NewGroup','users',2,'($conf->global->MAIN_USE_ADVANCED_PERMS?$user->rights->user->group_advance->write:$user->rights->user->user->creer) || $user->admin','$leftmenu==\"users\"',2,'2016-02-07 20:06:23'),(10925,'auguria',1,'','left','companies','thirdparties',10427,NULL,NULL,0,'/societe/index.php?leftmenu=thirdparties','','ThirdParty','companies',0,'$user->rights->societe->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(10926,'auguria',1,'','left','companies','',10925,NULL,NULL,0,'/societe/soc.php?action=create','','MenuNewThirdParty','companies',1,'$user->rights->societe->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(10927,'auguria',1,'','left','companies','',10925,NULL,NULL,0,'/societe/list.php?action=create','','List','companies',1,'$user->rights->societe->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(10928,'auguria',1,'','left','companies','',10925,NULL,NULL,5,'/fourn/list.php?leftmenu=suppliers','','ListSuppliersShort','suppliers',1,'$user->rights->societe->lire && $user->rights->fournisseur->lire','$conf->societe->enabled && $conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(10929,'auguria',1,'','left','companies','',10928,NULL,NULL,0,'/societe/soc.php?leftmenu=supplier&amp;action=create&amp;type=f','','NewSupplier','suppliers',2,'$user->rights->societe->creer','$conf->societe->enabled && $conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(10931,'auguria',1,'','left','companies','',10925,NULL,NULL,3,'/comm/prospect/list.php?leftmenu=prospects','','ListProspectsShort','companies',1,'$user->rights->societe->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(10932,'auguria',1,'','left','companies','',10931,NULL,NULL,0,'/societe/soc.php?leftmenu=prospects&amp;action=create&amp;type=p','','MenuNewProspect','companies',2,'$user->rights->societe->creer','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(10934,'auguria',1,'','left','companies','',10925,NULL,NULL,4,'/comm/list.php?leftmenu=customers','','ListCustomersShort','companies',1,'$user->rights->societe->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(10935,'auguria',1,'','left','companies','',10934,NULL,NULL,0,'/societe/soc.php?leftmenu=customers&amp;action=create&amp;type=c','','MenuNewCustomer','companies',2,'$user->rights->societe->creer','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(11025,'auguria',1,'','left','companies','contacts',10427,NULL,NULL,1,'/contact/list.php?leftmenu=contacts','','ContactsAddresses','companies',0,'$user->rights->societe->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(11026,'auguria',1,'','left','companies','',11025,NULL,NULL,0,'/contact/card.php?leftmenu=contacts&amp;action=create','','NewContactAddress','companies',1,'$user->rights->societe->creer','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(11027,'auguria',1,'','left','companies','',11025,NULL,NULL,1,'/contact/list.php?leftmenu=contacts','','List','companies',1,'$user->rights->societe->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(11029,'auguria',1,'','left','companies','',11027,NULL,NULL,1,'/contact/list.php?leftmenu=contacts&amp;type=p','','ThirdPartyProspects','companies',2,'$user->rights->societe->contact->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(11030,'auguria',1,'','left','companies','',11027,NULL,NULL,2,'/contact/list.php?leftmenu=contacts&amp;type=c','','ThirdPartyCustomers','companies',2,'$user->rights->societe->contact->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(11031,'auguria',1,'','left','companies','',11027,NULL,NULL,3,'/contact/list.php?leftmenu=contacts&amp;type=f','','ThirdPartySuppliers','companies',2,'$user->rights->societe->contact->lire','$conf->societe->enabled && $conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(11032,'auguria',1,'','left','companies','',11027,NULL,NULL,4,'/contact/list.php?leftmenu=contacts&amp;type=o','','Others','companies',2,'$user->rights->societe->contact->lire','$conf->societe->enabled',2,'2016-02-07 20:06:23'),(11075,'auguria',1,'','left','companies','cat',10427,NULL,NULL,3,'/categories/index.php?leftmenu=cat&amp;type=1','','SuppliersCategoriesShort','categories',0,'$user->rights->categorie->lire','$conf->societe->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23'),(11076,'auguria',1,'','left','companies','',11075,NULL,NULL,0,'/categories/card.php?action=create&amp;type=1','','NewCategory','categories',1,'$user->rights->categorie->creer','$conf->societe->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23'),(11085,'auguria',1,'','left','companies','cat',10427,NULL,NULL,4,'/categories/index.php?leftmenu=cat&amp;type=2','','CustomersProspectsCategoriesShort','categories',0,'$user->rights->categorie->lire','$conf->fournisseur->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23'),(11086,'auguria',1,'','left','companies','',11085,NULL,NULL,0,'/categories/card.php?action=create&amp;type=2','','NewCategory','categories',1,'$user->rights->categorie->creer','$conf->fournisseur->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23'),(11095,'auguria',1,'','left','companies','cat',10427,NULL,NULL,3,'/categories/index.php?leftmenu=cat&amp;type=4','','ContactCategoriesShort','categories',0,'$user->rights->categorie->lire','$conf->societe->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23'),(11096,'auguria',1,'','left','companies','',11095,NULL,NULL,0,'/categories/card.php?action=create&amp;type=4','','NewCategory','categories',1,'$user->rights->categorie->creer','$conf->societe->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23'),(11525,'auguria',1,'','left','commercial','propals',10430,NULL,NULL,4,'/comm/propal/index.php?leftmenu=propals','','Prop','propal',0,'$user->rights->propale->lire','$conf->propal->enabled',2,'2016-02-07 20:06:23'),(11526,'auguria',1,'','left','commercial','',11525,NULL,NULL,0,'/comm/propal.php?action=create&amp;leftmenu=propals','','NewPropal','propal',1,'$user->rights->propale->creer','$conf->propal->enabled',2,'2016-02-07 20:06:23'),(11527,'auguria',1,'','left','commercial','',11525,NULL,NULL,1,'/comm/propal/list.php?leftmenu=propals','','List','propal',1,'$user->rights->propale->lire','$conf->propal->enabled',2,'2016-02-07 20:06:23'),(11528,'auguria',1,'','left','commercial','',11527,NULL,NULL,2,'/comm/propal/list.php?leftmenu=propals&amp;viewstatut=0','','PropalsDraft','propal',1,'$user->rights->propale->lire','$conf->propal->enabled && $leftmenu==\"propals\"',2,'2016-02-07 20:06:23'),(11529,'auguria',1,'','left','commercial','',11527,NULL,NULL,3,'/comm/propal/list.php?leftmenu=propals&amp;viewstatut=1','','PropalsOpened','propal',1,'$user->rights->propale->lire','$conf->propal->enabled && $leftmenu==\"propals\"',2,'2016-02-07 20:06:23'),(11530,'auguria',1,'','left','commercial','',11527,NULL,NULL,4,'/comm/propal/list.php?leftmenu=propals&amp;viewstatut=2','','PropalStatusSigned','propal',1,'$user->rights->propale->lire','$conf->propal->enabled && $leftmenu==\"propals\"',2,'2016-02-07 20:06:23'),(11531,'auguria',1,'','left','commercial','',11527,NULL,NULL,5,'/comm/propal/list.php?leftmenu=propals&amp;viewstatut=3','','PropalStatusNotSigned','propal',1,'$user->rights->propale->lire','$conf->propal->enabled && $leftmenu==\"propals\"',2,'2016-02-07 20:06:23'),(11532,'auguria',1,'','left','commercial','',11527,NULL,NULL,6,'/comm/propal/list.php?leftmenu=propals&amp;viewstatut=4','','PropalStatusBilled','propal',1,'$user->rights->propale->lire','$conf->propal->enabled && $leftmenu==\"propals\"',2,'2016-02-07 20:06:23'),(11535,'auguria',1,'','left','commercial','',11525,NULL,NULL,4,'/comm/propal/stats/index.php?leftmenu=propals','','Statistics','propal',1,'$user->rights->propale->lire','$conf->propal->enabled',2,'2016-02-07 20:06:23'),(11625,'auguria',1,'','left','commercial','orders',10430,NULL,NULL,5,'/commande/index.php?leftmenu=orders','','CustomersOrders','orders',0,'$user->rights->commande->lire','$conf->commande->enabled',2,'2016-02-07 20:06:23'),(11626,'auguria',1,'','left','commercial','',11625,NULL,NULL,0,'/commande/card.php?action=create&amp;leftmenu=orders','','NewOrder','orders',1,'$user->rights->commande->creer','$conf->commande->enabled',2,'2016-02-07 20:06:23'),(11627,'auguria',1,'','left','commercial','',11625,NULL,NULL,1,'/commande/list.php?leftmenu=orders','','List','orders',1,'$user->rights->commande->lire','$conf->commande->enabled',2,'2016-02-07 20:06:23'),(11628,'auguria',1,'','left','commercial','',11627,NULL,NULL,2,'/commande/list.php?leftmenu=orders&amp;viewstatut=0','','StatusOrderDraftShort','orders',1,'$user->rights->commande->lire','$conf->commande->enabled && $leftmenu==\"orders\"',2,'2016-02-07 20:06:23'),(11629,'auguria',1,'','left','commercial','',11627,NULL,NULL,3,'/commande/list.php?leftmenu=orders&amp;viewstatut=1','','StatusOrderValidated','orders',1,'$user->rights->commande->lire','$conf->commande->enabled && $leftmenu==\"orders\"',2,'2016-02-07 20:06:23'),(11630,'auguria',1,'','left','commercial','',11627,NULL,NULL,4,'/commande/list.php?leftmenu=orders&amp;viewstatut=2','','StatusOrderOnProcessShort','orders',1,'$user->rights->commande->lire','$conf->commande->enabled && $leftmenu==\"orders\"',2,'2016-02-07 20:06:23'),(11631,'auguria',1,'','left','commercial','',11627,NULL,NULL,5,'/commande/list.php?leftmenu=orders&amp;viewstatut=3','','StatusOrderToBill','orders',1,'$user->rights->commande->lire','$conf->commande->enabled && $leftmenu==\"orders\"',2,'2016-02-07 20:06:23'),(11632,'auguria',1,'','left','commercial','',11627,NULL,NULL,6,'/commande/list.php?leftmenu=orders&amp;viewstatut=4','','StatusOrderProcessed','orders',1,'$user->rights->commande->lire','$conf->commande->enabled && $leftmenu==\"orders\"',2,'2016-02-07 20:06:23'),(11633,'auguria',1,'','left','commercial','',11627,NULL,NULL,7,'/commande/list.php?leftmenu=orders&amp;viewstatut=-1','','StatusOrderCanceledShort','orders',1,'$user->rights->commande->lire','$conf->commande->enabled && $leftmenu==\"orders\"',2,'2016-02-07 20:06:23'),(11634,'auguria',1,'','left','commercial','',11625,NULL,NULL,4,'/commande/stats/index.php?leftmenu=orders','','Statistics','orders',1,'$user->rights->commande->lire','$conf->commande->enabled',2,'2016-02-07 20:06:23'),(11725,'auguria',1,'','left','commercial','sendings',10428,NULL,NULL,6,'/expedition/index.php?leftmenu=sendings','','Shipments','sendings',0,'$user->rights->expedition->lire','$conf->expedition->enabled',2,'2016-02-07 20:06:23'),(11726,'auguria',1,'','left','commercial','',11725,NULL,NULL,0,'/expedition/card.php?action=create2&leftmenu=sendings','','NewSending','sendings',1,'$user->rights->expedition->creer','$conf->expedition->enabled && $leftmenu==\"sendings\"',2,'2016-02-07 20:06:23'),(11727,'auguria',1,'','left','commercial','',11725,NULL,NULL,1,'/expedition/list.php?leftmenu=sendings','','List','sendings',1,'$user->rights->expedition->lire','$conf->expedition->enabled && $leftmenu==\"sendings\"',2,'2016-02-07 20:06:23'),(11728,'auguria',1,'','left','commercial','',11725,NULL,NULL,2,'/expedition/stats/index.php?leftmenu=sendings','','Statistics','sendings',1,'$user->rights->expedition->lire','$conf->expedition->enabled && $leftmenu==\"sendings\"',2,'2016-02-07 20:06:23'),(11825,'auguria',1,'','left','commercial','contracts',10430,NULL,NULL,7,'/contrat/index.php?leftmenu=contracts','','Contracts','contracts',0,'$user->rights->contrat->lire','$conf->contrat->enabled',2,'2016-02-07 20:06:23'),(11826,'auguria',1,'','left','commercial','',11825,NULL,NULL,0,'/contrat/card.php?&action=create&amp;leftmenu=contracts','','NewContract','contracts',1,'$user->rights->contrat->creer','$conf->contrat->enabled',2,'2016-02-07 20:06:23'),(11827,'auguria',1,'','left','commercial','',11825,NULL,NULL,1,'/contrat/list.php?leftmenu=contracts','','List','contracts',1,'$user->rights->contrat->lire','$conf->contrat->enabled',2,'2016-02-07 20:06:23'),(11828,'auguria',1,'','left','commercial','',11825,NULL,NULL,2,'/contrat/services.php?leftmenu=contracts','','MenuServices','contracts',1,'$user->rights->contrat->lire','$conf->contrat->enabled',2,'2016-02-07 20:06:23'),(11829,'auguria',1,'','left','commercial','',11828,NULL,NULL,0,'/contrat/services.php?leftmenu=contracts&amp;mode=0','','MenuInactiveServices','contracts',2,'$user->rights->contrat->lire','$conf->contrat->enabled&&$leftmenu==\"contracts\"',2,'2016-02-07 20:06:23'),(11830,'auguria',1,'','left','commercial','',11828,NULL,NULL,1,'/contrat/services.php?leftmenu=contracts&amp;mode=4','','MenuRunningServices','contracts',2,'$user->rights->contrat->lire','$conf->contrat->enabled&&$leftmenu==\"contracts\"',2,'2016-02-07 20:06:23'),(11831,'auguria',1,'','left','commercial','',11828,NULL,NULL,2,'/contrat/services.php?leftmenu=contracts&amp;mode=4&amp;filter=expired','','MenuExpiredServices','contracts',2,'$user->rights->contrat->lire','$conf->contrat->enabled&&$leftmenu==\"contracts\"',2,'2016-02-07 20:06:23'),(11832,'auguria',1,'','left','commercial','',11828,NULL,NULL,3,'/contrat/services.php?leftmenu=contracts&amp;mode=5','','MenuClosedServices','contracts',2,'$user->rights->contrat->lire','$conf->contrat->enabled&&$leftmenu==\"contracts\"',2,'2016-02-07 20:06:23'),(11925,'auguria',1,'','left','commercial','ficheinter',10430,NULL,NULL,8,'/fichinter/list.php?leftmenu=ficheinter','','Interventions','interventions',0,'$user->rights->ficheinter->lire','$conf->ficheinter->enabled',2,'2016-02-07 20:06:23'),(11926,'auguria',1,'','left','commercial','',11925,NULL,NULL,0,'/fichinter/card.php?action=create&amp;leftmenu=ficheinter','','NewIntervention','interventions',1,'$user->rights->ficheinter->creer','$conf->ficheinter->enabled',2,'2016-02-07 20:06:23'),(11927,'auguria',1,'','left','commercial','',11925,NULL,NULL,1,'/fichinter/list.php?leftmenu=ficheinter','','List','interventions',1,'$user->rights->ficheinter->lire','$conf->ficheinter->enabled',2,'2016-02-07 20:06:23'),(12025,'auguria',1,'','left','accountancy','supplier_bills',10431,NULL,NULL,3,'/fourn/facture/list.php?leftmenu=suppliers_bills','','BillsSuppliers','bills',0,'$user->rights->fournisseur->facture->lire','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(12026,'auguria',1,'','left','accountancy','',12025,NULL,NULL,0,'/fourn/facture/card.php?action=create&amp;leftmenu=suppliers_bills','','NewBill','bills',1,'$user->rights->fournisseur->facture->creer','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(12027,'auguria',1,'','left','accountancy','',12025,NULL,NULL,1,'/fourn/facture/impayees.php?leftmenu=suppliers_bills','','Unpaid','bills',1,'$user->rights->fournisseur->facture->lire','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(12028,'auguria',1,'','left','accountancy','',12025,NULL,NULL,2,'/fourn/facture/paiement.php?leftmenu=suppliers_bills','','Payments','bills',1,'$user->rights->fournisseur->facture->lire','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(12029,'auguria',1,'','left','accountancy','',12025,NULL,NULL,8,'/compta/facture/stats/index.php?leftmenu=customers_bills&mode=supplier','','Statistics','bills',1,'$user->rights->fournisseur->facture->lire','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(12125,'auguria',1,'','left','accountancy','customer_bills',10431,NULL,NULL,3,'/compta/facture/list.php?leftmenu=customers_bills','','BillsCustomers','bills',0,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12126,'auguria',1,'','left','accountancy','',12125,NULL,NULL,3,'/compta/facture.php?action=create&amp;leftmenu=customers_bills','','NewBill','bills',1,'$user->rights->facture->creer','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12127,'auguria',1,'','left','accountancy','',12125,NULL,NULL,5,'/compta/facture/fiche-rec.php?leftmenu=customers_bills','','ListOfTemplates','bills',1,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12128,'auguria',1,'','left','accountancy','',12125,NULL,NULL,7,'/compta/facture/mergepdftool.php?action=facturer&amp;leftmenu=customers_bills','','MergingPDFTool','bills',1,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12129,'auguria',1,'','left','accountancy','',12125,NULL,NULL,6,'/compta/paiement/list.php?leftmenu=customers_bills','','Payments','bills',1,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12130,'auguria',1,'','left','accountancy','',12125,NULL,NULL,4,'/compta/facture/list.php?leftmenu=customers_bills','','List','bills',1,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12135,'auguria',1,'','left','accountancy','',12129,NULL,NULL,1,'/compta/paiement/rapport.php?leftmenu=customers_bills','','Reportings','bills',2,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12136,'auguria',1,'','left','accountancy','checks',10439,NULL,NULL,9,'/compta/paiement/cheque/index.php?leftmenu=checks&amp;mainmenu=bank','','MenuChequeDeposits','bills',0,'$user->rights->banque->lire','! empty($conf->banque->enabled) && (! empty($conf->facture->enabled)) || ! empty($conf->global->MAIN_MENU_CHEQUE_DEPOSIT_ON)',2,'2016-02-07 20:06:23'),(12137,'auguria',1,'','left','accountancy','',12136,NULL,NULL,0,'/compta/paiement/cheque/card.php?leftmenu=checks&amp;action=new','','NewCheckDeposit','compta',1,'$user->rights->banque->lire','! empty($conf->banque->enabled) && (! empty($conf->facture->enabled)) || ! empty($conf->global->MAIN_MENU_CHEQUE_DEPOSIT_ON)',2,'2016-02-07 20:06:23'),(12138,'auguria',1,'','left','accountancy','',12136,NULL,NULL,1,'/compta/paiement/cheque/list.php?leftmenu=checks','','List','bills',1,'$user->rights->banque->lire','! empty($conf->banque->enabled) && (! empty($conf->facture->enabled)) || ! empty($conf->global->MAIN_MENU_CHEQUE_DEPOSIT_ON)',2,'2016-02-07 20:06:23'),(12139,'auguria',1,'','left','accountancy','',12125,NULL,NULL,8,'/compta/facture/stats/index.php?leftmenu=customers_bills','','Statistics','bills',1,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12145,'auguria',1,'','left','accountancy','',12130,NULL,NULL,1,'/compta/facture/list.php?leftmenu=customers_bills&amp;search_status=0','','BillShortStatusDraft','bills',2,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12146,'auguria',1,'','left','accountancy','',12130,NULL,NULL,2,'/compta/facture/list.php?leftmenu=customers_bills&amp;search_status=1','','BillShortStatusNotPaid','bills',2,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12147,'auguria',1,'','left','accountancy','',12130,NULL,NULL,3,'/compta/facture/list.php?leftmenu=customers_bills&amp;search_status=2','','BillShortStatusPaid','bills',2,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12148,'auguria',1,'','left','accountancy','',12130,NULL,NULL,4,'/compta/facture/list.php?leftmenu=customers_bills&amp;search_status=3','','BillShortStatusCanceled','bills',2,'$user->rights->facture->lire','$conf->facture->enabled',2,'2016-02-07 20:06:23'),(12325,'auguria',1,'','left','accountancy','orders',10431,NULL,NULL,3,'/commande/list.php?leftmenu=orders&amp;viewstatut=3','','MenuOrdersToBill','orders',0,'$user->rights->commande->lire','$conf->commande->enabled',0,'2016-02-07 20:06:23'),(12425,'auguria',1,'','left','accountancy','donations',10431,NULL,NULL,4,'/don/index.php?leftmenu=donations&amp;mainmenu=accountancy','','Donations','donations',0,'$user->rights->don->lire','$conf->don->enabled',2,'2016-02-07 20:06:23'),(12426,'auguria',1,'','left','accountancy','',12425,NULL,NULL,0,'/don/card.php?leftmenu=donations&amp;mainmenu=accountancy&amp;action=create','','NewDonation','donations',1,'$user->rights->don->creer','$conf->don->enabled && $leftmenu==\"donations\"',2,'2016-02-07 20:06:23'),(12427,'auguria',1,'','left','accountancy','',12425,NULL,NULL,1,'/don/list.php?leftmenu=donations&amp;mainmenu=accountancy','','List','donations',1,'$user->rights->don->lire','$conf->don->enabled && $leftmenu==\"donations\"',2,'2016-02-07 20:06:23'),(12525,'auguria',1,'','left','accountancy','tripsandexpenses',10440,NULL,NULL,5,'/compta/deplacement/index.php?leftmenu=tripsandexpenses','','TripsAndExpenses','trips',0,'$user->rights->deplacement->lire','$conf->deplacement->enabled',0,'2016-02-07 20:06:23'),(12526,'auguria',1,'','left','accountancy','',12525,NULL,NULL,1,'/compta/deplacement/card.php?action=create&amp;leftmenu=tripsandexpenses','','New','trips',1,'$user->rights->deplacement->creer','$conf->deplacement->enabled',0,'2016-02-07 20:06:23'),(12527,'auguria',1,'','left','accountancy','',12525,NULL,NULL,2,'/compta/deplacement/list.php?leftmenu=tripsandexpenses','','List','trips',1,'$user->rights->deplacement->lire','$conf->deplacement->enabled',0,'2016-02-07 20:06:23'),(12528,'auguria',1,'','left','accountancy','',12525,NULL,NULL,2,'/compta/deplacement/stats/index.php?leftmenu=tripsandexpenses','','Statistics','trips',1,'$user->rights->deplacement->lire','$conf->deplacement->enabled',0,'2016-02-07 20:06:23'),(12625,'auguria',1,'','left','accountancy','tax',10431,NULL,NULL,6,'/compta/charges/index.php?leftmenu=tax&amp;mainmenu=accountancy','','MenuSpecialExpenses','compta',0,'(! empty($conf->tax->enabled) && $user->rights->tax->charges->lire) || (! empty($conf->salaries->enabled) && $user->rights->salaries->read)','$conf->tax->enabled || $conf->salaries->enabled',0,'2016-02-07 20:06:23'),(12635,'auguria',1,'','left','accountancy','tax_sal',12625,NULL,NULL,1,'/compta/salaries/index.php?leftmenu=tax_salary&amp;mainmenu=accountancy','','Salaries','salaries',1,'$user->rights->salaries->read','$conf->salaries->enabled',0,'2016-02-07 20:06:23'),(12636,'auguria',1,'','left','accountancy','',12635,NULL,NULL,2,'/compta/salaries/card.php?leftmenu=tax_salary&amp;action=create','','NewPayment','companies',2,'$user->rights->salaries->write','$conf->salaries->enabled && $leftmenu==\"tax_salary\"',0,'2016-02-07 20:06:23'),(12637,'auguria',1,'','left','accountancy','',12635,NULL,NULL,3,'/compta/salaries/index.php?leftmenu=tax_salary','','Payments','companies',2,'$user->rights->salaries->read','$conf->salaries->enabled && $leftmenu==\"tax_salary\"',0,'2016-02-07 20:06:23'),(12645,'auguria',1,'','left','accountancy','tax_loan',12625,NULL,NULL,1,'/loan/index.php?leftmenu=tax_loan&amp;mainmenu=accountancy','','Loans','loan',1,'$user->rights->loan->read','$conf->loan->enabled',0,'2016-02-07 20:06:23'),(12646,'auguria',1,'','left','accountancy','',12645,NULL,NULL,2,'/loan/card.php?leftmenu=tax_loan&amp;action=create','','NewLoan','loan',2,'$user->rights->loan->write','$conf->loan->enabled && $leftmenu==\"tax_loan\"',0,'2016-02-07 20:06:23'),(12647,'auguria',1,'','left','accountancy','',12645,NULL,NULL,3,'/loan/index.php?leftmenu=tax_loan','','Payments','companies',2,'$user->rights->loan->read','$conf->loan->enabled && $leftmenu==\"tax_loan\"',0,'2016-02-07 20:06:23'),(12648,'auguria',1,'','left','accountancy','',12645,NULL,NULL,4,'/loan/calc.php?leftmenu=tax_loan','','Calculator','companies',2,'$user->rights->loan->calc','$conf->loan->enabled && $leftmenu==\"tax_loan\"',0,'2016-02-07 20:06:23'),(12675,'auguria',1,'','left','accountancy','tax_social',12625,NULL,NULL,1,'/compta/sociales/index.php?leftmenu=tax_social','','SocialContributions','',1,'$user->rights->tax->charges->lire','$conf->tax->enabled',0,'2016-02-07 20:06:23'),(12676,'auguria',1,'','left','accountancy','',12675,NULL,NULL,2,'/compta/sociales/charges.php?leftmenu=tax_social&amp;action=create','','MenuNewSocialContribution','',2,'$user->rights->tax->charges->creer','$conf->tax->enabled && $leftmenu==\"tax_social\"',0,'2016-02-07 20:06:23'),(12677,'auguria',1,'','left','accountancy','',12675,NULL,NULL,3,'/compta/charges/index.php?leftmenu=tax_social&amp;mainmenu=accountancy&amp;mode=sconly','','Payments','',2,'$user->rights->tax->charges->lire','$conf->tax->enabled && $leftmenu==\"tax_social\"',0,'2016-02-07 20:06:23'),(12725,'auguria',1,'','left','accountancy','tax_vat',12625,NULL,NULL,7,'/compta/tva/index.php?leftmenu=tax_vat&amp;mainmenu=accountancy','','VAT','companies',1,'$user->rights->tax->charges->lire','$conf->tax->enabled && empty($conf->global->TAX_DISABLE_VAT_MENUS)',0,'2016-02-07 20:06:23'),(12726,'auguria',1,'','left','accountancy','',12725,NULL,NULL,0,'/compta/tva/card.php?leftmenu=tax_vat&amp;action=create','','NewPayment','companies',2,'$user->rights->tax->charges->creer','$conf->tax->enabled && empty($conf->global->TAX_DISABLE_VAT_MENUS) && $leftmenu==\"tax_vat\"',0,'2016-02-07 20:06:23'),(12727,'auguria',1,'','left','accountancy','',12725,NULL,NULL,1,'/compta/tva/reglement.php?leftmenu=tax_vat','','Payments','companies',2,'$user->rights->tax->charges->lire','$conf->tax->enabled && empty($conf->global->TAX_DISABLE_VAT_MENUS) && $leftmenu==\"tax_vat\"',0,'2016-02-07 20:06:23'),(12728,'auguria',1,'','left','accountancy','',12725,NULL,NULL,2,'/compta/tva/clients.php?leftmenu=tax_vat','','ReportByCustomers','companies',2,'$user->rights->tax->charges->lire','$conf->tax->enabled && empty($conf->global->TAX_DISABLE_VAT_MENUS) && $leftmenu==\"tax_vat\"',0,'2016-02-07 20:06:23'),(12729,'auguria',1,'','left','accountancy','',12725,NULL,NULL,3,'/compta/tva/quadri_detail.php?leftmenu=tax_vat','','ReportByQuarter','companies',2,'$user->rights->tax->charges->lire','$conf->tax->enabled && empty($conf->global->TAX_DISABLE_VAT_MENUS) && $leftmenu==\"tax_vat\"',0,'2016-02-07 20:06:23'),(12825,'auguria',1,'','left','accountancy','ventil_customer',10431,NULL,NULL,8,'/accountancy/customer/index.php?leftmenu=ventil_customer','','CustomersVentilation','accountancy',0,'$user->rights->accounting->ventilation->read','$conf->accounting->enabled',0,'2016-02-07 20:06:23'),(12826,'auguria',1,'','left','accountancy','',12825,NULL,NULL,0,'/accountancy/customer/list.php','','ToDispatch','accountancy',1,'$user->rights->accounting->ventilation->dispatch','$conf->accounting->enabled && $leftmenu==\"ventil_customer\"',0,'2016-02-07 20:06:23'),(12827,'auguria',1,'','left','accountancy','',12825,NULL,NULL,1,'/accountancy/customer/lines.php','','Dispatched','accountancy',1,'$user->rights->accounting->ventilation->read','$conf->accounting->enabled && $leftmenu==\"ventil_customer\"',0,'2016-02-07 20:06:23'),(12835,'auguria',1,'','left','accountancy','ventil_supplier',10431,NULL,NULL,9,'/accountancy/supplier/index.php?leftmenu=ventil_supplier','','SuppliersVentilation','accountancy',0,'$user->rights->accounting->ventilation->read','$conf->accounting->enabled && $conf->fournisseur->enabled',0,'2016-02-07 20:06:23'),(12836,'auguria',1,'','left','accountancy','',12835,NULL,NULL,0,'/accountancy/supplier/list.php','','ToDispatch','accountancy',1,'$user->rights->accounting->ventilation->dispatch','$conf->accounting->enabled && $conf->fournisseur->enabled && $leftmenu==\"ventil_supplier\"',0,'2016-02-07 20:06:23'),(12837,'auguria',1,'','left','accountancy','',12835,NULL,NULL,1,'/accountancy/supplier/lines.php','','Dispatched','accountancy',1,'$user->rights->accounting->ventilation->read','$conf->accounting->enabled && $conf->fournisseur->enabled && $leftmenu==\"ventil_supplier\"',0,'2016-02-07 20:06:23'),(12925,'auguria',1,'','left','accountancy','withdraw',10439,NULL,NULL,9,'/compta/prelevement/index.php?leftmenu=withdraw&amp;mainmenu=bank','','StandingOrders','withdrawals',0,'$user->rights->prelevement->bons->lire','$conf->prelevement->enabled',2,'2016-02-07 20:06:23'),(12927,'auguria',1,'','left','accountancy','',12925,NULL,NULL,0,'/compta/prelevement/create.php?leftmenu=withdraw','','NewStandingOrder','withdrawals',1,'$user->rights->prelevement->bons->lire','$conf->prelevement->enabled && $leftmenu==\"withdraw\"',2,'2016-02-07 20:06:23'),(12928,'auguria',1,'','left','accountancy','',12925,NULL,NULL,2,'/compta/prelevement/bons.php?leftmenu=withdraw','','WithdrawalsReceipts','withdrawals',1,'$user->rights->prelevement->bons->lire','$conf->prelevement->enabled && $leftmenu==\"withdraw\"',2,'2016-02-07 20:06:23'),(12929,'auguria',1,'','left','accountancy','',12925,NULL,NULL,3,'/compta/prelevement/list.php?leftmenu=withdraw','','WithdrawalsLines','withdrawals',1,'$user->rights->prelevement->bons->lire','$conf->prelevement->enabled && $leftmenu==\"withdraw\"',2,'2016-02-07 20:06:23'),(12931,'auguria',1,'','left','accountancy','',12925,NULL,NULL,5,'/compta/prelevement/rejets.php?leftmenu=withdraw','','Rejects','withdrawals',1,'$user->rights->prelevement->bons->lire','$conf->prelevement->enabled && $leftmenu==\"withdraw\"',2,'2016-02-07 20:06:23'),(12932,'auguria',1,'','left','accountancy','',12925,NULL,NULL,6,'/compta/prelevement/stats.php?leftmenu=withdraw','','Statistics','withdrawals',1,'$user->rights->prelevement->bons->lire','$conf->prelevement->enabled && $leftmenu==\"withdraw\"',2,'2016-02-07 20:06:23'),(13025,'auguria',1,'','left','accountancy','bank',10439,NULL,NULL,1,'/compta/bank/index.php?leftmenu=bank&amp;mainmenu=bank','','MenuBankCash','banks',0,'$user->rights->banque->lire','$conf->banque->enabled',0,'2016-02-07 20:06:23'),(13026,'auguria',1,'','left','accountancy','',13025,NULL,NULL,0,'/compta/bank/card.php?action=create&amp;leftmenu=bank','','MenuNewFinancialAccount','banks',1,'$user->rights->banque->configurer','$conf->banque->enabled && ($leftmenu==\"bank\" || $leftmenu==\"checks\" || $leftmenu==\"withdraw\")',0,'2016-02-07 20:06:23'),(13027,'auguria',1,'','left','accountancy','',13025,NULL,NULL,1,'/compta/bank/categ.php?leftmenu=bank','','Rubriques','categories',1,'$user->rights->banque->configurer','$conf->banque->enabled && ($leftmenu==\"bank\" || $leftmenu==\"checks\" || $leftmenu==\"withdraw\")',0,'2016-02-07 20:06:23'),(13028,'auguria',1,'','left','accountancy','',13025,NULL,NULL,2,'/compta/bank/search.php?leftmenu=bank','','ListTransactions','banks',1,'$user->rights->banque->lire','$conf->banque->enabled && ($leftmenu==\"bank\" || $leftmenu==\"checks\" || $leftmenu==\"withdraw\")',0,'2016-02-07 20:06:23'),(13029,'auguria',1,'','left','accountancy','',13025,NULL,NULL,3,'/compta/bank/budget.php?leftmenu=bank','','ListTransactionsByCategory','banks',1,'$user->rights->banque->lire','$conf->banque->enabled && ($leftmenu==\"bank\" || $leftmenu==\"checks\" || $leftmenu==\"withdraw\")',0,'2016-02-07 20:06:23'),(13031,'auguria',1,'','left','accountancy','',13025,NULL,NULL,5,'/compta/bank/virement.php?leftmenu=bank','','BankTransfers','banks',1,'$user->rights->banque->transfer','$conf->banque->enabled && ($leftmenu==\"bank\" || $leftmenu==\"checks\" || $leftmenu==\"withdraw\")',0,'2016-02-07 20:06:23'),(13125,'auguria',1,'','left','accountancy','ca',10431,NULL,NULL,11,'/compta/resultat/index.php?leftmenu=ca&amp;mainmenu=accountancy','','Reportings','main',0,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled || $conf->accounting->enabled',0,'2016-02-07 20:06:23'),(13126,'auguria',1,'','left','accountancy','',13125,NULL,NULL,0,'/compta/resultat/index.php?leftmenu=ca','','ReportInOut','main',1,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled || $conf->accounting->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13127,'auguria',1,'','left','accountancy','',13126,NULL,NULL,0,'/compta/resultat/clientfourn.php?leftmenu=ca','','ByCompanies','main',2,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled || $conf->accounting->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13128,'auguria',1,'','left','accountancy','',13125,NULL,NULL,1,'/compta/stats/index.php?leftmenu=ca','','ReportTurnover','main',1,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled || $conf->accounting->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13129,'auguria',1,'','left','accountancy','',13128,NULL,NULL,0,'/compta/stats/casoc.php?leftmenu=ca','','ByCompanies','main',2,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled || $conf->accounting->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13130,'auguria',1,'','left','accountancy','',13128,NULL,NULL,1,'/compta/stats/cabyuser.php?leftmenu=ca','','ByUsers','main',2,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled || $conf->accounting->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13131,'auguria',1,'','left','accountancy','',13125,NULL,NULL,1,'/compta/journal/sellsjournal.php?leftmenu=ca','','SellsJournal','main',1,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13132,'auguria',1,'','left','accountancy','',13125,NULL,NULL,1,'/compta/journal/purchasesjournal.php?leftmenu=ca','','PurchasesJournal','main',1,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13133,'auguria',1,'','left','accountancy','',13128,NULL,NULL,1,'/compta/stats/cabyprodserv.php?leftmenu=ca','','ByProductsAndServices','main',2,'$user->rights->compta->resultat->lire || $user->rights->accounting->comptarapport->lire','$conf->comptabilite->enabled || $conf->accounting->enabled && $leftmenu==\"ca\"',0,'2016-02-07 20:06:23'),(13145,'auguria',1,'','left','accountancy','bookkeeping',10431,NULL,NULL,12,'/accountancy/bookkeeping/list.php?leftmenu=bookkeeping','','Bookkeeping','accountancy',0,'$user->rights->accounting->mouvements->lire','$conf->accounting->enabled',0,'2016-02-07 20:06:23'),(13146,'auguria',1,'','left','accountancy','',13145,NULL,NULL,0,'/accountancy/bookkeeping/listbyyear.php','','ByYear','accountancy',1,'$user->rights->accounting->mouvements->lire','$conf->accounting->enabled && $leftmenu==\"bookkeeping\"',0,'2016-02-07 20:06:23'),(13147,'auguria',1,'','left','accountancy','',13145,NULL,NULL,1,'/accountancy/bookkeeping/balancebymonth.php','','AccountBalanceByMonth','accountancy',1,'$user->rights->accounting->mouvements->lire','$conf->accounting->enabled && $leftmenu==\"bookkeeping\"',0,'2016-02-07 20:06:23'),(13175,'auguria',1,'','left','home','',10431,NULL,NULL,20,'/accountancy/admin/fiscalyear.php?leftmenu=setup','','Fiscalyear','accountancy',1,'$user->rights->accounting->fiscalyear','$conf->accounting->enabled',2,'2016-02-07 20:06:23'),(13176,'auguria',1,'','left','home','',10431,NULL,NULL,21,'/accountancy/admin/account.php?mainmenu=accountancy','','Chartofaccounts','accountancy',1,'$user->rights->accounting->chartofaccount','$conf->accounting->enabled',2,'2016-02-07 20:06:23'),(13225,'auguria',1,'','left','products','product',10428,NULL,NULL,0,'/product/index.php?leftmenu=product&amp;type=0','','Products','products',0,'$user->rights->produit->lire','$conf->product->enabled',2,'2016-02-07 20:06:23'),(13226,'auguria',1,'','left','products','',13225,NULL,NULL,0,'/product/card.php?leftmenu=product&amp;action=create&amp;type=0','','NewProduct','products',1,'$user->rights->produit->creer','$conf->product->enabled',2,'2016-02-07 20:06:23'),(13227,'auguria',1,'','left','products','',13225,NULL,NULL,1,'/product/list.php?leftmenu=product&amp;type=0','','List','products',1,'$user->rights->produit->lire','$conf->product->enabled',2,'2016-02-07 20:06:23'),(13228,'auguria',1,'','left','products','',13225,NULL,NULL,4,'/product/reassort.php?type=0','','Stocks','products',1,'$user->rights->produit->lire && $user->rights->stock->lire','$conf->product->enabled',2,'2016-02-07 20:06:23'),(13229,'auguria',1,'','left','products','',13225,NULL,NULL,6,'/product/popuprop.php?leftmenu=stats&amp;type=0','','Statistics','main',1,'$user->rights->produit->lire','$conf->propal->enabled',2,'2016-02-07 20:06:23'),(13230,'auguria',1,'','left','products','',13225,NULL,NULL,5,'/product/reassortlot.php?type=0','','StocksByLotSerial','products',1,'$user->rights->produit->lire && $user->rights->stock->lire','$conf->productbatch->enabled',2,'2016-02-07 20:06:23'),(13325,'auguria',1,'','left','products','service',10428,NULL,NULL,1,'/product/index.php?leftmenu=service&amp;type=1','','Services','products',0,'$user->rights->service->lire','$conf->service->enabled',2,'2016-02-07 20:06:23'),(13326,'auguria',1,'','left','products','',13325,NULL,NULL,0,'/product/card.php?leftmenu=service&amp;action=create&amp;type=1','','NewService','products',1,'$user->rights->service->creer','$conf->service->enabled',2,'2016-02-07 20:06:23'),(13327,'auguria',1,'','left','products','',13325,NULL,NULL,1,'/product/list.php?leftmenu=service&amp;type=1','','List','products',1,'$user->rights->service->lire','$conf->service->enabled',2,'2016-02-07 20:06:23'),(13328,'auguria',1,'','left','products','',13325,NULL,NULL,5,'/product/popuprop.php?leftmenu=stats&amp;type=1','','Statistics','main',1,'$user->rights->service->lire','$conf->propal->enabled',2,'2016-02-07 20:06:23'),(13525,'auguria',1,'','left','products','stock',10428,NULL,NULL,3,'/product/stock/index.php?leftmenu=stock','','Stock','stocks',0,'$user->rights->stock->lire','$conf->stock->enabled',2,'2016-02-07 20:06:23'),(13526,'auguria',1,'','left','products','',13525,NULL,NULL,0,'/product/stock/card.php?action=create','','MenuNewWarehouse','stocks',1,'$user->rights->stock->creer','$conf->stock->enabled',2,'2016-02-07 20:06:23'),(13527,'auguria',1,'','left','products','',13525,NULL,NULL,1,'/product/stock/list.php','','List','stocks',1,'$user->rights->stock->lire','$conf->stock->enabled',2,'2016-02-07 20:06:23'),(13529,'auguria',1,'','left','products','',13525,NULL,NULL,3,'/product/stock/mouvement.php','','Movements','stocks',1,'$user->rights->stock->mouvement->lire','$conf->stock->enabled',2,'2016-02-07 20:06:23'),(13530,'auguria',1,'','left','products','',13525,NULL,NULL,4,'/product/stock/replenish.php','','Replenishments','stocks',1,'$user->rights->stock->mouvement->creer && $user->rights->fournisseur->lire','$conf->stock->enabled && $conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(13531,'auguria',1,'','left','products','',13525,NULL,NULL,5,'/product/stock/massstockmove.php','','StockTransfer','stocks',1,'$user->rights->stock->mouvement->creer','$conf->stock->enabled',2,'2016-02-07 20:06:23'),(13625,'auguria',1,'','left','products','cat',10428,NULL,NULL,4,'/categories/index.php?leftmenu=cat&amp;type=0','','Categories','categories',0,'$user->rights->categorie->lire','$conf->categorie->enabled',2,'2016-02-07 20:06:23'),(13626,'auguria',1,'','left','products','',13625,NULL,NULL,0,'/categories/card.php?action=create&amp;type=0','','NewCategory','categories',1,'$user->rights->categorie->creer','$conf->categorie->enabled',2,'2016-02-07 20:06:23'),(14025,'auguria',1,'','left','project','projects',10432,NULL,NULL,0,'/projet/index.php?leftmenu=projects','','Projects','projects',0,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14026,'auguria',1,'','left','project','',14025,NULL,NULL,1,'/projet/card.php?leftmenu=projects&amp;action=create','','NewProject','projects',1,'$user->rights->projet->creer','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14027,'auguria',1,'','left','project','',14025,NULL,NULL,2,'/projet/list.php?leftmenu=projects','','List','projects',1,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14035,'auguria',1,'','left','project','myprojects',10432,NULL,NULL,0,'/projet/index.php?leftmenu=projects&amp;mode=mine','','MyProjects','projects',0,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14036,'auguria',1,'','left','project','',14035,NULL,NULL,1,'/projet/card.php?leftmenu=projects&amp;action=create&amp;mode=mine','','NewProject','projects',1,'$user->rights->projet->creer','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14037,'auguria',1,'','left','project','',14035,NULL,NULL,2,'/projet/list.php?leftmenu=projects&amp;mode=mine','','List','projects',1,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14125,'auguria',1,'','left','project','',10432,NULL,NULL,0,'/projet/activity/index.php?leftmenu=projects','','Activities','projects',0,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14126,'auguria',1,'','left','project','',14125,NULL,NULL,1,'/projet/tasks.php?leftmenu=projects&amp;action=create','','NewTask','projects',1,'$user->rights->projet->creer','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14127,'auguria',1,'','left','project','',14125,NULL,NULL,2,'/projet/tasks/index.php?leftmenu=projects','','List','projects',1,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14128,'auguria',1,'','left','project','',14125,NULL,NULL,3,'/projet/activity/perweek.php?leftmenu=projects','','NewTimeSpent','projects',1,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14225,'auguria',1,'','left','project','',10432,NULL,NULL,0,'/projet/activity/index.php?leftmenu=projects&amp;mode=mine','','MyActivities','projects',0,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14226,'auguria',1,'','left','project','',14225,NULL,NULL,1,'/projet/tasks.php?leftmenu=projects&amp;action=create&amp;mode=mine','','NewTask','projects',1,'$user->rights->projet->creer','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14227,'auguria',1,'','left','project','',14225,NULL,NULL,2,'/projet/tasks/index.php?leftmenu=projects&amp;mode=mine','','List','projects',1,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14228,'auguria',1,'','left','project','',14225,NULL,NULL,3,'/projet/activity/perweek.php?leftmenu=projects&amp;mode=mine','','NewTimeSpent','projects',1,'$user->rights->projet->lire','$conf->projet->enabled',2,'2016-02-07 20:06:23'),(14325,'auguria',1,'','left','tools','mailing',10433,NULL,NULL,0,'/comm/mailing/index.php?leftmenu=mailing','','EMailings','mails',0,'$user->rights->mailing->lire','$conf->mailing->enabled',0,'2016-02-07 20:06:23'),(14326,'auguria',1,'','left','tools','',14325,NULL,NULL,0,'/comm/mailing/card.php?leftmenu=mailing&amp;action=create','','NewMailing','mails',1,'$user->rights->mailing->creer','$conf->mailing->enabled',0,'2016-02-07 20:06:23'),(14327,'auguria',1,'','left','tools','',14325,NULL,NULL,1,'/comm/mailing/list.php?leftmenu=mailing','','List','mails',1,'$user->rights->mailing->lire','$conf->mailing->enabled',0,'2016-02-07 20:06:23'),(14525,'auguria',1,'','left','tools','export',10433,NULL,NULL,2,'/exports/index.php?leftmenu=export','','FormatedExport','exports',0,'$user->rights->export->lire','$conf->export->enabled',2,'2016-02-07 20:06:23'),(14526,'auguria',1,'','left','tools','',14525,NULL,NULL,0,'/exports/export.php?leftmenu=export','','NewExport','exports',1,'$user->rights->export->creer','$conf->export->enabled',2,'2016-02-07 20:06:23'),(14555,'auguria',1,'','left','tools','import',10433,NULL,NULL,2,'/imports/index.php?leftmenu=import','','FormatedImport','exports',0,'$user->rights->import->run','$conf->import->enabled',2,'2016-02-07 20:06:23'),(14556,'auguria',1,'','left','tools','',14555,NULL,NULL,0,'/imports/import.php?leftmenu=import','','NewImport','exports',1,'$user->rights->import->run','$conf->import->enabled',2,'2016-02-07 20:06:23'),(14625,'auguria',1,'','left','members','members',10438,NULL,NULL,0,'/adherents/index.php?leftmenu=members&amp;mainmenu=members','','Members','members',0,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14626,'auguria',1,'','left','members','',14625,NULL,NULL,0,'/adherents/card.php?leftmenu=members&amp;action=create','','NewMember','members',1,'$user->rights->adherent->creer','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14627,'auguria',1,'','left','members','',14625,NULL,NULL,1,'/adherents/list.php','','List','members',1,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14628,'auguria',1,'','left','members','',14627,NULL,NULL,2,'/adherents/list.php?leftmenu=members&amp;statut=-1','','MenuMembersToValidate','members',2,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14629,'auguria',1,'','left','members','',14627,NULL,NULL,3,'/adherents/list.php?leftmenu=members&amp;statut=1','','MenuMembersValidated','members',2,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14630,'auguria',1,'','left','members','',14627,NULL,NULL,4,'/adherents/list.php?leftmenu=members&amp;statut=1&amp;filter=outofdate','','MenuMembersNotUpToDate','members',2,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14631,'auguria',1,'','left','members','',14627,NULL,NULL,5,'/adherents/list.php?leftmenu=members&amp;statut=1&amp;filter=uptodate','','MenuMembersUpToDate','members',2,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14632,'auguria',1,'','left','members','',14627,NULL,NULL,6,'/adherents/list.php?leftmenu=members&amp;statut=0','','MenuMembersResiliated','members',2,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14633,'auguria',1,'','left','members','',14625,NULL,NULL,7,'/adherents/stats/geo.php?leftmenu=members&amp;mode=memberbycountry','','MenuMembersStats','members',1,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14725,'auguria',1,'','left','members','',10438,NULL,NULL,1,'/adherents/index.php?leftmenu=members&amp;mainmenu=members','','Subscriptions','compta',0,'$user->rights->adherent->cotisation->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14726,'auguria',1,'','left','members','',14725,NULL,NULL,0,'/adherents/list.php?statut=-1&amp;leftmenu=accountancy&amp;mainmenu=members','','NewSubscription','compta',1,'$user->rights->adherent->cotisation->creer','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14727,'auguria',1,'','left','members','',14725,NULL,NULL,1,'/adherents/cotisations.php?leftmenu=members','','List','compta',1,'$user->rights->adherent->cotisation->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14728,'auguria',1,'','left','members','',14725,NULL,NULL,7,'/adherents/stats/index.php?leftmenu=members','','MenuMembersStats','members',1,'$user->rights->adherent->lire','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14925,'auguria',1,'','left','members','export',10438,NULL,NULL,3,'/adherents/index.php?leftmenu=export&amp;mainmenu=members','','Exports','members',0,'$user->rights->adherent->export','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14926,'auguria',1,'','left','members','',14925,NULL,NULL,0,'/exports/index.php?leftmenu=export','','Datas','members',1,'$user->rights->adherent->export','$conf->adherent->enabled && $conf->export->enabled',2,'2016-02-07 20:06:23'),(14927,'auguria',1,'','left','members','',14925,NULL,NULL,1,'/adherents/htpasswd.php?leftmenu=export','','Filehtpasswd','members',1,'$user->rights->adherent->export','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(14928,'auguria',1,'','left','members','',14925,NULL,NULL,2,'/adherents/cartes/carte.php?leftmenu=export','','MembersCards','members',1,'$user->rights->adherent->export','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(15125,'auguria',1,'','left','members','setup',10438,NULL,NULL,5,'/adherents/type.php?leftmenu=setup&amp;mainmenu=members','','MembersTypes','members',0,'$user->rights->adherent->configurer','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(15126,'auguria',1,'','left','members','',15125,NULL,NULL,0,'/adherents/type.php?leftmenu=setup&amp;mainmenu=members&amp;action=create','','New','members',1,'$user->rights->adherent->configurer','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(15127,'auguria',1,'','left','members','',15125,NULL,NULL,1,'/adherents/type.php?leftmenu=setup&amp;mainmenu=members','','List','members',1,'$user->rights->adherent->configurer','$conf->adherent->enabled',2,'2016-02-07 20:06:23'),(15425,'auguria',1,'','left','hrm','hrm',10440,NULL,NULL,1,'/holiday/list.php?&leftmenu=hrm','','CPTitreMenu','holiday',0,'$user->rights->holiday->read','$conf->holiday->enabled',0,'2016-02-07 20:06:23'),(15426,'auguria',1,'','left','hrm','',15425,NULL,NULL,1,'/holiday/card.php?&action=request','','MenuAddCP','holiday',1,'$user->rights->holiday->write','$conf->holiday->enabled',0,'2016-02-07 20:06:23'),(15427,'auguria',1,'','left','hrm','',15425,NULL,NULL,1,'/holiday/list.php?&leftmenu=hrm','','List','holiday',1,'$user->rights->holiday->read','$conf->holiday->enabled',0,'2016-02-07 20:06:23'),(15428,'auguria',1,'','left','hrm','',15427,NULL,NULL,1,'/holiday/list.php?select_statut=2&leftmenu=hrm','','ListToApprove','trips',2,'$user->rights->holiday->read','$conf->holiday->enabled',0,'2016-02-07 20:06:23'),(15429,'auguria',1,'','left','hrm','',15425,NULL,NULL,2,'/holiday/define_holiday.php?&action=request','','MenuConfCP','holiday',1,'$user->rights->holiday->define_holiday','$conf->holiday->enabled',0,'2016-02-07 20:06:23'),(15430,'auguria',1,'','left','hrm','',15425,NULL,NULL,3,'/holiday/view_log.php?&action=request','','MenuLogCP','holiday',1,'$user->rights->holiday->define_holiday','$conf->holiday->enabled',0,'2016-02-07 20:06:23'),(15431,'auguria',1,'','left','hrm','',15425,NULL,NULL,4,'/holiday/month_report.php?&action=request','','MenuReportMonth','holiday',1,'$user->rights->holiday->define_holiday','$conf->holiday->enabled',0,'2016-02-07 20:06:23'),(15525,'auguria',1,'','left','commercial','orders_suppliers',10430,NULL,NULL,6,'/fourn/commande/index.php?leftmenu=orders_suppliers','','SuppliersOrders','orders',0,'$user->rights->fournisseur->commande->lire','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(15526,'auguria',1,'','left','commercial','',15525,NULL,NULL,0,'/fourn/commande/card.php?action=create&amp;leftmenu=orders_suppliers','','NewOrder','orders',1,'$user->rights->fournisseur->commande->creer','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(15527,'auguria',1,'','left','commercial','',15525,NULL,NULL,1,'/fourn/commande/list.php?leftmenu=orders_suppliers&amp;viewstatut=0','','List','orders',1,'$user->rights->fournisseur->commande->lire','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(15533,'auguria',1,'','left','commercial','',15525,NULL,NULL,7,'/commande/stats/index.php?leftmenu=orders_suppliers&amp;mode=supplier','','Statistics','orders',1,'$user->rights->fournisseur->commande->lire','$conf->fournisseur->enabled',2,'2016-02-07 20:06:23'),(15625,'auguria',1,'','left','members','cat',10438,NULL,NULL,3,'/categories/index.php?leftmenu=cat&amp;type=3','','MembersCategoriesShort','categories',0,'$user->rights->categorie->lire','$conf->adherent->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23'),(15626,'auguria',1,'','left','members','',15625,NULL,NULL,0,'/categories/card.php?action=create&amp;type=3','','NewCategory','categories',1,'$user->rights->categorie->creer','$conf->adherent->enabled && $conf->categorie->enabled',2,'2016-02-07 20:06:23');
/*!40000 ALTER TABLE `llx_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_notify`
--

DROP TABLE IF EXISTS `llx_notify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_notify` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `daten` datetime DEFAULT NULL,
  `fk_action` int(11) NOT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `type` varchar(16) DEFAULT 'email',
  `fk_contact` int(11) DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  `objet_type` varchar(24) NOT NULL,
  `objet_id` int(11) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_notify`
--

LOCK TABLES `llx_notify` WRITE;
/*!40000 ALTER TABLE `llx_notify` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_notify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_notify_def`
--

DROP TABLE IF EXISTS `llx_notify_def`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_notify_def` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` date DEFAULT NULL,
  `fk_action` int(11) NOT NULL,
  `fk_soc` int(11) NOT NULL,
  `fk_contact` int(11) DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  `type` varchar(16) DEFAULT 'email',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_notify_def`
--

LOCK TABLES `llx_notify_def` WRITE;
/*!40000 ALTER TABLE `llx_notify_def` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_notify_def` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_opensurvey_comments`
--

DROP TABLE IF EXISTS `llx_opensurvey_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_opensurvey_comments` (
  `id_comment` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_sondage` char(16) NOT NULL,
  `comment` text NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `usercomment` text,
  PRIMARY KEY (`id_comment`),
  KEY `idx_id_comment` (`id_comment`),
  KEY `idx_id_sondage` (`id_sondage`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_opensurvey_comments`
--

LOCK TABLES `llx_opensurvey_comments` WRITE;
/*!40000 ALTER TABLE `llx_opensurvey_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_opensurvey_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_opensurvey_sondage`
--

DROP TABLE IF EXISTS `llx_opensurvey_sondage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_opensurvey_sondage` (
  `id_sondage` varchar(16) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `commentaires` text,
  `mail_admin` varchar(128) DEFAULT NULL,
  `nom_admin` varchar(64) DEFAULT NULL,
  `fk_user_creat` int(11) NOT NULL,
  `titre` text NOT NULL,
  `date_fin` datetime NOT NULL,
  `format` varchar(2) NOT NULL,
  `mailsonde` tinyint(4) NOT NULL DEFAULT '0',
  `allow_comments` tinyint(4) NOT NULL DEFAULT '1',
  `allow_spy` tinyint(4) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `sujet` text,
  PRIMARY KEY (`id_sondage`),
  KEY `idx_date_fin` (`date_fin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_opensurvey_sondage`
--

LOCK TABLES `llx_opensurvey_sondage` WRITE;
/*!40000 ALTER TABLE `llx_opensurvey_sondage` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_opensurvey_sondage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_opensurvey_user_studs`
--

DROP TABLE IF EXISTS `llx_opensurvey_user_studs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_opensurvey_user_studs` (
  `id_users` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(64) NOT NULL,
  `id_sondage` varchar(16) NOT NULL,
  `reponses` varchar(100) NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_users`),
  KEY `idx_opensurvey_user_studs_id_users` (`id_users`),
  KEY `idx_opensurvey_user_studs_nom` (`nom`),
  KEY `idx_opensurvey_user_studs_id_sondage` (`id_sondage`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_opensurvey_user_studs`
--

LOCK TABLES `llx_opensurvey_user_studs` WRITE;
/*!40000 ALTER TABLE `llx_opensurvey_user_studs` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_opensurvey_user_studs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_order_merged_pdf`
--

DROP TABLE IF EXISTS `llx_order_merged_pdf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_order_merged_pdf` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_commande` int(11) NOT NULL,
  `file_name` varchar(200) NOT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_mod` int(11) NOT NULL,
  `datec` datetime NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_order_merged_pdf`
--

LOCK TABLES `llx_order_merged_pdf` WRITE;
/*!40000 ALTER TABLE `llx_order_merged_pdf` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_order_merged_pdf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_paiement`
--

DROP TABLE IF EXISTS `llx_paiement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_paiement` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datep` datetime DEFAULT NULL,
  `amount` double(24,8) DEFAULT '0.00000000',
  `fk_paiement` int(11) NOT NULL,
  `num_paiement` varchar(50) DEFAULT NULL,
  `note` text,
  `fk_bank` int(11) NOT NULL DEFAULT '0',
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `statut` smallint(6) NOT NULL DEFAULT '0',
  `fk_export_compta` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_paiement`
--

LOCK TABLES `llx_paiement` WRITE;
/*!40000 ALTER TABLE `llx_paiement` DISABLE KEYS */;
INSERT INTO `llx_paiement` (`rowid`, `entity`, `datec`, `tms`, `datep`, `amount`, `fk_paiement`, `num_paiement`, `note`, `fk_bank`, `fk_user_creat`, `fk_user_modif`, `statut`, `fk_export_compta`) VALUES (1,1,'2016-06-21 14:17:15','2016-06-21 12:17:15','2016-06-21 12:00:00',18768.24000000,2,'','',2,4,NULL,0,0),(2,1,'2016-06-24 14:56:26','2016-06-24 12:56:26','2016-06-24 12:00:00',79464.00000000,2,'','',3,4,NULL,0,0),(3,1,'2016-06-24 15:02:17','2016-06-24 13:02:17','2016-06-24 12:00:00',47520.00000000,2,'','',4,4,NULL,0,0),(4,1,'2016-06-24 15:08:25','2016-06-24 13:08:25','2016-06-24 12:00:00',-3600.00000000,2,'','',5,4,NULL,0,0),(5,1,'2016-06-24 15:09:08','2016-06-24 13:09:08','2016-06-24 12:00:00',14400.00000000,2,'','',6,4,NULL,0,0),(6,1,'2016-06-24 15:12:13','2016-06-24 13:12:13','2016-06-24 12:00:00',12096.00000000,2,'','',7,4,NULL,0,0),(7,1,'2016-06-24 15:16:38','2016-06-24 13:16:38','2016-06-24 12:00:00',3600.00000000,2,'','',8,4,NULL,0,0),(8,1,'2016-06-24 15:20:34','2016-06-24 13:20:34','2016-06-24 12:00:00',9928.80000000,2,'','',9,4,NULL,0,0),(9,1,'2016-06-24 15:23:15','2016-06-24 13:23:15','2016-05-30 12:00:00',1560.00000000,2,'','',10,4,NULL,0,0),(10,1,'2016-07-01 11:38:58','2016-07-01 09:38:58','2016-07-01 12:00:00',2340.00000000,2,'','',11,4,NULL,0,0),(11,1,'2016-07-29 14:22:21','2016-07-29 12:22:21','2016-07-25 12:00:00',40132.32000000,2,'','',12,4,NULL,0,0),(12,1,'2016-09-02 14:21:01','2016-09-02 12:21:01','2016-08-05 12:00:00',16135.56000000,2,'','',13,4,NULL,0,0),(13,1,'2016-09-02 14:24:35','2016-09-02 12:24:35','2016-08-17 12:00:00',37152.00000000,2,'','',14,4,NULL,0,0),(14,1,'2016-09-16 14:40:31','2016-09-16 12:40:31','2016-09-12 12:00:00',19580.40000000,2,'','',15,4,NULL,0,0),(15,1,'2016-09-16 14:41:33','2016-09-16 12:41:33','2016-09-16 12:00:00',170.88000000,2,'','',16,4,NULL,0,0),(16,1,'2016-09-30 11:22:56','2016-09-30 09:22:56','2016-09-26 12:00:00',12384.00000000,2,'','',17,4,NULL,0,0),(17,1,'2016-10-13 11:30:08','2016-10-13 09:30:09','2016-10-13 12:00:00',14428.80000000,2,'','',18,4,NULL,0,0),(18,1,'2016-10-13 11:30:50','2016-10-13 09:30:50','2016-10-07 12:00:00',5160.00000000,2,'','',19,4,NULL,0,0),(19,1,'2016-11-17 15:11:24','2016-11-17 14:11:24','2016-11-04 12:00:00',12384.00000000,2,'','',20,4,NULL,0,0),(20,1,'2016-11-17 15:12:42','2016-11-17 14:12:42','2016-11-11 12:00:00',26672.88000000,2,'','',21,4,NULL,0,0),(21,1,'2016-12-23 10:45:38','2016-12-23 09:45:38','2016-12-12 12:00:00',12384.00000000,2,'','',22,4,NULL,0,0),(22,1,'2017-01-06 11:15:36','2017-01-06 10:15:36','2017-01-06 12:00:00',12384.00000000,2,'','',23,4,NULL,0,0),(23,1,'2017-01-16 08:36:48','2017-01-16 07:36:48','2017-01-14 12:00:00',39485.16000000,2,'','',24,4,NULL,0,0),(24,1,'2017-03-03 15:38:07','2017-03-03 14:38:07','2017-02-06 12:00:00',6239.64000000,2,'','',25,4,NULL,0,0),(25,1,'2017-03-03 15:39:09','2017-03-03 14:39:09','2017-02-15 12:00:00',24348.12000000,2,'','',26,4,NULL,0,0),(26,1,'2017-03-03 15:40:51','2017-03-03 14:40:51','2017-03-03 12:00:00',58788.00000000,2,'','',27,4,NULL,0,0),(27,1,'2017-03-15 08:57:12','2017-03-15 07:57:12','2017-03-15 12:00:00',34932.00000000,2,'','',28,4,NULL,0,0),(28,1,'2017-04-07 18:07:19','2017-04-07 16:07:19','2017-04-07 12:00:00',30408.00000000,2,'','',29,4,NULL,0,0),(29,1,'2017-05-18 10:28:14','2017-05-18 08:28:14','2017-05-16 12:00:00',22479.00000000,2,'','',30,4,NULL,0,0),(30,1,'2017-05-18 10:31:17','2017-05-18 08:31:17','2017-05-12 12:00:00',7800.00000000,2,'','',31,4,NULL,0,0),(31,1,'2017-05-18 10:51:08','2017-05-18 08:51:08','2017-04-10 12:00:00',20070.00000000,2,'','',32,4,NULL,0,0),(32,1,'2017-06-09 15:59:32','2017-06-09 13:59:32','2017-06-09 12:00:00',7800.00000000,2,'','',33,4,NULL,0,0),(33,1,'2017-06-16 10:25:43','2017-06-16 08:25:43','2017-06-16 12:00:00',11418.00000000,2,'','',34,4,NULL,0,0),(34,1,'2017-06-16 10:26:59','2017-06-16 08:27:00','2017-06-16 12:00:00',35250.00000000,2,'','',35,4,NULL,0,0),(35,1,'2017-07-07 09:54:02','2017-07-07 07:54:02','2017-06-30 12:00:00',3876.00000000,2,'','',36,4,NULL,0,0),(36,1,'2017-07-07 09:54:53','2017-07-07 07:54:53','2017-07-07 12:00:00',6192.00000000,2,'','',37,4,NULL,0,0),(37,1,'2017-07-12 11:26:57','2017-07-12 09:26:57','2017-07-10 12:00:00',35652.00000000,2,'','',38,4,NULL,0,0),(38,1,'2017-07-25 08:49:13','2017-07-25 06:49:14','2017-07-25 12:00:00',11920.80000000,2,'','',39,4,NULL,0,0),(39,1,'2017-09-29 14:57:23','2017-09-29 12:57:23','2017-09-29 12:00:00',41286.00000000,2,'','',40,4,NULL,0,0),(40,1,'2017-09-29 14:59:02','2017-09-29 12:59:02','2017-09-29 12:00:00',17623.08000000,2,'','',41,4,NULL,0,0),(41,1,'2017-09-29 14:59:42','2017-09-29 12:59:42','2017-09-29 12:00:00',1200.00000000,2,'','',42,4,NULL,0,0),(42,1,'2017-09-29 15:05:55','2017-09-29 13:05:55','2017-09-29 12:00:00',23439.00000000,2,'','',43,4,NULL,0,0),(43,1,'2017-09-29 15:06:49','2017-09-29 13:06:49','2017-09-29 12:00:00',22962.00000000,2,'','',44,4,NULL,0,0),(44,1,'2017-09-29 15:08:16','2017-09-29 13:08:16','2017-09-29 12:00:00',8571.60000000,2,'','',45,4,NULL,0,0),(45,1,'2017-09-29 15:10:08','2017-09-29 13:10:08','2017-09-29 12:00:00',13462.80000000,2,'','',46,4,NULL,0,0),(46,1,'2017-09-29 15:11:23','2017-09-29 13:11:23','2017-09-29 12:00:00',7998.00000000,2,'','',47,4,NULL,0,0),(47,1,'2017-11-14 08:29:59','2017-11-14 07:30:00','2017-11-14 12:00:00',10494.00000000,2,'','',48,4,NULL,0,0),(48,1,'2017-11-14 09:18:49','2017-11-14 08:18:49','2017-11-14 12:00:00',1440.00000000,2,'','',49,4,NULL,0,0),(49,1,'2017-11-21 18:17:56','2017-11-21 17:17:57','2017-11-15 12:00:00',24985.21000000,2,'','',50,4,NULL,0,0),(50,1,'2017-11-21 18:19:52','2017-11-21 17:19:52','2017-11-17 12:00:00',16707.00000000,2,'','',51,4,NULL,0,0),(51,1,'2017-11-21 18:20:32','2017-11-21 17:20:32','2017-11-17 12:00:00',3354.00000000,2,'','',52,4,NULL,0,0),(52,1,'2017-11-22 09:28:54','2017-11-22 08:28:54','2017-10-16 12:00:00',22644.00000000,2,'','',53,4,NULL,0,0),(53,1,'2017-11-22 09:29:44','2017-11-22 08:29:44','2017-10-16 12:00:00',1786.00000000,2,'','',54,4,NULL,0,0),(54,1,'2017-11-22 09:30:40','2017-11-22 08:30:40','2017-10-17 12:00:00',17814.00000000,2,'','',55,4,NULL,0,0),(55,1,'2018-01-17 18:27:50','2018-01-17 17:27:50','2018-01-17 12:00:00',9308.40000000,2,'','',56,4,NULL,0,0),(56,1,'2018-01-17 18:30:06','2018-01-17 17:30:06','2018-01-16 12:00:00',24366.00000000,2,'','',57,4,NULL,0,0),(57,1,'2018-01-17 18:42:34','2018-01-17 17:42:34','2017-12-19 12:00:00',12990.00000000,2,'','',58,4,NULL,0,0),(58,1,'2018-01-17 18:43:57','2018-01-17 17:43:57','2017-12-19 12:00:00',27048.00000000,2,'','',59,4,NULL,0,0),(59,1,'2018-01-18 16:48:18','2018-01-18 15:48:18','2017-12-14 12:00:00',24513.06000000,2,'','',60,4,NULL,0,0),(60,1,'2018-01-31 18:10:21','2018-01-31 17:10:21','2018-01-19 12:00:00',25355.16000000,2,'','',61,4,NULL,0,0),(61,1,'2018-02-13 09:14:12','2018-02-13 08:14:12','2018-02-12 12:00:00',8272.80000000,2,'','',62,4,NULL,0,0),(62,1,'2018-02-13 09:15:40','2018-02-13 08:15:41','2018-02-12 12:00:00',16656.00000000,2,'','',63,4,NULL,0,0),(63,1,'2018-02-13 09:16:40','2018-02-13 08:16:40','2018-02-13 12:00:00',18840.00000000,2,'','',64,4,NULL,0,0),(64,1,'2018-03-16 11:49:27','2018-03-16 10:49:27','2018-03-14 12:00:00',6720.00000000,2,'','',65,4,NULL,0,0),(65,1,'2018-03-16 11:51:27','2018-03-16 10:51:27','2018-03-14 12:00:00',29028.00000000,2,'','',66,4,NULL,0,0),(66,1,'2018-03-16 11:57:21','2018-03-16 10:57:22','2018-03-15 12:00:00',36075.00000000,2,'','',67,4,NULL,0,0),(67,1,'2018-04-09 15:36:42','2018-04-09 13:36:42','2018-04-09 12:00:00',26337.00000000,2,'','',68,4,NULL,0,0),(68,1,'2018-04-09 15:38:08','2018-04-09 13:38:08','2018-04-09 12:00:00',9650.09000000,2,'','',69,4,NULL,0,0);
/*!40000 ALTER TABLE `llx_paiement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_paiement_facture`
--

DROP TABLE IF EXISTS `llx_paiement_facture`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_paiement_facture` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_paiement` int(11) DEFAULT NULL,
  `fk_facture` int(11) DEFAULT NULL,
  `amount` double(24,8) DEFAULT '0.00000000',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_paiement_facture` (`fk_paiement`,`fk_facture`),
  KEY `idx_paiement_facture_fk_facture` (`fk_facture`),
  KEY `idx_paiement_facture_fk_paiement` (`fk_paiement`),
  CONSTRAINT `fk_paiement_facture_fk_facture` FOREIGN KEY (`fk_facture`) REFERENCES `llx_facture` (`rowid`),
  CONSTRAINT `fk_paiement_facture_fk_paiement` FOREIGN KEY (`fk_paiement`) REFERENCES `llx_paiement` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=212 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_paiement_facture`
--

LOCK TABLES `llx_paiement_facture` WRITE;
/*!40000 ALTER TABLE `llx_paiement_facture` DISABLE KEYS */;
INSERT INTO `llx_paiement_facture` (`rowid`, `fk_paiement`, `fk_facture`, `amount`) VALUES (1,1,28,5896.80000000),(2,1,29,12682.80000000),(3,1,35,188.64000000),(4,2,8,20640.00000000),(5,2,14,21672.00000000),(6,2,20,18576.00000000),(7,2,23,18576.00000000),(8,3,1,3600.00000000),(9,3,5,8064.00000000),(10,3,6,6048.00000000),(11,3,7,8064.00000000),(12,3,9,3600.00000000),(13,3,11,6048.00000000),(14,3,12,6048.00000000),(15,3,13,6048.00000000),(16,4,22,-3600.00000000),(17,5,15,14400.00000000),(18,6,16,6048.00000000),(19,6,18,6048.00000000),(20,7,19,3600.00000000),(21,8,17,4032.00000000),(22,8,21,5896.80000000),(23,9,26,1560.00000000),(24,10,34,2340.00000000),(25,11,24,3600.00000000),(26,11,25,5896.80000000),(27,11,30,6552.00000000),(28,11,31,11289.60000000),(29,11,33,11113.20000000),(30,11,36,1653.60000000),(31,11,37,27.12000000),(32,12,43,16135.56000000),(33,13,27,17544.00000000),(34,13,38,19608.00000000),(35,14,41,11113.20000000),(36,14,42,8467.20000000),(37,15,46,170.88000000),(38,16,39,12384.00000000),(39,17,44,8467.20000000),(40,17,45,5961.60000000),(41,18,47,5160.00000000),(42,19,48,12384.00000000),(43,20,49,10522.80000000),(44,20,50,16135.56000000),(45,20,51,14.52000000),(46,21,52,12384.00000000),(47,22,57,12384.00000000),(48,23,53,21045.60000000),(49,23,54,16135.56000000),(50,23,55,2304.00000000),(51,24,56,2880.00000000),(52,24,59,2640.00000000),(53,24,60,719.64000000),(54,25,63,19581.60000000),(55,25,64,4608.00000000),(56,25,65,158.52000000),(57,26,58,2520.00000000),(58,26,61,10320.00000000),(59,26,62,14280.00000000),(60,26,66,17220.00000000),(61,26,67,14448.00000000),(62,27,69,13332.00000000),(63,27,71,21600.00000000),(64,28,72,14448.00000000),(65,28,73,15960.00000000),(66,29,79,13779.00000000),(67,29,80,5220.00000000),(68,29,81,3480.00000000),(69,30,77,7800.00000000),(70,31,68,7482.00000000),(71,31,74,696.00000000),(72,31,75,1044.00000000),(73,31,76,10848.00000000),(74,32,84,7800.00000000),(75,33,86,6240.00000000),(76,33,87,588.00000000),(77,33,88,4104.00000000),(78,33,89,486.00000000),(79,34,78,7200.00000000),(80,34,82,10812.00000000),(81,34,83,6438.00000000),(82,34,85,10800.00000000),(83,35,90,3876.00000000),(84,36,91,6192.00000000),(85,37,92,18000.00000000),(86,37,102,12084.00000000),(87,37,103,5568.00000000),(88,38,97,4531.20000000),(89,38,98,480.00000000),(90,38,99,4144.80000000),(91,38,100,480.00000000),(92,38,101,2284.80000000),(93,39,93,10080.00000000),(94,39,94,1104.00000000),(95,39,95,8664.00000000),(96,39,96,1026.00000000),(97,39,113,8640.00000000),(98,39,115,552.00000000),(99,39,117,10032.00000000),(100,39,118,1188.00000000),(101,40,127,7680.00000000),(102,40,128,276.00000000),(103,40,129,8664.00000000),(104,40,134,1003.08000000),(105,41,104,1200.00000000),(106,42,105,3600.00000000),(107,42,106,6960.00000000),(108,42,107,12879.00000000),(109,43,130,12402.00000000),(110,43,131,6960.00000000),(111,43,132,3600.00000000),(112,44,108,1920.00000000),(113,44,109,2400.00000000),(114,44,110,960.00000000),(115,44,111,1851.60000000),(116,44,112,1440.00000000),(117,45,119,480.00000000),(118,45,120,3116.40000000),(119,45,121,3398.40000000),(120,45,122,1440.00000000),(121,45,123,480.00000000),(122,45,124,1440.00000000),(123,45,125,2628.00000000),(124,45,135,480.00000000),(125,46,116,7998.00000000),(126,47,149,1920.00000000),(127,47,150,2232.00000000),(128,47,151,2481.60000000),(129,47,152,2420.40000000),(130,47,153,960.00000000),(131,47,158,480.00000000),(132,48,136,960.00000000),(133,48,137,480.00000000),(134,49,147,6240.00000000),(135,49,148,276.00000000),(136,49,154,9576.00000000),(137,49,155,7200.00000000),(138,49,159,1693.21000000),(139,50,156,3828.00000000),(140,50,157,12879.00000000),(141,51,126,3354.00000000),(142,52,133,5400.00000000),(143,52,138,2880.00000000),(144,52,139,492.00000000),(145,52,141,5472.00000000),(146,52,142,8400.00000000),(147,53,143,1786.00000000),(148,54,144,6264.00000000),(149,54,145,7950.00000000),(150,54,146,3600.00000000),(151,55,180,480.00000000),(152,55,181,3145.20000000),(153,55,182,1920.00000000),(154,55,183,1920.00000000),(155,55,184,1843.20000000),(156,56,175,12828.00000000),(157,56,176,7938.00000000),(158,56,177,3600.00000000),(159,57,165,3589.20000000),(160,57,166,480.00000000),(161,57,167,1920.00000000),(162,57,169,2637.60000000),(163,57,170,1440.00000000),(164,57,171,2923.20000000),(165,58,160,3600.00000000),(166,58,161,9582.00000000),(167,58,162,13866.00000000),(168,59,163,4800.00000000),(169,59,164,276.00000000),(170,59,172,7200.00000000),(171,59,173,2205.06000000),(172,59,174,10032.00000000),(173,60,178,7200.00000000),(174,60,179,552.00000000),(175,60,185,9576.00000000),(176,60,186,3600.00000000),(177,60,187,899.16000000),(178,60,188,2880.00000000),(179,60,189,648.00000000),(180,61,193,480.00000000),(181,61,194,842.40000000),(182,61,195,3590.40000000),(183,61,196,1440.00000000),(184,61,197,1440.00000000),(185,61,203,480.00000000),(186,62,190,5760.00000000),(187,62,191,336.00000000),(188,62,192,1440.00000000),(189,62,202,9120.00000000),(190,63,198,3600.00000000),(191,63,199,5670.00000000),(192,63,201,9570.00000000),(193,64,206,2880.00000000),(194,64,208,1920.00000000),(195,64,209,1440.00000000),(196,64,210,480.00000000),(197,65,204,9600.00000000),(198,65,205,276.00000000),(199,65,211,10032.00000000),(200,65,212,9120.00000000),(201,66,200,3780.00000000),(202,66,214,3600.00000000),(203,66,215,7938.00000000),(204,66,216,7938.00000000),(205,66,217,12819.00000000),(206,67,229,7371.00000000),(207,67,230,12720.00000000),(208,67,231,2646.00000000),(209,67,232,3600.00000000),(210,68,213,530.09000000),(211,68,227,9120.00000000);
/*!40000 ALTER TABLE `llx_paiement_facture` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_paiementcharge`
--

DROP TABLE IF EXISTS `llx_paiementcharge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_paiementcharge` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_charge` int(11) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datep` datetime DEFAULT NULL,
  `amount` double DEFAULT '0',
  `fk_typepaiement` int(11) NOT NULL,
  `num_paiement` varchar(50) DEFAULT NULL,
  `note` text,
  `fk_bank` int(11) NOT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_paiementcharge`
--

LOCK TABLES `llx_paiementcharge` WRITE;
/*!40000 ALTER TABLE `llx_paiementcharge` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_paiementcharge` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_paiementfourn`
--

DROP TABLE IF EXISTS `llx_paiementfourn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_paiementfourn` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `datep` datetime DEFAULT NULL,
  `amount` double DEFAULT '0',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_paiement` int(11) NOT NULL,
  `num_paiement` varchar(50) DEFAULT NULL,
  `note` text,
  `fk_bank` int(11) NOT NULL,
  `statut` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_paiementfourn`
--

LOCK TABLES `llx_paiementfourn` WRITE;
/*!40000 ALTER TABLE `llx_paiementfourn` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_paiementfourn` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_paiementfourn_facturefourn`
--

DROP TABLE IF EXISTS `llx_paiementfourn_facturefourn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_paiementfourn_facturefourn` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_paiementfourn` int(11) DEFAULT NULL,
  `fk_facturefourn` int(11) DEFAULT NULL,
  `amount` double(24,8) DEFAULT '0.00000000',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_paiementfourn_facturefourn` (`fk_paiementfourn`,`fk_facturefourn`),
  KEY `idx_paiementfourn_facturefourn_fk_facture` (`fk_facturefourn`),
  KEY `idx_paiementfourn_facturefourn_fk_paiement` (`fk_paiementfourn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_paiementfourn_facturefourn`
--

LOCK TABLES `llx_paiementfourn_facturefourn` WRITE;
/*!40000 ALTER TABLE `llx_paiementfourn_facturefourn` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_paiementfourn_facturefourn` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_payment_donation`
--

DROP TABLE IF EXISTS `llx_payment_donation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_payment_donation` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_donation` int(11) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datep` datetime DEFAULT NULL,
  `amount` double DEFAULT '0',
  `fk_typepayment` int(11) NOT NULL,
  `num_payment` varchar(50) DEFAULT NULL,
  `note` text,
  `fk_bank` int(11) NOT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_payment_donation`
--

LOCK TABLES `llx_payment_donation` WRITE;
/*!40000 ALTER TABLE `llx_payment_donation` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_payment_donation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_payment_expensereport`
--

DROP TABLE IF EXISTS `llx_payment_expensereport`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_payment_expensereport` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_expensereport` int(11) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datep` datetime DEFAULT NULL,
  `amount` double DEFAULT '0',
  `fk_typepayment` int(11) NOT NULL,
  `num_payment` varchar(50) DEFAULT NULL,
  `note` text,
  `fk_bank` int(11) NOT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_payment_expensereport`
--

LOCK TABLES `llx_payment_expensereport` WRITE;
/*!40000 ALTER TABLE `llx_payment_expensereport` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_payment_expensereport` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_payment_loan`
--

DROP TABLE IF EXISTS `llx_payment_loan`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_payment_loan` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_loan` int(11) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datep` datetime DEFAULT NULL,
  `amount_capital` double DEFAULT '0',
  `amount_insurance` double DEFAULT '0',
  `amount_interest` double DEFAULT '0',
  `fk_typepayment` int(11) NOT NULL,
  `num_payment` varchar(50) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `fk_bank` int(11) NOT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_payment_loan`
--

LOCK TABLES `llx_payment_loan` WRITE;
/*!40000 ALTER TABLE `llx_payment_loan` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_payment_loan` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_payment_salary`
--

DROP TABLE IF EXISTS `llx_payment_salary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_payment_salary` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_user` int(11) NOT NULL,
  `datep` date DEFAULT NULL,
  `datev` date DEFAULT NULL,
  `salary` double DEFAULT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `fk_typepayment` int(11) NOT NULL,
  `num_payment` varchar(50) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `datesp` date DEFAULT NULL,
  `dateep` date DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `note` text,
  `fk_bank` int(11) DEFAULT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_payment_salary_ref` (`num_payment`),
  KEY `idx_payment_salary_user` (`fk_user`,`entity`),
  KEY `idx_payment_salary_datep` (`datep`),
  KEY `idx_payment_salary_datesp` (`datesp`),
  KEY `idx_payment_salary_dateep` (`dateep`),
  CONSTRAINT `fk_payment_salary_user` FOREIGN KEY (`fk_user`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_payment_salary`
--

LOCK TABLES `llx_payment_salary` WRITE;
/*!40000 ALTER TABLE `llx_payment_salary` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_payment_salary` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_prelevement_bons`
--

DROP TABLE IF EXISTS `llx_prelevement_bons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_prelevement_bons` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(12) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `amount` double DEFAULT '0',
  `statut` smallint(6) DEFAULT '0',
  `credite` smallint(6) DEFAULT '0',
  `note` text,
  `date_trans` datetime DEFAULT NULL,
  `method_trans` smallint(6) DEFAULT NULL,
  `fk_user_trans` int(11) DEFAULT NULL,
  `date_credit` datetime DEFAULT NULL,
  `fk_user_credit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_prelevement_bons_ref` (`ref`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_prelevement_bons`
--

LOCK TABLES `llx_prelevement_bons` WRITE;
/*!40000 ALTER TABLE `llx_prelevement_bons` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_prelevement_bons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_prelevement_facture`
--

DROP TABLE IF EXISTS `llx_prelevement_facture`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_prelevement_facture` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_facture` int(11) NOT NULL,
  `fk_prelevement_lignes` int(11) NOT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_prelevement_facture_fk_prelevement_lignes` (`fk_prelevement_lignes`),
  CONSTRAINT `fk_prelevement_facture_fk_prelevement_lignes` FOREIGN KEY (`fk_prelevement_lignes`) REFERENCES `llx_prelevement_lignes` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_prelevement_facture`
--

LOCK TABLES `llx_prelevement_facture` WRITE;
/*!40000 ALTER TABLE `llx_prelevement_facture` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_prelevement_facture` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_prelevement_facture_demande`
--

DROP TABLE IF EXISTS `llx_prelevement_facture_demande`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_prelevement_facture_demande` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_facture` int(11) NOT NULL,
  `amount` double NOT NULL,
  `date_demande` datetime NOT NULL,
  `traite` smallint(6) DEFAULT '0',
  `date_traite` datetime DEFAULT NULL,
  `fk_prelevement_bons` int(11) DEFAULT NULL,
  `fk_user_demande` int(11) NOT NULL,
  `code_banque` varchar(7) DEFAULT NULL,
  `code_guichet` varchar(6) DEFAULT NULL,
  `number` varchar(255) DEFAULT NULL,
  `cle_rib` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_prelevement_facture_demande`
--

LOCK TABLES `llx_prelevement_facture_demande` WRITE;
/*!40000 ALTER TABLE `llx_prelevement_facture_demande` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_prelevement_facture_demande` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_prelevement_lignes`
--

DROP TABLE IF EXISTS `llx_prelevement_lignes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_prelevement_lignes` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_prelevement_bons` int(11) DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `statut` smallint(6) DEFAULT '0',
  `client_nom` varchar(255) DEFAULT NULL,
  `amount` double DEFAULT '0',
  `code_banque` varchar(7) DEFAULT NULL,
  `code_guichet` varchar(6) DEFAULT NULL,
  `number` varchar(255) DEFAULT NULL,
  `cle_rib` varchar(5) DEFAULT NULL,
  `note` text,
  PRIMARY KEY (`rowid`),
  KEY `idx_prelevement_lignes_fk_prelevement_bons` (`fk_prelevement_bons`),
  CONSTRAINT `fk_prelevement_lignes_fk_prelevement_bons` FOREIGN KEY (`fk_prelevement_bons`) REFERENCES `llx_prelevement_bons` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_prelevement_lignes`
--

LOCK TABLES `llx_prelevement_lignes` WRITE;
/*!40000 ALTER TABLE `llx_prelevement_lignes` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_prelevement_lignes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_prelevement_rejet`
--

DROP TABLE IF EXISTS `llx_prelevement_rejet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_prelevement_rejet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_prelevement_lignes` int(11) DEFAULT NULL,
  `date_rejet` datetime DEFAULT NULL,
  `motif` int(11) DEFAULT NULL,
  `date_creation` datetime DEFAULT NULL,
  `fk_user_creation` int(11) DEFAULT NULL,
  `note` text,
  `afacturer` tinyint(4) DEFAULT '0',
  `fk_facture` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_prelevement_rejet`
--

LOCK TABLES `llx_prelevement_rejet` WRITE;
/*!40000 ALTER TABLE `llx_prelevement_rejet` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_prelevement_rejet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_printer_ipp`
--

DROP TABLE IF EXISTS `llx_printer_ipp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_printer_ipp` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `printer_name` text NOT NULL,
  `printer_location` text NOT NULL,
  `printer_uri` varchar(255) NOT NULL,
  `copy` int(11) NOT NULL DEFAULT '1',
  `module` varchar(16) NOT NULL,
  `login` varchar(32) NOT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_printer_ipp`
--

LOCK TABLES `llx_printer_ipp` WRITE;
/*!40000 ALTER TABLE `llx_printer_ipp` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_printer_ipp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_printing`
--

DROP TABLE IF EXISTS `llx_printing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_printing` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `printer_name` text NOT NULL,
  `printer_location` text NOT NULL,
  `printer_id` varchar(255) NOT NULL,
  `copy` int(11) NOT NULL DEFAULT '1',
  `module` varchar(16) NOT NULL,
  `driver` varchar(16) NOT NULL,
  `userid` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_printing`
--

LOCK TABLES `llx_printing` WRITE;
/*!40000 ALTER TABLE `llx_printing` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_printing` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product`
--

DROP TABLE IF EXISTS `llx_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(128) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(128) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `virtual` tinyint(4) NOT NULL DEFAULT '0',
  `fk_parent` int(11) DEFAULT '0',
  `label` varchar(255) NOT NULL,
  `description` text,
  `note` text,
  `customcode` varchar(32) DEFAULT NULL,
  `fk_country` int(11) DEFAULT NULL,
  `price` double(24,8) DEFAULT '0.00000000',
  `price_ttc` double(24,8) DEFAULT '0.00000000',
  `price_min` double(24,8) DEFAULT '0.00000000',
  `price_min_ttc` double(24,8) DEFAULT '0.00000000',
  `price_base_type` varchar(3) DEFAULT 'HT',
  `tva_tx` double(6,3) DEFAULT NULL,
  `recuperableonly` int(11) NOT NULL DEFAULT '0',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `tosell` tinyint(4) DEFAULT '1',
  `tobuy` tinyint(4) DEFAULT '1',
  `tobatch` tinyint(4) NOT NULL DEFAULT '0',
  `fk_product_type` int(11) DEFAULT '0',
  `duration` varchar(6) DEFAULT NULL,
  `seuil_stock_alerte` int(11) DEFAULT '0',
  `url` varchar(255) DEFAULT NULL,
  `barcode` varchar(255) DEFAULT NULL,
  `fk_barcode_type` int(11) DEFAULT NULL,
  `accountancy_code_sell` varchar(32) DEFAULT NULL,
  `accountancy_code_buy` varchar(32) DEFAULT NULL,
  `partnumber` varchar(32) DEFAULT NULL,
  `weight` float DEFAULT NULL,
  `weight_units` tinyint(4) DEFAULT NULL,
  `length` float DEFAULT NULL,
  `length_units` tinyint(4) DEFAULT NULL,
  `surface` float DEFAULT NULL,
  `surface_units` tinyint(4) DEFAULT NULL,
  `volume` float DEFAULT NULL,
  `volume_units` tinyint(4) DEFAULT NULL,
  `stock` int(11) DEFAULT NULL,
  `pmp` double(24,8) NOT NULL DEFAULT '0.00000000',
  `fifo` double(24,8) DEFAULT NULL,
  `lifo` double(24,8) DEFAULT NULL,
  `canvas` varchar(32) DEFAULT NULL,
  `finished` tinyint(4) DEFAULT NULL,
  `hidden` tinyint(4) DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `desiredstock` int(11) DEFAULT '0',
  `fk_price_expression` int(11) DEFAULT NULL,
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_product_ref` (`ref`,`entity`),
  UNIQUE KEY `uk_product_barcode` (`barcode`,`fk_barcode_type`,`entity`),
  KEY `idx_product_label` (`label`),
  KEY `idx_product_barcode` (`barcode`),
  KEY `idx_product_import_key` (`import_key`),
  KEY `idx_product_seuil_stock_alerte` (`seuil_stock_alerte`),
  KEY `idx_product_fk_country` (`fk_country`),
  KEY `idx_product_fk_user_author` (`fk_user_author`),
  KEY `idx_product_fk_barcode_type` (`fk_barcode_type`),
  KEY `fk_product_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_product_barcode_type` FOREIGN KEY (`fk_barcode_type`) REFERENCES `llx_c_barcode_type` (`rowid`),
  CONSTRAINT `fk_product_fk_country` FOREIGN KEY (`fk_country`) REFERENCES `llx_c_country` (`rowid`),
  CONSTRAINT `fk_product_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product`
--

LOCK TABLES `llx_product` WRITE;
/*!40000 ALTER TABLE `llx_product` DISABLE KEYS */;
INSERT INTO `llx_product` (`rowid`, `ref`, `entity`, `ref_ext`, `datec`, `tms`, `virtual`, `fk_parent`, `label`, `description`, `note`, `customcode`, `fk_country`, `price`, `price_ttc`, `price_min`, `price_min_ttc`, `price_base_type`, `tva_tx`, `recuperableonly`, `localtax1_tx`, `localtax2_tx`, `fk_user_author`, `fk_user_modif`, `tosell`, `tobuy`, `tobatch`, `fk_product_type`, `duration`, `seuil_stock_alerte`, `url`, `barcode`, `fk_barcode_type`, `accountancy_code_sell`, `accountancy_code_buy`, `partnumber`, `weight`, `weight_units`, `length`, `length_units`, `surface`, `surface_units`, `volume`, `volume_units`, `stock`, `pmp`, `fifo`, `lifo`, `canvas`, `finished`, `hidden`, `import_key`, `desiredstock`, `fk_price_expression`, `fk_unit`) VALUES (1,'SE1410-001',1,NULL,'2014-10-04 17:56:58','2014-10-04 15:57:56',0,0,'AMOA','Assistance à la conduite de projet','Assistance à la direction de projet du coté utilisateur','',NULL,0.00000000,0.00000000,0.00000000,0.00000000,'',0.000,0,0.000,0.000,1,NULL,1,0,0,1,'',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.00000000,NULL,NULL,'',0,0,NULL,NULL,NULL,NULL),(2,'SE1410-002',1,NULL,'2014-10-04 18:01:03','2014-10-04 16:08:53',0,0,'Direction de projet','','','',1,650.00000000,780.00000000,580.00000000,696.00000000,'HT',20.000,0,0.000,0.000,1,NULL,1,0,0,1,'d',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.00000000,NULL,NULL,'',0,0,NULL,NULL,NULL,NULL),(3,'SE1410-003',1,NULL,'2014-10-04 18:10:34','2014-10-04 16:11:33',0,0,'Support technique','Support technique sur logiciel','','',NULL,550.00000000,660.00000000,480.00000000,576.00000000,'HT',20.000,0,0.000,0.000,1,NULL,1,0,0,1,'',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.00000000,NULL,NULL,'',0,0,NULL,NULL,NULL,NULL),(4,'SE1601-004',1,NULL,'2016-01-15 15:00:26','2016-01-15 14:00:55',0,0,'Support administratif','','','',NULL,280.00000000,280.00000000,0.00000000,0.00000000,'HT',0.000,0,0.000,0.000,4,NULL,1,1,0,1,'',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.00000000,NULL,NULL,'',0,0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `llx_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_association`
--

DROP TABLE IF EXISTS `llx_product_association`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_association` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_product_pere` int(11) NOT NULL DEFAULT '0',
  `fk_product_fils` int(11) NOT NULL DEFAULT '0',
  `qty` double DEFAULT NULL,
  `incdec` int(11) DEFAULT '1',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_product_association` (`fk_product_pere`,`fk_product_fils`),
  KEY `idx_product_association_fils` (`fk_product_fils`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_association`
--

LOCK TABLES `llx_product_association` WRITE;
/*!40000 ALTER TABLE `llx_product_association` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_association` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_batch`
--

DROP TABLE IF EXISTS `llx_product_batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_batch` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_product_stock` int(11) NOT NULL,
  `eatby` datetime DEFAULT NULL,
  `sellby` datetime DEFAULT NULL,
  `batch` varchar(30) NOT NULL,
  `qty` double NOT NULL DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_fk_product_stock` (`fk_product_stock`),
  CONSTRAINT `fk_product_batch_fk_product_stock` FOREIGN KEY (`fk_product_stock`) REFERENCES `llx_product_stock` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_batch`
--

LOCK TABLES `llx_product_batch` WRITE;
/*!40000 ALTER TABLE `llx_product_batch` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_batch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_customer_price`
--

DROP TABLE IF EXISTS `llx_product_customer_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_customer_price` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_product` int(11) NOT NULL,
  `fk_soc` int(11) NOT NULL,
  `price` double(24,8) DEFAULT '0.00000000',
  `price_ttc` double(24,8) DEFAULT '0.00000000',
  `price_min` double(24,8) DEFAULT '0.00000000',
  `price_min_ttc` double(24,8) DEFAULT '0.00000000',
  `price_base_type` varchar(3) DEFAULT 'HT',
  `tva_tx` double(6,3) DEFAULT NULL,
  `recuperableonly` int(11) NOT NULL DEFAULT '0',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `fk_user` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_customer_price_fk_product_fk_soc` (`fk_product`,`fk_soc`),
  KEY `idx_product_customer_price_fk_user` (`fk_user`),
  KEY `idx_product_customer_price_fk_soc` (`fk_soc`),
  CONSTRAINT `fk_product_customer_price_fk_product` FOREIGN KEY (`fk_product`) REFERENCES `llx_product` (`rowid`),
  CONSTRAINT `fk_product_customer_price_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_product_customer_price_fk_user` FOREIGN KEY (`fk_user`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_customer_price`
--

LOCK TABLES `llx_product_customer_price` WRITE;
/*!40000 ALTER TABLE `llx_product_customer_price` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_customer_price` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_customer_price_log`
--

DROP TABLE IF EXISTS `llx_product_customer_price_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_customer_price_log` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `fk_product` int(11) NOT NULL,
  `fk_soc` int(11) NOT NULL,
  `price` double(24,8) DEFAULT '0.00000000',
  `price_ttc` double(24,8) DEFAULT '0.00000000',
  `price_min` double(24,8) DEFAULT '0.00000000',
  `price_min_ttc` double(24,8) DEFAULT '0.00000000',
  `price_base_type` varchar(3) DEFAULT 'HT',
  `tva_tx` double(6,3) DEFAULT NULL,
  `recuperableonly` int(11) NOT NULL DEFAULT '0',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `fk_user` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_customer_price_log`
--

LOCK TABLES `llx_product_customer_price_log` WRITE;
/*!40000 ALTER TABLE `llx_product_customer_price_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_customer_price_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_extrafields`
--

DROP TABLE IF EXISTS `llx_product_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_product_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_extrafields`
--

LOCK TABLES `llx_product_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_product_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_fournisseur_price`
--

DROP TABLE IF EXISTS `llx_product_fournisseur_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_fournisseur_price` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_product` int(11) DEFAULT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `ref_fourn` varchar(30) DEFAULT NULL,
  `fk_availability` int(11) DEFAULT NULL,
  `price` double(24,8) DEFAULT '0.00000000',
  `quantity` double DEFAULT NULL,
  `remise_percent` double NOT NULL DEFAULT '0',
  `remise` double NOT NULL DEFAULT '0',
  `unitprice` double(24,8) DEFAULT '0.00000000',
  `charges` double(24,8) DEFAULT '0.00000000',
  `unitcharges` double(24,8) DEFAULT '0.00000000',
  `tva_tx` double(6,3) NOT NULL,
  `info_bits` int(11) NOT NULL DEFAULT '0',
  `fk_user` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `fk_supplier_price_expression` int(11) DEFAULT NULL,
  `delivery_time_days` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_product_fournisseur_price_ref` (`ref_fourn`,`fk_soc`,`quantity`,`entity`),
  KEY `idx_product_fournisseur_price_fk_user` (`fk_user`),
  KEY `idx_product_fourn_price_fk_product` (`fk_product`,`entity`),
  KEY `idx_product_fourn_price_fk_soc` (`fk_soc`,`entity`),
  CONSTRAINT `fk_product_fournisseur_price_fk_product` FOREIGN KEY (`fk_product`) REFERENCES `llx_product` (`rowid`),
  CONSTRAINT `fk_product_fournisseur_price_fk_user` FOREIGN KEY (`fk_user`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_fournisseur_price`
--

LOCK TABLES `llx_product_fournisseur_price` WRITE;
/*!40000 ALTER TABLE `llx_product_fournisseur_price` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_fournisseur_price` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_fournisseur_price_log`
--

DROP TABLE IF EXISTS `llx_product_fournisseur_price_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_fournisseur_price_log` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `datec` datetime DEFAULT NULL,
  `fk_product_fournisseur` int(11) NOT NULL,
  `price` double(24,8) DEFAULT '0.00000000',
  `quantity` double DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_fournisseur_price_log`
--

LOCK TABLES `llx_product_fournisseur_price_log` WRITE;
/*!40000 ALTER TABLE `llx_product_fournisseur_price_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_fournisseur_price_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_lang`
--

DROP TABLE IF EXISTS `llx_product_lang`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_lang` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_product` int(11) NOT NULL DEFAULT '0',
  `lang` varchar(5) NOT NULL DEFAULT '0',
  `label` varchar(255) NOT NULL,
  `description` text,
  `note` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_product_lang` (`fk_product`,`lang`),
  CONSTRAINT `fk_product_lang_fk_product` FOREIGN KEY (`fk_product`) REFERENCES `llx_product` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_lang`
--

LOCK TABLES `llx_product_lang` WRITE;
/*!40000 ALTER TABLE `llx_product_lang` DISABLE KEYS */;
INSERT INTO `llx_product_lang` (`rowid`, `fk_product`, `lang`, `label`, `description`, `note`) VALUES (1,4,'fr_FR','Support administratif','','');
/*!40000 ALTER TABLE `llx_product_lang` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_price`
--

DROP TABLE IF EXISTS `llx_product_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_price` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_product` int(11) NOT NULL,
  `date_price` datetime NOT NULL,
  `price_level` smallint(6) DEFAULT '1',
  `price` double(24,8) DEFAULT NULL,
  `price_ttc` double(24,8) DEFAULT NULL,
  `price_min` double(24,8) DEFAULT NULL,
  `price_min_ttc` double(24,8) DEFAULT NULL,
  `price_base_type` varchar(3) DEFAULT 'HT',
  `tva_tx` double(6,3) NOT NULL,
  `recuperableonly` int(11) NOT NULL DEFAULT '0',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `fk_user_author` int(11) DEFAULT NULL,
  `tosell` tinyint(4) DEFAULT '1',
  `price_by_qty` int(11) NOT NULL DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `fk_price_expression` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_product_price_fk_user_author` (`fk_user_author`),
  KEY `idx_product_price_fk_product` (`fk_product`),
  CONSTRAINT `fk_product_price_product` FOREIGN KEY (`fk_product`) REFERENCES `llx_product` (`rowid`),
  CONSTRAINT `fk_product_price_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_price`
--

LOCK TABLES `llx_product_price` WRITE;
/*!40000 ALTER TABLE `llx_product_price` DISABLE KEYS */;
INSERT INTO `llx_product_price` (`rowid`, `entity`, `tms`, `fk_product`, `date_price`, `price_level`, `price`, `price_ttc`, `price_min`, `price_min_ttc`, `price_base_type`, `tva_tx`, `recuperableonly`, `localtax1_tx`, `localtax2_tx`, `fk_user_author`, `tosell`, `price_by_qty`, `import_key`, `fk_price_expression`) VALUES (1,1,'2014-10-04 15:56:58',1,'2014-10-04 17:56:58',1,0.00000000,0.00000000,0.00000000,0.00000000,'',0.000,0,0.000,0.000,1,1,0,NULL,NULL),(3,1,'2014-10-04 16:08:31',2,'2014-10-04 18:08:31',1,890.00000000,1068.00000000,650.00000000,780.00000000,'HT',20.000,0,0.000,0.000,1,1,0,NULL,NULL),(4,1,'2014-10-04 16:08:53',2,'2014-10-04 18:08:53',2,650.00000000,780.00000000,580.00000000,696.00000000,'HT',20.000,0,0.000,0.000,1,1,0,NULL,NULL),(6,1,'2014-10-04 16:11:14',3,'2014-10-04 18:11:13',1,650.00000000,780.00000000,550.00000000,660.00000000,'HT',20.000,0,0.000,0.000,1,1,0,NULL,NULL),(7,1,'2014-10-04 16:11:33',3,'2014-10-04 18:11:33',2,550.00000000,660.00000000,480.00000000,576.00000000,'HT',20.000,0,0.000,0.000,1,1,0,NULL,NULL),(8,1,'2016-01-15 14:00:26',4,'2016-01-15 15:00:26',1,0.00000000,0.00000000,0.00000000,0.00000000,'',0.000,0,0.000,0.000,4,1,0,NULL,NULL),(9,1,'2016-01-15 14:00:55',4,'2016-01-15 15:00:55',1,280.00000000,280.00000000,0.00000000,0.00000000,'HT',0.000,0,0.000,0.000,4,1,0,NULL,NULL);
/*!40000 ALTER TABLE `llx_product_price` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_price_by_qty`
--

DROP TABLE IF EXISTS `llx_product_price_by_qty`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_price_by_qty` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_product_price` int(11) NOT NULL,
  `date_price` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `price` double(24,8) DEFAULT '0.00000000',
  `quantity` double DEFAULT NULL,
  `remise_percent` double NOT NULL DEFAULT '0',
  `remise` double NOT NULL DEFAULT '0',
  `unitprice` double(24,8) DEFAULT '0.00000000',
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_product_price_by_qty_level` (`fk_product_price`,`quantity`),
  KEY `idx_product_price_by_qty_fk_product_price` (`fk_product_price`),
  CONSTRAINT `fk_product_price_by_qty_fk_product_price` FOREIGN KEY (`fk_product_price`) REFERENCES `llx_product_price` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_price_by_qty`
--

LOCK TABLES `llx_product_price_by_qty` WRITE;
/*!40000 ALTER TABLE `llx_product_price_by_qty` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_price_by_qty` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_product_stock`
--

DROP TABLE IF EXISTS `llx_product_stock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_product_stock` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_product` int(11) NOT NULL,
  `fk_entrepot` int(11) NOT NULL,
  `reel` double DEFAULT NULL,
  `pmp` double(24,8) NOT NULL DEFAULT '0.00000000',
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_product_stock` (`fk_product`,`fk_entrepot`),
  KEY `idx_product_stock_fk_product` (`fk_product`),
  KEY `idx_product_stock_fk_entrepot` (`fk_entrepot`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_product_stock`
--

LOCK TABLES `llx_product_stock` WRITE;
/*!40000 ALTER TABLE `llx_product_stock` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_product_stock` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_projet`
--

DROP TABLE IF EXISTS `llx_projet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_projet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) DEFAULT NULL,
  `datec` date DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `dateo` date DEFAULT NULL,
  `datee` date DEFAULT NULL,
  `ref` varchar(50) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `title` varchar(255) NOT NULL,
  `description` text,
  `fk_user_creat` int(11) NOT NULL,
  `public` int(11) DEFAULT NULL,
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `fk_opp_status` int(11) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `budget_amount` double(24,8) DEFAULT NULL,
  `date_close` datetime DEFAULT NULL,
  `fk_user_close` int(11) DEFAULT NULL,
  `opp_amount` double(24,8) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_projet_ref` (`ref`,`entity`),
  KEY `idx_projet_fk_soc` (`fk_soc`),
  CONSTRAINT `fk_projet_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_projet`
--

LOCK TABLES `llx_projet` WRITE;
/*!40000 ALTER TABLE `llx_projet` DISABLE KEYS */;
INSERT INTO `llx_projet` (`rowid`, `fk_soc`, `datec`, `tms`, `dateo`, `datee`, `ref`, `entity`, `title`, `description`, `fk_user_creat`, `public`, `fk_statut`, `fk_opp_status`, `note_private`, `note_public`, `model_pdf`, `budget_amount`, `date_close`, `fk_user_close`, `opp_amount`) VALUES (1,5,'2015-09-25','2016-06-20 19:25:03','2015-10-05','2016-06-30','PJ1509-0001',1,'Assistance ADV/ADP','assistance mise en place 9001',4,0,0,NULL,NULL,NULL,'baleine',12000.00000000,NULL,NULL,NULL);
/*!40000 ALTER TABLE `llx_projet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_projet_extrafields`
--

DROP TABLE IF EXISTS `llx_projet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_projet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_projet_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_projet_extrafields`
--

LOCK TABLES `llx_projet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_projet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_projet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_projet_task`
--

DROP TABLE IF EXISTS `llx_projet_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_projet_task` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(50) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_projet` int(11) NOT NULL,
  `fk_task_parent` int(11) NOT NULL DEFAULT '0',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `dateo` datetime DEFAULT NULL,
  `datee` datetime DEFAULT NULL,
  `datev` datetime DEFAULT NULL,
  `label` varchar(255) NOT NULL,
  `description` text,
  `duration_effective` double DEFAULT '0',
  `planned_workload` double DEFAULT '0',
  `progress` int(11) DEFAULT '0',
  `priority` int(11) DEFAULT '0',
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `note_private` text,
  `note_public` text,
  `rang` int(11) DEFAULT '0',
  `model_pdf` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_projet_task_fk_projet` (`fk_projet`),
  KEY `idx_projet_task_fk_user_creat` (`fk_user_creat`),
  KEY `idx_projet_task_fk_user_valid` (`fk_user_valid`),
  CONSTRAINT `fk_projet_task_fk_projet` FOREIGN KEY (`fk_projet`) REFERENCES `llx_projet` (`rowid`),
  CONSTRAINT `fk_projet_task_fk_user_creat` FOREIGN KEY (`fk_user_creat`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_projet_task_fk_user_valid` FOREIGN KEY (`fk_user_valid`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_projet_task`
--

LOCK TABLES `llx_projet_task` WRITE;
/*!40000 ALTER TABLE `llx_projet_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_projet_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_projet_task_extrafields`
--

DROP TABLE IF EXISTS `llx_projet_task_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_projet_task_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_projet_task_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_projet_task_extrafields`
--

LOCK TABLES `llx_projet_task_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_projet_task_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_projet_task_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_projet_task_time`
--

DROP TABLE IF EXISTS `llx_projet_task_time`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_projet_task_time` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_task` int(11) NOT NULL,
  `task_date` date DEFAULT NULL,
  `task_datehour` datetime DEFAULT NULL,
  `task_date_withhour` int(11) DEFAULT '0',
  `task_duration` double DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  `thm` double(24,8) DEFAULT NULL,
  `note` text,
  PRIMARY KEY (`rowid`),
  KEY `idx_projet_task_time_task` (`fk_task`),
  KEY `idx_projet_task_time_date` (`task_date`),
  KEY `idx_projet_task_time_datehour` (`task_datehour`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_projet_task_time`
--

LOCK TABLES `llx_projet_task_time` WRITE;
/*!40000 ALTER TABLE `llx_projet_task_time` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_projet_task_time` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_propal`
--

DROP TABLE IF EXISTS `llx_propal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_propal` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_int` varchar(255) DEFAULT NULL,
  `ref_client` varchar(255) DEFAULT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `datep` date DEFAULT NULL,
  `fin_validite` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_cloture` datetime DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_cloture` int(11) DEFAULT NULL,
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `price` double DEFAULT '0',
  `remise_percent` double DEFAULT '0',
  `remise_absolue` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total` double(24,8) DEFAULT '0.00000000',
  `fk_account` int(11) DEFAULT NULL,
  `fk_currency` varchar(3) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `date_livraison` date DEFAULT NULL,
  `fk_shipping_method` int(11) DEFAULT NULL,
  `fk_availability` int(11) DEFAULT NULL,
  `fk_input_reason` int(11) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_delivery_address` int(11) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_propal_ref` (`ref`,`entity`),
  KEY `idx_propal_fk_soc` (`fk_soc`),
  KEY `idx_propal_fk_user_author` (`fk_user_author`),
  KEY `idx_propal_fk_user_valid` (`fk_user_valid`),
  KEY `idx_propal_fk_user_cloture` (`fk_user_cloture`),
  KEY `idx_propal_fk_projet` (`fk_projet`),
  KEY `idx_propal_fk_account` (`fk_account`),
  KEY `idx_propal_fk_currency` (`fk_currency`),
  CONSTRAINT `fk_propal_fk_projet` FOREIGN KEY (`fk_projet`) REFERENCES `llx_projet` (`rowid`),
  CONSTRAINT `fk_propal_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_propal_fk_user_author` FOREIGN KEY (`fk_user_author`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_propal_fk_user_cloture` FOREIGN KEY (`fk_user_cloture`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_propal_fk_user_valid` FOREIGN KEY (`fk_user_valid`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_propal`
--

LOCK TABLES `llx_propal` WRITE;
/*!40000 ALTER TABLE `llx_propal` DISABLE KEYS */;
INSERT INTO `llx_propal` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `datec`, `datep`, `fin_validite`, `date_valid`, `date_cloture`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `fk_statut`, `price`, `remise_percent`, `remise_absolue`, `remise`, `total_ht`, `tva`, `localtax1`, `localtax2`, `total`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_shipping_method`, `fk_availability`, `fk_input_reason`, `import_key`, `extraparams`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`) VALUES (1,'DV1410-0001',1,NULL,NULL,'na',1,NULL,'2016-02-19 11:01:15','2014-10-04 18:34:46','2014-10-04','2014-10-19 12:00:00','2015-12-04 11:59:18','2016-02-19 12:01:15',1,NULL,3,1,4,0,NULL,NULL,0,4060.00000000,812.00000000,0.00000000,0.00000000,4872.00000000,NULL,NULL,1,2,'','','azur',NULL,NULL,4,8,NULL,NULL,NULL,NULL,NULL),(2,'DV1603-0001',1,NULL,NULL,'Chargé de recrutement',5,NULL,'2016-06-24 13:20:34','2016-03-14 17:49:36','2016-03-14','2016-03-29 13:00:00','2016-03-29 21:04:51','2016-03-29 21:12:09',4,NULL,4,4,4,0,NULL,NULL,0,5600.00000000,1120.00000000,0.00000000,0.00000000,6720.00000000,NULL,NULL,9,2,'','Aide &agrave; l&#39;organisation du recrutement','azur',NULL,NULL,0,0,NULL,NULL,NULL,0,''),(3,'(PROV3)',1,NULL,NULL,'',5,NULL,'2016-03-29 15:01:17','2016-03-29 16:58:30','2016-04-04','2016-04-19 12:00:00',NULL,NULL,4,NULL,NULL,NULL,0,0,NULL,NULL,0,10640.00000000,2128.00000000,0.00000000,0.00000000,12768.00000000,NULL,NULL,9,2,'','','azur',NULL,NULL,0,0,NULL,NULL,NULL,0,''),(4,'DV1605-0001',1,NULL,NULL,'Consultant gestion',5,NULL,'2016-05-27 14:35:06','2016-05-27 16:17:43','2016-05-27','2016-06-11 12:00:00','2016-05-27 16:21:46','2016-05-27 16:35:06',4,NULL,4,4,2,0,NULL,NULL,0,17080.00000000,3416.00000000,0.00000000,0.00000000,20496.00000000,NULL,NULL,9,2,'','','azur',NULL,NULL,0,0,NULL,NULL,NULL,0,'');
/*!40000 ALTER TABLE `llx_propal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_propal_extrafields`
--

DROP TABLE IF EXISTS `llx_propal_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_propal_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `newline` text,
  PRIMARY KEY (`rowid`),
  KEY `idx_propal_extrafields` (`fk_object`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_propal_extrafields`
--

LOCK TABLES `llx_propal_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_propal_extrafields` DISABLE KEYS */;
INSERT INTO `llx_propal_extrafields` (`rowid`, `tms`, `fk_object`, `import_key`, `newline`) VALUES (1,'2014-10-04 16:34:46',1,NULL,'0'),(2,'2016-03-14 16:49:36',2,NULL,'0'),(3,'2016-03-29 14:58:30',3,NULL,'0'),(4,'2016-05-27 14:17:43',4,NULL,'0');
/*!40000 ALTER TABLE `llx_propal_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_propal_merge_pdf_product`
--

DROP TABLE IF EXISTS `llx_propal_merge_pdf_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_propal_merge_pdf_product` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_product` int(11) NOT NULL,
  `file_name` varchar(200) NOT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_mod` int(11) NOT NULL,
  `datec` datetime NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_propal_merge_pdf_product`
--

LOCK TABLES `llx_propal_merge_pdf_product` WRITE;
/*!40000 ALTER TABLE `llx_propal_merge_pdf_product` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_propal_merge_pdf_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_propal_merged_pdf`
--

DROP TABLE IF EXISTS `llx_propal_merged_pdf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_propal_merged_pdf` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_propal` int(11) NOT NULL,
  `file_name` varchar(200) NOT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_mod` int(11) NOT NULL,
  `datec` datetime NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_propal_merged_pdf`
--

LOCK TABLES `llx_propal_merged_pdf` WRITE;
/*!40000 ALTER TABLE `llx_propal_merged_pdf` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_propal_merged_pdf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_propaldet`
--

DROP TABLE IF EXISTS `llx_propaldet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_propaldet` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_propal` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `fk_remise_except` int(11) DEFAULT NULL,
  `tva_tx` double(6,3) DEFAULT '0.000',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `price` double DEFAULT NULL,
  `subprice` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `product_type` int(11) DEFAULT '0',
  `date_start` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `buy_price_ht` double(24,8) DEFAULT '0.00000000',
  `fk_product_fournisseur_price` int(11) DEFAULT NULL,
  `special_code` int(11) DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `fk_unit` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_propaldet_fk_propal` (`fk_propal`),
  KEY `idx_propaldet_fk_product` (`fk_product`),
  KEY `fk_propaldet_fk_unit` (`fk_unit`),
  CONSTRAINT `fk_propaldet_fk_propal` FOREIGN KEY (`fk_propal`) REFERENCES `llx_propal` (`rowid`),
  CONSTRAINT `fk_propaldet_fk_unit` FOREIGN KEY (`fk_unit`) REFERENCES `llx_c_units` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_propaldet`
--

LOCK TABLES `llx_propaldet` WRITE;
/*!40000 ALTER TABLE `llx_propaldet` DISABLE KEYS */;
INSERT INTO `llx_propaldet` (`rowid`, `fk_propal`, `fk_parent_line`, `fk_product`, `label`, `description`, `fk_remise_except`, `tva_tx`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `qty`, `remise_percent`, `remise`, `price`, `subprice`, `total_ht`, `total_tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `buy_price_ht`, `fk_product_fournisseur_price`, `special_code`, `rang`, `fk_unit`) VALUES (1,1,NULL,1,NULL,'Assistance à la conduite de projet\r\nAssistance au cadrage du besoin et à l\'installation de la solution ERP retenue',NULL,20.000,0.000,'0',0.000,'0',7,0,0,580,580.00000000,4060.00000000,812.00000000,0.00000000,0.00000000,4872.00000000,1,NULL,NULL,0,400.00000000,NULL,0,1,NULL),(2,2,NULL,NULL,NULL,'Aide au recrutement',NULL,20.000,0.000,'0',0.000,'0',20,0,0,NULL,280.00000000,5600.00000000,1120.00000000,0.00000000,0.00000000,6720.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL),(3,3,NULL,NULL,NULL,'Prestations d&#39;&eacute;tudes dans le domaine administratif',NULL,20.000,0.000,'0',0.000,'0',38,0,0,NULL,280.00000000,10640.00000000,2128.00000000,0.00000000,0.00000000,12768.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL),(4,4,NULL,NULL,NULL,'Etude, mise en place des outils et des tableaux de bords de gestion',NULL,20.000,0.000,'0',0.000,'0',61,0,0,NULL,280.00000000,17080.00000000,3416.00000000,0.00000000,0.00000000,20496.00000000,1,NULL,NULL,0,0.00000000,NULL,0,1,NULL);
/*!40000 ALTER TABLE `llx_propaldet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_propaldet_extrafields`
--

DROP TABLE IF EXISTS `llx_propaldet_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_propaldet_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_propaldet_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_propaldet_extrafields`
--

LOCK TABLES `llx_propaldet_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_propaldet_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_propaldet_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_resource`
--

DROP TABLE IF EXISTS `llx_resource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_resource` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref` varchar(255) DEFAULT NULL,
  `description` text,
  `fk_code_type_resource` varchar(32) DEFAULT NULL,
  `note_public` text,
  `note_private` text,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`rowid`),
  KEY `fk_code_type_resource_idx` (`fk_code_type_resource`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_resource`
--

LOCK TABLES `llx_resource` WRITE;
/*!40000 ALTER TABLE `llx_resource` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_rights_def`
--

DROP TABLE IF EXISTS `llx_rights_def`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_rights_def` (
  `id` int(11) NOT NULL DEFAULT '0',
  `libelle` varchar(255) DEFAULT NULL,
  `module` varchar(64) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `perms` varchar(50) DEFAULT NULL,
  `subperms` varchar(50) DEFAULT NULL,
  `type` varchar(1) DEFAULT NULL,
  `bydefault` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_rights_def`
--

LOCK TABLES `llx_rights_def` WRITE;
/*!40000 ALTER TABLE `llx_rights_def` DISABLE KEYS */;
INSERT INTO `llx_rights_def` (`id`, `libelle`, `module`, `entity`, `perms`, `subperms`, `type`, `bydefault`) VALUES (11,'Lire les factures','facture',1,'lire',NULL,'a',1),(12,'Creer/modifier les factures','facture',1,'creer',NULL,'a',0),(13,'Dévalider les factures','facture',1,'invoice_advance','unvalidate','a',0),(14,'Valider les factures','facture',1,'invoice_advance','validate','a',0),(15,'Envoyer les factures par mail','facture',1,'invoice_advance','send','a',0),(16,'Emettre des paiements sur les factures','facture',1,'paiement',NULL,'a',0),(19,'Supprimer les factures','facture',1,'supprimer',NULL,'a',0),(21,'Lire les propositions commerciales','propale',1,'lire',NULL,'r',1),(22,'Creer/modifier les propositions commerciales','propale',1,'creer',NULL,'w',0),(24,'Valider les propositions commerciales','propale',1,'valider',NULL,'d',0),(25,'Envoyer les propositions commerciales aux clients','propale',1,'propal_advance','send','d',0),(26,'Cloturer les propositions commerciales','propale',1,'cloturer',NULL,'d',0),(27,'Supprimer les propositions commerciales','propale',1,'supprimer',NULL,'d',0),(28,'Exporter les propositions commerciales et attributs','propale',1,'export',NULL,'r',0),(31,'Lire les produits','produit',1,'lire',NULL,'r',1),(32,'Creer/modifier les produits','produit',1,'creer',NULL,'w',0),(34,'Supprimer les produits','produit',1,'supprimer',NULL,'d',0),(38,'Exporter les produits','produit',1,'export',NULL,'r',0),(41,'Lire les projets et tâches (partagés ou dont je suis contact)','projet',1,'lire',NULL,'r',1),(42,'Creer/modifier les projets et tâches (partagés ou dont je suis contact)','projet',1,'creer',NULL,'w',0),(44,'Supprimer les projets et tâches (partagés ou dont je suis contact)','projet',1,'supprimer',NULL,'d',0),(45,'Exporter les projets','projet',1,'export',NULL,'d',0),(61,'Lire les fiches d\'intervention','ficheinter',1,'lire',NULL,'r',1),(62,'Creer/modifier les fiches d\'intervention','ficheinter',1,'creer',NULL,'w',0),(64,'Supprimer les fiches d\'intervention','ficheinter',1,'supprimer',NULL,'d',0),(67,'Exporter les fiches interventions','ficheinter',1,'export',NULL,'r',0),(68,'Envoyer les fiches d\'intervention par courriel','ficheinter',1,'ficheinter_advance','send','r',0),(81,'Lire les commandes clients','commande',1,'lire',NULL,'r',1),(82,'Creer/modifier les commandes clients','commande',1,'creer',NULL,'w',0),(84,'Valider les commandes clients','commande',1,'order_advance','validate','d',0),(86,'Envoyer les commandes clients','commande',1,'order_advance','send','d',0),(87,'Cloturer les commandes clients','commande',1,'cloturer',NULL,'d',0),(88,'Annuler les commandes clients','commande',1,'order_advance','annuler','d',0),(89,'Supprimer les commandes clients','commande',1,'supprimer',NULL,'d',0),(91,'Lire les charges','tax',1,'charges','lire','r',1),(92,'Creer/modifier les charges','tax',1,'charges','creer','w',0),(93,'Supprimer les charges','tax',1,'charges','supprimer','d',0),(94,'Exporter les charges','tax',1,'charges','export','r',0),(95,'Lire CA, bilans, resultats','compta',1,'resultat','lire','r',1),(96,'Parametrer la ventilation','compta',1,'ventilation','parametrer','r',0),(97,'Lire les ventilations de factures','compta',1,'ventilation','lire','r',1),(98,'Ventiler les lignes de factures','compta',1,'ventilation','creer','r',0),(111,'Lire les comptes bancaires','banque',1,'lire',NULL,'r',1),(112,'Creer/modifier montant/supprimer ecriture bancaire','banque',1,'modifier',NULL,'w',0),(113,'Configurer les comptes bancaires (creer, gerer categories)','banque',1,'configurer',NULL,'a',0),(114,'Rapprocher les ecritures bancaires','banque',1,'consolidate',NULL,'w',0),(115,'Exporter transactions et releves','banque',1,'export',NULL,'r',0),(116,'Virements entre comptes','banque',1,'transfer',NULL,'w',0),(117,'Gerer les envois de cheques','banque',1,'cheque',NULL,'w',0),(121,'Lire les societes','societe',1,'lire',NULL,'r',1),(122,'Creer modifier les societes','societe',1,'creer',NULL,'w',0),(125,'Supprimer les societes','societe',1,'supprimer',NULL,'d',0),(126,'Exporter les societes','societe',1,'export',NULL,'r',0),(141,'Lire tous les projets et tâches (y compris prives qui ne me sont pas affectes)','projet',1,'all','lire','r',0),(142,'Creer/modifier tous les projets et tâches (y compris prives qui ne me sont pas affectes)','projet',1,'all','creer','w',0),(144,'Supprimer tous les projets et tâches (y compris prives qui ne me sont pas affectes)','projet',1,'all','supprimer','d',0),(161,'Lire les contrats','contrat',1,'lire',NULL,'r',1),(162,'Creer / modifier les contrats','contrat',1,'creer',NULL,'w',0),(163,'Activer un service d\'un contrat','contrat',1,'activer',NULL,'w',0),(164,'Desactiver un service d\'un contrat','contrat',1,'desactiver',NULL,'w',0),(165,'Supprimer un contrat','contrat',1,'supprimer',NULL,'d',0),(167,'Export contracts','contrat',1,'export',NULL,'r',0),(171,'Lire ses notes de frais et deplacements et celles de sa hierarchy','deplacement',1,'lire',NULL,'r',1),(172,'Creer/modifier une note de frais et deplacements','deplacement',1,'creer',NULL,'w',0),(173,'Supprimer les notes de frais et deplacements','deplacement',1,'supprimer',NULL,'d',0),(174,'Lire toutes les notes de frais','deplacement',1,'readall',NULL,'d',0),(178,'Exporter les notes de frais et deplacements','deplacement',1,'export',NULL,'d',0),(241,'Lire les categories','categorie',1,'lire',NULL,'r',1),(242,'Creer/modifier les categories','categorie',1,'creer',NULL,'w',0),(243,'Supprimer les categories','categorie',1,'supprimer',NULL,'d',0),(251,'Consulter les autres utilisateurs','user',1,'user','lire','r',0),(252,'Consulter les permissions des autres utilisateurs','user',1,'user_advance','readperms','r',0),(253,'Creer/modifier utilisateurs internes et externes','user',1,'user','creer','w',0),(254,'Creer/modifier utilisateurs externes seulement','user',1,'user_advance','write','w',0),(255,'Modifier le mot de passe des autres utilisateurs','user',1,'user','password','w',0),(256,'Supprimer ou desactiver les autres utilisateurs','user',1,'user','supprimer','d',0),(262,'Consulter tous les tiers par utilisateurs internes (sinon uniquement si contact commercial). Non effectif pour utilisateurs externes (tjs limités à eux-meme).','societe',1,'client','voir','r',1),(281,'Lire les contacts','societe',1,'contact','lire','r',1),(282,'Creer modifier les contacts','societe',1,'contact','creer','w',0),(283,'Supprimer les contacts','societe',1,'contact','supprimer','d',0),(286,'Exporter les contacts','societe',1,'contact','export','d',0),(341,'Consulter ses propres permissions','user',1,'self_advance','readperms','r',1),(342,'Creer/modifier ses propres infos utilisateur','user',1,'self','creer','w',1),(343,'Modifier son propre mot de passe','user',1,'self','password','w',1),(344,'Modifier ses propres permissions','user',1,'self_advance','writeperms','w',1),(351,'Consulter les groupes','user',1,'group_advance','read','r',0),(352,'Consulter les permissions des groupes','user',1,'group_advance','readperms','r',0),(353,'Creer/modifier les groupes et leurs permissions','user',1,'group_advance','write','w',0),(354,'Supprimer ou desactiver les groupes','user',1,'group_advance','delete','d',0),(358,'Exporter les utilisateurs','user',1,'user','export','r',0),(510,'Read salaries','salaries',1,'read',NULL,'r',0),(512,'Create/modify salaries','salaries',1,'write',NULL,'w',0),(514,'Delete salaries','salaries',1,'delete',NULL,'d',0),(517,'Export salaries','salaries',1,'export',NULL,'r',0),(531,'Lire les services','service',1,'lire',NULL,'r',1),(532,'Creer/modifier les services','service',1,'creer',NULL,'w',0),(534,'Supprimer les services','service',1,'supprimer',NULL,'d',0),(538,'Exporter les services','service',1,'export',NULL,'r',0),(1181,'Consulter les fournisseurs','fournisseur',1,'lire',NULL,'r',1),(1182,'Consulter les commandes fournisseur','fournisseur',1,'commande','lire','r',1),(1183,'Creer une commande fournisseur','fournisseur',1,'commande','creer','w',0),(1184,'Valider une commande fournisseur','fournisseur',1,'supplier_order_advance','validate','w',0),(1185,'Approuver une commande fournisseur','fournisseur',1,'commande','approuver','w',0),(1186,'Commander une commande fournisseur','fournisseur',1,'commande','commander','w',0),(1187,'Receptionner une commande fournisseur','fournisseur',1,'commande','receptionner','d',0),(1188,'Supprimer une commande fournisseur','fournisseur',1,'commande','supprimer','d',0),(1189,'Check/Uncheck a supplier order reception','fournisseur',1,'commande_advance','check','w',0),(1201,'Lire les exports','export',1,'lire',NULL,'r',1),(1202,'Creer/modifier un export','export',1,'creer',NULL,'w',0),(1231,'Consulter les factures fournisseur','fournisseur',1,'facture','lire','r',1),(1232,'Creer une facture fournisseur','fournisseur',1,'facture','creer','w',0),(1233,'Valider une facture fournisseur','fournisseur',1,'supplier_invoice_advance','validate','w',0),(1234,'Supprimer une facture fournisseur','fournisseur',1,'facture','supprimer','d',0),(1235,'Envoyer les factures par mail','fournisseur',1,'supplier_invoice_advance','send','a',0),(1236,'Exporter les factures fournisseurs, attributs et reglements','fournisseur',1,'facture','export','r',0),(1237,'Exporter les commande fournisseurs, attributs','fournisseur',1,'commande','export','r',0),(1251,'Run mass imports of external data (data load)','import',1,'run',NULL,'r',0),(1321,'Exporter les factures clients, attributs et reglements','facture',1,'facture','export','r',0),(1421,'Exporter les commandes clients et attributs','commande',1,'commande','export','r',0),(2501,'Consulter/Télécharger les documents','ecm',1,'read',NULL,'r',1),(2503,'Soumettre ou supprimer des documents','ecm',1,'upload',NULL,'w',1),(2515,'Administrer les rubriques de documents','ecm',1,'setup',NULL,'w',1),(20001,'Read your own holidays','holiday',1,'read',NULL,'w',1),(20002,'Create/modify your own holidays','holiday',1,'write',NULL,'w',1),(20003,'Delete holidays','holiday',1,'delete',NULL,'w',0),(20004,'Read holidays for everybody','holiday',1,'read_all',NULL,'w',0),(20005,'Create/modify holidays for everybody','holiday',1,'write_all',NULL,'w',0),(20006,'Setup holidays of users (setup and update balance)','holiday',1,'define_holiday',NULL,'w',0),(59001,'Visualiser les marges','margins',1,'liretous',NULL,'r',1),(59002,'Définir les marges','margins',1,'creer',NULL,'w',0),(59003,'Read every user margin','margins',1,'read','all','r',0),(63001,'Read resources','resource',1,'read',NULL,'w',0),(63002,'Create/Modify resources','resource',1,'write',NULL,'w',0),(63003,'Delete resources','resource',1,'delete',NULL,'w',0),(63004,'Link resources','resource',1,'link',NULL,'w',0),(300101,'Consulter les infos du modele','ultimatepdf',1,'read',NULL,'r',1),(300102,'Modifier la fiche du modele','ultimatepdf',1,'write',NULL,'w',0);
/*!40000 ALTER TABLE `llx_rights_def` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe`
--

DROP TABLE IF EXISTS `llx_societe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(128) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(128) DEFAULT NULL,
  `ref_int` varchar(60) DEFAULT NULL,
  `statut` tinyint(4) DEFAULT '0',
  `parent` int(11) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `status` tinyint(4) DEFAULT '1',
  `code_client` varchar(24) DEFAULT NULL,
  `code_fournisseur` varchar(24) DEFAULT NULL,
  `code_compta` varchar(24) DEFAULT NULL,
  `code_compta_fournisseur` varchar(24) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `zip` varchar(25) DEFAULT NULL,
  `town` varchar(50) DEFAULT NULL,
  `fk_departement` int(11) DEFAULT '0',
  `fk_pays` int(11) DEFAULT '0',
  `phone` varchar(20) DEFAULT NULL,
  `fax` varchar(20) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `email` varchar(128) DEFAULT NULL,
  `skype` varchar(255) DEFAULT NULL,
  `fk_effectif` int(11) DEFAULT '0',
  `fk_typent` int(11) DEFAULT '0',
  `fk_forme_juridique` int(11) DEFAULT '0',
  `fk_currency` varchar(3) DEFAULT NULL,
  `siren` varchar(128) DEFAULT NULL,
  `siret` varchar(128) DEFAULT NULL,
  `ape` varchar(128) DEFAULT NULL,
  `idprof4` varchar(128) DEFAULT NULL,
  `idprof5` varchar(128) DEFAULT NULL,
  `idprof6` varchar(128) DEFAULT NULL,
  `tva_intra` varchar(20) DEFAULT NULL,
  `capital` double DEFAULT NULL,
  `fk_stcomm` int(11) NOT NULL DEFAULT '0',
  `note_private` text,
  `note_public` text,
  `prefix_comm` varchar(5) DEFAULT NULL,
  `client` tinyint(4) DEFAULT '0',
  `fournisseur` tinyint(4) DEFAULT '0',
  `supplier_account` varchar(32) DEFAULT NULL,
  `fk_prospectlevel` varchar(12) DEFAULT NULL,
  `customer_bad` tinyint(4) DEFAULT '0',
  `customer_rate` double DEFAULT '0',
  `supplier_rate` double DEFAULT '0',
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `remise_client` double DEFAULT '0',
  `mode_reglement` tinyint(4) DEFAULT NULL,
  `cond_reglement` tinyint(4) DEFAULT NULL,
  `mode_reglement_supplier` tinyint(4) DEFAULT NULL,
  `cond_reglement_supplier` tinyint(4) DEFAULT NULL,
  `tva_assuj` tinyint(4) DEFAULT '1',
  `localtax1_assuj` tinyint(4) DEFAULT '0',
  `localtax1_value` double(6,3) DEFAULT NULL,
  `localtax2_assuj` tinyint(4) DEFAULT '0',
  `localtax2_value` double(6,3) DEFAULT NULL,
  `barcode` varchar(255) DEFAULT NULL,
  `fk_barcode_type` int(11) DEFAULT '0',
  `price_level` int(11) DEFAULT NULL,
  `outstanding_limit` double(24,8) DEFAULT NULL,
  `default_lang` varchar(6) DEFAULT NULL,
  `logo` varchar(255) DEFAULT NULL,
  `canvas` varchar(32) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `webservices_url` varchar(255) DEFAULT NULL,
  `webservices_key` varchar(128) DEFAULT NULL,
  `name_alias` varchar(128) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_societe_prefix_comm` (`prefix_comm`,`entity`),
  UNIQUE KEY `uk_societe_code_client` (`code_client`,`entity`),
  UNIQUE KEY `uk_societe_code_fournisseur` (`code_fournisseur`,`entity`),
  UNIQUE KEY `uk_societe_barcode` (`barcode`,`fk_barcode_type`,`entity`),
  KEY `idx_societe_user_creat` (`fk_user_creat`),
  KEY `idx_societe_user_modif` (`fk_user_modif`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe`
--

LOCK TABLES `llx_societe` WRITE;
/*!40000 ALTER TABLE `llx_societe` DISABLE KEYS */;
INSERT INTO `llx_societe` (`rowid`, `nom`, `entity`, `ref_ext`, `ref_int`, `statut`, `parent`, `tms`, `datec`, `status`, `code_client`, `code_fournisseur`, `code_compta`, `code_compta_fournisseur`, `address`, `zip`, `town`, `fk_departement`, `fk_pays`, `phone`, `fax`, `url`, `email`, `skype`, `fk_effectif`, `fk_typent`, `fk_forme_juridique`, `fk_currency`, `siren`, `siret`, `ape`, `idprof4`, `idprof5`, `idprof6`, `tva_intra`, `capital`, `fk_stcomm`, `note_private`, `note_public`, `prefix_comm`, `client`, `fournisseur`, `supplier_account`, `fk_prospectlevel`, `customer_bad`, `customer_rate`, `supplier_rate`, `fk_user_creat`, `fk_user_modif`, `remise_client`, `mode_reglement`, `cond_reglement`, `mode_reglement_supplier`, `cond_reglement_supplier`, `tva_assuj`, `localtax1_assuj`, `localtax1_value`, `localtax2_assuj`, `localtax2_value`, `barcode`, `fk_barcode_type`, `price_level`, `outstanding_limit`, `default_lang`, `logo`, `canvas`, `import_key`, `webservices_url`, `webservices_key`, `name_alias`, `fk_incoterms`, `location_incoterms`) VALUES (1,'DG INNOVATIONS',1,NULL,NULL,0,NULL,'2016-02-19 11:01:04','2014-10-04 18:22:03',1,'CL1410-0001',NULL,'411CL14100001',NULL,'75, rue Jules GUESDES','69230','saint genis laval',71,1,'0478815519',NULL,'www.dg-innovations.com','loanne@dg-innovations.com',NULL,1,4,57,NULL,'803878362','80387836200018','','','','','',25000,1,NULL,NULL,NULL,1,0,NULL,NULL,0,0,0,1,1,0,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(2,'ORCHESTRA - PREMAMAN',1,NULL,NULL,0,NULL,'2016-01-29 14:52:33','2015-08-18 18:32:06',1,'CL1508-0001','CF1508-0001','411CL15080001','401CF15080001','ZAC Saint Antoine\r\n200 avenue des Tamaris','34130','SAINT AUNES',0,1,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'398471565','39847156501990','4771Z','','','','',0,0,NULL,NULL,NULL,1,0,NULL,NULL,0,0,0,4,4,0,NULL,NULL,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',0,NULL),(3,'EUROTAB GROUP',1,NULL,NULL,0,NULL,'2015-08-25 12:46:09','2015-08-25 14:46:09',1,'CL1508-0002',NULL,'411CL15080002',NULL,'Zac des Peyrardes','42170','Saint Just Saint Rambert',0,1,'0477021212',NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'','','','','','','',0,0,NULL,NULL,NULL,2,0,NULL,NULL,0,0,0,4,4,0,NULL,NULL,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(4,'HAULOTTE GROUP',1,NULL,NULL,0,NULL,'2015-08-25 12:57:24','2015-08-25 14:50:15',1,'CL1508-0003',NULL,'411CL15080003',NULL,'La Péronnière, 27 Rue d\'Onzion','42152','L\'HORME',0,1,'0477292424',NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'','','','','','','',0,0,NULL,NULL,NULL,2,0,NULL,NULL,0,0,0,4,4,0,NULL,NULL,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(5,'NOVAXIOM GROUP',1,NULL,NULL,0,NULL,'2016-01-29 13:11:42','2015-08-25 14:53:19',1,'CL1508-0004',NULL,'411CL15080004',NULL,'23 Rue Jules Vallès','69100','VILLEURBANNE',0,1,'0472838870',NULL,NULL,NULL,NULL,4,3,57,NULL,'420824971','42082497100014','7112B','','','','',362000,0,NULL,NULL,NULL,1,0,NULL,NULL,0,0,0,4,4,0,NULL,NULL,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,'fr_FR',NULL,NULL,NULL,NULL,NULL,'',0,NULL),(6,'SPIE SUD EST',1,NULL,NULL,0,NULL,'2015-08-25 12:54:29','2015-08-25 14:54:29',1,'CL1508-0005',NULL,'411CL15080005',NULL,'4 Avenue Jean Jaurès','69320','FEYZIN',0,1,'0472211200',NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'','','','','','','',0,0,NULL,NULL,NULL,2,0,NULL,NULL,0,0,0,4,4,0,NULL,NULL,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(7,'SPC CONSULTANTS',1,NULL,NULL,0,NULL,'2016-05-30 08:25:46','2015-08-25 14:55:48',1,'CL1508-0006',NULL,'411CL15080006',NULL,'Parc Inopolis\r\n204 Route de Vourles','69230','Saint-Genis-Laval',0,1,'0472671234',NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'343762308','34376230800033','','','','','',136000,0,NULL,NULL,NULL,3,0,NULL,NULL,0,0,0,4,4,0,NULL,NULL,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',0,NULL),(8,'COURBON',1,NULL,NULL,0,NULL,'2017-07-25 06:45:52','2016-11-18 15:30:57',1,'CL1611-0001','CF1611-0001','411CL16110001','401CF16110001','70 rue de la Montat','42000','ST ETIENNE',44,1,'0477593434',NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'584501563','58450156300012','','','','','',0,0,NULL,NULL,NULL,3,1,NULL,NULL,0,0,0,4,4,0,2,9,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',0,NULL),(9,'CEGID',1,NULL,NULL,0,NULL,'2017-06-02 08:38:23','2017-04-26 15:55:15',1,'CL1704-0001','CF1704-0001','411CL17040001','401CF17040001','52 Quai Paul Sédallian','69009','Lyon',0,1,'0811884888',NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'410218010','41021801000032','','','','','',0,0,NULL,NULL,NULL,1,1,NULL,NULL,0,0,0,4,4,0,NULL,NULL,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,'fr_FR',NULL,NULL,NULL,NULL,NULL,'',0,NULL),(10,'ANDROS et Compagnie',1,NULL,NULL,0,NULL,'2017-06-13 07:34:01','2017-04-26 16:17:17',1,'CL1704-0002','CF1704-0002','411CL17040002','401CF17040002','ZI','46130','BIARS SUR CERE',0,1,'0565101010',NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'428682447','42868244700019','','','','','FR13428682447',0,0,NULL,NULL,NULL,1,1,NULL,NULL,0,0,0,4,4,0,2,9,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',0,NULL),(12,'CONCERTO RH',1,NULL,NULL,0,NULL,'2017-06-02 09:32:30','2017-06-02 11:25:40',1,'CL1706-0001',NULL,'411CL17060001',NULL,'1 rue de la Brosse','42400','SAINT CHAMOND',0,1,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,'522899277','52289927700027','','','','','',0,0,NULL,NULL,NULL,1,0,NULL,NULL,0,0,0,4,4,0,2,9,NULL,NULL,1,NULL,0.000,NULL,0.000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',0,NULL);
/*!40000 ALTER TABLE `llx_societe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_address`
--

DROP TABLE IF EXISTS `llx_societe_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_address` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `label` varchar(30) DEFAULT NULL,
  `fk_soc` int(11) DEFAULT '0',
  `name` varchar(60) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `zip` varchar(10) DEFAULT NULL,
  `town` varchar(50) DEFAULT NULL,
  `fk_pays` int(11) DEFAULT '0',
  `phone` varchar(20) DEFAULT NULL,
  `fax` varchar(20) DEFAULT NULL,
  `note` text,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_address`
--

LOCK TABLES `llx_societe_address` WRITE;
/*!40000 ALTER TABLE `llx_societe_address` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_societe_address` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_commerciaux`
--

DROP TABLE IF EXISTS `llx_societe_commerciaux`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_commerciaux` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_societe_commerciaux` (`fk_soc`,`fk_user`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_commerciaux`
--

LOCK TABLES `llx_societe_commerciaux` WRITE;
/*!40000 ALTER TABLE `llx_societe_commerciaux` DISABLE KEYS */;
INSERT INTO `llx_societe_commerciaux` (`rowid`, `fk_soc`, `fk_user`) VALUES (1,1,3),(2,2,4),(3,3,4),(4,4,4),(5,5,4),(6,6,4),(7,7,4),(8,8,4),(9,9,4),(10,10,4),(12,12,4);
/*!40000 ALTER TABLE `llx_societe_commerciaux` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_extrafields`
--

DROP TABLE IF EXISTS `llx_societe_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_societe_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_extrafields`
--

LOCK TABLES `llx_societe_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_societe_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_societe_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_log`
--

DROP TABLE IF EXISTS `llx_societe_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `datel` datetime DEFAULT NULL,
  `fk_soc` int(11) DEFAULT NULL,
  `fk_statut` int(11) DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  `author` varchar(30) DEFAULT NULL,
  `label` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_log`
--

LOCK TABLES `llx_societe_log` WRITE;
/*!40000 ALTER TABLE `llx_societe_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_societe_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_prices`
--

DROP TABLE IF EXISTS `llx_societe_prices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_prices` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) DEFAULT '0',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `price_level` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_prices`
--

LOCK TABLES `llx_societe_prices` WRITE;
/*!40000 ALTER TABLE `llx_societe_prices` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_societe_prices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_remise`
--

DROP TABLE IF EXISTS `llx_societe_remise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_remise` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datec` datetime DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `remise_client` double(6,3) NOT NULL DEFAULT '0.000',
  `note` text,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_remise`
--

LOCK TABLES `llx_societe_remise` WRITE;
/*!40000 ALTER TABLE `llx_societe_remise` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_societe_remise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_remise_except`
--

DROP TABLE IF EXISTS `llx_societe_remise_except`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_remise_except` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `amount_ht` double(24,8) NOT NULL,
  `amount_tva` double(24,8) NOT NULL DEFAULT '0.00000000',
  `amount_ttc` double(24,8) NOT NULL DEFAULT '0.00000000',
  `tva_tx` double(6,3) NOT NULL DEFAULT '0.000',
  `fk_user` int(11) NOT NULL,
  `fk_facture_line` int(11) DEFAULT NULL,
  `fk_facture` int(11) DEFAULT NULL,
  `fk_facture_source` int(11) DEFAULT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_societe_remise_except_fk_user` (`fk_user`),
  KEY `idx_societe_remise_except_fk_soc` (`fk_soc`),
  KEY `idx_societe_remise_except_fk_facture_line` (`fk_facture_line`),
  KEY `idx_societe_remise_except_fk_facture` (`fk_facture`),
  KEY `idx_societe_remise_except_fk_facture_source` (`fk_facture_source`),
  CONSTRAINT `fk_societe_remise_fk_facture` FOREIGN KEY (`fk_facture`) REFERENCES `llx_facture` (`rowid`),
  CONSTRAINT `fk_societe_remise_fk_facture_line` FOREIGN KEY (`fk_facture_line`) REFERENCES `llx_facturedet` (`rowid`),
  CONSTRAINT `fk_societe_remise_fk_facture_source` FOREIGN KEY (`fk_facture_source`) REFERENCES `llx_facture` (`rowid`),
  CONSTRAINT `fk_societe_remise_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_societe_remise_fk_user` FOREIGN KEY (`fk_user`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_remise_except`
--

LOCK TABLES `llx_societe_remise_except` WRITE;
/*!40000 ALTER TABLE `llx_societe_remise_except` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_societe_remise_except` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_societe_rib`
--

DROP TABLE IF EXISTS `llx_societe_rib`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_societe_rib` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_soc` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `label` varchar(30) DEFAULT NULL,
  `bank` varchar(255) DEFAULT NULL,
  `code_banque` varchar(7) DEFAULT NULL,
  `code_guichet` varchar(6) DEFAULT NULL,
  `number` varchar(255) DEFAULT NULL,
  `cle_rib` varchar(5) DEFAULT NULL,
  `bic` varchar(20) DEFAULT NULL,
  `iban_prefix` varchar(34) DEFAULT NULL,
  `domiciliation` varchar(255) DEFAULT NULL,
  `proprio` varchar(60) DEFAULT NULL,
  `owner_address` varchar(255) DEFAULT NULL,
  `default_rib` smallint(6) NOT NULL DEFAULT '0',
  `rum` varchar(32) DEFAULT NULL,
  `frstrecur` varchar(16) DEFAULT 'FRST',
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_societe_rib`
--

LOCK TABLES `llx_societe_rib` WRITE;
/*!40000 ALTER TABLE `llx_societe_rib` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_societe_rib` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_socpeople`
--

DROP TABLE IF EXISTS `llx_socpeople`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_socpeople` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_soc` int(11) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(128) DEFAULT NULL,
  `civility` varchar(6) DEFAULT NULL,
  `lastname` varchar(50) DEFAULT NULL,
  `firstname` varchar(50) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `zip` varchar(25) DEFAULT NULL,
  `town` varchar(255) DEFAULT NULL,
  `fk_departement` int(11) DEFAULT NULL,
  `fk_pays` int(11) DEFAULT '0',
  `birthday` date DEFAULT NULL,
  `poste` varchar(80) DEFAULT NULL,
  `phone` varchar(30) DEFAULT NULL,
  `phone_perso` varchar(30) DEFAULT NULL,
  `phone_mobile` varchar(30) DEFAULT NULL,
  `fax` varchar(30) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `jabberid` varchar(255) DEFAULT NULL,
  `skype` varchar(255) DEFAULT NULL,
  `no_email` smallint(6) NOT NULL DEFAULT '0',
  `priv` smallint(6) NOT NULL DEFAULT '0',
  `fk_user_creat` int(11) DEFAULT '0',
  `fk_user_modif` int(11) DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `default_lang` varchar(6) DEFAULT NULL,
  `canvas` varchar(32) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `statut` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  KEY `idx_socpeople_fk_soc` (`fk_soc`),
  KEY `idx_socpeople_fk_user_creat` (`fk_user_creat`),
  CONSTRAINT `fk_socpeople_fk_soc` FOREIGN KEY (`fk_soc`) REFERENCES `llx_societe` (`rowid`),
  CONSTRAINT `fk_socpeople_user_creat_user_rowid` FOREIGN KEY (`fk_user_creat`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_socpeople`
--

LOCK TABLES `llx_socpeople` WRITE;
/*!40000 ALTER TABLE `llx_socpeople` DISABLE KEYS */;
INSERT INTO `llx_socpeople` (`rowid`, `datec`, `tms`, `fk_soc`, `entity`, `ref_ext`, `civility`, `lastname`, `firstname`, `address`, `zip`, `town`, `fk_departement`, `fk_pays`, `birthday`, `poste`, `phone`, `phone_perso`, `phone_mobile`, `fax`, `email`, `jabberid`, `skype`, `no_email`, `priv`, `fk_user_creat`, `fk_user_modif`, `note_private`, `note_public`, `default_lang`, `canvas`, `import_key`, `statut`) VALUES (1,'2014-10-04 18:27:23','2014-10-04 16:27:23',1,1,NULL,'MR','PERRIER','Lionnel','75, rue Jules GUESDES','69230','saint genis laval',71,1,NULL,'Directeur Commercial','','','0658161333','','lperrier@dg-innovations.com','','',0,0,1,1,'','',NULL,NULL,NULL,1),(2,'2014-10-04 18:31:34','2014-10-04 16:31:34',1,1,NULL,'MLE','POIZAT','Loanne','75, rue Jules GUESDES','69230','saint genis laval',71,1,NULL,'Responsable marketing','','','','','loanne@dg-innovations.com','','',0,0,1,1,'','',NULL,NULL,NULL,1);
/*!40000 ALTER TABLE `llx_socpeople` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_socpeople_extrafields`
--

DROP TABLE IF EXISTS `llx_socpeople_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_socpeople_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_socpeople_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_socpeople_extrafields`
--

LOCK TABLES `llx_socpeople_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_socpeople_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_socpeople_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_stock_mouvement`
--

DROP TABLE IF EXISTS `llx_stock_mouvement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_stock_mouvement` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datem` datetime DEFAULT NULL,
  `fk_product` int(11) NOT NULL,
  `fk_entrepot` int(11) NOT NULL,
  `value` double DEFAULT NULL,
  `price` double(24,8) DEFAULT '0.00000000',
  `type_mouvement` smallint(6) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `fk_origin` int(11) DEFAULT NULL,
  `origintype` varchar(32) DEFAULT NULL,
  `inventorycode` varchar(128) DEFAULT NULL,
  `batch` varchar(30) DEFAULT NULL,
  `eatby` date DEFAULT NULL,
  `sellby` date DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_stock_mouvement_fk_product` (`fk_product`),
  KEY `idx_stock_mouvement_fk_entrepot` (`fk_entrepot`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_stock_mouvement`
--

LOCK TABLES `llx_stock_mouvement` WRITE;
/*!40000 ALTER TABLE `llx_stock_mouvement` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_stock_mouvement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_tva`
--

DROP TABLE IF EXISTS `llx_tva`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_tva` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datep` date DEFAULT NULL,
  `datev` date DEFAULT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `fk_typepayment` int(11) DEFAULT NULL,
  `num_payment` varchar(50) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `note` text,
  `fk_bank` int(11) DEFAULT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_tva`
--

LOCK TABLES `llx_tva` WRITE;
/*!40000 ALTER TABLE `llx_tva` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_tva` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_ultimatepdf`
--

DROP TABLE IF EXISTS `llx_ultimatepdf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_ultimatepdf` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `label` varchar(255) NOT NULL,
  `description` text,
  `datec` datetime DEFAULT NULL,
  `fk_user_creat` int(11) DEFAULT NULL,
  `options` text,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rowid`),
  KEY `idx_ultimatepdf_label` (`fk_user_creat`),
  CONSTRAINT `fk_ultimatepdf_fk_user_creat` FOREIGN KEY (`fk_user_creat`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_ultimatepdf`
--

LOCK TABLES `llx_ultimatepdf` WRITE;
/*!40000 ALTER TABLE `llx_ultimatepdf` DISABLE KEYS */;
INSERT INTO `llx_ultimatepdf` (`rowid`, `entity`, `tms`, `label`, `description`, `datec`, `fk_user_creat`, `options`, `active`) VALUES (1,1,'2014-10-02 15:46:10','Mod&egrave;le ma&icirc;tre','C&#039;est le mod&egrave;le par d&eacute;faut','2014-10-02 17:46:10',1,'{\"bgcolor\":\"aad4ff\",\"bordercolor\":\"003f7f\",\"textcolor\":\"191919\",\"dashdotted\":\"8, 2\",\"withref\":\"no\",\"withoutvat\":\"no\"}',1);
/*!40000 ALTER TABLE `llx_ultimatepdf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_user`
--

DROP TABLE IF EXISTS `llx_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_user` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(50) DEFAULT NULL,
  `ref_int` varchar(50) DEFAULT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_user_creat` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `login` varchar(24) NOT NULL,
  `pass` varchar(32) DEFAULT NULL,
  `pass_crypted` varchar(128) DEFAULT NULL,
  `pass_temp` varchar(32) DEFAULT NULL,
  `api_key` varchar(128) DEFAULT NULL,
  `civility` varchar(6) DEFAULT NULL,
  `lastname` varchar(50) DEFAULT NULL,
  `firstname` varchar(50) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `zip` varchar(25) DEFAULT NULL,
  `town` varchar(50) DEFAULT NULL,
  `fk_state` int(11) DEFAULT '0',
  `fk_country` int(11) DEFAULT '0',
  `job` varchar(128) DEFAULT NULL,
  `skype` varchar(255) DEFAULT NULL,
  `office_phone` varchar(20) DEFAULT NULL,
  `office_fax` varchar(20) DEFAULT NULL,
  `user_mobile` varchar(20) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `signature` text,
  `admin` smallint(6) DEFAULT '0',
  `module_comm` smallint(6) DEFAULT '1',
  `module_compta` smallint(6) DEFAULT '1',
  `fk_soc` int(11) DEFAULT NULL,
  `fk_socpeople` int(11) DEFAULT NULL,
  `fk_member` int(11) DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  `thm` double(24,8) DEFAULT NULL,
  `note` text,
  `datelastlogin` datetime DEFAULT NULL,
  `datepreviouslogin` datetime DEFAULT NULL,
  `egroupware_id` int(11) DEFAULT NULL,
  `ldap_sid` varchar(255) DEFAULT NULL,
  `openid` varchar(255) DEFAULT NULL,
  `statut` tinyint(4) DEFAULT '1',
  `photo` varchar(255) DEFAULT NULL,
  `lang` varchar(6) DEFAULT NULL,
  `color` varchar(6) DEFAULT NULL,
  `barcode` varchar(255) DEFAULT NULL,
  `fk_barcode_type` int(11) DEFAULT '0',
  `accountancy_code` varchar(32) DEFAULT NULL,
  `nb_holiday` int(11) DEFAULT '0',
  `salary` double(24,8) DEFAULT NULL,
  `tjm` double(24,8) DEFAULT NULL,
  `salaryextra` double(24,8) DEFAULT NULL,
  `weeklyhours` double(16,8) DEFAULT NULL,
  `gender` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_user_login` (`login`,`entity`),
  UNIQUE KEY `uk_user_fk_socpeople` (`fk_socpeople`),
  UNIQUE KEY `uk_user_fk_member` (`fk_member`),
  KEY `idx_user_api_key` (`api_key`),
  KEY `idx_user_fk_societe` (`fk_soc`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_user`
--

LOCK TABLES `llx_user` WRITE;
/*!40000 ALTER TABLE `llx_user` DISABLE KEYS */;
INSERT INTO `llx_user` (`rowid`, `entity`, `ref_ext`, `ref_int`, `datec`, `tms`, `fk_user_creat`, `fk_user_modif`, `login`, `pass`, `pass_crypted`, `pass_temp`, `api_key`, `civility`, `lastname`, `firstname`, `address`, `zip`, `town`, `fk_state`, `fk_country`, `job`, `skype`, `office_phone`, `office_fax`, `user_mobile`, `email`, `signature`, `admin`, `module_comm`, `module_compta`, `fk_soc`, `fk_socpeople`, `fk_member`, `fk_user`, `thm`, `note`, `datelastlogin`, `datepreviouslogin`, `egroupware_id`, `ldap_sid`, `openid`, `statut`, `photo`, `lang`, `color`, `barcode`, `fk_barcode_type`, `accountancy_code`, `nb_holiday`, `salary`, `tjm`, `salaryextra`, `weeklyhours`, `gender`) VALUES (1,0,NULL,NULL,'2014-09-30 21:47:10','2014-09-30 19:47:10',NULL,NULL,'admin','lf652429','8b8a67c311ef3069d5044dee423df3ce',NULL,NULL,NULL,'SuperAdmin','','','','',NULL,NULL,'','','','','','','',1,1,1,NULL,NULL,NULL,NULL,NULL,'','2018-01-04 08:49:07','2017-10-31 14:57:00',NULL,'',NULL,1,NULL,NULL,NULL,NULL,0,'',0,NULL,NULL,NULL,NULL,NULL),(2,0,NULL,NULL,'2014-10-01 18:18:08','2016-09-16 17:45:15',NULL,NULL,'LBT','bzrc4qg7','f613c0389b46a252b0a7aff4a92c5121',NULL,NULL,NULL,'BORRET','Laurent','','','',NULL,NULL,'PDG','','','','','laurent.borret@nexiium.com','',0,1,1,NULL,NULL,NULL,NULL,NULL,'','2018-03-16 12:00:34','2018-03-11 15:46:05',NULL,'',NULL,1,NULL,NULL,'',NULL,0,'',0,NULL,NULL,NULL,NULL,NULL),(3,0,NULL,NULL,'2014-10-01 18:19:50','2015-08-18 12:55:26',NULL,NULL,'FLE','fl19vb69','8350027df1f82065822e5e2c073407b0',NULL,NULL,NULL,'LAVABRE','François','','','',NULL,NULL,'','','','','','flavabre@qat-consulting.com','',1,1,1,NULL,NULL,NULL,NULL,NULL,'','2018-04-17 22:10:44','2016-11-08 21:56:49',NULL,'',NULL,1,NULL,NULL,'',NULL,0,'',0,NULL,NULL,NULL,NULL,NULL),(4,1,NULL,NULL,'2015-08-18 17:47:32','2016-06-20 14:49:19',NULL,NULL,'FALE','fh69df390','5f8c20c086843c01103102bb9cf07248',NULL,NULL,NULL,'LAVABRE','Fanny','','','',NULL,NULL,'Resp Agence','','','','0660048662','fanny.lavabre@nexiium.com','',0,1,1,NULL,NULL,NULL,2,NULL,'','2018-04-09 15:35:20','2018-03-30 14:46:38',NULL,'',NULL,1,NULL,NULL,'',NULL,0,'',0,NULL,NULL,NULL,NULL,'woman');
/*!40000 ALTER TABLE `llx_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_user_alert`
--

DROP TABLE IF EXISTS `llx_user_alert`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_user_alert` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `type` int(11) DEFAULT NULL,
  `fk_contact` int(11) DEFAULT NULL,
  `fk_user` int(11) DEFAULT NULL,
  PRIMARY KEY (`rowid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_user_alert`
--

LOCK TABLES `llx_user_alert` WRITE;
/*!40000 ALTER TABLE `llx_user_alert` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_user_alert` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_user_clicktodial`
--

DROP TABLE IF EXISTS `llx_user_clicktodial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_user_clicktodial` (
  `fk_user` int(11) NOT NULL,
  `url` varchar(255) DEFAULT NULL,
  `login` varchar(32) DEFAULT NULL,
  `pass` varchar(64) DEFAULT NULL,
  `poste` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`fk_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_user_clicktodial`
--

LOCK TABLES `llx_user_clicktodial` WRITE;
/*!40000 ALTER TABLE `llx_user_clicktodial` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_user_clicktodial` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_user_extrafields`
--

DROP TABLE IF EXISTS `llx_user_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_user_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_user_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_user_extrafields`
--

LOCK TABLES `llx_user_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_user_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_user_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_user_param`
--

DROP TABLE IF EXISTS `llx_user_param`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_user_param` (
  `fk_user` int(11) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `param` varchar(64) NOT NULL,
  `value` varchar(255) NOT NULL,
  UNIQUE KEY `uk_user_param` (`fk_user`,`param`,`entity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_user_param`
--

LOCK TABLES `llx_user_param` WRITE;
/*!40000 ALTER TABLE `llx_user_param` DISABLE KEYS */;
INSERT INTO `llx_user_param` (`fk_user`, `entity`, `param`, `value`) VALUES (4,1,'MAIN_BOXES_0','1');
/*!40000 ALTER TABLE `llx_user_param` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_user_rights`
--

DROP TABLE IF EXISTS `llx_user_rights`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_user_rights` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_user` int(11) NOT NULL,
  `fk_id` int(11) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_user_rights` (`fk_user`,`fk_id`),
  CONSTRAINT `fk_user_rights_fk_user_user` FOREIGN KEY (`fk_user`) REFERENCES `llx_user` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=1274 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_user_rights`
--

LOCK TABLES `llx_user_rights` WRITE;
/*!40000 ALTER TABLE `llx_user_rights` DISABLE KEYS */;
INSERT INTO `llx_user_rights` (`rowid`, `fk_user`, `fk_id`) VALUES (1108,1,11),(1095,1,12),(1098,1,13),(1100,1,14),(1102,1,15),(1105,1,16),(1109,1,19),(276,1,21),(268,1,22),(270,1,24),(271,1,25),(273,1,26),(275,1,27),(277,1,28),(298,1,31),(295,1,32),(297,1,34),(299,1,38),(253,1,41),(250,1,42),(252,1,44),(254,1,45),(111,1,61),(108,1,62),(110,1,64),(112,1,67),(113,1,68),(1058,1,81),(1045,1,82),(1048,1,84),(1050,1,86),(1053,1,87),(1056,1,88),(1059,1,89),(184,1,91),(181,1,92),(183,1,93),(185,1,94),(134,1,95),(135,1,96),(137,1,97),(138,1,98),(177,1,111),(168,1,112),(170,1,113),(172,1,114),(174,1,115),(176,1,116),(178,1,117),(1174,1,121),(1167,1,122),(1171,1,125),(1175,1,126),(258,1,141),(257,1,142),(259,1,144),(82,1,161),(77,1,162),(79,1,163),(81,1,164),(83,1,165),(1078,1,171),(1067,1,172),(1071,1,173),(1075,1,174),(1079,1,178),(303,1,241),(302,1,242),(304,1,243),(1248,1,251),(1210,1,252),(1213,1,253),(1216,1,254),(1219,1,255),(1223,1,256),(1178,1,262),(1190,1,281),(1183,1,282),(1187,1,283),(1191,1,286),(1226,1,341),(1228,1,342),(1230,1,343),(1232,1,344),(1244,1,351),(1237,1,352),(1241,1,353),(1245,1,354),(1249,1,358),(191,1,510),(188,1,512),(190,1,514),(192,1,517),(1204,1,531),(1197,1,532),(1201,1,534),(1205,1,538),(1114,1,1181),(1160,1,1182),(1119,1,1183),(1122,1,1184),(1125,1,1185),(1129,1,1186),(1133,1,1187),(1139,1,1188),(1136,1,1189),(261,1,1201),(262,1,1202),(1156,1,1231),(1145,1,1232),(1148,1,1233),(1151,1,1234),(1154,1,1235),(1157,1,1236),(1161,1,1237),(263,1,1251),(1112,1,1321),(1062,1,1421),(1088,1,2501),(1085,1,2503),(1089,1,2515),(1270,1,20001),(1255,1,20002),(1259,1,20003),(1263,1,20004),(1267,1,20005),(1271,1,20006),(264,1,59001),(265,1,59002),(828,1,63001),(821,1,63002),(825,1,63003),(829,1,63004),(365,1,300101),(366,1,300102),(305,2,11),(306,2,21),(307,2,31),(308,2,41),(309,2,61),(310,2,81),(311,2,91),(312,2,95),(313,2,97),(314,2,111),(315,2,121),(316,2,161),(317,2,171),(318,2,241),(319,2,262),(320,2,281),(321,2,341),(322,2,342),(323,2,343),(324,2,344),(325,2,531),(326,2,1181),(327,2,1182),(328,2,1201),(329,2,1231),(330,2,2501),(331,2,2503),(332,2,2515),(333,2,59001),(1110,3,11),(1097,3,12),(1099,3,13),(1101,3,14),(1103,3,15),(1107,3,16),(1111,3,19),(335,3,21),(336,3,31),(337,3,41),(338,3,61),(1060,3,81),(1047,3,82),(1049,3,84),(1051,3,86),(1055,3,87),(1057,3,88),(1061,3,89),(340,3,91),(341,3,95),(342,3,97),(343,3,111),(1176,3,121),(1169,3,122),(1173,3,125),(1177,3,126),(345,3,161),(1080,3,171),(1069,3,172),(1073,3,173),(1077,3,174),(1081,3,178),(347,3,241),(1250,3,251),(1211,3,252),(1215,3,253),(1217,3,254),(1221,3,255),(1225,3,256),(1179,3,262),(1192,3,281),(1185,3,282),(1189,3,283),(1193,3,286),(1227,3,341),(1229,3,342),(1231,3,343),(1233,3,344),(1246,3,351),(1239,3,352),(1243,3,353),(1247,3,354),(1251,3,358),(1206,3,531),(1199,3,532),(1203,3,534),(1207,3,538),(1115,3,1181),(1162,3,1182),(1121,3,1183),(1123,3,1184),(1127,3,1185),(1131,3,1186),(1135,3,1187),(1141,3,1188),(1137,3,1189),(357,3,1201),(1158,3,1231),(1147,3,1232),(1149,3,1233),(1153,3,1234),(1155,3,1235),(1159,3,1236),(1163,3,1237),(1113,3,1321),(1063,3,1421),(1090,3,2501),(1087,3,2503),(1091,3,2515),(1272,3,20001),(1257,3,20002),(1261,3,20003),(1265,3,20004),(1269,3,20005),(1273,3,20006),(362,3,59001),(830,3,63001),(823,3,63002),(827,3,63003),(831,3,63004),(367,3,300101),(368,3,300102),(561,4,11),(562,4,21),(563,4,31),(564,4,41),(565,4,61),(594,4,81),(595,4,82),(596,4,84),(597,4,86),(598,4,87),(599,4,88),(600,4,89),(567,4,91),(568,4,95),(569,4,97),(570,4,111),(571,4,121),(602,4,161),(603,4,162),(604,4,163),(605,4,164),(606,4,165),(607,4,167),(573,4,171),(591,4,241),(592,4,242),(593,4,243),(575,4,262),(576,4,281),(577,4,341),(578,4,342),(579,4,343),(580,4,344),(581,4,531),(582,4,1181),(583,4,1182),(584,4,1201),(585,4,1231),(601,4,1421),(586,4,2501),(587,4,2503),(588,4,2515),(589,4,59001),(590,4,300101);
/*!40000 ALTER TABLE `llx_user_rights` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_usergroup`
--

DROP TABLE IF EXISTS `llx_usergroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_usergroup` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(255) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `note` text,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_usergroup_name` (`nom`,`entity`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_usergroup`
--

LOCK TABLES `llx_usergroup` WRITE;
/*!40000 ALTER TABLE `llx_usergroup` DISABLE KEYS */;
INSERT INTO `llx_usergroup` (`rowid`, `nom`, `entity`, `datec`, `tms`, `note`) VALUES (1,'Gestionnaire',1,'2014-10-01 18:14:45','2014-10-01 16:14:45',''),(2,'Administrateur',1,'2015-08-18 17:58:24','2015-08-18 15:58:24','');
/*!40000 ALTER TABLE `llx_usergroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_usergroup_extrafields`
--

DROP TABLE IF EXISTS `llx_usergroup_extrafields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_usergroup_extrafields` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_object` int(11) NOT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `idx_usergroup_extrafields` (`fk_object`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_usergroup_extrafields`
--

LOCK TABLES `llx_usergroup_extrafields` WRITE;
/*!40000 ALTER TABLE `llx_usergroup_extrafields` DISABLE KEYS */;
/*!40000 ALTER TABLE `llx_usergroup_extrafields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_usergroup_rights`
--

DROP TABLE IF EXISTS `llx_usergroup_rights`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_usergroup_rights` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `fk_usergroup` int(11) NOT NULL,
  `fk_id` int(11) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `fk_usergroup` (`fk_usergroup`,`fk_id`),
  CONSTRAINT `fk_usergroup_rights_fk_usergroup` FOREIGN KEY (`fk_usergroup`) REFERENCES `llx_usergroup` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=250 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_usergroup_rights`
--

LOCK TABLES `llx_usergroup_rights` WRITE;
/*!40000 ALTER TABLE `llx_usergroup_rights` DISABLE KEYS */;
INSERT INTO `llx_usergroup_rights` (`rowid`, `fk_usergroup`, `fk_id`) VALUES (37,1,11),(38,1,12),(39,1,13),(40,1,14),(41,1,15),(42,1,16),(43,1,19),(73,1,21),(74,1,22),(75,1,24),(76,1,25),(77,1,26),(78,1,27),(79,1,28),(80,1,31),(81,1,32),(82,1,34),(83,1,38),(66,1,41),(67,1,42),(68,1,44),(69,1,45),(45,1,61),(46,1,62),(47,1,64),(48,1,67),(49,1,68),(11,1,81),(12,1,82),(13,1,84),(14,1,86),(15,1,87),(16,1,88),(17,1,89),(103,1,91),(104,1,92),(105,1,93),(106,1,94),(19,1,95),(20,1,96),(21,1,97),(22,1,98),(1,1,111),(2,1,112),(3,1,113),(4,1,114),(5,1,115),(6,1,116),(7,1,117),(94,1,121),(95,1,122),(96,1,125),(97,1,126),(70,1,141),(71,1,142),(72,1,144),(23,1,161),(24,1,162),(25,1,163),(26,1,164),(27,1,165),(28,1,171),(29,1,172),(30,1,173),(31,1,178),(8,1,241),(9,1,242),(10,1,243),(107,1,251),(108,1,252),(109,1,253),(110,1,254),(111,1,255),(112,1,256),(98,1,262),(99,1,281),(100,1,282),(101,1,283),(102,1,286),(113,1,341),(114,1,342),(115,1,343),(116,1,344),(117,1,351),(118,1,352),(119,1,353),(120,1,354),(121,1,358),(86,1,510),(87,1,512),(88,1,514),(89,1,517),(90,1,531),(91,1,532),(92,1,534),(93,1,538),(50,1,1181),(51,1,1182),(52,1,1183),(53,1,1184),(54,1,1185),(55,1,1186),(56,1,1187),(57,1,1188),(35,1,1201),(36,1,1202),(58,1,1231),(59,1,1232),(60,1,1233),(61,1,1234),(62,1,1235),(63,1,1236),(64,1,1237),(44,1,1321),(18,1,1421),(32,1,2501),(33,1,2503),(34,1,2515),(84,1,59001),(85,1,59002),(163,2,11),(164,2,12),(165,2,13),(166,2,14),(167,2,15),(168,2,16),(169,2,19),(205,2,21),(206,2,22),(207,2,24),(208,2,25),(209,2,26),(210,2,27),(211,2,28),(194,2,31),(195,2,32),(196,2,34),(197,2,38),(198,2,41),(199,2,42),(200,2,44),(201,2,45),(171,2,61),(172,2,62),(173,2,64),(174,2,67),(175,2,68),(135,2,81),(136,2,82),(137,2,84),(138,2,86),(139,2,87),(140,2,88),(141,2,89),(229,2,91),(230,2,92),(231,2,93),(232,2,94),(143,2,95),(144,2,96),(145,2,97),(146,2,98),(125,2,111),(126,2,112),(127,2,113),(128,2,114),(129,2,115),(130,2,116),(131,2,117),(220,2,121),(221,2,122),(222,2,125),(223,2,126),(202,2,141),(203,2,142),(204,2,144),(147,2,161),(148,2,162),(149,2,163),(150,2,164),(151,2,165),(152,2,167),(153,2,171),(154,2,172),(155,2,173),(156,2,174),(157,2,178),(132,2,241),(133,2,242),(134,2,243),(235,2,251),(236,2,252),(237,2,253),(238,2,254),(239,2,255),(240,2,256),(224,2,262),(225,2,281),(226,2,282),(227,2,283),(228,2,286),(241,2,341),(242,2,342),(243,2,343),(244,2,344),(245,2,351),(246,2,352),(247,2,353),(248,2,354),(249,2,358),(212,2,510),(213,2,512),(214,2,514),(215,2,517),(216,2,531),(217,2,532),(218,2,534),(219,2,538),(176,2,1181),(177,2,1182),(178,2,1183),(179,2,1184),(180,2,1185),(181,2,1186),(182,2,1187),(183,2,1188),(161,2,1201),(162,2,1202),(184,2,1231),(185,2,1232),(186,2,1233),(187,2,1234),(188,2,1235),(189,2,1236),(190,2,1237),(191,2,1251),(170,2,1321),(142,2,1421),(158,2,2501),(159,2,2503),(160,2,2515),(192,2,59001),(193,2,59002),(233,2,300101),(234,2,300102);
/*!40000 ALTER TABLE `llx_usergroup_rights` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `llx_usergroup_user`
--

DROP TABLE IF EXISTS `llx_usergroup_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llx_usergroup_user` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_user` int(11) NOT NULL,
  `fk_usergroup` int(11) NOT NULL,
  PRIMARY KEY (`rowid`),
  UNIQUE KEY `uk_usergroup_user` (`entity`,`fk_user`,`fk_usergroup`),
  KEY `fk_usergroup_user_fk_user` (`fk_user`),
  KEY `fk_usergroup_user_fk_usergroup` (`fk_usergroup`),
  CONSTRAINT `fk_usergroup_user_fk_user` FOREIGN KEY (`fk_user`) REFERENCES `llx_user` (`rowid`),
  CONSTRAINT `fk_usergroup_user_fk_usergroup` FOREIGN KEY (`fk_usergroup`) REFERENCES `llx_usergroup` (`rowid`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llx_usergroup_user`
--

LOCK TABLES `llx_usergroup_user` WRITE;
/*!40000 ALTER TABLE `llx_usergroup_user` DISABLE KEYS */;
INSERT INTO `llx_usergroup_user` (`rowid`, `entity`, `fk_user`, `fk_usergroup`) VALUES (1,1,2,1),(4,1,3,2),(3,1,4,1);
/*!40000 ALTER TABLE `llx_usergroup_user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-04-17 20:26:24
